﻿// Generated by Construct 2, the HTML5 game and app creator :: http://www.scirra.com
//////////////////////////////////////
// COCOONJS.JS                      //
//////////////////////////////////////

(function()
{
	// There should not be a CocoonJS object when this code is executed.
	// if (typeof window.CocoonJS !== 'undefined') throw("This is strange, a CocoonJS object already exists when trying to create it.");

    /**
    * The basic object for all the CocoonJS related specific APIs === extensions.
    * @namespace
    */
    CocoonJS = window.CocoonJS ? window.CocoonJS : {};

	CocoonJS.nativeExtensionObjectAvailable = typeof window.ext !== 'undefined';

	/**
	* This type represents a 2D size structure with horizontal and vertical values.
	* @namespace
	*/
	CocoonJS.Size = {
		/**
		* The horizontal size value.
		*/
		width : 0,

		/**
		* The vertical size value.
		*/
		height : 0
	};

	/**
	* This utility function allows to create an object oriented like hierarchy between two functions using their prototypes.
	* This function adds a "superclass" and a "__super" attributes to the subclass and it's functions to reference the super class.
	* @param {function} subc The subclass function.
	* @param {function} superc The superclass function.
	*/
	CocoonJS.extend = function(subc, superc) {
	    var subcp = subc.prototype;

	    // Class pattern.
	    var CocoonJSExtendHierarchyChainClass = function() {};
	    CocoonJSExtendHierarchyChainClass.prototype = superc.prototype;

	    subc.prototype = new CocoonJSExtendHierarchyChainClass();       // chain prototypes.
	    subc.superclass = superc.prototype;
	    subc.prototype.constructor = subc;

	    // Reset constructor. See Object Oriented Javascript for an in-depth explanation of this.
	    if (superc.prototype.constructor === Object.prototype.constructor) {
	        superc.prototype.constructor = superc;
	    }

	    // Check all the elements in the subclass prototype and add them to the chain object's prototype.
	    for (var method in subcp) {
	        if (subcp.hasOwnProperty(method)) {
	            subc.prototype[method] = subcp[method];

	            // // tenemos en super un metodo con igual nombre.
	            // if ( superc.prototype[method]) 
	            // {
	            //     subc.prototype[method]= (function(fn, fnsuper) 
	            //     {
	            //         return function() 
	            //         {
	            //             var prevMethod= this.__super;

	            //             this.__super= fnsuper;

	            //             var retValue= fn.apply(
	            //                     this,
	            //                     Array.prototype.slice.call(arguments) );

	            //             this.__super= prevMethod;

	            //             return retValue;
	            //         };
	            //     })(subc.prototype[method], superc.prototype[method]);
	            // }
	        }
	    }
	}

	/**
	* IMPORTANT: This function should only be used by Ludei.
	* This function allows a call to the native extension object function reusing the same arguments object.
	* Why is interesting to use this function instead of calling the native object's function directly?
	* As the CocoonJS object functions expicitly receive parameters, if they are not present and the native call is direcly mapped,
	* undefined arguments are passed to the native side. Some native functions do not check the parameters validation
	* correctly (just check the number of parameters passed).
	* Another solution instead of using this function call is to correctly check if the parameters are valid (not undefined) to make the
	* call, but it takes more work than using this approach.
	* @static
	* @param {string} nativeExtensionObjectName The name of the native extension object name. The object that is a member of the 'ext' object.
	* @param {string} nativeFunctionName The name of the function to be called inside the native extension object.
	* @param {object} arguments The arguments object of the CocoonJS extension object function. It contains all the arguments passed to the CocoonJS extension object function and these are the ones that will be passed to the native call too.
	* @param {boolean} [async] A flag to indicate if the makeCall (false or undefined) or the makeCallAsync function should be used to perform the native call.
	* @returns Whatever the native function call returns.
	*/
	CocoonJS.makeNativeExtensionObjectFunctionCall = function(nativeExtensionObjectName, nativeFunctionName, args, async) {
		if (CocoonJS.nativeExtensionObjectAvailable) {
			var argumentsArray = Array.prototype.slice.call(args);
			argumentsArray.unshift(nativeFunctionName);
			var nativeExtensionObject = ext[nativeExtensionObjectName];
			var makeCallFunction = async ? nativeExtensionObject.makeCallAsync : nativeExtensionObject.makeCall;
			var ret = makeCallFunction.apply(nativeExtensionObject, argumentsArray);
			var finalRet = ret;
			if (typeof ret === "string") {
				try	{
					finalRet = JSON.parse(ret);
				}
				catch(error) {
				}
			}
			return finalRet;
		}
	};

	/**
	* Returns an object retrieved from a path specified by a dot specified text path starting from a given base object.
	* It could be useful to find the reference of an object from a defined base object. For example the base object could be window and the
	* path could be "CocoonJS.App" or "document.body".
	* @param {Object} baseObject The object to start from to find the object using the given text path.
	* @param {string} objectPath The path in the form of a text using the dot notation. i.e. "document.body"
	* For example:
	* var body = getObjectFromPath(window, "document.body");
	*/
	CocoonJS.getObjectFromPath = function(baseObject, objectPath) {
    	var parts = objectPath.split('.');
    	var obj = baseObject;
        for (var i = 0, len = parts.length; i < len; ++i) 
        {
            obj[parts[i]] = obj[parts[i]] || undefined;
    		obj = obj[parts[i]];
    	}
    	return obj;
 	};

 	/**
 	* Returns the key for a value in a dictionary. It looks for an specific value inside a dictionary and returns the corresponding key.
 	* @param {Object} dictionary The dictionary to look for the value in and get the corresponding key.
 	* @param {Object} value The value to look for inside the dictionary and return it's corresponding key.
 	* @return The key that corresponds to the given value it is has been found or null.
 	*/
 	CocoonJS.getKeyForValueInDictionary = function(dictionary, value) {
        var finalKey = null;
        for (var key in dictionary) {
            if (dictionary[key] === value)            {
                finalKey = key;
                break;
            }
        }
        return finalKey;
 	}

 	/**
 	* Finds a string inside a given array of strings by looking for a given substring. It can also
 	* specify if the search must be performed taking care or not of the case sensitivity.
 	* @param {Array} stringArray The array of strings in which to to look for the string.
 	* @param {string} subString The substring to look for inside all the strings of the array.
 	* @param {boolean} caseSensitive A flag to indicate if the search must be performed taking case of the 
 	* case sensitiveness (true) or not (false).
 	* @return {string} The string that has been found or null if the substring is not inside any of the string of the array.
 	*/
 	CocoonJS.findStringInStringArrayThatIsIndexOf = function(stringArray, subString, caseSensitive) {
 		var foundString = null;
 		subString = caseSensitive ? subString : subString.toUpperCase();
 		for (var i = 0; foundString == null && i < stringArray.length; i++)	{
 			foundString = caseSensitive ? stringArray[i] : stringArray[i].toUpperCase();
 			foundString = foundString.indexOf(subString) >= 0 ? stringArray[i] : null; 
 		}
 		return foundString;
 	};

	/**
	* A class that represents objects to handle events. Event handlers have always the same structure:
	* Mainly they provide the addEventListener and removeEventListener functions.
	* Both functions receive a callback function that will be added or removed. All the added callback
	* functions will be called when the event takes place.
	* Additionally they also allow the addEventListenerOnce and notifyEventListeners functions.
	* @constructor
	* @param {string} nativeExtensionObjectName The name of the native extension object (inside the ext object) to be used.
	* @param {string} cocoonJSExtensionObjectName The name of the sugarized extension object.
	* @param {string} nativeEventName The name of the native event inside the ext object.
	* @param {number} [chainFunction] An optional function used to preprocess the listener callbacks. This function, if provided,
	* will be called before any of the other listeners.
	*/
	CocoonJS.EventHandler = function(nativeExtensionObjectName, cocoonJSExtensionObjectName, nativeEventName, chainFunction) {
		this.listeners = [];
		this.listenersOnce = [];
		this.chainFunction = chainFunction;

		/**
		* Adds a callback function so it can be called when the event takes place.
		* @param {function} listener The callback function to be added to the event handler object. See the referenced Listener function documentation for more detail in each event handler object's documentation.
		*/
		this.addEventListener = function(listener) {
			if (chainFunction) {
				var f = function() {
					chainFunction.call(this, arguments.callee.sourceListener, Array.prototype.slice.call(arguments)); 
				};
				listener.CocoonJSEventHandlerChainFunction = f;
				f.sourceListener = listener;
				listener = f;
			}

			var cocoonJSExtensionObject = CocoonJS.getObjectFromPath(CocoonJS, cocoonJSExtensionObjectName);
            if (cocoonJSExtensionObject && cocoonJSExtensionObject.nativeExtensionObjectAvailable) {
                ext[nativeExtensionObjectName].addEventListener(nativeEventName, listener);
            }
            else {
                var indexOfListener = this.listeners.indexOf(listener);
                if (indexOfListener < 0) {
                	this.listeners.push(listener);
                }
            }
		};

        this.addEventListenerOnce = function(listener)
		{
			if (chainFunction) {
				var f = function() { chainFunction(arguments.callee.sourceListener,Array.prototype.slice.call(arguments)); };
				f.sourceListener = listener;
				listener = f;
			}

			var cocoonJSExtensionObject = CocoonJS.getObjectFromPath(CocoonJS, cocoonJSExtensionObjectName);
            if (cocoonJSExtensionObject.nativeExtensionObjectAvailable) {
                ext[nativeExtensionObjectName].addEventListenerOnce(nativeEventName, listener);
            }
            else
            {
                var indexOfListener = this.listeners.indexOf(listener);
                if (indexOfListener < 0)
                {
                	this.listenersOnce.push(listener);
                }
            }
		};

        /**
         * Removes a callback function that was added to the event handler so it won't be called when the event takes place.
         * @param {function} listener The callback function to be removed from the event handler object. See the referenced Listener function documentation for more detail in each event handler object's documentation.
         */
        this.removeEventListener = function (listener) {

        	if (chainFunction) {
        		listener = listener.CocoonJSEventHandlerChainFunction;
        		delete listener.CocoonJSEventHandlerChainFunction;
        	}

			var cocoonJSExtensionObject = CocoonJS.getObjectFromPath(CocoonJS, cocoonJSExtensionObjectName);
            if (cocoonJSExtensionObject.nativeExtensionObjectAvailable) {
                ext[nativeExtensionObjectName].removeEventListener(nativeEventName, listener);
            }
            else {
                var indexOfListener = this.listeners.indexOf(listener);
                if (indexOfListener >= 0) {
                    this.listeners.splice(indexOfListener, 1);
                }
            }
        };

		this.notifyEventListeners = function() {
			var cocoonJSExtensionObject = CocoonJS.getObjectFromPath(CocoonJS, cocoonJSExtensionObjectName);
            if (cocoonJSExtensionObject && cocoonJSExtensionObject.nativeExtensionObjectAvailable) {
                ext[nativeExtensionObjectName].notifyEventListeners(nativeEventName);
            } else {

                var argumentsArray= Array.prototype.slice.call(arguments);
                var listeners =     Array.prototype.slice.call(this.listeners);
                var listenersOnce = Array.prototype.slice.call(this.listenersOnce);
                var _this = this;
                // Notify listeners after a while ;) === do not block this thread.
                setTimeout(function() {
                    for (var i = 0; i < listeners.length; i++) {
                        listeners[i].apply(_this, argumentsArray);
                    }
                    for (var i = 0; i < listenersOnce.length; i++) {
                        listenersOnce[i].apply(_this, argumentsArray);
                    }
                }, 0);

                _this.listenersOnce= [];
            }
		};
		return this;
	};

	/**
	* A simple timer class. Update it every loop iteration and get values from accumulated time to elapsed time in seconds or milliseconds.
	*/
	CocoonJS.Timer = function() {
		this.reset();
		return this;
	};

	CocoonJS.Timer.prototype = {
		currentTimeInMillis : 0,
		lastTimeInMillis : 0,
		elapsedTimeInMillis : 0,
		elapsedTimeInSeconds : 0,
		accumTimeInMillis : 0,

		/**
		Resets the timer to 0.
		*/
		reset : function() {
			this.currentTimeInMillis = this.lastTimeInMillis = new Date().getTime();
			this.accumTimeInMillis = this.elapsedTimeInMillis = this.elapsedTimeInSeconds = 0;
		},

		/**
		Updates the timer calculating the elapsed time between update calls.
		*/
		update : function() {
			this.currentTimeInMillis = new Date().getTime();
			this.elapsedTimeInMillis = this.currentTimeInMillis - this.lastTimeInMillis;
			this.elapsedTimeInSeconds = this.elapsedTimeInMillis / 1000.0;
			this.lastTimeInMillis = this.currentTimeInMillis;
			this.accumTimeInMillis += this.elapsedTimeInMillis;
		}
	};

	// CocoonJS.FindAllNativeBindingsInCocoonJSExtensionObject = function(cocoonJSExtensionObject, nativeFunctionBindingCallback, nativeEventBindingCallback)
	// {
	// 	for (var cocoonJSExtensionObjectAttributeName in cocoonJSExtensionObject)
	// 	{
	// 		var cocoonJSExtensionObjectAttribute = cocoonJSExtensionObject[cocoonJSExtensionObjectAttributeName];

	// 		// Function
	// 		if (typeof cocoonJSExtensionObjectAttribute === 'function' && typeof cocoonJSExtensionObjectAttribute.nativeFunctionName !== 'undefined')
	// 		{
	// 			var nativeFunctionName = cocoonJSExtensionObjectAttribute.nativeFunctionName;
	// 			nativeFunctionBindingCallback(cocoonJSExtensionObjectAttributeName, nativeFunctionName);
	// 		}
	// 		// Event object
	// 		else if (typeof cocoonJSExtensionObjectAttribute === 'object' && cocoonJSExtensionObjectAttribute !== null && typeof cocoonJSExtensionObjectAttribute.nativeEventName !== 'undefined')
	// 		{
	// 			var nativeEventName = cocoonJSExtensionObjectAttribute.nativeEventName;
	// 			nativeEventBindingCallback(cocoonJSExtensionObjectAttributeName, nativeEventName);
	// 		}
	// 	}
	// }

	/**
	This function looks for a CocoonJS extension object that is bound to the given native ext object name.
	@returns The CocoonJS extension object that corresponds to the give native extension object name or null if it cannot be found.
	*/
	// CocoonJS.GetCocoonJSExtensionObjectForNativeExtensionObjectName = function(nativeExtensionObjectName)
	// {
	// 	var cocoonJSExtensionObject = null;
	// 	// Look in the CocoonJS object and for every object that is a CocoonJS.Extension check if it's nativeExtensionObjectName matches to the one passed as argument. If so, create an object that will represent it's documentation for the native ext object.
	// 	for (var cocoonJSAttributeName in CocoonJS)
	// 	{
	// 		var cocoonJSAttribute = CocoonJS[cocoonJSAttributeName];
	// 		if (typeof cocoonJSAttribute === 'object' && cocoonJSAttribute instanceof CocoonJS.Extension && cocoonJSAttribute.nativeExtensionObjectName === nativeExtensionObjectName)
	// 		{
	// 			// We have found the CocoonJS object that represents the native ext extension object name. 
	// 			cocoonJSExtensionObject = cocoonJSAttribute;
	// 			break;
	// 		}
	// 	}
	// 	return cocoonJSExtensionObject;
	// };

	/**
	This function adds functions to a CocoonJS extension object in order to bind them to the native makeCall function calls of the ext object.

	@param extensionObject The reference to the CocoonJS extension object where to add the new functions bound to the ext object makeCall functions calls.

	@param nativeFunctionsConfiguration An array of objects with the following structure:

		{ nativeFunctionName : "" [, functionName : "", isAsync : true/false] }

		- nativeFunctionName: Specifies the name of the function inside the ext object makeCall function call that will be bound.
		- functionName: An optional attribute that allows to specify the name of the function to be added to the CocoonJS extension object. If is not present, the name of the function will be the same
		as the nativeFunctionName.
		- isAsync: An optional attribute that allows to specify if the call should be performed using makeCall (false or missing) or makeCallAsync (true).
		- alternativeFunction: An optional attribute that allows to specify an alternative function that will be called internally when this function is called. This attribute
		allows for adding new functionalities like for example adding methods 

	@returns The CocoonJS extension object.
	*/
	// CocoonJS.AddNativeFunctionBindingsToExtensionObject = function(extensionObject, nativeFunctionsConfiguration)
	// {
	// 	if (typeof extensionObject === 'undefined' || extensionObject === null) throw("The passed extension object be a valid object.");
	// 	if (typeof nativeFunctionsConfiguration === 'undefined' || nativeFunctionsConfiguration === null) throw("The passed native functions configuration array must be a valid object.");

	// 	for (var i = 0; i < nativeFunctionsConfiguration.length; i++)
	// 	{
	// 		if (typeof nativeFunctionsConfiguration[i].nativeFunctionName === 'undefined') throw("The 'nativeFunctionName' attribute in the native function configuration object at index '" + i + "' in the native function configuration array cannot be undefined.");
	// 		var nativeFunctionName = nativeFunctionsConfiguration[i].nativeFunctionName;
	// 		var functionName = typeof nativeFunctionsConfiguration[i].functionName !== 'undefined' ? nativeFunctionsConfiguration[i].functionName : nativeFunctionName;
	// 		var makeCallFunction = null;
	// 		makeCallFunction = typeof nativeFunctionsConfiguration[i].isAsync !== 'undefined' && nativeFunctionsConfiguration[i].isAsync ? extensionObject.nativeExtensionObject.makeCallAsync : extensionObject.nativeExtensionObject.makeCall;
	// 		// Add the new function to the CocoonJS extension object
	// 		extensionObject[functionName] = function()
	// 		{
	// 			// Convert the arguments object to an array
	// 			var arguments = Array.prototype.slice.call(arguments);
	// 			// Add the native function name as the first parameter
	// 			arguments.unshift(nativeFunctionName);
	// 			// Make the native ext object call
	// 			var result = makeCallFunction.apply(extensionObject.nativeExtensionObject, arguments);
	// 			return result;
	// 		}
	// 		// Add a property to the newly added function to store the name of the original function.
	// 		extensionObject[functionName].nativeFunctionName = nativeFunctionName;
	// 	}
	// 	return extensionObject;
	// };

	/**
	This function adds objects to a CocoonJS extension object to allow event listener handling (add and remove) bound to the native ext object event listener handling.

	@param extensionObject The reference to the CocoonJS extension object where to add the new objects bound to the ext object event listener handling.

	@param nativeEventsConfiguration An array of objects with the following structure:

		{ nativeEventName : "" [, eventObjectName : ""] }

		- nativeEventName: Specifies the event in the native ext object to be bound.
		- eventObjectName: An optional attribute that allows to specify the name of the object to be added to the CocoonJS extension object. If is not present, the name of the function will be the same
		as the nativeEventName.
		- alternativeAddEventListenerFunction:
		- alternativeRemoveEventListenerFunction:

	@returns The CocoonJS extension object.
	*/
	// CocoonJS.AddNativeEventBindingsToExtensionObject = function(extensionObject, nativeEventsConfiguration)
	// {
	// 	if (typeof extensionObject === 'undefined' || extensionObject === null) throw("The passed extension object be a valid object.");
	// 	if (typeof nativeEventsConfiguration === 'undefined' || nativeEventsConfiguration === null) throw("The passed native events configuration array must be a valid object.");

	// 	for (var i = 0; i < nativeEventsConfiguration.length; i++)
	// 	{
	// 		if (typeof nativeEventsConfiguration[i].nativeEventName === 'undefined') throw("The 'nativeEventName' attribute in the native event configuration object at index '" + i + "' in the native event configuration array cannot be undefined.");
	// 		var nativeEventName = nativeEventsConfiguration[i].nativeEventName;
	// 		var eventObjectName = typeof nativeEventsConfiguration[i].eventObjectName !== 'undefined' ? nativeEventsConfiguration[i].eventObjectName : nativeEventName;
	// 		// Anonymous function call so each variable in the loop is used in the event listener handling function bindings.
	// 		(function(nativeEventName, eventObjectName)
	// 		{
	//     		extensionObject[eventObjectName] =
	//     		{
	//     			// Store the native event name
	//     			nativeEventName : nativeEventName,
	//     			// Create the event listener management functions bound to the native counterparts
	//     			addEventListener : function(callback)
	// 	    		{
	// 	    			extensionObject.nativeExtensionObject.addEventListener(nativeEventName, callback);
	//     			},
	//     			removeEventListener : function(callback)
	//     			{
	// 	    			extensionObject.nativeExtensionObject.removeEventListener(nativeEventName, callback);
	//     			}
	//     			// ,
	//     			// removeAllEventListeners : function()
	//     			// {

	//     			// }
	//     		};
	// 		})(nativeEventName, eventObjectName);
	// 	}
	// 	return extensionObject;
	// };

	/**
	The function object constructor function all the CocoonJS extensions can use to instantiate the CocoonJS extension object and add all the functionality needed bound to the native ext object.

	@param nativeExtensionObject The reference to the ext object extension object.

	@param nativeFunctionsConfiguration See CocoonJS.AddNativeFunctionBindingsToExtensionObject function's documentation for more details.

	@param nativeEventsConfiguration See CocoonJS.AddNativeEventBindingsToExtensionObject function's documentation for more details.

	@returns The new CocoonJS extension object.
	*/
	// CocoonJS.Extension = function(nativeExtensionObjectName, nativeFunctionsConfiguration, nativeEventsConfiguration)
	// {
	// 	if (typeof nativeExtensionObjectName === 'undefined' || nativeExtensionObjectName === null) throw("The native extension object name cannot be null");

	// 	if (window.ext[nativeExtensionObjectName] === 'undefined') throw("The given native extension object name '" + nativeExtensionObjectName + "' is incorrect or the native extension object is undefined.");

	// 	var nativeExtensionObject = window.ext[nativeExtensionObjectName];

	// 	// Store a reference to the native extension object and to it's name
	// 	this.nativeExtensionObject = nativeExtensionObject;
	// 	this.nativeExtensionObjectName = nativeExtensionObjectName;

	// 	// If native function configuration is passed, use it to add some functions to the new extension object.
	// 	if (typeof nativeFunctionsConfiguration !== 'undefined')
	// 	{
	// 		CocoonJS.AddNativeFunctionBindingsToExtensionObject(this, nativeFunctionsConfiguration);
	// 	}

	// 	// If native event configuration is passed, use it to add some event objects to the new extension object.
	// 	if (typeof nativeEventsConfiguration !== 'undefined')
	// 	{
	// 		CocoonJS.AddNativeEventBindingsToExtensionObject(this, nativeEventsConfiguration);
	// 	}

	// 	return this;
	// };   

})();

//////////////////////////////////////
// COCOONJS_APP.JS                  //
//////////////////////////////////////

(function () {
    // The CocoonJS must exist before creating the extension.
    if (typeof window.CocoonJS === 'undefined' || window.CocoonJS === null) throw("The CocoonJS object must exist and be valid before creating any extension object.");

    /**
     * This namespace represents all the basic functionalities available in the CocoonJS extension API.
     * @namespace
     */
    CocoonJS.App = CocoonJS.App ? CocoonJS.App : {};

    CocoonJS.App.nativeExtensionObjectAvailable = CocoonJS.nativeExtensionObjectAvailable && typeof window.ext.IDTK_APP !== 'undefined';

    /**
     * The predefined possible layouts for the FPS overlay.
     * @namespace
     */
    CocoonJS.App.FPSLayout = {
        TOP_LEFT:'top-left',
        TOP_RIGHT:'top-right',
        BOTTOM_LEFT:'bottom-left',
        BOTTOM_RIGHT:'bottom-right'
    };

    /**
     * Contains all the possible values to specify the input keyboard type to be used when introducing text.
     * @namespace
     */
    CocoonJS.App.KeyboardType = {
        /**
         * Represents a generic text input keyboard.
         */
        TEXT:"text",

        /**
         * Represents a number like input keyboard.
         */
        NUMBER:"num",

        /**
         * Represents a phone like input keyboard.
         */
        PHONE:"phone",

        /**
         * Represents an email like input keyboard.
         */
        EMAIL:"email",

        /**
         * Represents an URL like input keyboard.
         */
        URL:"url"
    };

    /**
     * The storage types to be used with file system related operations.
     * @namespace
     */
    CocoonJS.App.StorageType = {
        /**
         * Represents the application storage. The application storage is the place where all the resources that come with the application are stored.
         */
        APP_STORAGE:"APP_STORAGE",

        /**
         * Represents the internal storage. The internal storage is a different storage space that the application storage and only the data that the application has stored
         * in it will be in this storage. It is internal to the platform/device.
         */
        INTERNAL_STORAGE:"INTERNAL_STORAGE",

        /**
         * Represents an external storage. The external storage is similar to the internal storage in the sense that it only contains information that the application has written
         * in it but it represents an external storage device like a SD-CARD. If there is no exrernal storage, it will represent the same as the internal storage.
         */
        EXTERNAL_STORAGE:"EXTERNAL_STORAGE",

        /**
         * Represents the temporal storage. Same as the internal and external storage spaces in the sense that it only contains information that the application has written
         * in it but the main difference is that the information in this storage may dissapear without notice.
         */
        TEMPORARY_STORAGE:"TEMPORARY_STORAGE"
    };

    /**
     * The capture types to capture screenshots using CocoonJS native capabilities.
     * @namespace
     */
    CocoonJS.App.CaptureType = {
        /**
         Captures everything, both the CocoonJS GL hardware accelerated surface and the system views (like the WebView).
         */
        EVERYTHING:0,

        /**
         * Captures just the CocoonJS GL hardware accelerated surface.
         */
        JUST_COCOONJS_GL_SURFACE:1,

        /**
         * Captures just the sustem views (like the webview)
         */
        JUST_SYSTEM_VIEWS:2
    };

    /**
     * Makes a forward call of some javascript code to be executed in a different environment (i.e. from CocoonJS to the WebView and viceversa).
     * It waits until the code is executed and the result of it is returned === synchronous.
     * @function
     * @param {string} javaScriptCode Some JavaScript code in a string to be forwarded and executed in a different JavaScript environment (i.e. from CocoonJS to the WebView and viceversa).
     * @return {string} The result of the execution of the passed JavaScript code in the different JavaScript environment.
     */
    CocoonJS.App.forward = function (javaScriptCode) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_APP", "forward", arguments);
        }
        else if (!navigator.isCocoonJS) {
            if (window.name == 'CocoonJS_App_ForCocoonJS_WebViewIFrame') {
                return window.parent.eval(javaScriptCode);
            }
            else {
                //return window.parent.frames['CocoonJS_App_ForCocoonJS_WebViewIFrame'].window.eval(javaScriptCode);
                return window.frames['CocoonJS_App_ForCocoonJS_WebViewIFrame'].window.eval(javaScriptCode);
            }
        }
    };

    /**
     * Makes a forward call of some javascript code to be executed in a different environment (i.e. from CocoonJS to the WebView and viceversa).
     * It is asyncrhonous so it does not wait until the code is executed and the result of it is returned. Instead, it calls a callback function when the execution has finished to pass the result.
     * @function
     * @param {string} javaScriptCode Some JavaScript code in a string to be forwarded and executed in a different JavaScript environment (i.e. from CocoonJS to the WebView and viceversa).
     * @param {function} [returnCallback] A function callback that will be called when the passed JavaScript code is executed in a different thread to pass the result of the execution in the different JavaScript environment.
     */
    CocoonJS.App.forwardAsync = function (javaScriptCode, returnCallback) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            if (typeof returnCallback !== 'undefined') {
                return ext.IDTK_APP.makeCallAsync("forward", javaScriptCode, returnCallback);
            }
            else {
                return ext.IDTK_APP.makeCallAsync("forward", javaScriptCode);
            }
        }
        else if (!navigator.isCocoonJS) {
            if (window.name == 'CocoonJS_App_ForCocoonJS_WebViewIFrame') {
                return window.parent.eval(javaScriptCode);
            }
            else {
                return window.parent.frames['CocoonJS_App_ForCocoonJS_WebViewIFrame'].window.eval(javaScriptCode);
                // window.frames['CocoonJS_App_ForCocoonJS_WebViewIFrame'].window.eval(javaScriptCode);
            }
        }
    };

    /**
     * Pops up a text dialog so the user can introduce some text and the application can get it back. It is the first approach CocoonJS has taken to be able to introduce
     * text input in a easy way. The dialog execution events are passed to the application through the {@link CocoonJS.App.onTextDialogFinished} and the {@link CocoonJS.App.onTextDialogCancelled} event objects.
     * @function
     * @param {string} [title] Default value is "". The title to be displayed in the dialog.
     * @param {string} [message] Default value is "". The message to be displayed in the dialog, next to the text input field.
     * @param {string} [text] Default value is "". The initial text to be introduced in the text input field.
     * @param {CocoonJS.App.KeyboardType} [keyboardType] Default value is {@link CocoonJS.App.KeyboardType.TEXT}. The keyboard type to be used when the text has to be introduced.
     * @param {string} [cancelButtonText] Default value is "". The text to be displayed in the cancel button of the dialog.
     * @param {string} [okButtonText] Default value is "". The text to be displayed in the ok button of the dialog.
     * @see CocoonJS.App.onTextDialogFinished
     * @see CocoonJS.App.onTextDialogCancelled
     */
    CocoonJS.App.showTextDialog = function (title, message, text, keyboardType, cancelButtonText, okButtonText) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_APP", "showTextDialog", arguments, true);
        }
        else if (!navigator.isCocoonJS) {
            if (!message) {
                message = "";
            }
            if (!text) {
                text = "";
            }
            var result = prompt(message, text);
            var eventObject = result ? CocoonJS.App.onTextDialogFinished : CocoonJS.App.onTextDialogCancelled;
            eventObject.notifyEventListeners(result);
        }
    };

    /**
     * Pops up a message dialog so the user can decide between a yes or no like confirmation. The message box execution events are passed to the application through the {@link CocoonJS.App.onMessageBoxConfirmed} and the {@link CocoonJS.App.onMessageBoxDenied} event objects.
     * @function
     * @param {string} [title] Default value is "". The title to be displayed in the dialog.
     * @param {string} [message] Default value is "". The message to be displayed in the dialog, next to the text input field.
     * @param {string} [confirmButtonText] Default value is "Yes". The text to be displayed for the confirm button.
     * @param {string} [denyButtonText] Default value is "No". The text to be displayed for the deny button.
     * @see CocoonJS.App.onMessageBoxConfirmed
     * @see CocoonJS.App.onMessageBoxDenied
     */
    CocoonJS.App.showMessageBox = function (title, message, confirmButtonText, denyButtonText) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_APP", "showMessageBox", arguments, true);
        }
        else if (!navigator.isCocoonJS) {
            if (!message) {
                message = "";
            }
            var result = confirm(message);
            var eventObject = result ? CocoonJS.App.onMessageBoxConfirmed : CocoonJS.App.onMessageBoxDenied;
            eventObject.notifyEventListeners();
        }
    };

    /**
     * It allows to load a new JavaScript/HTML5 resource that can be loaded either locally (inside the platform/device storage) or using a remote URL.
     * @function
     * @param {string} path A path to a resource stored in the platform or in a URL to a remote resource.
     * @param {CocoonJS.App.StorageType} [storageType] If the path argument represents a locally stored resource, the developer can specify the storage where it is stored. If no value is passes, the {@link CocoonJS.App.StorageType.APP_STORAGE} value is used by default.
     */
    CocoonJS.App.load = function (path, storageType) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_APP", "loadPath", arguments);
        }
        else if (!navigator.isCocoonJS) {
            var xhr = new XMLHttpRequest();

            xhr.onreadystatechange = function (event) {
                if (xhr.readyState === 4) {
                    if (xhr.status === 200) {
                        // TODO: As window load event is not being called (WHY???), I have decided to call the listeners directly
                        // var callback= function(event){
                        //     window.removeEventListener("load", callback);
                        var jsCode;
                        // If there is no webview, it means we are in the webview, so notify the CocoonJS environment
                        if (!CocoonJS.App.EmulatedWebViewIFrame) {
                            jsCode = "window.CocoonJS && window.CocoonJS.App.onLoadInTheWebViewSucceed.notifyEventListeners('" + path + "');";
                        }
                        // If there is a webview, it means we are in CocoonJS, so notify the webview environment
                        else {
                            jsCode = "window.CocoonJS && window.CocoonJS.App.onLoadInCocoonJSSucceed.notifyEventListeners('" + path + "');";
                        }
                        CocoonJS.App.forwardAsync(jsCode);
                        // };
                        // window.addEventListener("load", callback);
                        window.location.href = path;
                    }
                    else if (xhr.status === 404) {
                        this.onreadystatechange = null;
                        var jsCode;
                        // If there is no webview, it means we are in the webview, so notify the CocoonJS environment
                        if (!CocoonJS.App.EmulatedWebViewIFrame) {
                            jsCode = "CocoonJS && CocoonJS.App.onLoadInTheWebViewFailed.notifyEventListeners('" + path + "');";
                        }
                        // If there is a webview, it means we are in CocoonJS, so notify the webview environment
                        else {
                            jsCode = "CocoonJS && CocoonJS.App.onLoadInCocoonJSFailed.notifyEventListeners('" + path + "');";
                        }
                        CocoonJS.App.forwardAsync(jsCode);
                    }
                }
            };
            xhr.open("GET", path, true);
            xhr.send();
        }
    };

    /**
     * Reloads the last loaded path in the current context.
     * @function
     */
    CocoonJS.App.reload = function () {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_APP", "reload", arguments);
        }
        else if (!navigator.isCocoonJS) {
            if (window.name == 'CocoonJS_App_ForCocoonJS_WebViewIFrame') {
                return window.parent.location.reload();
            }
            else {
                return window.parent.frames['CocoonJS_App_ForCocoonJS_WebViewIFrame'].window.location.reload();
            }
        }
    };

    /**
     * Opens a given URL using a system service that is able to open it. For example, open a HTTP URL using the system WebBrowser.+
     * @function
     * @param {string} url The URL to be opened by a system service.
     */
    CocoonJS.App.openURL = function (url) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_APP", "openURL", arguments, true);
        }
        else if (!navigator.isCocoonJS) {
            window.open(url, '_blank');
        }
    }

    /**
     * Forces the app to be finished.
     * @function
     */
    CocoonJS.App.forceToFinish = function () {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_APP", "forceToFinish", arguments);
        }
        else if (!navigator.isCocoonJS) {
            window.close();
        }
    }

    /**
     * Enables or disables the auto lock to control if the screen keeps on after an inactivity period.
     * When the auto lock is enabled and the application has no user input for a short period, the system puts the device into a "sleepâ€ state where the screen dims or turns off.
     * When the auto lock is disabled the screen keeps on even when there is no user input for long times.
     * @param enabled A boolean value that controls whether to enable or disable the auto lock.
     */
    CocoonJS.App.setAutoLockEnabled = function (enabled) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_APP", "setAutoLockEnabled", arguments);
        }
    }

    /**
     * Creates a canvas element that is automatically resized to the screen size. When the app is being executed
     * inside CocoonJS. This canvas is optimized for rendering so it is higly recommended to use it if it fits
     * your app needs. If your app uses one canvas as the main canvas where all other canvases and images are displayed, Ludei recommends to
     * call this function in order to create this main canvas. A usual 2x performance gain is achieved by doing so
     * depending on the device and the graphics card driver.
     * @function
     * @return {object} The canvas object that should be used as the main canvas and that is resized to the screen resolution.
     */
    CocoonJS.App.createScreenCanvas = function () {
        var screenCanvas;
        if (navigator.isCocoonJS) {
            screenCanvas = document.createElement("screencanvas");
        }
        else if (!navigator.isCocoonJS) {
            screenCanvas = document.createElement("canvas");
            screenCanvas.width = window.innerWidth;
            screenCanvas.height = window.innerHeight;
        }
        return screenCanvas;
    };

    /**
     * Disables the touch events in the CocoonJS environment.
     * @function
     */
    CocoonJS.App.disableTouchInCocoonJS = function () {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            window.ext.IDTK_APP.makeCall("disableTouchLayer", "CocoonJSView");
        }
    };

    /**
     * Enables the touch events in the CocoonJS environment.
     * @function
     */
    CocoonJS.App.enableTouchInCocoonJS = function () {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            window.ext.IDTK_APP.makeCall("enableTouchLayer", "CocoonJSView");
        }
    };

    /**
     * Disables the touch events in the WebView environment.
     * @function
     */
    CocoonJS.App.disableTouchInTheWebView = function () {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            window.ext.IDTK_APP.makeCall("disableTouchLayer", "WebView");
        }
    };

    /**
     * Enables the touch events in the WebView environment.
     * @function
     */
    CocoonJS.App.enableTouchInTheWebView = function () {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            window.ext.IDTK_APP.makeCall("enableTouchLayer", "WebView");
        }
    };

    /**
     * Setups the update interval in seconds (1 second / X frames) to receive the accelerometer updates.
     * It defines the rate at which the devicemotion events are updated.
     * @function
     * @param {number} updateIntervalInSeconds The update interval in seconds to be set.
     */
    CocoonJS.App.setAccelerometerUpdateIntervalInSeconds = function (updateIntervalInSeconds) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            return window.ext.IDTK_APP.makeCall("setAccelerometerUpdateIntervalInSeconds", updateIntervalInSeconds);
        }
    };

    /**
     * Returns the update interval in seconds that is currently set for accelerometer related events.
     * @function
     * @return {number} The update interval in seconds that is currently set for accelerometer related events.
     */
    CocoonJS.App.getAccelerometerUpdateIntervalInSeconds = function () {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            return window.ext.IDTK_APP.makeCall("getAccelerometerUpdateIntervalInSeconds");
        }
    };

    /**
     * Setups the update interval in seconds (1 second / X frames) to receive the gyroscope updates.
     * It defines the rate at which the devicemotion and deviceorientation events are updated.
     * @function
     * @param {number} updateIntervalInSeconds The update interval in seconds to be set.
     */
    CocoonJS.App.setGyroscopeUpdateIntervalInSeconds = function (updateIntervalInSeconds) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            return window.ext.IDTK_APP.makeCall("setGyroscopeUpdateIntervalInSeconds", updateIntervalInSeconds);
        }
    };

    /**
     * Returns the update interval in seconds that is currently set for gyroscope related events.
     * @function
     * @return {number} The update interval in seconds that is currently set for gyroscope related events.
     */
    CocoonJS.App.getGyroscopeUpdateIntervalInSeconds = function () {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            window.ext.IDTK_APP.makeCall("getGyroscopeUpdateIntervalInSeconds");
        }
    };


    /**
     * Setups a origin proxy for a given typeName. What this means is that after calling this function the environment that makes this call will suddenly
     * have a way of creating instances of the given typeName and those instances will act as a transparent proxy to counterpart instances in the destination environment.
     * Manipulating attributes, calling funcitions or handling events will all be performed in the destination environment but the developer will think they will be
     * happening in the origin environment.
     * IMPORTANT NOTE: These proxies only work with types that use attributes and function parameters and return types that are primitive like numbers, strings or arrays.
     * @param {string} typeName The name of the type to be proxified.
     * @param {array} [attributeNames] A list of the names of the attributes to be proxified.
     * @param {array} [functionNames] A list of the names of the functions to be proxified.
     * @param {array} [eventHandlerNames] A list of the names of the event handlers to be proxified (onXXXX like attributes that represent callbacks).
     * A valid typeName and at least one valid array for attribute, function or event handler names is mandatory.
     */
    CocoonJS.App.setupOriginProxyType = function (typeName, attributeNames, functionNames, eventHandlerNames) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            // Control the parameters.
            if (!typeName) throw "The given typeName must be valid.";
            if (!attributeNames && !functionNames && !eventHandlerNames) throw "There is no point on setting up a proxy for no attributes, functions nor eventHandlers.";
            attributeNames = attributeNames ? attributeNames : [];
            functionNames = functionNames ? functionNames : [];
            eventHandlerNames = eventHandlerNames ? eventHandlerNames : [];

            // The parent object will be the window. It could be another object but careful, the destination side should know about this.
            // TODO: Specify the parentObject as a parameter, obtain it's path from the window object and pass it to the destination environment so it knows about it.
            var parentObject = window;

            // Setup the destination side too.
            var jsCode = "CocoonJS.App.setupDestinationProxyType(" + JSON.stringify(typeName) + ", " + JSON.stringify(eventHandlerNames) + ");";
            CocoonJS.App.forward(jsCode);

            var originalType = parentObject[typeName];

            // Constructor. This will be the new proxified type in the origin environment. Instances of this type will be created by the developer without knowing that they are
            // internally calling to their counterparts in the destination environment.
            parentObject[typeName] = function () {
                var _this = this;

                // Each proxy object will have a origin object inside with all the necessary information to be a proxy to the destination.
                this._cocoonjs_proxy_object_data = {};
                // The id is obtained calling to the destination side to create an instance of the type.
                var jsCode = "CocoonJS.App.newDestinationProxyObject(" + JSON.stringify(typeName) + ");";
                this._cocoonjs_proxy_object_data.id = CocoonJS.App.forward(jsCode);
                // The eventHandlers dictionary contains objects of the type { eventHandlerName : string, eventHandler : function } to be able to make the callbacks when the 
                // webview makes the corresponding calls.
                this._cocoonjs_proxy_object_data.eventHandlers = {};
                // Also store the typename inside each instance.
                this._cocoonjs_proxy_object_data.typeName = typeName;
                // A dictionary to store the event handlers
                this._cocoonjs_proxy_object_data.eventListeners = {};

                // TODO: eventHandlers and eventListeners should be in the same list ;)

                // Store all the proxy instances in a list that belongs to the type itself.
                parentObject[typeName]._cocoonjs_proxy_type_data.proxyObjects[this._cocoonjs_proxy_object_data.id] = this;

                // Create a setter and a getter for all the attribute names that have been specified. When the attributes are accessed (set or get) a call to the destination counterpart will be performed.
                for (var i = 0; i < attributeNames.length; i++) {
                    (function (attributeName) {
                        _this.__defineSetter__(attributeName, function (value) {
                            var jsCode = "CocoonJS.App.setDestinationProxyObjectAttribute(" + JSON.stringify(typeName) + ", " + _this._cocoonjs_proxy_object_data.id + ", " + JSON.stringify(attributeName) + ", " + JSON.stringify(value) + ");";
                            return CocoonJS.App.forwardAsync(jsCode);
                        });
                        _this.__defineGetter__(attributeName, function () {
                            var jsCode = "CocoonJS.App.getDestinationProxyObjectAttribute(" + JSON.stringify(typeName) + ", " + _this._cocoonjs_proxy_object_data.id + ", " + JSON.stringify(attributeName) + ");";
                            return CocoonJS.App.forwardAsync(jsCode);
                        });
                    })(attributeNames[i]);
                }

                // Create a function that performs a call to the destination environment counterpart for all the function names that have been specified.
                for (var i = 0; i < functionNames.length; i++) {
                    (function (functionName) {
                        _this[functionName] = function () {
                            // Get the arguments as an array and add the typeName, the proxy id and the functionName before all the other arguments before making the call to the destination counterpart.
                            var argumentsArray = Array.prototype.slice.call(arguments);
                            argumentsArray.unshift(functionName);
                            argumentsArray.unshift(this._cocoonjs_proxy_object_data.id);
                            argumentsArray.unshift(typeName);
                            // Use the array to create the correct function call.
                            var jsCode = "CocoonJS.App.callDestinationProxyObjectFunction(";
                            for (var i = 0; i < argumentsArray.length; i++) {
                                // The second argument (the id) should not be stringified
                                jsCode += (i !== 1 ? JSON.stringify(argumentsArray[i]) : argumentsArray[i]) + (i < argumentsArray.length - 1 ? ", " : "");
                            }
                            jsCode += ");";
                            // TODO: This next call should be synchronous but it seems that some customers are experiencing some crash issues. Making it async solves these crashes.
                            // Another possible solution could be to be able to specify which calls could be async and which sync in the proxification array.
                            var ret = CocoonJS.App.forwardAsync(jsCode);
                            return ret;
                        };
                    })(functionNames[i]);
                }

                // Create a setter and getter for all the event handler names that have been specified. When the event handlers are accessed, store them inside the corresponding position on the eventHandlers
                // array so they can be called when the destination environment makes the corresponding callback call.
                for (var i = 0; i < eventHandlerNames.length; i++) {
                    (function (eventHandlerName) {
                        _this.__defineSetter__(eventHandlerName, function (value) {
                            _this._cocoonjs_proxy_object_data.eventHandlers[eventHandlerName] = value;
                        });
                        _this.__defineGetter__(eventHandlerName, function () {
                            return _this._cocoonjs_proxy_object_data.eventHandlers[eventHandlerName];
                        });
                    })(eventHandlerNames[i]);
                }

                // Setup the add and remove event listeners in the proxy object
                _this.addEventListener = function (eventTypeName, eventCallback) {
                    var addEventCallback = true;
                    // Check for the eventListeners
                    var eventListeners = _this._cocoonjs_proxy_object_data.eventListeners[eventTypeName];
                    if (eventListeners) {
                        // As the eventListeners were already added, check that the same callback has not been added.
                        addEventCallback = eventListeners.indexOf(eventCallback) < 0;
                    }
                    else {
                        // There are no event listeners, so add the one and add the listeners array for the specific event type name
                        eventListeners = [];
                        _this._cocoonjs_proxy_object_data.eventListeners[eventTypeName] = eventListeners;

                        // Forward the call so the other end registers a event listener (only one is needed).
                        var jsCode = "CocoonJS.App.addDestinationProxyObjectEventListener(" + JSON.stringify(_this._cocoonjs_proxy_object_data.typeName) + ", " + _this._cocoonjs_proxy_object_data.id + ", " + JSON.stringify(eventTypeName) + ");";
                        CocoonJS.App.forwardAsync(jsCode);
                    }
                    // Only if the alforithm above specify so, add the eventcallback and notify the destination environment to do the same
                    if (addEventCallback) {
                        eventListeners.push(eventCallback);
                    }
                };

                _this.removeEventListener = function (eventTypeName, eventCallback) {
                    // Check for the eventListeners
                    var eventListeners = _this._cocoonjs_proxy_object_data.eventListeners[eventTypeName];
                    if (eventListeners) {
                        var eventCallbackIndex = eventListeners.indexOf(eventCallback);
                        if (eventCallbackIndex >= 0) {
                            eventListeners.splice(eventCallbackIndex, 1);
                        }
                    }
                };

                // Return the proxy instance.
                return this;
            };

            // The type will contain a proxy data structure to store all the instances that are created so they are available when the destination environment calls back. 
            parentObject[typeName]._cocoonjs_proxy_type_data =
            {
                originalType:originalType,
                proxyObjects:[]
            };

            /**
             * Deletes a proxy instance from both the CocoonJS environment structures and also deleting it's webview environment counterpart.
             * This function should be manually called whenever a proxy instance won't be accessed anymore.
             * @param {object} object The proxy object to be deleted.
             */
            parentObject[typeName]._cocoonjs_proxy_type_data.deleteProxyObject = function (object) {
                var proxyObjectKey = CocoonJS.getKeyForValueInDictionary(this.proxyObjects, object);
                if (proxyObjectKey) {
                    var jsCode = "CocoonJS.App.deleteDestinationProxyObject(" + JSON.stringify(typeName) + ", " + object._cocoonjs_proxy_object_data.id + ");";
                    CocoonJS.App.forwardAsync(jsCode);
                    object._cocoonjs_proxy_object_data = null;
                    delete this.proxyObjects[proxyObjectKey];
                }
            };

            /**
             * Calls a event handler for the given proxy object id and eventHandlerName.
             * @param {number} id The id to be used to look for the proxy object for which to make the call to it's event handler.
             * @param {string} eventHandlerName The name of the handler to be called.
             * NOTE: Events are a complex thing in the HTML specification. This function just performs a call but at least provides a
             * structure to the event passing the target (the proxy object).
             * TODO: The destination should serialize the event object as far as it can so many parameters can be passed to the origin
             * side. Using JSON.stringify in the destination side and parse in origin side maybe? Still must add the target to the event structure though.
             */
            parentObject[typeName]._cocoonjs_proxy_type_data.callProxyObjectEventHandler = function (id, eventHandlerName) {
                var object = this.proxyObjects[id];
                var eventHandler = object._cocoonjs_proxy_object_data.eventHandlers[eventHandlerName];
                if (eventHandler) {
                    eventHandler({ target:object });
                }
            };

            parentObject[typeName]._cocoonjs_proxy_type_data.callProxyObjectEventListeners = function (id, eventTypeName) {
                var object = this.proxyObjects[id];
                var eventListeners = object._cocoonjs_proxy_object_data.eventListeners[eventTypeName].slice();
                for (var i = 0; i < eventListeners.length; i++) {
                    eventListeners[i]({ target:object });
                }
            };
        }
    };

    /**
     * Takes down the proxification of a type and restores it to it's original type. Do not worry if you pass a type name that is not proxified yet. The
     * function will handle it correctly for compativility reasons.
     * @param {string} typeName The name of the type to be deproxified (take down the proxification and restore the type to it's original state)
     */
    CocoonJS.App.takedownOriginProxyType = function (typeName) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            var parentObject = window;
            if (parentObject[typeName] && parentObject[typeName]._cocoonjs_proxy_type_data) {
                parentObject[typeName] = parentObject[typeName]._cocoonjs_proxy_type_data.originalType;
            }
        }
    };

    /**
     * Deletes everything related to a proxy object in both environments. Do not worry of you do not pass a proxified object to the
     * function. For compatibility reasons, you can still have calls to this function even when no poxification of a type has been done.
     * @param {object} object The proxified object to be deleted.
     */
    CocoonJS.App.deleteOriginProxyObject = function (object) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            var parentObject = window;
            if (object && object._cocoonjs_proxy_object_data) {
                parentObject[object._cocoonjs_proxy_object_data.typeName]._cocoonjs_proxy_type_data.deleteProxyObject(object);
            }
        }
    };

    /**
     * NOTE: This function should never be directly called. It will be called from the destination environment whenever it is needed to work with proxy objects.
     * It calls the origin proxy object when an event handler need to be updated/called from the destination environment.
     * @param {string} typeName The type name of the proxified type.
     * @param {number} id The id of the proxy object.
     * @param {string} eventHandlerName The name of the event handler to be called.
     */
    CocoonJS.App.callOriginProxyObjectEventHandler = function (typeName, id, eventHandlerName) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            var parentObject = window;
            parentObject[typeName]._cocoonjs_proxy_type_data.callProxyObjectEventHandler(id, eventHandlerName);
        }
    };

    /**
     * NOTE: This function should never be directly called. It will be called from the destination environment whenever it is needed to work with proxy objects.
     * It calls the origin proxy object when all the event listeners related to a specific event need to be updated/called from the destination environment.
     * @param {string} typeName The type name of the proxified type.
     * @param {number} id The id of the proxy object.
     * @param {string} eventTypeName The name of the event type to call the listeners related to it.
     */
    CocoonJS.App.callOriginProxyObjectEventListeners = function (typeName, id, eventTypeName) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            var parentObject = window;
            parentObject[typeName]._cocoonjs_proxy_type_data.callProxyObjectEventListeners(id, eventTypeName);
        }
    };

    /**
     * NOTE: This function should never be directly called. It will be called from the origin environment whenever it is needed to work with proxy objects.
     * Setups all the structures that are needed to proxify a destination type to an origin type.
     * @param {string} typeName The name of the type to be proxified.
     * @param {array} eventHandlerNames An array with al the event handlers to be proxified. Needed in order to be able to create callbacks for all the event handlers
     * and call to the CocoonJS counterparts accordingly.
     */
    CocoonJS.App.setupDestinationProxyType = function (typeName, eventHandlerNames) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            var parentObject = window;

            // Add a cocoonjs structure to the destination proxified type to store some useful information like all the proxy instances that are created, plus the id counter 
            // and the names of all the event handlers and some utility functions.
            parentObject[typeName]._cocoonjs_proxy_type_data =
            {
                nextId:0,
                proxyObjects:{},
                eventHandlerNames:eventHandlerNames
            }
        }
    };

    /**
     * NOTE: This function should never be directly called. It will be called from the origin environment whenever it is needed to work with proxy objects.
     * Takes down the proxy type at the destination environment. Just removes the data structure related to proxies that was added to the type when proxification tool place.
     * @param {string} typeName The name of the type to take the proxification down.
     */
    CocoonJS.App.takedownDestinationProxyType = function (typeName) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            var parentObject = window;
            if (parent[typeName] && parentObject[typeName]._cocoonjs_proxy_type_data) {
                delete parentObject[typeName]._cocoonjs_proxy_type_data;
            }
        }
    };

    /**
     * NOTE: This function should never be directly called. It will be called from the original environment whenever it is needed to work with proxy objects.
     * Creates a new destination object instance and generates a id to reference it from the original environment.
     * @param {string} typeName The name of the type to be proxified and to generate an instance.
     * @return The id to be used from the original environment to identify the corresponding destination object instance.
     */
    CocoonJS.App.newDestinationProxyObject = function (typeName) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            var parentObject = window;

            var proxyObject = new parentObject[typeName]();
            // Also store some additional information in the proxy object
            proxyObject._cocoonjs_proxy_object_data = {};
            // Like the type name, that could be useful late ;)
            proxyObject._cocoonjs_proxy_object_data.typeName = typeName;
            // Caculate the id for the object. It will be returned to the origin environment so this object can be referenced later
            var proxyObjectId = parentObject[typeName]._cocoonjs_proxy_type_data.nextId;
            // Store the created object in the structure defined in the setup of proxification with an id associated to it
            parentObject[typeName]._cocoonjs_proxy_type_data.proxyObjects[proxyObjectId] = proxyObject;
            // Also store the id inside the proxy object itself
            proxyObject._cocoonjs_proxy_object_data.id = proxyObjectId;
            // Calculate a new id for the next object.
            parentObject[typeName]._cocoonjs_proxy_type_data.nextId++;

            // Setup all the event handlers.
            for (var i = 0; i < parentObject[typeName]._cocoonjs_proxy_type_data.eventHandlerNames.length; i++) {
                (function (eventHandlerName) {
                    proxyObject[eventHandlerName] = function (event) {
                        var proxyObject = this; // event.target;
                        // var eventHandlerName = CocoonJS.getKeyForValueInDictionary(proxyObject, this); // Avoid closures ;)
                        var jsCode = "CocoonJS.App.callOriginProxyObjectEventHandler(" + JSON.stringify(proxyObject._cocoonjs_proxy_object_data.typeName) + ", " + proxyObject._cocoonjs_proxy_object_data.id + ", " + JSON.stringify(eventHandlerName) + ");";
                        CocoonJS.App.forwardAsync(jsCode);
                    };
                })(parentObject[typeName]._cocoonjs_proxy_type_data.eventHandlerNames[i]);
            }

            // Add the dictionary where the event listeners (callbacks) will be added.
            proxyObject._cocoonjs_proxy_object_data.eventListeners = {};

            return proxyObjectId;
        }
    };

    /**
     * NOTE: This function should never be directly called. It will be called from the origin environement whenever it is needed to work with proxy objects.
     * Calls a function of a destination object idetified by it's typeName and id.
     * @param {string} typeName The name of the type of the proxy.
     * @param {number} id The id of the proxy object.
     * @param {string} functionName The name of the function to be called.
     * @return Whatever the function call returns.
     */
    CocoonJS.App.callDestinationProxyObjectFunction = function (typeName, id, functionName) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            var parentObject = window;
            var argumentsArray = Array.prototype.slice.call(arguments);
            argumentsArray.splice(0, 3);
            var proxyObject = parentObject[typeName]._cocoonjs_proxy_type_data.proxyObjects[id];
            var result = proxyObject[functionName].apply(proxyObject, argumentsArray);
            return result;
        }
    };

    /**
     * NOTE: This function should never be directly called. It will be called from the original environment whenever it is needed to work with proxy objects.
     * Sets a value to the corresponding attributeName of a proxy object represented by it's typeName and id.
     * @param {string} typeName The name of the type of the proxy.
     * @param {number} id The id of the proxy object.
     * @param {string} attributeName The name of the attribute to be set.
     * @param {unknown} attributeValue The value to be set to the attribute.
     */
    CocoonJS.App.setDestinationProxyObjectAttribute = function (typeName, id, attributeName, attributeValue) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            var parentObject = window;
            var proxyObject = parentObject[typeName]._cocoonjs_proxy_type_data.proxyObjects[id];
            proxyObject[attributeName] = attributeValue;
        }
    };

    /**
     * NOTE: This function should never be directly called. It will be called from the original environment whenever it is needed to work with proxy objects.
     * Retrieves the value of the corresponding attributeName of a proxy object represented by it's typeName and id.
     * @param {string} typeName The name of the type of the proxy.
     * @param {number} id The id of the proxy object.
     * @param {string} attributeName The name of the attribute to be retrieved.
     */
    CocoonJS.App.getDestinationProxyObjectAttribute = function (typeName, id, attributeName) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            var parentObject = window;
            var proxyObject = parentObject[typeName]._cocoonjs_proxy_type_data.proxyObjects[id];
            return proxyObject[attributeName];
        }
    };

    /**
     * NOTE: This function should never be directly called. It will be called from the original environment whenever it is needed to work with proxy objects.
     * Deletes a proxy object identifying it using it's typeName and id. Deleting a proxy object mainly means to remove the instance from the global structure
     * that hold all the instances.
     * @param {string} typeName The name of the type of the proxy.
     * @param {number} id The id of the proxy object.
     */
    CocoonJS.App.deleteDestinationProxyObject = function (typeName, id) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            var parentObject = window;
            delete parentObject[typeName]._cocoonjs_proxy_type_data.proxyObjects[id];
        }
    };

    /**
     * NOTE: This function should never be directly called. It will be called from the original environment whenever it is needed to work with proxy objects.
     */
    CocoonJS.App.addDestinationProxyObjectEventListener = function (typeName, id, eventTypeName) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            var parentObject = window;
            // Look for the proxy object
            var proxyObject = parentObject[typeName]._cocoonjs_proxy_type_data.proxyObjects[id];

            var callback = function (event) {
                var proxyObject = this; // event.target;
                // var eventTypeName = CocoonJS.getKeyForValueInDictionary(proxyObject._cocoonjs_proxy_object_data.eventListeners, this); // Avoid closures ;)
                // TODO: Is there a way to retrieve the callbackId without a closure?
                var jsCode = "CocoonJS.App.callOriginProxyObjectEventListeners(" + JSON.stringify(proxyObject._cocoonjs_proxy_object_data.typeName) + ", " + proxyObject._cocoonjs_proxy_object_data.id + ", " + JSON.stringify(eventTypeName) + ");";
                CocoonJS.App.forwardAsync(jsCode);
            };

            proxyObject._cocoonjs_proxy_object_data.eventListeners[eventTypeName] = callback;

            // Finally add the event listener callback to the proxy object
            proxyObject.addEventListener(eventTypeName, callback);
        }
    };

    // TODO: We could add a removeDestinationProxyObjectEventListener although it seems that is not completely necessary.

    /**
     * Proxifies the XMLHttpRequest type for the environment where this call is made. After calling this function, all the new objects
     * of XMLHttpRequest that are instantiated, will be proxified objects that will make calls to the counterparts in the other environment (CocoonJS <-> WebView viceversa).
     * IMPORTANT NOTE: Remember to take down the proxification once you are done or to delete proxy objects whenever they are not needed anymore or memory leaks may occur.
     */
    CocoonJS.App.proxifyXHR = function () {
        var ATTRIBUTE_NAMES =
            [
                "timeout",
                "withCredentials",
                "upload",
                "status",
                "statusText",
                "responseType",
                "response",
                "responseText",
                "responseXML",
                "readyState"
            ];
        var FUNCTION_NAMES =
            [
                "open",
                "setRequestHeader",
                "send",
                "abort",
                "getResponseHeader",
                "getAllResponseHeaders",
                "overrideMimeType"
            ];
        var EVENT_HANDLER_NAMES =
            [
                "onloadstart",
                "onprogress",
                "onabort",
                "onerror",
                "onload",
                "ontimeout",
                "onloadend",
                "onreadystatechange"
            ];
        CocoonJS.App.setupOriginProxyType("XMLHttpRequest", ATTRIBUTE_NAMES, FUNCTION_NAMES, EVENT_HANDLER_NAMES);
    };

    /**
     * Proxifies the Audio type for the environment where this call is made. After calling this function, all the new objects
     * of Audio that are instantiated, will be proxified objects that will make calls to the counterparts in the other environment (CocoonJS <-> WebView viceversa).
     * IMPORTANT NOTE: Remember to take down the proxification once you are done or to delete proxy objects whenever they are not needed anymore or memory leaks may occur.
     */
    CocoonJS.App.proxifyAudio = function () {
        var ATTRIBUTE_NAMES =
            [
                "src",
                "loop",
                "volume",
                "preload"
            ];
        var FUNCTION_NAMES =
            [
                "play",
                "pause",
                "load",
                "canPlayType"
            ];
        var EVENT_HANDLER_NAMES =
            [
                "onended",
                "oncanplay",
                "oncanplaythrough",
                "onerror"
            ];
        CocoonJS.App.setupOriginProxyType("Audio", ATTRIBUTE_NAMES, FUNCTION_NAMES, EVENT_HANDLER_NAMES);
    };

    /**
     * Captures a image of the screen synchronously and saves it to a file. Sync mode allows to capture the screen in the middle of a frame rendering.
     * @param {string} fileName Desired file name and format (png or jpg). If no value is passed, "capture.png" value is used by default
     * @param {CocoonJS.App.StorageType} storageType The developer can specify the storage where it is stored. If no value is passed, the {@link CocoonJS.App.StorageType.TMP_STORAGE} value is used by default.
     * @param {CocoonJS.App.CaptureType} captureType. Optional value to choose capture type. [0: captures everything, 1: only captures cocoonjs surface 2: only captures system views]. @see CocoonJS.App.CaptureType
     * @return The URL of the saved file.
     * @throws exception if the image fails to be stored or there is another error.
     * @see CocoonJS.App.onCaptureScreenSucceeded
     * @see CocoonJS.App.onCaptureScreenFailed
     */
    CocoonJS.App.captureScreen = function (fileName, storageType, captureType) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            return window.ext.IDTK_APP.makeCall("captureScreen", fileName, storageType, captureType);
        }
    };

    /**
     * Captures a image of the screen asynchronously and saves it to a file.
     * Async mode captures a final frame as soon as possible.
     * @param {string} Desired file name and format (png or jpg). If no value is passed, "capture.png" value is used by default
     * @param {CocoonJS.App.StorageType} [storageType] The developer can specify the storage where it is stored. If no value is passed, the {@link CocoonJS.App.StorageType.TMP_STORAGE} value is used by default.
     * @param {CocoonJS.App.CaptureType} captureType. Optional value to choose capture type. [0: captures everything, 1: only captures cocoonjs surface, 2: only captures system views]. @see CocoonJS.App.CaptureType
     * @param {function} callback. Response callback, check the error property to monitor errors. Check the 'url' property to get the URL of the saved Image
     */
    CocoonJS.App.captureScreenAsync = function (fileName, storageType, captureType, callback) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            window.ext.IDTK_APP.makeCallAsync("captureScreen", fileName, storageType, captureType, callback);
        }
    };

    /**
     * Returns the device UUID
     * @return {string} The device UUID
     */
    CocoonJS.App.getDeviceId = function() {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            return window.ext.IDTK_APP.makeCall("getDeviceId");
        }
    };

    /**
     * Structure that defines the getDeviceInfo returned information
     */
    CocoonJS.App.DeviceInfo = {

        /**
        * The operating system name (ios, android,...)
        * @type string
        */
        os: null,

        /**
        * The operating system version (4.2.2, 5.0,...)
        * @type string
        */
        version: null,

        /**
        * The operating system screen density in dpi
        * @type string
        */
        dpi: null,

        /**
        * The device manufacturer (apple, samsung, lg,...)
        * @type string
        */
        brand: null,

        /**
        * The device model (iPhone 4S, SAMSUNG-SGH-I997, SAMSUNG-SGH-I997R, etc)
        * @type string
        */
        model: null,

        /**
        * The phone IMEI
        * Android: The phone IMEI is returned or null if the device has not telepohny
        * iOS: null is returned as we cannot get the IMEI in iOS, no public API available for that yet.
        * @type string
        */
        imei: null,

        /**
        * The platform Id
        * Android: The ANDROID_ID is used.
        * iOS: The OpenUDID is used as there is no Android ANDROID_ID equivalent in iOS
        * @type string
        */
        platformId: null,

        /**
        * The Odin generated id https://code.google.com/p/odinmobile/
        * @type string
        */
        odin: null,

        /**
        * The OpenUDID generated Id https://github.com/ylechelle/OpenUDID
        * @type string
        */
        openudid: null
    };

    /**
     * Returns the device Info
     * @return {CocoonJS.App.DeviceInfo} The device Info
     */
    CocoonJS.App.getDeviceInfo = function() {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            return window.ext.IDTK_APP.makeCall("getDeviceInfo");
        }
    };    

    /**
     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.App.onTextDialogFinished} event calls.
     * @name OnTextDialogFinishedListener
     * @function
     * @static
     * @memberOf CocoonJS.App
     * @param {string} text The text that was introduced in the text dialog when it was finished.
     */
    /**
     * This {@link CocoonJS.EventHandler} object allows listening to events called when the text dialog is finished by accepting it's content.
     * The callback function's documentation is represented by {@link CocoonJS.App.OnTextDialogFinishedListener}
     * @event
     * @static
     * @memberOf CocoonJS.App
     */
    CocoonJS.App.onTextDialogFinished = new CocoonJS.EventHandler("IDTK_APP", "App", "ontextdialogfinish");

    /**
     * This {@link CocoonJS.EventHandler} object allows listening to events called when the text dialog is finished by dismissing it's content.
     * The callback function does not receive any parameter.
     * @event
     * @static
     * @memberOf CocoonJS.App
     */
    CocoonJS.App.onTextDialogCancelled = new CocoonJS.EventHandler("IDTK_APP", "App", "ontextdialogcancel");

    /**
     * This {@link CocoonJS.EventHandler} object allows listening to events called when the text dialog is finished by accepting it's content.
     * The callback function does not receive any parameter.
     * @event
     * @static
     * @memberOf CocoonJS.App
     */
    CocoonJS.App.onMessageBoxConfirmed = new CocoonJS.EventHandler("IDTK_APP", "App", "onmessageboxconfirmed");

    /**
     * This {@link CocoonJS.EventHandler} object allows listening to events called when the text dialog is finished by dismissing it's content.
     * The callback function does not receive any parameter.
     * @event
     * @static
     * @memberOf CocoonJS.App
     */
    CocoonJS.App.onMessageBoxDenied = new CocoonJS.EventHandler("IDTK_APP", "App", "onmessageboxdenied");

    /**
     * This {@link CocoonJS.EventHandler} object allows listening to events called when the application is suspended.
     * The callback function does not receive any parameter.
     * @event
     * @static
     * @memberOf CocoonJS.App
     */
    CocoonJS.App.onSuspended = new CocoonJS.EventHandler("IDTK_APP", "App", "onsuspended");

    /**
     * This {@link CocoonJS.EventHandler} object allows listening to events called when the application is activated.
     * The callback function does not receive any parameter.
     * @event
     * @static
     * @memberOf CocoonJS.App
     */
    CocoonJS.App.onActivated = new CocoonJS.EventHandler("IDTK_APP", "App", "onactivated");

})();

//////////////////////////////////////
// COCOONJS_APP_FORCOCOONJS.JS		//
//////////////////////////////////////

(function()
{
    if (typeof window.CocoonJS === 'undefined' || window.CocoonJS === null) throw("The CocoonJS object must exist and be valid before adding more functionalities to an extension.");
    if (typeof window.CocoonJS.App === 'undefined' || window.CocoonJS.App === null) throw("The CocoonJS.App object must exist and be valid before adding more functionalities to it.");

    /**
    * This namespace represents all the basic functionalities available in the CocoonJS extension API.
    * @namespace
    */
    CocoonJS.App = CocoonJS.App ? CocoonJS.App : {};

    if (!CocoonJS.App.nativeExtensionObjectAvailable)
    {
        (function createWebView() { 
            CocoonJS.App.EmulatedWebView = document.createElement('div'); 
            CocoonJS.App.EmulatedWebView.setAttribute('id', 'CocoonJS_App_ForCocoonJS_WebViewDiv'); 
            CocoonJS.App.EmulatedWebView.style.width = 0; 
            CocoonJS.App.EmulatedWebView.style.height = 0; 
            CocoonJS.App.EmulatedWebView.style.position = "absolute"; 
            CocoonJS.App.EmulatedWebView.style.left = 0; 
            CocoonJS.App.EmulatedWebView.style.top = 0;
            CocoonJS.App.EmulatedWebView.style.backgroundColor = 'transparent';
            CocoonJS.App.EmulatedWebView.style.border = "0px solid #000"; 
            CocoonJS.App.EmulatedWebViewIFrame = document.createElement("IFRAME"); 
            CocoonJS.App.EmulatedWebViewIFrame.setAttribute('id', 'CocoonJS_App_ForCocoonJS_WebViewIFrame');
            CocoonJS.App.EmulatedWebViewIFrame.setAttribute('name', 'CocoonJS_App_ForCocoonJS_WebViewIFrame');
            CocoonJS.App.EmulatedWebViewIFrame.style.width = 0; 
            CocoonJS.App.EmulatedWebViewIFrame.style.height = 0; 
            CocoonJS.App.EmulatedWebViewIFrame.frameBorder = 0;
            CocoonJS.App.EmulatedWebViewIFrame.allowtransparency = true;
            CocoonJS.App.EmulatedWebView.appendChild(CocoonJS.App.EmulatedWebViewIFrame);
            if(!document.body)
            document.body = document.createElement("body");
            document.body.appendChild(CocoonJS.App.EmulatedWebView);
        })(); 
    }

    /**
    * Pauses the CocoonJS JavaScript execution loop.
    * @function
    * @augments CocoonJS.App
    */
    CocoonJS.App.pause = function()
    {
        if (CocoonJS.App.nativeExtensionObjectAvailable)
        {
            return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_APP", "pause", arguments);
        }
    };

    /**
    * Resumes the CocoonJS JavaScript execution loop.
    * @static
    * @function
    */
    CocoonJS.App.resume = function()
    {
        if (CocoonJS.App.nativeExtensionObjectAvailable)
        {
            return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_APP", "resume", arguments);
        }
    };

    /**
    * Loads a resource in the WebView environment from the CocoonJS environment.
    * @function
    * @param {string} path The path to the resource. It can be a remote URL or a path to a local file.
    * @param {CocoonJS.App.StorageType} [storageType] An optional parameter to specify at which storage in the device the file path is stored. By default, APP_STORAGE is used.
    * @see CocoonJS.App.load
    * @see CocoonJS.App.onLoadInTheWebViewSucceed
    * @see CocoonJS.App.onLoadInTheWebViewFailed
    */
    CocoonJS.App.loadInTheWebView = function(path, storageType)
    {
        if (CocoonJS.App.nativeExtensionObjectAvailable)
        {
            // TODO: All this code should be changed to a simple call makeNativeExtensionObjectFunctionCall when the native argument control is improved.
            var javaScriptCodeToForward = "ext.IDTK_APP.makeCall('loadPath'";
            if (typeof path !== 'undefined')
            {
                javaScriptCodeToForward += ", '" + path + "'";
                if (typeof storageType !== 'undefined')
                {
                    javaScriptCodeToForward += ", '" + storageType + "'";
                }
            }
            javaScriptCodeToForward += ");";

            return CocoonJS.App.forwardAsync(javaScriptCodeToForward);
        }
        else if (!navigator.isCocoonJS)
        {
            var xhr = new XMLHttpRequest();

            xhr.onreadystatechange = function(event) {
                if (xhr.readyState === 4)
                {
                    if (xhr.status === 200)
                    {
                        var callback= function(event){
                            CocoonJS.App.onLoadInTheWebViewSucceed.notifyEventListeners(path);
                            CocoonJS.App.EmulatedWebViewIFrame.removeEventListener("load", callback);
                        };

                        CocoonJS.App.EmulatedWebViewIFrame.addEventListener(
                            "load", 
                            callback
                        );
                        CocoonJS.App.EmulatedWebViewIFrame.contentWindow.location.href= path;
                    }
                    else if (xhr.status === 404)
                    {
                        this.onreadystatechange = null;
                        CocoonJS.App.onLoadInTheWebViewFailed.notifyEventListeners(path);
                    }
                }
            };
            xhr.open("GET", path, true);
            xhr.send();
        }
    };

    /**
     * Reloads the last loaded path in the WebView context.
     * @function
     */
    CocoonJS.App.reloadWebView = function()
    {
        if (CocoonJS.App.nativeExtensionObjectAvailable)
        {
            return CocoonJS.App.forwardAsync("ext.IDTK_APP.makeCall('reload');");
        }
        else if (!navigator.isCocoonJS)
        {
            CocoonJS.App.EmulatedWebViewIFrame.contentWindow.location.reload();
        }
    };

    /**
    * Shows the webview.
    * @function
    * @param {int} x The top lef x coordinate of the rectangle where the webview will be shown.
    * @param {int} y The top lef y coordinate of the rectangle where the webview will be shown.
    * @param {width} y The width of the rectangle where the webview will be shown.
    * @param {height} y The height of the rectangle where the webview will be shown.
    */
    CocoonJS.App.showTheWebView = function(x, y, width, height)
    {
        if (CocoonJS.App.nativeExtensionObjectAvailable)
        {
            var javaScriptCodeToForward = "ext.IDTK_APP.makeCall('show'";
            if (typeof x !== 'undefined' && typeof y !== 'undefined' && typeof width !== 'undefined' && typeof height !== 'undefined')
            {
                javaScriptCodeToForward += ", " + x + ", " + y + ", " + width + ", " + height;
            }
            javaScriptCodeToForward += ");";

            return CocoonJS.App.forwardAsync(javaScriptCodeToForward);
        }
        else if (!navigator.isCocoonJS)
        {
            CocoonJS.App.EmulatedWebViewIFrame.style.width = (width ? width : window.innerWidth)+'px';
            CocoonJS.App.EmulatedWebViewIFrame.style.height = (height ? height : window.innerHeight)+'px';
            CocoonJS.App.EmulatedWebView.style.left = (x ? x : 0)+'px';
            CocoonJS.App.EmulatedWebView.style.top = (y ? y : 0)+'px';
            CocoonJS.App.EmulatedWebView.style.width = (width ? width : window.innerWidth)+'px';
            CocoonJS.App.EmulatedWebView.style.height = (height ? height : window.innerHeight)+'px';
            CocoonJS.App.EmulatedWebView.style.display = "block";
        }
    };

    /**
    * Hides the webview.
    * @function
    */
    CocoonJS.App.hideTheWebView = function()
    {
        if (CocoonJS.App.nativeExtensionObjectAvailable)
        {
            var javaScriptCodeToForward = "ext.IDTK_APP.makeCall('hide');";
            return CocoonJS.App.forwardAsync(javaScriptCodeToForward);
        }
        else if (!navigator.isCocoonJS)
        {
            CocoonJS.App.EmulatedWebView.style.display = "none";
        }
    };

    /**
    * Marks a audio file to be used as music by the system. CocoonJS, internally, differentiates among music files and sound files.
    * Music files are usually bigger in size and longer in duration that sound files. There can only be just one music file 
    * playing at a specific given time. The developer can mark as many files as he/she wants to be treated as music. When the corresponding
    * HTML5 audio object is used, the system will automatically know how to treat the audio resource as music or as sound.
    * Note that it is not mandatory to use this function. The system automatically tries to identify if a file is suitable to be treated as music
    * or as sound by checking file size and duration thresholds. It is recommended, though, that the developer specifies him/herself what he/she considers
    * to be music.
    * @function
    * @param {string} audioFilePath The same audio file path that will be used to create HTML5 audio objects.
    */
    CocoonJS.App.markAsMusic = function(audioFilePath)
    {
        if (CocoonJS.App.nativeExtensionObjectAvailable)
        {
           return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_APP", "addForceMusic", arguments);
        }
    };

    /**
    * Activates or deactivates the antialas functionality from the CocoonJS rendering.
    * @function
    * @param {boolean} enable A flag that indicates if the antialas should be activated (true) or deactivated (false).
    */
    CocoonJS.App.setAntialias = function(enable)
    {
        if (CocoonJS.App.nativeExtensionObjectAvailable)
        {
           return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_APP", "setDefaultAntialias", arguments);
        }
    };

    /**
    * Sets a callback function that will be called whenever the system tries to finish the app.
    * The developer can specify how the system will react to the finish of the app by returning a
    * boolean value in the callback function: true means, close the app, false means that the developer
    * will handle the app close.
    * A common example of this is the back button in Android devices. When the back button is pressed, this
    * callback will be called and the system will react depending on the developers choice finishing, or not,
    * the application.
    * @function
    * @param {function} appShouldFinishCallback A function object that will be called when the system
    * determines that the app should be finished. This function must return a true or a false value
    * depending on what the developer wants: true === finish the app, false === do not close the app.
    */
    CocoonJS.App.setAppShouldFinishCallback = function(appShouldFinishCallback)
    {
        if (navigator.isCocoonJS)
        {
            window.onidtkappfinish = appShouldFinishCallback;
        }
    }

    /**
    * Sets the texture reduction options. The texture reduction is a process that allows big images to be reduced/scaled down when they are loaded.
    * Although the quality of the images may decrease, it can be very useful in low end devices or those with limited amount of memory.
    * The function sets the threshold on image size (width or height) that will be used in order to know if an image should be reduced or not.
    * It also allows to specify a list of strings to identify in which images file paths should be applied (when they meet the size threshold requirement) 
    * The developer will still think that the image is of the original size. CocoonJS handles all of the internals to be able to show the image correctly.
    * IMPORTANT NOTE: This function should be called when the application is initialized before any image is set to be loaded for obvious reasons ;).
    * and in which sould be forbid (even if they meet the threshold requirement).
    * @function
    * @param {number} sizeThreshold This parameter specifies the minimun size (either width or height) that an image should have in order to be reduced.
    * @param {string or array} [applyTo] This parameter can either be a string or an array of strings. It's purpose is to specify one (the string) or more (the array) substring(s) 
    * that will be compared against the file path of an image to be loaded in order to know if the reduction should be applied or not. If the image meets the
    * threshold size requirement and it's file path contains this string (or strings), it will be reduced. This parameter can also be null.
    * @param {string or array} [forbidFor] This parameter can either be a string or an array of strings. It's purpose is to specify one (the string) or more (the array) substring(s) 
    * that will be compared against the file path of an image to be loaded in order to know if the reduction should be applied or not. If the image meets the
    * threshold size requirement and it's file path contains this string (or strings), it won't be reduced. This parameter should be used in order to mantain the 
    * quality of some images even they meet the size threshold requirement.
    */
    CocoonJS.App.setTextureReduction = function(sizeThreshold, applyTo, forbidFor)
    {
        if (CocoonJS.App.nativeExtensionObjectAvailable)
        {
            CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_APP", "setDefaultTextureReducerThreshold", arguments);
        }
    };


    /**
    * Prints to the console the memory usage of the currently alive textures
    * @function
    */
    CocoonJS.App.logMemoryInfo = function()
    {
        if (CocoonJS.App.nativeExtensionObjectAvailable)
        {
            return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_APP", "logMemoryInfo", arguments);
        }
    };

    /**
    * Enable CocoonJS Webview FPS overlay.
    * @function
    */
    CocoonJS.App.enableFPSInTheWebView = function(fpsLayout, textColor)
    {
        if (!CocoonJS.App.fpsInTheWebViewEnabled)
        {
            fpsLayout = fpsLayout ? fpsLayout : CocoonJS.App.FPSLayout.TOP_RIGHT;
            textColor = textColor ? textColor : "white";
            var jsCode = "" +
                "(function()" +
                "{" +
                    "var COCOONJS_WEBVIEW_EXTENSION_SCRIPT_FILES = ['js/CocoonJSExtensions/CocoonJS.js', 'js/CocoonJSExtensions/CocoonJS_App.js', 'js/CocoonJSExtensions/CocoonJS_App_ForWebView.js'];" +
                    "var loadedScriptCounter = 0;" + 
                    "var loadedScriptFunction = function() " +
                    "{ " +
                        "loadedScriptCounter++;"+
                        "if (loadedScriptCounter >= COCOONJS_WEBVIEW_EXTENSION_SCRIPT_FILES.length)"+
                        "{"+
                            "CocoonJS.App.enableFPS(" + JSON.stringify(fpsLayout) + ", " + JSON.stringify(textColor) + ");"+
                        "}"+
                    "};"+
                    "for (var i = 0; i < COCOONJS_WEBVIEW_EXTENSION_SCRIPT_FILES.length; i++)"+
                    "{"+
                        "var s = document.createElement('script');"+
                        "s.onload = loadedScriptFunction;"+
                        "s.src = COCOONJS_WEBVIEW_EXTENSION_SCRIPT_FILES[i];"+
                        "document.body.appendChild(s);"+
                    "}" +
                "})();";
            setTimeout(function()
            {
                CocoonJS.App.forward(jsCode);
            }, 3000);
            CocoonJS.App.fpsInTheWebViewEnabled = true;
        }
    };

    /**
    * Disable CocoonJS Webview FPS overlay.
    * @function
    */
    CocoonJS.App.disableFPSInTheWebView = function()
    {
        // TODO: Implement this function.
    };

    /**
     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.App.onLoadInTheWebViewSucceed} event calls.
     * @name OnLoadInTheWebViewSucceedListener
     * @function
     * @static
     * @memberOf CocoonJS.App
     * @param {string} pageURL The URL of the page that had been loaded in the webview.
     */
    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when the WebView load has completed successfully.
    * The callback function's documentation is represented by {@link CocoonJS.App.OnLoadInTheWebViewSucceedListener}
    * @event
    * @static
    * @memberOf CocoonJS.App
    * @param {string} pageURL A string that represents the page URL loaded.
    */
    CocoonJS.App.onLoadInTheWebViewSucceed = new CocoonJS.EventHandler("IDTK_APP", "App", "forwardpageload");

    /**
     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.App.onLoadInTheWebViewFailed} event calls.
     * @name OnLoadInTheWebViewFailedListener
     * @function
     * @static
     * @memberOf CocoonJS.App
     * @param {string} pageURL The URL of the page that had been loaded in the webview.
     */
    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when the WebView load fails.
    * The callback function's documentation is represented by {@link CocoonJS.App.OnLoadInTheWebViewFailedListener}
    * @event
    * @static
    * @memberOf CocoonJS.App
    */
    CocoonJS.App.onLoadInTheWebViewFailed = new CocoonJS.EventHandler("IDTK_APP", "App", "forwardpagefail");
    
})();

//////////////////////////////////////
// COCOONJS_AD.JS                   //
//////////////////////////////////////

(function()
{
    // The CocoonJS must exist before creating the extension.
    if (typeof window.CocoonJS === 'undefined' || window.CocoonJS === null) throw("The CocoonJS object must exist and be valid before creating any extension object.");

    /**
    * This namespace represents the CocoonJS Advertisement extension API.
    * @namespace
    */
    CocoonJS.Ad = {};

    CocoonJS.Ad.nativeExtensionObjectAvailable = CocoonJS.nativeExtensionObjectAvailable && typeof window.ext.IDTK_SRV_AD !== 'undefined';

    /**
    * The predefined possible layouts for a banner ad.
    * @namespace 
    */
	CocoonJS.Ad.BannerLayout = 
	{
		/**
		* Specifies that the banner must be shown in the top of the screen and vertically centered.
		*/
	    TOP_CENTER      : "TOP_CENTER",

		/**
		* Specifies that the banner must be shown in the bottom of the screen and vertically centered.
		*/
	    BOTTOM_CENTER   : "BOTTOM_CENTER"
	};

	/**
    * A rectangle object that contains the banner dimensions
    * @namespace 
    * @constructor
    * @param {int} x The top lef x coordinate of the rectangle.
    * @param {int} y The top lef y coordinate of the rectangle.
    * @param {width} y The rectangle width.
    * @param {height} y The rectangle height.
    */
	CocoonJS.Ad.Rectangle = function(x, y, width, height) 
	{
		/**
		* The top lef x coordinate of the rectangle 
		* @field 
		* @type {int}
		*/
	    this.x = x;

		/**
		* The top lef y coordinate of the rectangle 
		* @field 
		* @type {int}
		*/
	    this.y = y;

	    /**
		* The rectangle width
		* @field 
		* @type {int}
		*/
	    this.width = width;

	    /**
		* The rectangle height
		* @field 
		* @type {int}
		*/
	    this.height = height;
	};

	CocoonJS.Ad.Banner = function(id)
	{
		if (typeof id !== 'number') throw "The given ad ID is not a number.";

		this.id = id;
		var me = this;

		/**
    	* This {@link CocoonJS.EventHandler} object allows listening to events called when a banner is shown.
    	* The callback function does not receive any parameter.
    	* @static
    	* @event
    	*/
		this.onBannerShown = new CocoonJS.EventHandler("IDTK_SRV_AD", "Ad", "onbannershow", function(sourceListener, args)
    	{
    		if (me.id === args[0]) 
    		{
    			sourceListener();
    		}
    	});

    	/**
    	* This {@link CocoonJS.EventHandler} object allows listening to events called when a banner is hidden.
    	* The callback function does not receive any parameter.
    	* @static
    	* @event
    	*/
		this.onBannerHidden = new CocoonJS.EventHandler("IDTK_SRV_AD", "Ad", "onbannerhide", function(sourceListener, args)
    	{
    		if (me.id === args[0]) 
    		{
    			sourceListener();
    		}
    	});

    	/**
    	* This {@link CocoonJS.EventHandler} object allows listening to events called when a banner is ready (cached).
    	* The callback function does not receive any parameter.
    	* @param {number} width The banner width
    	* @param {number} height The banner height
    	* @static
    	* @event
    	*/
		this.onBannerReady = new CocoonJS.EventHandler("IDTK_SRV_AD", "Ad", "onbannerready", function(sourceListener, args)
    	{
    		if (me.id === args[0]) 
    		{
    			sourceListener(args[1], args[2]);
    		}
    	});
	};

	CocoonJS.Ad.Banner.prototype = {

		/**
		* Shows a banner ad if available.
		* @function
		*/
		showBanner : function()
		{
			if (CocoonJS.Ad.nativeExtensionObjectAvailable)
			{
				CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "showBanner", [this.id], true);
			}
		},

		/**
		* Hides the banner ad if it was being shown.
		* @function
		*/
		hideBanner : function()
		{
			if (CocoonJS.Ad.nativeExtensionObjectAvailable)
			{
				CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "hideBanner", [this.id], true);
			}
		},

		/**
		* Refreshes the banner.
		* @function
		*/
		refreshBanner : function()
		{
			if (CocoonJS.Ad.nativeExtensionObjectAvailable)
			{
				CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "refreshBanner", [this.id], true);
			}
		},

		/**
		* Gets the rectangle representing the banner screen position.
		* @function
		* @return {CocoonJS.Ad.Rectangle} rectangle The rectangle representing the banner position and domensions.
		*/
		getRectangle : function()
		{
			if (CocoonJS.Ad.nativeExtensionObjectAvailable)
			{
				return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "getRectangle", [this.id]);
			}
		},

		/**
		* Sets the rectangle where the banner ad is going to be shown.
		* @function
		* @param {CocoonJS.Ad.Rectangle} rect The rectangle representing the banner position and domensions.
		*/
		setRectangle : function(rect)
		{
			if (CocoonJS.Ad.nativeExtensionObjectAvailable)
			{
				CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "setRectangle", [this.id, rect],true);
			}
		},

		/**
		* Sets the rectangle where the banner ad is going to be shown.
		* You can use this method if you want to have better control of the banner screen positioning.
		* @function
		* @param {CocoonJS.Ad.BannerLayout} bannerLayout The layout where the bannerwill be placed.
		*/
		setBannerLayout : function(bannerLayout)
		{
			if (CocoonJS.Ad.nativeExtensionObjectAvailable)
			{
				CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "setBannerLayout", [this.id, bannerLayout],true);
			}
		}
	};

	CocoonJS.Ad.Fullscreen = function(id)
	{
		if (typeof id !== 'number') throw "The given ad ID is not a number.";

		this.id = id;
		var me = this;

		/**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when a full screen ad is shown.
	    * The callback function does not receive any parameter.
	    * @static
	    * @event
	    */
		this.onFullScreenShown = new CocoonJS.EventHandler("IDTK_SRV_AD", "Ad", "onfullscreenshow", function(sourceListener, args)
    	{
    		if (me.id === args[0]) {
    			sourceListener();
    		}
    	});

		/**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when a full screen ad is hidden.
	    * The callback function does not receive any parameter.
	    * @static
	    * @event
	    */
    	this.onFullScreenHidden = new CocoonJS.EventHandler("IDTK_SRV_AD", "Ad", "onfullscreenhide", function(sourceListener, args)
    	{
    		if (me.id === args[0]) {
    			sourceListener();
    		}
    	});

    	/**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when a full screen ad is ready (cached).
	    * The callback function does not receive any parameter.
	    * @static
	    * @event
	    */
    	this.onFullScreenReady = new CocoonJS.EventHandler("IDTK_SRV_AD", "Ad", "onfullscreenready", function(sourceListener, args)
    	{
    		if (me.id === args[0]) {
    			sourceListener();
    		}
    	});
	};

	CocoonJS.Ad.Fullscreen.prototype = {

		/**
		* Shows a full screen ad if available.
		* @function
		* @see CocoonJS.Ad.onFullScreenShown
		* @see CocoonJS.Ad.onFullScreenHidden
		*/
		showFullScreen : function()
		{
			if (CocoonJS.Ad.nativeExtensionObjectAvailable)
			{
				return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "showFullScreen", [this.id], true);
			}
		},

		/**
		* Refreshes the fullscreen.
		* @function
		*/
		refreshFullScreen : function()
		{
			if (CocoonJS.Ad.nativeExtensionObjectAvailable)
			{
				return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "refreshFullScreen", [this.id], true);
			}
		}
	};

	/**
	* Initialize the service with service level initialization parameters.
	* @function
	* @param {object} An object with the required initialization parameters for the service.
	*/
	CocoonJS.Ad.requestInitialization = function(parameters)
	{
        if (typeof parameters === "undefined") {
            parameters = {};
        }

		if (CocoonJS.Ad.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "requestInitialization", arguments, true);
		}
	};

	/**
	* Creates a new banner ad.
	* @function
	* @param {object} An object containing the properties the ad will need for its initialization.
	*/
	CocoonJS.Ad.createBanner = function(parameters)
	{
		if (typeof parameters === "undefined") {
            parameters = {};
        }

		if (CocoonJS.Ad.nativeExtensionObjectAvailable)
		{
			var adId = CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "createBanner", [parameters]);
			var banner = new CocoonJS.Ad.Banner(adId);

			return banner;
		}
	};

	/**
	* Releases a banner.
	* @function
	* @param {object} The banner ad object to be released.
	*/
	CocoonJS.Ad.releaseBanner = function(banner)
	{
		if (typeof banner === "undefined") {
            throw "The banner ad object to be released is undefined"
        }

		if (CocoonJS.Ad.nativeExtensionObjectAvailable)
		{
			CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "releaseBanner", [banner.id]);
		}
	};

	/**
	* Creates a new fullscreen ad.
	* @function
	* @param {object} An object containing the properties the ad will need for its initialization.
	*/
	CocoonJS.Ad.createFullscreen = function(parameters)
	{
		if (typeof parameters === "undefined") {
            parameters = {};
        }

		if (CocoonJS.Ad.nativeExtensionObjectAvailable)
		{
			var adId = CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "createFullscreen", [parameters]);
			var fullscreen = new CocoonJS.Ad.Fullscreen(adId);

			return fullscreen;
		}
	};

	/**
	* Releases a fullscreen ad.
	* @function
	* @param {object} The fullscreen ad object to be released.
	*/
	CocoonJS.Ad.releaseFullscreen = function(fullscreen)
	{
		if (typeof fullscreen === "undefined") {
            throw "The fullscreen ad object to be released is undefined"
        }

		if (CocoonJS.Ad.nativeExtensionObjectAvailable)
		{
			CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "releaseFullscreen", [fullscreen.id]);
		}
	};

	/**
	* Shows a banner ad if available.
	* @function
	* @see CocoonJS.Ad.setBannerLayout
	* @see CocoonJS.Ad.onBannerShown
	*/
	CocoonJS.Ad.showBanner = function()
	{
		if (CocoonJS.Ad.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "showBanner", arguments, true);
		}
	};

	/**
	* Hides the banner ad if it was being shown.
	* @function
	*/
	CocoonJS.Ad.hideBanner = function()
	{
		if (CocoonJS.Ad.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "hideBanner", arguments, true);
		}
	};

	/**
	* Refreshes the banner.
	* @function
	*/
	CocoonJS.Ad.refreshBanner = function()
	{
		if (CocoonJS.Ad.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "refreshBanner", arguments, true);
		}
	};

	/**
	* Shows a full screen ad if available.
	* @function
	* @see CocoonJS.Ad.onFullScreenShown
	* @see CocoonJS.Ad.onFullScreenHidden
	*/
	CocoonJS.Ad.showFullScreen = function()
	{
		if (CocoonJS.Ad.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "showFullScreen", arguments, true);
		}
	};

	/**
	* Refreshes the fullscreen.
	* @function
	*/
	CocoonJS.Ad.refreshFullScreen = function()
	{
		if (CocoonJS.Ad.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "refreshFullScreen", arguments, true);
		}
	};

	/**
	* Makes a request to preload a banner ad.
	* @function
	*/
	CocoonJS.Ad.preloadBanner = function()
	{
		if (CocoonJS.Ad.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "preloadBanner", arguments, true);
		}
	};

	/**
	* Makes a request to preload a full screen ad.
	* @function
	*/
	CocoonJS.Ad.preloadFullScreen = function()
	{
		if (CocoonJS.Ad.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "preloadFullScreen", arguments, true);
		}
	};

	/**
	* Sets the rectangle where the banner ad is going to be shown.
	* @function
	* @param {CocoonJS.Ad.Rectangle} rect The rectangle representing the banner position and domensions.
	*/
	CocoonJS.Ad.setRectangle = function()
	{
		if (CocoonJS.Ad.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "setRectangle", arguments, true);
		}
	};

	/**
	* Gets the rectangle representing the banner screen position.
	* @function
	* @return {CocoonJS.Ad.Rectangle} rectangle The rectangle representing the banner position and domensions.
	*/
	CocoonJS.Ad.getRectangle = function()
	{
		if (CocoonJS.Ad.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "getRectangle", arguments);
		}
	};

	/**
	* Sets the rectangle where the banner ad is going to be shown.
	* You can use this method if you want to have better control of the banner screen positioning.
	* @function
	* @param {CocoonJS.Ad.BannerLayout} bannerLayout The layout where the bannerwill be placed.
	*/
	CocoonJS.Ad.setBannerLayout = function(bannerLayout)
	{
		if (CocoonJS.Ad.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "setBannerLayout", arguments, true);
		}
	};

    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when a banner is shown.
    * The callback function does not receive any parameter.
    * @static
    * @event
    */
	CocoonJS.Ad.onBannerShown = new CocoonJS.EventHandler("IDTK_SRV_AD", "Ad", "onbannershow");

	/**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when a banner is hidden.
    * The callback function does not receive any parameter.
    * @static
    * @event
    */
	CocoonJS.Ad.onBannerHidden = new CocoonJS.EventHandler("IDTK_SRV_AD", "Ad", "onbannerhide"); 

	/**
	* This {@link CocoonJS.EventHandler} object allows listening to events called when a banner is ready (cached).
	* The callback function does not receive any parameter.
	* @param {number} width The banner width
	* @param {number} height The banner height
	* @static
	* @event
	*/
	CocoonJS.Ad.onBannerReady = new CocoonJS.EventHandler("IDTK_SRV_AD", "Ad", "onbannerready"); 

    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when a full screen ad is shown.
    * The callback function does not receive any parameter.
    * @static
    * @event
    */
	CocoonJS.Ad.onFullScreenShown = new CocoonJS.EventHandler("IDTK_SRV_AD", "Ad", "onfullscreenshow"); 

    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when a full screen ad is hidden.
    * The callback function does not receive any parameter.
    * @static
    * @event
    */
	CocoonJS.Ad.onFullScreenHidden = new CocoonJS.EventHandler("IDTK_SRV_AD", "Ad", "onfullscreenhide");

	/**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when a full screen ad is ready (cached).
    * The callback function does not receive any parameter.
    * @static
    * @event
    */
	CocoonJS.Ad.onFullScreenReady = new CocoonJS.EventHandler("IDTK_SRV_AD", "Ad", "onfullscreenready"); 

})();

//////////////////////////////////////
// COCOONJS_STORE.JS                //
//////////////////////////////////////

(function()
{
    // The CocoonJS must exist before creating the extension.
    if (typeof window.CocoonJS === 'undefined' || window.CocoonJS === null) throw("The CocoonJS object must exist and be valid before creating any extension object.");

    /**
    * This namespace represents the CocoonJS In-App Purchase extension.
    * @namespace
    */
    CocoonJS.Store = {};

    CocoonJS.Store.nativeExtensionObjectAvailable = CocoonJS.nativeExtensionObjectAvailable && typeof window.ext.IDTK_SRV_STORE !== 'undefined';

	/**
	* The data structure that represents the information of a product in the store.
	* @namespace
	* @constructor
	* @param {string} The id of the product.
	* @param {string} The alias of the product.
	* @param {CocoonJS.Store.ProductType} The product type @see CocoonJS.Store.ProductType.
	* @param {string} The title of the product.
	* @param {string} The description of the product.
	* @param {string} The localized price of the product.
	* @param {string} The URL of the asset to be downloaded for this purchase.
	*/
	CocoonJS.Store.ProductInfo = function(productAlias, productId, productType, title, description, price, localizedPrice, downloadURL)
	{
		/**
		* The id of the product.
		* @field
		* @type string
		*/
		this.productId = productId;

		/**
		* The alias of the product.
		* @field
		* @type string
		*/
		this.productAlias = productAlias;

		/**
		* The product type @see CocoonJS.Store.ProductType
		* @field
		* @type CocoonJS.Store.ProductType
		*/
		this.productType = productType;

		/**
		* The title of the product.
		* @field
		* @type string
		*/
		this.title = title;

		/**
		* The description of the product.
		* @field
		* @type string
		*/
		this.description = description;

		/**
		* The price of the product.
		* @field
		* @type string
		*/
		this.price = price;

		/**
		* The localized price of the product.
		* @field
		* @type string
		*/
		this.localizedPrice = localizedPrice;

		/**
		* The URL of the asset to be downloaded for this purchase.
		* @field
		* @type string
		*/
		this.downloadURL = downloadURL;

		return this;
	};

	/**
    * The predefined possible states of a purchase.
    * @namespace 
    */
	CocoonJS.Store.ProductType = 
	{
		/**
		* A consumable product. See platform documentation for further information.
		*/
	    CONSUMABLE : 0,

		/**
		* A non-cunsumable product. . See platform documentation for further information.
		*/
	    NON_CONSUMABLE : 1,

	    /**
		* An auto-renewable subscription. See platform documentation for further information.
		*/
	    AUTO_RENEWABLE_SUBSCRIPTION : 2,

	    /**
		* A free subscription. See platform documentation for further information.
		*/
	    FREE_SUBSCRIPTION : 3,

	    /**
		* A non-renewable subscription. See platform documentation for further information.
		*/
	    NON_RENEWABLE_SUBSCRIPTION : 4
	};

	/**
    * The predefined possible store types.
    * @namespace 
    */
	CocoonJS.Store.StoreType = 
	{
		/**
		* Apple AppStore
		*/
	    APP_STORE : 0,

	    /**
	    * Android Play Store
	    */
	    PLAY_STORE : 1,

		/**
		* Mock Store
		*/
		MOCK_STORE : 2,

		/**
	    * Amazon AppStore
	    */
	    CHROME_STORE : 3,

	    /**
	    * Amazon AppStore
	    */
	    AMAZON_STORE : 4,

	    /**
	    * Nook Store
	    */
	    NOOK_STORE : 5
	};

	/**
	* The data structure that represents the information of a purchase.
	* @namespace
	* @constructor
	* @param {string} The transaction id of a purchase.
	* @param {string} The time when the purchase was done in seconds since 1970.
	* @param {CocoonJS.Store.PurchaseState} The state of the purchase. @see CocoonJS.Store.PurchaseState
	* @param {string} The product id related to this purchase.
	* @param {number} The number of products of the productId kind purchased in this transaction.
	*/
	CocoonJS.Store.PurchaseInfo = function(transactionId, purchaseTime, purchaseState, productId, quantity)
	{
		/**
		* The transaction id of a purchase.
		* @field
		* @type string
		*/
		this.transactionId = transactionId;

		/**
		* The time when the purchase was done in seconds since 1970.
		* @field
		* @type string
		*/
		this.purchaseTime = purchaseTime;

		/**
		* The state of the purchase. @see CocoonJS.Store.PurchaseState
		* @field
		* @type CocoonJS.Store.PurchaseState
		*/
		this.purchaseState = purchaseState;

		/**
		* The product id related to this purchase.
		* @field
		* @type string
		*/
		this.productId = productId;

		/**
		* The number of products of the productId kind purchased in this transaction.
		* @field
		* @type number
		*/
		this.quantity = quantity;

		return this;
	};

	/**
    * The predefined possible states of a purchase.
    * @namespace 
    */
	CocoonJS.Store.PurchaseState = 
	{
		/**
		* The product has been successfully purchased. The transaction has ended successfully.
		*/
	    PURCHASED : 0,

		/**
		* The purchase has been canceled.
		*/
	    CANCELED : 1,

	    /**
		* The purchase has been refunded.
		*/
	    REFUNDED : 2,

	    /**
		* The purchase (subscriptions only) has expired and is no longer valid.
		*/
	    EXPIRED : 3
	};

	/**
	* Gets the name of the native store implementation. 
	* @return {CocoonJS.Store.StoreType} The store type
	* @function
	*/ 
	CocoonJS.Store.getStoreType = function()
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "getStoreType", arguments);
		}
	};

	/**
	* Initialize the service with service level initialization parameters.
	* @function
	* @param {object} An object with the required initialization parameters for the service.
	*/
	CocoonJS.Store.requestInitialization = function(parameters)
	{
        if (typeof parameters === "undefined") 
        {
            parameters = {};
        }
        else
        {
        	if (parameters['managed'] !== undefined) parameters['remote'] = parameters['managed'];
        	if (parameters['sandbox'] !== undefined) parameters['debug'] = parameters['sandbox'];
        }

		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "requestInitialization", arguments, true);
		}
	};

	/**
	* Starts the Store Service. 
	* This will make the system to initialize the Store Service and probably Store callbacks will start to be received after calling this method so you should have set your event handler before calling this method so don't lose any callback.
	* @function
	*/ 
	CocoonJS.Store.start = function()
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "start", arguments);
		}
	};

	/**
	* This method allows you to check is the  Store service is available in this platform. 
	* Not all iOS and Android devices will have the Store service available so you should check if it is before calling any other method.
	* @function
	* @return {boolean} True if the service is available and false otherwise.
	*/ 
	CocoonJS.Store.canPurchase = function()
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "canPurchase", arguments);
		}
	};

	/**
	* Fetches the products from the CocoonJS Cloud Compiling service store configuration. 
	* The request is monitored using the {@link CocoonJS.Store.onProductsFetchStarted}, {@link CocoonJS.Store.onProductsFetchCompleted} and {@link CocoonJS.Store.onProductsFetchFailed} event handlers.
	* @deprecated You should now use fetchProductsFromStore. We don't support cloud products now.
	* @function
	* @see CocoonJS.Store.onProductsFetchStarted
	* @see CocoonJS.Store.onProductsFetchCompleted
	* @see CocoonJS.Store.onProductsFetchFailed
	*/ 
	CocoonJS.Store.fetchProductsFromServer = function()
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "fetchProductsFromServer", arguments, true);
		}
	};

	/**
	* Fetches the products information from the Store. 
	* The request is monitored using the {@link CocoonJS.Store.onProductsFetchStarted}, {@link CocoonJS.Store.onProductsFetchCompleted} and {@link CocoonJS.Store.onProductsFetchFailed} event handlers.
	* @function
	* @param {array} productIds An array with the ids of the products to retrieve information from.
	* @see CocoonJS.Store.onProductsFetchStarted
	* @see CocoonJS.Store.onProductsFetchCompleted
	* @see CocoonJS.Store.onProductsFetchFailed
	*/ 
	CocoonJS.Store.fetchProductsFromStore = function(productIds)
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "fetchProductsFromStore", arguments, true);
		}
	};

	/**
	* Finish a purchase transaction and removes the transaction from the transaction queue. 
	* This method must be called after a purchase finishes successfully and the  {@link CocoonJS.Store.onProductPurchaseCompleted} callback has been received. 
	* If the purchase includes some asset to download from an external server this method must be called after the asset has been successfully downloaded. 
	* If you do not finish the transaction because the asset has not been correctly downloaded the {@link CocoonJS.Store.onProductPurchaseStarted} method will be called again later on.
	* @function
	* @param {string} transactionId The transactionId of the purchase to finish.
	*/ 
	CocoonJS.Store.finishPurchase = function(transactionId)
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "finishPurchase", arguments, true);
		}
	};

	/**
	* Consumes a purchase. This makes that product to be purchasable again. 
	* @function
	* @param {string} transactionId The transaction Id of the purchase to consume.
	* @param {string} productId The product Id of the product to be consumed.
	*/ 
	CocoonJS.Store.consumePurchase = function(transactionId, productId)
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "consumePurchase", arguments, true);
		}
	};

	/**
	* Request a product purchase given it's product id. 
	* The request is monitored using the {@link CocoonJS.Store.onPurchaseProductStarted}, {@link CocoonJS.Store.onProductPurchaseStarted} and {@link CocoonJS.Store.onProductPurchaseFailed} event handlers.
	* @function
	* @param {string} productId The id or alias of the product to be purchased.
	* @see CocoonJS.Store.onProductPurchaseStarted
	* @see CocoonJS.Store.onProductPurchaseCompleted
	* @see CocoonJS.Store.onProductPurchaseFailed
	*/ 
	CocoonJS.Store.purchaseProduct = function(productId)
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "purchaseFeature", arguments, true);
		}
	};

	/**
	* Request a product purchase given it's product id showing a modal progress dialog. 
	* The request is monitored using the {@link CocoonJS.Store.onProductPurchaseStarted}, {@link CocoonJS.Store.onProductPurchaseCompleted} and {@link CocoonJS.Store.onProductPurchaseFailed} event handlers.
	* @function
	* @param {string} productId The id or alias of the product to be purchased.
	* @see CocoonJS.Store.onProductPurchaseStarted
	* @see CocoonJS.Store.onProductPurchaseCompleted
	* @see CocoonJS.Store.onProductPurchaseFailed
	*/ 
	CocoonJS.Store.puchaseProductModal = function(productId)
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "purchaseFeatureModal", arguments, true);
		}
	};

	/**
	* Request the purchase of a product given it's product id showing a dialog with a preview of the product (title and description). 
	* The request is monitored using the {@link CocoonJS.Store.onProductPurchaseStarted}, {@link CocoonJS.Store.onProductPurchaseCompleted} and {@link CocoonJS.Store.onProductPurchaseFailed} event handlers.
	* @function
	* @param {string} productId The id or alias of the product to be purchased.
	* @see CocoonJS.Store.onProductPurchaseStarted
	* @see CocoonJS.Store.onProductPurchaseCompleted
	* @see CocoonJS.Store.onProductPurchaseFailed
	*/ 
	CocoonJS.Store.purchaseProductModalWithPreview = function(productId)
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "purchaseFeatureModalWithPreview", arguments, true);
		}
	};

	/**
	* Returns if a product has been already purchased or not. 
	* @function
	* @param {string} productId The product id or alias of the product to be checked.
	* @returns {boolean} A flag that indicates whether the product has been already purchased (true) or not (false).
	*/
	CocoonJS.Store.isProductPurchased = function(productId)
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "isFeaturePurchased", arguments);
		}
	};

	/**
	* Restores all the purchases from the platform's market. 
	* For each already purchased product {@link CocoonJS.Store.onPurchaseProductStarted}, {@link CocoonJS.Store.onPurchaseProductCompleted} and {@link CocoonJS.Store.onPurchaseProductFailed} event handlers are called again
	* @function
	* @see CocoonJS.Store.onRestorePurchasesStarted
	* @see CocoonJS.Store.onRestorePurchasesCompleted
	* @see CocoonJS.Store.onRestorePurchasesFailed
	*/
	CocoonJS.Store.restorePurchases = function()
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "restorePurchases", arguments, true);
		}
	};

	/**
	* Restores all the purchases from the platform's market showing a modal progress dialog. 
	* For each already purchased product {@link CocoonJS.Store.onPurchaseProductStarted}, {@link CocoonJS.Store.onPurchaseProductCompleted} and {@link CocoonJS.Store.onPurchaseProductFailed} event handlers are called again
	* @function
	* @see CocoonJS.Store.onRestorePurchasesStarted
	* @see CocoonJS.Store.onRestorePurchasesCompleted
	* @see CocoonJS.Store.onRestorePurchasesFailed
	*/
	CocoonJS.Store.restorePurchasesModal = function()
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "restorePurchasesModal", arguments, true);
		}
	};

	/**
	* Returns all the products available to be purchased.
	* @function
	* @returns {array} An array with  all the {@link CocoonJS.Store.ProductInfo} objects available for purchase.
	*/
	CocoonJS.Store.getProducts = function()
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "getProducts", arguments);
		}
	};

	/**
	* Adds a product to the products local DB. 
	* @function
	* @param {CocoonJS.Store.ProductInfo} product The product to be added to the local products DB.
	*/
	CocoonJS.Store.addProduct = function(product)
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "addProduct", arguments);
		}
	};

	/**
	* Removes a product from the products local DB given its productId. 
	* @function
	* @param {string} productId The product or alias of the product to be removed from the local products DB.
	*/
	CocoonJS.Store.removeProduct = function(productId)
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "removeProduct", arguments);
		}
	};

	/**
	* Returns all the locally stored purchases.
	* @function
	* @returns {array} An array with all the {@link CocoonJS.Store.PurchaseInfo} completed purchases.
	*/
	CocoonJS.Store.getPurchases = function()
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "getPurchases", arguments);
		}
	};

	/**
	* Adds a purchase to the local purchases DB. 
	* @function
	* @param {CocoonJS.Store.StorePurchase} purchase The purchase to be added.
	*/ 
	CocoonJS.Store.addPurchase = function(purchase)
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "addPurchase", arguments);
		}
	};

	/**
	* Removes a purchase from the local purchases DB given it's transaction id. 
	* @function
	* @param {string} transactionId The id of the transaction to be removed.
	*/ 
	CocoonJS.Store.removePurchase = function(transactionId)
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "removePurchase", arguments);
		}
	};

	/**
	* (TESTING ONLY) Simulate a purchase cancel. 
	* This method is not allowed in production services and will only work in Mocks. 
	* The request is monitored using the {@link CocoonJS.Store.onPurchaseProductStarted}, {@link CocoonJS.Store.onProductPurchaseStarted} and {@link CocoonJS.Store.onProductPurchaseFailed} event handlers.
	* @function
	* @param {string} transactionId The transactionId of the purchase to be canceled.
	*/
	CocoonJS.Store.cancelPurchase = function(transactionId)
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "cancelPurchase", arguments);
		}
	};

	/**
	* (TESTING ONLY) Simulate a purchase refundment. 
	* This method is not allowed in production services and will only work in Mocks. 
	* The request is monitored using the {@link CocoonJS.Store.onPurchaseProductStarted}, {@link CocoonJS.Store.onProductPurchaseStarted} and {@link CocoonJS.Store.onProductPurchaseFailed} event handlers.
	* @function
	* @param {string} transactionId The transactionId of the purchase to be refunded.
	*/
	CocoonJS.Store.refundPurchase = function(transactionId)
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "refundPurchase", arguments);
		}
	};

	/**
	* (TESTING ONLY) Simulate a purchase expiration. 
	* This method is not allowed in production services and will only work in Mocks. 
	* The request is monitored using the {@link CocoonJS.Store.onPurchaseProductStarted}, {@link CocoonJS.Store.onProductPurchaseStarted} and {@link CocoonJS.Store.onProductPurchaseFailed} event handlers.
	* @function
	* @param {string} transactionId The transactionId of the purchase to be expired.
	*/
	CocoonJS.Store.expirePurchase = function(transactionId)
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "expirePurchase", arguments);
		}
	};

	/**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when the products fetch has started.
    * The callback function receives no parameters.
    * @static
    * @event
    */
	CocoonJS.Store.onProductsFetchStarted = new CocoonJS.EventHandler("IDTK_SRV_STORE", "Store", "onProductsFetchStarted");

    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when the products fetch has completed.
    * The callback function receives a parameter with an the valid products array.
    * @static
    * @event
    * @param {array} validProducts An array of {@link CocoonJS.Store.ProductInfo} objects representing all the valid fetched products.
    */
	CocoonJS.Store.onProductsFetchCompleted = new CocoonJS.EventHandler("IDTK_SRV_STORE", "Store", "onProductsFetchCompleted"); 

    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when the products fetch has failed.
    * The callback function receives an error message as a parameter.
    * @static
    * @event
    * @param {string} errorMessage The error message.
    */
	CocoonJS.Store.onProductsFetchFailed = new CocoonJS.EventHandler("IDTK_SRV_STORE", "Store", "onProductsFetchFailed"); 

    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when the purchase of a product starts.
    * The callback function receives a parameters with the information of the purchased product @see CocoonJS.Store.ProductInfo.
    * @static
	* @event
    * @param {string} productId The product id of the product being purchased.
    */
	CocoonJS.Store.onProductPurchaseStarted = new CocoonJS.EventHandler("IDTK_SRV_STORE", "Store", "onProductPurchaseStarted"); 

	/**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when a request for purchase verification has been received from the Store.
    * The callback function receives two parameters, one with the productId of the purchased product and another one with a JSON object containing the data to be verified.
    * In Andorid this JSON object will containt two keys: signedData and signature. You will need that information to verify the purchase against the backend server.
    * @static
    * @event
    * @param {string} productId The product id of the product to be verified.
    * @param {string} data The string with the data to be verified.
    */
	CocoonJS.Store.onProductPurchaseVerificationRequestReceived = new CocoonJS.EventHandler("IDTK_SRV_STORE", "Store", "onProductPurchaseVerificationRequestReceived");

    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when the purchase of a product succeeds.
    * The callback function receives as parameter the information of the purchase {@see CocoonJS.Store.PurchaseInfo}.
    * @static
    * @event
    * @param {CocoonJS.Store.PurchaseInfo} purchaseInfo The purchase info.
    */
	CocoonJS.Store.onProductPurchaseCompleted = new CocoonJS.EventHandler("IDTK_SRV_STORE", "Store", "onProductPurchaseCompleted"); 

    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when the purchase of a product fails.
    * The callback function receives a parameters with the product id and an error message.
    * @static
    * @event
    * @param {string} productId The product id.
    * @param {string} msg The error message.
    */
	CocoonJS.Store.onProductPurchaseFailed = new CocoonJS.EventHandler("IDTK_SRV_STORE", "Store", "onProductPurchaseFailed"); 

    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when the restore purchases operation has started.
    * The callback function receives no parameters.
    * @static
    * @event
    */
	CocoonJS.Store.onRestorePurchasesStarted = new CocoonJS.EventHandler("IDTK_SRV_STORE", "Store", "onRestorePurchasesStarted"); 

    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when the restore purchases operation has completed.
    * The callback function receives no parameters.
    * @static
    * @event
    */
	CocoonJS.Store.onRestorePurchasesCompleted = new CocoonJS.EventHandler("IDTK_SRV_STORE", "Store", "onRestorePurchasesCompleted"); 

	/**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when the restore purchases operation has failed.
    * The callback function receives an error message as a parameter.
    * @static
    * @event
    * @param {string} errorMessage The error message.
    */
	CocoonJS.Store.onRestorePurchasesFailed = new CocoonJS.EventHandler("IDTK_SRV_STORE", "Store", "onRestorePurchasesFailed");

	/**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when the consume purchase operation has started.
    * @static
    * @event
    * @param {string} transactionId The transaction id of the purchase being consumed.
    */
	CocoonJS.Store.onConsumePurchaseStarted = new CocoonJS.EventHandler("IDTK_SRV_STORE", "Store", "onConsumePurchaseStarted"); 

    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when the consume purchase operation has completed.
    * @static
    * @event
    * @param {string} transactionId The transaction id of the consumed purchase.
    */
	CocoonJS.Store.onConsumePurchaseCompleted = new CocoonJS.EventHandler("IDTK_SRV_STORE", "Store", "onConsumePurchaseCompleted"); 

	/**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when the consume purchase operation has failed.
    * @static
    * @event
    * @param {string} transactionId The transaction id of the purchase that couldn't be consumed.
    * @param {string} errorMessage The error message.
    */
	CocoonJS.Store.onConsumePurchaseFailed = new CocoonJS.EventHandler("IDTK_SRV_STORE", "Store", "onConsumePurchaseFailed");

})();

//////////////////////////////////////
// COCOONJS_SOCIAL.JS               //
//////////////////////////////////////

(function()
{
    // The CocoonJS must exist before creating the extension.
    if (typeof window.CocoonJS === 'undefined' || window.CocoonJS === null) throw("The CocoonJS object must exist and be valid before creating any extension object.");

	/**
	* This type represents the access to a native Social extension API. As there can be more than
	* one service of this type, more than one instance can be created.
	* @namespace
	* @constructor
	* @param {string} nativeExtensionName The name of the native ext object extension property name.
	* @param {string} extensionName The name of the CocoonJS object extension property name.
	*/
	CocoonJS.Social = function(nativeExtensionName, extensionName)
	{
		if (typeof nativeExtensionName !== 'string') throw "The given native extension name '" + nativeExtensionName + "' is not a string.";
		if (typeof extensionName !== 'string') throw "The given extension name '" + extensionName + "' is not a string.";

		this.nativeExtensionName = nativeExtensionName;
		this.extensionName = extensionName;
	    this.nativeExtensionObjectAvailable = CocoonJS.nativeExtensionObjectAvailable && typeof window.ext[nativeExtensionName] !== 'undefined';

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.Social.onRequestInitializationSucceed} event calls.
	     * @name OnRequestInitializationSucceedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.Social
	     * @param {object} initializationData The data structure passed when requestInitialization was called.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the user information request suceeds.
	    * The callback function's documentation is represented by {@link CocoonJS.Social.OnRequestInitializationSucceedListener}
	    * @static
	    * @event
	    * @memberOf CocoonJS.Social
	    */
	    this.onRequestInitializationSucceed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onRequestInitializationSucceed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.Social.onRequestInitializationFailed} event calls.
	     * @name OnRequestInitializationFailedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.Social
	     * @param {object} initializationData The data structure passed when the requestInitialization function was called.
	     * @param {string} errorMessage The message that describes why the request did fail.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the user information request fails.
	    * The callback function's documentation is represented by {@link CocoonJS.Social.OnRequestInitializationFailedListener}
	    * @static
	    * @event
	    * @memberOf CocoonJS.Social
	    */
	    this.onRequestInitializationFailed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onRequestInitializationFailed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.Social.onRequestLoginSucceed} event calls.
	     * @name OnRequestLoginSucceedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.Social
	     * @param {CocoonJS.Social.UserInfo} userInfo The structure that describes the information of the user that logged in.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the user login request succeeds.
	    * The callback function's documentation is represented by {@link CocoonJS.Social.OnRequestLoginSucceedListener}
	    * @static
	    * @event
	    * @memberOf CocoonJS.Social
	    */
		this.onRequestLoginSucceed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onRequestLoginSucceed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.Social.onRequestLoginFailed} event calls.
	     * @name OnRequestLoginFailedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.Social
	     * @param {string} errorMessage The message that describes why the request did fail.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the user login request fails.
	    * The callback function's documentation is represented by {@link CocoonJS.Social.OnRequestLoginFailedListener}
	    * @static
	    * @event
	    * @memberOf CocoonJS.Social
	    */
		this.onRequestLoginFailed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onRequestLoginFailed");

	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the user logs out.
	    * The callback function does not receive any parameter.
	    * @static
	    * @event
	    * @memberOf CocoonJS.Social
	    */
		this.onLogout = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onLogout");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.Social.onRequestUserInfoSucceed} event calls.
	     * @name OnRequestUserInfoSucceedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.Social
	     * @param {CocoonJS.Social.UserInfo} userInfo The structure that describes the information of the request user id.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the user information request suceeds.
	    * The callback function's documentation is represented by {@link CocoonJS.Social.OnUserInfoRequestSucceedListener}
	    * @static
	    * @event
	    * @memberOf CocoonJS.Social
	    */
		this.onRequestUserInfoSucceed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onRequestUserInfoSucceed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.Social.onRequestUserInfoFailed} event calls.
	     * @name OnRequestUserInfoFailedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.Social
	     * @param {string} userID The id used in the request.
	     * @param {string} errorMessage The message that describes why the request did fail.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the user information request fails.
	    * The callback function's documentation is represented by {@link CocoonJS.Social.OnUserInfoRequestFailedListener}
	    * @static
	    * @event
	    * @memberOf CocoonJS.Social
	    */
		this.onRequestUserInfoFailed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onRequestUserInfoFailed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.Social.onRequestUserImageURLSucceed} event calls.
	     * @name OnRequestUserImageURLSucceedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.Social
	     * @param {string} userID The id used in the request.
	     * @param {string} imageURL The URL of the image of the requested user. 
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the user image URL request succeeds.
	    * The callback function's documentation is represented by {@link CocoonJS.Social.OnRequestUserImageURLSucceedListener}
	    * @static
	    * @event
	    * @memberOf CocoonJS.Social
	    */
		this.onRequestUserImageURLSucceed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onRequestUserImageURLSucceed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.Social.onRequestUserImageURLFailed} event calls.
	     * @name OnRequestUserImageURLFailedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.Social
	     * @param {string} userID The id of the user the request was placed for.
	     * @param {string} errorMessage The message that describes why the request did fail.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the user image URL request fails.
	    * The callback function's documentation is represented by {@link CocoonJS.Social.OnRequestUserImageURLFailedListener}
	    * @static
	    * @event
	    * @memberOf CocoonJS.Social
	    */
		this.onRequestUserImageURLFailed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onRequestUserImageURLFailed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.Social.onRequestUserFriendsUserInfosSucceed} event calls.
	     * @name OnRequestUserFriendsUserInfosSucceedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.Social
	     * @param {string} userID The id of the user for whom the friend user infos where requested.
	     * @param {array} friendsInfo An array of {@link CocoonJS.Social.UserInfo} objects representing the information of the friends of the user.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the user's friends info is successfully retrieved.
	    * The callback function's documentation is represented by {@link CocoonJS.Social.OnRequestUserFriendsUserInfosSucceedListener}
	    * @static
	    * @event
	    * @memberOf CocoonJS.Social
	    */
		this.onRequestUserFriendsUserInfosSucceed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onRequestUserFriendsUserInfosSucceed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.Social.onRequestUserFriendsUserInfosFailed} event calls.
	     * @name OnRequestUserFriendsUserInfosFailedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.Social
	     * @param 
	     * @param {string} userID The id of the user fro whom the friends infos were requested.
	     * @param {string} errorMessage The error message.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the user's friends info fails to be retrieved.
	    * The callback function's documentation is represented by {@link CocoonJS.Social.OnRequestUserFriendsUserInfosFailedListener}
	    * @static
	    * @event
	    * @memberOf CocoonJS.Social
	    */
		this.onRequestUserFriendsUserInfosFailed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onRequestUserFriendsUserInfosFailed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.Social.onRequestMessagePublicationSucceed} event calls.
	     * @name OnRequestMessagePublicationSucceedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.Social
 	     * @param {CocoonJS.Social.Message} message The message that has been published.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the user message publication request succeeds.
	    * The callback function's documentation is represented by {@link CocoonJS.Social.OnRequestMessagePublicationSucceedListener}
	    * @static
	    * @event
	    * @memberOf CocoonJS.Social
	    * @param {CocoonJS.Social.Message} message The message that has been published.
	    */
		this.onRequestMessagePublicationSucceed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onRequestMessagePublicationSucceed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.Social.onRequestMessagePublicationFailed} event calls.
	     * @name OnRequestMessagePublicationFailedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.Social
	     * @param {CocoonJS.Social.Message} message The message that was supposed to be published.
	     * @param {string} errorMessage The error message.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the user message publication request fails.
	    * The callback function's documentation is represented by {@link CocoonJS.Social.OnRequestMessagePublicationFailedListener}
	    * @static
	    * @event
	    * @memberOf CocoonJS.Social
	    */
		this.onRequestMessagePublicationFailed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onRequestMessagePublicationFailed");

		/**
        * @ignore
        */
        this.on= function(event, callback) {
            event= "on"+event[0].toUpperCase()+event.substr(1);
            var signal= this[event];
            if (signal) {
                signal.addEventListener(callback);
            } else {
                console.error("SocialGaming service: '"+this.extensionName+"' does not understand '"+event+' signal.');
            }

            return this;
        };

	    return this;
	};

	CocoonJS.Social.prototype = {
        userInfo : null,
        userInfoCocoonJS : null,

        /**
        * @ignore
        */
        getUserInfo : function() {
            return this.userInfo;
        },

        /**
        * Returns the information of the currently logged in user.
        * @return {@link CocoonJS.Social.UserInfo}
        */
        getLoggedInUserInfo : function() {
            if (this.nativeExtensionObjectAvailable) {
                return CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "getLoggedInUserInfo", arguments);
            }
            else {
                return this.userInfoCocoonJS;
            }
        },

        /**
        * @ignore
        */
        setUserInfo : function( userInfo) {
            this.userInfo= userInfo;
        },

        /**
        * @ignore
        */
        setUserInfoCocoonJS : function( userInfoCocoonJS ) {
            this.userInfoCocoonJS = userInfoCocoonJS;
        },

		/**
        * Request initialization of the underlying social service.
        * @param {object} paramsObject A data structure to initialize the service. It will be dependable of the underlying service.
        * @see CocoonJS.Social.onRequestInitializationSucceed
        * @see CocoonJS.Social.onRequestInitializationFailed
        */
		requestInitialization : function(paramsObject) 
		{
			if (this.nativeExtensionObjectAvailable)
			{
				return CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "requestInitialization", arguments, true);
			}
		},

		/**
        * Returns a flag to indicate if the underlying service has been initialized or not.
        * @return {boolean} If the underlying service had been initialized using the requestInitialization function call.
        */
		isInitialized : function()
		{
			if (this.nativeExtensionObjectAvailable)
			{
				return CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "isInitialized", arguments);
			}
			else
			{
				return false;
			}
		},

		/**
		* Request to log in the social gaming application.
		* @see CocoonJS.Social.onRequestLoginSucceed
		* @see CocoonJS.Socual.onRequestLoginFailed
		*/
		requestLogin : function()
		{
			if (this.nativeExtensionObjectAvailable)
			{
				return CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "requestLogin", arguments, true);
			}
		},

		/**
		* Request to log out of the social gaming application.
		* @see CocoonJS.Social.onRequestLoginSucceed
		* @see CocoonJS.Social.onRequestLoginFailed
		* @see CocoonJS.Social.onLogout
		*/
		requestLogout : function()
		{
			if (this.nativeExtensionObjectAvailable)
			{
				return CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "requestLogout", arguments, true);
			}
		},

		/**
		* Check if the user is logged in.
		* @return {boolean} true if the user is still logged in, false otherwise.
		*/
		isLoggedIn : function()
		{
			if (this.nativeExtensionObjectAvailable)
			{
				return CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "isLoggedIn", arguments);
			}
			else
			{
				return false;
			}
		},

		/**
		* Returns all the granted permissions for the current session.
		* @return {Array} An array containin the user granted permissions.
		*/
		getPermissions : function() 
		{
			if (this.nativeExtensionObjectAvailable)
			{
				return CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "getPermissions", arguments);
			}
			else
			{
				return new Array();
			}
		},

		/**
		* Check if the user has granted the publish permission for the current session.
		* @return {boolean} true if the user has granted the publish permission for the current session, false otherwise.
		*/
		hasPublishPermission : function() 
		{
			if (this.nativeExtensionObjectAvailable)
			{
				return CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "hasPublishPermission", arguments);
			}
			else
			{
				return false;
			}
		},

		/**
		* Request to retrieve the current or a specific user's id. The request can be monitored using the {@link CocoonJS.Social.onUserInfoRequestSucceed} and {@link CocoonJS.Social.onUserInfoRequestFailed} event handlers.
		* @param {string} [userId] The id of the user to retireve the information from. If no userID is specified, the currently logged in user is assumed.
		* @see CocoonJS.Social.onRequestUserInfoSucceed
		* @see CocoonJS.Social.onRequestUserInfoFailed
		*/
		requestUserInfo : function(userID)
		{
			if (this.nativeExtensionObjectAvailable)
			{
				return CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "requestUserInfo", arguments, true);
			}
		},

		/**
		* Request to retrieve the Image of a user
		* @param {string} [userID] The id of the user to get the image for. If no userID is specified, the currently logged user is used.
		* @param {CocoonJS.Social.ImageSizeType} [imageSizeType] The size of the image. One of the possible values among the ones in the {@link CocoonJS.Social.ImageSizeType}. If no value is specified, SMALL is used.
		* @see CocoonJS.Social.onRequestUserImageURLSucceed;
		* @see CocoonJS.Social.onRequestUserImageURLFailed;
		*/
		requestUserImageURL : function( imageSizeType, userID)
		{
			if (this.nativeExtensionObjectAvailable)
			{
				return CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "requestUserImageURL", arguments, true);
			}
		},

		/**
		* Request for the information of all the friends of the currently logged user.
		* @param {string} [userID] The id of the user to get the friends infos for. If no userID is specified, the currently logged user is used.
		* @see CocoonJS.Social.onRequestUserFriendsUserInfosSucceed;
		* @see CocoonJS.Social.onRequestUserFriendsUserInfosFailed;
		*/
		requestUserFriendsUserInfos : function(userID)
		{
			if (this.nativeExtensionObjectAvailable)
			{
				return CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "requestUserFriendsUserInfos", arguments, true);
			}
		},

		/**
		* Request the publication of a message using a dialog.
		* @param {CocoonJS.Social.Message} message A object representing the information to be published.
		* @see CocoonJS.Social.onRequestMessagePublicationSucceed
		* @see CocoonJS.Social.onRequestMessagePublicationFailed
		*/
		requestMessagePublicationWithDialog : function(message)
		{
			if (this.nativeExtensionObjectAvailable)
			{
				return CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "requestMessagePublicationWithDialog", arguments, true);
			}
		}
	};

	/**
	* This structure represents the possible images to be obtained for a user in the social gaming extension.
	* @namespace
	*/
	CocoonJS.Social.ImageSizeType = 
	{
		/**
		* Represent a thumbnail like image size.
		*/
	    THUMB : "thumb",

		/**
		* Represents the small image size.
		*/
	    SMALL : "small",

		/**
		* Represents the medium image size.
		*/
	    MEDIUM : "medium",

		/**
		* Represents the large image size.
		*/
	    LARGE : "large"
	};

	/**
	* The data structure that represents the information of a user inside the social gaming extension.
	* @namespace
	* @constructor
	* @param {string} userID The id of the user.
	* @param {string} userName The user name of the user.
	*/
	CocoonJS.Social.UserInfo = function(userID, userName)
	{
		/**
		* The id of the user.
		* @field
		* @type string
		*/
		this.userID = userID;

		/**
		* The user name of the user.
		* @field
		* @type string
		*/
		this.userName = userName;
	};

	/**
	* This type represents a message to be published.
	* @namespace
	* @constructor
	* @param {string} message The message to be published.
	* @param {string} mediaURL An URL to a media (image, video, ...)
	* @param {string} linkURL An URL to add to the message so the user can click on that link to get more information.
	* @param {string} linkText The text that will appear in the message link.
	* @param {string} linkCaption The text caption that will appear in the message link.
	*/
	CocoonJS.Social.Message = function(message, mediaURL, linkURL, linkText, linkCaption)
	{
		/**
		* The message to be published.
		* @field
		* @type string
		*/
		this.message = message;

		/**
		* An URL to a media (image, video, ...)
		* @field
		* @type string
		*/
		this.mediaURL = mediaURL;

		/**
		* An URL to add to the message so the user can click on that link to get more information.
		* @field
		* @type string
		*/
		this.linkURL = linkURL;

		/**
		* The text that will appear in the message link.
		* @field
		* @type string
		*/
		this.linkText = linkText;

		/**
		* The text caption that will appear in the message link.
		* @field
		* @type string
		*/
		this.linkCaption = linkCaption;

		return this;
	};

})();

//////////////////////////////////////
// COCOONJS_SOCIALGAMING.JS         //
//////////////////////////////////////

(function()
{
    // The CocoonJS must exist before creating the extension.
    if (typeof window.CocoonJS === 'undefined' || window.CocoonJS === null) throw("The CocoonJS object must exist and be valid before creating any extension object.");

    if (!CocoonJS.Social)
		throw("The CocoonJS.Social object must exist and be valid before creating any extension object.");

	/**
	* This type represents the access to a native Social Gamming extension API. As there can be more than
	* one service of this type, more than one instance can be created.
	* @namespace
	* @constructor
	* @param {string} nativeExtensionName The name of the native ext object extension property name.
	* @param {string} extensionName The name of the CocoonJS object extension property name.
	*/
	CocoonJS.SocialGaming = function(nativeExtensionName, extensionName)
	{
		CocoonJS.SocialGaming.superclass.constructor.call(this, nativeExtensionName, extensionName);

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.SocialGaming.onRequestUserAndFriendsScoresSucceed} event calls.
	     * @name OnRequestUserAndFriendsScoresSucceedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.SocialGaming
	     * @param {array} userAndFriendsScoreInfos An array of {@link CocoonJS.SocialGaming.UserScoreInfo} objects representing the information of the user's and friends' scores.
	     */
		/**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the user and friends scores request succeeds.
	    * The callback function's documentation is represented by {@link CocoonJS.SocialGaming.OnRequestUserAndFriendsScoresSucceedListener}
	    * @event
	    * @static
	    * @memberOf CocoonJS.SocialGaming
	    */
		this.onRequestUserAndFriendsScoresSucceed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onRequestUserAndFriendsScoresSucceed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.SocialGaming.onRequestUserAndFriendsScoresFailed} event calls.
	     * @name OnRequestUserAndFriendsScoresFailedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.SocialGaming
	     * @param {string} userID The id of the user for whom the score and friends scores were requested.
	     * @param {string} leadeboardID The id of the leaderboard for whom the score and friends scores were requested.
	     * @param {string} errorMessage The error message.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the user and his/her friends scores request fails.
	    * The callback function's documentation is represented by {@link CocoonJS.SocialGaming.OnRequestUserAndFriendsScoresFailedListener}
	    * @event
	    * @static
	    * @memberOf CocoonJS.SocialGaming
	    */
		this.onRequestUserAndFriendsScoresFailed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onRequestUserAndFriendsScoresFailed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.SocialGaming.onRequestUserScoreSucceed} event calls.
	     * @name OnRequestUserScoreSucceedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.SocialGaming
	     * @param {CocoonJS.SocialGaming.UserScoreInfo} userScoreInfo The info of the user's score.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the user's score information request suceeds.
	    * The callback function's documentation is represented by {@link CocoonJS.SocialGaming.OnRequestUserScoreSucceedListener}
	    * @event
	    * @static
	    * @memberOf CocoonJS.SocialGaming
	    */
		this.onRequestUserScoreSucceed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onRequestUserScoreSucceed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.SocialGaming.onRequestUserScoreFailed} event calls.
	     * @name OnRequestUserScoreFailedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.SocialGaming
	     * @param {string} userID The id of the user for whom the score was requested.
	     * @param {string} leaderboardID The id of the leaderboard for whom the score was requested.
	     * @param {string} errorMessage The error message.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the user's score information request fails.
	    * The callback function's documentation is represented by {@link CocoonJS.SocialGaming.OnRequestUserScoreFailedListener}
	    * @event
	    * @static
	    * @memberOf CocoonJS.SocialGaming
	    */
		this.onRequestUserScoreFailed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onRequestUserScoreFailed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.SocialGaming.onSubmitUserScoreSucceed} event calls.
	     * @name OnSubmitUserScoreSucceedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.SocialGaming
	     * @param {string} userID The id of the user for whom the score has been submitted.
	     * @param {string} leaderboardID The id of the leaderboard for which the score has been submitted.
	     * @param {number} score The score that has been submitted.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the user's score submit suceeds.
	    * The callback function's documentation is represented by {@link CocoonJS.SocialGaming.OnSubmitUserScoreSucceedListener}
	    * @event
	    * @static
	    * @memberOf CocoonJS.SocialGaming
	    */
		this.onSubmitUserScoreSucceed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onSubmitUserScoreSucceed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.SocialGaming.onSubmitUserScoreFailed} event calls.
	     * @name OnSubmitUserScoreFailedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.SocialGaming
	     * @param {string} userID The id of the user for whom the score submition was requested.
	     * @param {string} leaderboadID The id of the leaderboard for which the score submition was requested.
	     * @param {number} score The score that was submitted and failed.
	     * @param {string} errorMessage The error message.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the user's score submit fails.
	    * The callback function's documentation is represented by {@link CocoonJS.SocialGaming.OnSubmitUserScoreFailedListener}
	    * @event
	    * @static
	    * @memberOf CocoonJS.SocialGaming
	    */
		this.onSubmitUserScoreFailed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onSubmitUserScoreFailed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.SocialGaming.onRequestUserAchievementsSucceed} event calls.
	     * @name OnRequestUserAchievementsSucceedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.SocialGaming
	     * @param {string} userID The id of the user for whom the achievements where requested.
	     * @param {array} achievementsInfos An array of {@link CocoonJS.SocialGaming.AchievementInfo} objects representing the information of the user's achievements.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the user's achievements info are successfully retrieved.
	    * The callback function's documentation is represented by {@link CocoonJS.SocialGaming.OnRequestUserAchievementsSucceedListener}
	    * @event
	    * @static
	    * @memberOf CocoonJS.SocialGaming
	    */
		this.onRequestUserAchievementsSucceed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onRequestUserAchievementsSucceed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.SocialGaming.onRequestUserAchievementsFailed} event calls.
	     * @name OnRequestUserAchievementsFailedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.SocialGaming
	     * @param {string} userID The id of the user for whom the achievements were requested.
	   	 * @param {string} msg The error message.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the user's achievmeents info fails to be retrieved.
	    * The callback function's documentation is represented by {@link CocoonJS.SocialGaming.OnRequestUserAchievementsFailedListener}
	    * @event
	    * @static
	    * @memberOf CocoonJS.SocialGaming
	    */
		this.onRequestUserAchievementsFailed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onRequestUserAchievementsFailed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.SocialGaming.onRequestAllAchievementsSucceed} event calls.
	     * @name OnRequestAllAchievementsSucceedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.SocialGaming
	     * @param {array} achievementsInfos An array of {@link CocoonJS.SocialGaming.AchievementInfo} objects representing the information of all the achievements.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the user's achievements info are successfully retrieved.
	    * The callback function's documentation is represented by {@link CocoonJS.SocialGaming.OnRequestAllAchievementsSucceedListener}
	    * @event
	    * @static
	    * @memberOf CocoonJS.SocialGaming
	    */
		this.onRequestAllAchievementsSucceed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onRequestAllAchievementsSucceed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.SocialGaming.onRequestAllAchievementsFailed} event calls.
	     * @name OnRequestAllAchievementsFailedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.SocialGaming
	   	 * @param {string} msg The error message.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the user's achievmeents info fails to be retrieved.
	    * The callback function's documentation is represented by {@link CocoonJS.SocialGaming.OnRequestAllAchievementsFailedListener}
	    * @event
	    * @static
	    * @memberOf CocoonJS.SocialGaming
	    */
		this.onRequestAllAchievementsFailed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onRequestAllAchievementsFailed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.SocialGaming.onRequestAchievementInfoSucceed} event calls.
	     * @name OnRequestAchievementInfoSucceedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.SocialGaming
	     * @param {CocoonJS.SocialGaming.AchievementInfo} achievementInfo A {@link CocoonJS.SocialGaming.AchievementInfo} object representing the information of the achievement.
	     */
		/**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the request to retrieve the information of an achievement succeeds.
	    * The callback function's documentation is represented by {@link CocoonJS.SocialGaming.OnRequestAchievementInfoSucceedListener}
	    * @event
	    * @static
	    * @memberOf CocoonJS.SocialGaming
	    */
		this.onRequestAchievementInfoSucceed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onRequestAchievementInfoSucceed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.SocialGaming.onRequestAchievementInfoFailed} event calls.
	     * @name OnRequestAchievementInfoFailedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.SocialGaming
	     * @param {string} achievementID The id of the achievement for which the information retrieval was requested.
	     * @param {string} errorMessage The error message.
	     */
		/**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the request to retrieve the information of an achievement fails.
	    * The callback function's documentation is represented by {@link CocoonJS.SocialGaming.OnRequestAchievementInfoFailedListener}
	    * @event
	    * @static
	    * @memberOf CocoonJS.SocialGaming
	    */
		this.onRequestAchievementInfoFailed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onRequestAchievementInfoFailed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.SocialGaming.onSubmitUserAchievementSucceed} event calls.
	     * @name OnSubmitUserAchievementSucceedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.SocialGaming
	     * @param {string} userID The id of the user for whom the achievement has been submitted.
	     * @param {string} achievementID The id of the achievement that has been submitted.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when a user's achievement submition succeeds.
	    * The callback function's documentation is represented by {@link CocoonJS.SocialGaming.OnSubmitUserAchievementSucceedListener}
	    * @event
	    * @static
	    * @memberOf CocoonJS.SocialGaming
	    */
		this.onSubmitUserAchievementSucceed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onSubmitUserAchievementSucceed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.SocialGaming.onSubmitUserAchievementFailed} event calls.
	     * @name OnSubmitUserAchievementFailedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.SocialGaming
	     * @param {string} userID The id of the user for whom the achievment was submitted.
	     * @param {string} achievementID The id of the achievement that was submitted.
	     * @param {string} msg The error message.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when a user's achievement submition fails.
	    * The callback function's documentation is represented by {@link CocoonJS.SocialGaming.OnSubmitUserAchievementFailedListener}
	    * @event
	    * @static
	    * @memberOf CocoonJS.SocialGaming
	    */
		this.onSubmitUserAchievementFailed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onSubmitUserAchievementFailed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.SocialGaming.onResetUserAchievementsSucceed} event calls.
	     * @name OnResetUserAchievementsSucceedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.SocialGaming
	     * @param {string} userID The id of the user for whom the achievements were reset.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when a user's achievement reset succeeds.
	    * The callback function's documentation is represented by {@link CocoonJS.SocialGaming.OnResetUserAchievementsSucceedListener}
	    * @event
	    * @static
	    * @memberOf CocoonJS.SocialGaming
	    */
		this.onResetUserAchievementsSucceed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onResetUserAchievementsSucceed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.SocialGaming.onResetUserAchievementsFailed} event calls.
	     * @name OnResetUserAchievementsFailedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.SocialGaming
	     * @param {string} userID The id of the user for whom the achievements where tried to be reset.
	     * @param {string} msg The error message.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when a user's achievement reset fails.
	    * The callback function's documentation is represented by {@link CocoonJS.SocialGaming.OnResetUserAchievementsFailedListener}
	    * @event
	    * @static
	    * @memberOf CocoonJS.SocialGaming
	    */
		this.onResetUserAchievementsFailed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onResetUserAchievementsFailed");

	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the users closes the achievements view.
	    * The callback function does not receive any parameter.
	    * @event
	    * @static
	    * @memberOf CocoonJS.SocialGaming
	    */
		this.onAchievementsViewClosed  = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onAchievementsViewClosed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.SocialGaming.onAchievementsViewFailed} event calls.
	     * @name OnAchievementsViewFailedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.SocialGaming
	     * @param {string} errorMessage The message that describes why the call failed.
	     */
		/**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the achievements view failed to show.
	    * The callback function's documentation is represented by {@link CocoonJS.SocialGaming.OnAchievementsViewFailedListener}
	    * @event
	    * @static
	    * @memberOf CocoonJS.SocialGaming
	    */
		this.onAchievementsViewFailed  = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onAchievementsViewFailed");

		/**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when achievements view shows successfully.
	    * The callback function does not receive any parameter.
	    * @event
	    * @static
	    * @memberOf CocoonJS.SocialGaming
	    */
		this.onAchievementsViewSucceed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onAchievementsViewSucceed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.SocialGaming.onLeaderboardViewClosed} event calls.
	     * @name OnLeaderboardViewClosedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.SocialGaming
	     * @param {string} leaderboardID The id of the leaderboard for which it's vew was requested to be shown.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when a user's achievement reset fails.
	    * The callback function's documentation is represented by {@link CocoonJS.SocialGaming.OnLeaderboardViewClosedListener}
	    * @event
	    * @static
	    * @memberOf CocoonJS.SocialGaming
	    */
   		this.onLeaderboardViewClosed  = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onLeaderboardViewClosed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.SocialGaming.onLeaderboardViewFailed} event calls.
	     * @name OnLeaderboardViewFailedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.SocialGaming
	     * @param {string} leaderboardID The id of the leaderboard for which it's vew was requested to be shown.
	     * @param {string} errorMessage The error message.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when a user's achievement reset fails.
	    * The callback function's documentation is represented by {@link CocoonJS.SocialGaming.OnLeaderboardViewFailedListener}
	    * @event
	    * @static
	    * @memberOf CocoonJS.SocialGaming
	    */
   		this.onLeaderboardViewFailed  = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onLeaderboardViewFailed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.SocialGaming.onLeaderboardViewSucceed} event calls.
	     * @name OnLeaderboardViewSucceedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.SocialGaming
	     * @param {string} leaderboardID The id of the leaderboard for which it's vew was requested to be shown.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when a user's achievement reset fails.
	    * The callback function's documentation is represented by {@link CocoonJS.SocialGaming.OnLeaderboardViewSucceedListener}
	    * @event
	    * @static
	    * @memberOf CocoonJS.SocialGaming
	    */
   		this.onLeaderboardViewSucceed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onLeaderboardViewSucceed");

		return this;
	};

	CocoonJS.SocialGaming.prototype = 
	{
        abstractToSocialGamingAchievementMap : null,
        abstractToSocialGamingAchievementMapInverse : null,

        /**
        * @ignore
        */
        setAbstractToSocialGamingAchievementMap : function( map ) {
            this.abstractToSocialGamingAchievementMap= map;

            // build a reciprocal map.
            this.abstractToSocialGamingAchievementMapInverse= {};
            for( var id in map ) {
                if ( map.hasOwnProperty(id) ) {
                    this.abstractToSocialGamingAchievementMapInverse[ map[id] ]= id;
                }
            }
            return this;
        },

        /**
        * @ignore
        */
        getAbstractToSocialGamingAchievementTranslation : function( achievementID ) {
            /**
             * If a translation map for abstract in-game achievements has been set, translate achievementID from
             * abstract to SocialGamingService.
             */
            if (this.abstractToSocialGamingAchievementMap) {
                var socialGamingAchievementID = this.abstractToSocialGamingAchievementMap[achievementID];
                if (socialGamingAchievementID) {
                    console.log("Abstract achieventID='" + achievementID + "' turned to '" + socialGamingAchievementID + "'");
                    achievementID = socialGamingAchievementID;
                } else {
                    console.log("Something may be wrong: abstract achievementID: '" + achievementID + "' w/o translation.")
                }
            }

            return achievementID;
        },

		/**
		* Request to retrieve the scores of all friends of a given user.
		* @param {string} [leaderboardID] The id of the leaderboard to request the scores for.
		* @param {string} [userID] The id of the user. If null or undefined is passed, the currently logged in user id is used.
		* @see CocoonJS.SocialGaming.onRequestUserAndFriendsScoresSucceed
		* @see CocoonJS.SocialGaming.onRequestUserAndFriendsScoresFailed
		*/
		requestUserAndFriendsScores : function(leaderboardID, userID)
		{
			if (this.nativeExtensionObjectAvailable)
			{
				return CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "requestUserAndFriendsScores", arguments, true);
			}
		},

		/**
		* Request to retrieve the score of a user.
		* @param {string} [leaderboardID] The id of the scores leaderboard to retireve the score from. If null or underfined is passed, the "leadeboard" id will be used.
		* @param {string} [userID] The id of the user to retireve the score from. If null or undefined is passed, the currently logged in user id is used.
		* @see CocoonJS.SocialGaming.onRequestUserScoreSucceed
		* @see CocoonJS.SocualGaming.onRequestUserScoreFailed
		*/
		requestUserScore : function(leaderboardID, userID)
		{
			if (this.nativeExtensionObjectAvailable)
			{
				return CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "requestUserScore", arguments, true);
			}
		},

		/**
		* Request to the server the score of a user.
		* @param {number} [score] the score to submit
		* @param {string} [leaderboardID] The id of the scores leaderboard to submit the score to. If null or underfined is passed, the "leadeboard" id will be used.
		* @param {string} [userID] The id of the user to submit the score for. If null or undefined is passed, the currently logged in user id is used.
		* @see CocoonJS.SocialGaming.onSubmitUserScoreSucceed
		* @see CocoonJS.SocualGaming.onSubmitUserScoreFailed
		*/
		submitUserScore : function(score, leaderboardID, userID)
		{
			if (this.nativeExtensionObjectAvailable)
			{
				return CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "submitUserScore", arguments, true);
			}
		},
		/**
		* Shows the leaderboard using a platform dependant view.
		* @param {string} [leaderboardID] The id of the scores leaderboard to show the view for. If null or underfined is passed, the "leadeboard" id will be used.
		* @see CocoonJS.SocialGaming.onLeaderboardViewClosed
		*/
		showLeaderboardView : function(leaderboardID)
		{
			if (this.nativeExtensionObjectAvailable)
			{
				return CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "showLeaderboardView", arguments, true);
			}
		},

		/**
		* Request to retrieve the user achievements. The request can be monitored using the {@link CocoonJS.SocialGaming.onRequestUserAchievementsSucceed} and {@link CocoonJS.Social.onRequestUserAchievementsFailed} event handlers.
		* @param {string} [userID] The id of the user to retireve the achievements from. if null/undefined/"" is specified, the currently logged in user is assumed.
		* @see CocoonJS.SocialGaming.onRequestUserAchievementsSucceed
		* @see CocoonJS.SocialGaming.onRequestUserAchievementsFailed
		*/
		requestUserAchievements : function(userID)
		{
			if (this.nativeExtensionObjectAvailable)
			{
				return CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "requestUserAchievements", arguments, true);
			}
		},

		/**
		* Request to retrieve all the achievements. The request can be monitored using the {@link CocoonJS.SocialGaming.onRequestAllAchievementsSucceed} and {@link CocoonJS.Social.onRequestAllAchievementsFailed} event handlers.
		* @see CocoonJS.SocialGaming.onRequestAllAchievementsSucceed
		* @see CocoonJS.SocialGaming.onRequestAllAchievementsFailed
		*/
		requestAllAchievements : function()
		{
			if (this.nativeExtensionObjectAvailable)
			{
				return CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "requestAllAchievements", arguments, true);
			}
		},

		/**
		* Request to retrieve the information about an achievement. 
		* @param {string} achievementID The id of the achievement to get the information for.
		* @param {CocoonJS.Social.ImageSizeType} [imageSizeType] The size of the image. One of the possible values among the ones in the {@link CocoonJS.Social.ImageSizeType}
		*/
		requestAchievementInfo : function(achievementID)
		{
			if (this.nativeExtensionObjectAvailable)
			{
				return CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "requestAchievementInfo", arguments, true);
			}
		},

		/**
		* Submits an achievement to the server. If the process fails, the achievement is stored to submit it later.
		* @param {string} [achievementID] the achievement identifier
		* @param {number} [percentComplete] an optional number between 0 and 100 that indicates a completion percentage.
		* @see CocoonJS.SocialGaming.onSubmitAchievementSucceed
		* @see CocoonJS.SocualGaming.onSubmitAchievementFailed
		*/
        submitUserAchievement:function (achievementID, userID) {
            achievementID = this.getAbstractToSocialGamingAchievementTranslation(achievementID);

            if (this.nativeExtensionObjectAvailable) {
                return CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "submitUserAchievement", arguments, true);
            }
        },

		/**
		* Shows the achievements using a platform dependant view.
		* @see CocoonJS.SocialGaming.onAchievementsViewClosed
		*/
		showUserAchievementsView : function(userID)
		{
			if (this.nativeExtensionObjectAvailable)
			{
				return CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "showUserAchievementsView", arguments, true);
			}
		},

		/**
		* Resets all the achievements of the current user
		* @param {string} [userID] The id of the user to reset the achievements for. If null/undefined/"", the logged in user is assumed.
		* @see CocoonJS.SocialGaming.onResetAchievementsSucceed
		* @see CocoonJS.SocualGaming.onResetAchievementsFailed
		*/
		resetUserAchievements : function(userID)
		{
			if (this.nativeExtensionObjectAvailable)
			{
				return CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "resetUserAchievements", arguments, true);
			}
		}
	};

	/**
    * @ignore
    */
	CocoonJS.extend(CocoonJS.SocialGaming, CocoonJS.Social);

	/**
	* The data structure that represents the information of the user score in the application.
	* @namespace
	* @constructor
	* @param {string} userID The user id.
	* @param {number} score The score of the user.
	* @param {string} userName The name of the user.
	* @param {string} imageURL The url of the user image.
	* @param {number} leaderboardID The id of the leaderboard the score belongs to.
	*/
	CocoonJS.SocialGaming.UserScoreInfo = function(userID, score, userName, imageURL, leaderboardID)
	{
		/**
		* The user id. 
		* @type string
		*/
		this.userID = userID;

		/**
		* The score of the user.
		* @type number
		*/
		this.score = score ? score : 0;

		/**
		* The name of the user.
		* @type string
		*/
        this.userName = userName;

		/**
		* The url of the user image.
		* @type string
		*/
        this.imageURL = imageURL;

        /**
		* The id of the leaderboard the score belongs to.
		* @type number
		*/
        this.leaderboardID = leaderboardID;
	};

	/**
	* The data structure that represents the information of an achievement in the application.
	* @namespace
	* @constructor
	* @param {string} achievementID The id of the achievement info.
	* @param {string} title The title of the achievement.
	* @param {string} description The description of the achievement.
	* @param {string} imageURL The url to the image representing the achievement.
	* @param {number} points The points value of the achievement
	*/
	CocoonJS.SocialGaming.AchievementInfo = function(achievementID, title, description, imageURL, points)
	{
		/**
		* The id of the achievement info.
		* @type string
		*/
		this.achievementID = achievementID;

		/**
		* The title of the achievement.
		* @type string
		*/
		this.title = title;

		/**
		* The description of the achievement.
		* @type string
		*/
		this.description = description;

		/**
		* The url to the image representing the achievement.
		* @type string
		*/
		this.imageURL = imageURL;

		/**
		* The points value of the achievement
		* @type number
		*/
		this.points = points ? points : 0;
	};

})();

/////////////////////////////////////////
// COCOONJS_SOCIALGAMING_GAMECENTER.JS //
/////////////////////////////////////////

(function()
{
    // The CocoonJS must exist before creating the extension.
    if (typeof window.CocoonJS === 'undefined' || window.CocoonJS === null) throw("The CocoonJS object must exist and be valid before creating any extension object.");
    if (typeof window.CocoonJS.SocialGaming === 'undefined' || window.CocoonJS === null) throw("The CocoonJS.SocialGaming object must exist and be valid before creating a Game Center extension object.");

	/**
	* This instance represents the extension object to access GameCenter related native functionalities.
	* The data structure for initialization: None.
	* @see CocoonJS.Social
	*/
	CocoonJS.SocialGaming.GameCenter = new CocoonJS.SocialGaming("IDTK_SRV_SOCIAL_GAMECENTER", "SocialGaming.GameCenter");
})();

//////////////////////////////
// COCOONJS_GAMEPAD.JS 		//
//////////////////////////////

(function () {
    // The CocoonJS must exist before creating the extension.
    if (typeof window.CocoonJS === 'undefined' || window.CocoonJS === null) throw("The CocoonJS object must exist and be valid before creating any extension object.");

    /**
     * This namespace represents the functionalities related to OUYA android gaming control.
     * @namespace
     */
    CocoonJS.Gamepad = {};

    CocoonJS.Gamepad.nativeExtensionObjectAvailable = CocoonJS.nativeExtensionObjectAvailable && typeof window.ext.Gamepad !== 'undefined';

    CocoonJS.Gamepad.Indices = {
        BUTTON_0                : 0, 
        BUTTON_1                : 1,
        BUTTON_2                : 2,
        BUTTON_3                : 3,
        BUTTON_LEFT_BUMPER      : 4,
        BUTTON_RIGHT_BUMPER     : 5,
        
        BUTTON_LEFT_TRIGGER     : 6,
        BUTTON_RIGHT_TRIGGER    : 7,
        
        BUTTON_LEFT_JOYSTICK    : 10,
        BUTTON_RIGHT_JOYSTICK   : 11,
        BUTTON_DPAD_UP          : 12,
        BUTTON_DPAD_DOWN        : 13,
        BUTTON_DPAD_LEFT        : 14,
        BUTTON_DPAD_RIGHT       : 15,
        BUTTON_MENU             : 16,
        
        AXE_LEFT_JOYSTICK_X     : 0,
        AXE_LEFT_JOYSTICK_Y     : 1,
        AXE_RIGHT_JOYSTICK_X    : 2,
        AXE_RIGHT_JOYSTICK_Y    : 3
    };

    // If the extension is present and the navigator does not provide the gamepad API:
    // 1.- Add the getGamepads function to the navigator object.
    // 2.- Replace the window add and remove event listener functions to call to the extension for the gamepad related events.
    var systemSupportsGamepads = navigator["getGamepads"] || navigator["webkitGetGamepads"];
    if (CocoonJS.Gamepad.nativeExtensionObjectAvailable && !systemSupportsGamepads)
    {
        navigator.getGamepads = function()
        {
            return window.ext.Gamepad.makeCall("getGamepads");
        };

        CocoonJS.Gamepad.originalWindowAddEventListener = window.addEventListener;
        CocoonJS.Gamepad.originalWindowRemoveEventListener = window.removeEventListener;

        window.addEventListener = function(eventName, callback)
        {
            console.log("The new window.addEventListener has been called.");
            if (eventName === "gamepadconnected" || eventName === "gamepaddisconnected")
            {
                window.ext.Gamepad.addEventListener(eventName, callback);
            }
            else
            {
                var argumentsArray = Array.prototype.slice.call(arguments);
                CocoonJS.Gamepad.originalWindowAddEventListener.apply(window, argumentsArray);
            }
        };
        window.removeEventListener = function(eventName, callback)
        {
            console.log("The new window.removeEventListener has been called.");
            if (eventName === "gamepadconnected" || eventName === "gamepaddisconnected")
            {
                window.ext.Gamepad.removeEventListener(eventName, callback);
            }
            else
            {
                var argumentsArray = Array.prototype.slice.call(arguments);
                CocoonJS.Gamepad.originalWindowRemoveEventListener.apply(window, argumentsArray);
            }
        };
    } 
    else if (systemSupportsGamepads) 
    {
        if (!navigator.getGamepads)
        {
            console.log("navigator.getGamepads does not exist.");
            if (navigator.webkitGetGamepads)
            {
                console.log("navigator.webkitGamepads exists, adding navigator.getGamepads to point to it.");
                navigator.getGamepads = navigator.webkitGetGamepads;
            }
            else
            {
                console.log("navigator.webkitGetGamepads does not exist either.");
            }
        }
    }
})();

//////////////////////////////
// COCOONJS_NOTIFICATION.JS //
//////////////////////////////

(function()
{
    // The CocoonJS must exist before creating the extension.
    if (typeof window.CocoonJS === 'undefined' || window.CocoonJS === null) throw("The CocoonJS object must exist and be valid before creating any extension object.");

    /**
    * This namespace represents the CocoonJS Notification extension.
    * @namespace
    */
    CocoonJS.Notification = {};

    CocoonJS.Notification.nativeExtensionObjectAvailable = CocoonJS.nativeExtensionObjectAvailable && typeof window.ext.IDTK_SRV_NOTIFICATION !== 'undefined';

	/**
	* The data structure that represents the information of a local notification.
	* @namespace
	* @constructor
	* @param {string} message The notification message.
	* @param {boolean} soundEnabled A flag that indicates if the sound should be enabled for the notification.
	* @param {number} badgeNumber The number that will appear in the badge of the application icon in the home screen.
	* @param {object} userData The JSON data to attached to the notification.
	* @param {string} contentBody The body content to be showed in the expanded notification information.
	* @param {string} contentTitle The title to be showed in the expanded notification information.
	* @param {number} date Time in millisecs from 1970 when the notification will be fired.
	*/
	CocoonJS.Notification.LocalNotification = function(message, soundEnabled, badgeNumber, userData, contentBody, contentTitle, scheduleTime)
	{
		/**
		* The notification message.
		* @field
		* @type string
		*/
		this.message = message;

		/**
		* A flag that indicates if the sound should be enabled for the notification.
		* @field
		* @type boolean
		*/
		this.soundEnabled = soundEnabled;

		/**
		* (iOS only) The number that will appear in the badge of the application icon in the home screen.
		* @field
		* @type number
		*/
		this.badgeNumber = badgeNumber;

		/**
		* The JSON data to attached to the notification.
		* @field
		* @type object
		*/
		this.userData = userData;

		/**
		* (Android only) The body content to be showed in the expanded notification information.
		* @field
		* @type string
		*/
		if (contentBody !== undefined)
			this.contentBody = contentBody;
		else
			this.contentBody = "";

		/**
		* (Android only) The title to be showed in the expanded notification information.
		* @field
		* @type string
		*/
		if (contentTitle !== undefined)
			this.contentTitle = contentTitle;
		else
			this.contentTitle = "";

		/**
		* Time in millisecs from 1970 when the local notification will be fired
		* @field
		* @type number
		*/
		var currentTime = new Date().getTime();
		if (scheduleTime !== undefined){
			this.scheduleTime = scheduleTime;
		}else{
			this.scheduleTime = currentTime;
		}
	};

	/**
	* The data structure that represents the information of a push notification.
	* @namespace
	* @constructor
	* @param {string} message The notification message.
	* @param {boolean} soundEnabled A flag that indicates if the sound should be enabled for the notification.
	* @param {number} badgeNumber The number that will appear in the badge of the application icon in the home screen.
	* @param {object} userData The JSON data to attached to the notification.
	* @param {array} channels An array containing the channels names this notification will be delivered to.
	* @param {number} expirationTime A time in seconds from 1970 when the notification is no longer valid and will not be delivered in case it has not already been delivered.
	* @param {number} expirationTimeInterval An incremental ammount of time in from now when the notification is no longer valid and will not be delivered in case it has not already been delivered.
	*/
	CocoonJS.Notification.PushNotification = function(message, soundEnabled, badgeNumber, userData, channels, expirationTime, expirationTimeInterval)
	{
		/**
		* The notification message.
		* @field
		* @type string
		*/
		this.message = message;

		/**
		* A flag that indicates if the sound should be enabled for the notification.
		* @field
		* @type boolean
		*/
		this.soundEnabled = soundEnabled;

		/**
		* The number that will appear in the badge of the application icon in the home screen.
		* @field
		* @type number
		*/
		this.badgeNumber = badgeNumber;

		/**
		* The JSON data to attached to the notification.
		* @field
		* @type object
		*/
		this.userData = userData

		/**
		* An array containing the channels names this notification will be delivered to.
		* @field
		* @type array
		*/
		this.channels = channels;

		/**
		* A time in seconds from 1970 when the notification is no longer valid and will not be delivered in case it has not already been delivered.
		* @field
		* @type number
		*/
		if (expirationTime !== undefined)
			this.expirationTime = expirationTime;
		else
			this.expirationTime = 0;

		/**
		* An incremental ammount of time in from now when the notification is no longer valid and will not be delivered in case it has not already been delivered.
		* @field
		* @type number
		*/
		if (expirationTimeInterval !== undefined)
			this.expirationTimeInterval = expirationTimeInterval;
		else
			this.expirationTimeInterval = 0;
	};

	/**
	* Start processing received notifications. The user must call this method when the game is ready to process notifications. Notifications received before being prepared are stored and processed later.
	*/
	CocoonJS.Notification.start = function()
	{
		if (CocoonJS.Notification.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_NOTIFICATION", "start", arguments, true);
		}
	};


	/**
	* Register to be able to receive push notifications.
	* The registration process is controlled using the {@link CocoonJS.Notification.onRegisterForPushNotificationsSucceed} and {@link CocoonJS.Notification.onRegisterForPushNotificationsFailed} event handlers.
	* @function
	* @see {CocoonJS.Notification.onRegisterForPushNotificationsSucceed}
	* @see {CocoonJS.Notification.onRegisterForPushNotificationsFailed}
	*/
	CocoonJS.Notification.registerForPushNotifications = function()
	{
		if (CocoonJS.Notification.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_NOTIFICATION", "registerForPushNotifications", arguments, true);
		}
	};

	/**
	* Unregister from receiving push notifications.
	* The unregistration process is controlled using the {@link CocoonJS.Notification.onUnregisterForPushNotificationsSucceed} event handler.
	* @function
	* @see CocoonJS.Notification.onUnregisterForPushNotificationsSucceed
	*/
	CocoonJS.Notification.unregisterForPushNotifications = function()
	{
		if (CocoonJS.Notification.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_NOTIFICATION", "unregisterForPushNotifications", arguments, true);
		}
	};

	/**
	* Cancel the last sent local notification.
	* The last sent local notification will be remove from the notifications bar.
	* @function
	*/
	CocoonJS.Notification.cancelLastSentLocalNotificiation = function()
	{
		if (CocoonJS.Notification.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_NOTIFICATION", "cancelLocalNotification", arguments, true);
		}
	};

	/**
	* Cancel all sent local notifications.
	* All the notifications will ve removed from the notifications bar.
	* @function
	*/
	CocoonJS.Notification.cancelAllLocalNotifications = function()
	{
		if (CocoonJS.Notification.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_NOTIFICATION", "cancelAllLocalNotifications", arguments, true);
		}
	};

	/**
	* Send a local notification.
	* @function
	* @param {CocoonJS.Notification.LocalNotification} localNotification The local notification to be sent.
	*/
	CocoonJS.Notification.sendLocalNotification = function(localNotification)
	{
		if (CocoonJS.Notification.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_NOTIFICATION", "sendLocalNotification", arguments, true);
		}
	};

	/**
	* Subscribe to a channel in order to receive notifications targeted to that channel.
	* @function
	* @param {string} channel The channel id to subscribe to.
	*/
	CocoonJS.Notification.subscribeToChannel = function(channel)
	{
		if (CocoonJS.Notification.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_NOTIFICATION", "subscribe", arguments, true);
		}
	};

	/**
	* Unsubscribe from a channel in order to stop receiving notifications targeted to it.
	* @function
	* @param {string} channel The channel id to unsubscribe from.
	*/
	CocoonJS.Notification.unsubscribeFromChannel = function(channel)
	{
		if (CocoonJS.Notification.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_NOTIFICATION", "unsubscribe", arguments, true);
		}
	};

	/**
	* Send a push notification.
	* @function
	* @param {CocoonJS.Notification.PushNotification} pushNotification The push notification object to be sent.
	* @see CocoonJS.Notification.onPushNotificationDeliverySucceed
	* @see CocoonJS.Notification.onPushNotificationDeliveryFailed
	*/
	CocoonJS.Notification.sendPushNotification = function(pushNotification)
	{
		if (CocoonJS.Notification.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_NOTIFICATION", "sendPushNotification", arguments, true);
		}
	};

	/**
	* (iOS only) Set the badge number for this application.
	* This is useful if you want to modify the badge number set by a notification.
	* @function
	* @param {number} badgeNumber The number of the badge.
	*/
	CocoonJS.Notification.setBadgeNumber = function(badgeNumber)
	{
		if (CocoonJS.Notification.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_NOTIFICATION", "setBadgeNumber", arguments);
		}
	};

	/**
	* (iOS only) Returns the current badge number.
	* @function
	* @returns {number} The badge number.
	*/
	CocoonJS.Notification.getBadgeNumber = function()
	{
		if (CocoonJS.Notification.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_NOTIFICATION", "getBadgeNumber", arguments);
		}
	};

	/**
	* Returns the last received user data from a Local notification.
	* @function
	* @returns {object} The last received user data from a Local notification.
	*/
	CocoonJS.Notification.getLastReceivedLocalNotificationData = function()
	{
		if (CocoonJS.Notification.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_NOTIFICATION", "getLastReceivedLocalNotificationData", arguments);
		}
	};

	/**
	* Returns the last received user data from a Push notification.
	* @function
	* @returns {object} The last received user data from a Push notification.
	*/
	CocoonJS.Notification.getLastReceivedPushNotificationData = function()
	{
		if (CocoonJS.Notification.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_NOTIFICATION", "getLastReceivedPushNotificationData", arguments);
		}
	};

    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when the registration for push notification succeeds.
    * The callback function does not receive any parameter.
    * @static
    * @event
    * @param {string} token The token (apid or device token) received at registration time.
    * @memberOf CocoonJS.Notification
    */
	CocoonJS.Notification.onRegisterForPushNotificationsSucceed = new CocoonJS.EventHandler("IDTK_SRV_NOTIFICATION", "Notification", "pushNotificationServiceRegistered");

    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when the unregistration for push notifications succeeds.
    * The callback function does not receive any parameter.
    * @static
    * @event
    * @memberOf CocoonJS.Notification
    */
	CocoonJS.Notification.onUnregisterForPushNotificationsSucceed = new CocoonJS.EventHandler("IDTK_SRV_NOTIFICATION", "Notification", "pushNotificationServiceUnregistered");

    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when the registration for push notifications fails.
    * The callback function receives a parameter with error information.
    * @static
    * @event
    * @param {string} msg The error message.
    */
	CocoonJS.Notification.onRegisterForPushNotificationsFailed = new CocoonJS.EventHandler("IDTK_SRV_NOTIFICATION", "Notification", "pushNotificationServiceFailedToRegister");

    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when a push notification is received.
    * The callback function receives a parameter with the userData of the received notification.
    * @static
    * @event
    * @param {object} userData An object with the notification userData information.
    */
	CocoonJS.Notification.onPushNotificationReceived = new CocoonJS.EventHandler("IDTK_SRV_NOTIFICATION", "Notification", "pushNotificationReceived");

    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when a local notification is received.
    * The callback function receives a parameter with the userData of the received notification.
    * @static
    * @event
    * @param {object} userData An object with the notification userData information.
    */
	CocoonJS.Notification.onLocalNotificationReceived = new CocoonJS.EventHandler("IDTK_SRV_NOTIFICATION", "Notification", "localNotificationReceived");

    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when a notification is successfully delivered.
    * The callback function receives a parameter with the notificationId of the delivered notification.
    * @static
    * @event
    * @param {string} userData A string with the notification userData information.
    */
	CocoonJS.Notification.onPushNotificationDeliverySucceed = new CocoonJS.EventHandler("IDTK_SRV_NOTIFICATION", "Notification", "pushNotificationSuccessfullyDelivered");

    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when the delivery of push a notification fails.
    * The callback function receives a parameter with error information.
    * @static
    * @event
    * @param {string} msg The error message.
    */
	CocoonJS.Notification.onPushNotificationDeliveryFailed = new CocoonJS.EventHandler("IDTK_SRV_NOTIFICATION", "Notification", "pushNotificationDeliveryError");

})();

/////////////////
// PATHFIND.JS //
/////////////////

// Pathfind.js
// Written by Ashley Gullen
// Copyright (c) 2013 Scirra Ltd.

// A* pathfinding javascript implementation

(function() {
	
	var PF_CLEAR = 0;
	var PF_OBSTACLE = 32767;
	
	function node()
	{
		this.parent = null;
		
		this.x = 0;
		this.y = 0;

		this.f = 0;
		this.g = 0;
		this.h = 0;
	};
	
	var nodeCache = [];			// for recycling nodes
	
	function allocNode()
	{
		var ret;
		
		if (nodeCache.length)
			ret = nodeCache.pop();
		else
			ret = new node();
			
		ret.parent = null;
		ret.x = 0;
		ret.y = 0;
		ret.f = 0;
		ret.g = 0;
		ret.h = 0;
		return ret;
	};
	
	function freeNode(n)
	{
		if (nodeCache.length < 64000)
			nodeCache.push(n);
	};
	
	function resultNode(x_, y_)
	{
		this.x = x_ || 0;
		this.y = y_ || 0;
	};
	
	var resultNodeCache = [];			// for recycling resultNodes
	
	function allocResultNode()
	{
		if (resultNodeCache.length)
			return resultNodeCache.pop();
		else
			return new resultNode(0, 0);
	};
	
	function freeResultNode(n)
	{
		if (resultNodeCache.length < 10000)
			resultNodeCache.push(n);
	};
	
	var workersSupported = (typeof Worker !== "undefined");
	var isInWebWorker = (typeof document === "undefined");		// no DOM in a worker
	var myInstance = null;										// single pathfinder instance for worker
	
	if (isInWebWorker)
	{
		self.addEventListener("message", function (e)
		{
			var d = e.data;
			
			if (!d)
				return;		// could be empty postMessage() to start worker
			
			if (d.cmd === "init")
			{
				if (!myInstance)
					myInstance = new pathfinder();
					
				myInstance.init(d.hcells, d.vcells, d.data, d.diagonals);
			}
			else if (d.cmd === "find")
			{
				// receive a pathfind job, process it them dispatch result
				myInstance.pathEnd.parent = null;
				myInstance.targetX = d.endX;
				myInstance.targetY = d.endY;
				
				if (myInstance.doLongFindPath(d.startX, d.startY))
				{
					self.postMessage({ cmd: "result", pathList: myInstance.pathList });
				}
				else
				{
					self.postMessage({ cmd: "result", pathList: null });
				}
			}
			else if (d.cmd === "setdiag")
			{
				// update diagonalsEnabled flag
				myInstance.diagonalsEnabled = d.diagonals;
			}
			
		}, false);
	}
	
	function pathfinder()
	{
		this.hcells = 0;
		this.vcells = 0;
		
		this.pathEnd = allocNode();
		
		this.cells = null;
		this.openList = [];
		this.closedList = [];
		this.closedCache = {};
		this.pathList = [];
		
		this.currentNode = null;
		this.targetX = 0;
		this.targetY = 0;
		this.diagonalsEnabled = true;
		
		this.worker = null;
		this.workerQueue = [];		// jobs awaiting completion from worker in order of requests made
		this.workerRecycle = [];
		
		var self = this;
		var i, len;
		
		if (workersSupported && !isInWebWorker)
		{
			// Create worker and receive results of pathfind jobs from it
			this.worker = new Worker("pathfind.js");
			
			this.worker.addEventListener("message", function (e) {
			
				if (!e || !e.data)
					return;
				
				if (e.data.cmd === "result")
				{
					if (e.data.pathList)
					{
						for (i = 0, len = self.pathList.length; i < len; i++)
							freeResultNode(self.pathList[i]);
						
						self.pathList = e.data.pathList;
						self.workerQueue[0].success();
					}
					else
						self.workerQueue[0].fail();
						
					self.workerRecycle.push(self.workerQueue.shift());
				}
			}, false);
			
			this.worker.addEventListener("error", function (e) {
				console.error(e);
			}, false);
			
			this.worker.postMessage(null);
		}
	};
	
	pathfinder.prototype.init = function (hcells_, vcells_, data_, diagonals_)
	{
		this.hcells = hcells_;
		this.vcells = vcells_;
		this.cells = data_;
		this.diagonalsEnabled = diagonals_;
		
		if (workersSupported && !isInWebWorker)
		{
			this.worker.postMessage({
				cmd: "init",
				hcells: hcells_,
				vcells: vcells_,
				diagonals: diagonals_,
				data: data_
			});
		}
	};
	
	pathfinder.prototype.isReady = function ()
	{
		return !!this.cells;
	};
	
	pathfinder.prototype.setDiagonals = function (d)
	{
		if (this.diagonalsEnabled === d)
			return;
		
		this.diagonalsEnabled = d;
		
		if (workersSupported && !isInWebWorker)
		{
			this.worker.postMessage({
				cmd: "setdiag",
				diagonals: d,
			});
		}
	};
	
	pathfinder.prototype.at = function (x_, y_)
	{
		if (x_ < 0 || y_ < 0 || x_ >= this.hcells || y_ >= this.vcells)
			return PF_OBSTACLE;
			
		return this.cells[x_][y_];
	};
	
	pathfinder.prototype.findPath = function (startX, startY, endX, endY, successCallback, failCallback)
	{
		if (!this.cells)
		{
			// not yet initialised
			failCallback();
			return;
		}
		
		startX = Math.floor(startX);
		startY = Math.floor(startY);
		endX = Math.floor(endX);
		endY = Math.floor(endY);
		
		this.targetX = endX;
		this.targetY = endY;
		this.pathEnd.parent = null;
		
		// Check the box made by the start and dest cells.
		// If the complete box is empty, allow a direct move to target.
		var minX = Math.min(startX, endX);
		var maxX = Math.max(startX, endX);
		var minY = Math.min(startY, endY);
		var maxY = Math.max(startY, endY);
		
		// Path goes out of bounds: no calculable path
		if (minX < 0 || minY < 0 || maxX >= this.hcells || maxY >= this.vcells)
		{
			failCallback();
			return;
		}
		
		var x, y, i, len, c, h, n;

		if (this.diagonalsEnabled)
		{
			var canMoveDirect = true;
			
			for (x = minX; x <= maxX; x++)
			{
				for (y = minY; y <= maxY; y++)
				{
					if (this.cells[x][y] !== 0)
					{
						canMoveDirect = false;
						
						// Break both loops
						x = maxX + 1;
						break;
					}
				}
			}

			// A "direct" path is available (box is empty)
			if (canMoveDirect)
			{
				for (i = 0, len = this.pathList.length; i < len; i++)
					freeResultNode(this.pathList[i]);
				this.pathList.length = 0;
			
				this.pathEnd.x = endX;
				this.pathEnd.y = endY;
				this.pathEnd.parent = null;
				n = allocResultNode();
				n.x = endX;
				n.y = endY;
				this.pathList.push(n);
				successCallback();
				return;
			}
		}
		
		if (workersSupported)
		{
			// recycle objects in the worker queue
			if (this.workerRecycle.length)
				h = this.workerRecycle.pop();
			else
				h = {};
			
			h.success = successCallback;
			h.fail = failCallback;
			
			// dispatch the heavy lifting to the worker thread
			this.workerQueue.push(h);

			this.worker.postMessage({
				cmd: "find",
				startX: startX,
				startY: startY,
				endX: endX,
				endY: endY
			});
		}
		else
		{
			// no web worker support, just run on main thread
			if (this.doLongFindPath(startX, startY))
				successCallback();
			else
				failCallback();
		}
	};
		
	pathfinder.prototype.doLongFindPath = function (startX, startY)
	{
		var i, len, c, n, p, lastDir = 8, curDir = -1, addNode;
		for (i = 0, len = this.openList.length; i < len; i++)
			freeNode(this.openList[i]);
		for (i = 0, len = this.closedList.length; i < len; i++)
			freeNode(this.closedList[i]);
		for (i = 0, len = this.pathList.length; i < len; i++)
			freeResultNode(this.pathList[i]);
		this.openList.length = 0;
		this.closedList.length = 0;
		this.closedCache = {};
		this.pathList.length = 0;

		// Add the start node to the open list
		var startNode = allocNode();
		startNode.x = startX;
		startNode.y = startY;

		this.openList.push(startNode);
		var obsLeft = false, obsTop = false, obsRight = false, obsBottom = false;
		var diagonals = this.diagonalsEnabled;
		
		// While there are nodes on the open list
		while (this.openList.length)
		{
			// Move the best F value to closed list
			c = this.openList.shift();
			this.closedList.unshift(c);
			this.closedCache[((c.x << 16) + c.y).toString()] = true;

			// Are we there yet?
			if (c.x === this.targetX && c.y === this.targetY)
			{
				this.pathEnd.parent = c.parent;
				this.pathEnd.x = c.x;
				this.pathEnd.y = c.y;
				
				// Link up the whole path to an indexable array
				p = this.pathEnd;
				
				while (p)
				{
					// filter redundant nodes in straight lines
					if (this.pathList.length === 0)
					{
						addNode = true;
						
						if (p.parent)
						{
							lastDir = this.nodeDirection(p, p.parent);
							curDir = lastDir;
						}
					}
					else if (!p.parent)
						addNode = false;
					else 
					{
						curDir = this.nodeDirection(p, p.parent);
						addNode = (curDir !== lastDir);
					}
					
					if (addNode)
					{
						n = allocResultNode();
						n.x = p.x;
						n.y = p.y;
						this.pathList.unshift(n);
						lastDir = curDir;
					}
					
					p = p.parent;
				}
				
				return true;
			}

			// Get current node
			this.currentNode = c;
			var x = c.x;
			var y = c.y;
			
			var obsLeft = (this.at(x - 1, y) === PF_OBSTACLE);
			var obsTop = (this.at(x, y - 1) === PF_OBSTACLE);
			var obsRight = (this.at(x + 1, y) === PF_OBSTACLE);
			var obsBottom = (this.at(x, y + 1) === PF_OBSTACLE);

			// Check adjacent 8 nodes.  No diagonals allowed if either cell being crossed is obstacle.
			if (!obsLeft)
				this.addCellToOpenList(x - 1, y, 10);

			if (diagonals && !obsLeft && !obsTop)
				this.addCellToOpenList(x - 1, y - 1, 14);

			if (!obsTop)
				this.addCellToOpenList(x, y - 1, 10);

			if (diagonals && !obsTop && !obsRight)
				this.addCellToOpenList(x + 1, y - 1, 14);

			if (!obsRight)
				this.addCellToOpenList(x + 1, y, 10);

			if (diagonals && !obsRight && !obsBottom)
				this.addCellToOpenList(x + 1, y + 1, 14);

			if (!obsBottom)
				this.addCellToOpenList(x, y + 1, 10);

			if (diagonals && !obsBottom && !obsLeft)
				this.addCellToOpenList(x - 1, y + 1, 14);
		}
		
		return false;
	};
	
	pathfinder.prototype.insertToOpenList = function (c)
	{
		var i, len;
		
		// Needs to go at end
		if (c.f >= this.openList[this.openList.length - 1].f)
		{
			this.openList.push(c);
		}
		else
		{
			for (i = 0, len = this.openList.length; i < len; i++)
			{
				if (c.f < this.openList[i].f)
				{
					this.openList.splice(i, 0, c);
					break;
				}
			}
		}
	};
	
	pathfinder.prototype.addCellToOpenList = function (x_, y_, g_)
	{
		// Ignore if cell on closed list
		if (this.closedCache.hasOwnProperty(((x_ << 16) + y_).toString()))
			return;
		
		var i, len, c;
		
		// Cell costs can be increased by changing the number in the map
		var curCellCost = this.at(x_, y_);

		// Is this cell already on the open list?
		for (i = 0, len = this.openList.length; i < len; i++)
		{
			c = this.openList[i];
			
			if (x_ === c.x && y_ === c.y)
			{
				// Is this a better path?
				if (this.currentNode.g + g_ + curCellCost < c.g)
				{
					// Update F, G and H and update parent
					c.parent = this.currentNode;
					c.g = this.currentNode.g + g_ + curCellCost;
					c.h = this.estimateH(c.x, c.y);
					c.f = c.g + c.h;

					// This node's F has changed:  Delete it then re-insert it in the right place

					if (this.openList.length === 1)
					{
						// no need to remove then re-insert same node, just leave it there
						return;
					}
					
					this.openList.splice(i, 1);
					this.insertToOpenList(c);
				}

				return;
			}
		}

		// Not on the open list; add it in the right place
		c = allocNode();
		c.x = x_;
		c.y = y_;
		c.h = this.estimateH(x_, y_);
		c.g = this.currentNode.g + g_ + curCellCost;
		c.f = c.h + c.g;
		c.parent = this.currentNode;

		// Insert this node sorted in the open list
		// The loop below won't add new largest F values
		if (!this.openList.length)
		{
			this.openList.push(c);
			return;
		}
		
		this.insertToOpenList(c);
	};
	
	function quickAbs(x)
	{
		return x < 0 ? -x : x;
	};
	
	pathfinder.prototype.estimateH = function (x_, y_)
	{
		var dx = quickAbs(x_ - this.targetX);
		var dy = quickAbs(y_ - this.targetY);

		return dx * 10 + dy * 10;
	};
	
	pathfinder.prototype.nodeDirection = function (a, b)
	{
		var ax = a.x;
		var ay = a.y;
		var bx = b.x;
		var by = b.y;

		if (ax === bx)
		{
			if (by > ay) return 6;
			if (by < ay) return 2;
			if (ay == by) return 8;
		}
		else if (ay === by)
		{
			if (bx > ax) return 4;
			if (by < ax) return 0;
		}
		else
		{
			if (bx < ax && by < ay) return 1;
			if (bx > ax && by < ay) return 3;
			if (bx < ax && by > ay) return 7;
			if (bx > ax && by > ay) return 5;
		}
		return 8;
	};
	
	if (!isInWebWorker)
	{
		window.PF_CLEAR = PF_CLEAR;
		window.PF_OBSTACLE = PF_OBSTACLE;
		window.Pathfinder = pathfinder;
		
		window.ResultNode = resultNode;
		window.allocResultNode = allocResultNode;
		window.freeResultNode = freeResultNode;
	}

})();
(function() {
'use strict';var cr={plugins_:{},behaviors:{}};"function"!==typeof Object.getPrototypeOf&&(Object.getPrototypeOf="object"===typeof"test".__proto__?function(a){return a.__proto__}:function(a){return a.constructor.prototype});
(function(){function a(b,m){this.x=b;this.y=m;cr.seal(this)}function c(b,m,a,q){this.set(b,m,a,q);cr.seal(this)}function e(){this.bly=this.blx=this.bry=this.brx=this.try_=this.trx=this.tly=this.tlx=0;cr.seal(this)}function k(b,m,a,q){b<m?a<q?(p=b<a?b:a,r=m>q?m:q):(p=b<q?b:q,r=m>a?m:a):a<q?(p=m<a?m:a,r=b>q?b:q):(p=m<q?m:q,r=b>a?b:a)}function g(){this.items=this.s=null;this.item_count=0;s?this.s=new Set:this.items={};this.values_cache=[];this.cache_valid=!0;cr.seal(this)}function b(b){w[q++]=b}function l(){this.sum=
this.t=this.y=this.c=0;cr.seal(this)}function n(b){this.pts_cache=[];this.bboxBottom=this.bboxRight=this.bboxTop=this.bboxLeft=0;this.convexpolys=null;this.set_pts(b);cr.seal(this)}function d(b,m){this.cellwidth=b;this.cellheight=m;this.cells={}}function h(b,m,a){var q;d.prototype.totalCellCount++;return u.length?(q=u.pop(),q.grid=b,q.x=m,q.y=a,q):new cr.GridCell(b,m,a)}function f(b,m,a){this.grid=b;this.x=m;this.y=a;this.objects=new cr.ObjectSet}cr.logexport=function(b){window.console&&window.console.log&&
window.console.log(b)};cr.seal=function(b){return b};cr.freeze=function(b){return b};cr.is_undefined=function(b){return"undefined"===typeof b};cr.is_number=function(b){return"number"===typeof b};cr.is_string=function(b){return"string"===typeof b};cr.isPOT=function(b){return 0<b&&0===(b-1&b)};cr.nextHighestPowerOfTwo=function(b){--b;for(var m=1;32>m;m<<=1)b|=b>>m;return b+1};cr.abs=function(b){return 0>b?-b:b};cr.max=function(b,m){return b>m?b:m};cr.min=function(b,m){return b<m?b:m};cr.PI=Math.PI;
cr.round=function(b){return b+0.5|0};cr.floor=function(b){return 0<=b?b|0:(b|0)-1};cr.ceil=function(b){var m=b|0;return m===b?m:m+1};a.prototype.offset=function(b,m){this.x+=b;this.y+=m;return this};a.prototype.mul=function(b,m){this.x*=b;this.y*=m;return this};cr.vector2=a;cr.segments_intersect=function(b,m,a,q,d,f,h,l){var g,c,n,p;b<a?(c=b,g=a):(c=a,g=b);d<h?(p=d,n=h):(p=h,n=d);if(g<p||c>n)return!1;m<q?(c=m,g=q):(c=q,g=m);f<l?(p=f,n=l):(p=l,n=f);if(g<p||c>n)return!1;g=d-b+h-a;c=f-m+l-q;b=a-b;m=
q-m;d=h-d;f=l-f;l=cr.abs(m*d-f*b);return cr.abs(d*c-f*g)>l?!1:cr.abs(b*c-m*g)<=l};c.prototype.set=function(b,m,a,q){this.left=b;this.top=m;this.right=a;this.bottom=q};c.prototype.copy=function(b){this.left=b.left;this.top=b.top;this.right=b.right;this.bottom=b.bottom};c.prototype.width=function(){return this.right-this.left};c.prototype.height=function(){return this.bottom-this.top};c.prototype.offset=function(b,m){this.left+=b;this.top+=m;this.right+=b;this.bottom+=m;return this};c.prototype.normalize=
function(){var b=0;this.left>this.right&&(b=this.left,this.left=this.right,this.right=b);this.top>this.bottom&&(b=this.top,this.top=this.bottom,this.bottom=b)};c.prototype.intersects_rect=function(b){return!(b.right<this.left||b.bottom<this.top||b.left>this.right||b.top>this.bottom)};c.prototype.intersects_rect_off=function(b,m,a){return!(b.right+m<this.left||b.bottom+a<this.top||b.left+m>this.right||b.top+a>this.bottom)};c.prototype.contains_pt=function(b,m){return b>=this.left&&b<=this.right&&m>=
this.top&&m<=this.bottom};c.prototype.equals=function(b){return this.left===b.left&&this.top===b.top&&this.right===b.right&&this.bottom===b.bottom};cr.rect=c;e.prototype.set_from_rect=function(b){this.tlx=b.left;this.tly=b.top;this.trx=b.right;this.try_=b.top;this.brx=b.right;this.bry=b.bottom;this.blx=b.left;this.bly=b.bottom};e.prototype.set_from_rotated_rect=function(b,m){if(0===m)this.set_from_rect(b);else{var a=Math.sin(m),q=Math.cos(m),d=b.left*a,f=b.top*a,h=b.right*a,a=b.bottom*a,l=b.left*
q,g=b.top*q,c=b.right*q,q=b.bottom*q;this.tlx=l-f;this.tly=g+d;this.trx=c-f;this.try_=g+h;this.brx=c-a;this.bry=q+h;this.blx=l-a;this.bly=q+d}};e.prototype.offset=function(b,m){this.tlx+=b;this.tly+=m;this.trx+=b;this.try_+=m;this.brx+=b;this.bry+=m;this.blx+=b;this.bly+=m;return this};var p=0,r=0;e.prototype.bounding_box=function(b){k(this.tlx,this.trx,this.brx,this.blx);b.left=p;b.right=r;k(this.tly,this.try_,this.bry,this.bly);b.top=p;b.bottom=r};e.prototype.contains_pt=function(b,m){var a=this.trx-
this.tlx,q=this.try_-this.tly,d=this.brx-this.tlx,f=this.bry-this.tly,h=b-this.tlx,l=m-this.tly,g=a*a+q*q,c=a*d+q*f,q=a*h+q*l,n=d*d+f*f,p=d*h+f*l,u=1/(g*n-c*c),a=(n*q-c*p)*u,g=(g*p-c*q)*u;if(0<=a&&0<g&&1>a+g)return!0;a=this.blx-this.tlx;q=this.bly-this.tly;g=a*a+q*q;c=a*d+q*f;q=a*h+q*l;u=1/(g*n-c*c);a=(n*q-c*p)*u;g=(g*p-c*q)*u;return 0<=a&&0<g&&1>a+g};e.prototype.at=function(b,m){if(m)switch(b){case 0:return this.tlx;case 1:return this.trx;case 2:return this.brx;case 3:return this.blx;case 4:return this.tlx;
default:return this.tlx}else switch(b){case 0:return this.tly;case 1:return this.try_;case 2:return this.bry;case 3:return this.bly;case 4:return this.tly;default:return this.tly}};e.prototype.midX=function(){return(this.tlx+this.trx+this.brx+this.blx)/4};e.prototype.midY=function(){return(this.tly+this.try_+this.bry+this.bly)/4};e.prototype.intersects_segment=function(b,m,a,q){if(this.contains_pt(b,m)||this.contains_pt(a,q))return!0;var d,f,h,l,g;for(g=0;4>g;g++)if(d=this.at(g,!0),f=this.at(g,!1),
h=this.at(g+1,!0),l=this.at(g+1,!1),cr.segments_intersect(b,m,a,q,d,f,h,l))return!0;return!1};e.prototype.intersects_quad=function(b){var m=b.midX(),a=b.midY();if(this.contains_pt(m,a))return!0;m=this.midX();a=this.midY();if(b.contains_pt(m,a))return!0;var q,d,f,h,l,g,c,n;for(c=0;4>c;c++)for(n=0;4>n;n++)if(m=this.at(c,!0),a=this.at(c,!1),q=this.at(c+1,!0),d=this.at(c+1,!1),f=b.at(n,!0),h=b.at(n,!1),l=b.at(n+1,!0),g=b.at(n+1,!1),cr.segments_intersect(m,a,q,d,f,h,l,g))return!0;return!1};cr.quad=e;cr.RGB=
function(b,m,a){return Math.max(Math.min(b,255),0)|Math.max(Math.min(m,255),0)<<8|Math.max(Math.min(a,255),0)<<16};cr.GetRValue=function(b){return b&255};cr.GetGValue=function(b){return(b&65280)>>8};cr.GetBValue=function(b){return(b&16711680)>>16};cr.shallowCopy=function(b,m,a){for(var q in m)m.hasOwnProperty(q)&&(b[q]=m[q]);return b};cr.arrayRemove=function(b,m){var a,q;m=cr.floor(m);if(!(0>m||m>=b.length))if(0===m)b.shift();else if(m===b.length-1)b.pop();else{a=m;for(q=b.length-1;a<q;a++)b[a]=b[a+
1];b.length=q}};cr.shallowAssignArray=function(b,m){b.length=m.length;var a,q;a=0;for(q=m.length;a<q;a++)b[a]=m[a]};cr.appendArray=function(b,m){b.push.apply(b,m)};cr.arrayFindRemove=function(b,m){var a=b.indexOf(m);-1!==a&&cr.arrayRemove(b,a)};cr.clamp=function(b,m,a){return b<m?m:b>a?a:b};cr.to_radians=function(b){return b/(180/cr.PI)};cr.to_degrees=function(b){return b*(180/cr.PI)};cr.clamp_angle_degrees=function(b){b%=360;0>b&&(b+=360);return b};cr.clamp_angle=function(b){b%=2*cr.PI;0>b&&(b+=
2*cr.PI);return b};cr.to_clamped_degrees=function(b){return cr.clamp_angle_degrees(cr.to_degrees(b))};cr.to_clamped_radians=function(b){return cr.clamp_angle(cr.to_radians(b))};cr.angleTo=function(b,m,a,q){return Math.atan2(q-m,a-b)};cr.angleDiff=function(b,m){if(b===m)return 0;var a=Math.sin(b),q=Math.cos(b),d=Math.sin(m),f=Math.cos(m),a=a*d+q*f;return 1<=a?0:-1>=a?cr.PI:Math.acos(a)};cr.angleRotate=function(b,m,a){var q=Math.sin(b),d=Math.cos(b),f=Math.sin(m),h=Math.cos(m);return Math.acos(q*f+
d*h)>a?0<d*f-q*h?cr.clamp_angle(b+a):cr.clamp_angle(b-a):cr.clamp_angle(m)};cr.angleClockwise=function(b,m){var a=Math.sin(b),q=Math.cos(b),d=Math.sin(m),f=Math.cos(m);return 0>=q*d-a*f};cr.rotatePtAround=function(b,m,a,q,d,f){if(0===a)return f?b:m;var h=Math.sin(a);a=Math.cos(a);b-=q;m-=d;var l=b*h;b=b*a-m*h;m=m*a+l;return f?b+q:m+d};cr.distanceTo=function(b,m,a,q){b=a-b;m=q-m;return Math.sqrt(b*b+m*m)};cr.xor=function(b,m){return!b!==!m};cr.lerp=function(b,m,a){return b+(m-b)*a};cr.unlerp=function(b,
m,a){return b===m?0:(a-b)/(m-b)};cr.anglelerp=function(b,m,a){var q=cr.angleDiff(b,m);return cr.angleClockwise(m,b)?b+q*a:b-q*a};cr.hasAnyOwnProperty=function(b){for(var m in b)if(b.hasOwnProperty(m))return!0;return!1};cr.wipe=function(b){for(var m in b)b.hasOwnProperty(m)&&delete b[m]};var t=+new Date;cr.performance_now=function(){if("undefined"!==typeof window.performance){var b=window.performance;if("undefined"!==typeof b.now)return b.now();if("undefined"!==typeof b.webkitNow)return b.webkitNow();
if("undefined"!==typeof b.mozNow)return b.mozNow();if("undefined"!==typeof b.msNow)return b.msNow()}return Date.now()-t};var s="undefined"!==typeof Set&&"undefined"!==typeof Set.prototype.forEach;g.prototype.contains=function(b){return s?this.s.has(b):this.items.hasOwnProperty(b.toString())};g.prototype.add=function(b){if(s)this.s.has(b)||(this.s.add(b),this.cache_valid=!1);else{var m=b.toString();this.items.hasOwnProperty(m)||(this.items[m]=b,this.item_count++,this.cache_valid=!1)}return this};g.prototype.remove=
function(b){s?this.s.has(b)&&(this.s["delete"](b),this.cache_valid=!1):(b=b.toString(),this.items.hasOwnProperty(b)&&(delete this.items[b],this.item_count--,this.cache_valid=!1));return this};g.prototype.clear=function(){s?this.s.clear():(this.items={},this.item_count=0);this.values_cache.length=0;this.cache_valid=!0;return this};g.prototype.isEmpty=function(){return s?0===this.s.size:0===this.item_count};g.prototype.count=function(){return s?this.s.size:this.item_count};var w=null,q=0;g.prototype.update_cache=
function(){if(!this.cache_valid){if(s)this.values_cache.length=this.s.size,w=this.values_cache,q=0,this.s.forEach(b),w=null,q=0;else{this.values_cache.length=this.item_count;var a,m=0;for(a in this.items)this.items.hasOwnProperty(a)&&(this.values_cache[m++]=this.items[a])}this.cache_valid=!0}};g.prototype.values=function(){this.update_cache();return this.values_cache.slice(0)};g.prototype.valuesRef=function(){this.update_cache();return this.values_cache};cr.ObjectSet=g;l.prototype.add=function(b){this.y=
b-this.c;this.t=this.sum+this.y;this.c=this.t-this.sum-this.y;this.sum=this.t};l.prototype.reset=function(){this.sum=this.t=this.y=this.c=0};cr.KahanAdder=l;cr.regexp_escape=function(b){return b.replace(/[-[\]{}()*+?.,\\^$|#\s]/g,"\\$&")};n.prototype.set_pts=function(b){this.pts_array=b;this.pts_count=b.length/2;this.pts_cache.length=b.length;this.cache_height=this.cache_width=-1;this.cache_angle=0};n.prototype.is_empty=function(){return!this.pts_array.length};n.prototype.update_bbox=function(){for(var b=
this.pts_cache,m=b[0],a=m,q=b[1],d=q,f,h,l=1,g=this.pts_count;l<g;++l)h=2*l,f=b[h],h=b[h+1],f<m&&(m=f),f>a&&(a=f),h<q&&(q=h),h>d&&(d=h);this.bboxLeft=m;this.bboxRight=a;this.bboxTop=q;this.bboxBottom=d};n.prototype.set_from_rect=function(b,a,q){this.pts_cache.length=8;this.pts_count=4;var d=this.pts_cache;d[0]=b.left-a;d[1]=b.top-q;d[2]=b.right-a;d[3]=b.top-q;d[4]=b.right-a;d[5]=b.bottom-q;d[6]=b.left-a;d[7]=b.bottom-q;this.cache_width=b.right-b.left;this.cache_height=b.bottom-b.top;this.update_bbox()};
n.prototype.set_from_quad=function(b,a,q,d,f){this.pts_cache.length=8;this.pts_count=4;var h=this.pts_cache;h[0]=b.tlx-a;h[1]=b.tly-q;h[2]=b.trx-a;h[3]=b.try_-q;h[4]=b.brx-a;h[5]=b.bry-q;h[6]=b.blx-a;h[7]=b.bly-q;this.cache_width=d;this.cache_height=f;this.update_bbox()};n.prototype.set_from_poly=function(b){this.pts_count=b.pts_count;cr.shallowAssignArray(this.pts_cache,b.pts_cache);this.bboxLeft=b.bboxLeft;this.bboxTop-b.bboxTop;this.bboxRight=b.bboxRight;this.bboxBottom=b.bboxBottom};n.prototype.cache_poly=
function(b,a,q){if(this.cache_width!==b||this.cache_height!==a||this.cache_angle!==q){this.cache_width=b;this.cache_height=a;this.cache_angle=q;var d,f,h,l,g,c=0,n=1,p=this.pts_array,u=this.pts_cache;0!==q&&(c=Math.sin(q),n=Math.cos(q));q=0;for(h=this.pts_count;q<h;q++)d=2*q,f=d+1,l=p[d]*b,g=p[f]*a,u[d]=l*n-g*c,u[f]=g*n+l*c;this.update_bbox()}};n.prototype.contains_pt=function(b,a){var q=this.pts_cache;if(b===q[0]&&a===q[1])return!0;var d,f,h,l=this.pts_count,g=this.bboxLeft-110,c=this.bboxTop-101,
n=this.bboxRight+131,p=this.bboxBottom+120,u,e,k=0,y=0;for(d=0;d<l;d++)f=2*d,h=2*((d+1)%l),u=q[f],f=q[f+1],e=q[h],h=q[h+1],cr.segments_intersect(g,c,b,a,u,f,e,h)&&k++,cr.segments_intersect(n,p,b,a,u,f,e,h)&&y++;return 1===k%2||1===y%2};n.prototype.intersects_poly=function(b,a,q){var d=b.pts_cache,f=this.pts_cache;if(this.contains_pt(d[0]+a,d[1]+q)||b.contains_pt(f[0]-a,f[1]-q))return!0;var h,l,g,c,n,p,u,e,k,y,t,r;h=0;for(c=this.pts_count;h<c;h++)for(l=2*h,g=2*((h+1)%c),e=f[l],l=f[l+1],k=f[g],y=f[g+
1],g=0,u=b.pts_count;g<u;g++)if(n=2*g,p=2*((g+1)%u),t=d[n]+a,n=d[n+1]+q,r=d[p]+a,p=d[p+1]+q,cr.segments_intersect(e,l,k,y,t,n,r,p))return!0;return!1};n.prototype.intersects_segment=function(b,a,q,d,f,h){var l=this.pts_cache;if(this.contains_pt(q-b,d-a))return!0;var g,c,n,p,u,e;g=0;for(c=this.pts_count;g<c;g++)if(n=2*g,p=2*((g+1)%c),u=l[n]+b,n=l[n+1]+a,e=l[p]+b,p=l[p+1]+a,cr.segments_intersect(q,d,f,h,u,n,e,p))return!0;return!1};n.prototype.mirror=function(b){var a,q,d;a=0;for(q=this.pts_count;a<q;++a)d=
2*a,this.pts_cache[d]=2*b-this.pts_cache[d]};n.prototype.flip=function(b){var a,q,d;a=0;for(q=this.pts_count;a<q;++a)d=2*a+1,this.pts_cache[d]=2*b-this.pts_cache[d]};n.prototype.diag=function(){var b,a,q,d,f;b=0;for(a=this.pts_count;b<a;++b)q=2*b,d=q+1,f=this.pts_cache[q],this.pts_cache[q]=this.pts_cache[d],this.pts_cache[d]=f};cr.CollisionPoly=n;d.prototype.totalCellCount=0;d.prototype.getCell=function(b,a,q){var d;d=this.cells[b];return d?(d=d[a])?d:q?(d=h(this,b,a),this.cells[b][a]=d):null:q?(d=
h(this,b,a),this.cells[b]={},this.cells[b][a]=d):null};d.prototype.XToCell=function(b){return cr.floor(b/this.cellwidth)};d.prototype.YToCell=function(b){return cr.floor(b/this.cellheight)};d.prototype.update=function(b,a,q){var f,h,l,g,c;if(a)for(f=a.left,h=a.right;f<=h;++f)for(l=a.top,g=a.bottom;l<=g;++l)if(!q||!q.contains_pt(f,l))if(c=this.getCell(f,l,!1))c.remove(b),c.isEmpty()&&(d.prototype.totalCellCount--,c.objects.clear(),1E3>u.length&&u.push(c),this.cells[f][l]=null);if(q)for(f=q.left,h=
q.right;f<=h;++f)for(l=q.top,g=q.bottom;l<=g;++l)a&&a.contains_pt(f,l)||this.getCell(f,l,!0).insert(b)};d.prototype.queryRange=function(b,a){var q,d,f,h,l,g;q=this.XToCell(b.left);f=this.YToCell(b.top);d=this.XToCell(b.right);for(l=this.YToCell(b.bottom);q<=d;++q)for(h=f;h<=l;++h)(g=this.getCell(q,h,!1))&&g.dump(a)};cr.SparseGrid=d;var u=[];f.prototype.isEmpty=function(){return this.objects.isEmpty()};f.prototype.insert=function(b){this.objects.add(b)};f.prototype.remove=function(b){this.objects.remove(b)};
f.prototype.dump=function(b){cr.appendArray(b,this.objects.valuesRef())};cr.GridCell=f;var y="lighter xor copy destination-over source-in destination-in source-out destination-out source-atop destination-atop".split(" ");cr.effectToCompositeOp=function(b){return 0>=b||11<=b?"source-over":y[b-1]};cr.setGLBlend=function(b,a,q){if(q)switch(b.srcBlend=q.ONE,b.destBlend=q.ONE_MINUS_SRC_ALPHA,a){case 1:b.srcBlend=q.ONE;b.destBlend=q.ONE;break;case 3:b.srcBlend=q.ONE;b.destBlend=q.ZERO;break;case 4:b.srcBlend=
q.ONE_MINUS_DST_ALPHA;b.destBlend=q.ONE;break;case 5:b.srcBlend=q.DST_ALPHA;b.destBlend=q.ZERO;break;case 6:b.srcBlend=q.ZERO;b.destBlend=q.SRC_ALPHA;break;case 7:b.srcBlend=q.ONE_MINUS_DST_ALPHA;b.destBlend=q.ZERO;break;case 8:b.srcBlend=q.ZERO;b.destBlend=q.ONE_MINUS_SRC_ALPHA;break;case 9:b.srcBlend=q.DST_ALPHA;b.destBlend=q.ONE_MINUS_SRC_ALPHA;break;case 10:b.srcBlend=q.ONE_MINUS_DST_ALPHA,b.destBlend=q.SRC_ALPHA}};cr.round6dp=function(b){return cr.round(1E6*b)/1E6};cr.equals_nocase=function(b,
a){return"string"!==typeof b||"string"!==typeof a||b.length!==a.length?!1:b===a?!0:b.toLowerCase()===a.toLowerCase()}})();var MatrixArray="undefined"!==typeof Float32Array?Float32Array:Array,glMatrixArrayType=MatrixArray,vec3={},mat3={},mat4={},quat4={};vec3.create=function(a){var c=new MatrixArray(3);a&&(c[0]=a[0],c[1]=a[1],c[2]=a[2]);return c};vec3.set=function(a,c){c[0]=a[0];c[1]=a[1];c[2]=a[2];return c};
vec3.add=function(a,c,e){if(!e||a===e)return a[0]+=c[0],a[1]+=c[1],a[2]+=c[2],a;e[0]=a[0]+c[0];e[1]=a[1]+c[1];e[2]=a[2]+c[2];return e};vec3.subtract=function(a,c,e){if(!e||a===e)return a[0]-=c[0],a[1]-=c[1],a[2]-=c[2],a;e[0]=a[0]-c[0];e[1]=a[1]-c[1];e[2]=a[2]-c[2];return e};vec3.negate=function(a,c){c||(c=a);c[0]=-a[0];c[1]=-a[1];c[2]=-a[2];return c};vec3.scale=function(a,c,e){if(!e||a===e)return a[0]*=c,a[1]*=c,a[2]*=c,a;e[0]=a[0]*c;e[1]=a[1]*c;e[2]=a[2]*c;return e};
vec3.normalize=function(a,c){c||(c=a);var e=a[0],k=a[1],g=a[2],b=Math.sqrt(e*e+k*k+g*g);if(b){if(1===b)return c[0]=e,c[1]=k,c[2]=g,c}else return c[0]=0,c[1]=0,c[2]=0,c;b=1/b;c[0]=e*b;c[1]=k*b;c[2]=g*b;return c};vec3.cross=function(a,c,e){e||(e=a);var k=a[0],g=a[1];a=a[2];var b=c[0],l=c[1];c=c[2];e[0]=g*c-a*l;e[1]=a*b-k*c;e[2]=k*l-g*b;return e};vec3.length=function(a){var c=a[0],e=a[1];a=a[2];return Math.sqrt(c*c+e*e+a*a)};vec3.dot=function(a,c){return a[0]*c[0]+a[1]*c[1]+a[2]*c[2]};
vec3.direction=function(a,c,e){e||(e=a);var k=a[0]-c[0],g=a[1]-c[1];a=a[2]-c[2];c=Math.sqrt(k*k+g*g+a*a);if(!c)return e[0]=0,e[1]=0,e[2]=0,e;c=1/c;e[0]=k*c;e[1]=g*c;e[2]=a*c;return e};vec3.lerp=function(a,c,e,k){k||(k=a);k[0]=a[0]+e*(c[0]-a[0]);k[1]=a[1]+e*(c[1]-a[1]);k[2]=a[2]+e*(c[2]-a[2]);return k};vec3.str=function(a){return"["+a[0]+", "+a[1]+", "+a[2]+"]"};
mat3.create=function(a){var c=new MatrixArray(9);a&&(c[0]=a[0],c[1]=a[1],c[2]=a[2],c[3]=a[3],c[4]=a[4],c[5]=a[5],c[6]=a[6],c[7]=a[7],c[8]=a[8]);return c};mat3.set=function(a,c){c[0]=a[0];c[1]=a[1];c[2]=a[2];c[3]=a[3];c[4]=a[4];c[5]=a[5];c[6]=a[6];c[7]=a[7];c[8]=a[8];return c};mat3.identity=function(a){a[0]=1;a[1]=0;a[2]=0;a[3]=0;a[4]=1;a[5]=0;a[6]=0;a[7]=0;a[8]=1;return a};
mat3.transpose=function(a,c){if(!c||a===c){var e=a[1],k=a[2],g=a[5];a[1]=a[3];a[2]=a[6];a[3]=e;a[5]=a[7];a[6]=k;a[7]=g;return a}c[0]=a[0];c[1]=a[3];c[2]=a[6];c[3]=a[1];c[4]=a[4];c[5]=a[7];c[6]=a[2];c[7]=a[5];c[8]=a[8];return c};mat3.toMat4=function(a,c){c||(c=mat4.create());c[15]=1;c[14]=0;c[13]=0;c[12]=0;c[11]=0;c[10]=a[8];c[9]=a[7];c[8]=a[6];c[7]=0;c[6]=a[5];c[5]=a[4];c[4]=a[3];c[3]=0;c[2]=a[2];c[1]=a[1];c[0]=a[0];return c};
mat3.str=function(a){return"["+a[0]+", "+a[1]+", "+a[2]+", "+a[3]+", "+a[4]+", "+a[5]+", "+a[6]+", "+a[7]+", "+a[8]+"]"};mat4.create=function(a){var c=new MatrixArray(16);a&&(c[0]=a[0],c[1]=a[1],c[2]=a[2],c[3]=a[3],c[4]=a[4],c[5]=a[5],c[6]=a[6],c[7]=a[7],c[8]=a[8],c[9]=a[9],c[10]=a[10],c[11]=a[11],c[12]=a[12],c[13]=a[13],c[14]=a[14],c[15]=a[15]);return c};
mat4.set=function(a,c){c[0]=a[0];c[1]=a[1];c[2]=a[2];c[3]=a[3];c[4]=a[4];c[5]=a[5];c[6]=a[6];c[7]=a[7];c[8]=a[8];c[9]=a[9];c[10]=a[10];c[11]=a[11];c[12]=a[12];c[13]=a[13];c[14]=a[14];c[15]=a[15];return c};mat4.identity=function(a){a[0]=1;a[1]=0;a[2]=0;a[3]=0;a[4]=0;a[5]=1;a[6]=0;a[7]=0;a[8]=0;a[9]=0;a[10]=1;a[11]=0;a[12]=0;a[13]=0;a[14]=0;a[15]=1;return a};
mat4.transpose=function(a,c){if(!c||a===c){var e=a[1],k=a[2],g=a[3],b=a[6],l=a[7],n=a[11];a[1]=a[4];a[2]=a[8];a[3]=a[12];a[4]=e;a[6]=a[9];a[7]=a[13];a[8]=k;a[9]=b;a[11]=a[14];a[12]=g;a[13]=l;a[14]=n;return a}c[0]=a[0];c[1]=a[4];c[2]=a[8];c[3]=a[12];c[4]=a[1];c[5]=a[5];c[6]=a[9];c[7]=a[13];c[8]=a[2];c[9]=a[6];c[10]=a[10];c[11]=a[14];c[12]=a[3];c[13]=a[7];c[14]=a[11];c[15]=a[15];return c};
mat4.determinant=function(a){var c=a[0],e=a[1],k=a[2],g=a[3],b=a[4],l=a[5],n=a[6],d=a[7],h=a[8],f=a[9],p=a[10],r=a[11],t=a[12],s=a[13],w=a[14];a=a[15];return t*f*n*g-h*s*n*g-t*l*p*g+b*s*p*g+h*l*w*g-b*f*w*g-t*f*k*d+h*s*k*d+t*e*p*d-c*s*p*d-h*e*w*d+c*f*w*d+t*l*k*r-b*s*k*r-t*e*n*r+c*s*n*r+b*e*w*r-c*l*w*r-h*l*k*a+b*f*k*a+h*e*n*a-c*f*n*a-b*e*p*a+c*l*p*a};
mat4.inverse=function(a,c){c||(c=a);var e=a[0],k=a[1],g=a[2],b=a[3],l=a[4],n=a[5],d=a[6],h=a[7],f=a[8],p=a[9],r=a[10],t=a[11],s=a[12],w=a[13],q=a[14],u=a[15],y=e*n-k*l,B=e*d-g*l,m=e*h-b*l,z=k*d-g*n,x=k*h-b*n,A=g*h-b*d,J=f*w-p*s,D=f*q-r*s,E=f*u-t*s,v=p*q-r*w,M=p*u-t*w,I=r*u-t*q,H=1/(y*I-B*M+m*v+z*E-x*D+A*J);c[0]=(n*I-d*M+h*v)*H;c[1]=(-k*I+g*M-b*v)*H;c[2]=(w*A-q*x+u*z)*H;c[3]=(-p*A+r*x-t*z)*H;c[4]=(-l*I+d*E-h*D)*H;c[5]=(e*I-g*E+b*D)*H;c[6]=(-s*A+q*m-u*B)*H;c[7]=(f*A-r*m+t*B)*H;c[8]=(l*M-n*E+h*J)*H;
c[9]=(-e*M+k*E-b*J)*H;c[10]=(s*x-w*m+u*y)*H;c[11]=(-f*x+p*m-t*y)*H;c[12]=(-l*v+n*D-d*J)*H;c[13]=(e*v-k*D+g*J)*H;c[14]=(-s*z+w*B-q*y)*H;c[15]=(f*z-p*B+r*y)*H;return c};mat4.toRotationMat=function(a,c){c||(c=mat4.create());c[0]=a[0];c[1]=a[1];c[2]=a[2];c[3]=a[3];c[4]=a[4];c[5]=a[5];c[6]=a[6];c[7]=a[7];c[8]=a[8];c[9]=a[9];c[10]=a[10];c[11]=a[11];c[12]=0;c[13]=0;c[14]=0;c[15]=1;return c};
mat4.toMat3=function(a,c){c||(c=mat3.create());c[0]=a[0];c[1]=a[1];c[2]=a[2];c[3]=a[4];c[4]=a[5];c[5]=a[6];c[6]=a[8];c[7]=a[9];c[8]=a[10];return c};mat4.toInverseMat3=function(a,c){var e=a[0],k=a[1],g=a[2],b=a[4],l=a[5],n=a[6],d=a[8],h=a[9],f=a[10],p=f*l-n*h,r=-f*b+n*d,t=h*b-l*d,s=e*p+k*r+g*t;if(!s)return null;s=1/s;c||(c=mat3.create());c[0]=p*s;c[1]=(-f*k+g*h)*s;c[2]=(n*k-g*l)*s;c[3]=r*s;c[4]=(f*e-g*d)*s;c[5]=(-n*e+g*b)*s;c[6]=t*s;c[7]=(-h*e+k*d)*s;c[8]=(l*e-k*b)*s;return c};
mat4.multiply=function(a,c,e){e||(e=a);var k=a[0],g=a[1],b=a[2],l=a[3],n=a[4],d=a[5],h=a[6],f=a[7],p=a[8],r=a[9],t=a[10],s=a[11],w=a[12],q=a[13],u=a[14];a=a[15];var y=c[0],B=c[1],m=c[2],z=c[3],x=c[4],A=c[5],J=c[6],D=c[7],E=c[8],v=c[9],M=c[10],I=c[11],H=c[12],F=c[13],R=c[14];c=c[15];e[0]=y*k+B*n+m*p+z*w;e[1]=y*g+B*d+m*r+z*q;e[2]=y*b+B*h+m*t+z*u;e[3]=y*l+B*f+m*s+z*a;e[4]=x*k+A*n+J*p+D*w;e[5]=x*g+A*d+J*r+D*q;e[6]=x*b+A*h+J*t+D*u;e[7]=x*l+A*f+J*s+D*a;e[8]=E*k+v*n+M*p+I*w;e[9]=E*g+v*d+M*r+I*q;e[10]=E*
b+v*h+M*t+I*u;e[11]=E*l+v*f+M*s+I*a;e[12]=H*k+F*n+R*p+c*w;e[13]=H*g+F*d+R*r+c*q;e[14]=H*b+F*h+R*t+c*u;e[15]=H*l+F*f+R*s+c*a;return e};mat4.multiplyVec3=function(a,c,e){e||(e=c);var k=c[0],g=c[1];c=c[2];e[0]=a[0]*k+a[4]*g+a[8]*c+a[12];e[1]=a[1]*k+a[5]*g+a[9]*c+a[13];e[2]=a[2]*k+a[6]*g+a[10]*c+a[14];return e};
mat4.multiplyVec4=function(a,c,e){e||(e=c);var k=c[0],g=c[1],b=c[2];c=c[3];e[0]=a[0]*k+a[4]*g+a[8]*b+a[12]*c;e[1]=a[1]*k+a[5]*g+a[9]*b+a[13]*c;e[2]=a[2]*k+a[6]*g+a[10]*b+a[14]*c;e[3]=a[3]*k+a[7]*g+a[11]*b+a[15]*c;return e};
mat4.translate=function(a,c,e){var k=c[0],g=c[1];c=c[2];var b,l,n,d,h,f,p,r,t,s,w,q;if(!e||a===e)return a[12]=a[0]*k+a[4]*g+a[8]*c+a[12],a[13]=a[1]*k+a[5]*g+a[9]*c+a[13],a[14]=a[2]*k+a[6]*g+a[10]*c+a[14],a[15]=a[3]*k+a[7]*g+a[11]*c+a[15],a;b=a[0];l=a[1];n=a[2];d=a[3];h=a[4];f=a[5];p=a[6];r=a[7];t=a[8];s=a[9];w=a[10];q=a[11];e[0]=b;e[1]=l;e[2]=n;e[3]=d;e[4]=h;e[5]=f;e[6]=p;e[7]=r;e[8]=t;e[9]=s;e[10]=w;e[11]=q;e[12]=b*k+h*g+t*c+a[12];e[13]=l*k+f*g+s*c+a[13];e[14]=n*k+p*g+w*c+a[14];e[15]=d*k+r*g+q*c+
a[15];return e};mat4.scale=function(a,c,e){var k=c[0],g=c[1];c=c[2];if(!e||a===e)return a[0]*=k,a[1]*=k,a[2]*=k,a[3]*=k,a[4]*=g,a[5]*=g,a[6]*=g,a[7]*=g,a[8]*=c,a[9]*=c,a[10]*=c,a[11]*=c,a;e[0]=a[0]*k;e[1]=a[1]*k;e[2]=a[2]*k;e[3]=a[3]*k;e[4]=a[4]*g;e[5]=a[5]*g;e[6]=a[6]*g;e[7]=a[7]*g;e[8]=a[8]*c;e[9]=a[9]*c;e[10]=a[10]*c;e[11]=a[11]*c;e[12]=a[12];e[13]=a[13];e[14]=a[14];e[15]=a[15];return e};
mat4.rotate=function(a,c,e,k){var g=e[0],b=e[1];e=e[2];var l=Math.sqrt(g*g+b*b+e*e),n,d,h,f,p,r,t,s,w,q,u,y,B,m,z,x,A,J,D,E;if(!l)return null;1!==l&&(l=1/l,g*=l,b*=l,e*=l);n=Math.sin(c);d=Math.cos(c);h=1-d;c=a[0];l=a[1];f=a[2];p=a[3];r=a[4];t=a[5];s=a[6];w=a[7];q=a[8];u=a[9];y=a[10];B=a[11];m=g*g*h+d;z=b*g*h+e*n;x=e*g*h-b*n;A=g*b*h-e*n;J=b*b*h+d;D=e*b*h+g*n;E=g*e*h+b*n;g=b*e*h-g*n;b=e*e*h+d;k?a!==k&&(k[12]=a[12],k[13]=a[13],k[14]=a[14],k[15]=a[15]):k=a;k[0]=c*m+r*z+q*x;k[1]=l*m+t*z+u*x;k[2]=f*m+s*
z+y*x;k[3]=p*m+w*z+B*x;k[4]=c*A+r*J+q*D;k[5]=l*A+t*J+u*D;k[6]=f*A+s*J+y*D;k[7]=p*A+w*J+B*D;k[8]=c*E+r*g+q*b;k[9]=l*E+t*g+u*b;k[10]=f*E+s*g+y*b;k[11]=p*E+w*g+B*b;return k};
mat4.rotateX=function(a,c,e){var k=Math.sin(c);c=Math.cos(c);var g=a[4],b=a[5],l=a[6],n=a[7],d=a[8],h=a[9],f=a[10],p=a[11];e?a!==e&&(e[0]=a[0],e[1]=a[1],e[2]=a[2],e[3]=a[3],e[12]=a[12],e[13]=a[13],e[14]=a[14],e[15]=a[15]):e=a;e[4]=g*c+d*k;e[5]=b*c+h*k;e[6]=l*c+f*k;e[7]=n*c+p*k;e[8]=g*-k+d*c;e[9]=b*-k+h*c;e[10]=l*-k+f*c;e[11]=n*-k+p*c;return e};
mat4.rotateY=function(a,c,e){var k=Math.sin(c);c=Math.cos(c);var g=a[0],b=a[1],l=a[2],n=a[3],d=a[8],h=a[9],f=a[10],p=a[11];e?a!==e&&(e[4]=a[4],e[5]=a[5],e[6]=a[6],e[7]=a[7],e[12]=a[12],e[13]=a[13],e[14]=a[14],e[15]=a[15]):e=a;e[0]=g*c+d*-k;e[1]=b*c+h*-k;e[2]=l*c+f*-k;e[3]=n*c+p*-k;e[8]=g*k+d*c;e[9]=b*k+h*c;e[10]=l*k+f*c;e[11]=n*k+p*c;return e};
mat4.rotateZ=function(a,c,e){var k=Math.sin(c);c=Math.cos(c);var g=a[0],b=a[1],l=a[2],n=a[3],d=a[4],h=a[5],f=a[6],p=a[7];e?a!==e&&(e[8]=a[8],e[9]=a[9],e[10]=a[10],e[11]=a[11],e[12]=a[12],e[13]=a[13],e[14]=a[14],e[15]=a[15]):e=a;e[0]=g*c+d*k;e[1]=b*c+h*k;e[2]=l*c+f*k;e[3]=n*c+p*k;e[4]=g*-k+d*c;e[5]=b*-k+h*c;e[6]=l*-k+f*c;e[7]=n*-k+p*c;return e};
mat4.frustum=function(a,c,e,k,g,b,l){l||(l=mat4.create());var n=c-a,d=k-e,h=b-g;l[0]=2*g/n;l[1]=0;l[2]=0;l[3]=0;l[4]=0;l[5]=2*g/d;l[6]=0;l[7]=0;l[8]=(c+a)/n;l[9]=(k+e)/d;l[10]=-(b+g)/h;l[11]=-1;l[12]=0;l[13]=0;l[14]=-(2*b*g)/h;l[15]=0;return l};mat4.perspective=function(a,c,e,k,g){a=e*Math.tan(a*Math.PI/360);c*=a;return mat4.frustum(-c,c,-a,a,e,k,g)};
mat4.ortho=function(a,c,e,k,g,b,l){l||(l=mat4.create());var n=c-a,d=k-e,h=b-g;l[0]=2/n;l[1]=0;l[2]=0;l[3]=0;l[4]=0;l[5]=2/d;l[6]=0;l[7]=0;l[8]=0;l[9]=0;l[10]=-2/h;l[11]=0;l[12]=-(a+c)/n;l[13]=-(k+e)/d;l[14]=-(b+g)/h;l[15]=1;return l};
mat4.lookAt=function(a,c,e,k){k||(k=mat4.create());var g,b,l,n,d,h,f,p,r=a[0],t=a[1];a=a[2];b=e[0];l=e[1];g=e[2];e=c[1];h=c[2];if(r===c[0]&&t===e&&a===h)return mat4.identity(k);e=r-c[0];h=t-c[1];f=a-c[2];p=1/Math.sqrt(e*e+h*h+f*f);e*=p;h*=p;f*=p;c=l*f-g*h;g=g*e-b*f;b=b*h-l*e;(p=Math.sqrt(c*c+g*g+b*b))?(p=1/p,c*=p,g*=p,b*=p):b=g=c=0;l=h*b-f*g;n=f*c-e*b;d=e*g-h*c;(p=Math.sqrt(l*l+n*n+d*d))?(p=1/p,l*=p,n*=p,d*=p):d=n=l=0;k[0]=c;k[1]=l;k[2]=e;k[3]=0;k[4]=g;k[5]=n;k[6]=h;k[7]=0;k[8]=b;k[9]=d;k[10]=f;k[11]=
0;k[12]=-(c*r+g*t+b*a);k[13]=-(l*r+n*t+d*a);k[14]=-(e*r+h*t+f*a);k[15]=1;return k};mat4.fromRotationTranslation=function(a,c,e){e||(e=mat4.create());var k=a[0],g=a[1],b=a[2],l=a[3],n=k+k,d=g+g,h=b+b;a=k*n;var f=k*d,k=k*h,p=g*d,g=g*h,b=b*h,n=n*l,d=d*l,l=l*h;e[0]=1-(p+b);e[1]=f+l;e[2]=k-d;e[3]=0;e[4]=f-l;e[5]=1-(a+b);e[6]=g+n;e[7]=0;e[8]=k+d;e[9]=g-n;e[10]=1-(a+p);e[11]=0;e[12]=c[0];e[13]=c[1];e[14]=c[2];e[15]=1;return e};
mat4.str=function(a){return"["+a[0]+", "+a[1]+", "+a[2]+", "+a[3]+", "+a[4]+", "+a[5]+", "+a[6]+", "+a[7]+", "+a[8]+", "+a[9]+", "+a[10]+", "+a[11]+", "+a[12]+", "+a[13]+", "+a[14]+", "+a[15]+"]"};quat4.create=function(a){var c=new MatrixArray(4);a&&(c[0]=a[0],c[1]=a[1],c[2]=a[2],c[3]=a[3]);return c};quat4.set=function(a,c){c[0]=a[0];c[1]=a[1];c[2]=a[2];c[3]=a[3];return c};
quat4.calculateW=function(a,c){var e=a[0],k=a[1],g=a[2];if(!c||a===c)return a[3]=-Math.sqrt(Math.abs(1-e*e-k*k-g*g)),a;c[0]=e;c[1]=k;c[2]=g;c[3]=-Math.sqrt(Math.abs(1-e*e-k*k-g*g));return c};quat4.inverse=function(a,c){if(!c||a===c)return a[0]*=-1,a[1]*=-1,a[2]*=-1,a;c[0]=-a[0];c[1]=-a[1];c[2]=-a[2];c[3]=a[3];return c};quat4.length=function(a){var c=a[0],e=a[1],k=a[2];a=a[3];return Math.sqrt(c*c+e*e+k*k+a*a)};
quat4.normalize=function(a,c){c||(c=a);var e=a[0],k=a[1],g=a[2],b=a[3],l=Math.sqrt(e*e+k*k+g*g+b*b);if(0===l)return c[0]=0,c[1]=0,c[2]=0,c[3]=0,c;l=1/l;c[0]=e*l;c[1]=k*l;c[2]=g*l;c[3]=b*l;return c};quat4.multiply=function(a,c,e){e||(e=a);var k=a[0],g=a[1],b=a[2];a=a[3];var l=c[0],n=c[1],d=c[2];c=c[3];e[0]=k*c+a*l+g*d-b*n;e[1]=g*c+a*n+b*l-k*d;e[2]=b*c+a*d+k*n-g*l;e[3]=a*c-k*l-g*n-b*d;return e};
quat4.multiplyVec3=function(a,c,e){e||(e=c);var k=c[0],g=c[1],b=c[2];c=a[0];var l=a[1],n=a[2];a=a[3];var d=a*k+l*b-n*g,h=a*g+n*k-c*b,f=a*b+c*g-l*k,k=-c*k-l*g-n*b;e[0]=d*a+k*-c+h*-n-f*-l;e[1]=h*a+k*-l+f*-c-d*-n;e[2]=f*a+k*-n+d*-l-h*-c;return e};quat4.toMat3=function(a,c){c||(c=mat3.create());var e=a[0],k=a[1],g=a[2],b=a[3],l=e+e,n=k+k,d=g+g,h=e*l,f=e*n,e=e*d,p=k*n,k=k*d,g=g*d,l=l*b,n=n*b,b=b*d;c[0]=1-(p+g);c[1]=f+b;c[2]=e-n;c[3]=f-b;c[4]=1-(h+g);c[5]=k+l;c[6]=e+n;c[7]=k-l;c[8]=1-(h+p);return c};
quat4.toMat4=function(a,c){c||(c=mat4.create());var e=a[0],k=a[1],g=a[2],b=a[3],l=e+e,n=k+k,d=g+g,h=e*l,f=e*n,e=e*d,p=k*n,k=k*d,g=g*d,l=l*b,n=n*b,b=b*d;c[0]=1-(p+g);c[1]=f+b;c[2]=e-n;c[3]=0;c[4]=f-b;c[5]=1-(h+g);c[6]=k+l;c[7]=0;c[8]=e+n;c[9]=k-l;c[10]=1-(h+p);c[11]=0;c[12]=0;c[13]=0;c[14]=0;c[15]=1;return c};
quat4.slerp=function(a,c,e,k){k||(k=a);var g=a[0]*c[0]+a[1]*c[1]+a[2]*c[2]+a[3]*c[3],b,l;if(1<=Math.abs(g))return k!==a&&(k[0]=a[0],k[1]=a[1],k[2]=a[2],k[3]=a[3]),k;b=Math.acos(g);l=Math.sqrt(1-g*g);if(0.001>Math.abs(l))return k[0]=0.5*a[0]+0.5*c[0],k[1]=0.5*a[1]+0.5*c[1],k[2]=0.5*a[2]+0.5*c[2],k[3]=0.5*a[3]+0.5*c[3],k;g=Math.sin((1-e)*b)/l;e=Math.sin(e*b)/l;k[0]=a[0]*g+c[0]*e;k[1]=a[1]*g+c[1]*e;k[2]=a[2]*g+c[2]*e;k[3]=a[3]*g+c[3]*e;return k};
quat4.str=function(a){return"["+a[0]+", "+a[1]+", "+a[2]+", "+a[3]+"]"};
(function(){function a(b,a){this.isIE=/msie/i.test(navigator.userAgent)||/trident/i.test(navigator.userAgent);this.height=this.width=0;this.cam=vec3.create([0,0,100]);this.look=vec3.create([0,0,0]);this.up=vec3.create([0,1,0]);this.worldScale=vec3.create([1,1,1]);this.matP=mat4.create();this.matMV=mat4.create();this.lastMV=mat4.create();this.currentMV=mat4.create();this.gl=b;this.initState()}function c(b,a,g){this.gl=b;this.shaderProgram=a;this.name=g;this.locAPos=b.getAttribLocation(a,"aPos");this.locATex=
b.getAttribLocation(a,"aTex");this.locMatP=b.getUniformLocation(a,"matP");this.locMatMV=b.getUniformLocation(a,"matMV");this.locOpacity=b.getUniformLocation(a,"opacity");this.locSamplerFront=b.getUniformLocation(a,"samplerFront");this.locSamplerBack=b.getUniformLocation(a,"samplerBack");this.locDestStart=b.getUniformLocation(a,"destStart");this.locDestEnd=b.getUniformLocation(a,"destEnd");this.locSeconds=b.getUniformLocation(a,"seconds");this.locPixelWidth=b.getUniformLocation(a,"pixelWidth");this.locPixelHeight=
b.getUniformLocation(a,"pixelHeight");this.locLayerScale=b.getUniformLocation(a,"layerScale");this.locLayerAngle=b.getUniformLocation(a,"layerAngle");this.locViewOrigin=b.getUniformLocation(a,"viewOrigin");this.hasAnyOptionalUniforms=!!(this.locPixelWidth||this.locPixelHeight||this.locSeconds||this.locSamplerBack||this.locDestStart||this.locDestEnd||this.locLayerScale||this.locLayerAngle||this.locViewOrigin);this.locOpacity&&b.uniform1f(this.locOpacity,1);this.locSamplerFront&&b.uniform1i(this.locSamplerFront,
0);this.locSamplerBack&&b.uniform1i(this.locSamplerBack,1);this.locDestStart&&b.uniform2f(this.locDestStart,0,0);this.locDestEnd&&b.uniform2f(this.locDestEnd,1,1);this.locLayerScale&&b.uniform1f(this.locLayerScale,1);this.locLayerAngle&&b.uniform1f(this.locLayerAngle,0);this.locViewOrigin&&b.uniform2f(this.locViewOrigin,0,0);this.hasCurrentMatMV=!1}function e(b,a){this.type=b;this.glwrap=a;this.gl=a.gl;this.indexCount=this.startIndex=this.opacityParam=0;this.mat4param=this.texParam=null;this.shaderParams=
[];cr.seal(this)}a.prototype.initState=function(){var b=this.gl,a;this.lastOpacity=1;this.lastTexture1=this.lastTexture0=null;this.currentOpacity=1;b.clearColor(0,0,0,0);b.clear(b.COLOR_BUFFER_BIT);b.enable(b.BLEND);b.blendFunc(b.ONE,b.ONE_MINUS_SRC_ALPHA);b.disable(b.CULL_FACE);b.disable(b.DEPTH_TEST);this.maxTextureSize=b.getParameter(b.MAX_TEXTURE_SIZE);this.lastSrcBlend=b.ONE;this.lastDestBlend=b.ONE_MINUS_SRC_ALPHA;this.pointBuffer=b.createBuffer();b.bindBuffer(b.ARRAY_BUFFER,this.pointBuffer);
this.vertexBuffers=Array(4);this.texcoordBuffers=Array(4);for(a=0;4>a;a++)this.vertexBuffers[a]=b.createBuffer(),b.bindBuffer(b.ARRAY_BUFFER,this.vertexBuffers[a]),this.texcoordBuffers[a]=b.createBuffer(),b.bindBuffer(b.ARRAY_BUFFER,this.texcoordBuffers[a]);this.curBuffer=0;this.indexBuffer=b.createBuffer();b.bindBuffer(b.ELEMENT_ARRAY_BUFFER,this.indexBuffer);this.vertexData=new Float32Array(16E3);this.texcoordData=new Float32Array(16E3);this.pointData=new Float32Array(32E3);for(var g=new Uint16Array(12E3),
d=a=0;12E3>a;)g[a++]=d,g[a++]=d+1,g[a++]=d+2,g[a++]=d,g[a++]=d+2,g[a++]=d+3,d+=4;b.bufferData(b.ELEMENT_ARRAY_BUFFER,g,b.STATIC_DRAW);this.pointPtr=this.vertexPtr=0;this.shaderPrograms=[];a=this.createShaderProgram({src:"varying mediump vec2 vTex;\nuniform lowp float opacity;\nuniform lowp sampler2D samplerFront;\nvoid main(void) {\n\tgl_FragColor = texture2D(samplerFront, vTex);\n\tgl_FragColor *= opacity;\n}"},"attribute highp vec2 aPos;\nattribute mediump vec2 aTex;\nvarying mediump vec2 vTex;\nuniform highp mat4 matP;\nuniform highp mat4 matMV;\nvoid main(void) {\n\tgl_Position = matP * matMV * vec4(aPos.x, aPos.y, 0.0, 1.0);\n\tvTex = aTex;\n}",
"<default>");this.shaderPrograms.push(a);a=this.createShaderProgram({src:"uniform mediump sampler2D samplerFront;\nvarying lowp float opacity;\nvoid main(void) {\n\tgl_FragColor = texture2D(samplerFront, gl_PointCoord);\n\tgl_FragColor *= opacity;\n}"},"attribute vec4 aPos;\nvarying float opacity;\nuniform mat4 matP;\nuniform mat4 matMV;\nvoid main(void) {\n\tgl_Position = matP * matMV * vec4(aPos.x, aPos.y, 0.0, 1.0);\n\tgl_PointSize = aPos.z;\n\topacity = aPos.w;\n}","<point>");this.shaderPrograms.push(a);
for(var h in cr.shaders)cr.shaders.hasOwnProperty(h)&&this.shaderPrograms.push(this.createShaderProgram(cr.shaders[h],"attribute highp vec2 aPos;\nattribute mediump vec2 aTex;\nvarying mediump vec2 vTex;\nuniform highp mat4 matP;\nuniform highp mat4 matMV;\nvoid main(void) {\n\tgl_Position = matP * matMV * vec4(aPos.x, aPos.y, 0.0, 1.0);\n\tvTex = aTex;\n}",h));b.activeTexture(b.TEXTURE0);b.bindTexture(b.TEXTURE_2D,null);this.batch=[];this.batchPtr=0;this.hasPointBatchTop=this.hasQuadBatchTop=!1;
this.currentProgram=this.lastProgram=-1;this.currentShader=null;this.fbo=b.createFramebuffer();this.renderToTex=null;this.tmpVec3=vec3.create([0,0,0]);b=b.getParameter(b.ALIASED_POINT_SIZE_RANGE);this.minPointSize=b[0];this.maxPointSize=b[1];this.switchProgram(0);cr.seal(this)};a.prototype.createShaderProgram=function(b,a,g){var d=this.gl,h=d.createShader(d.FRAGMENT_SHADER);d.shaderSource(h,b.src);d.compileShader(h);if(!d.getShaderParameter(h,d.COMPILE_STATUS))return d.deleteShader(h),null;var f=
d.createShader(d.VERTEX_SHADER);d.shaderSource(f,a);d.compileShader(f);if(!d.getShaderParameter(f,d.COMPILE_STATUS))return d.deleteShader(h),d.deleteShader(f),null;a=d.createProgram();d.attachShader(a,h);d.attachShader(a,f);d.linkProgram(a);if(!d.getProgramParameter(a,d.LINK_STATUS))return d.deleteShader(h),d.deleteShader(f),d.deleteProgram(a),null;d.useProgram(a);d.deleteShader(h);d.deleteShader(f);g=new c(d,a,g);g.extendBoxHorizontal=b.extendBoxHorizontal||0;g.extendBoxVertical=b.extendBoxVertical||
0;g.crossSampling=!!b.crossSampling;g.animated=!!b.animated;g.parameters=b.parameters||[];b=0;for(h=g.parameters.length;b<h;b++)g.parameters[b][1]=d.getUniformLocation(a,g.parameters[b][0]),d.uniform1f(g.parameters[b][1],0);cr.seal(g);return g};a.prototype.getShaderIndex=function(b){var a,g;a=0;for(g=this.shaderPrograms.length;a<g;a++)if(this.shaderPrograms[a].name===b)return a;return-1};a.prototype.project=function(b,a,g){var d=this.matMV,h=this.matP,f=[0,0,0,0,0,0,0,0];f[0]=d[0]*b+d[4]*a+d[12];
f[1]=d[1]*b+d[5]*a+d[13];f[2]=d[2]*b+d[6]*a+d[14];f[3]=d[3]*b+d[7]*a+d[15];f[4]=h[0]*f[0]+h[4]*f[1]+h[8]*f[2]+h[12]*f[3];f[5]=h[1]*f[0]+h[5]*f[1]+h[9]*f[2]+h[13]*f[3];f[6]=h[2]*f[0]+h[6]*f[1]+h[10]*f[2]+h[14]*f[3];f[7]=-f[2];0!==f[7]&&(f[7]=1/f[7],f[4]*=f[7],f[5]*=f[7],f[6]*=f[7],g[0]=(0.5*f[4]+0.5)*this.width,g[1]=(0.5*f[5]+0.5)*this.height)};a.prototype.setSize=function(b,a,g){if(this.width!==b||this.height!==a||g){this.endBatch();this.width=b;this.height=a;this.gl.viewport(0,0,b,a);mat4.perspective(45,
b/a,1,1E3,this.matP);mat4.lookAt(this.cam,this.look,this.up,this.matMV);b=[0,0];a=[0,0];this.project(0,0,b);this.project(1,1,a);this.worldScale[0]=1/(a[0]-b[0]);this.worldScale[1]=-1/(a[1]-b[1]);b=0;for(a=this.shaderPrograms.length;b<a;b++)g=this.shaderPrograms[b],g.hasCurrentMatMV=!1,g.locMatP&&(this.gl.useProgram(g.shaderProgram),this.gl.uniformMatrix4fv(g.locMatP,!1,this.matP));this.gl.useProgram(this.shaderPrograms[this.lastProgram].shaderProgram);this.gl.bindTexture(this.gl.TEXTURE_2D,null);
this.gl.activeTexture(this.gl.TEXTURE1);this.gl.bindTexture(this.gl.TEXTURE_2D,null);this.gl.activeTexture(this.gl.TEXTURE0);this.lastTexture1=this.lastTexture0=null}};a.prototype.resetModelView=function(){mat4.lookAt(this.cam,this.look,this.up,this.matMV);mat4.scale(this.matMV,this.worldScale)};a.prototype.translate=function(b,a){if(0!==b||0!==a)this.tmpVec3[0]=b,this.tmpVec3[1]=a,this.tmpVec3[2]=0,mat4.translate(this.matMV,this.tmpVec3)};a.prototype.scale=function(b,a){if(1!==b||1!==a)this.tmpVec3[0]=
b,this.tmpVec3[1]=a,this.tmpVec3[2]=1,mat4.scale(this.matMV,this.tmpVec3)};a.prototype.rotateZ=function(b){0!==b&&mat4.rotateZ(this.matMV,b)};a.prototype.updateModelView=function(){for(var b=!1,a=0;16>a;a++)if(this.lastMV[a]!==this.matMV[a]){b=!0;break}b&&(b=this.pushBatch(),b.type=5,b.mat4param?mat4.set(this.matMV,b.mat4param):b.mat4param=mat4.create(this.matMV),mat4.set(this.matMV,this.lastMV),this.hasPointBatchTop=this.hasQuadBatchTop=!1)};e.prototype.doSetTexture=function(){this.gl.bindTexture(this.gl.TEXTURE_2D,
this.texParam)};e.prototype.doSetTexture1=function(){var b=this.gl;b.activeTexture(b.TEXTURE1);b.bindTexture(b.TEXTURE_2D,this.texParam);b.activeTexture(b.TEXTURE0)};e.prototype.doSetOpacity=function(){var b=this.opacityParam,a=this.glwrap;a.currentOpacity=b;a=a.currentShader;a.locOpacity&&this.gl.uniform1f(a.locOpacity,b)};e.prototype.doQuad=function(){this.gl.drawElements(this.gl.TRIANGLES,this.indexCount,this.gl.UNSIGNED_SHORT,2*this.startIndex)};e.prototype.doSetBlend=function(){this.gl.blendFunc(this.startIndex,
this.indexCount)};e.prototype.doUpdateModelView=function(){var b,a,g,d=this.glwrap.shaderPrograms,h=this.glwrap.currentProgram;b=0;for(a=d.length;b<a;b++)g=d[b],b===h&&g.locMatMV?(this.gl.uniformMatrix4fv(g.locMatMV,!1,this.mat4param),g.hasCurrentMatMV=!0):g.hasCurrentMatMV=!1;mat4.set(this.mat4param,this.glwrap.currentMV)};e.prototype.doRenderToTexture=function(){var b=this.gl,a=this.glwrap;this.texParam?(a.lastTexture1===this.texParam&&(b.activeTexture(b.TEXTURE1),b.bindTexture(b.TEXTURE_2D,null),
a.lastTexture1=null,b.activeTexture(b.TEXTURE0)),b.bindFramebuffer(b.FRAMEBUFFER,a.fbo),b.framebufferTexture2D(b.FRAMEBUFFER,b.COLOR_ATTACHMENT0,b.TEXTURE_2D,this.texParam,0)):(b.framebufferTexture2D(b.FRAMEBUFFER,b.COLOR_ATTACHMENT0,b.TEXTURE_2D,null,0),b.bindFramebuffer(b.FRAMEBUFFER,null))};e.prototype.doClear=function(){var b=this.gl;0===this.startIndex?(b.clearColor(this.mat4param[0],this.mat4param[1],this.mat4param[2],this.mat4param[3]),b.clear(b.COLOR_BUFFER_BIT)):(b.enable(b.SCISSOR_TEST),
b.scissor(this.mat4param[0],this.mat4param[1],this.mat4param[2],this.mat4param[3]),b.clearColor(0,0,0,0),b.clear(this.gl.COLOR_BUFFER_BIT),b.disable(b.SCISSOR_TEST))};e.prototype.doPoints=function(){var b=this.gl,a=this.glwrap,g=a.shaderPrograms[1];b.useProgram(g.shaderProgram);!g.hasCurrentMatMV&&g.locMatMV&&(b.uniformMatrix4fv(g.locMatMV,!1,a.currentMV),g.hasCurrentMatMV=!0);b.enableVertexAttribArray(g.locAPos);b.bindBuffer(b.ARRAY_BUFFER,a.pointBuffer);b.vertexAttribPointer(g.locAPos,4,b.FLOAT,
!1,0,0);b.drawArrays(b.POINTS,this.startIndex/4,this.indexCount);g=a.currentShader;b.useProgram(g.shaderProgram);0<=g.locAPos&&(b.enableVertexAttribArray(g.locAPos),b.bindBuffer(b.ARRAY_BUFFER,a.vertexBuffers[a.curBuffer]),b.vertexAttribPointer(g.locAPos,2,b.FLOAT,!1,0,0));0<=g.locATex&&(b.enableVertexAttribArray(g.locATex),b.bindBuffer(b.ARRAY_BUFFER,a.texcoordBuffers[a.curBuffer]),b.vertexAttribPointer(g.locATex,2,b.FLOAT,!1,0,0))};e.prototype.doSetProgram=function(){var b=this.gl,a=this.glwrap,
g=a.shaderPrograms[this.startIndex];a.currentProgram=this.startIndex;a.currentShader=g;b.useProgram(g.shaderProgram);!g.hasCurrentMatMV&&g.locMatMV&&(b.uniformMatrix4fv(g.locMatMV,!1,a.currentMV),g.hasCurrentMatMV=!0);g.locOpacity&&b.uniform1f(g.locOpacity,a.currentOpacity);0<=g.locAPos&&(b.enableVertexAttribArray(g.locAPos),b.bindBuffer(b.ARRAY_BUFFER,a.vertexBuffers[a.curBuffer]),b.vertexAttribPointer(g.locAPos,2,b.FLOAT,!1,0,0));0<=g.locATex&&(b.enableVertexAttribArray(g.locATex),b.bindBuffer(b.ARRAY_BUFFER,
a.texcoordBuffers[a.curBuffer]),b.vertexAttribPointer(g.locATex,2,b.FLOAT,!1,0,0))};e.prototype.doSetProgramParameters=function(){var b,a,g=this.glwrap.currentShader,d=this.gl;b=this.mat4param;g.locSamplerBack&&this.glwrap.lastTexture1!==this.texParam&&(d.activeTexture(d.TEXTURE1),d.bindTexture(d.TEXTURE_2D,this.texParam),this.glwrap.lastTexture1=this.texParam,d.activeTexture(d.TEXTURE0));g.locPixelWidth&&d.uniform1f(g.locPixelWidth,b[0]);g.locPixelHeight&&d.uniform1f(g.locPixelHeight,b[1]);g.locDestStart&&
d.uniform2f(g.locDestStart,b[2],b[3]);g.locDestEnd&&d.uniform2f(g.locDestEnd,b[4],b[5]);g.locLayerScale&&d.uniform1f(g.locLayerScale,b[6]);g.locLayerAngle&&d.uniform1f(g.locLayerAngle,b[7]);g.locViewOrigin&&d.uniform2f(g.locViewOrigin,b[8],b[9]);g.locSeconds&&d.uniform1f(g.locSeconds,cr.performance_now()/1E3);if(g.parameters.length)for(b=0,a=g.parameters.length;b<a;b++)d.uniform1f(g.parameters[b][1],this.shaderParams[b])};a.prototype.pushBatch=function(){this.batchPtr===this.batch.length&&this.batch.push(new e(0,
this));return this.batch[this.batchPtr++]};a.prototype.endBatch=function(){if(0!==this.batchPtr&&!this.gl.isContextLost()){var b=this.gl;0<this.pointPtr&&(b.bindBuffer(b.ARRAY_BUFFER,this.pointBuffer),b.bufferData(b.ARRAY_BUFFER,this.pointData.subarray(0,this.pointPtr),b.STREAM_DRAW),a&&0<=a.locAPos&&"<point>"===a.name&&b.vertexAttribPointer(a.locAPos,4,b.FLOAT,!1,0,0));if(0<this.vertexPtr){var a=this.currentShader;b.bindBuffer(b.ARRAY_BUFFER,this.vertexBuffers[this.curBuffer]);b.bufferData(b.ARRAY_BUFFER,
this.vertexData.subarray(0,this.vertexPtr),b.STREAM_DRAW);a&&0<=a.locAPos&&"<point>"!==a.name&&b.vertexAttribPointer(a.locAPos,2,b.FLOAT,!1,0,0);b.bindBuffer(b.ARRAY_BUFFER,this.texcoordBuffers[this.curBuffer]);b.bufferData(b.ARRAY_BUFFER,this.texcoordData.subarray(0,this.vertexPtr),b.STREAM_DRAW);a&&0<=a.locATex&&"<point>"!==a.name&&b.vertexAttribPointer(a.locATex,2,b.FLOAT,!1,0,0)}for(var g,b=0,a=this.batchPtr;b<a;b++)switch(g=this.batch[b],g.type){case 1:g.doQuad();break;case 2:g.doSetTexture();
break;case 3:g.doSetOpacity();break;case 4:g.doSetBlend();break;case 5:g.doUpdateModelView();break;case 6:g.doRenderToTexture();break;case 7:g.doClear();break;case 8:g.doPoints();break;case 9:g.doSetProgram();break;case 10:g.doSetProgramParameters();break;case 11:g.doSetTexture1()}this.pointPtr=this.vertexPtr=this.batchPtr=0;this.hasPointBatchTop=this.hasQuadBatchTop=!1;this.curBuffer++;4<=this.curBuffer&&(this.curBuffer=0)}};a.prototype.setOpacity=function(b){if(b!==this.lastOpacity){var a=this.pushBatch();
a.type=3;this.lastOpacity=a.opacityParam=b;this.hasPointBatchTop=this.hasQuadBatchTop=!1}};a.prototype.setTexture=function(b){if(b!==this.lastTexture0){var a=this.pushBatch();a.type=2;this.lastTexture0=a.texParam=b;this.hasPointBatchTop=this.hasQuadBatchTop=!1}};a.prototype.setBlend=function(b,a){if(b!==this.lastSrcBlend||a!==this.lastDestBlend){var g=this.pushBatch();g.type=4;g.startIndex=b;g.indexCount=a;this.lastSrcBlend=b;this.lastDestBlend=a;this.hasPointBatchTop=this.hasQuadBatchTop=!1}};a.prototype.isPremultipliedAlphaBlend=
function(){return this.lastSrcBlend===this.gl.ONE&&this.lastDestBlend===this.gl.ONE_MINUS_SRC_ALPHA};a.prototype.setAlphaBlend=function(){this.setBlend(this.gl.ONE,this.gl.ONE_MINUS_SRC_ALPHA)};a.prototype.setNoPremultiplyAlphaBlend=function(){this.setBlend(this.gl.SRC_ALPHA,this.gl.ONE_MINUS_SRC_ALPHA)};a.prototype.quad=function(b,a,g,d,h,f,c,e){15992<=this.vertexPtr&&this.endBatch();var k=this.vertexPtr,s=this.vertexData,w=this.texcoordData;if(this.hasQuadBatchTop)this.batch[this.batchPtr-1].indexCount+=
6;else{var q=this.pushBatch();q.type=1;q.startIndex=3*(k/4);q.indexCount=6;this.hasQuadBatchTop=!0;this.hasPointBatchTop=!1}s[k]=b;w[k++]=0;s[k]=a;w[k++]=0;s[k]=g;w[k++]=1;s[k]=d;w[k++]=0;s[k]=h;w[k++]=1;s[k]=f;w[k++]=1;s[k]=c;w[k++]=0;s[k]=e;w[k++]=1;this.vertexPtr=k};a.prototype.quadTex=function(b,a,g,d,h,f,c,e,k){15992<=this.vertexPtr&&this.endBatch();var s=this.vertexPtr,w=this.vertexData,q=this.texcoordData;if(this.hasQuadBatchTop)this.batch[this.batchPtr-1].indexCount+=6;else{var u=this.pushBatch();
u.type=1;u.startIndex=3*(s/4);u.indexCount=6;this.hasQuadBatchTop=!0;this.hasPointBatchTop=!1}var u=k.left,y=k.top,B=k.right;k=k.bottom;w[s]=b;q[s++]=u;w[s]=a;q[s++]=y;w[s]=g;q[s++]=B;w[s]=d;q[s++]=y;w[s]=h;q[s++]=B;w[s]=f;q[s++]=k;w[s]=c;q[s++]=u;w[s]=e;q[s++]=k;this.vertexPtr=s};a.prototype.quadTexUV=function(b,a,g,d,h,f,c,e,k,s,w,q,u,y,B,m){15992<=this.vertexPtr&&this.endBatch();var z=this.vertexPtr,x=this.vertexData,A=this.texcoordData;if(this.hasQuadBatchTop)this.batch[this.batchPtr-1].indexCount+=
6;else{var J=this.pushBatch();J.type=1;J.startIndex=3*(z/4);J.indexCount=6;this.hasQuadBatchTop=!0;this.hasPointBatchTop=!1}x[z]=b;A[z++]=k;x[z]=a;A[z++]=s;x[z]=g;A[z++]=w;x[z]=d;A[z++]=q;x[z]=h;A[z++]=u;x[z]=f;A[z++]=y;x[z]=c;A[z++]=B;x[z]=e;A[z++]=m;this.vertexPtr=z};a.prototype.point=function(b,a,g,d){7996<=this.pointPtr&&this.endBatch();var h=this.pointPtr,f=this.pointData;if(this.hasPointBatchTop)this.batch[this.batchPtr-1].indexCount++;else{var c=this.pushBatch();c.type=8;c.startIndex=h;c.indexCount=
1;this.hasPointBatchTop=!0;this.hasQuadBatchTop=!1}f[h++]=b;f[h++]=a;f[h++]=g;f[h++]=d;this.pointPtr=h};a.prototype.switchProgram=function(b){if(this.lastProgram!==b){if(!this.shaderPrograms[b]){if(0===this.lastProgram)return;b=0}var a=this.pushBatch();a.type=9;this.lastProgram=a.startIndex=b;this.hasPointBatchTop=this.hasQuadBatchTop=!1}};a.prototype.programUsesDest=function(b){b=this.shaderPrograms[b];return!(!b.locDestStart&&!b.locDestEnd)};a.prototype.programUsesCrossSampling=function(b){b=this.shaderPrograms[b];
return!!(b.locDestStart||b.locDestEnd||b.crossSampling)};a.prototype.programExtendsBox=function(b){b=this.shaderPrograms[b];return 0!==b.extendBoxHorizontal||0!==b.extendBoxVertical};a.prototype.getProgramBoxExtendHorizontal=function(b){return this.shaderPrograms[b].extendBoxHorizontal};a.prototype.getProgramBoxExtendVertical=function(b){return this.shaderPrograms[b].extendBoxVertical};a.prototype.getProgramParameterType=function(b,a){return this.shaderPrograms[b].parameters[a][2]};a.prototype.programIsAnimated=
function(b){return this.shaderPrograms[b].animated};a.prototype.setProgramParameters=function(b,a,g,d,h,f,c,e,k,s,w,q){var u=this.shaderPrograms[this.lastProgram],y,B;if(u.hasAnyOptionalUniforms||q.length){y=this.pushBatch();y.type=10;y.mat4param?mat4.set(this.matMV,y.mat4param):y.mat4param=mat4.create();B=y.mat4param;B[0]=a;B[1]=g;B[2]=d;B[3]=h;B[4]=f;B[5]=c;B[6]=e;B[7]=k;B[8]=s;B[9]=w;y.texParam=u.locSamplerBack?b:null;if(q.length)for(g=y.shaderParams,g.length=q.length,b=0,a=q.length;b<a;b++)g[b]=
q[b];this.hasPointBatchTop=this.hasQuadBatchTop=!1}};a.prototype.clear=function(b,a,g,d){var h=this.pushBatch();h.type=7;h.startIndex=0;h.mat4param||(h.mat4param=mat4.create());h.mat4param[0]=b;h.mat4param[1]=a;h.mat4param[2]=g;h.mat4param[3]=d;this.hasPointBatchTop=this.hasQuadBatchTop=!1};a.prototype.clearRect=function(b,a,g,d){var h=this.pushBatch();h.type=7;h.startIndex=1;h.mat4param||(h.mat4param=mat4.create());h.mat4param[0]=b;h.mat4param[1]=a;h.mat4param[2]=g;h.mat4param[3]=d;this.hasPointBatchTop=
this.hasQuadBatchTop=!1};a.prototype.present=function(){this.endBatch();this.gl.flush()};var k=[],g={};a.prototype.loadTexture=function(b,a,c,d,h){a=!!a;c=!!c;var f=b.src+","+a+","+c+(a?","+h:""),p=null;if("undefined"!==typeof b.src&&g.hasOwnProperty(f))return p=g[f],p.c2refcount++,p;this.endBatch();var e=this.gl,t=cr.isPOT(b.width)&&cr.isPOT(b.height),p=e.createTexture();e.bindTexture(e.TEXTURE_2D,p);e.pixelStorei(e.UNPACK_PREMULTIPLY_ALPHA_WEBGL,!0);var s=e.RGBA,w=e.RGBA,q=e.UNSIGNED_BYTE;if(d&&
!this.isIE)switch(d){case 1:w=s=e.RGB;break;case 2:q=e.UNSIGNED_SHORT_4_4_4_4;break;case 3:q=e.UNSIGNED_SHORT_5_5_5_1;break;case 4:w=s=e.RGB,q=e.UNSIGNED_SHORT_5_6_5}!t&&a?(d=document.createElement("canvas"),d.width=cr.nextHighestPowerOfTwo(b.width),d.height=cr.nextHighestPowerOfTwo(b.height),d.getContext("2d").drawImage(b,0,0,b.width,b.height,0,0,d.width,d.height),e.texImage2D(e.TEXTURE_2D,0,s,w,q,d)):e.texImage2D(e.TEXTURE_2D,0,s,w,q,b);a?"repeat-x"===h?(e.texParameteri(e.TEXTURE_2D,e.TEXTURE_WRAP_S,
e.REPEAT),e.texParameteri(e.TEXTURE_2D,e.TEXTURE_WRAP_T,e.CLAMP_TO_EDGE)):("repeat-y"===h?e.texParameteri(e.TEXTURE_2D,e.TEXTURE_WRAP_S,e.CLAMP_TO_EDGE):e.texParameteri(e.TEXTURE_2D,e.TEXTURE_WRAP_S,e.REPEAT),e.texParameteri(e.TEXTURE_2D,e.TEXTURE_WRAP_T,e.REPEAT)):(e.texParameteri(e.TEXTURE_2D,e.TEXTURE_WRAP_S,e.CLAMP_TO_EDGE),e.texParameteri(e.TEXTURE_2D,e.TEXTURE_WRAP_T,e.CLAMP_TO_EDGE));c?(e.texParameteri(e.TEXTURE_2D,e.TEXTURE_MAG_FILTER,e.LINEAR),t?(e.texParameteri(e.TEXTURE_2D,e.TEXTURE_MIN_FILTER,
e.LINEAR_MIPMAP_LINEAR),e.generateMipmap(e.TEXTURE_2D)):e.texParameteri(e.TEXTURE_2D,e.TEXTURE_MIN_FILTER,e.LINEAR)):(e.texParameteri(e.TEXTURE_2D,e.TEXTURE_MAG_FILTER,e.NEAREST),e.texParameteri(e.TEXTURE_2D,e.TEXTURE_MIN_FILTER,e.NEAREST));e.bindTexture(e.TEXTURE_2D,null);this.lastTexture0=null;p.c2width=b.width;p.c2height=b.height;p.c2refcount=1;p.c2texkey=f;k.push(p);return g[f]=p};a.prototype.createEmptyTexture=function(b,a,g,d,h){this.endBatch();var f=this.gl;this.isIE&&(d=!1);var c=f.createTexture();
f.bindTexture(f.TEXTURE_2D,c);f.texImage2D(f.TEXTURE_2D,0,f.RGBA,b,a,0,f.RGBA,d?f.UNSIGNED_SHORT_4_4_4_4:f.UNSIGNED_BYTE,null);h?(f.texParameteri(f.TEXTURE_2D,f.TEXTURE_WRAP_S,f.REPEAT),f.texParameteri(f.TEXTURE_2D,f.TEXTURE_WRAP_T,f.REPEAT)):(f.texParameteri(f.TEXTURE_2D,f.TEXTURE_WRAP_S,f.CLAMP_TO_EDGE),f.texParameteri(f.TEXTURE_2D,f.TEXTURE_WRAP_T,f.CLAMP_TO_EDGE));f.texParameteri(f.TEXTURE_2D,f.TEXTURE_MAG_FILTER,g?f.LINEAR:f.NEAREST);f.texParameteri(f.TEXTURE_2D,f.TEXTURE_MIN_FILTER,g?f.LINEAR:
f.NEAREST);f.bindTexture(f.TEXTURE_2D,null);this.lastTexture0=null;c.c2width=b;c.c2height=a;k.push(c);return c};a.prototype.videoToTexture=function(b,a,g){this.endBatch();var d=this.gl;this.isIE&&(g=!1);d.bindTexture(d.TEXTURE_2D,a);d.pixelStorei(d.UNPACK_PREMULTIPLY_ALPHA_WEBGL,!0);d.texImage2D(d.TEXTURE_2D,0,d.RGBA,d.RGBA,g?d.UNSIGNED_SHORT_4_4_4_4:d.UNSIGNED_BYTE,b);d.bindTexture(d.TEXTURE_2D,null);this.lastTexture0=null};a.prototype.deleteTexture=function(b){b&&("undefined"!==typeof b.c2refcount&&
1<b.c2refcount?b.c2refcount--:(this.endBatch(),b===this.lastTexture0&&(this.gl.bindTexture(this.gl.TEXTURE_2D,null),this.lastTexture0=null),b===this.lastTexture1&&(this.gl.activeTexture(this.gl.TEXTURE1),this.gl.bindTexture(this.gl.TEXTURE_2D,null),this.gl.activeTexture(this.gl.TEXTURE0),this.lastTexture1=null),cr.arrayFindRemove(k,b),"undefined"!==typeof b.c2texkey&&delete g[b.c2texkey],this.gl.deleteTexture(b)))};a.prototype.estimateVRAM=function(){var b=8*this.width*this.height,a,g,d;a=0;for(g=
k.length;a<g;a++)d=k[a],b+=4*d.c2width*d.c2height;return b};a.prototype.textureCount=function(){return k.length};a.prototype.setRenderingToTexture=function(b){if(b!==this.renderToTex){var a=this.pushBatch();a.type=6;this.renderToTex=a.texParam=b;this.hasPointBatchTop=this.hasQuadBatchTop=!1}};cr.GLWrap=a})();
(function(){function a(b){if(b&&(b.getContext||b.dc)&&!b.c2runtime){b.c2runtime=this;var a=this;this.isCrosswalk=/crosswalk/i.test(navigator.userAgent)||/xwalk/i.test(navigator.userAgent)||!("undefined"===typeof window.c2isCrosswalk||!window.c2isCrosswalk);this.isPhoneGap=!this.isCrosswalk&&"undefined"!==typeof window.device&&("undefined"!==typeof window.device.cordova||"undefined"!==typeof window.device.phonegap);this.isDirectCanvas=!!b.dc;this.isAppMobi="undefined"!==typeof window.AppMobi||this.isDirectCanvas;
if(this.isCocoonJs=!!window.c2cocoonjs)CocoonJS.App.onSuspended.addEventListener(function(){a.setSuspended(!0)}),CocoonJS.App.onActivated.addEventListener(function(){a.setSuspended(!1)});this.isDomFree=this.isDirectCanvas||this.isCocoonJs;this.isTizen=/tizen/i.test(navigator.userAgent);this.isAndroid=/android/i.test(navigator.userAgent)&&!this.isTizen;this.isIE=/msie/i.test(navigator.userAgent)||/trident/i.test(navigator.userAgent);this.isiPhone=/iphone/i.test(navigator.userAgent)||/ipod/i.test(navigator.userAgent);
this.isiPad=/ipad/i.test(navigator.userAgent);this.isiOS=this.isiPhone||this.isiPad;this.isiPhoneiOS6=this.isiPhone&&/os\s6/i.test(navigator.userAgent);this.isChrome=/chrome/i.test(navigator.userAgent)||/chromium/i.test(navigator.userAgent);this.isAmazonWebApp=/amazonwebappplatform/i.test(navigator.userAgent);this.isFirefox=/firefox/i.test(navigator.userAgent);this.isSafari=!this.isChrome&&/safari/i.test(navigator.userAgent);this.isWindows=/windows/i.test(navigator.userAgent);this.isNodeWebkit="undefined"!==
typeof window.c2nodewebkit||/nodewebkit/i.test(navigator.userAgent);this.isArcade="undefined"!==typeof window.is_scirra_arcade;this.isWindows8App=!("undefined"===typeof window.c2isWindows8||!window.c2isWindows8);this.isWindowsPhone8=!("undefined"===typeof window.c2isWindowsPhone8||!window.c2isWindowsPhone8);this.isBlackberry10=!("undefined"===typeof window.c2isBlackberry10||!window.c2isBlackberry10);this.isAndroidStockBrowser=this.isAndroid&&!this.isChrome&&!this.isFirefox&&!this.isAmazonWebApp&&
!this.isDomFree;this.devicePixelRatio=1;this.isMobile=this.isPhoneGap||this.isCrosswalk||this.isAppMobi||this.isCocoonJs||this.isAndroid||this.isiOS||this.isWindowsPhone8||this.isBlackberry10||this.isTizen;this.isMobile||(this.isMobile=/(blackberry|bb10|playbook|palm|symbian|nokia|windows\s+ce|phone|mobile|tablet)/i.test(navigator.userAgent));"undefined"===typeof cr_is_preview||this.isNodeWebkit||"?nw"!==window.location.search&&!/nodewebkit/i.test(navigator.userAgent)||(this.isNodeWebkit=!0);this.isDebug=
"undefined"!==typeof cr_is_preview&&-1<window.location.search.indexOf("debug");this.canvas=b;this.canvasdiv=document.getElementById("c2canvasdiv");this.ctx=this.glwrap=this.gl=null;this.fullscreenOldMarginCss="";this.firstInFullscreen=!1;this.oldHeight=this.oldWidth=0;this.canvas.oncontextmenu=function(b){b.preventDefault&&b.preventDefault();return!1};this.canvas.onselectstart=function(b){b.preventDefault&&b.preventDefault();return!1};this.isDirectCanvas&&(window.c2runtime=this);this.isNodeWebkit&&
(window.ondragover=function(b){b.preventDefault();return!1},window.ondrop=function(b){b.preventDefault();return!1},require("nw.gui").App.clearCache());this.width=b.width;this.height=b.height;this.draw_width=this.width;this.draw_height=this.height;this.cssWidth=this.width;this.cssHeight=this.height;this.lastWindowWidth=window.innerWidth;this.lastWindowHeight=window.innerHeight;this.redraw=!0;this.isSuspended=!1;Date.now||(Date.now=function(){return+new Date});this.plugins=[];this.types={};this.types_by_index=
[];this.behaviors=[];this.layouts={};this.layouts_by_index=[];this.eventsheets={};this.eventsheets_by_index=[];this.wait_for_textures=[];this.triggers_to_postinit=[];this.all_global_vars=[];this.all_local_vars=[];this.jumpthruBehavior=this.solidBehavior=null;this.deathRow=new cr.ObjectSet;this.isInClearDeathRow=!1;this.isInOnDestroy=0;this.isRunningEvents=!1;this.createRow=[];this.isLoadingState=!1;this.lastSaveJson=this.loadFromJson=this.loadFromSlot=this.saveToSlot="";this.suspendDrawing=this.signalledContinuousPreview=
!1;this.zeroDtCount=this.cpuutilisation=this.logictime=this.dt1=this.dt=0;this.timescale=1;this.kahanTime=new cr.KahanAdder;this.last_tick_time=0;this.measuring_dt=!0;this.objectcount=this.framecount=this.execcount=this.tickcount=this.last_fps_time=this.fps=0;this.changelayout=null;this.destroycallbacks=[];this.event_stack=[];this.event_stack_index=-1;this.localvar_stack=[[]];this.trigger_depth=this.localvar_stack_index=0;this.pushEventStack(null);this.loop_stack=[];this.loop_stack_index=-1;this.next_puid=
this.next_uid=0;this.layout_first_tick=!0;this.family_count=0;this.suspend_events=[];this.timeout_id=this.raf_id=0;this.isloading=!0;this.loadingprogress=0;this.isNodeFullscreen=!1;this.stackLocalCount=0;this.halfFramerateMode=!1;this.lastRafTime=0;this.isInUserInputEvent=this.had_a_click=this.ranLastRaf=!1;this.objects_to_tick=new cr.ObjectSet;this.objects_to_tick2=new cr.ObjectSet;this.registered_collisions=[];this.temp_poly=new cr.CollisionPoly([]);this.temp_poly2=new cr.CollisionPoly([]);this.allGroups=
[];this.activeGroups={};this.cndsBySid={};this.actsBySid={};this.varsBySid={};this.blocksBySid={};this.layout_ctx=this.layout_canvas=this.layout_tex=this.layer_tex=this.layer_ctx=this.layer_canvas=this.running_layout=null;this.uses_background_blending=this.is_WebGL_context_lost=!1;this.fx_tex=[null,null];this.fullscreen_scaling=0;this.files_subfolder="";this.objectsByUid={};this.snapshotCanvas=this.loaderlogo=null;this.snapshotData="";this.load();this.devicePixelRatio=(this.isRetina=!this.isDomFree&&
this.useHighDpi&&!this.isAndroidStockBrowser)?window.devicePixelRatio||window.webkitDevicePixelRatio||window.mozDevicePixelRatio||window.msDevicePixelRatio||1:1;this.ClearDeathRow();var d,f=this.alphaBackground&&!(this.isNodeWebkit||this.isWindows8App||this.isWindowsPhone8);0<this.fullscreen_mode&&this.setSize(window.innerWidth,window.innerHeight,!0);try{!this.enableWebGL||!this.isCocoonJs&&this.isDomFree||(d={alpha:f,depth:!1,antialias:!1,failIfMajorPerformanceCaveat:!0},this.gl=b.getContext("webgl",
d)||b.getContext("experimental-webgl",d))}catch(m){}if(this.gl){this.isDomFree||(this.overlay_canvas=document.createElement("canvas"),jQuery(this.overlay_canvas).appendTo(this.canvas.parentNode),this.overlay_canvas.oncontextmenu=function(b){return!1},this.overlay_canvas.onselectstart=function(b){return!1},this.overlay_canvas.width=this.cssWidth,this.overlay_canvas.height=this.cssHeight,jQuery(this.overlay_canvas).css({width:this.cssWidth+"px",height:this.cssHeight+"px"}),this.positionOverlayCanvas(),
this.overlay_ctx=this.overlay_canvas.getContext("2d"));this.glwrap=new cr.GLWrap(this.gl,this.isMobile);this.glwrap.setSize(b.width,b.height);this.ctx=null;this.canvas.addEventListener("webglcontextlost",function(b){b.preventDefault();a.onContextLost();console.log("[Construct 2] WebGL context lost");window.cr_setSuspended(!0)},!1);this.canvas.addEventListener("webglcontextrestored",function(b){a.glwrap.initState();a.glwrap.setSize(a.glwrap.width,a.glwrap.height,!0);a.layer_tex=null;a.layout_tex=null;
a.fx_tex[0]=null;a.fx_tex[1]=null;a.onContextRestored();a.redraw=!0;console.log("[Construct 2] WebGL context restored");window.cr_setSuspended(!1)},!1);var g,h,c,e,p,l;b=0;for(d=this.types_by_index.length;b<d;b++)for(h=this.types_by_index[b],f=0,g=h.effect_types.length;f<g;f++)e=h.effect_types[f],e.shaderindex=this.glwrap.getShaderIndex(e.id),this.uses_background_blending=this.uses_background_blending||this.glwrap.programUsesDest(e.shaderindex);b=0;for(d=this.layouts_by_index.length;b<d;b++){p=this.layouts_by_index[b];
f=0;for(g=p.effect_types.length;f<g;f++)e=p.effect_types[f],e.shaderindex=this.glwrap.getShaderIndex(e.id);f=0;for(g=p.layers.length;f<g;f++)for(l=p.layers[f],h=0,c=l.effect_types.length;h<c;h++)e=l.effect_types[h],e.shaderindex=this.glwrap.getShaderIndex(e.id),this.uses_background_blending=this.uses_background_blending||this.glwrap.programUsesDest(e.shaderindex)}}else{if(0<this.fullscreen_mode&&this.isDirectCanvas){this.canvas=null;document.oncontextmenu=function(b){return!1};document.onselectstart=
function(b){return!1};this.ctx=AppMobi.canvas.getContext("2d");try{this.ctx.samplingMode=this.linearSampling?"smooth":"sharp",this.ctx.globalScale=1,this.ctx.HTML5CompatibilityMode=!0,this.ctx.imageSmoothingEnabled=this.linearSampling}catch(k){}0!==this.width&&0!==this.height&&(this.ctx.width=this.width,this.ctx.height=this.height)}this.ctx||(d=this.isCocoonJs?{antialias:!!this.linearSampling,alpha:f}:{alpha:f},this.ctx=b.getContext("2d",d),this.ctx.webkitImageSmoothingEnabled=this.linearSampling,
this.ctx.mozImageSmoothingEnabled=this.linearSampling,this.ctx.msImageSmoothingEnabled=this.linearSampling,this.ctx.imageSmoothingEnabled=this.linearSampling);this.overlay_ctx=this.overlay_canvas=null}this.tickFunc=function(){a.tick()};window==window.top||this.isDomFree||this.isWindows8App||(document.addEventListener("mousedown",function(){window.focus()},!0),document.addEventListener("touchstart",function(){window.focus()},!0));"undefined"!==typeof cr_is_preview&&(this.isCocoonJs&&console.log("[Construct 2] In preview-over-wifi via CocoonJS mode"),
-1<window.location.search.indexOf("continuous")&&(cr.logexport("Reloading for continuous preview"),this.loadFromSlot="__c2_continuouspreview",this.suspendDrawing=!0),this.pauseOnBlur&&!this.isMobile&&(jQuery(window).focus(function(){a.setSuspended(!1)}),jQuery(window).blur(function(){a.setSuspended(!0)})));0===this.fullscreen_mode&&this.isRetina&&1<this.devicePixelRatio&&this.setSize(this.original_width,this.original_height,!0);this.tryLockOrientation();this.go();this.extra={};cr.seal(this)}}function c(b){b.target.result.createObjectStore("saves",
{keyPath:"slot"})}function e(b,a,d,f){var m=indexedDB.open("_C2SaveStates");m.onupgradeneeded=c;m.onerror=f;m.onsuccess=function(m){m=m.target.result;m.onerror=f;m.transaction(["saves"],"readwrite").objectStore("saves").put({slot:b,data:a}).onsuccess=d}}function k(b,a,d){var f=indexedDB.open("_C2SaveStates");f.onupgradeneeded=c;f.onerror=d;f.onsuccess=function(m){m=m.target.result;m.onerror=d;var f=m.transaction(["saves"]).objectStore("saves").get(b);f.onsuccess=function(b){f.result?a(f.result.data):
a(null)}}}function g(){cr.logexport("Reloading for continuous preview");window.c2cocoonjs?CocoonJS.App.reload():-1<window.location.search.indexOf("continuous")?window.location.reload(!0):window.location+="?continuous"}function b(b){var a,d={};for(a in b)!b.hasOwnProperty(a)||b[a]instanceof cr.ObjectSet||b[a]&&"undefined"!==typeof b[a].c2userdata||(d[a]=b[a]);return d}a.prototype.setSize=function(b,a,d){var f=0,m=0,g=0,h=0,h=0,c=this.isiPhoneiOS6&&this.isSafari&&!navigator.standalone&&!this.isDomFree&&
!this.isPhoneGap;c&&(a+=60);if(this.lastWindowWidth!==b||this.lastWindowHeight!==a||d){this.lastWindowWidth=b;this.lastWindowHeight=a;var e=this.fullscreen_mode,p=document.mozFullScreen||document.webkitIsFullScreen||!!document.msFullscreenElement||document.fullScreen||this.isNodeFullscreen;if(p||0!==this.fullscreen_mode||d)p&&0<this.fullscreen_scaling&&(e=this.fullscreen_scaling),4<=e?(d=this.original_width/this.original_height,b/a>d?(g=a*d,5===e?(h=g/this.original_width,1<h?h=Math.floor(h):1>h&&
(h=1/Math.ceil(1/h)),g=this.original_width*h,h*=this.original_height,f=(b-g)/2,m=(a-h)/2,b=g,a=h):(f=(b-g)/2,b=g)):(h=b/d,5===e?(h/=this.original_height,1<h?h=Math.floor(h):1>h&&(h=1/Math.ceil(1/h)),g=this.original_width*h,h*=this.original_height,f=(b-g)/2,m=(a-h)/2,b=g):m=(a-h)/2,a=h),p&&!this.isNodeWebkit&&(m=f=0),f=Math.floor(f),m=Math.floor(m),b=Math.floor(b),a=Math.floor(a)):this.isNodeWebkit&&this.isNodeFullscreen&&0===this.fullscreen_mode_set&&(f=Math.floor((b-this.original_width)/2),m=Math.floor((a-
this.original_height)/2),b=this.original_width,a=this.original_height),2>e&&(this.aspect_scale=this.devicePixelRatio),this.isRetina&&this.isiPad&&1<this.devicePixelRatio&&(1024<=b&&(b=1023),1024<=a&&(a=1023)),p=this.devicePixelRatio,this.cssWidth=b,this.cssHeight=a,this.width=Math.round(b*p),this.height=Math.round(a*p),this.redraw=!0,this.wantFullscreenScalingQuality?(this.draw_width=this.width,this.draw_height=this.height,this.fullscreenScalingQuality=!0):this.width<this.original_width&&this.height<
this.original_height||1===e?(this.draw_width=this.width,this.draw_height=this.height,this.fullscreenScalingQuality=!0):(this.draw_width=this.original_width,this.draw_height=this.original_height,this.fullscreenScalingQuality=!1,2===e?(d=this.original_width/this.original_height,e=this.lastWindowWidth/this.lastWindowHeight,e<d?this.draw_width=this.draw_height*e:e>d&&(this.draw_height=this.draw_width/e)):3===e&&(d=this.original_width/this.original_height,e=this.lastWindowWidth/this.lastWindowHeight,e>
d?this.draw_width=this.draw_height*e:e<d&&(this.draw_height=this.draw_width/e))),this.canvasdiv&&!this.isDomFree&&(jQuery(this.canvasdiv).css({width:b+"px",height:a+"px","margin-left":f,"margin-top":m}),"undefined"!==typeof cr_is_preview&&jQuery("#borderwrap").css({width:b+"px",height:a+"px"})),this.canvas&&(this.canvas.width=Math.round(b*p),this.canvas.height=Math.round(a*p),this.isRetina&&jQuery(this.canvas).css({width:b+"px",height:a+"px"})),this.overlay_canvas&&(this.overlay_canvas.width=b,this.overlay_canvas.height=
a,jQuery(this.overlay_canvas).css({width:b+"px",height:a+"px"})),this.glwrap&&this.glwrap.setSize(Math.round(b*p),Math.round(a*p)),this.isDirectCanvas&&this.ctx&&(this.ctx.width=b,this.ctx.height=a),this.ctx&&(this.ctx.webkitImageSmoothingEnabled=this.linearSampling,this.ctx.mozImageSmoothingEnabled=this.linearSampling,this.ctx.msImageSmoothingEnabled=this.linearSampling,this.ctx.imageSmoothingEnabled=this.linearSampling),this.tryLockOrientation(),c&&window.setTimeout(function(){window.scrollTo(0,
1)},100)}};a.prototype.tryLockOrientation=function(){if(this.autoLockOrientation&&0!==this.orientations){var b="portrait";2===this.orientations&&(b="landscape");screen.lockOrientation?screen.lockOrientation(b):screen.webkitLockOrientation?screen.webkitLockOrientation(b):screen.mozLockOrientation?screen.mozLockOrientation(b):screen.msLockOrientation&&screen.msLockOrientation(b)}};a.prototype.onContextLost=function(){this.is_WebGL_context_lost=!0;var b,a,d;b=0;for(a=this.types_by_index.length;b<a;b++)if(d=
this.types_by_index[b],d.onLostWebGLContext)d.onLostWebGLContext()};a.prototype.onContextRestored=function(){this.is_WebGL_context_lost=!1;var b,a,d;b=0;for(a=this.types_by_index.length;b<a;b++)if(d=this.types_by_index[b],d.onRestoreWebGLContext)d.onRestoreWebGLContext()};a.prototype.positionOverlayCanvas=function(){if(!this.isDomFree){var b=document.mozFullScreen||document.webkitIsFullScreen||document.fullScreen||document.msFullscreenElement||this.isNodeFullscreen?jQuery(this.canvas).offset():jQuery(this.canvas).position();
b.position="absolute";jQuery(this.overlay_canvas).css(b)}};var l=window.cancelAnimationFrame||window.mozCancelAnimationFrame||window.webkitCancelAnimationFrame||window.msCancelAnimationFrame||window.oCancelAnimationFrame;a.prototype.setSuspended=function(b){var a;if(b&&!this.isSuspended)for(cr.logexport("[Construct 2] Suspending"),this.isSuspended=!0,0!==this.raf_id&&l&&l(this.raf_id),0!==this.timeout_id&&clearTimeout(this.timeout_id),b=0,a=this.suspend_events.length;b<a;b++)this.suspend_events[b](!0);
else if(!b&&this.isSuspended){cr.logexport("[Construct 2] Resuming");this.isSuspended=!1;this.last_tick_time=cr.performance_now();this.last_fps_time=cr.performance_now();b=this.logictime=this.framecount=0;for(a=this.suspend_events.length;b<a;b++)this.suspend_events[b](!1);this.tick()}};a.prototype.addSuspendCallback=function(b){this.suspend_events.push(b)};a.prototype.load=function(){var b=cr.getProjectModel();this.name=b[0];this.first_layout=b[1];this.fullscreen_mode=b[11];this.fullscreen_mode_set=
b[11];this.original_width=b[9];this.original_height=b[10];this.parallax_x_origin=this.original_width/2;this.parallax_y_origin=this.original_height/2;this.isDomFree&&(4<=b[11]||0===b[11])&&(cr.logexport("[Construct 2] Letterbox scale fullscreen modes are not supported on this platform - falling back to 'Scale outer'"),this.fullscreen_mode_set=this.fullscreen_mode=3);this.uses_loader_layout=b[17];this.loaderstyle=b[18];0===this.loaderstyle&&(this.loaderlogo=new Image,this.loaderlogo.src="loading-logo.png");
this.next_uid=b[20];this.system=new cr.system_object(this);var a,d,f,m,g,h,c,e,p;a=0;for(d=b[2].length;a<d;a++){c=b[2][a];cr.add_common_aces(c);p=new c[0](this);p.singleglobal=c[1];p.is_world=c[2];p.must_predraw=c[9];if(p.onCreate)p.onCreate();cr.seal(p);this.plugins.push(p)}b=cr.getProjectModel();a=0;for(d=b[3].length;a<d;a++){c=b[3][a];g=c[1];p=null;f=0;for(m=this.plugins.length;f<m;f++)if(this.plugins[f]instanceof g){p=this.plugins[f];break}var l=new p.Type(p);l.name=c[0];l.is_family=c[2];l.instvar_sids=
c[3].slice(0);l.vars_count=c[3].length;l.behs_count=c[4];l.fx_count=c[5];l.sid=c[11];l.is_family?(l.members=[],l.family_index=this.family_count++,l.families=null):(l.members=null,l.family_index=-1,l.families=[]);l.family_var_map=null;l.family_beh_map=null;l.family_fx_map=null;l.is_contained=!1;l.container=null;c[6]?(l.texture_file=c[6][0],l.texture_filesize=c[6][1],l.texture_pixelformat=c[6][2]):(l.texture_file=null,l.texture_filesize=0,l.texture_pixelformat=0);l.animations=c[7]?c[7]:null;l.index=
a;l.instances=[];l.deadCache=[];l.solstack=[new cr.selection(l)];l.cur_sol=0;l.default_instance=null;l.default_layerindex=0;l.stale_iids=!0;l.updateIIDs=cr.type_updateIIDs;l.getFirstPicked=cr.type_getFirstPicked;l.getPairedInstance=cr.type_getPairedInstance;l.getCurrentSol=cr.type_getCurrentSol;l.pushCleanSol=cr.type_pushCleanSol;l.pushCopySol=cr.type_pushCopySol;l.popSol=cr.type_popSol;l.getBehaviorByName=cr.type_getBehaviorByName;l.getBehaviorIndexByName=cr.type_getBehaviorIndexByName;l.getEffectIndexByName=
cr.type_getEffectIndexByName;l.applySolToContainer=cr.type_applySolToContainer;l.getInstanceByIID=cr.type_getInstanceByIID;l.collision_grid=new cr.SparseGrid(this.original_width,this.original_height);l.any_cell_changed=!0;l.any_instance_parallaxed=!1;l.extra={};l.toString=cr.type_toString;l.behaviors=[];f=0;for(m=c[8].length;f<m;f++){e=c[8][f];var k=e[1],n=null;g=0;for(h=this.behaviors.length;g<h;g++)if(this.behaviors[g]instanceof k){n=this.behaviors[g];break}if(!n){n=new k(this);n.my_types=[];n.my_instances=
new cr.ObjectSet;if(n.onCreate)n.onCreate();cr.seal(n);this.behaviors.push(n);cr.behaviors.solid&&n instanceof cr.behaviors.solid&&(this.solidBehavior=n);cr.behaviors.jumpthru&&n instanceof cr.behaviors.jumpthru&&(this.jumpthruBehavior=n)}-1===n.my_types.indexOf(l)&&n.my_types.push(l);g=new n.Type(n,l);g.name=e[0];g.sid=e[2];g.onCreate();cr.seal(g);l.behaviors.push(g)}l.global=c[9];l.isOnLoaderLayout=c[10];l.effect_types=[];f=0;for(m=c[12].length;f<m;f++)l.effect_types.push({id:c[12][f][0],name:c[12][f][1],
shaderindex:-1,active:!0,index:f});l.tile_poly_data=c[13];if(!this.uses_loader_layout||l.is_family||l.isOnLoaderLayout||!p.is_world)l.onCreate(),cr.seal(l);l.name&&(this.types[l.name]=l);this.types_by_index.push(l);p.singleglobal&&(f=new p.Instance(l),f.uid=this.next_uid++,f.puid=this.next_puid++,f.iid=0,f.get_iid=cr.inst_get_iid,f.toString=cr.inst_toString,f.properties=c[14],f.onCreate(),cr.seal(f),l.instances.push(f),this.objectsByUid[f.uid.toString()]=f)}a=0;for(d=b[4].length;a<d;a++)for(g=b[4][a],
h=this.types_by_index[g[0]],f=1,m=g.length;f<m;f++)c=this.types_by_index[g[f]],c.families.push(h),h.members.push(c);a=0;for(d=b[23].length;a<d;a++){g=b[23][a];h=[];f=0;for(m=g.length;f<m;f++)h.push(this.types_by_index[g[f]]);f=0;for(m=h.length;f<m;f++)h[f].is_contained=!0,h[f].container=h}if(0<this.family_count)for(a=0,d=this.types_by_index.length;a<d;a++)if(c=this.types_by_index[a],!c.is_family&&c.families.length){c.family_var_map=Array(this.family_count);c.family_beh_map=Array(this.family_count);
c.family_fx_map=Array(this.family_count);l=[];f=n=k=e=0;for(m=c.families.length;f<m;f++)for(p=c.families[f],c.family_var_map[p.family_index]=e,e+=p.vars_count,c.family_beh_map[p.family_index]=k,k+=p.behs_count,c.family_fx_map[p.family_index]=n,n+=p.fx_count,g=0,h=p.effect_types.length;g<h;g++)l.push(cr.shallowCopy({},p.effect_types[g]));c.effect_types=l.concat(c.effect_types);f=0;for(m=c.effect_types.length;f<m;f++)c.effect_types[f].index=f}a=0;for(d=b[5].length;a<d;a++)c=b[5][a],f=new cr.layout(this,
c),cr.seal(f),this.layouts[f.name]=f,this.layouts_by_index.push(f);a=0;for(d=b[6].length;a<d;a++)c=b[6][a],f=new cr.eventsheet(this,c),cr.seal(f),this.eventsheets[f.name]=f,this.eventsheets_by_index.push(f);a=0;for(d=this.eventsheets_by_index.length;a<d;a++)this.eventsheets_by_index[a].postInit();a=0;for(d=this.triggers_to_postinit.length;a<d;a++)this.triggers_to_postinit[a].postInit();this.triggers_to_postinit.length=0;this.files_subfolder=b[7];this.pixel_rounding=b[8];this.aspect_scale=1;this.enableWebGL=
b[12];this.linearSampling=b[13];this.alphaBackground=b[14];this.versionstr=b[15];this.useHighDpi=b[16];this.orientations=b[19];this.autoLockOrientation=0<this.orientations;this.pauseOnBlur=b[21];this.fullscreenScalingQuality=this.wantFullscreenScalingQuality=b[22];this.start_time=Date.now()};a.prototype.findWaitingTexture=function(b){var a,d;a=0;for(d=this.wait_for_textures.length;a<d;a++)if(this.wait_for_textures[a].cr_src===b)return this.wait_for_textures[a];return null};a.prototype.areAllTexturesLoaded=
function(){var b=0,a=0,d=!0,f,m;f=0;for(m=this.wait_for_textures.length;f<m;f++){var g=this.wait_for_textures[f].cr_filesize;if(!g||0>=g)g=5E4;b+=g;this.wait_for_textures[f].complete||this.wait_for_textures[f].loaded?a+=g:d=!1}this.progress=0==b?0:a/b;return d};a.prototype.go=function(){if(this.ctx||this.glwrap){var b=this.ctx||this.overlay_ctx;this.overlay_canvas&&this.positionOverlayCanvas();this.progress=0;this.last_progress=-1;if(this.areAllTexturesLoaded())this.go_textures_done();else{var a=
Date.now()-this.start_time;if(b){var d=this.width,f=this.height,m=this.devicePixelRatio;this.overlay_canvas&&(d=this.cssWidth,f=this.cssHeight,m=1);if(3!==this.loaderstyle&&500<=a&&this.last_progress!=this.progress){b.clearRect(0,0,d,f);var a=d/2,f=f/2,d=0===this.loaderstyle&&this.loaderlogo.complete,g=40*m,h=0,c=80*m,e;d&&(c=this.loaderlogo.width*m,e=this.loaderlogo.height*m,g=c/2,h=e/2,b.drawImage(this.loaderlogo,cr.floor(a-g),cr.floor(f-h),c,e));1>=this.loaderstyle?(f+=h+(d?12*m:0),a=cr.floor(a-
g)+0.5,f=cr.floor(f)+0.5,b.fillStyle="DodgerBlue",b.fillRect(a,f,Math.floor(c*this.progress),6*m),b.strokeStyle="black",b.strokeRect(a,f,c,6*m),b.strokeStyle="white",b.strokeRect(a-1*m,f-1*m,c+2*m,8*m)):2===this.loaderstyle&&(b.font="12pt Arial",b.fillStyle="#999",b.textBaseLine="middle",m=Math.round(100*this.progress)+"%",d=b.measureText?b.measureText(m):null,b.fillText(m,a-(d?d.width:0)/2,f))}this.last_progress=this.progress}setTimeout(function(b){return function(){b.go()}}(this),100)}}};a.prototype.go_textures_done=
function(){this.overlay_canvas&&(this.canvas.parentNode.removeChild(this.overlay_canvas),this.overlay_canvas=this.overlay_ctx=null);this.start_time=Date.now();this.last_fps_time=cr.performance_now();var b,a,d;if(this.uses_loader_layout)for(b=0,a=this.types_by_index.length;b<a;b++)d=this.types_by_index[b],d.is_family||d.isOnLoaderLayout||!d.plugin.is_world||(d.onCreate(),cr.seal(d));else this.isloading=!1;b=0;for(a=this.layouts_by_index.length;b<a;b++)this.layouts_by_index[b].createGlobalNonWorlds();
2<=this.fullscreen_mode&&(b=this.original_width/this.original_height,a=this.width/this.height,this.aspect_scale=2!==this.fullscreen_mode&&a>b||2===this.fullscreen_mode&&a<b?this.height/this.original_height:this.width/this.original_width);this.first_layout?this.layouts[this.first_layout].startRunning():this.layouts_by_index[0].startRunning();this.uses_loader_layout||(this.loadingprogress=1,this.trigger(cr.system_object.prototype.cnds.OnLoadFinished,null));navigator.splashscreen&&navigator.splashscreen.hide&&
navigator.splashscreen.hide();b=0;for(a=this.types_by_index.length;b<a;b++)if(d=this.types_by_index[b],d.onAppBegin)d.onAppBegin();this.tick();this.isDirectCanvas&&AppMobi.webview.execute("onGameReady();")};var n=window.requestAnimationFrame||window.mozRequestAnimationFrame||window.webkitRequestAnimationFrame||window.msRequestAnimationFrame||window.oRequestAnimationFrame;a.prototype.tick=function(){if(this.running_layout){var b=cr.performance_now();if(this.halfFramerateMode&&this.ranLastRaf&&29>b-
this.lastRafTime)this.ranLastRaf=!1,this.lastRafTime=b,n?this.raf_id=n(this.tickFunc,this.canvas):this.timeout_id=setTimeout(this.tickFunc,this.isMobile?1:16);else{this.ranLastRaf=!0;this.lastRafTime=b;var a=this.fullscreen_mode,d=document.mozFullScreen||document.webkitIsFullScreen||document.fullScreen||!!document.msFullscreenElement;(d||this.isNodeFullscreen)&&0<this.fullscreen_scaling&&(a=this.fullscreen_scaling);if(0<a&&(!this.isiPhone||window.self!==window.top)){var a=window.innerWidth,f=window.innerHeight;
this.lastWindowWidth===a&&this.lastWindowHeight===f||this.setSize(a,f)}this.isDomFree||(d?(this.firstInFullscreen||(this.fullscreenOldMarginCss=jQuery(this.canvas).css("margin")||"0",this.firstInFullscreen=!0),this.isChrome||this.isNodeWebkit||jQuery(this.canvas).css({"margin-left":""+Math.floor((screen.width-this.width/this.devicePixelRatio)/2)+"px","margin-top":""+Math.floor((screen.height-this.height/this.devicePixelRatio)/2)+"px"})):this.firstInFullscreen?(this.isChrome||this.isNodeWebkit||jQuery(this.canvas).css("margin",
this.fullscreenOldMarginCss),this.fullscreenOldMarginCss="",this.firstInFullscreen=!1,0===this.fullscreen_mode&&this.setSize(Math.round(this.oldWidth/this.devicePixelRatio),Math.round(this.oldHeight/this.devicePixelRatio),!0)):(this.oldWidth=this.width,this.oldHeight=this.height));this.isloading&&(d=this.areAllTexturesLoaded(),this.loadingprogress=this.progress,d&&(this.isloading=!1,this.progress=1,this.trigger(cr.system_object.prototype.cnds.OnLoadFinished,null)));this.logic();!this.redraw&&!this.isCocoonJs||
this.is_WebGL_context_lost||this.suspendDrawing||(this.redraw=!1,this.glwrap?this.drawGL():this.draw(),this.snapshotCanvas&&(this.canvas&&this.canvas.toDataURL&&(this.snapshotData=this.canvas.toDataURL(this.snapshotCanvas[0],this.snapshotCanvas[1]),this.trigger(cr.system_object.prototype.cnds.OnCanvasSnapshot,null)),this.snapshotCanvas=null));this.hit_breakpoint||(this.tickcount++,this.execcount++,this.framecount++);this.logictime+=cr.performance_now()-b;this.isSuspended||(n?this.raf_id=n(this.tickFunc,
this.canvas):this.timeout_id=setTimeout(this.tickFunc,this.isMobile?1:16))}}};a.prototype.logic=function(){var b,a,d,f,m,g,h,c,e;b=cr.performance_now();1E3<=b-this.last_fps_time&&(this.last_fps_time+=1E3,this.fps=this.framecount,this.framecount=0,this.cpuutilisation=this.logictime,this.logictime=0);this.measuring_dt&&(0!==this.last_tick_time&&(a=b-this.last_tick_time,0!==a||this.isDebug?(this.dt1=a/1E3,0.5<this.dt1?this.dt1=0:0.1<this.dt1&&(this.dt1=0.1)):(this.zeroDtCount++,10<=this.zeroDtCout&&
(this.measuring_dt=!1),this.dt1=1/60)),this.last_tick_time=b);this.dt=this.dt1*this.timescale;this.kahanTime.add(this.dt);b=document.mozFullScreen||document.webkitIsFullScreen||document.fullScreen||!!document.msFullscreenElement||this.isNodeFullscreen;2<=this.fullscreen_mode||b&&0<this.fullscreen_scaling?(a=this.original_width/this.original_height,d=this.width/this.height,f=this.fullscreen_mode,b&&0<this.fullscreen_scaling&&(f=this.fullscreen_scaling),this.aspect_scale=2!==f&&d>a||2===f&&d<a?this.height/
this.original_height:this.width/this.original_width,this.running_layout&&(this.running_layout.scrollToX(this.running_layout.scrollX),this.running_layout.scrollToY(this.running_layout.scrollY))):this.aspect_scale=this.isRetina?this.devicePixelRatio:1;this.ClearDeathRow();this.isInOnDestroy++;this.system.runWaits();this.isInOnDestroy--;this.ClearDeathRow();this.isInOnDestroy++;b=0;for(a=this.types_by_index.length;b<a;b++)if(h=this.types_by_index[b],!h.is_family&&(h.behaviors.length||h.families.length))for(d=
0,f=h.instances.length;d<f;d++)for(c=h.instances[d],m=0,g=c.behavior_insts.length;m<g;m++)c.behavior_insts[m].tick();b=0;for(a=this.types_by_index.length;b<a;b++)if(h=this.types_by_index[b],!h.is_family&&(h.behaviors.length||h.families.length))for(d=0,f=h.instances.length;d<f;d++)for(c=h.instances[d],m=0,g=c.behavior_insts.length;m<g;m++)e=c.behavior_insts[m],e.posttick&&e.posttick();d=this.objects_to_tick.valuesRef();b=0;for(a=d.length;b<a;b++)d[b].tick();this.isInOnDestroy--;this.handleSaveLoad();
for(b=0;this.changelayout&&10>b++;)this.doChangeLayout(this.changelayout);b=0;for(a=this.eventsheets_by_index.length;b<a;b++)this.eventsheets_by_index[b].hasRun=!1;this.running_layout.event_sheet&&this.running_layout.event_sheet.run();this.registered_collisions.length=0;this.layout_first_tick=!1;this.isInOnDestroy++;b=0;for(a=this.types_by_index.length;b<a;b++)if(h=this.types_by_index[b],!h.is_family&&(h.behaviors.length||h.families.length))for(d=0,f=h.instances.length;d<f;d++)for(c=h.instances[d],
m=0,g=c.behavior_insts.length;m<g;m++)e=c.behavior_insts[m],e.tick2&&e.tick2();d=this.objects_to_tick2.valuesRef();b=0;for(a=d.length;b<a;b++)d[b].tick2();this.isInOnDestroy--};a.prototype.doChangeLayout=function(b){var a=this.running_layout;this.running_layout.stopRunning();var d,f,m,g,h,c,e;if(this.glwrap)for(d=0,f=this.types_by_index.length;d<f;d++)h=this.types_by_index[d],h.is_family||!h.unloadTextures||h.global&&0!==h.instances.length||-1!==b.initial_types.indexOf(h)||h.unloadTextures();a==b&&
(this.system.waits.length=0);b.startRunning();d=0;for(f=this.types_by_index.length;d<f;d++)if(h=this.types_by_index[d],h.global||h.plugin.singleglobal)for(b=0,a=h.instances.length;b<a;b++){c=h.instances[b];if(c.onLayoutChange)c.onLayoutChange();if(c.behavior_insts)for(m=0,g=c.behavior_insts.length;m<g;m++)if(e=c.behavior_insts[m],e.onLayoutChange)e.onLayoutChange()}this.layout_first_tick=this.redraw=!0;this.ClearDeathRow()};a.prototype.tickMe=function(b){this.objects_to_tick.add(b)};a.prototype.untickMe=
function(b){this.objects_to_tick.remove(b)};a.prototype.tick2Me=function(b){this.objects_to_tick2.add(b)};a.prototype.untick2Me=function(b){this.objects_to_tick2.remove(b)};a.prototype.getDt=function(b){return b&&-1!==b.my_timescale?this.dt1*b.my_timescale:this.dt};a.prototype.draw=function(){this.running_layout.draw(this.ctx);this.isDirectCanvas&&this.ctx.present()};a.prototype.drawGL=function(){this.running_layout.drawGL(this.glwrap);this.glwrap.present()};a.prototype.addDestroyCallback=function(b){b&&
this.destroycallbacks.push(b)};a.prototype.removeDestroyCallback=function(b){cr.arrayFindRemove(this.destroycallbacks,b)};a.prototype.getObjectByUID=function(b){return this.objectsByUid[b.toString()]};a.prototype.DestroyInstance=function(b){var a,d;if(!this.deathRow.contains(b)){this.deathRow.add(b);if(b.is_contained)for(a=0,d=b.siblings.length;a<d;a++)this.DestroyInstance(b.siblings[a]);this.isInClearDeathRow&&this.deathRow.values_cache.push(b);this.isInOnDestroy++;this.trigger(Object.getPrototypeOf(b.type.plugin).cnds.OnDestroyed,
b);this.isInOnDestroy--}};a.prototype.ClearDeathRow=function(){var b,a,d,f,m,g,h,c,e,l;this.isInClearDeathRow=!0;f=0;for(g=this.createRow.length;f<g;f++)for(b=this.createRow[f],a=b.type,a.instances.push(b),m=0,h=a.families.length;m<h;m++)a.families[m].instances.push(b),a.families[m].stale_iids=!0;this.createRow.length=0;g=this.deathRow.valuesRef();for(f=0;f<g.length;f++){b=g[f];a=b.type;d=a.instances;m=0;for(h=this.destroycallbacks.length;m<h;m++)this.destroycallbacks[m](b);cr.arrayFindRemove(d,b);
0===d.length&&(a.any_instance_parallaxed=!1);b.collcells&&a.collision_grid.update(b,b.collcells,null);b.layer&&(cr.arrayRemove(b.layer.instances,b.get_zindex()),b.layer.zindices_stale=!0);m=0;for(h=a.families.length;m<h;m++)cr.arrayFindRemove(a.families[m].instances,b),a.families[m].stale_iids=!0;if(b.behavior_insts)for(m=0,h=b.behavior_insts.length;m<h;m++){d=b.behavior_insts[m];if(d.onDestroy)d.onDestroy();d.behavior.my_instances.remove(b)}this.objects_to_tick.remove(b);this.objects_to_tick2.remove(b);
m=0;for(h=this.system.waits.length;m<h;m++)if(e=this.system.waits[m],e.sols.hasOwnProperty(a.index)&&cr.arrayFindRemove(e.sols[a.index].insts,b),!a.is_family)for(d=0,c=a.families.length;d<c;d++)l=a.families[d],e.sols.hasOwnProperty(l.index)&&cr.arrayFindRemove(e.sols[l.index].insts,b);if(b.onDestroy)b.onDestroy();this.objectsByUid.hasOwnProperty(b.uid.toString())&&delete this.objectsByUid[b.uid.toString()];this.objectcount--;64>a.deadCache.length&&a.deadCache.push(b);a.stale_iids=!0}this.deathRow.isEmpty()||
(this.redraw=!0);this.deathRow.clear();this.isInClearDeathRow=!1};a.prototype.createInstance=function(b,a,d,f){if(b.is_family){var m=cr.floor(Math.random()*b.members.length);return this.createInstance(b.members[m],a,d,f)}return b.default_instance?this.createInstanceFromInit(b.default_instance,a,!1,d,f,!1):null};var d=[];a.prototype.createInstanceFromInit=function(b,a,f,g,m,h){var c,e,l,p;if(!b)return null;var k=this.types_by_index[b[1]],n=k.plugin.is_world;if(this.isloading&&n&&!k.isOnLoaderLayout||
n&&!this.glwrap&&11===b[0][11])return null;var t=a;n||(a=null);var r;k.deadCache.length?(r=k.deadCache.pop(),r.recycled=!0,k.plugin.Instance.call(r,k)):(r=new k.plugin.Instance(k),r.recycled=!1);r.uid=f&&!h?b[2]:this.next_uid++;this.objectsByUid[r.uid.toString()]=r;r.puid=this.next_puid++;r.iid=k.instances.length;c=0;for(e=this.createRow.length;c<e;++c)this.createRow[c].type===k&&r.iid++;r.get_iid=cr.inst_get_iid;l=b[3];if(r.recycled)cr.wipe(r.extra);else{r.extra={};if("undefined"!==typeof cr_is_preview)for(r.instance_var_names=
[],r.instance_var_names.length=l.length,c=0,e=l.length;c<e;c++)r.instance_var_names[c]=l[c][1];r.instance_vars=[];r.instance_vars.length=l.length}c=0;for(e=l.length;c<e;c++)r.instance_vars[c]=l[c][0];if(n){var s=b[0];r.x=cr.is_undefined(g)?s[0]:g;r.y=cr.is_undefined(m)?s[1]:m;r.z=s[2];r.width=s[3];r.height=s[4];r.depth=s[5];r.angle=s[6];r.opacity=s[7];r.hotspotX=s[8];r.hotspotY=s[9];r.blend_mode=s[10];c=s[11];!this.glwrap&&k.effect_types.length&&(r.blend_mode=c);r.compositeOp=cr.effectToCompositeOp(r.blend_mode);
this.gl&&cr.setGLBlend(r,r.blend_mode,this.gl);if(r.recycled){c=0;for(e=s[12].length;c<e;c++)for(l=0,p=s[12][c].length;l<p;l++)r.effect_params[c][l]=s[12][c][l];r.bbox.set(0,0,0,0);r.collcells.set(0,0,-1,-1);r.bquad.set_from_rect(r.bbox);r.bbox_changed_callbacks.length=0}else{r.effect_params=s[12].slice(0);c=0;for(e=r.effect_params.length;c<e;c++)r.effect_params[c]=s[12][c].slice(0);r.active_effect_types=[];r.active_effect_flags=[];r.active_effect_flags.length=k.effect_types.length;r.bbox=new cr.rect(0,
0,0,0);r.collcells=new cr.rect(0,0,-1,-1);r.bquad=new cr.quad;r.bbox_changed_callbacks=[];r.set_bbox_changed=cr.set_bbox_changed;r.add_bbox_changed_callback=cr.add_bbox_changed_callback;r.contains_pt=cr.inst_contains_pt;r.update_bbox=cr.update_bbox;r.update_collision_cell=cr.update_collision_cell;r.get_zindex=cr.inst_get_zindex}r.tilemap_exists=!1;r.tilemap_width=0;r.tilemap_height=0;r.tilemap_data=null;14===s.length&&(r.tilemap_exists=!0,r.tilemap_width=s[13][0],r.tilemap_height=s[13][1],r.tilemap_data=
s[13][2]);c=0;for(e=k.effect_types.length;c<e;c++)r.active_effect_flags[c]=!0;r.updateActiveEffects=cr.inst_updateActiveEffects;r.updateActiveEffects();r.uses_shaders=!!r.active_effect_types.length;r.bbox_changed=!0;r.cell_changed=!0;k.any_cell_changed=!0;r.visible=!0;r.my_timescale=-1;r.layer=a;r.zindex=a.instances.length;"undefined"===typeof r.collision_poly&&(r.collision_poly=null);this.redraw=r.collisionsEnabled=!0}r.toString=cr.inst_toString;var w;c=d.length=0;for(e=k.families.length;c<e;c++)d.push.apply(d,
k.families[c].behaviors);d.push.apply(d,k.behaviors);if(r.recycled)for(c=0,e=d.length;c<e;c++){var R=d[c];w=r.behavior_insts[c];w.recycled=!0;R.behavior.Instance.call(w,R,r);s=b[4][c];l=0;for(p=s.length;l<p;l++)w.properties[l]=s[l];w.onCreate();R.behavior.my_instances.add(r)}else for(r.behavior_insts=[],c=0,e=d.length;c<e;c++)R=d[c],w=new R.behavior.Instance(R,r),w.recycled=!1,w.properties=b[4][c].slice(0),w.onCreate(),cr.seal(w),r.behavior_insts.push(w),R.behavior.my_instances.add(r);s=b[5];if(r.recycled)for(c=
0,e=s.length;c<e;c++)r.properties[c]=s[c];else r.properties=s.slice(0);this.createRow.push(r);a&&(a.instances.push(r),1!==a.parallaxX||1!==a.parallaxY)&&(k.any_instance_parallaxed=!0);this.objectcount++;if(k.is_contained){if(r.is_contained=!0,r.recycled?r.siblings.length=0:r.siblings=[],!f&&!h){c=0;for(e=k.container.length;c<e;c++)if(k.container[c]!==k){if(!k.container[c].default_instance)return null;r.siblings.push(this.createInstanceFromInit(k.container[c].default_instance,t,!1,n?r.x:g,n?r.y:m,
!0))}c=0;for(e=r.siblings.length;c<e;c++)for(r.siblings[c].siblings.push(r),l=0;l<e;l++)c!==l&&r.siblings[c].siblings.push(r.siblings[l])}}else r.is_contained=!1,r.siblings=null;r.onCreate();r.recycled||cr.seal(r);c=0;for(e=r.behavior_insts.length;c<e;c++)r.behavior_insts[c].postCreate&&r.behavior_insts[c].postCreate();return r};a.prototype.getLayerByName=function(b){var a,d;a=0;for(d=this.running_layout.layers.length;a<d;a++){var f=this.running_layout.layers[a];if(cr.equals_nocase(f.name,b))return f}return null};
a.prototype.getLayerByNumber=function(b){b=cr.floor(b);0>b&&(b=0);b>=this.running_layout.layers.length&&(b=this.running_layout.layers.length-1);return this.running_layout.layers[b]};a.prototype.getLayer=function(b){return cr.is_number(b)?this.getLayerByNumber(b):this.getLayerByName(b.toString())};a.prototype.clearSol=function(b){var a,d;a=0;for(d=b.length;a<d;a++)b[a].getCurrentSol().select_all=!0};a.prototype.pushCleanSol=function(b){var a,d;a=0;for(d=b.length;a<d;a++)b[a].pushCleanSol()};a.prototype.pushCopySol=
function(b){var a,d;a=0;for(d=b.length;a<d;a++)b[a].pushCopySol()};a.prototype.popSol=function(b){var a,d;a=0;for(d=b.length;a<d;a++)b[a].popSol()};a.prototype.updateAllCells=function(b){if(b.any_cell_changed){var a,d,f=b.instances;a=0;for(d=f.length;a<d;++a)f[a].update_collision_cell();f=this.createRow;a=0;for(d=f.length;a<d;++a)f[a].type===b&&f[a].update_collision_cell();b.any_cell_changed=!1}};a.prototype.getCollisionCandidates=function(b,a,d,f){var m,g,h=b?1!==b.parallaxX||1!==b.parallaxY:!1;
if(a.is_family)for(b=0,m=a.members.length;b<m;++b)g=a.members[b],h||g.any_instance_parallaxed?cr.appendArray(f,g.instances):(this.updateAllCells(g),g.collision_grid.queryRange(d,f));else h||a.any_instance_parallaxed?cr.appendArray(f,a.instances):(this.updateAllCells(a),a.collision_grid.queryRange(d,f))};a.prototype.getTypesCollisionCandidates=function(b,a,d,f){var m,g;m=0;for(g=a.length;m<g;++m)this.getCollisionCandidates(b,a[m],d,f)};a.prototype.getSolidCollisionCandidates=function(b,a,d){var f=
this.getSolidBehavior();if(!f)return null;this.getTypesCollisionCandidates(b,f.my_types,a,d)};a.prototype.getJumpthruCollisionCandidates=function(b,a,d){var f=this.getJumpthruBehavior();if(!f)return null;this.getTypesCollisionCandidates(b,f.my_types,a,d)};a.prototype.testAndSelectCanvasPointOverlap=function(b,a,d,f){var m=b.getCurrentSol(),g,h,c,e,l,p;if(m.select_all)for(f||(m.select_all=!1,m.instances.length=0),g=0,e=b.instances.length;g<e;g++){if(c=b.instances[g],c.update_bbox(),l=c.layer.canvasToLayer(a,
d,!0),p=c.layer.canvasToLayer(a,d,!1),c.contains_pt(l,p)){if(f)return!1;m.instances.push(c)}}else{g=h=0;for(e=m.instances.length;g<e;g++)if(c=m.instances[g],c.update_bbox(),l=c.layer.canvasToLayer(a,d,!0),p=c.layer.canvasToLayer(a,d,!1),c.contains_pt(l,p)){if(f)return!1;m.instances[h]=m.instances[g];h++}f||(m.instances.length=h)}b.applySolToContainer();return f?!0:m.hasObjects()};a.prototype.testOverlap=function(b,a){if(!(b&&a&&b!==a&&b.collisionsEnabled&&a.collisionsEnabled))return!1;b.update_bbox();
a.update_bbox();var d=b.layer,f=a.layer,m,g,h,c,e,l,p,k;if(d===f||d.parallaxX===f.parallaxX&&f.parallaxY===f.parallaxY&&d.scale===f.scale&&d.angle===f.angle&&d.zoomRate===f.zoomRate){if(!b.bbox.intersects_rect(a.bbox)||!b.bquad.intersects_quad(a.bquad)||b.tilemap_exists&&a.tilemap_exists)return!1;if(b.tilemap_exists)return this.testTilemapOverlap(b,a);if(a.tilemap_exists)return this.testTilemapOverlap(a,b);p=b.collision_poly&&!b.collision_poly.is_empty();m=a.collision_poly&&!a.collision_poly.is_empty();
if(!p&&!m)return!0;p?(b.collision_poly.cache_poly(b.width,b.height,b.angle),p=b.collision_poly):(this.temp_poly.set_from_quad(b.bquad,b.x,b.y,b.width,b.height),p=this.temp_poly);m?(a.collision_poly.cache_poly(a.width,a.height,a.angle),k=a.collision_poly):(this.temp_poly.set_from_quad(a.bquad,a.x,a.y,a.width,a.height),k=this.temp_poly);return p.intersects_poly(k,a.x-b.x,a.y-b.y)}p=b.collision_poly&&!b.collision_poly.is_empty();m=a.collision_poly&&!a.collision_poly.is_empty();p?(b.collision_poly.cache_poly(b.width,
b.height,b.angle),this.temp_poly.set_from_poly(b.collision_poly)):this.temp_poly.set_from_quad(b.bquad,b.x,b.y,b.width,b.height);p=this.temp_poly;m?(a.collision_poly.cache_poly(a.width,a.height,a.angle),this.temp_poly2.set_from_poly(a.collision_poly)):this.temp_poly2.set_from_quad(a.bquad,a.x,a.y,a.width,a.height);k=this.temp_poly2;m=0;for(g=p.pts_count;m<g;m++)h=2*m,c=h+1,e=p.pts_cache[h],l=p.pts_cache[c],p.pts_cache[h]=d.layerToCanvas(e+b.x,l+b.y,!0),p.pts_cache[c]=d.layerToCanvas(e+b.x,l+b.y,!1);
p.update_bbox();m=0;for(g=k.pts_count;m<g;m++)h=2*m,c=h+1,e=k.pts_cache[h],l=k.pts_cache[c],k.pts_cache[h]=f.layerToCanvas(e+a.x,l+a.y,!0),k.pts_cache[c]=f.layerToCanvas(e+a.x,l+a.y,!1);k.update_bbox();return p.intersects_poly(k,0,0)};var h=new cr.quad,f=new cr.rect(0,0,0,0),p=[];a.prototype.testTilemapOverlap=function(b,a){var d,f,m,g,c=a.bbox,e=b.x,l=b.y;b.getCollisionRectCandidates(c,p);var k=a.collision_poly&&!a.collision_poly.is_empty();d=0;for(f=p.length;d<f;++d)if(m=p[d],g=m.rc,c.intersects_rect_off(g,
e,l)&&(h.set_from_rect(g),h.offset(e,l),h.intersects_quad(a.bquad)))if(k)if(a.collision_poly.cache_poly(a.width,a.height,a.angle),m.poly){if(m.poly.intersects_poly(a.collision_poly,a.x-(e+g.left),a.y-(l+g.top)))return p.length=0,!0}else{if(this.temp_poly.set_from_quad(h,0,0,g.right-g.left,g.bottom-g.top),this.temp_poly.intersects_poly(a.collision_poly,a.x,a.y))return p.length=0,!0}else if(m.poly){if(this.temp_poly.set_from_quad(a.bquad,0,0,a.width,a.height),m.poly.intersects_poly(this.temp_poly,-(e+
g.left),-(l+g.top)))return p.length=0,!0}else return p.length=0,!0;p.length=0;return!1};a.prototype.testRectOverlap=function(b,a){if(!a||!a.collisionsEnabled)return!1;a.update_bbox();if(!a.bbox.intersects_rect(b))return!1;if(a.tilemap_exists){a.getCollisionRectCandidates(b,p);var d,f,m,g,c=a.x,e=a.y;d=0;for(f=p.length;d<f;++d)if(m=p[d],g=m.rc,b.intersects_rect_off(g,c,e))if(m.poly){if(this.temp_poly.set_from_rect(b,0,0),m.poly.intersects_poly(this.temp_poly,-(c+g.left),-(e+g.top)))return p.length=
0,!0}else return p.length=0,!0;p.length=0;return!1}h.set_from_rect(b);if(!a.bquad.intersects_quad(h))return!1;if(!a.collision_poly||a.collision_poly.is_empty())return!0;a.collision_poly.cache_poly(a.width,a.height,a.angle);h.offset(-b.left,-b.top);this.temp_poly.set_from_quad(h,0,0,1,1);return a.collision_poly.intersects_poly(this.temp_poly,b.left-a.x,b.top-a.y)};a.prototype.testSegmentOverlap=function(b,a,d,g,m){if(!m||!m.collisionsEnabled)return!1;m.update_bbox();f.set(cr.min(b,d),cr.min(a,g),cr.max(b,
d),cr.max(a,g));if(!m.bbox.intersects_rect(f))return!1;if(m.tilemap_exists){m.getCollisionRectCandidates(f,p);var c,e,l,k=m.x,n=m.y;m=0;for(c=p.length;m<c;++m)if(e=p[m],l=e.rc,f.intersects_rect_off(l,k,n)&&(h.set_from_rect(l),h.offset(k,n),h.intersects_segment(b,a,d,g)))if(e.poly){if(e.poly.intersects_segment(k+l.left,n+l.top,b,a,d,g))return p.length=0,!0}else return p.length=0,!0;p.length=0;return!1}if(!m.bquad.intersects_segment(b,a,d,g))return!1;if(!m.collision_poly||m.collision_poly.is_empty())return!0;
m.collision_poly.cache_poly(m.width,m.height,m.angle);return m.collision_poly.intersects_segment(m.x,m.y,b,a,d,g)};a.prototype.typeHasBehavior=function(b,a){if(!a)return!1;var d,f,m,g,h;d=0;for(f=b.behaviors.length;d<f;d++)if(b.behaviors[d].behavior instanceof a)return!0;if(!b.is_family)for(d=0,f=b.families.length;d<f;d++)for(h=b.families[d],m=0,g=h.behaviors.length;m<g;m++)if(h.behaviors[m].behavior instanceof a)return!0;return!1};a.prototype.typeHasNoSaveBehavior=function(b){return this.typeHasBehavior(b,
cr.behaviors.NoSave)};a.prototype.typeHasPersistBehavior=function(b){return this.typeHasBehavior(b,cr.behaviors.Persist)};a.prototype.getSolidBehavior=function(){return this.solidBehavior};a.prototype.getJumpthruBehavior=function(){return this.jumpthruBehavior};var r=[];a.prototype.testOverlapSolid=function(b){var a,d,f;b.update_bbox();this.getSolidCollisionCandidates(b.layer,b.bbox,r);a=0;for(d=r.length;a<d;++a)if(f=r[a],f.extra.solidEnabled&&this.testOverlap(b,f))return r.length=0,f;r.length=0;
return null};a.prototype.testRectOverlapSolid=function(b){var a,d,f;this.getSolidCollisionCandidates(null,b,r);a=0;for(d=r.length;a<d;++a)if(f=r[a],f.extra.solidEnabled&&this.testRectOverlap(b,f))return r.length=0,f;r.length=0;return null};var t=[];a.prototype.testOverlapJumpThru=function(b,a){var d=null;a&&(d=t,d.length=0);b.update_bbox();this.getJumpthruCollisionCandidates(b.layer,b.bbox,r);var f,m,g;f=0;for(m=r.length;f<m;++f)if(g=r[f],g.extra.jumpthruEnabled&&this.testOverlap(b,g))if(a)d.push(g);
else return r.length=0,g;r.length=0;return d};a.prototype.pushOutSolid=function(b,a,d,f,m,g){f=f||50;var h=b.x,c=b.y,e,l=null,p=null;for(e=0;e<f;e++)if(b.x=h+a*e,b.y=c+d*e,b.set_bbox_changed(),!this.testOverlap(b,l)&&((l=this.testOverlapSolid(b))&&(p=l),!l&&(m&&(l=g?this.testOverlap(b,g)?g:null:this.testOverlapJumpThru(b))&&(p=l),!l)))return p&&this.pushInFractional(b,a,d,p,16),!0;b.x=h;b.y=c;b.set_bbox_changed();return!1};a.prototype.pushOut=function(b,a,d,f,m){f=f||50;var g=b.x,h=b.y,c;for(c=0;c<
f;c++)if(b.x=g+a*c,b.y=h+d*c,b.set_bbox_changed(),!this.testOverlap(b,m))return!0;b.x=g;b.y=h;b.set_bbox_changed();return!1};a.prototype.pushInFractional=function(b,a,d,f,m){var g=2,h,c=!1;h=!1;for(var e=b.x,l=b.y;g<=m;)h=1/g,g*=2,b.x+=a*h*(c?1:-1),b.y+=d*h*(c?1:-1),b.set_bbox_changed(),this.testOverlap(b,f)?h=c=!0:(h=c=!1,e=b.x,l=b.y);h&&(b.x=e,b.y=l,b.set_bbox_changed())};a.prototype.pushOutSolidNearest=function(b,a){var d=cr.is_undefined(a)?100:a,f=0,m=b.x,g=b.y,h=0,c=0,e=0,l=this.testOverlapSolid(b);
if(!l)return!0;for(;f<=d;){switch(h){case 0:c=0;e=-1;f++;break;case 1:c=1;e=-1;break;case 2:c=1;e=0;break;case 3:e=c=1;break;case 4:c=0;e=1;break;case 5:c=-1;e=1;break;case 6:c=-1;e=0;break;case 7:e=c=-1}h=(h+1)%8;b.x=cr.floor(m+c*f);b.y=cr.floor(g+e*f);b.set_bbox_changed();if(!this.testOverlap(b,l)&&(l=this.testOverlapSolid(b),!l))return!0}b.x=m;b.y=g;b.set_bbox_changed();return!1};a.prototype.registerCollision=function(b,a){b.collisionsEnabled&&a.collisionsEnabled&&this.registered_collisions.push([b,
a])};a.prototype.checkRegisteredCollision=function(b,a){var d,f,m;d=0;for(f=this.registered_collisions.length;d<f;d++)if(m=this.registered_collisions[d],m[0]==b&&m[1]==a||m[0]==a&&m[1]==b)return!0;return!1};a.prototype.calculateSolidBounceAngle=function(b,a,d,f){var m=b.x,g=b.y,h=cr.max(10,cr.distanceTo(a,d,m,g)),c=cr.angleTo(a,d,m,g),e=f||this.testOverlapSolid(b);if(!e)return cr.clamp_angle(c+cr.PI);var l=e,p,k,n,r,t=cr.to_radians(5);for(p=1;36>p;p++)if(k=c-p*t,b.x=a+Math.cos(k)*h,b.y=d+Math.sin(k)*
h,b.set_bbox_changed(),!this.testOverlap(b,l)&&(l=f?null:this.testOverlapSolid(b),!l)){n=k;break}36===p&&(n=cr.clamp_angle(c+cr.PI));l=e;for(p=1;36>p;p++)if(k=c+p*t,b.x=a+Math.cos(k)*h,b.y=d+Math.sin(k)*h,b.set_bbox_changed(),!this.testOverlap(b,l)&&(l=f?null:this.testOverlapSolid(b),!l)){r=k;break}36===p&&(r=cr.clamp_angle(c+cr.PI));b.x=m;b.y=g;b.set_bbox_changed();if(r===n)return r;b=cr.angleDiff(r,n)/2;b=cr.angleClockwise(r,n)?cr.clamp_angle(n+b+cr.PI):cr.clamp_angle(r+b);n=Math.cos(c);c=Math.sin(c);
r=Math.cos(b);b=Math.sin(b);a=n*r+c*b;return cr.angleTo(0,0,n-2*a*r,c-2*a*b)};var s=[],w=-1;a.prototype.trigger=function(b,a,d){if(!this.running_layout)return!1;var f=this.running_layout.event_sheet;if(!f)return!1;w++;w===s.length?s.push(new cr.ObjectSet):s[w].clear();b=this.triggerOnSheet(b,a,f,d);w--;return b};a.prototype.triggerOnSheet=function(b,a,d,f){var m=s[w];if(m.contains(d))return!1;m.add(d);var m=d.includes.valuesRef(),g=!1,h,c,e;h=0;for(c=m.length;h<c;h++)m[h].isActive()&&(e=this.triggerOnSheet(b,
a,m[h].include_sheet,f),g=g||e);if(a)for(e=this.triggerOnSheetForTypeName(b,a,a.type.name,d,f),g=g||e,h=0,c=a.type.families.length;h<c;h++)e=this.triggerOnSheetForTypeName(b,a,a.type.families[h].name,d,f),g=g||e;else e=this.triggerOnSheetForTypeName(b,a,"system",d,f),g=g||e;return g};a.prototype.triggerOnSheetForTypeName=function(b,a,d,f,g){var h,c=!1,e=!1,e="undefined"!==typeof g,l=(e?f.fasttriggers:f.triggers)[d];if(!l)return c;var p=null;f=0;for(h=l.length;f<h;f++)if(l[f].method==b){p=l[f].evs;
break}if(!p)return c;b=e?p[g]:p;if(!b)return null;f=0;for(h=b.length;f<h;f++)g=b[f][0],e=b[f][1],e=this.executeSingleTrigger(a,d,g,e),c=c||e;return c};a.prototype.executeSingleTrigger=function(b,a,d,f){var g,h,c=!1;this.trigger_depth++;var e=this.getCurrentEventStack().current_event;e&&this.pushCleanSol(e.solModifiersIncludingParents);var l=1<this.trigger_depth;this.pushCleanSol(d.solModifiersIncludingParents);l&&this.pushLocalVarStack();var p=this.pushEventStack(d);p.current_event=d;b&&(g=this.types[a].getCurrentSol(),
g.select_all=!1,g.instances.length=1,g.instances[0]=b,this.types[a].applySolToContainer());b=!0;if(d.parent){a=p.temp_parents_arr;for(g=d.parent;g;)a.push(g),g=g.parent;a.reverse();g=0;for(h=a.length;g<h;g++)if(!a[g].run_pretrigger()){b=!1;break}}b&&(this.execcount++,d.orblock?d.run_orblocktrigger(f):d.run(),c=c||p.last_event_true);this.popEventStack();l&&this.popLocalVarStack();this.popSol(d.solModifiersIncludingParents);e&&this.popSol(e.solModifiersIncludingParents);0!==this.isInOnDestroy||0!==
w||this.isRunningEvents||this.deathRow.isEmpty()&&!this.createRow.length||this.ClearDeathRow();this.trigger_depth--;return c};a.prototype.getCurrentCondition=function(){var b=this.getCurrentEventStack();return b.current_event.conditions[b.cndindex]};a.prototype.getCurrentAction=function(){var b=this.getCurrentEventStack();return b.current_event.actions[b.actindex]};a.prototype.pushLocalVarStack=function(){this.localvar_stack_index++;this.localvar_stack_index>=this.localvar_stack.length&&this.localvar_stack.push([])};
a.prototype.popLocalVarStack=function(){this.localvar_stack_index--};a.prototype.getCurrentLocalVarStack=function(){return this.localvar_stack[this.localvar_stack_index]};a.prototype.pushEventStack=function(b){this.event_stack_index++;this.event_stack_index>=this.event_stack.length&&this.event_stack.push(new cr.eventStackFrame);var a=this.getCurrentEventStack();a.reset(b);return a};a.prototype.popEventStack=function(){this.event_stack_index--};a.prototype.getCurrentEventStack=function(){return this.event_stack[this.event_stack_index]};
a.prototype.pushLoopStack=function(b){this.loop_stack_index++;this.loop_stack_index>=this.loop_stack.length&&this.loop_stack.push(cr.seal({name:b,index:0,stopped:!1}));var a=this.getCurrentLoop();a.name=b;a.index=0;a.stopped=!1;return a};a.prototype.popLoopStack=function(){this.loop_stack_index--};a.prototype.getCurrentLoop=function(){return this.loop_stack[this.loop_stack_index]};a.prototype.getEventVariableByName=function(b,a){for(var d,f,g,h,c,e;a;){d=0;for(f=a.subevents.length;d<f;d++)if(e=a.subevents[d],
e instanceof cr.eventvariable&&cr.equals_nocase(b,e.name))return e;a=a.parent}d=0;for(f=this.eventsheets_by_index.length;d<f;d++)for(c=this.eventsheets_by_index[d],g=0,h=c.events.length;g<h;g++)if(e=c.events[g],e instanceof cr.eventvariable&&cr.equals_nocase(b,e.name))return e;return null};a.prototype.getLayoutBySid=function(b){var a,d;a=0;for(d=this.layouts_by_index.length;a<d;a++)if(this.layouts_by_index[a].sid===b)return this.layouts_by_index[a];return null};a.prototype.getObjectTypeBySid=function(b){var a,
d;a=0;for(d=this.types_by_index.length;a<d;a++)if(this.types_by_index[a].sid===b)return this.types_by_index[a];return null};a.prototype.getGroupBySid=function(b){var a,d;a=0;for(d=this.allGroups.length;a<d;a++)if(this.allGroups[a].sid===b)return this.allGroups[a];return null};a.prototype.signalContinuousPreview=function(){this.signalledContinuousPreview=!0};a.prototype.handleSaveLoad=function(){var b=this,a=this.saveToSlot,d=this.lastSaveJson,f=this.loadFromSlot,m=!1;this.signalledContinuousPreview&&
(m=!0,a="__c2_continuouspreview",this.signalledContinuousPreview=!1);if(a.length){this.ClearDeathRow();d=this.saveToJSONString();if(window.indexedDB&&!this.isCocoonJs)e(a,d,function(){cr.logexport("Saved state to IndexedDB storage ("+d.length+" bytes)");b.lastSaveJson=d;b.trigger(cr.system_object.prototype.cnds.OnSaveComplete,null);b.lastSaveJson="";m&&g()},function(f){try{localStorage.setItem("__c2save_"+a,d),cr.logexport("Saved state to WebStorage ("+d.length+" bytes)"),b.lastSaveJson=d,b.trigger(cr.system_object.prototype.cnds.OnSaveComplete,
null),b.lastSaveJson="",m&&g()}catch(h){cr.logexport("Failed to save game state: "+f+"; "+h)}});else try{localStorage.setItem("__c2save_"+a,d),cr.logexport("Saved state to WebStorage ("+d.length+" bytes)"),b.lastSaveJson=d,this.trigger(cr.system_object.prototype.cnds.OnSaveComplete,null),b.lastSaveJson="",m&&g()}catch(h){cr.logexport("Error saving to WebStorage: "+h)}this.loadFromJson=this.loadFromSlot=this.saveToSlot=""}f.length&&(window.indexedDB&&!this.isCocoonJs?k(f,function(a){a?(b.loadFromJson=
a,cr.logexport("Loaded state from IndexedDB storage ("+b.loadFromJson.length+" bytes)")):(b.loadFromJson=localStorage.getItem("__c2save_"+f)||"",cr.logexport("Loaded state from WebStorage ("+b.loadFromJson.length+" bytes)"));b.suspendDrawing=!1;b.loadFromJson.length||b.trigger(cr.system_object.prototype.cnds.OnLoadFailed,null)},function(a){b.loadFromJson=localStorage.getItem("__c2save_"+f)||"";cr.logexport("Loaded state from WebStorage ("+b.loadFromJson.length+" bytes)");b.suspendDrawing=!1;b.loadFromJson.length||
b.trigger(cr.system_object.prototype.cnds.OnLoadFailed,null)}):(this.loadFromJson=localStorage.getItem("__c2save_"+f)||"",cr.logexport("Loaded state from WebStorage ("+this.loadFromJson.length+" bytes)"),this.suspendDrawing=!1,b.loadFromJson.length||b.trigger(cr.system_object.prototype.cnds.OnLoadFailed,null)),this.saveToSlot=this.loadFromSlot="");this.loadFromJson.length&&(this.ClearDeathRow(),this.loadFromJSONString(this.loadFromJson),this.lastSaveJson=this.loadFromJson,this.trigger(cr.system_object.prototype.cnds.OnLoadComplete,
null),this.loadFromJson=this.lastSaveJson="")};a.prototype.saveToJSONString=function(){var a,d,f,g,m,h,c,e={c2save:!0,version:1,rt:{time:this.kahanTime.sum,timescale:this.timescale,tickcount:this.tickcount,execcount:this.execcount,next_uid:this.next_uid,running_layout:this.running_layout.sid,start_time_offset:Date.now()-this.start_time},types:{},layouts:{},events:{groups:{},cnds:{},acts:{},vars:{}}};a=0;for(d=this.types_by_index.length;a<d;a++)if(m=this.types_by_index[a],!m.is_family&&!this.typeHasNoSaveBehavior(m)){h=
{instances:[]};cr.hasAnyOwnProperty(m.extra)&&(h.ex=b(m.extra));f=0;for(g=m.instances.length;f<g;f++)h.instances.push(this.saveInstanceToJSON(m.instances[f]));e.types[m.sid.toString()]=h}a=0;for(d=this.layouts_by_index.length;a<d;a++)f=this.layouts_by_index[a],e.layouts[f.sid.toString()]=f.saveToJSON();g=e.events.groups;a=0;for(d=this.allGroups.length;a<d;a++)f=this.allGroups[a],g[f.sid.toString()]=!!this.activeGroups[f.group_name];d=e.events.cnds;for(c in this.cndsBySid)this.cndsBySid.hasOwnProperty(c)&&
(a=this.cndsBySid[c],cr.hasAnyOwnProperty(a.extra)&&(d[c]={ex:b(a.extra)}));d=e.events.acts;for(c in this.actsBySid)this.actsBySid.hasOwnProperty(c)&&(a=this.actsBySid[c],cr.hasAnyOwnProperty(a.extra)&&(d[c]={ex:a.extra}));d=e.events.vars;for(c in this.varsBySid)this.varsBySid.hasOwnProperty(c)&&(a=this.varsBySid[c],a.is_constant||a.parent&&!a.is_static||(d[c]=a.data));e.system=this.system.saveToJSON();return JSON.stringify(e)};a.prototype.refreshUidMap=function(){var b,a,d,f,g,h;this.objectsByUid=
{};b=0;for(a=this.types_by_index.length;b<a;b++)if(d=this.types_by_index[b],!d.is_family)for(f=0,g=d.instances.length;f<g;f++)h=d.instances[f],this.objectsByUid[h.uid.toString()]=h};a.prototype.loadFromJSONString=function(b){b=JSON.parse(b);if(b.c2save&&!(1<b.version)){var a=b.rt;this.kahanTime.reset();this.kahanTime.sum=a.time;this.timescale=a.timescale;this.tickcount=a.tickcount;this.start_time=Date.now()-a.start_time_offset;var d=a.running_layout;if(d!==this.running_layout.sid)if(d=this.getLayoutBySid(d))this.doChangeLayout(d);
else return;this.isLoadingState=!0;var f,g,h,c,e,l,p;l=b.types;for(g in l)if(l.hasOwnProperty(g)&&(c=this.getObjectTypeBySid(parseInt(g,10)))&&!c.is_family&&!this.typeHasNoSaveBehavior(c)){l[g].ex?c.extra=l[g].ex:cr.wipe(c.extra);e=c.instances;h=l[g].instances;d=0;for(f=cr.min(e.length,h.length);d<f;d++)this.loadInstanceFromJSON(e[d],h[d]);d=h.length;for(f=e.length;d<f;d++)this.DestroyInstance(e[d]);d=e.length;for(f=h.length;d<f;d++){e=null;if(c.plugin.is_world&&(e=this.running_layout.getLayerBySid(h[d].w.l),
!e))continue;e=this.createInstanceFromInit(c.default_instance,e,!1,0,0,!0);this.loadInstanceFromJSON(e,h[d])}c.stale_iids=!0}this.ClearDeathRow();this.refreshUidMap();f=b.layouts;for(g in f)f.hasOwnProperty(g)&&(d=this.getLayoutBySid(parseInt(g,10)))&&d.loadFromJSON(f[g]);f=b.events.groups;for(g in f)f.hasOwnProperty(g)&&(d=this.getGroupBySid(parseInt(g,10)))&&(this.activeGroups[d.group_name]=f[g]);d=b.events.cnds;for(g in d)d.hasOwnProperty(g)&&this.cndsBySid.hasOwnProperty(g)&&(this.cndsBySid[g].extra=
d[g].ex);d=b.events.acts;for(g in d)d.hasOwnProperty(g)&&this.actsBySid.hasOwnProperty(g)&&(this.actsBySid[g].extra=d[g].ex);d=b.events.vars;for(g in d)d.hasOwnProperty(g)&&this.varsBySid.hasOwnProperty(g)&&(this.varsBySid[g].data=d[g]);this.next_uid=a.next_uid;this.isLoadingState=!1;this.system.loadFromJSON(b.system);d=0;for(f=this.types_by_index.length;d<f;d++)if(c=this.types_by_index[d],!c.is_family)for(g=0,b=c.instances.length;g<b;g++){e=c.instances[g];if(c.is_contained)for(l=e.get_iid(),a=e.siblings.length=
0,h=c.container.length;a<h;a++)p=c.container[a],c!==p&&e.siblings.push(p.instances[l]);e.afterLoad&&e.afterLoad();if(e.behavior_insts)for(a=0,h=e.behavior_insts.length;a<h;a++)l=e.behavior_insts[a],l.afterLoad&&l.afterLoad()}this.redraw=!0}};a.prototype.saveInstanceToJSON=function(a,d){var f,g,h,c,e;c=a.type;h=c.plugin;var l={};d?l.c2=!0:l.uid=a.uid;cr.hasAnyOwnProperty(a.extra)&&(l.ex=b(a.extra));if(a.instance_vars&&a.instance_vars.length)for(l.ivs={},f=0,g=a.instance_vars.length;f<g;f++)l.ivs[a.type.instvar_sids[f].toString()]=
a.instance_vars[f];if(h.is_world){h={x:a.x,y:a.y,w:a.width,h:a.height,l:a.layer.sid,zi:a.get_zindex()};0!==a.angle&&(h.a=a.angle);1!==a.opacity&&(h.o=a.opacity);0.5!==a.hotspotX&&(h.hX=a.hotspotX);0.5!==a.hotspotY&&(h.hY=a.hotspotY);0!==a.blend_mode&&(h.bm=a.blend_mode);a.visible||(h.v=a.visible);a.collisionsEnabled||(h.ce=a.collisionsEnabled);-1!==a.my_timescale&&(h.mts=a.my_timescale);if(c.effect_types.length)for(h.fx=[],f=0,g=c.effect_types.length;f<g;f++)e=c.effect_types[f],h.fx.push({name:e.name,
active:a.active_effect_flags[e.index],params:a.effect_params[e.index]});l.w=h}if(a.behavior_insts&&a.behavior_insts.length)for(l.behs={},f=0,g=a.behavior_insts.length;f<g;f++)c=a.behavior_insts[f],c.saveToJSON&&(l.behs[c.type.sid.toString()]=c.saveToJSON());a.saveToJSON&&(l.data=a.saveToJSON());return l};a.prototype.getInstanceVarIndexBySid=function(b,a){var d,f;d=0;for(f=b.instvar_sids.length;d<f;d++)if(b.instvar_sids[d]===a)return d;return-1};a.prototype.getBehaviorIndexBySid=function(b,a){var d,
f;d=0;for(f=b.behavior_insts.length;d<f;d++)if(b.behavior_insts[d].type.sid===a)return d;return-1};a.prototype.loadInstanceFromJSON=function(b,a,d){var f,g,h,c,e;e=b.type;h=e.plugin;if(d){if(!a.c2)return}else b.uid=a.uid;a.ex?b.extra=a.ex:cr.wipe(b.extra);if(g=a.ivs)for(f in g)g.hasOwnProperty(f)&&(d=this.getInstanceVarIndexBySid(e,parseInt(f,10)),0>d||d>=b.instance_vars.length||(b.instance_vars[d]=g[f]));if(h.is_world){h=a.w;b.layer.sid!==h.l&&(d=b.layer,b.layer=this.running_layout.getLayerBySid(h.l),
b.layer?(b.layer.instances.push(b),b.layer.zindices_stale=!0,cr.arrayFindRemove(d.instances,b),d.zindices_stale=!0):(b.layer=d,this.DestroyInstance(b)));b.x=h.x;b.y=h.y;b.width=h.w;b.height=h.h;b.zindex=h.zi;b.angle=h.hasOwnProperty("a")?h.a:0;b.opacity=h.hasOwnProperty("o")?h.o:1;b.hotspotX=h.hasOwnProperty("hX")?h.hX:0.5;b.hotspotY=h.hasOwnProperty("hY")?h.hY:0.5;b.visible=h.hasOwnProperty("v")?h.v:!0;b.collisionsEnabled=h.hasOwnProperty("ce")?h.ce:!0;b.my_timescale=h.hasOwnProperty("mts")?h.mts:
-1;b.blend_mode=h.hasOwnProperty("bm")?h.bm:0;b.compositeOp=cr.effectToCompositeOp(b.blend_mode);this.gl&&cr.setGLBlend(b,b.blend_mode,this.gl);b.set_bbox_changed();if(h.hasOwnProperty("fx"))for(d=0,g=h.fx.length;d<g;d++)c=e.getEffectIndexByName(h.fx[d].name),0>c||(b.active_effect_flags[c]=h.fx[d].active,b.effect_params[c]=h.fx[d].params);b.updateActiveEffects()}if(e=a.behs)for(f in e)e.hasOwnProperty(f)&&(h=this.getBehaviorIndexBySid(b,parseInt(f,10)),0>h||b.behavior_insts[h].loadFromJSON(e[f]));
a.data&&b.loadFromJSON(a.data)};cr.runtime=a;cr.createRuntime=function(b){return new a(document.getElementById(b))};cr.createDCRuntime=function(b,d){return new a({dc:!0,width:b,height:d})};window.cr_createRuntime=cr.createRuntime;window.cr_createDCRuntime=cr.createDCRuntime;window.createCocoonJSRuntime=function(){window.c2cocoonjs=!0;var b=document.createElement("screencanvas")||document.createElement("canvas");b.screencanvas=!0;document.body.appendChild(b);b=new a(b);window.c2runtime=b;window.addEventListener("orientationchange",
function(){window.c2runtime.setSize(window.innerWidth,window.innerHeight)});window.c2runtime.setSize(window.innerWidth,window.innerHeight);return b}})();window.cr_getC2Runtime=function(){var a=document.getElementById("c2canvas");return a?a.c2runtime:window.c2runtime?window.c2runtime:null};window.cr_sizeCanvas=function(a,c){if(0!==a&&0!==c){var e=window.cr_getC2Runtime();e&&e.setSize(a,c)}};window.cr_setSuspended=function(a){var c=window.cr_getC2Runtime();c&&c.setSuspended(a)};
(function(){function a(a,b){this.runtime=a;this.event_sheet=null;this.scrollX=this.runtime.original_width/2;this.scrollY=this.runtime.original_height/2;this.scale=1;this.angle=0;this.first_visit=!0;this.name=b[0];this.width=b[1];this.height=b[2];this.unbounded_scrolling=b[3];this.sheetname=b[4];this.sid=b[5];var c=b[6],e,d;this.layers=[];this.initial_types=[];e=0;for(d=c.length;e<d;e++){var h=new cr.layer(this,c[e]);h.number=e;cr.seal(h);this.layers.push(h)}c=b[7];this.initial_nonworld=[];e=0;for(d=
c.length;e<d;e++){var h=c[e],f=this.runtime.types_by_index[h[1]];f.default_instance||(f.default_instance=h);this.initial_nonworld.push(h);-1===this.initial_types.indexOf(f)&&this.initial_types.push(f)}this.effect_types=[];this.active_effect_types=[];this.effect_params=[];e=0;for(d=b[8].length;e<d;e++)this.effect_types.push({id:b[8][e][0],name:b[8][e][1],shaderindex:-1,active:!0,index:e}),this.effect_params.push(b[8][e][2].slice(0));this.updateActiveEffects();this.rcTex=new cr.rect(0,0,1,1);this.rcTex2=
new cr.rect(0,0,1,1);this.persist_data={}}function c(a,b){this.layout=a;this.runtime=a.runtime;this.instances=[];this.scale=1;this.angle=0;this.disableAngle=!1;this.tmprect=new cr.rect(0,0,0,0);this.tmpquad=new cr.quad;this.viewBottom=this.viewTop=this.viewRight=this.viewLeft=0;this.zindices_stale=!1;this.name=b[0];this.index=b[1];this.sid=b[2];this.visible=b[3];this.background_color=b[4];this.transparent=b[5];this.parallaxX=b[6];this.parallaxY=b[7];this.opacity=b[8];this.forceOwnTexture=b[9];this.zoomRate=
b[10];this.blend_mode=b[11];this.effect_fallback=b[12];this.compositeOp="source-over";this.destBlend=this.srcBlend=0;this.render_offscreen=!1;var c=b[13],e,d;this.initial_instances=[];e=0;for(d=c.length;e<d;e++){var h=c[e],f=this.runtime.types_by_index[h[1]];f.default_instance||(f.default_instance=h,f.default_layerindex=this.index);this.initial_instances.push(h);-1===this.layout.initial_types.indexOf(f)&&this.layout.initial_types.push(f)}this.effect_types=[];this.active_effect_types=[];this.effect_params=
[];e=0;for(d=b[14].length;e<d;e++)this.effect_types.push({id:b[14][e][0],name:b[14][e][1],shaderindex:-1,active:!0,index:e}),this.effect_params.push(b[14][e][2].slice(0));this.updateActiveEffects();this.rcTex=new cr.rect(0,0,1,1);this.rcTex2=new cr.rect(0,0,1,1)}function e(a,b){return a.zindex-b.zindex}a.prototype.saveObjectToPersist=function(a){var b=a.type.sid.toString();this.persist_data.hasOwnProperty(b)||(this.persist_data[b]=[]);this.persist_data[b].push(this.runtime.saveInstanceToJSON(a))};
a.prototype.hasOpaqueBottomLayer=function(){var a=this.layers[0];return!a.transparent&&1===a.opacity&&!a.forceOwnTexture&&a.visible};a.prototype.updateActiveEffects=function(){this.active_effect_types.length=0;var a,b,c;a=0;for(b=this.effect_types.length;a<b;a++)c=this.effect_types[a],c.active&&this.active_effect_types.push(c)};a.prototype.getEffectByName=function(a){var b,c,e;b=0;for(c=this.effect_types.length;b<c;b++)if(e=this.effect_types[b],e.name===a)return e;return null};var k=[];a.prototype.startRunning=
function(){this.sheetname&&(this.event_sheet=this.runtime.eventsheets[this.sheetname]);this.runtime.running_layout=this;this.scrollX=this.runtime.original_width/2;this.scrollY=this.runtime.original_height/2;var a,b,c,n,d,h,f;a=0;for(c=this.runtime.types_by_index.length;a<c;a++)if(b=this.runtime.types_by_index[a],!b.is_family)for(d=b.instances,b=0,n=d.length;b<n;b++)if(h=d[b],h.layer){var p=h.layer.number;p>=this.layers.length&&(p=this.layers.length-1);h.layer=this.layers[p];h.layer.instances.push(h);
h.layer.zindices_stale=!0}k.length=0;this.boundScrolling();a=0;for(c=this.layers.length;a<c;a++)h=this.layers[a],h.createInitialInstances(),h.disableAngle=!0,b=h.canvasToLayer(0,0,!0,!0),n=h.canvasToLayer(0,0,!1,!0),h.disableAngle=!1,this.runtime.pixel_rounding&&(b=b+0.5|0,n=n+0.5|0),h.rotateViewport(b,n,null);d=!1;if(!this.first_visit){for(f in this.persist_data)if(this.persist_data.hasOwnProperty(f)&&(b=this.runtime.getObjectTypeBySid(parseInt(f,10)))&&!b.is_family&&this.runtime.typeHasPersistBehavior(b)){n=
this.persist_data[f];a=0;for(c=n.length;a<c;a++){h=null;if(b.plugin.is_world&&(h=this.getLayerBySid(n[a].w.l),!h))continue;h=this.runtime.createInstanceFromInit(b.default_instance,h,!1,0,0,!0);this.runtime.loadInstanceFromJSON(h,n[a]);d=!0;k.push(h)}n.length=0}a=0;for(c=this.layers.length;a<c;a++)this.layers[a].instances.sort(e),this.layers[a].zindices_stale=!0}d&&(this.runtime.ClearDeathRow(),this.runtime.refreshUidMap());for(a=0;a<k.length;a++)if(h=k[a],h.type.is_contained)for(c=h.get_iid(),b=0,
n=h.type.container.length;b<n;b++)f=h.type.container[b],h.type!==f&&(f.instances.length>c?h.siblings.push(f.instances[c]):f.default_instance&&(d=this.runtime.createInstanceFromInit(f.default_instance,h.layer,!0,h.x,h.y,!0),this.runtime.ClearDeathRow(),f.updateIIDs(),h.siblings.push(d),k.push(d)));a=0;for(c=this.initial_nonworld.length;a<c;a++)this.runtime.createInstanceFromInit(this.initial_nonworld[a],null,!0);this.runtime.changelayout=null;this.runtime.ClearDeathRow();if(this.runtime.ctx&&!this.runtime.isDomFree)for(a=
0,c=this.runtime.types_by_index.length;a<c;a++)f=this.runtime.types_by_index[a],!f.is_family&&f.instances.length&&f.preloadCanvas2D&&f.preloadCanvas2D(this.runtime.ctx);a=0;for(c=k.length;a<c;a++)h=k[a],this.runtime.trigger(Object.getPrototypeOf(h.type.plugin).cnds.OnCreated,h);k.length=0;this.runtime.trigger(cr.system_object.prototype.cnds.OnLayoutStart,null);this.first_visit=!1};a.prototype.createGlobalNonWorlds=function(){var a,b,c,e,d;b=a=0;for(c=this.initial_nonworld.length;a<c;a++)e=this.initial_nonworld[a],
d=this.runtime.types_by_index[e[1]],d.global?this.runtime.createInstanceFromInit(e,null,!0):(this.initial_nonworld[b]=e,b++);this.initial_nonworld.length=b};a.prototype.stopRunning=function(){this.runtime.trigger(cr.system_object.prototype.cnds.OnLayoutEnd,null);this.runtime.system.waits.length=0;var a,b,c,e,d,h;a=0;for(b=this.layers.length;a<b;a++){d=this.layers[a].instances;c=0;for(e=d.length;c<e;c++)h=d[c],h.type.global||(this.runtime.typeHasPersistBehavior(h.type)&&this.saveObjectToPersist(h),
this.runtime.DestroyInstance(h));this.runtime.ClearDeathRow();d.length=0;this.layers[a].zindices_stale=!0}a=0;for(b=this.runtime.types_by_index.length;a<b;a++)if(d=this.runtime.types_by_index[a],!(d.global||d.plugin.is_world||d.plugin.singleglobal||d.is_family)){c=0;for(e=d.instances.length;c<e;c++)this.runtime.DestroyInstance(d.instances[c]);this.runtime.ClearDeathRow()}};a.prototype.draw=function(a){var b,c=a,e=!1,d=!this.runtime.fullscreenScalingQuality;d&&(this.runtime.layout_canvas||(this.runtime.layout_canvas=
document.createElement("canvas"),b=this.runtime.layout_canvas,b.width=this.runtime.draw_width,b.height=this.runtime.draw_height,this.runtime.layout_ctx=b.getContext("2d"),e=!0),b=this.runtime.layout_canvas,c=this.runtime.layout_ctx,b.width!==this.runtime.draw_width&&(b.width=this.runtime.draw_width,e=!0),b.height!==this.runtime.draw_height&&(b.height=this.runtime.draw_height,e=!0),e&&(c.webkitImageSmoothingEnabled=this.runtime.linearSampling,c.mozImageSmoothingEnabled=this.runtime.linearSampling,
c.msImageSmoothingEnabled=this.runtime.linearSampling,c.imageSmoothingEnabled=this.runtime.linearSampling));c.globalAlpha=1;c.globalCompositeOperation="source-over";this.runtime.alphaBackground&&!this.hasOpaqueBottomLayer()&&c.clearRect(0,0,this.runtime.draw_width,this.runtime.draw_height);var h,f,e=0;for(h=this.layers.length;e<h;e++)f=this.layers[e],f.visible&&0<f.opacity&&11!==f.blend_mode&&f.draw(c);d&&a.drawImage(b,0,0,this.runtime.width,this.runtime.height)};a.prototype.drawGL=function(a){var b=
0<this.active_effect_types.length||this.runtime.uses_background_blending||!this.runtime.fullscreenScalingQuality;if(b){this.runtime.layout_tex||(this.runtime.layout_tex=a.createEmptyTexture(this.runtime.draw_width,this.runtime.draw_height,this.runtime.linearSampling));if(this.runtime.layout_tex.c2width!==this.runtime.draw_width||this.runtime.layout_tex.c2height!==this.runtime.draw_height)a.deleteTexture(this.runtime.layout_tex),this.runtime.layout_tex=a.createEmptyTexture(this.runtime.draw_width,
this.runtime.draw_height,this.runtime.linearSampling);a.setRenderingToTexture(this.runtime.layout_tex);this.runtime.fullscreenScalingQuality||a.setSize(this.runtime.draw_width,this.runtime.draw_height)}else this.runtime.layout_tex&&(a.setRenderingToTexture(null),a.deleteTexture(this.runtime.layout_tex),this.runtime.layout_tex=null);this.runtime.alphaBackground&&!this.hasOpaqueBottomLayer()&&a.clear(0,0,0,0);var c,e;c=0;for(e=this.layers.length;c<e;c++)this.layers[c].visible&&0<this.layers[c].opacity&&
this.layers[c].drawGL(a);b&&(0===this.active_effect_types.length||1===this.active_effect_types.length&&this.runtime.fullscreenScalingQuality?(1===this.active_effect_types.length?(b=this.active_effect_types[0].index,a.switchProgram(this.active_effect_types[0].shaderindex),a.setProgramParameters(null,1/this.runtime.draw_width,1/this.runtime.draw_height,0,0,1,1,this.scale,this.angle,0,0,this.effect_params[b]),a.programIsAnimated(this.active_effect_types[0].shaderindex)&&(this.runtime.redraw=!0)):a.switchProgram(0),
this.runtime.fullscreenScalingQuality||a.setSize(this.runtime.width,this.runtime.height),a.setRenderingToTexture(null),a.setOpacity(1),a.setTexture(this.runtime.layout_tex),a.setAlphaBlend(),a.resetModelView(),a.updateModelView(),b=this.runtime.width/2,c=this.runtime.height/2,a.quad(-b,c,b,c,b,-c,-b,-c),a.setTexture(null)):this.renderEffectChain(a,null,null,null))};a.prototype.getRenderTarget=function(){return 0<this.active_effect_types.length||this.runtime.uses_background_blending||!this.runtime.fullscreenScalingQuality?
this.runtime.layout_tex:null};a.prototype.getMinLayerScale=function(){var a=this.layers[0].getScale(),b,c,e;b=1;for(c=this.layers.length;b<c;b++)e=this.layers[b],(0!==e.parallaxX||0!==e.parallaxY)&&e.getScale()<a&&(a=e.getScale());return a};a.prototype.scrollToX=function(a){if(!this.unbounded_scrolling){var b=this.runtime.draw_width*(1/this.getMinLayerScale())/2;a>this.width-b&&(a=this.width-b);a<b&&(a=b)}this.scrollX!==a&&(this.scrollX=a,this.runtime.redraw=!0)};a.prototype.scrollToY=function(a){if(!this.unbounded_scrolling){var b=
this.runtime.draw_height*(1/this.getMinLayerScale())/2;a>this.height-b&&(a=this.height-b);a<b&&(a=b)}this.scrollY!==a&&(this.scrollY=a,this.runtime.redraw=!0)};a.prototype.boundScrolling=function(){this.scrollToX(this.scrollX);this.scrollToY(this.scrollY)};a.prototype.renderEffectChain=function(a,b,c,e){var d=c?c.active_effect_types:b?b.active_effect_types:this.active_effect_types,h=1,f=0,p=0,k=0;c?(h=c.layer.getScale(),f=c.layer.getAngle(),p=c.layer.viewLeft,k=c.layer.viewTop):b&&(h=b.getScale(),
f=b.getAngle(),p=b.viewLeft,k=b.viewTop);var t=this.runtime.fx_tex,s,w,q,u,y=0,B=1,m,z=this.runtime.draw_width,x=this.runtime.draw_height,A=z/2,J=x/2,D=b?b.rcTex:this.rcTex,E=b?b.rcTex2:this.rcTex2,v=0,M=0,I=0,H=0,F=z,R=z,O=x,V=x,K=q=0,C=c?c.layer.getAngle():0;if(c){s=0;for(w=d.length;s<w;s++)q+=a.getProgramBoxExtendHorizontal(d[s].shaderindex),K+=a.getProgramBoxExtendVertical(d[s].shaderindex);u=c.bbox;v=b.layerToCanvas(u.left,u.top,!0,!0);I=b.layerToCanvas(u.left,u.top,!1,!0);F=b.layerToCanvas(u.right,
u.bottom,!0,!0);O=b.layerToCanvas(u.right,u.bottom,!1,!0);0!==C&&(s=b.layerToCanvas(u.right,u.top,!0,!0),w=b.layerToCanvas(u.right,u.top,!1,!0),M=b.layerToCanvas(u.left,u.bottom,!0,!0),H=b.layerToCanvas(u.left,u.bottom,!1,!0),u=Math.min(v,F,s,M),F=Math.max(v,F,s,M),v=u,u=Math.min(I,O,w,H),O=Math.max(I,O,w,H),I=u);v-=q;I-=K;F+=q;O+=K;E.left=v/z;E.top=1-I/x;E.right=F/z;E.bottom=1-O/x;M=v=cr.floor(v);H=I=cr.floor(I);R=F=cr.ceil(F);V=O=cr.ceil(O);M-=q;H-=K;R+=q;V+=K;0>v&&(v=0);0>I&&(I=0);F>z&&(F=z);O>
x&&(O=x);0>M&&(M=0);0>H&&(H=0);R>z&&(R=z);V>x&&(V=x);D.left=v/z;D.top=1-I/x;D.right=F/z;D.bottom=1-O/x}else D.left=E.left=0,D.top=E.top=0,D.right=E.right=1,D.bottom=E.bottom=1;K=c&&((c.angle||C)&&a.programUsesDest(d[0].shaderindex)||0!==q||0!==K||1!==c.opacity||c.type.plugin.must_predraw)||b&&!c&&1!==b.opacity;a.setAlphaBlend();if(K){t[y]||(t[y]=a.createEmptyTexture(z,x,this.runtime.linearSampling));if(t[y].c2width!==z||t[y].c2height!==x)a.deleteTexture(t[y]),t[y]=a.createEmptyTexture(z,x,this.runtime.linearSampling);
a.switchProgram(0);a.setRenderingToTexture(t[y]);m=V-H;a.clearRect(M,x-H-m,R-M,m);c?c.drawGL(a):(a.setTexture(this.runtime.layer_tex),a.setOpacity(b.opacity),a.resetModelView(),a.translate(-A,-J),a.updateModelView(),a.quadTex(v,O,F,O,F,I,v,I,D));E.left=E.top=0;E.right=E.bottom=1;c&&(u=D.top,D.top=D.bottom,D.bottom=u);y=1;B=0}a.setOpacity(1);q=d.length-1;var C=a.programUsesCrossSampling(d[q].shaderindex)||!b&&!c&&!this.runtime.fullscreenScalingQuality,T=0;s=0;for(w=d.length;s<w;s++){t[y]||(t[y]=a.createEmptyTexture(z,
x,this.runtime.linearSampling));if(t[y].c2width!==z||t[y].c2height!==x)a.deleteTexture(t[y]),t[y]=a.createEmptyTexture(z,x,this.runtime.linearSampling);a.switchProgram(d[s].shaderindex);T=d[s].index;a.programIsAnimated(d[s].shaderindex)&&(this.runtime.redraw=!0);0!=s||K?(a.setProgramParameters(e,1/z,1/x,E.left,E.top,E.right,E.bottom,h,f,p,k,c?c.effect_params[T]:b?b.effect_params[T]:this.effect_params[T]),a.setTexture(null),s!==q||C?(a.setRenderingToTexture(t[y]),m=V-H,u=x-H-m,a.clearRect(M,u,R-M,
m)):(c?a.setBlend(c.srcBlend,c.destBlend):b&&a.setBlend(b.srcBlend,b.destBlend),a.setRenderingToTexture(e)),a.setTexture(t[B]),a.resetModelView(),a.translate(-A,-J),a.updateModelView(),a.quadTex(v,O,F,O,F,I,v,I,D),s!==q||C||a.setTexture(null)):(a.setRenderingToTexture(t[y]),m=V-H,u=x-H-m,a.clearRect(M,u,R-M,m),c?(a.setProgramParameters(e,1/c.width,1/c.height,E.left,E.top,E.right,E.bottom,h,f,p,k,c.effect_params[T]),c.drawGL(a)):(a.setProgramParameters(e,1/z,1/x,0,0,1,1,h,f,p,k,b?b.effect_params[T]:
this.effect_params[T]),a.setTexture(b?this.runtime.layer_tex:this.runtime.layout_tex),a.resetModelView(),a.translate(-A,-J),a.updateModelView(),a.quadTex(v,O,F,O,F,I,v,I,D)),E.left=E.top=0,E.right=E.bottom=1,c&&!C&&(u=O,O=I,I=u));y=0===y?1:0;B=0===y?1:0}C&&(a.switchProgram(0),c?a.setBlend(c.srcBlend,c.destBlend):b?a.setBlend(b.srcBlend,b.destBlend):this.runtime.fullscreenScalingQuality||(a.setSize(this.runtime.width,this.runtime.height),A=this.runtime.width/2,J=this.runtime.height/2,I=v=0,F=this.runtime.width,
O=this.runtime.height),a.setRenderingToTexture(e),a.setTexture(t[B]),a.resetModelView(),a.translate(-A,-J),a.updateModelView(),c&&1===d.length&&!K?a.quadTex(v,I,F,I,F,O,v,O,D):a.quadTex(v,O,F,O,F,I,v,I,D),a.setTexture(null))};a.prototype.getLayerBySid=function(a){var b,c;b=0;for(c=this.layers.length;b<c;b++)if(this.layers[b].sid===a)return this.layers[b];return null};a.prototype.saveToJSON=function(){var a,b,c,e={sx:this.scrollX,sy:this.scrollY,s:this.scale,a:this.angle,w:this.width,h:this.height,
fv:this.first_visit,persist:this.persist_data,fx:[],layers:{}};a=0;for(b=this.effect_types.length;a<b;a++)c=this.effect_types[a],e.fx.push({name:c.name,active:c.active,params:this.effect_params[c.index]});a=0;for(b=this.layers.length;a<b;a++)c=this.layers[a],e.layers[c.sid.toString()]=c.saveToJSON();return e};a.prototype.loadFromJSON=function(a){var b,c,e,d;this.scrollX=a.sx;this.scrollY=a.sy;this.scale=a.s;this.angle=a.a;this.width=a.w;this.height=a.h;this.persist_data=a.persist;"undefined"!==typeof a.fv&&
(this.first_visit=a.fv);var h=a.fx;b=0;for(c=h.length;b<c;b++)if(e=this.getEffectByName(h[b].name))e.active=h[b].active,this.effect_params[e.index]=h[b].params;this.updateActiveEffects();b=a.layers;for(d in b)b.hasOwnProperty(d)&&(a=this.getLayerBySid(parseInt(d,10)))&&a.loadFromJSON(b[d])};cr.layout=a;c.prototype.updateActiveEffects=function(){this.active_effect_types.length=0;var a,b,c;a=0;for(b=this.effect_types.length;a<b;a++)c=this.effect_types[a],c.active&&this.active_effect_types.push(c)};
c.prototype.getEffectByName=function(a){var b,c,e;b=0;for(c=this.effect_types.length;b<c;b++)if(e=this.effect_types[b],e.name===a)return e;return null};c.prototype.createInitialInstances=function(){var a,b,c,e,d,h;b=a=0;for(c=this.initial_instances.length;a<c;a++){e=this.initial_instances[a];d=this.runtime.types_by_index[e[1]];h=this.runtime.typeHasPersistBehavior(d);d=!0;if(!h||this.layout.first_visit)e=this.runtime.createInstanceFromInit(e,this,!0),k.push(e),e.type.global&&(d=!1);d&&(this.initial_instances[b]=
this.initial_instances[a],b++)}this.initial_instances.length=b;this.runtime.ClearDeathRow();!this.runtime.glwrap&&this.effect_types.length&&(this.blend_mode=this.effect_fallback);this.compositeOp=cr.effectToCompositeOp(this.blend_mode);this.runtime.gl&&cr.setGLBlend(this,this.blend_mode,this.runtime.gl)};c.prototype.updateZIndices=function(){if(this.zindices_stale){var a,b;a=0;for(b=this.instances.length;a<b;a++)this.instances[a].zindex=a;this.zindices_stale=!1}};c.prototype.getScale=function(a){return this.getNormalScale()*
(this.runtime.fullscreenScalingQuality||a?this.runtime.aspect_scale:1)};c.prototype.getNormalScale=function(){return(this.scale*this.layout.scale-1)*this.zoomRate+1};c.prototype.getAngle=function(){return this.disableAngle?0:cr.clamp_angle(this.layout.angle+this.angle)};c.prototype.draw=function(a){this.render_offscreen=this.forceOwnTexture||1!==this.opacity||0!==this.blend_mode;var b=this.runtime.canvas,c=a,e=!1;a.globalAlpha=1;a.globalCompositeOperation="source-over";this.render_offscreen&&(this.runtime.layer_canvas||
(this.runtime.layer_canvas=document.createElement("canvas"),b=this.runtime.layer_canvas,b.width=this.runtime.draw_width,b.height=this.runtime.draw_height,this.runtime.layer_ctx=b.getContext("2d"),e=!0),b=this.runtime.layer_canvas,c=this.runtime.layer_ctx,b.width!==this.runtime.draw_width&&(b.width=this.runtime.draw_width,e=!0),b.height!==this.runtime.draw_height&&(b.height=this.runtime.draw_height,e=!0),e&&(c.webkitImageSmoothingEnabled=this.runtime.linearSampling,c.mozImageSmoothingEnabled=this.runtime.linearSampling,
c.msImageSmoothingEnabled=this.runtime.linearSampling,c.imageSmoothingEnabled=this.runtime.linearSampling),this.transparent&&c.clearRect(0,0,this.runtime.draw_width,this.runtime.draw_height));this.transparent||(c.fillStyle="rgb("+this.background_color[0]+","+this.background_color[1]+","+this.background_color[2]+")",c.fillRect(0,0,this.runtime.draw_width,this.runtime.draw_height));c.save();this.disableAngle=!0;var e=this.canvasToLayer(0,0,!0,!0),d=this.canvasToLayer(0,0,!1,!0);this.disableAngle=!1;
this.runtime.pixel_rounding&&(e=e+0.5|0,d=d+0.5|0);this.rotateViewport(e,d,c);var h=this.getScale();c.scale(h,h);c.translate(-e,-d);for(var f,e=0,d=this.instances.length;e<d;e++)h=this.instances[e],h.visible&&0!==h.width&&0!==h.height&&(h.update_bbox(),f=h.bbox,f.right<this.viewLeft||f.bottom<this.viewTop||f.left>this.viewRight||f.top>this.viewBottom||(c.globalCompositeOperation=h.compositeOp,h.draw(c)));c.restore();this.render_offscreen&&(a.globalCompositeOperation=this.compositeOp,a.globalAlpha=
this.opacity,a.drawImage(b,0,0))};c.prototype.rotateViewport=function(a,b,c){var e=this.getScale();this.viewLeft=a;this.viewTop=b;this.viewRight=a+this.runtime.draw_width*(1/e);this.viewBottom=b+this.runtime.draw_height*(1/e);a=this.getAngle();0!==a&&(c&&(c.translate(this.runtime.draw_width/2,this.runtime.draw_height/2),c.rotate(-a),c.translate(this.runtime.draw_width/-2,this.runtime.draw_height/-2)),this.tmprect.set(this.viewLeft,this.viewTop,this.viewRight,this.viewBottom),this.tmprect.offset((this.viewLeft+
this.viewRight)/-2,(this.viewTop+this.viewBottom)/-2),this.tmpquad.set_from_rotated_rect(this.tmprect,a),this.tmpquad.bounding_box(this.tmprect),this.tmprect.offset((this.viewLeft+this.viewRight)/2,(this.viewTop+this.viewBottom)/2),this.viewLeft=this.tmprect.left,this.viewTop=this.tmprect.top,this.viewRight=this.tmprect.right,this.viewBottom=this.tmprect.bottom)};c.prototype.drawGL=function(a){var b=this.runtime.draw_width,c=this.runtime.draw_height,e=0,d=0;if(this.render_offscreen=this.forceOwnTexture||
1!==this.opacity||0<this.active_effect_types.length||0!==this.blend_mode){this.runtime.layer_tex||(this.runtime.layer_tex=a.createEmptyTexture(this.runtime.draw_width,this.runtime.draw_height,this.runtime.linearSampling));if(this.runtime.layer_tex.c2width!==this.runtime.draw_width||this.runtime.layer_tex.c2height!==this.runtime.draw_height)a.deleteTexture(this.runtime.layer_tex),this.runtime.layer_tex=a.createEmptyTexture(this.runtime.draw_width,this.runtime.draw_height,this.runtime.linearSampling);
a.setRenderingToTexture(this.runtime.layer_tex);this.transparent&&a.clear(0,0,0,0)}this.transparent||a.clear(this.background_color[0]/255,this.background_color[1]/255,this.background_color[2]/255,1);this.disableAngle=!0;var d=this.canvasToLayer(0,0,!0,!0),h=this.canvasToLayer(0,0,!1,!0);this.disableAngle=!1;this.runtime.pixel_rounding&&(d=d+0.5|0,h=h+0.5|0);this.rotateViewport(d,h,null);h=this.getScale();a.resetModelView();a.scale(h,h);a.rotateZ(-this.getAngle());a.translate((this.viewLeft+this.viewRight)/
-2,(this.viewTop+this.viewBottom)/-2);a.updateModelView();var f,p,k;f=0;for(p=this.instances.length;f<p;f++)if(k=this.instances[f],k.visible&&0!==k.width&&0!==k.height&&(k.update_bbox(),e=k.bbox,!(e.right<this.viewLeft||e.bottom<this.viewTop||e.left>this.viewRight||e.top>this.viewBottom)))if(k.uses_shaders)if(e=k.active_effect_types[0].shaderindex,d=k.active_effect_types[0].index,1!==k.active_effect_types.length||a.programUsesCrossSampling(e)||a.programExtendsBox(e)||(k.angle||k.layer.getAngle())&&
a.programUsesDest(e)||1!==k.opacity||k.type.plugin.must_predraw)this.layout.renderEffectChain(a,this,k,this.render_offscreen?this.runtime.layer_tex:this.layout.getRenderTarget()),a.resetModelView(),a.scale(h,h),a.rotateZ(-this.getAngle()),a.translate((this.viewLeft+this.viewRight)/-2,(this.viewTop+this.viewBottom)/-2),a.updateModelView();else{a.switchProgram(e);a.setBlend(k.srcBlend,k.destBlend);a.programIsAnimated(e)&&(this.runtime.redraw=!0);var t=0,s=0,w=0,q=0;a.programUsesDest(e)&&(e=k.bbox,t=
this.layerToCanvas(e.left,e.top,!0,!0),s=this.layerToCanvas(e.left,e.top,!1,!0),w=this.layerToCanvas(e.right,e.bottom,!0,!0),e=this.layerToCanvas(e.right,e.bottom,!1,!0),t/=b,s=1-s/c,w/=b,q=1-e/c);a.setProgramParameters(this.render_offscreen?this.runtime.layer_tex:this.layout.getRenderTarget(),1/k.width,1/k.height,t,s,w,q,this.getScale(),this.getAngle(),this.viewLeft,this.viewTop,k.effect_params[d]);k.drawGL(a)}else a.switchProgram(0),a.setBlend(k.srcBlend,k.destBlend),k.drawGL(a);this.render_offscreen&&
(e=this.active_effect_types.length?this.active_effect_types[0].shaderindex:0,d=this.active_effect_types.length?this.active_effect_types[0].index:0,0===this.active_effect_types.length||1===this.active_effect_types.length&&!a.programUsesCrossSampling(e)&&1===this.opacity?(1===this.active_effect_types.length?(a.switchProgram(e),a.setProgramParameters(this.layout.getRenderTarget(),1/this.runtime.draw_width,1/this.runtime.draw_height,0,0,1,1,this.getScale(),this.getAngle(),this.viewLeft,this.viewTop,this.effect_params[d]),
a.programIsAnimated(e)&&(this.runtime.redraw=!0)):a.switchProgram(0),a.setRenderingToTexture(this.layout.getRenderTarget()),a.setOpacity(this.opacity),a.setTexture(this.runtime.layer_tex),a.setBlend(this.srcBlend,this.destBlend),a.resetModelView(),a.updateModelView(),b=this.runtime.draw_width/2,c=this.runtime.draw_height/2,a.quad(-b,c,b,c,b,-c,-b,-c),a.setTexture(null)):this.layout.renderEffectChain(a,this,null,this.layout.getRenderTarget()))};c.prototype.canvasToLayer=function(a,b,c,e){var d=this.runtime.devicePixelRatio;
this.runtime.isRetina&&(a*=d,b*=d);var d=this.runtime.parallax_x_origin,h=this.runtime.parallax_y_origin,d=(this.layout.scrollX-d)*this.parallaxX+d,h=(this.layout.scrollY-h)*this.parallaxY+h,f=1/this.getScale(!e);e?(d-=this.runtime.draw_width*f/2,h-=this.runtime.draw_height*f/2):(d-=this.runtime.width*f/2,h-=this.runtime.height*f/2);d+=a*f;h+=b*f;b=this.getAngle();0!==b&&(d-=this.layout.scrollX,h-=this.layout.scrollY,a=Math.cos(b),b=Math.sin(b),e=d*a-h*b,h=h*a+d*b,d=e+this.layout.scrollX,h+=this.layout.scrollY);
return c?d:h};c.prototype.layerToCanvas=function(a,b,c,e){var d=this.getAngle();if(0!==d){a-=this.layout.scrollX;b-=this.layout.scrollY;var h=Math.cos(-d),d=Math.sin(-d),f=a*h-b*d;b=b*h+a*d;a=f+this.layout.scrollX;b+=this.layout.scrollY}h=this.runtime.parallax_x_origin;d=this.runtime.parallax_y_origin;h=(this.layout.scrollX-h)*this.parallaxX+h;d=(this.layout.scrollY-d)*this.parallaxY+d;f=1/this.getScale(!e);e?(h-=this.runtime.draw_width*f/2,d-=this.runtime.draw_height*f/2):(h-=this.runtime.width*
f/2,d-=this.runtime.height*f/2);h=(a-h)/f;d=(b-d)/f;a=this.runtime.devicePixelRatio;this.runtime.isRetina&&(h/=a,d/=a);return c?h:d};c.prototype.rotatePt=function(a,b,c){if(0===this.getAngle())return c?a:b;var e=this.layerToCanvas(a,b,!0);b=this.layerToCanvas(a,b,!1);this.disableAngle=!0;a=this.canvasToLayer(e,b,!0);e=this.canvasToLayer(e,b,!0);this.disableAngle=!1;return c?a:e};c.prototype.saveToJSON=function(){var a,b,c,e={s:this.scale,a:this.angle,vl:this.viewLeft,vt:this.viewTop,vr:this.viewRight,
vb:this.viewBottom,v:this.visible,bc:this.background_color,t:this.transparent,px:this.parallaxX,py:this.parallaxY,o:this.opacity,zr:this.zoomRate,fx:[],instances:[]};a=0;for(b=this.effect_types.length;a<b;a++)c=this.effect_types[a],e.fx.push({name:c.name,active:c.active,params:this.effect_params[c.index]});return e};c.prototype.loadFromJSON=function(a){var b,c;this.scale=a.s;this.angle=a.a;this.viewLeft=a.vl;this.viewTop=a.vt;this.viewRight=a.vr;this.viewBottom=a.vb;this.visible=a.v;this.background_color=
a.bc;this.transparent=a.t;this.parallaxX=a.px;this.parallaxY=a.py;this.opacity=a.o;this.zoomRate=a.zr;var k=a.fx;a=0;for(b=k.length;a<b;a++)if(c=this.getEffectByName(k[a].name))c.active=k[a].active,this.effect_params[c.index]=k[a].params;this.updateActiveEffects();this.instances.sort(e);this.zindices_stale=!0};cr.layer=c})();
(function(){function a(b,a){var d,f=b.length;switch(f){case 0:return!0;case 1:return b[0]===a[0];case 2:return b[0]===a[0]&&b[1]===a[1];default:for(d=0;d<f;d++)if(b[d]!==a[d])return!1;return!0}}function c(b,a){return b.index-a.index}function e(b){var d,f,h,e;2===b.length?b[0].index>b[1].index&&(d=b[0],b[0]=b[1],b[1]=d):2<b.length&&b.sort(c);b.length>=t.length&&(t.length=b.length+1);t[b.length]||(t[b.length]=[]);e=t[b.length];d=0;for(f=e.length;d<f;d++)if(h=e[d],a(b,h))return h;e.push(b);return b}
function k(b,a){this.runtime=b;this.triggers={};this.fasttriggers={};this.hasRun=!1;this.includes=new cr.ObjectSet;this.name=a[0];var d=a[1];this.events=[];var f,c;f=0;for(c=d.length;f<c;f++)this.init_event(d[f],null,this.events)}function g(b){this.type=b;this.instances=[];this.else_instances=[];this.select_all=!0}function b(b,a,d){this.sheet=b;this.parent=a;this.runtime=b.runtime;this.solModifiers=[];this.solModifiersIncludingParents=[];this.has_else_block=this.toplevelgroup=this.toplevelevent=this.initially_activated=
this.group=this.solWriterAfterCnds=!1;this.conditions=[];this.actions=[];this.subevents=[];d[1]?(this.group_name=d[1][1].toLowerCase(),this.group=!0,this.initially_activated=!!d[1][0],this.runtime.allGroups.push(this),this.runtime.activeGroups[this.group_name.toLowerCase()]=this.initially_activated):(this.group_name="",this.initially_activated=this.group=!1);this.orblock=d[2];this.sid=d[4];this.group||(this.runtime.blocksBySid[this.sid.toString()]=this);var f=d[5];b=0;for(a=f.length;b<a;b++){var c=
new cr.condition(this,f[b]);c.index=b;cr.seal(c);this.conditions.push(c);this.addSolModifier(c.type)}f=d[6];b=0;for(a=f.length;b<a;b++)c=new cr.action(this,f[b]),c.index=b,cr.seal(c),this.actions.push(c);if(8===d.length)for(d=d[7],b=0,a=d.length;b<a;b++)this.sheet.init_event(d[b],this,this.subevents);this.is_else_block=!1;this.conditions.length&&(this.is_else_block=null==this.conditions[0].type&&this.conditions[0].func==cr.system_object.prototype.cnds.Else)}function l(b,a){var d,f,c;if(b&&(-1===a.indexOf(b)&&
a.push(b),b.is_contained))for(d=0,f=b.container.length;d<f;d++)c=b.container[d],b!==c&&-1===a.indexOf(c)&&a.push(c)}function n(b,a){this.block=b;this.sheet=b.sheet;this.runtime=b.runtime;this.parameters=[];this.results=[];this.extra={};this.index=-1;this.func=a[1];this.trigger=0<a[3];this.fasttrigger=2===a[3];this.looping=a[4];this.inverted=a[5];this.isstatic=a[6];this.sid=a[7];this.runtime.cndsBySid[this.sid.toString()]=this;-1===a[0]?(this.type=null,this.run=this.run_system,this.behaviortype=null,
this.beh_index=-1):(this.type=this.runtime.types_by_index[a[0]],this.run=this.isstatic?this.run_static:this.run_object,a[2]?(this.behaviortype=this.type.getBehaviorByName(a[2]),this.beh_index=this.type.getBehaviorIndexByName(a[2])):(this.behaviortype=null,this.beh_index=-1),this.block.parent&&this.block.parent.setSolWriterAfterCnds());this.fasttrigger&&(this.run=this.run_true);if(10===a.length){var d,f,c=a[9];d=0;for(f=c.length;d<f;d++){var h=new cr.parameter(this,c[d]);cr.seal(h);this.parameters.push(h)}this.results.length=
c.length}}function d(b,a){this.block=b;this.sheet=b.sheet;this.runtime=b.runtime;this.parameters=[];this.results=[];this.extra={};this.index=-1;this.func=a[1];-1===a[0]?(this.type=null,this.run=this.run_system,this.behaviortype=null,this.beh_index=-1):(this.type=this.runtime.types_by_index[a[0]],this.run=this.run_object,a[2]?(this.behaviortype=this.type.getBehaviorByName(a[2]),this.beh_index=this.type.getBehaviorIndexByName(a[2])):(this.behaviortype=null,this.beh_index=-1));this.sid=a[3];this.runtime.actsBySid[this.sid.toString()]=
this;if(6===a.length){var d,f,c=a[5];d=0;for(f=c.length;d<f;d++){var h=new cr.parameter(this,c[d]);cr.seal(h);this.parameters.push(h)}this.results.length=c.length}}function h(b,a){this.owner=b;this.block=b.block;this.sheet=b.sheet;this.runtime=b.runtime;this.type=a[0];this.expression=null;this.combosel=this.solindex=0;this.layout=null;this.key=0;this.object=null;this.index=0;this.variadicret=this.subparams=this.fileinfo=this.eventvar=this.varname=null;var d,f,c;switch(a[0]){case 0:case 7:this.expression=
new cr.expNode(this,a[1]);this.solindex=0;this.get=this.get_exp;break;case 1:this.expression=new cr.expNode(this,a[1]);this.solindex=0;this.get=this.get_exp_str;break;case 5:this.expression=new cr.expNode(this,a[1]);this.solindex=0;this.get=this.get_layer;break;case 3:case 8:this.combosel=a[1];this.get=this.get_combosel;break;case 6:this.layout=this.runtime.layouts[a[1]];this.get=this.get_layout;break;case 9:this.key=a[1];this.get=this.get_key;break;case 4:this.object=this.runtime.types_by_index[a[1]];
this.get=this.get_object;this.block.addSolModifier(this.object);this.owner instanceof cr.action?this.block.setSolWriterAfterCnds():this.block.parent&&this.block.parent.setSolWriterAfterCnds();break;case 10:this.index=a[1];this.get=b.type.is_family?this.get_familyvar:this.get_instvar;break;case 11:this.varname=a[1];this.eventvar=null;this.get=this.get_eventvar;break;case 2:case 12:this.fileinfo=a[1];this.get=this.get_audiofile;break;case 13:for(this.get=this.get_variadic,this.subparams=[],this.variadicret=
[],d=1,f=a.length;d<f;d++)c=new cr.parameter(this.owner,a[d]),cr.seal(c),this.subparams.push(c),this.variadicret.push(0)}}function f(b,a,d){this.sheet=b;this.parent=a;this.runtime=b.runtime;this.solModifiers=[];this.name=d[1];this.vartype=d[2];this.initial=d[3];this.is_static=!!d[4];this.is_constant=!!d[5];this.sid=d[6];this.runtime.varsBySid[this.sid.toString()]=this;this.data=this.initial;this.parent?(this.localIndex=this.is_static||this.is_constant?-1:this.runtime.stackLocalCount++,this.runtime.all_local_vars.push(this)):
(this.localIndex=-1,this.runtime.all_global_vars.push(this))}function p(b,a,d){this.sheet=b;this.parent=a;this.runtime=b.runtime;this.solModifiers=[];this.include_sheet=null;this.include_sheet_name=d[1]}function r(){this.temp_parents_arr=[];this.reset(null);cr.seal(this)}var t=[];k.prototype.toString=function(){return this.name};k.prototype.init_event=function(b,a,d){switch(b[0]){case 0:b=new cr.eventblock(this,a,b);cr.seal(b);if(b.orblock)for(d.push(b),d=0,a=b.conditions.length;d<a;d++)b.conditions[d].trigger&&
this.init_trigger(b,d);else b.is_trigger()?this.init_trigger(b,0):d.push(b);break;case 1:b=new cr.eventvariable(this,a,b);cr.seal(b);d.push(b);break;case 2:b=new cr.eventinclude(this,a,b),cr.seal(b),d.push(b)}};k.prototype.postInit=function(){var b,a;b=0;for(a=this.events.length;b<a;b++)this.events[b].postInit(b<a-1&&this.events[b+1].is_else_block)};k.prototype.run=function(b){this.runtime.resuming_breakpoint||(this.hasRun=!0,b||(this.runtime.isRunningEvents=!0));var a,d;a=0;for(d=this.events.length;a<
d;a++){var f=this.events[a];f.run();this.runtime.clearSol(f.solModifiers);this.runtime.deathRow.isEmpty()&&!this.runtime.createRow.length||this.runtime.ClearDeathRow()}b||(this.runtime.isRunningEvents=!1)};k.prototype.init_trigger=function(b,a){b.orblock||this.runtime.triggers_to_postinit.push(b);var d,f,c=b.conditions[a],h;h=c.type?c.type.name:"system";var e=(d=c.fasttrigger)?this.fasttriggers:this.triggers;e[h]||(e[h]=[]);h=e[h];e=c.func;if(d){if(c.parameters.length&&(c=c.parameters[0],1===c.type&&
2===c.expression.type)){c=c.expression.value.toLowerCase();d=0;for(f=h.length;d<f;d++)if(h[d].method==e){d=h[d].evs;d[c]?d[c].push([b,a]):d[c]=[[b,a]];return}d={};d[c]=[[b,a]];h.push({method:e,evs:d})}}else{d=0;for(f=h.length;d<f;d++)if(h[d].method==e){h[d].evs.push([b,a]);return}h.push({method:e,evs:[[b,a]]})}};cr.eventsheet=k;g.prototype.hasObjects=function(){return this.select_all?this.type.instances.length:this.instances.length};g.prototype.getObjects=function(){return this.select_all?this.type.instances:
this.instances};g.prototype.pick_one=function(b){b&&(b.runtime.getCurrentEventStack().current_event.orblock?(this.select_all&&(this.instances.length=0,cr.shallowAssignArray(this.else_instances,b.type.instances),this.select_all=!1),b=this.else_instances.indexOf(b),-1!==b&&(this.instances.push(this.else_instances[b]),this.else_instances.splice(b,1))):(this.select_all=!1,this.instances.length=1,this.instances[0]=b))};cr.selection=g;window._c2hh_="A20A1F0A4926C5B7D7CBDB1114ED4C65BDED9DFF";b.prototype.postInit=
function(b){var a,d=this.parent;if(this.group)for(this.toplevelgroup=!0;d;){if(!d.group){this.toplevelgroup=!1;break}d=d.parent}this.toplevelevent=!this.is_trigger()&&(!this.parent||this.parent.group&&this.parent.toplevelgroup);this.has_else_block=!!b;this.solModifiersIncludingParents=this.solModifiers.slice(0);for(d=this.parent;d;){b=0;for(a=d.solModifiers.length;b<a;b++)this.addParentSolModifier(d.solModifiers[b]);d=d.parent}this.solModifiers=e(this.solModifiers);this.solModifiersIncludingParents=
e(this.solModifiersIncludingParents);b=0;for(a=this.conditions.length;b<a;b++)this.conditions[b].postInit();b=0;for(a=this.actions.length;b<a;b++)this.actions[b].postInit();b=0;for(a=this.subevents.length;b<a;b++)this.subevents[b].postInit(b<a-1&&this.subevents[b+1].is_else_block)};b.prototype.addSolModifier=function(b){l(b,this.solModifiers)};b.prototype.addParentSolModifier=function(b){l(b,this.solModifiersIncludingParents)};b.prototype.setSolWriterAfterCnds=function(){this.solWriterAfterCnds=!0;
this.parent&&this.parent.setSolWriterAfterCnds()};b.prototype.is_trigger=function(){return this.conditions.length?this.conditions[0].trigger:!1};b.prototype.run=function(){var b,a=!1,d,f=this.runtime.getCurrentEventStack();f.current_event=this;this.is_else_block||(f.else_branch_ran=!1);if(this.orblock){0===this.conditions.length&&(a=!0);f.cndindex=0;for(b=this.conditions.length;f.cndindex<b;f.cndindex++)this.conditions[f.cndindex].trigger||(d=this.conditions[f.cndindex].run())&&(a=!0);(f.last_event_true=
a)&&this.run_actions_and_subevents()}else{f.cndindex=0;for(b=this.conditions.length;f.cndindex<b;f.cndindex++)if(d=this.conditions[f.cndindex].run(),!d){f.last_event_true=!1;!this.toplevelevent||this.runtime.deathRow.isEmpty()&&!this.runtime.createRow.length||this.runtime.ClearDeathRow();return}f.last_event_true=!0;this.run_actions_and_subevents()}this.end_run(f)};b.prototype.end_run=function(b){b.last_event_true&&this.has_else_block&&(b.else_branch_ran=!0);!this.toplevelevent||this.runtime.deathRow.isEmpty()&&
!this.runtime.createRow.length||this.runtime.ClearDeathRow()};b.prototype.run_orblocktrigger=function(b){this.runtime.getCurrentEventStack().current_event=this;this.conditions[b].run()&&(this.run_actions_and_subevents(),this.runtime.getCurrentEventStack().last_event_true=!0)};b.prototype.run_actions_and_subevents=function(){var b=this.runtime.getCurrentEventStack(),a;b.actindex=0;for(a=this.actions.length;b.actindex<a;b.actindex++)if(this.actions[b.actindex].run())return;this.run_subevents()};b.prototype.resume_actions_and_subevents=
function(){var b=this.runtime.getCurrentEventStack(),a;for(a=this.actions.length;b.actindex<a;b.actindex++)if(this.actions[b.actindex].run())return;this.run_subevents()};b.prototype.run_subevents=function(){if(this.subevents.length){var b,a,d,f,c=this.subevents.length-1;this.runtime.pushEventStack(this);if(this.solWriterAfterCnds)for(b=0,a=this.subevents.length;b<a;b++)d=this.subevents[b],(f=!this.toplevelgroup||!this.group&&b<c)&&this.runtime.pushCopySol(d.solModifiers),d.run(),f?this.runtime.popSol(d.solModifiers):
this.runtime.clearSol(d.solModifiers);else for(b=0,a=this.subevents.length;b<a;b++)this.subevents[b].run();this.runtime.popEventStack()}};b.prototype.run_pretrigger=function(){var b=this.runtime.getCurrentEventStack();b.current_event=this;var a=!1,d;b.cndindex=0;for(d=this.conditions.length;b.cndindex<d;b.cndindex++)if(this.conditions[b.cndindex].run())a=!0;else if(!this.orblock)return!1;return this.orblock?a:!0};b.prototype.retrigger=function(){this.runtime.execcount++;var b=this.runtime.getCurrentEventStack().cndindex,
a=this.runtime.pushEventStack(this);if(!this.orblock)for(a.cndindex=b+1,b=this.conditions.length;a.cndindex<b;a.cndindex++)if(!this.conditions[a.cndindex].run())return this.runtime.popEventStack(),!1;this.run_actions_and_subevents();this.runtime.popEventStack();return!0};b.prototype.isFirstConditionOfType=function(b){var a=b.index;if(0===a)return!0;for(--a;0<=a;--a)if(this.conditions[a].type===b.type)return!1;return!0};cr.eventblock=b;n.prototype.postInit=function(){var b,a;b=0;for(a=this.parameters.length;b<
a;b++)this.parameters[b].postInit()};n.prototype.run_true=function(){return!0};n.prototype.run_system=function(){var b,a;b=0;for(a=this.parameters.length;b<a;b++)this.results[b]=this.parameters[b].get();return cr.xor(this.func.apply(this.runtime.system,this.results),this.inverted)};n.prototype.run_static=function(){var b,a;b=0;for(a=this.parameters.length;b<a;b++)this.results[b]=this.parameters[b].get(b);b=this.func.apply(this.behaviortype?this.behaviortype:this.type,this.results);this.type.applySolToContainer();
return b};n.prototype.run_object=function(){var b,a,d,f,c,h,e,g=this.type.getCurrentSol(),p=this.block.orblock&&!this.trigger,k=0,l=this.type.is_contained;if(g.select_all){g.instances.length=0;b=g.else_instances.length=0;for(d=this.type.instances.length;b<d;b++){h=this.type.instances[b];a=0;for(f=this.parameters.length;a<f;a++)this.results[a]=this.parameters[a].get(b);-1<this.beh_index?(this.type.is_family&&(k=h.type.family_beh_map[this.type.family_index]),a=this.func.apply(h.behavior_insts[this.beh_index+
k],this.results)):a=this.func.apply(h,this.results);(c=cr.xor(a,this.inverted))?g.instances.push(h):p&&g.else_instances.push(h)}this.type.finish&&this.type.finish(!0);g.select_all=!1;this.type.applySolToContainer();return g.hasObjects()}var n=0,r=(c=p&&!this.block.isFirstConditionOfType(this))?g.else_instances:g.instances,t=!1;b=0;for(d=r.length;b<d;b++){h=r[b];a=0;for(f=this.parameters.length;a<f;a++)this.results[a]=this.parameters[a].get(b);-1<this.beh_index?(this.type.is_family&&(k=h.type.family_beh_map[this.type.family_index]),
a=this.func.apply(h.behavior_insts[this.beh_index+k],this.results)):a=this.func.apply(h,this.results);if(cr.xor(a,this.inverted))if(t=!0,c){if(g.instances.push(h),l)for(a=0,f=h.siblings.length;a<f;a++)e=h.siblings[a],e.type.getCurrentSol().instances.push(e)}else{r[n]=h;if(l)for(a=0,f=h.siblings.length;a<f;a++)e=h.siblings[a],e.type.getCurrentSol().instances[n]=e;n++}else if(c){r[n]=h;if(l)for(a=0,f=h.siblings.length;a<f;a++)e=h.siblings[a],e.type.getCurrentSol().else_instances[n]=e;n++}else if(p&&
(g.else_instances.push(h),l))for(a=0,f=h.siblings.length;a<f;a++)e=h.siblings[a],e.type.getCurrentSol().else_instances.push(e)}r.length=n;if(l)for(b=0,d=this.type.container.length;b<d;b++)h=this.type.container[b].getCurrentSol(),c?h.else_instances.length=n:h.instances.length=n;k=t;if(c&&!t)for(b=0,d=g.instances.length;b<d;b++){h=g.instances[b];a=0;for(f=this.parameters.length;a<f;a++)this.results[a]=this.parameters[a].get(b);a=-1<this.beh_index?this.func.apply(h.behavior_insts[this.beh_index],this.results):
this.func.apply(h,this.results);if(cr.xor(a,this.inverted)){t=!0;break}}this.type.finish&&this.type.finish(k||p);return p?t:g.hasObjects()};cr.condition=n;d.prototype.postInit=function(){var b,a;b=0;for(a=this.parameters.length;b<a;b++)this.parameters[b].postInit()};d.prototype.run_system=function(){var b,a;b=0;for(a=this.parameters.length;b<a;b++)this.results[b]=this.parameters[b].get();return this.func.apply(this.runtime.system,this.results)};d.prototype.run_object=function(){var b=this.type.getCurrentSol().getObjects(),
a,d,f,c,h;a=0;for(f=b.length;a<f;a++){h=b[a];d=0;for(c=this.parameters.length;d<c;d++)this.results[d]=this.parameters[d].get(a);-1<this.beh_index?(d=0,this.type.is_family&&(d=h.type.family_beh_map[this.type.family_index]),this.func.apply(h.behavior_insts[this.beh_index+d],this.results)):this.func.apply(h,this.results)}return!1};cr.action=d;var s=[],w=-1;h.prototype.postInit=function(){var b,a;if(11===this.type)this.eventvar=this.runtime.getEventVariableByName(this.varname,this.block.parent);else if(13===
this.type)for(b=0,a=this.subparams.length;b<a;b++)this.subparams[b].postInit();this.expression&&this.expression.postInit()};h.prototype.pushTempValue=function(){w++;s.length===w&&s.push(new cr.expvalue);return s[w]};h.prototype.popTempValue=function(){w--};h.prototype.get_exp=function(b){this.solindex=b||0;b=this.pushTempValue();this.expression.get(b);this.popTempValue();return b.data};h.prototype.get_exp_str=function(b){this.solindex=b||0;b=this.pushTempValue();this.expression.get(b);this.popTempValue();
return cr.is_string(b.data)?b.data:""};h.prototype.get_object=function(){return this.object};h.prototype.get_combosel=function(){return this.combosel};h.prototype.get_layer=function(b){this.solindex=b||0;b=this.pushTempValue();this.expression.get(b);this.popTempValue();return b.is_number()?this.runtime.getLayerByNumber(b.data):this.runtime.getLayerByName(b.data)};h.prototype.get_layout=function(){return this.layout};h.prototype.get_key=function(){return this.key};h.prototype.get_instvar=function(){return this.index};
h.prototype.get_familyvar=function(b){var a=this.owner.type,d=null,d=a.getCurrentSol(),f=d.getObjects(),d=f.length?f[b%f.length].type:d.else_instances[b%d.else_instances.length].type;return this.index+d.family_var_map[a.family_index]};h.prototype.get_eventvar=function(){return this.eventvar};h.prototype.get_audiofile=function(){return this.fileinfo};h.prototype.get_variadic=function(){var b,a;b=0;for(a=this.subparams.length;b<a;b++)this.variadicret[b]=this.subparams[b].get();return this.variadicret};
cr.parameter=h;f.prototype.postInit=function(){this.solModifiers=e(this.solModifiers)};f.prototype.setValue=function(b){var a=this.runtime.getCurrentLocalVarStack();this.parent&&!this.is_static&&a?(this.localIndex>=a.length&&(a.length=this.localIndex+1),a[this.localIndex]=b):this.data=b};f.prototype.getValue=function(){var b=this.runtime.getCurrentLocalVarStack();return!this.parent||this.is_static||!b||this.is_constant?this.data:this.localIndex>=b.length||"undefined"===typeof b[this.localIndex]?this.initial:
b[this.localIndex]};f.prototype.run=function(){!this.parent||this.is_static||this.is_constant||this.setValue(this.initial)};cr.eventvariable=f;p.prototype.toString=function(){return"include:"+this.include_sheet.toString()};p.prototype.postInit=function(){this.include_sheet=this.runtime.eventsheets[this.include_sheet_name];this.sheet.includes.add(this);this.solModifiers=e(this.solModifiers)};p.prototype.run=function(){this.parent&&this.runtime.pushCleanSol(this.runtime.types_by_index);this.include_sheet.hasRun||
this.include_sheet.run(!0);this.parent&&this.runtime.popSol(this.runtime.types_by_index)};p.prototype.isActive=function(){for(var b=this.parent;b;){if(b.group&&!this.runtime.activeGroups[b.group_name.toLowerCase()])return!1;b=b.parent}return!0};cr.eventinclude=p;r.prototype.reset=function(b){this.current_event=b;this.actindex=this.cndindex=0;this.temp_parents_arr.length=0;this.any_true_state=this.else_branch_ran=this.last_event_true=!1};r.prototype.isModifierAfterCnds=function(){return this.current_event.solWriterAfterCnds?
!0:this.cndindex<this.current_event.conditions.length-1?!!this.current_event.solModifiers.length:!1};cr.eventStackFrame=r})();
(function(){function a(a,c){this.owner=a;this.runtime=a.runtime;this.type=c[0];this.get=[this.eval_int,this.eval_float,this.eval_string,this.eval_unaryminus,this.eval_add,this.eval_subtract,this.eval_multiply,this.eval_divide,this.eval_mod,this.eval_power,this.eval_and,this.eval_or,this.eval_equal,this.eval_notequal,this.eval_less,this.eval_lessequal,this.eval_greater,this.eval_greaterequal,this.eval_conditional,this.eval_system_exp,this.eval_object_behavior_exp,this.eval_instvar_exp,this.eval_object_behavior_exp,
this.eval_eventvar_exp][this.type];var g=null;this.object_type=this.parameters=this.results=this.func=this.third=this.second=this.first=this.value=null;this.beh_index=-1;this.instance_expr=null;this.varindex=-1;this.eventvar=this.varname=this.behavior_type=null;this.return_string=!1;switch(this.type){case 0:case 1:case 2:this.value=c[1];break;case 3:this.first=new cr.expNode(a,c[1]);break;case 18:this.first=new cr.expNode(a,c[1]);this.second=new cr.expNode(a,c[2]);this.third=new cr.expNode(a,c[3]);
break;case 19:this.func=c[1];this.results=[];this.parameters=[];3===c.length?(g=c[2],this.results.length=g.length+1):this.results.length=1;break;case 20:this.object_type=this.runtime.types_by_index[c[1]];this.beh_index=-1;this.func=c[2];this.return_string=c[3];this.instance_expr=c[4]?new cr.expNode(a,c[4]):null;this.results=[];this.parameters=[];6===c.length?(g=c[5],this.results.length=g.length+1):this.results.length=1;break;case 21:this.object_type=this.runtime.types_by_index[c[1]];this.return_string=
c[2];this.instance_expr=c[3]?new cr.expNode(a,c[3]):null;this.varindex=c[4];break;case 22:this.object_type=this.runtime.types_by_index[c[1]];this.behavior_type=this.object_type.getBehaviorByName(c[2]);this.beh_index=this.object_type.getBehaviorIndexByName(c[2]);this.func=c[3];this.return_string=c[4];this.instance_expr=c[5]?new cr.expNode(a,c[5]):null;this.results=[];this.parameters=[];7===c.length?(g=c[6],this.results.length=g.length+1):this.results.length=1;break;case 23:this.varname=c[1],this.eventvar=
null}4<=this.type&&17>=this.type&&(this.first=new cr.expNode(a,c[1]),this.second=new cr.expNode(a,c[2]));if(g){var b,l;b=0;for(l=g.length;b<l;b++)this.parameters.push(new cr.expNode(a,g[b]))}cr.seal(this)}function c(a,c){this.type=a||cr.exptype.Integer;this.data=c||0;this.object_class=null;this.type==cr.exptype.Integer&&(this.data=Math.floor(this.data));cr.seal(this)}a.prototype.postInit=function(){23===this.type&&(this.eventvar=this.owner.runtime.getEventVariableByName(this.varname,this.owner.block.parent));
this.first&&this.first.postInit();this.second&&this.second.postInit();this.third&&this.third.postInit();this.instance_expr&&this.instance_expr.postInit();if(this.parameters){var a,c;a=0;for(c=this.parameters.length;a<c;a++)this.parameters[a].postInit()}};a.prototype.eval_system_exp=function(a){this.results[0]=a;a=this.owner.pushTempValue();var c,g;c=0;for(g=this.parameters.length;c<g;c++)this.parameters[c].get(a),this.results[c+1]=a.data;this.owner.popTempValue();this.func.apply(this.runtime.system,
this.results)};a.prototype.eval_object_behavior_exp=function(a){var c=this.object_type.getCurrentSol(),g=c.getObjects();if(!g.length)if(c.else_instances.length)g=c.else_instances;else{this.return_string?a.set_string(""):a.set_int(0);return}this.results[0]=a;a.object_class=this.object_type;a=this.owner.pushTempValue();var b,c=0;for(b=this.parameters.length;c<b;c++)this.parameters[c].get(a),this.results[c+1]=a.data;c=this.owner.solindex;this.instance_expr&&(this.instance_expr.get(a),a.is_number()&&
(c=a.data,g=this.object_type.instances));this.owner.popTempValue();c%=g.length;0>c&&(c+=g.length);g=g[c];-1<this.beh_index?(a=0,this.object_type.is_family&&(a=g.type.family_beh_map[this.object_type.family_index]),this.func.apply(g.behavior_insts[this.beh_index+a],this.results)):this.func.apply(g,this.results)};a.prototype.eval_instvar_exp=function(a){var c=this.object_type.getCurrentSol(),g=c.getObjects();if(!g.length)if(c.else_instances.length)g=c.else_instances;else{this.return_string?a.set_string(""):
a.set_int(0);return}c=this.owner.solindex;if(this.instance_expr){var b=this.owner.pushTempValue();this.instance_expr.get(b);if(b.is_number()){c=b.data;g=this.object_type.instances;c%=g.length;0>c&&(c+=g.length);g=g[c].instance_vars[this.varindex];cr.is_string(g)?a.set_string(g):a.set_float(g);this.owner.popTempValue();return}this.owner.popTempValue()}c%=g.length;0>c&&(c+=g.length);g=g[c];c=0;this.object_type.is_family&&(c=g.type.family_var_map[this.object_type.family_index]);g=g.instance_vars[this.varindex+
c];cr.is_string(g)?a.set_string(g):a.set_float(g)};a.prototype.eval_int=function(a){a.type=cr.exptype.Integer;a.data=this.value};a.prototype.eval_float=function(a){a.type=cr.exptype.Float;a.data=this.value};a.prototype.eval_string=function(a){a.type=cr.exptype.String;a.data=this.value};a.prototype.eval_unaryminus=function(a){this.first.get(a);a.is_number()&&(a.data=-a.data)};a.prototype.eval_add=function(a){this.first.get(a);var c=this.owner.pushTempValue();this.second.get(c);a.is_number()&&c.is_number()&&
(a.data+=c.data,c.is_float()&&a.make_float());this.owner.popTempValue()};a.prototype.eval_subtract=function(a){this.first.get(a);var c=this.owner.pushTempValue();this.second.get(c);a.is_number()&&c.is_number()&&(a.data-=c.data,c.is_float()&&a.make_float());this.owner.popTempValue()};a.prototype.eval_multiply=function(a){this.first.get(a);var c=this.owner.pushTempValue();this.second.get(c);a.is_number()&&c.is_number()&&(a.data*=c.data,c.is_float()&&a.make_float());this.owner.popTempValue()};a.prototype.eval_divide=
function(a){this.first.get(a);var c=this.owner.pushTempValue();this.second.get(c);a.is_number()&&c.is_number()&&(a.data/=c.data,a.make_float());this.owner.popTempValue()};a.prototype.eval_mod=function(a){this.first.get(a);var c=this.owner.pushTempValue();this.second.get(c);a.is_number()&&c.is_number()&&(a.data%=c.data,c.is_float()&&a.make_float());this.owner.popTempValue()};a.prototype.eval_power=function(a){this.first.get(a);var c=this.owner.pushTempValue();this.second.get(c);a.is_number()&&c.is_number()&&
(a.data=Math.pow(a.data,c.data),c.is_float()&&a.make_float());this.owner.popTempValue()};a.prototype.eval_and=function(a){this.first.get(a);var c=this.owner.pushTempValue();this.second.get(c);a.is_number()?c.is_string()?a.set_string(a.data.toString()+c.data):a.data&&c.data?a.set_int(1):a.set_int(0):a.is_string()&&(c.is_string()?a.data+=c.data:a.data+=(Math.round(1E10*c.data)/1E10).toString());this.owner.popTempValue()};a.prototype.eval_or=function(a){this.first.get(a);var c=this.owner.pushTempValue();
this.second.get(c);a.is_number()&&c.is_number()&&(a.data||c.data?a.set_int(1):a.set_int(0));this.owner.popTempValue()};a.prototype.eval_conditional=function(a){this.first.get(a);a.data?this.second.get(a):this.third.get(a)};a.prototype.eval_equal=function(a){this.first.get(a);var c=this.owner.pushTempValue();this.second.get(c);a.set_int(a.data===c.data?1:0);this.owner.popTempValue()};a.prototype.eval_notequal=function(a){this.first.get(a);var c=this.owner.pushTempValue();this.second.get(c);a.set_int(a.data!==
c.data?1:0);this.owner.popTempValue()};a.prototype.eval_less=function(a){this.first.get(a);var c=this.owner.pushTempValue();this.second.get(c);a.set_int(a.data<c.data?1:0);this.owner.popTempValue()};a.prototype.eval_lessequal=function(a){this.first.get(a);var c=this.owner.pushTempValue();this.second.get(c);a.set_int(a.data<=c.data?1:0);this.owner.popTempValue()};a.prototype.eval_greater=function(a){this.first.get(a);var c=this.owner.pushTempValue();this.second.get(c);a.set_int(a.data>c.data?1:0);
this.owner.popTempValue()};a.prototype.eval_greaterequal=function(a){this.first.get(a);var c=this.owner.pushTempValue();this.second.get(c);a.set_int(a.data>=c.data?1:0);this.owner.popTempValue()};a.prototype.eval_eventvar_exp=function(a){var c=this.eventvar.getValue();cr.is_number(c)?a.set_float(c):a.set_string(c)};cr.expNode=a;c.prototype.is_int=function(){return this.type===cr.exptype.Integer};c.prototype.is_float=function(){return this.type===cr.exptype.Float};c.prototype.is_number=function(){return this.type===
cr.exptype.Integer||this.type===cr.exptype.Float};c.prototype.is_string=function(){return this.type===cr.exptype.String};c.prototype.make_int=function(){this.is_int()||(this.is_float()?this.data=Math.floor(this.data):this.is_string()&&(this.data=parseInt(this.data,10)),this.type=cr.exptype.Integer)};c.prototype.make_float=function(){this.is_float()||(this.is_string()&&(this.data=parseFloat(this.data)),this.type=cr.exptype.Float)};c.prototype.make_string=function(){this.is_string()||(this.data=this.data.toString(),
this.type=cr.exptype.String)};c.prototype.set_int=function(a){this.type=cr.exptype.Integer;this.data=Math.floor(a)};c.prototype.set_float=function(a){this.type=cr.exptype.Float;this.data=a};c.prototype.set_string=function(a){this.type=cr.exptype.String;this.data=a};c.prototype.set_any=function(a){cr.is_number(a)?(this.type=cr.exptype.Float,this.data=a):cr.is_string(a)?(this.type=cr.exptype.String,this.data=a.toString()):(this.type=cr.exptype.Integer,this.data=0)};cr.expvalue=c;cr.exptype={Integer:0,
Float:1,String:2}})();cr.system_object=function(a){this.runtime=a;this.waits=[]};
cr.system_object.prototype.saveToJSON=function(){var a={},c,e,k,g,b,l,n,d;a.waits=[];var h=a.waits,f;c=0;for(e=this.waits.length;c<e;c++){l=this.waits[c];f={t:l.time,ev:l.ev.sid,sm:[],sols:{}};l.ev.actions[l.actindex]&&(f.act=l.ev.actions[l.actindex].sid);k=0;for(g=l.solModifiers.length;k<g;k++)f.sm.push(l.solModifiers[k].sid);for(b in l.sols)if(l.sols.hasOwnProperty(b)){n=this.runtime.types_by_index[parseInt(b,10)];d={sa:l.sols[b].sa,insts:[]};k=0;for(g=l.sols[b].insts.length;k<g;k++)d.insts.push(l.sols[b].insts[k].uid);
f.sols[n.sid.toString()]=d}h.push(f)}return a};
cr.system_object.prototype.loadFromJSON=function(a){a=a.waits;var c,e,k,g,b,l,n,d,h,f,p;c=this.waits.length=0;for(e=a.length;c<e;c++)if(l=a[c],d=this.runtime.blocksBySid[l.ev.toString()]){h=-1;k=0;for(g=d.actions.length;k<g;k++)if(d.actions[k].sid===l.act){h=k;break}if(-1!==h){n={sols:{},solModifiers:[],deleteme:!1};n.time=l.t;n.ev=d;n.actindex=h;k=0;for(g=l.sm.length;k<g;k++)(d=this.runtime.getObjectTypeBySid(l.sm[k]))&&n.solModifiers.push(d);for(b in l.sols)if(l.sols.hasOwnProperty(b)&&(d=this.runtime.getObjectTypeBySid(parseInt(b,
10)))){h=l.sols[b];f={sa:h.sa,insts:[]};k=0;for(g=h.insts.length;k<g;k++)(p=this.runtime.getObjectByUID(h.insts[k]))&&f.insts.push(p);n.sols[d.index.toString()]=f}this.waits.push(n)}}};
(function(){function a(){}function c(a,b){var d=a.extra.c2_foreachordered_val,c=b.extra.c2_foreachordered_val;if(cr.is_number(d)&&cr.is_number(c))return d-c;d=""+d;c=""+c;return d<c?-1:d>c?1:0}function e(a,b){h&&a===f&&b===p||(h=RegExp(a,b),f=a,p=b);h.lastIndex=0;return h}function k(){}function g(){}function b(a,b,d){if(a!==q||b!==u||d!==y){var c=e(b,d);w=a.match(c);q=a;u=b;y=d}}var l=cr.system_object.prototype;a.prototype.EveryTick=function(){return!0};a.prototype.OnLayoutStart=function(){return!0};
a.prototype.OnLayoutEnd=function(){return!0};a.prototype.Compare=function(a,b,d){return cr.do_cmp(a,b,d)};a.prototype.CompareTime=function(a,b){var d=this.runtime.kahanTime.sum;if(0===a){var c=this.runtime.getCurrentCondition();return!c.extra.CompareTime_executed&&d>=b?c.extra.CompareTime_executed=!0:!1}return cr.do_cmp(d,a,b)};a.prototype.LayerVisible=function(a){return a?a.visible:!1};a.prototype.LayerCmpOpacity=function(a,b,d){return a?cr.do_cmp(100*a.opacity,b,d):!1};a.prototype.Repeat=function(a){var b=
this.runtime.getCurrentEventStack(),d=b.current_event,c=b.isModifierAfterCnds(),b=this.runtime.pushLoopStack();if(c)for(c=0;c<a&&!b.stopped;c++)this.runtime.pushCopySol(d.solModifiers),b.index=c,d.retrigger(),this.runtime.popSol(d.solModifiers);else for(c=0;c<a&&!b.stopped;c++)b.index=c,d.retrigger();this.runtime.popLoopStack();return!1};a.prototype.While=function(b){var a=this.runtime.getCurrentEventStack();b=a.current_event;var d=a.isModifierAfterCnds(),a=this.runtime.pushLoopStack();if(d)for(d=
0;!a.stopped;d++)this.runtime.pushCopySol(b.solModifiers),a.index=d,b.retrigger()||(a.stopped=!0),this.runtime.popSol(b.solModifiers);else for(d=0;!a.stopped;d++)a.index=d,b.retrigger()||(a.stopped=!0);this.runtime.popLoopStack();return!1};a.prototype.For=function(a,b,d){var c=this.runtime.getCurrentEventStack(),f=c.current_event,c=c.isModifierAfterCnds();a=this.runtime.pushLoopStack(a);if(d<b)if(c)for(;b>=d&&!a.stopped;--b)this.runtime.pushCopySol(f.solModifiers),a.index=b,f.retrigger(),this.runtime.popSol(f.solModifiers);
else for(;b>=d&&!a.stopped;--b)a.index=b,f.retrigger();else if(c)for(;b<=d&&!a.stopped;++b)this.runtime.pushCopySol(f.solModifiers),a.index=b,f.retrigger(),this.runtime.popSol(f.solModifiers);else for(;b<=d&&!a.stopped;++b)a.index=b,f.retrigger();this.runtime.popLoopStack();return!1};var n=[],d=-1;a.prototype.ForEach=function(a){var b=a.getCurrentSol();d++;n.length===d&&n.push([]);var c=n[d];cr.shallowAssignArray(c,b.getObjects());var f=this.runtime.getCurrentEventStack(),h=f.current_event,e=f.isModifierAfterCnds(),
f=this.runtime.pushLoopStack(),g,p,l,k,r,t,s=a.is_contained;if(e)for(e=0,g=c.length;e<g&&!f.stopped;e++){this.runtime.pushCopySol(h.solModifiers);k=c[e];b=a.getCurrentSol();b.select_all=!1;b.instances.length=1;b.instances[0]=k;if(s)for(p=0,l=k.siblings.length;p<l;p++)r=k.siblings[p],t=r.type.getCurrentSol(),t.select_all=!1,t.instances.length=1,t.instances[0]=r;f.index=e;h.retrigger();this.runtime.popSol(h.solModifiers)}else for(b.select_all=!1,b.instances.length=1,e=0,g=c.length;e<g&&!f.stopped;e++){k=
c[e];b.instances[0]=k;if(s)for(p=0,l=k.siblings.length;p<l;p++)r=k.siblings[p],t=r.type.getCurrentSol(),t.select_all=!1,t.instances.length=1,t.instances[0]=r;f.index=e;h.retrigger()}c.length=0;this.runtime.popLoopStack();d--;return!1};a.prototype.ForEachOrdered=function(b,a,f){a=b.getCurrentSol();d++;n.length===d&&n.push([]);var h=n[d];cr.shallowAssignArray(h,a.getObjects());var e=this.runtime.getCurrentEventStack(),g=e.current_event,p=this.runtime.getCurrentCondition(),l=e.isModifierAfterCnds(),
e=this.runtime.pushLoopStack(),k,r,t,s,w;k=0;for(r=h.length;k<r;k++)h[k].extra.c2_foreachordered_val=p.parameters[1].get(k);h.sort(c);1===f&&h.reverse();f=b.is_contained;if(l)for(k=0,r=h.length;k<r&&!e.stopped;k++){this.runtime.pushCopySol(g.solModifiers);t=h[k];a=b.getCurrentSol();a.select_all=!1;a.instances.length=1;a.instances[0]=t;if(f)for(p=0,l=t.siblings.length;p<l;p++)s=t.siblings[p],w=s.type.getCurrentSol(),w.select_all=!1,w.instances.length=1,w.instances[0]=s;e.index=k;g.retrigger();this.runtime.popSol(g.solModifiers)}else for(a.select_all=
!1,a.instances.length=1,k=0,r=h.length;k<r&&!e.stopped;k++){t=h[k];a.instances[0]=t;if(f)for(p=0,l=t.siblings.length;p<l;p++)s=t.siblings[p],w=s.type.getCurrentSol(),w.select_all=!1,w.instances.length=1,w.instances[0]=s;e.index=k;g.retrigger()}h.length=0;this.runtime.popLoopStack();d--;return!1};a.prototype.PickByComparison=function(a,b,c,f){var h,e,g,p;if(a){d++;n.length===d&&n.push([]);var l=n[d],k=a.getCurrentSol();cr.shallowAssignArray(l,k.getObjects());k.select_all&&(k.else_instances.length=
0);var r=this.runtime.getCurrentCondition();g=h=0;for(e=l.length;h<e;h++)p=l[h],l[g]=p,b=r.parameters[1].get(h),f=r.parameters[3].get(h),cr.do_cmp(b,c,f)?g++:k.else_instances.push(p);l.length=g;k.select_all=!1;cr.shallowAssignArray(k.instances,l);l.length=0;d--;a.applySolToContainer();return!!k.instances.length}};a.prototype.PickByEvaluate=function(a,b){var c,f,h,e;if(a){d++;n.length===d&&n.push([]);var g=n[d],p=a.getCurrentSol();cr.shallowAssignArray(g,p.getObjects());p.select_all&&(p.else_instances.length=
0);var l=this.runtime.getCurrentCondition();h=c=0;for(f=g.length;c<f;c++)e=g[c],g[h]=e,(b=l.parameters[1].get(c))?h++:p.else_instances.push(e);g.length=h;p.select_all=!1;cr.shallowAssignArray(p.instances,g);g.length=0;d--;a.applySolToContainer();return!!p.instances.length}};a.prototype.TriggerOnce=function(){var a=this.runtime.getCurrentCondition().extra;"undefined"===typeof a.TriggerOnce_lastTick&&(a.TriggerOnce_lastTick=-1);var b=a.TriggerOnce_lastTick,d=this.runtime.tickcount;a.TriggerOnce_lastTick=
d;return this.runtime.layout_first_tick||b!==d-1};a.prototype.Every=function(a){var b=this.runtime.getCurrentCondition(),d=b.extra.Every_lastTime||0,c=this.runtime.kahanTime.sum;"undefined"===typeof b.extra.Every_seconds&&(b.extra.Every_seconds=a);var f=b.extra.Every_seconds;return c>=d+f?(b.extra.Every_lastTime=d+f,c>=b.extra.Every_lastTime+0.04&&(b.extra.Every_lastTime=c),b.extra.Every_seconds=a,!0):!1};a.prototype.PickNth=function(a,b){if(!a)return!1;var d=a.getCurrentSol(),c=d.getObjects();b=
cr.floor(b);if(0>b||b>=c.length)return!1;d.pick_one(c[b]);a.applySolToContainer();return!0};a.prototype.PickRandom=function(b){if(!b)return!1;var a=b.getCurrentSol(),d=a.getObjects(),c=cr.floor(Math.random()*d.length);if(c>=d.length)return!1;a.pick_one(d[c]);b.applySolToContainer();return!0};a.prototype.CompareVar=function(b,a,d){return cr.do_cmp(b.getValue(),a,d)};a.prototype.IsGroupActive=function(b){return this.runtime.activeGroups[b.toLowerCase()]};a.prototype.IsPreview=function(){return"undefined"!==
typeof cr_is_preview};a.prototype.PickAll=function(b){if(!b||!b.instances.length)return!1;b.getCurrentSol().select_all=!0;b.applySolToContainer();return!0};a.prototype.IsMobile=function(){return this.runtime.isMobile};a.prototype.CompareBetween=function(b,a,d){return b>=a&&b<=d};a.prototype.Else=function(){var b=this.runtime.getCurrentEventStack();return b.else_branch_ran?!1:!b.last_event_true};a.prototype.OnLoadFinished=function(){return!0};a.prototype.OnCanvasSnapshot=function(){return!0};a.prototype.EffectsSupported=
function(){return!!this.runtime.glwrap};a.prototype.OnSaveComplete=function(){return!0};a.prototype.OnLoadComplete=function(){return!0};a.prototype.OnLoadFailed=function(){return!0};a.prototype.ObjectUIDExists=function(b){return!!this.runtime.getObjectByUID(b)};a.prototype.IsOnPlatform=function(b){var a=this.runtime;switch(b){case 0:return!a.isDomFree&&!a.isNodeWebkit&&!a.isPhoneGap&&!a.isCrosswalk&&!a.isWindows8App&&!a.isWindowsPhone8&&!a.isBlackberry10&&!a.isAmazonWebApp;case 1:return a.isiOS;case 2:return a.isAndroid;
case 3:return a.isWindows8App;case 4:return a.isWindowsPhone8;case 5:return a.isBlackberry10;case 6:return a.isTizen;case 7:return a.isCocoonJs;case 8:return a.isPhoneGap;case 9:return a.isArcade;case 10:return a.isNodeWebkit;case 11:return a.isCrosswalk;case 12:return a.isAmazonWebApp;default:return!1}};var h=null,f="",p="";a.prototype.RegexTest=function(a,b,d){return e(b,d).test(a)};var r=[];a.prototype.PickOverlappingPoint=function(a,b,d){if(!a)return!1;var c=a.getCurrentSol(),f=c.getObjects(),
h=this.runtime.getCurrentEventStack().current_event.orblock,e=this.runtime.getCurrentCondition(),g,p;c.select_all?(cr.shallowAssignArray(r,f),c.else_instances.length=0,c.select_all=!1,c.instances.length=0):h?(cr.shallowAssignArray(r,c.else_instances),c.else_instances.length=0):(cr.shallowAssignArray(r,f),c.instances.length=0);f=0;for(h=r.length;f<h;++f)g=r[f],(p=cr.xor(g.contains_pt(b,d),e.inverted))?c.instances.push(g):c.else_instances.push(g);a.applySolToContainer();return cr.xor(!!c.instances.length,
e.inverted)};l.cnds=new a;k.prototype.GoToLayout=function(a){this.runtime.isloading||this.runtime.changelayout||(this.runtime.changelayout=a)};k.prototype.CreateObject=function(a,b,d,c){if(b&&a&&(b=this.runtime.createInstance(a,b,d,c))){this.runtime.isInOnDestroy++;var f;this.runtime.trigger(Object.getPrototypeOf(a.plugin).cnds.OnCreated,b);if(b.is_contained)for(d=0,c=b.siblings.length;d<c;d++)f=b.siblings[d],this.runtime.trigger(Object.getPrototypeOf(f.type.plugin).cnds.OnCreated,f);this.runtime.isInOnDestroy--;
a=a.getCurrentSol();a.select_all=!1;a.instances.length=1;a.instances[0]=b;if(b.is_contained)for(d=0,c=b.siblings.length;d<c;d++)f=b.siblings[d],a=f.type.getCurrentSol(),a.select_all=!1,a.instances.length=1,a.instances[0]=f}};k.prototype.SetLayerVisible=function(a,b){a&&a.visible!==b&&(a.visible=b,this.runtime.redraw=!0)};k.prototype.SetLayerOpacity=function(a,b){a&&(b=cr.clamp(b/100,0,1),a.opacity!==b&&(a.opacity=b,this.runtime.redraw=!0))};k.prototype.SetLayerScaleRate=function(a,b){a&&a.zoomRate!==
b&&(a.zoomRate=b,this.runtime.redraw=!0)};k.prototype.SetLayoutScale=function(a){this.runtime.running_layout&&this.runtime.running_layout.scale!==a&&(this.runtime.running_layout.scale=a,this.runtime.running_layout.boundScrolling(),this.runtime.redraw=!0)};k.prototype.ScrollX=function(a){this.runtime.running_layout.scrollToX(a)};k.prototype.ScrollY=function(a){this.runtime.running_layout.scrollToY(a)};k.prototype.Scroll=function(a,b){this.runtime.running_layout.scrollToX(a);this.runtime.running_layout.scrollToY(b)};
k.prototype.ScrollToObject=function(a){if(a=a.getFirstPicked())this.runtime.running_layout.scrollToX(a.x),this.runtime.running_layout.scrollToY(a.y)};k.prototype.SetVar=function(a,b){0===a.vartype?cr.is_number(b)?a.setValue(b):a.setValue(parseFloat(b)):1===a.vartype&&a.setValue(b.toString())};k.prototype.AddVar=function(a,b){0===a.vartype?cr.is_number(b)?a.setValue(a.getValue()+b):a.setValue(a.getValue()+parseFloat(b)):1===a.vartype&&a.setValue(a.getValue()+b.toString())};k.prototype.SubVar=function(a,
b){0===a.vartype&&(cr.is_number(b)?a.setValue(a.getValue()-b):a.setValue(a.getValue()-parseFloat(b)))};k.prototype.SetGroupActive=function(a,b){var d=this.runtime.activeGroups,c=a.toLowerCase();switch(b){case 0:d[c]=!1;break;case 1:d[c]=!0;break;case 2:d[c]=!d[c]}};k.prototype.SetTimescale=function(a){0>a&&(a=0);this.runtime.timescale=a};k.prototype.SetObjectTimescale=function(a,b){var d=b;0>d&&(d=0);if(a){var c=a.getCurrentSol().getObjects(),f,h;f=0;for(h=c.length;f<h;f++)c[f].my_timescale=d}};k.prototype.RestoreObjectTimescale=
function(a){if(!a)return!1;a=a.getCurrentSol().getObjects();var b,d;b=0;for(d=a.length;b<d;b++)a[b].my_timescale=-1};var t=[],s=[];k.prototype.Wait=function(a){if(!(0>a)){var b,d,c,f=this.runtime.getCurrentEventStack(),h;h=t.length?t.pop():{sols:{},solModifiers:[]};h.deleteme=!1;h.time=this.runtime.kahanTime.sum+a;h.ev=f.current_event;h.actindex=f.actindex+1;a=0;for(b=this.runtime.types_by_index.length;a<b;a++)c=this.runtime.types_by_index[a],d=c.getCurrentSol(),d.select_all&&-1===f.current_event.solModifiers.indexOf(c)||
(h.solModifiers.push(c),c=void 0,c=s.length?s.pop():{insts:[]},c.sa=!1,c.sa=d.select_all,cr.shallowAssignArray(c.insts,d.instances),h.sols[a.toString()]=c);this.waits.push(h);return!0}};k.prototype.SetLayerScale=function(a,b){a&&a.scale!==b&&(a.scale=b,this.runtime.redraw=!0)};k.prototype.ResetGlobals=function(){var a,b,d;a=0;for(b=this.runtime.all_global_vars.length;a<b;a++)d=this.runtime.all_global_vars[a],d.data=d.initial};k.prototype.SetLayoutAngle=function(a){a=cr.to_radians(a);a=cr.clamp_angle(a);
this.runtime.running_layout&&this.runtime.running_layout.angle!==a&&(this.runtime.running_layout.angle=a,this.runtime.redraw=!0)};k.prototype.SetLayerAngle=function(a,b){a&&(b=cr.to_radians(b),b=cr.clamp_angle(b),a.angle!==b&&(a.angle=b,this.runtime.redraw=!0))};k.prototype.SetLayerParallax=function(a,b,d){if(a&&(a.parallaxX!==b/100||a.parallaxY!==d/100)){a.parallaxX=b/100;a.parallaxY=d/100;if(1!==a.parallaxX||1!==a.parallaxY)for(d=a.instances,a=0,b=d.length;a<b;++a)d[a].type.any_instance_parallaxed=
!0;this.runtime.redraw=!0}};k.prototype.SetLayerBackground=function(a,b){if(a){var d=cr.GetRValue(b),c=cr.GetGValue(b),f=cr.GetBValue(b);if(a.background_color[0]!==d||a.background_color[1]!==c||a.background_color[2]!==f)a.background_color[0]=d,a.background_color[1]=c,a.background_color[2]=f,this.runtime.redraw=!0}};k.prototype.SetLayerTransparent=function(a,b){a&&!!b!==!!a.transparent&&(a.transparent=!!b,this.runtime.redraw=!0)};k.prototype.StopLoop=function(){0>this.runtime.loop_stack_index||(this.runtime.getCurrentLoop().stopped=
!0)};k.prototype.GoToLayoutByName=function(a){if(!this.runtime.isloading&&!this.runtime.changelayout)for(var b in this.runtime.layouts)if(this.runtime.layouts.hasOwnProperty(b)&&cr.equals_nocase(b,a)){this.runtime.changelayout=this.runtime.layouts[b];break}};k.prototype.RestartLayout=function(a){if(!this.runtime.isloading&&!this.runtime.changelayout&&this.runtime.running_layout){this.runtime.changelayout=this.runtime.running_layout;var b,d;a=0;for(b=this.runtime.allGroups.length;a<b;a++)d=this.runtime.allGroups[a],
this.runtime.activeGroups[d.group_name.toLowerCase()]=d.initially_activated}};k.prototype.SnapshotCanvas=function(a,b){this.runtime.snapshotCanvas=[0===a?"image/png":"image/jpeg",b/100];this.runtime.redraw=!0};k.prototype.SetCanvasSize=function(a,b){if(!(0>=a||0>=b)){var d=this.runtime.fullscreen_mode;(document.mozFullScreen||document.webkitIsFullScreen||document.msFullscreenElement||document.fullScreen||this.runtime.isNodeFullscreen)&&0<this.runtime.fullscreen_scaling&&(d=this.runtime.fullscreen_scaling);
0===d?this.runtime.setSize(a,b,!0):(this.runtime.original_width=a,this.runtime.original_height=b,this.runtime.setSize(this.runtime.lastWindowWidth,this.runtime.lastWindowHeight,!0))}};k.prototype.SetLayoutEffectEnabled=function(a,b){if(this.runtime.running_layout&&this.runtime.glwrap){var d=this.runtime.running_layout.getEffectByName(b);if(d){var c=1===a;d.active!=c&&(d.active=c,this.runtime.running_layout.updateActiveEffects(),this.runtime.redraw=!0)}}};k.prototype.SetLayerEffectEnabled=function(a,
b,d){a&&this.runtime.glwrap&&(d=a.getEffectByName(d))&&(b=1===b,d.active!=b&&(d.active=b,a.updateActiveEffects(),this.runtime.redraw=!0))};k.prototype.SetLayoutEffectParam=function(a,b,d){if(this.runtime.running_layout&&this.runtime.glwrap&&(a=this.runtime.running_layout.getEffectByName(a))){var c=this.runtime.running_layout.effect_params[a.index];b=Math.floor(b);0>b||b>=c.length||(1===this.runtime.glwrap.getProgramParameterType(a.shaderindex,b)&&(d/=100),c[b]!==d&&(c[b]=d,a.active&&(this.runtime.redraw=
!0)))}};k.prototype.SetLayerEffectParam=function(a,b,d,c){a&&this.runtime.glwrap&&(b=a.getEffectByName(b))&&(a=a.effect_params[b.index],d=Math.floor(d),0>d||d>=a.length||(1===this.runtime.glwrap.getProgramParameterType(b.shaderindex,d)&&(c/=100),a[d]!==c&&(a[d]=c,b.active&&(this.runtime.redraw=!0))))};k.prototype.SaveState=function(a){this.runtime.saveToSlot=a};k.prototype.LoadState=function(a){this.runtime.loadFromSlot=a};k.prototype.LoadStateJSON=function(a){this.runtime.loadFromJson=a};k.prototype.SetHalfFramerateMode=
function(a){this.runtime.halfFramerateMode=0!==a};k.prototype.SetFullscreenQuality=function(a){if(document.mozFullScreen||document.webkitIsFullScreen||document.msFullscreenElement||document.fullScreen||this.isNodeFullscreen||0!==this.runtime.fullscreen_mode)this.runtime.wantFullscreenScalingQuality=0!==a,this.runtime.setSize(this.runtime.lastWindowWidth,this.runtime.lastWindowHeight,!0)};l.acts=new k;g.prototype["int"]=function(a,b){cr.is_string(b)?(a.set_int(parseInt(b,10)),isNaN(a.data)&&(a.data=
0)):a.set_int(b)};g.prototype["float"]=function(a,b){cr.is_string(b)?(a.set_float(parseFloat(b)),isNaN(a.data)&&(a.data=0)):a.set_float(b)};g.prototype.str=function(a,b){cr.is_string(b)?a.set_string(b):a.set_string(b.toString())};g.prototype.len=function(a,b){a.set_int(b.length||0)};g.prototype.random=function(a,b,d){void 0===d?a.set_float(Math.random()*b):a.set_float(Math.random()*(d-b)+b)};g.prototype.sqrt=function(a,b){a.set_float(Math.sqrt(b))};g.prototype.abs=function(a,b){a.set_float(Math.abs(b))};
g.prototype.round=function(a,b){a.set_int(Math.round(b))};g.prototype.floor=function(a,b){a.set_int(Math.floor(b))};g.prototype.ceil=function(a,b){a.set_int(Math.ceil(b))};g.prototype.sin=function(a,b){a.set_float(Math.sin(cr.to_radians(b)))};g.prototype.cos=function(a,b){a.set_float(Math.cos(cr.to_radians(b)))};g.prototype.tan=function(a,b){a.set_float(Math.tan(cr.to_radians(b)))};g.prototype.asin=function(a,b){a.set_float(cr.to_degrees(Math.asin(b)))};g.prototype.acos=function(a,b){a.set_float(cr.to_degrees(Math.acos(b)))};
g.prototype.atan=function(a,b){a.set_float(cr.to_degrees(Math.atan(b)))};g.prototype.exp=function(a,b){a.set_float(Math.exp(b))};g.prototype.ln=function(a,b){a.set_float(Math.log(b))};g.prototype.log10=function(a,b){a.set_float(Math.log(b)/Math.LN10)};g.prototype.max=function(a){var b=arguments[1],d,c;d=2;for(c=arguments.length;d<c;d++)b<arguments[d]&&(b=arguments[d]);a.set_float(b)};g.prototype.min=function(a){var b=arguments[1],d,c;d=2;for(c=arguments.length;d<c;d++)b>arguments[d]&&(b=arguments[d]);
a.set_float(b)};g.prototype.dt=function(a){a.set_float(this.runtime.dt)};g.prototype.timescale=function(a){a.set_float(this.runtime.timescale)};g.prototype.wallclocktime=function(a){a.set_float((Date.now()-this.runtime.start_time)/1E3)};g.prototype.time=function(a){a.set_float(this.runtime.kahanTime.sum)};g.prototype.tickcount=function(a){a.set_int(this.runtime.tickcount)};g.prototype.objectcount=function(a){a.set_int(this.runtime.objectcount)};g.prototype.fps=function(a){a.set_int(this.runtime.fps)};
g.prototype.loopindex=function(a,b){var d,c,f;if(this.runtime.loop_stack.length)if(b){c=0;for(f=this.runtime.loop_stack.length;c<f;c++)if(d=this.runtime.loop_stack[c],d.name===b){a.set_int(d.index);return}a.set_int(0)}else d=this.runtime.getCurrentLoop(),a.set_int(d?d.index:-1);else a.set_int(0)};g.prototype.distance=function(a,b,d,c,f){a.set_float(cr.distanceTo(b,d,c,f))};g.prototype.angle=function(a,b,d,c,f){a.set_float(cr.to_degrees(cr.angleTo(b,d,c,f)))};g.prototype.scrollx=function(a){a.set_float(this.runtime.running_layout.scrollX)};
g.prototype.scrolly=function(a){a.set_float(this.runtime.running_layout.scrollY)};g.prototype.newline=function(a){a.set_string("\n")};g.prototype.lerp=function(a,b,d,c){a.set_float(cr.lerp(b,d,c))};g.prototype.windowwidth=function(a){a.set_int(this.runtime.width)};g.prototype.windowheight=function(a){a.set_int(this.runtime.height)};g.prototype.uppercase=function(a,b){a.set_string(cr.is_string(b)?b.toUpperCase():"")};g.prototype.lowercase=function(a,b){a.set_string(cr.is_string(b)?b.toLowerCase():
"")};g.prototype.clamp=function(a,b,d,c){b<d?a.set_float(d):b>c?a.set_float(c):a.set_float(b)};g.prototype.layerscale=function(a,b){var d=this.runtime.getLayer(b);d?a.set_float(d.scale):a.set_float(0)};g.prototype.layeropacity=function(a,b){var d=this.runtime.getLayer(b);d?a.set_float(100*d.opacity):a.set_float(0)};g.prototype.layerscalerate=function(a,b){var d=this.runtime.getLayer(b);d?a.set_float(d.zoomRate):a.set_float(0)};g.prototype.layerparallaxx=function(a,b){var d=this.runtime.getLayer(b);
d?a.set_float(100*d.parallaxX):a.set_float(0)};g.prototype.layerparallaxy=function(a,b){var d=this.runtime.getLayer(b);d?a.set_float(100*d.parallaxY):a.set_float(0)};g.prototype.layoutscale=function(a){this.runtime.running_layout?a.set_float(this.runtime.running_layout.scale):a.set_float(0)};g.prototype.layoutangle=function(a){a.set_float(cr.to_degrees(this.runtime.running_layout.angle))};g.prototype.layerangle=function(a,b){var d=this.runtime.getLayer(b);d?a.set_float(cr.to_degrees(d.angle)):a.set_float(0)};
g.prototype.layoutwidth=function(a){a.set_int(this.runtime.running_layout.width)};g.prototype.layoutheight=function(a){a.set_int(this.runtime.running_layout.height)};g.prototype.find=function(a,b,d){cr.is_string(b)&&cr.is_string(d)?a.set_int(b.search(RegExp(cr.regexp_escape(d),"i"))):a.set_int(-1)};g.prototype.left=function(a,b,d){a.set_string(cr.is_string(b)?b.substr(0,d):"")};g.prototype.right=function(a,b,d){a.set_string(cr.is_string(b)?b.substr(b.length-d):"")};g.prototype.mid=function(a,b,d,
c){a.set_string(cr.is_string(b)?b.substr(d,c):"")};g.prototype.tokenat=function(a,b,d,c){cr.is_string(b)&&cr.is_string(c)?(b=b.split(c),d=cr.floor(d),0>d||d>=b.length?a.set_string(""):a.set_string(b[d])):a.set_string("")};g.prototype.tokencount=function(a,b,d){cr.is_string(b)&&b.length?a.set_int(b.split(d).length):a.set_int(0)};g.prototype.replace=function(a,b,d,c){cr.is_string(b)&&cr.is_string(d)&&cr.is_string(c)?a.set_string(b.replace(RegExp(cr.regexp_escape(d),"gi"),c)):a.set_string(cr.is_string(b)?
b:"")};g.prototype.trim=function(a,b){a.set_string(cr.is_string(b)?b.trim():"")};g.prototype.pi=function(a){a.set_float(cr.PI)};g.prototype.layoutname=function(a){this.runtime.running_layout?a.set_string(this.runtime.running_layout.name):a.set_string("")};g.prototype.renderer=function(a){a.set_string(this.runtime.gl?"webgl":"canvas2d")};g.prototype.anglediff=function(a,b,d){a.set_float(cr.to_degrees(cr.angleDiff(cr.to_radians(b),cr.to_radians(d))))};g.prototype.choose=function(a){var b=cr.floor(Math.random()*
(arguments.length-1));a.set_any(arguments[b+1])};g.prototype.rgb=function(a,b,d,c){a.set_int(cr.RGB(b,d,c))};g.prototype.projectversion=function(a){a.set_string(this.runtime.versionstr)};g.prototype.anglelerp=function(a,b,d,c){b=cr.to_radians(b);d=cr.to_radians(d);var f=cr.angleDiff(b,d);cr.angleClockwise(d,b)?a.set_float(cr.to_clamped_degrees(b+f*c)):a.set_float(cr.to_clamped_degrees(b-f*c))};g.prototype.anglerotate=function(a,b,d,c){b=cr.to_radians(b);d=cr.to_radians(d);c=cr.to_radians(c);a.set_float(cr.to_clamped_degrees(cr.angleRotate(b,
d,c)))};g.prototype.zeropad=function(a,b,d){var c=0>b?"-":"";0>b&&(b=-b);d-=b.toString().length;for(var f=0;f<d;f++)c+="0";a.set_string(c+b.toString())};g.prototype.cpuutilisation=function(a){a.set_float(this.runtime.cpuutilisation/1E3)};g.prototype.viewportleft=function(a,b){var d=this.runtime.getLayer(b);a.set_float(d?d.viewLeft:0)};g.prototype.viewporttop=function(a,b){var d=this.runtime.getLayer(b);a.set_float(d?d.viewTop:0)};g.prototype.viewportright=function(a,b){var d=this.runtime.getLayer(b);
a.set_float(d?d.viewRight:0)};g.prototype.viewportbottom=function(a,b){var d=this.runtime.getLayer(b);a.set_float(d?d.viewBottom:0)};g.prototype.loadingprogress=function(a){a.set_float(this.runtime.loadingprogress)};g.prototype.unlerp=function(a,b,d,c){a.set_float(cr.unlerp(b,d,c))};g.prototype.canvassnapshot=function(a){a.set_string(this.runtime.snapshotData)};g.prototype.urlencode=function(a,b){a.set_string(encodeURIComponent(b))};g.prototype.urldecode=function(a,b){a.set_string(decodeURIComponent(b))};
g.prototype.canvastolayerx=function(a,b,d,c){b=this.runtime.getLayer(b);a.set_float(b?b.canvasToLayer(d,c,!0):0)};g.prototype.canvastolayery=function(a,b,d,c){b=this.runtime.getLayer(b);a.set_float(b?b.canvasToLayer(d,c,!1):0)};g.prototype.layertocanvasx=function(a,b,d,c){b=this.runtime.getLayer(b);a.set_float(b?b.layerToCanvas(d,c,!0):0)};g.prototype.layertocanvasy=function(a,b,d,c){b=this.runtime.getLayer(b);a.set_float(b?b.layerToCanvas(d,c,!1):0)};g.prototype.savestatejson=function(a){a.set_string(this.runtime.lastSaveJson)};
g.prototype.imagememoryusage=function(a){this.runtime.glwrap?a.set_float(Math.round(100*this.runtime.glwrap.estimateVRAM()/1048576)/100):a.set_float(0)};g.prototype.regexsearch=function(a,b,d,c){d=e(d,c);a.set_int(b?b.search(d):-1)};g.prototype.regexreplace=function(a,b,d,c,f){d=e(d,c);a.set_string(b?b.replace(d,f):"")};var w=[],q="",u="",y="";g.prototype.regexmatchcount=function(a,d,c,f){e(c,f);b(d,c,f);a.set_int(w?w.length:0)};g.prototype.regexmatchat=function(a,d,c,f,h){h=Math.floor(h);e(c,f);
b(d,c,f);!w||0>h||h>=w.length?a.set_string(""):a.set_string(w[h])};g.prototype.infinity=function(a){a.set_float(Infinity)};g.prototype.setbit=function(a,b,d,c){d|=0;a.set_int((b|0)&~(1<<d)|(0!==c?1:0)<<d)};g.prototype.togglebit=function(a,b,d){a.set_int((b|0)^1<<(d|0))};g.prototype.getbit=function(a,b,d){a.set_int((b|0)&1<<(d|0)?1:0)};l.exps=new g;l.runWaits=function(){var a,b,d,c,f,h,e=this.runtime.getCurrentEventStack();a=0;for(d=this.waits.length;a<d;a++)if(c=this.waits[a],!(c.time>this.runtime.kahanTime.sum)){e.current_event=
c.ev;e.actindex=c.actindex;e.cndindex=0;for(b in c.sols)c.sols.hasOwnProperty(b)&&(f=this.runtime.types_by_index[parseInt(b,10)].getCurrentSol(),h=c.sols[b],f.select_all=h.sa,cr.shallowAssignArray(f.instances,h.insts),f=h,f.insts.length=0,s.push(f));c.ev.resume_actions_and_subevents();this.runtime.clearSol(c.solModifiers);c.deleteme=!0}b=a=0;for(d=this.waits.length;a<d;a++)c=this.waits[a],this.waits[b]=c,c.deleteme?(cr.wipe(c.sols),c.solModifiers.length=0,t.push(c)):b++;this.waits.length=b}})();
(function(){cr.add_common_aces=function(a){var e=a[0].prototype,k=a[1],g=a[3],b=a[4],l=a[5],n=a[6],d=a[7];a=a[8];e.cnds||(e.cnds={});e.acts||(e.acts={});e.exps||(e.exps={});var h=e.cnds,f=e.acts,e=e.exps;g&&(h.CompareX=function(a,b){return cr.do_cmp(this.x,a,b)},h.CompareY=function(a,b){return cr.do_cmp(this.y,a,b)},h.IsOnScreen=function(){var a=this.layer;this.update_bbox();var b=this.bbox;return!(b.right<a.viewLeft||b.bottom<a.viewTop||b.left>a.viewRight||b.top>a.viewBottom)},h.IsOutsideLayout=
function(){this.update_bbox();var a=this.bbox,b=this.runtime.running_layout;return 0>a.right||0>a.bottom||a.left>b.width||a.top>b.height},h.PickDistance=function(a,b,d){var c=this.getCurrentSol(),f=c.getObjects();if(!f.length)return!1;var h=f[0],e=h,g=cr.distanceTo(h.x,h.y,b,d),l,k,n;l=1;for(k=f.length;l<k;l++)if(h=f[l],n=cr.distanceTo(h.x,h.y,b,d),0===a&&n<g||1===a&&n>g)g=n,e=h;c.pick_one(e);return!0},f.SetX=function(a){this.x!==a&&(this.x=a,this.set_bbox_changed())},f.SetY=function(a){this.y!==
a&&(this.y=a,this.set_bbox_changed())},f.SetPos=function(a,b){if(this.x!==a||this.y!==b)this.x=a,this.y=b,this.set_bbox_changed()},f.SetPosToObject=function(a,b){var d=a.getPairedInstance(this);if(d){var c;d.getImagePoint?(c=d.getImagePoint(b,!0),d=d.getImagePoint(b,!1)):(c=d.x,d=d.y);if(this.x!==c||this.y!==d)this.x=c,this.y=d,this.set_bbox_changed()}},f.MoveForward=function(a){0!==a&&(this.x+=Math.cos(this.angle)*a,this.y+=Math.sin(this.angle)*a,this.set_bbox_changed())},f.MoveAtAngle=function(a,
b){0!==b&&(this.x+=Math.cos(cr.to_radians(a))*b,this.y+=Math.sin(cr.to_radians(a))*b,this.set_bbox_changed())},e.X=function(a){a.set_float(this.x)},e.Y=function(a){a.set_float(this.y)},e.dt=function(a){a.set_float(this.runtime.getDt(this))});b&&(h.CompareWidth=function(a,b){return cr.do_cmp(this.width,a,b)},h.CompareHeight=function(a,b){return cr.do_cmp(this.height,a,b)},f.SetWidth=function(a){this.width!==a&&(this.width=a,this.set_bbox_changed())},f.SetHeight=function(a){this.height!==a&&(this.height=
a,this.set_bbox_changed())},f.SetSize=function(a,b){if(this.width!==a||this.height!==b)this.width=a,this.height=b,this.set_bbox_changed()},e.Width=function(a){a.set_float(this.width)},e.Height=function(a){a.set_float(this.height)},e.BBoxLeft=function(a){this.update_bbox();a.set_float(this.bbox.left)},e.BBoxTop=function(a){this.update_bbox();a.set_float(this.bbox.top)},e.BBoxRight=function(a){this.update_bbox();a.set_float(this.bbox.right)},e.BBoxBottom=function(a){this.update_bbox();a.set_float(this.bbox.bottom)});
l&&(h.AngleWithin=function(a,b){return cr.angleDiff(this.angle,cr.to_radians(b))<=cr.to_radians(a)},h.IsClockwiseFrom=function(a){return cr.angleClockwise(this.angle,cr.to_radians(a))},h.IsBetweenAngles=function(a,b){var d=cr.to_clamped_radians(a),c=cr.to_clamped_radians(b),f=cr.clamp_angle(this.angle);return cr.angleClockwise(c,d)?cr.angleClockwise(f,d)&&!cr.angleClockwise(f,c):!(!cr.angleClockwise(f,d)&&cr.angleClockwise(f,c))},f.SetAngle=function(a){a=cr.to_radians(cr.clamp_angle_degrees(a));isNaN(a)||
this.angle===a||(this.angle=a,this.set_bbox_changed())},f.RotateClockwise=function(a){0===a||isNaN(a)||(this.angle+=cr.to_radians(a),this.angle=cr.clamp_angle(this.angle),this.set_bbox_changed())},f.RotateCounterclockwise=function(a){0===a||isNaN(a)||(this.angle-=cr.to_radians(a),this.angle=cr.clamp_angle(this.angle),this.set_bbox_changed())},f.RotateTowardAngle=function(a,b){var d=cr.angleRotate(this.angle,cr.to_radians(b),cr.to_radians(a));isNaN(d)||this.angle===d||(this.angle=d,this.set_bbox_changed())},
f.RotateTowardPosition=function(a,b,d){b=Math.atan2(d-this.y,b-this.x);a=cr.angleRotate(this.angle,b,cr.to_radians(a));isNaN(a)||this.angle===a||(this.angle=a,this.set_bbox_changed())},f.SetTowardPosition=function(a,b){var d=Math.atan2(b-this.y,a-this.x);isNaN(d)||this.angle===d||(this.angle=d,this.set_bbox_changed())},e.Angle=function(a){a.set_float(cr.to_clamped_degrees(this.angle))});k||(h.CompareInstanceVar=function(a,b,d){return cr.do_cmp(this.instance_vars[a],b,d)},h.IsBoolInstanceVarSet=function(a){return this.instance_vars[a]},
h.PickInstVarHiLow=function(a,b){var d=this.getCurrentSol(),c=d.getObjects();if(!c.length)return!1;var f=c[0],h=f,e=f.instance_vars[b],g,l,k;g=1;for(l=c.length;g<l;g++)if(f=c[g],k=f.instance_vars[b],0===a&&k<e||1===a&&k>e)e=k,h=f;d.pick_one(h);return!0},h.PickByUID=function(a){var b,d,c,f,h;if(this.runtime.getCurrentCondition().inverted){h=this.getCurrentSol();if(h.select_all)for(h.select_all=!1,h.instances.length=0,h.else_instances.length=0,c=this.instances,b=0,d=c.length;b<d;b++)f=c[b],f.uid===
a?h.else_instances.push(f):h.instances.push(f);else{c=b=0;for(d=h.instances.length;b<d;b++)f=h.instances[b],h.instances[c]=f,f.uid===a?h.else_instances.push(f):c++;h.instances.length=c}this.applySolToContainer();return!!h.instances.length}f=this.runtime.getObjectByUID(a);if(!f)return!1;h=this.getCurrentSol();if(!h.select_all&&-1===h.instances.indexOf(f))return!1;if(this.is_family)for(a=f.type.families,b=0,d=a.length;b<d;b++){if(a[b]===this)return h.pick_one(f),this.applySolToContainer(),!0}else if(f.type===
this)return h.pick_one(f),this.applySolToContainer(),!0;return!1},h.OnCreated=function(){return!0},h.OnDestroyed=function(){return!0},f.SetInstanceVar=function(a,b){var d=this.instance_vars;cr.is_number(d[a])?cr.is_number(b)?d[a]=b:d[a]=parseFloat(b):cr.is_string(d[a])&&(cr.is_string(b)?d[a]=b:d[a]=b.toString())},f.AddInstanceVar=function(a,b){var d=this.instance_vars;cr.is_number(d[a])?cr.is_number(b)?d[a]+=b:d[a]+=parseFloat(b):cr.is_string(d[a])&&(cr.is_string(b)?d[a]+=b:d[a]+=b.toString())},f.SubInstanceVar=
function(a,b){var d=this.instance_vars;cr.is_number(d[a])&&(cr.is_number(b)?d[a]-=b:d[a]-=parseFloat(b))},f.SetBoolInstanceVar=function(a,b){this.instance_vars[a]=b?1:0},f.ToggleBoolInstanceVar=function(a){this.instance_vars[a]=1-this.instance_vars[a]},f.Destroy=function(){this.runtime.DestroyInstance(this)},f.LoadFromJsonString||(f.LoadFromJsonString=function(a){var b,d;try{b=JSON.parse(a)}catch(c){return}this.runtime.loadInstanceFromJSON(this,b,!0);this.afterLoad&&this.afterLoad();if(this.behavior_insts)for(a=
0,b=this.behavior_insts.length;a<b;++a)d=this.behavior_insts[a],d.afterLoad&&d.afterLoad()}),e.Count=function(a){var b=a.object_class.instances.length,d,c,f;d=0;for(c=this.runtime.createRow.length;d<c;d++)f=this.runtime.createRow[d],a.object_class.is_family?0<=f.type.families.indexOf(a.object_class)&&b++:f.type===a.object_class&&b++;a.set_int(b)},e.PickedCount=function(a){a.set_int(a.object_class.getCurrentSol().getObjects().length)},e.UID=function(a){a.set_int(this.uid)},e.IID=function(a){a.set_int(this.get_iid())},
e.AsJSON||(e.AsJSON=function(a){a.set_string(JSON.stringify(this.runtime.saveInstanceToJSON(this,!0)))}));n&&(h.IsVisible=function(){return this.visible},f.SetVisible=function(a){!a!==!this.visible&&(this.visible=a,this.runtime.redraw=!0)},h.CompareOpacity=function(a,b){return cr.do_cmp(cr.round6dp(100*this.opacity),a,b)},f.SetOpacity=function(a){a/=100;0>a?a=0:1<a&&(a=1);a!==this.opacity&&(this.opacity=a,this.runtime.redraw=!0)},e.Opacity=function(a){a.set_float(cr.round6dp(100*this.opacity))});
d&&(h.IsOnLayer=function(a){return a?this.layer===a:!1},h.PickTopBottom=function(a){var b=this.getCurrentSol(),d=b.getObjects();if(!d.length)return!1;var c=d[0],f=c,h,e;h=1;for(e=d.length;h<e;h++)if(c=d[h],0===a){if(c.layer.index>f.layer.index||c.layer.index===f.layer.index&&c.get_zindex()>f.get_zindex())f=c}else if(c.layer.index<f.layer.index||c.layer.index===f.layer.index&&c.get_zindex()<f.get_zindex())f=c;b.pick_one(f);return!0},f.MoveToTop=function(){var a=this.get_zindex();a!==this.layer.instances.length-
1&&(cr.arrayRemove(this.layer.instances,a),this.layer.instances.push(this),this.runtime.redraw=!0,this.layer.zindices_stale=!0)},f.MoveToBottom=function(){var a=this.get_zindex();0!==a&&(cr.arrayRemove(this.layer.instances,a),this.layer.instances.unshift(this),this.runtime.redraw=!0,this.layer.zindices_stale=!0)},f.MoveToLayer=function(a){a&&a!=this.layer&&(cr.arrayRemove(this.layer.instances,this.get_zindex()),this.layer.zindices_stale=!0,this.layer=a,this.zindex=a.instances.length,a.instances.push(this),
this.runtime.redraw=!0)},f.ZMoveToObject=function(a,b){var d=0===a;if(b){var c=b.getFirstPicked(this);if(c&&c.uid!==this.uid){this.layer.index!==c.layer.index&&(cr.arrayRemove(this.layer.instances,this.get_zindex()),this.layer.zindices_stale=!0,this.layer=c.layer,this.zindex=c.layer.instances.length,c.layer.instances.push(this));var f=this.get_zindex(),c=c.get_zindex();cr.arrayRemove(this.layer.instances,f);f<c&&c--;d&&c++;c===this.layer.instances.length?this.layer.instances.push(this):this.layer.instances.splice(c,
0,this);this.layer.zindices_stale=!0;this.runtime.redraw=!0}}},e.LayerNumber=function(a){a.set_int(this.layer.number)},e.LayerName=function(a){a.set_string(this.layer.name)},e.ZIndex=function(a){a.set_int(this.get_zindex())});a&&(f.SetEffectEnabled=function(a,b){if(this.runtime.glwrap){var d=this.type.getEffectIndexByName(b);if(!(0>d)){var c=1===a;this.active_effect_flags[d]!==c&&(this.active_effect_flags[d]=c,this.updateActiveEffects(),this.runtime.redraw=!0)}}},f.SetEffectParam=function(a,b,d){if(this.runtime.glwrap){var c=
this.type.getEffectIndexByName(a);0>c||(a=this.type.effect_types[c],c=this.effect_params[c],b=Math.floor(b),0>b||b>=c.length||(1===this.runtime.glwrap.getProgramParameterType(a.shaderindex,b)&&(d/=100),c[b]!==d&&(c[b]=d,a.active&&(this.runtime.redraw=!0))))}})};cr.set_bbox_changed=function(){this.cell_changed=this.bbox_changed=!0;this.type.any_cell_changed=!0;this.runtime.redraw=!0;var a,e,k=this.bbox_changed_callbacks;a=0;for(e=k.length;a<e;++a)k[a](this)};cr.add_bbox_changed_callback=function(a){a&&
this.bbox_changed_callbacks.push(a)};cr.update_bbox=function(){if(this.bbox_changed){var a=this.bbox,e=this.bquad;a.set(this.x,this.y,this.x+this.width,this.y+this.height);a.offset(-this.hotspotX*this.width,-this.hotspotY*this.height);this.angle?(a.offset(-this.x,-this.y),e.set_from_rotated_rect(a,this.angle),e.offset(this.x,this.y),e.bounding_box(a)):e.set_from_rect(a);a.normalize();this.bbox_changed=!1}};var a=new cr.rect(0,0,0,0);cr.update_collision_cell=function(){if(this.cell_changed&&this.collisionsEnabled){this.update_bbox();
var c=this.type.collision_grid,e=this.collcells,k=this.bbox;a.set(c.XToCell(k.left),c.YToCell(k.top),c.XToCell(k.right),c.YToCell(k.bottom));e.equals(a)||(e.right<e.left?c.update(this,null,a):c.update(this,e,a),e.copy(a),this.cell_changed=!1)}};cr.inst_contains_pt=function(a,e){return this.bbox.contains_pt(a,e)&&this.bquad.contains_pt(a,e)?this.collision_poly&&!this.collision_poly.is_empty()?(this.collision_poly.cache_poly(this.width,this.height,this.angle),this.collision_poly.contains_pt(a-this.x,
e-this.y)):!0:!1};cr.inst_get_iid=function(){this.type.updateIIDs();return this.iid};cr.inst_get_zindex=function(){this.layer.updateZIndices();return this.zindex};cr.inst_updateActiveEffects=function(){this.active_effect_types.length=0;var a,e;a=0;for(e=this.active_effect_flags.length;a<e;a++)this.active_effect_flags[a]&&this.active_effect_types.push(this.type.effect_types[a]);this.uses_shaders=!!this.active_effect_types.length};cr.inst_toString=function(){return"Inst"+this.puid};cr.type_getFirstPicked=
function(a){if(a&&a.is_contained&&a.type!=this){var e,k,g;e=0;for(k=a.siblings.length;e<k;e++)if(g=a.siblings[e],g.type==this)return g}a=this.getCurrentSol().getObjects();return a.length?a[0]:null};cr.type_getPairedInstance=function(a){var e=this.getCurrentSol().getObjects();return e.length?e[a.get_iid()%e.length]:null};cr.type_updateIIDs=function(){if(this.stale_iids&&!this.is_family){var a,e;a=0;for(e=this.instances.length;a<e;a++)this.instances[a].iid=a;var k=a,g=this.runtime.createRow;a=0;for(e=
g.length;a<e;++a)g[a].type===this&&(g[a].iid=k++);this.stale_iids=!1}};cr.type_getInstanceByIID=function(a){if(a<this.instances.length)return this.instances[a];a-=this.instances.length;var e=this.runtime.createRow,k,g;k=0;for(g=e.length;k<g;++k)if(e[k].type===this){if(0===a)return e[k];--a}return null};cr.type_getCurrentSol=function(){return this.solstack[this.cur_sol]};cr.type_pushCleanSol=function(){this.cur_sol++;this.cur_sol===this.solstack.length?this.solstack.push(new cr.selection(this)):this.solstack[this.cur_sol].select_all=
!0};cr.type_pushCopySol=function(){this.cur_sol++;this.cur_sol===this.solstack.length&&this.solstack.push(new cr.selection(this));var a=this.solstack[this.cur_sol],e=this.solstack[this.cur_sol-1];e.select_all?a.select_all=!0:(a.select_all=!1,cr.shallowAssignArray(a.instances,e.instances),cr.shallowAssignArray(a.else_instances,e.else_instances))};cr.type_popSol=function(){this.cur_sol--};cr.type_getBehaviorByName=function(a){var e,k,g,b,l,n=0;if(!this.is_family)for(e=0,k=this.families.length;e<k;e++)for(l=
this.families[e],g=0,b=l.behaviors.length;g<b;g++){if(a===l.behaviors[g].name)return this.extra.lastBehIndex=n,l.behaviors[g];n++}e=0;for(k=this.behaviors.length;e<k;e++){if(a===this.behaviors[e].name)return this.extra.lastBehIndex=n,this.behaviors[e];n++}return null};cr.type_getBehaviorIndexByName=function(a){return this.getBehaviorByName(a)?this.extra.lastBehIndex:-1};cr.type_getEffectIndexByName=function(a){var e,k;e=0;for(k=this.effect_types.length;e<k;e++)if(this.effect_types[e].name===a)return e;
return-1};cr.type_applySolToContainer=function(){if(this.is_contained&&!this.is_family){var a,e,k,g,b,l,n;this.updateIIDs();l=this.getCurrentSol();var d=l.select_all,h=(a=this.runtime.getCurrentEventStack())&&a.current_event&&a.current_event.orblock;a=0;for(e=this.container.length;a<e;a++)if(b=this.container[a],b!==this&&(b.updateIIDs(),n=b.getCurrentSol(),n.select_all=d,!d)){n.instances.length=l.instances.length;k=0;for(g=l.instances.length;k<g;k++)n.instances[k]=b.getInstanceByIID(l.instances[k].iid);
if(h)for(n.else_instances.length=l.else_instances.length,k=0,g=l.else_instances.length;k<g;k++)n.else_instances[k]=b.getInstanceByIID(l.else_instances[k].iid)}}};cr.type_toString=function(){return"Type"+this.sid};cr.do_cmp=function(a,e,k){if("undefined"===typeof a||"undefined"===typeof k)return!1;switch(e){case 0:return a===k;case 1:return a!==k;case 2:return a<k;case 3:return a<=k;case 4:return a>k;case 5:return a>=k;default:return!1}}})();cr.shaders={};window.cr_cjs_accelerated_physics=!0;
cr.plugins_.Arr=function(a){this.runtime=a};
(function(){function a(){return d.length?d.pop():[]}function c(a){var b,e;b=0;for(e=a.length;b<e;b++)Array.isArray(a[b])&&c(a[b]);a.length=0;d.push(a)}function e(){}function k(){}function g(a,b){if(cr.is_number(a)&&cr.is_number(b))return a-b;var d=""+a,c=""+b;return d<c?-1:d>c?1:0}function b(){}var l=cr.plugins_.Arr.prototype;l.Type=function(a){this.plugin=a;this.runtime=a.runtime};l.Type.prototype.onCreate=function(){};l.Instance=function(a){this.type=a;this.runtime=a.runtime};var n=l.Instance.prototype,
d=[];Array.isArray||(Array.isArray=function(a){return"[object Array]"===Object.prototype.toString.call(a)});n.onCreate=function(){this.cx=this.properties[0];this.cy=this.properties[1];this.cz=this.properties[2];this.recycled||(this.arr=a());var b=this.arr;b.length=this.cx;var d,c,e;for(d=0;d<this.cx;d++)for(b[d]||(b[d]=a()),b[d].length=this.cy,c=0;c<this.cy;c++)for(b[d][c]||(b[d][c]=a()),b[d][c].length=this.cz,e=0;e<this.cz;e++)b[d][c][e]=0;this.forZ=this.forY=this.forX=0};n.onDestroy=function(){var a;
for(a=0;a<this.cx;a++)c(this.arr[a]);this.arr.length=0};n.at=function(a,b,d){a=Math.floor(a);b=Math.floor(b);d=Math.floor(d);return isNaN(a)||0>a||a>this.cx-1||isNaN(b)||0>b||b>this.cy-1||isNaN(d)||0>d||d>this.cz-1?0:this.arr[a][b][d]};n.set=function(a,b,d,c){a=Math.floor(a);b=Math.floor(b);d=Math.floor(d);isNaN(a)||0>a||a>this.cx-1||isNaN(b)||0>b||b>this.cy-1||isNaN(d)||0>d||d>this.cz-1||(this.arr[a][b][d]=c)};n.getAsJSON=function(){return JSON.stringify({c2array:!0,size:[this.cx,this.cy,this.cz],
data:this.arr})};n.saveToJSON=function(){return{size:[this.cx,this.cy,this.cz],data:this.arr}};n.loadFromJSON=function(a){var b=a.size;this.cx=b[0];this.cy=b[1];this.cz=b[2];this.arr=a.data};n.setSize=function(b,d,c){0>b&&(b=0);0>d&&(d=0);0>c&&(c=0);if(this.cx!==b||this.cy!==d||this.cz!==c){this.cx=b;this.cy=d;this.cz=c;var e,g,l=this.arr;l.length=b;for(b=0;b<this.cx;b++)for(cr.is_undefined(l[b])&&(l[b]=a()),l[b].length=d,e=0;e<this.cy;e++)for(cr.is_undefined(l[b][e])&&(l[b][e]=a()),l[b][e].length=
c,g=0;g<this.cz;g++)cr.is_undefined(l[b][e][g])&&(l[b][e][g]=0)}};e.prototype.CompareX=function(a,b,d){return cr.do_cmp(this.at(a,0,0),b,d)};e.prototype.CompareXY=function(a,b,d,c){return cr.do_cmp(this.at(a,b,0),d,c)};e.prototype.CompareXYZ=function(a,b,d,c,e){return cr.do_cmp(this.at(a,b,d),c,e)};n.doForEachTrigger=function(a){this.runtime.pushCopySol(a.solModifiers);a.retrigger();this.runtime.popSol(a.solModifiers)};e.prototype.ArrForEach=function(a){var b=this.runtime.getCurrentEventStack().current_event;
this.forZ=this.forY=this.forX=0;switch(a){case 0:for(this.forX=0;this.forX<this.cx;this.forX++)for(this.forY=0;this.forY<this.cy;this.forY++)for(this.forZ=0;this.forZ<this.cz;this.forZ++)this.doForEachTrigger(b);break;case 1:for(this.forX=0;this.forX<this.cx;this.forX++)for(this.forY=0;this.forY<this.cy;this.forY++)this.doForEachTrigger(b);break;case 2:for(this.forX=0;this.forX<this.cx;this.forX++)this.doForEachTrigger(b)}this.forZ=this.forY=this.forX=0;return!1};e.prototype.CompareCurrent=function(a,
b){return cr.do_cmp(this.at(this.forX,this.forY,this.forZ),a,b)};e.prototype.Contains=function(a){var b,d,c;for(b=0;b<this.cx;b++)for(d=0;d<this.cy;d++)for(c=0;c<this.cz;c++)if(this.arr[b][d][c]===a)return!0;return!1};e.prototype.IsEmpty=function(){return 0===this.cx||0===this.cy||0===this.cz};l.cnds=new e;k.prototype.Clear=function(){var a,b,d;for(a=0;a<this.cx;a++)for(b=0;b<this.cy;b++)for(d=0;d<this.cz;d++)this.arr[a][b][d]=0};k.prototype.SetSize=function(a,b,d){this.setSize(a,b,d)};k.prototype.SetX=
function(a,b){this.set(a,0,0,b)};k.prototype.SetXY=function(a,b,d){this.set(a,b,0,d)};k.prototype.SetXYZ=function(a,b,d,c){this.set(a,b,d,c)};k.prototype.Push=function(b,d,c){var e=0,g=0,l=0,k=this.arr;switch(c){case 0:0===b?(e=k.length,k.push(a())):(e=0,k.unshift(a()));for(k[e].length=this.cy;g<this.cy;g++)for(k[e][g]=a(),k[e][g].length=this.cz,l=0;l<this.cz;l++)k[e][g][l]=d;this.cx++;break;case 1:for(;e<this.cx;e++)for(0===b?(g=k[e].length,k[e].push(a())):(g=0,k[e].unshift(a())),k[e][g].length=
this.cz,l=0;l<this.cz;l++)k[e][g][l]=d;this.cy++;break;case 2:for(;e<this.cx;e++)for(g=0;g<this.cy;g++)0===b?k[e][g].push(d):k[e][g].unshift(d);this.cz++}};k.prototype.Pop=function(a,b){var d=0,e=0,g=this.arr;switch(b){case 0:if(0===this.cx)break;0===a?c(g.pop()):c(g.shift());this.cx--;break;case 1:if(0===this.cy)break;for(;d<this.cx;d++)0===a?c(g[d].pop()):c(g[d].shift());this.cy--;break;case 2:if(0===this.cz)break;for(;d<this.cx;d++)for(e=0;e<this.cy;e++)0===a?g[d][e].pop():g[d][e].shift();this.cz--}};
k.prototype.Reverse=function(a){var b=0,d=0,c=this.arr;if(0!==this.cx&&0!==this.cy&&0!==this.cz)switch(a){case 0:c.reverse();break;case 1:for(;b<this.cx;b++)c[b].reverse();break;case 2:for(;b<this.cx;b++)for(d=0;d<this.cy;d++)c[b][d].reverse();this.cz--}};k.prototype.Sort=function(a){var b=0,d=0,c=this.arr;if(0!==this.cx&&0!==this.cy&&0!==this.cz)switch(a){case 0:c.sort(function(a,b){return g(a[0][0],b[0][0])});break;case 1:for(;b<this.cx;b++)c[b].sort(function(a,b){return g(a[0],b[0])});break;case 2:for(;b<
this.cx;b++)for(d=0;d<this.cy;d++)c[b][d].sort(g)}};k.prototype.Delete=function(a,b){var d=0,e=0;a=Math.floor(a);var g=this.arr;if(!(0>a))switch(b){case 0:if(a>=this.cx)break;c(g[a]);g.splice(a,1);this.cx--;break;case 1:if(a>=this.cy)break;for(;d<this.cx;d++)c(g[d][a]),g[d].splice(a,1);this.cy--;break;case 2:if(a>=this.cz)break;for(;d<this.cx;d++)for(e=0;e<this.cy;e++)g[d][e].splice(a,1);this.cz--}};k.prototype.Insert=function(b,d,c){var e=0,g=0,l=0;d=Math.floor(d);var k=this.arr;if(!(0>d))switch(c){case 0:if(d>
this.cx)break;e=d;k.splice(e,0,a());for(k[e].length=this.cy;g<this.cy;g++)for(k[e][g]=a(),k[e][g].length=this.cz,l=0;l<this.cz;l++)k[e][g][l]=b;this.cx++;break;case 1:if(d>this.cy)break;for(;e<this.cx;e++)for(g=d,k[e].splice(g,0,a()),k[e][g].length=this.cz,l=0;l<this.cz;l++)k[e][g][l]=b;this.cy++;break;case 2:if(d>this.cz)break;for(;e<this.cx;e++)for(g=0;g<this.cy;g++)k[e][g].splice(d,0,b);this.cz++}};k.prototype.JSONLoad=function(a){var b;try{b=JSON.parse(a)}catch(d){return}b.c2array&&(a=b.size,
this.cx=a[0],this.cy=a[1],this.cz=a[2],this.arr=b.data)};k.prototype.JSONDownload=function(a){var b=document.createElement("a");if("undefined"===typeof b.download)b="data:text/html,"+encodeURIComponent("<p><a download='"+a+"' href=\"data:application/json,"+encodeURIComponent(this.getAsJSON())+'">Download link</a></p>'),window.open(b);else{var d=document.getElementsByTagName("body")[0];b.textContent=a;b.href="data:application/json,"+encodeURIComponent(this.getAsJSON());b.download=a;d.appendChild(b);
a=document.createEvent("MouseEvent");a.initMouseEvent("click",!0,!0,window,0,0,0,0,0,!1,!1,!1,!1,0,null);b.dispatchEvent(a);d.removeChild(b)}};l.acts=new k;b.prototype.At=function(a,b,d,c){a.set_any(this.at(b,d||0,c||0))};b.prototype.Width=function(a){a.set_int(this.cx)};b.prototype.Height=function(a){a.set_int(this.cy)};b.prototype.Depth=function(a){a.set_int(this.cz)};b.prototype.CurX=function(a){a.set_int(this.forX)};b.prototype.CurY=function(a){a.set_int(this.forY)};b.prototype.CurZ=function(a){a.set_int(this.forZ)};
b.prototype.CurValue=function(a){a.set_any(this.at(this.forX,this.forY,this.forZ))};b.prototype.Front=function(a){a.set_any(this.at(0,0,0))};b.prototype.Back=function(a){a.set_any(this.at(this.cx-1,0,0))};b.prototype.IndexOf=function(a,b){for(var d=0;d<this.cx;d++)if(this.arr[d][0][0]===b){a.set_int(d);return}a.set_int(-1)};b.prototype.LastIndexOf=function(a,b){for(var d=this.cx-1;0<=d;d--)if(this.arr[d][0][0]===b){a.set_int(d);return}a.set_int(-1)};b.prototype.AsJSON=function(a){a.set_string(this.getAsJSON())};
l.exps=new b})();cr.plugins_.Audio=function(a){this.runtime=a};
(function(){function a(a){a=Math.pow(10,a/20);0>a&&(a=0);1<a&&(a=1);return a}function c(a){0>a&&(a=0);1<a&&(a=1);return 20*(Math.log(a)/Math.log(10))}function e(a){a=a.toLowerCase();return P.hasOwnProperty(a)&&P[a].length?P[a][0].getInputNode():G.destination}function k(){return G.createGain?G.createGain():G.createGainNode()}function g(a){return G.createDelay?G.createDelay(a):G.createDelayNode(a)}function b(a){a.start?a.start(0):a.noteOn(0)}function l(a,b,d){a.start?a.start(0,b):a.noteGrainOn(0,b,
d-b)}function n(a){try{a.stop?a.stop(0):a.noteOff(0)}catch(b){}}function d(a,b,d,c){if(a)if(a.cancelScheduledValues(0),0===c)a.value=b;else{var f=G.currentTime;c+=f;switch(d){case 0:a.setValueAtTime(b,c);break;case 1:a.setValueAtTime(a.value,f);a.linearRampToValueAtTime(b,c);break;case 2:a.setValueAtTime(a.value,f),a.exponentialRampToValueAtTime(b,c)}}}function h(a,b,d,c,f,h){this.type="filter";this.params=[a,b,d,c,f,h];this.inputNode=k();this.wetNode=k();this.wetNode.gain.value=h;this.dryNode=k();
this.dryNode.gain.value=1-h;this.filterNode=G.createBiquadFilter();this.filterNode.type="number"===typeof this.filterNode.type?a:la[a];this.filterNode.frequency.value=b;this.filterNode.detune&&(this.filterNode.detune.value=d);this.filterNode.Q.value=c;this.filterNode.gain.value=f;this.inputNode.connect(this.filterNode);this.inputNode.connect(this.dryNode);this.filterNode.connect(this.wetNode)}function f(a,b,d){this.type="delay";this.params=[a,b,d];this.inputNode=k();this.wetNode=k();this.wetNode.gain.value=
d;this.dryNode=k();this.dryNode.gain.value=1-d;this.mainNode=k();this.delayNode=g(a);this.delayNode.delayTime.value=a;this.delayGainNode=k();this.delayGainNode.gain.value=b;this.inputNode.connect(this.mainNode);this.inputNode.connect(this.dryNode);this.mainNode.connect(this.wetNode);this.mainNode.connect(this.delayNode);this.delayNode.connect(this.delayGainNode);this.delayGainNode.connect(this.mainNode)}function p(a,b,d,c){this.type="convolve";this.params=[b,d,c];this.inputNode=k();this.wetNode=k();
this.wetNode.gain.value=d;this.dryNode=k();this.dryNode.gain.value=1-d;this.convolveNode=G.createConvolver();a&&(this.convolveNode.normalize=b,this.convolveNode.buffer=a);this.inputNode.connect(this.convolveNode);this.inputNode.connect(this.dryNode);this.convolveNode.connect(this.wetNode)}function r(a,d,c,f,h){this.type="flanger";this.params=[a,d,c,f,h];this.inputNode=k();this.dryNode=k();this.dryNode.gain.value=1-h/2;this.wetNode=k();this.wetNode.gain.value=h/2;this.feedbackNode=k();this.feedbackNode.gain.value=
f;this.delayNode=g(a+d);this.delayNode.delayTime.value=a;this.oscNode=G.createOscillator();this.oscNode.frequency.value=c;this.oscGainNode=k();this.oscGainNode.gain.value=d;this.inputNode.connect(this.delayNode);this.inputNode.connect(this.dryNode);this.delayNode.connect(this.wetNode);this.delayNode.connect(this.feedbackNode);this.feedbackNode.connect(this.delayNode);this.oscNode.connect(this.oscGainNode);this.oscGainNode.connect(this.delayNode.delayTime);b(this.oscNode)}function t(a,d,c,f,h,e){this.type=
"phaser";this.params=[a,d,c,f,h,e];this.inputNode=k();this.dryNode=k();this.dryNode.gain.value=1-e/2;this.wetNode=k();this.wetNode.gain.value=e/2;this.filterNode=G.createBiquadFilter();this.filterNode.type="number"===typeof this.filterNode.type?7:"allpass";this.filterNode.frequency.value=a;this.filterNode.detune&&(this.filterNode.detune.value=d);this.filterNode.Q.value=c;this.oscNode=G.createOscillator();this.oscNode.frequency.value=h;this.oscGainNode=k();this.oscGainNode.gain.value=f;this.inputNode.connect(this.filterNode);
this.inputNode.connect(this.dryNode);this.filterNode.connect(this.wetNode);this.oscNode.connect(this.oscGainNode);this.oscGainNode.connect(this.filterNode.frequency);b(this.oscNode)}function s(a){this.type="gain";this.params=[a];this.node=k();this.node.gain.value=a}function w(a,d){this.type="tremolo";this.params=[a,d];this.node=k();this.node.gain.value=1-d/2;this.oscNode=G.createOscillator();this.oscNode.frequency.value=a;this.oscGainNode=k();this.oscGainNode.gain.value=d/2;this.oscNode.connect(this.oscGainNode);
this.oscGainNode.connect(this.node.gain);b(this.oscNode)}function q(a,d){this.type="ringmod";this.params=[a,d];this.inputNode=k();this.wetNode=k();this.wetNode.gain.value=d;this.dryNode=k();this.dryNode.gain.value=1-d;this.ringNode=k();this.ringNode.gain.value=0;this.oscNode=G.createOscillator();this.oscNode.frequency.value=a;this.oscNode.connect(this.ringNode.gain);b(this.oscNode);this.inputNode.connect(this.ringNode);this.inputNode.connect(this.dryNode);this.ringNode.connect(this.wetNode)}function u(a,
b,d,c,f){this.type="distortion";this.params=[a,b,d,c,f];this.inputNode=k();this.preGain=k();this.postGain=k();this.setDrive(d,Math.pow(10,c/20));this.wetNode=k();this.wetNode.gain.value=f;this.dryNode=k();this.dryNode.gain.value=1-f;this.waveShaper=G.createWaveShaper();this.curve=new Float32Array(65536);this.generateColortouchCurve(a,b);this.waveShaper.curve=this.curve;this.inputNode.connect(this.preGain);this.inputNode.connect(this.dryNode);this.preGain.connect(this.waveShaper);this.waveShaper.connect(this.postGain);
this.postGain.connect(this.wetNode)}function y(a,b,d,c,f){this.type="compressor";this.params=[a,b,d,c,f];this.node=G.createDynamicsCompressor();try{this.node.threshold.value=a,this.node.knee.value=b,this.node.ratio.value=d,this.node.attack.value=c,this.node.release.value=f}catch(h){}}function B(a,b){this.type="analyser";this.params=[a,b];this.node=G.createAnalyser();this.node.fftSize=a;this.node.smoothingTimeConstant=b;this.freqBins=new Float32Array(this.node.frequencyBinCount);this.signal=new Uint8Array(a);
this.rms=this.peak=0}function m(){this.obj=null;this.loadUid=0;this.speeds=[];this.moveAngle=this.lastY=this.lastX=0}function z(a,b){this.src=a;this.myapi=L;this.is_music=b;this.added_end_listener=!1;var d=this;this.mediaSourceNode=this.outNode=null;this.panWhenReady=[];this.seekWhenReady=0;this.supportWebAudioAPI=this.pauseWhenReady=!1;L===C&&b&&(this.myapi=K,this.outNode=k());this.audioData=this.bufferObject=null;var c;switch(this.myapi){case K:this.bufferObject=new Audio;L===C&&G.createMediaElementSource&&
!F.isFirefox&&(this.supportWebAudioAPI=!0,this.bufferObject.addEventListener("canplay",function(){d.mediaSourceNode||(d.mediaSourceNode=G.createMediaElementSource(d.bufferObject),d.mediaSourceNode.connect(d.outNode))}));this.bufferObject.autoplay=!1;this.bufferObject.preload="auto";this.bufferObject.src=a;break;case C:c=new XMLHttpRequest;c.open("GET",a,!0);c.responseType="arraybuffer";c.onload=function(){d.audioData=c.response;d.decodeAudioBuffer()};c.send();break;case T:this.bufferObject=!0;break;
case W:this.bufferObject=!0}}function x(a,b){var d=this;this.tag=b;this.stopped=this.fresh=!0;this.src=a.src;this.buffer=a;this.myapi=L;this.is_music=a.is_music;this.playbackRate=1;this.pgended=!0;this.is_paused=this.resume_me=!1;this.resume_position=0;this.is_silent=this.is_muted=this.looping=!1;this.mutevol=this.volume=1;this.startTime=F.kahanTime.sum;this.pannerNode=this.gainNode=null;this.pannerEnabled=!1;this.objectTracker=null;this.panConeOuterGain=this.panConeOuter=this.panConeInner=this.panAngle=
this.panY=this.panX=0;this.instanceObject=null;var c=!1;this.myapi!==C||this.buffer.myapi!==K||this.buffer.supportWebAudioAPI||(this.myapi=K);switch(this.myapi){case K:this.is_music?(this.instanceObject=a.bufferObject,c=!a.added_end_listener,a.added_end_listener=!0):(this.instanceObject=new Audio,this.instanceObject.autoplay=!1,this.instanceObject.src=a.bufferObject.src,c=!0);c&&this.instanceObject.addEventListener("ended",function(){O=d.tag;d.stopped=!0;F.trigger(cr.plugins_.Audio.prototype.cnds.OnEnded,
R)});break;case C:this.gainNode=k();this.gainNode.connect(e(b));this.buffer.myapi===C?a.bufferObject&&(this.instanceObject=G.createBufferSource(),this.instanceObject.buffer=a.bufferObject,this.instanceObject.connect(this.gainNode)):(this.instanceObject=this.buffer.bufferObject,this.buffer.outNode.connect(this.gainNode));break;case T:this.instanceObject=new window.Media(V+this.src,null,null,function(a){a===window.Media.MEDIA_STOPPED&&(d.pgended=!0,d.stopped=!0,O=d.tag,F.trigger(cr.plugins_.Audio.prototype.cnds.OnEnded,
R))});break;case W:this.instanceObject=!0}}function A(a){Q.length=0;if(a.length){var b,d,c;b=0;for(d=N.length;b<d;b++)c=N[b],cr.equals_nocase(a,c.tag)&&Q.push(c)}else S&&!S.hasEnded()&&(Q.length=1,Q[0]=S)}function J(a){var b,d,c,f,h=G.destination;if(P.hasOwnProperty(a)&&(c=P[a],c.length))for(h=c[0].getInputNode(),b=0,d=c.length;b<d;b++)f=c[b],b+1===d?f.connectTo(G.destination):f.connectTo(c[b+1].getInputNode());A(a);b=0;for(d=Q.length;b<d;b++)Q[b].reconnect(h);ca&&ia===a&&(ca.disconnect(),ca.connect(h))}
function D(a,b){P.hasOwnProperty(a)?P[a].push(b):P[a]=[b];J(a)}function E(){}function v(){}function M(){}function I(a,b){var d=null;P.hasOwnProperty(a)&&(d=P[a]);return d&&0<=b&&b<d.length&&d[b].freqBins?d[b]:null}var H=cr.plugins_.Audio.prototype;H.Type=function(a){this.plugin=a;this.runtime=a.runtime};H.Type.prototype.onCreate=function(){};var F=null,R=null,O="",V="",K=0,C=1,T=2,W=3,L=K,G=null,da=[],N=[],S=null,X=!1,ha=0,U=!1,Y=1,Z=0,aa=0,ja=1,ka=1,ma=10,na=1E4,oa=1,ca=null,ia="",ea=!1,fa=[],P=
{},la="lowpass highpass bandpass lowshelf highshelf peaking notch allpass".split(" ");h.prototype.connectTo=function(a){this.wetNode.disconnect();this.wetNode.connect(a);this.dryNode.disconnect();this.dryNode.connect(a)};h.prototype.remove=function(){this.inputNode.disconnect();this.filterNode.disconnect();this.wetNode.disconnect();this.dryNode.disconnect()};h.prototype.getInputNode=function(){return this.inputNode};h.prototype.setParam=function(a,b,c,f){switch(a){case 0:b/=100;0>b&&(b=0);1<b&&(b=
1);this.params[5]=b;d(this.wetNode.gain,b,c,f);d(this.dryNode.gain,1-b,c,f);break;case 1:this.params[1]=b;d(this.filterNode.frequency,b,c,f);break;case 2:this.params[2]=b;d(this.filterNode.detune,b,c,f);break;case 3:this.params[3]=b;d(this.filterNode.Q,b,c,f);break;case 4:this.params[4]=b,d(this.filterNode.gain,b,c,f)}};f.prototype.connectTo=function(a){this.wetNode.disconnect();this.wetNode.connect(a);this.dryNode.disconnect();this.dryNode.connect(a)};f.prototype.remove=function(){this.inputNode.disconnect();
this.mainNode.disconnect();this.delayNode.disconnect();this.delayGainNode.disconnect();this.wetNode.disconnect();this.dryNode.disconnect()};f.prototype.getInputNode=function(){return this.inputNode};f.prototype.setParam=function(b,c,f,h){switch(b){case 0:c/=100;0>c&&(c=0);1<c&&(c=1);this.params[2]=c;d(this.wetNode.gain,c,f,h);d(this.dryNode.gain,1-c,f,h);break;case 4:this.params[1]=a(c);d(this.delayGainNode.gain,a(c),f,h);break;case 5:this.params[0]=c,d(this.delayNode.delayTime,c,f,h)}};p.prototype.connectTo=
function(a){this.wetNode.disconnect();this.wetNode.connect(a);this.dryNode.disconnect();this.dryNode.connect(a)};p.prototype.remove=function(){this.inputNode.disconnect();this.convolveNode.disconnect();this.wetNode.disconnect();this.dryNode.disconnect()};p.prototype.getInputNode=function(){return this.inputNode};p.prototype.setParam=function(a,b,c,f){switch(a){case 0:b/=100,0>b&&(b=0),1<b&&(b=1),this.params[1]=b,d(this.wetNode.gain,b,c,f),d(this.dryNode.gain,1-b,c,f)}};r.prototype.connectTo=function(a){this.dryNode.disconnect();
this.dryNode.connect(a);this.wetNode.disconnect();this.wetNode.connect(a)};r.prototype.remove=function(){this.inputNode.disconnect();this.delayNode.disconnect();this.oscNode.disconnect();this.oscGainNode.disconnect();this.dryNode.disconnect();this.wetNode.disconnect();this.feedbackNode.disconnect()};r.prototype.getInputNode=function(){return this.inputNode};r.prototype.setParam=function(a,b,c,f){switch(a){case 0:b/=100;0>b&&(b=0);1<b&&(b=1);this.params[4]=b;d(this.wetNode.gain,b/2,c,f);d(this.dryNode.gain,
1-b/2,c,f);break;case 6:this.params[1]=b/1E3;d(this.oscGainNode.gain,b/1E3,c,f);break;case 7:this.params[2]=b;d(this.oscNode.frequency,b,c,f);break;case 8:this.params[3]=b/100,d(this.feedbackNode.gain,b/100,c,f)}};t.prototype.connectTo=function(a){this.dryNode.disconnect();this.dryNode.connect(a);this.wetNode.disconnect();this.wetNode.connect(a)};t.prototype.remove=function(){this.inputNode.disconnect();this.filterNode.disconnect();this.oscNode.disconnect();this.oscGainNode.disconnect();this.dryNode.disconnect();
this.wetNode.disconnect()};t.prototype.getInputNode=function(){return this.inputNode};t.prototype.setParam=function(a,b,c,f){switch(a){case 0:b/=100;0>b&&(b=0);1<b&&(b=1);this.params[5]=b;d(this.wetNode.gain,b/2,c,f);d(this.dryNode.gain,1-b/2,c,f);break;case 1:this.params[0]=b;d(this.filterNode.frequency,b,c,f);break;case 2:this.params[1]=b;d(this.filterNode.detune,b,c,f);break;case 3:this.params[2]=b;d(this.filterNode.Q,b,c,f);break;case 6:this.params[3]=b;d(this.oscGainNode.gain,b,c,f);break;case 7:this.params[4]=
b,d(this.oscNode.frequency,b,c,f)}};s.prototype.connectTo=function(a){this.node.disconnect();this.node.connect(a)};s.prototype.remove=function(){this.node.disconnect()};s.prototype.getInputNode=function(){return this.node};s.prototype.setParam=function(b,c,f,h){switch(b){case 4:this.params[0]=a(c),d(this.node.gain,a(c),f,h)}};w.prototype.connectTo=function(a){this.node.disconnect();this.node.connect(a)};w.prototype.remove=function(){this.oscNode.disconnect();this.oscGainNode.disconnect();this.node.disconnect()};
w.prototype.getInputNode=function(){return this.node};w.prototype.setParam=function(a,b,c,f){switch(a){case 0:b/=100;0>b&&(b=0);1<b&&(b=1);this.params[1]=b;d(this.node.gain.value,1-b/2,c,f);d(this.oscGainNode.gain.value,b/2,c,f);break;case 7:this.params[0]=b,d(this.oscNode.frequency,b,c,f)}};q.prototype.connectTo=function(a){this.wetNode.disconnect();this.wetNode.connect(a);this.dryNode.disconnect();this.dryNode.connect(a)};q.prototype.remove=function(){this.oscNode.disconnect();this.ringNode.disconnect();
this.inputNode.disconnect();this.wetNode.disconnect();this.dryNode.disconnect()};q.prototype.getInputNode=function(){return this.inputNode};q.prototype.setParam=function(a,b,c,f){switch(a){case 0:b/=100;0>b&&(b=0);1<b&&(b=1);this.params[1]=b;d(this.wetNode.gain,b,c,f);d(this.dryNode.gain,1-b,c,f);break;case 7:this.params[0]=b,d(this.oscNode.frequency,b,c,f)}};u.prototype.setDrive=function(a,b){0.01>a&&(a=0.01);this.preGain.gain.value=a;this.postGain.gain.value=Math.pow(1/a,0.6)*b};u.prototype.shape=
function(a,b,d){var c=1.05*d*b-b;d=0>a?-1:1;a=0>a?-a:a;b=a<b?a:b+c*(1-Math.exp(-(1/c)*(a-b)));return b*d};u.prototype.generateColortouchCurve=function(a,b){for(var d=Math.pow(10,a/20),c=Math.pow(10,b/20),f=0,h=0;32768>h;++h)f=h/32768,f=this.shape(f,d,c),this.curve[32768+h]=f,this.curve[32768-h-1]=-f};u.prototype.connectTo=function(a){this.wetNode.disconnect();this.wetNode.connect(a);this.dryNode.disconnect();this.dryNode.connect(a)};u.prototype.remove=function(){this.inputNode.disconnect();this.preGain.disconnect();
this.waveShaper.disconnect();this.postGain.disconnect();this.wetNode.disconnect();this.dryNode.disconnect()};u.prototype.getInputNode=function(){return this.inputNode};u.prototype.setParam=function(a,b,c,f){switch(a){case 0:b/=100,0>b&&(b=0),1<b&&(b=1),this.params[4]=b,d(this.wetNode.gain,b,c,f),d(this.dryNode.gain,1-b,c,f)}};y.prototype.connectTo=function(a){this.node.disconnect();this.node.connect(a)};y.prototype.remove=function(){this.node.disconnect()};y.prototype.getInputNode=function(){return this.node};
y.prototype.setParam=function(a,b,d,c){};B.prototype.tick=function(){this.node.getFloatFrequencyData(this.freqBins);this.node.getByteTimeDomainData(this.signal);for(var a=this.node.fftSize,b=0,d=this.peak=0,f=0;b<a;b++)f=(this.signal[b]-128)/128,0>f&&(f=-f),this.peak<f&&(this.peak=f),d+=f*f;this.peak=c(this.peak);this.rms=c(Math.sqrt(d/a))};B.prototype.connectTo=function(a){this.node.disconnect();this.node.connect(a)};B.prototype.remove=function(){this.node.disconnect()};B.prototype.getInputNode=
function(){return this.node};B.prototype.setParam=function(a,b,d,c){};m.prototype.setObject=function(a){if(this.obj=a)this.lastX=this.obj.x,this.lastY=this.obj.y;this.speeds.length=0};m.prototype.hasObject=function(){return!!this.obj};m.prototype.tick=function(a){this.obj&&0!==a&&(this.moveAngle=cr.angleTo(this.lastX,this.lastY,this.obj.x,this.obj.y),a=cr.distanceTo(this.lastX,this.lastY,this.obj.x,this.obj.y)/a,4>this.speeds.length||this.speeds.shift(),this.speeds.push(a),this.lastX=this.obj.x,this.lastY=
this.obj.y)};m.prototype.getSpeed=function(){if(!this.speeds.length)return 0;var a,b,d=0;a=0;for(b=this.speeds.length;a<b;a++)d+=this.speeds[a];return d/this.speeds.length};m.prototype.getVelocityX=function(){return Math.cos(this.moveAngle)*this.getSpeed()};m.prototype.getVelocityY=function(){return Math.sin(this.moveAngle)*this.getSpeed()};var pa=!1;z.prototype.decodeAudioBuffer=function(){if(!this.bufferObject&&this.audioData){var a=this;if(G.decodeAudioData)G.decodeAudioData(this.audioData,function(b){a.bufferObject=
b;var d,c,f;if(cr.is_undefined(a.playTagWhenReady)||U)cr.is_undefined(a.convolveWhenReady)||(d=a.convolveWhenReady.convolveNode,d.normalize=a.normalizeWhenReady,d.buffer=b);else if(a.panWhenReady.length){d=0;for(c=a.panWhenReady.length;d<c;d++){b=a.panWhenReady[d];f=new x(a,b.thistag);f.setPannerEnabled(!0);if("undefined"!==typeof b.objUid&&(b.obj=F.getObjectByUID(b.objUid),!b.obj))continue;if(b.obj){var h=cr.rotatePtAround(b.obj.x,b.obj.y,-b.obj.layer.getAngle(),Z,aa,!0),e=cr.rotatePtAround(b.obj.x,
b.obj.y,-b.obj.layer.getAngle(),Z,aa,!1);f.setPan(h,e,cr.to_degrees(b.obj.angle-b.obj.layer.getAngle()),b.ia,b.oa,b.og);f.setObject(b.obj)}else f.setPan(b.x,b.y,b.a,b.ia,b.oa,b.og);f.play(a.loopWhenReady,a.volumeWhenReady,a.seekWhenReady);a.pauseWhenReady&&f.pause();N.push(f)}a.panWhenReady.length=0}else f=new x(a,a.playTagWhenReady),f.play(a.loopWhenReady,a.volumeWhenReady,a.seekWhenReady),a.pauseWhenReady&&f.pause(),N.push(f)});else if(this.bufferObject=G.createBuffer(this.audioData,!1),cr.is_undefined(this.playTagWhenReady)||
U)cr.is_undefined(this.convolveWhenReady)||(b=this.convolveWhenReady.convolveNode,b.normalize=this.normalizeWhenReady,b.buffer=this.bufferObject);else{var b=new x(this,this.playTagWhenReady);b.play(this.loopWhenReady,this.volumeWhenReady,this.seekWhenReady);this.pauseWhenReady&&b.pause();N.push(b)}}};z.prototype.isLoaded=function(){switch(this.myapi){case K:return 4===this.bufferObject.readyState;case C:return!!this.audioData;case T:return!0;case W:return!0}return!1};x.prototype.hasEnded=function(){switch(this.myapi){case K:return this.instanceObject.ended;
case C:return this.buffer.myapi===C?!this.fresh&&!this.stopped&&this.instanceObject.loop||this.is_paused?!1:F.kahanTime.sum-this.startTime>this.buffer.bufferObject.duration:this.instanceObject.ended;case T:return this.pgended;case W:!0}return!0};x.prototype.canBeRecycled=function(){return this.fresh||this.stopped?!0:this.hasEnded()};x.prototype.setPannerEnabled=function(a){L===C&&(!this.pannerEnabled&&a?this.gainNode&&(this.pannerNode||(this.pannerNode=G.createPanner(),this.pannerNode.panningModel=
"number"===typeof this.pannerNode.panningModel?ja:["equalpower","HRTF","soundfield"][ja],this.pannerNode.distanceModel="number"===typeof this.pannerNode.distanceModel?ka:["linear","inverse","exponential"][ka],this.pannerNode.refDistance=ma,this.pannerNode.maxDistance=na,this.pannerNode.rolloffFactor=oa),this.gainNode.disconnect(),this.gainNode.connect(this.pannerNode),this.pannerNode.connect(e(this.tag)),this.pannerEnabled=!0):this.pannerEnabled&&!a&&this.gainNode&&(this.pannerNode.disconnect(),this.gainNode.disconnect(),
this.gainNode.connect(e(this.tag)),this.pannerEnabled=!1))};x.prototype.setPan=function(a,b,d,c,f,h){this.pannerEnabled&&L===C&&(this.pannerNode.setPosition(a,b,0),this.pannerNode.setOrientation(Math.cos(cr.to_radians(d)),Math.sin(cr.to_radians(d)),0),this.pannerNode.coneInnerAngle=c,this.pannerNode.coneOuterAngle=f,this.pannerNode.coneOuterGain=h,this.panX=a,this.panY=b,this.panAngle=d,this.panConeInner=c,this.panConeOuter=f,this.panConeOuterGain=h)};x.prototype.setObject=function(a){this.pannerEnabled&&
L===C&&(this.objectTracker||(this.objectTracker=new m),this.objectTracker.setObject(a))};x.prototype.tick=function(a){if(this.pannerEnabled&&L===C&&this.objectTracker&&this.objectTracker.hasObject()&&this.isPlaying()){this.objectTracker.tick(a);a=this.objectTracker.obj;var b=cr.rotatePtAround(a.x,a.y,-a.layer.getAngle(),Z,aa,!0),d=cr.rotatePtAround(a.x,a.y,-a.layer.getAngle(),Z,aa,!1);this.pannerNode.setPosition(b,d,0);b=0;"undefined"!==typeof this.objectTracker.obj.angle&&(b=a.angle-a.layer.getAngle(),
this.pannerNode.setOrientation(Math.cos(b),Math.sin(b),0));b=cr.rotatePtAround(this.objectTracker.getVelocityX(),this.objectTracker.getVelocityY(),-a.layer.getAngle(),0,0,!0);d=cr.rotatePtAround(this.objectTracker.getVelocityX(),this.objectTracker.getVelocityY(),-a.layer.getAngle(),0,0,!1);this.pannerNode.setVelocity(b,d,0)}};x.prototype.play=function(a,d,c){var f=this.instanceObject;this.looping=a;this.volume=d;c=c||0;switch(this.myapi){case K:1!==f.playbackRate&&(f.playbackRate=1);f.volume!==d*
Y&&(f.volume=d*Y);f.loop!==a&&(f.loop=a);f.muted&&(f.muted=!1);if(f.currentTime!==c)try{f.currentTime=c}catch(h){}this.is_music&&ea&&!F.isInUserInputEvent?fa.push(this):this.instanceObject.play();break;case C:this.muted=!1;this.mutevol=1;if(this.buffer.myapi===C)this.fresh||(this.instanceObject=G.createBufferSource(),this.instanceObject.buffer=this.buffer.bufferObject,this.instanceObject.connect(this.gainNode)),this.instanceObject.loop=a,this.gainNode.gain.value=d*Y,0===c?b(this.instanceObject):l(this.instanceObject,
c,this.getDuration());else{1!==f.playbackRate&&(f.playbackRate=1);f.loop!==a&&(f.loop=a);this.gainNode.gain.value=d*Y;if(f.currentTime!==c)try{f.currentTime=c}catch(e){}this.is_music&&ea&&!F.isInUserInputEvent?fa.push(this):f.play()}break;case T:(!this.fresh&&this.stopped||0!==c)&&f.seekTo(c);f.play();this.pgended=!1;break;case W:F.isDirectCanvas?AppMobi.context.playSound(this.src,a):AppMobi.player.playSound(this.src,a)}this.playbackRate=1;this.startTime=F.kahanTime.sum-c;this.is_paused=this.stopped=
this.fresh=!1};x.prototype.stop=function(){switch(this.myapi){case K:this.instanceObject.paused||this.instanceObject.pause();break;case C:this.buffer.myapi===C?n(this.instanceObject):this.instanceObject.paused||this.instanceObject.pause();break;case T:this.instanceObject.stop();break;case W:F.isDirectCanvas&&AppMobi.context.stopSound(this.src)}this.stopped=!0;this.is_paused=!1};x.prototype.pause=function(){if(!(this.fresh||this.stopped||this.hasEnded()||this.is_paused)){switch(this.myapi){case K:this.instanceObject.paused||
this.instanceObject.pause();break;case C:this.buffer.myapi===C?(this.resume_position=this.getPlaybackTime(),this.looping&&(this.resume_position%=this.getDuration()),n(this.instanceObject)):this.instanceObject.paused||this.instanceObject.pause();break;case T:this.instanceObject.pause();break;case W:F.isDirectCanvas&&AppMobi.context.stopSound(this.src)}this.is_paused=!0}};x.prototype.resume=function(){if(!this.fresh&&!this.stopped&&!this.hasEnded()&&this.is_paused){switch(this.myapi){case K:this.instanceObject.play();
break;case C:this.buffer.myapi===C?(this.instanceObject=G.createBufferSource(),this.instanceObject.buffer=this.buffer.bufferObject,this.instanceObject.connect(this.gainNode),this.instanceObject.loop=this.looping,this.gainNode.gain.value=Y*this.volume*this.mutevol,this.startTime=F.kahanTime.sum-this.resume_position,l(this.instanceObject,this.resume_position,this.getDuration())):this.instanceObject.play();break;case T:this.instanceObject.play();break;case W:F.isDirectCanvas&&AppMobi.context.resumeSound(this.src)}this.is_paused=
!1}};x.prototype.seek=function(a){if(!(this.fresh||this.stopped||this.hasEnded()))switch(this.myapi){case K:try{this.instanceObject.currentTime=a}catch(b){}break;case C:if(this.buffer.myapi===C)this.is_paused?this.resume_position=a:(this.pause(),this.resume_position=a,this.resume());else try{this.instanceObject.currentTime=a}catch(d){}break;case W:F.isDirectCanvas&&AppMobi.context.seekSound(this.src,a)}};x.prototype.reconnect=function(a){this.myapi===C&&(this.pannerEnabled?(this.pannerNode.disconnect(),
this.pannerNode.connect(a)):(this.gainNode.disconnect(),this.gainNode.connect(a)))};x.prototype.getDuration=function(){switch(this.myapi){case K:if("undefined"!==typeof this.instanceObject.duration)return this.instanceObject.duration;break;case C:return this.buffer.bufferObject.duration;case T:return this.instanceObject.getDuration();case W:if(F.isDirectCanvas)return AppMobi.context.getDurationSound(this.src)}return 0};x.prototype.getPlaybackTime=function(){var a=this.getDuration(),b=0;switch(this.myapi){case K:"undefined"!==
typeof this.instanceObject.currentTime&&(b=this.instanceObject.currentTime);break;case C:if(this.buffer.myapi===C){if(this.is_paused)return this.resume_position;b=F.kahanTime.sum-this.startTime}else"undefined"!==typeof this.instanceObject.currentTime&&(b=this.instanceObject.currentTime);break;case W:F.isDirectCanvas&&(b=AppMobi.context.getPlaybackTimeSound(this.src))}!this.looping&&b>a&&(b=a);return b};x.prototype.isPlaying=function(){return!this.is_paused&&!this.fresh&&!this.stopped&&!this.hasEnded()};
x.prototype.setVolume=function(a){this.volume=a;this.updateVolume()};x.prototype.updateVolume=function(){var a=this.volume*Y;switch(this.myapi){case K:this.instanceObject.volume&&this.instanceObject.volume!==a&&(this.instanceObject.volume=a);break;case C:this.gainNode.gain.value=a*this.mutevol}};x.prototype.getVolume=function(){return this.volume};x.prototype.doSetMuted=function(a){switch(this.myapi){case K:this.instanceObject.muted!==!!a&&(this.instanceObject.muted=!!a);break;case C:this.mutevol=
a?0:1,this.gainNode.gain.value=Y*this.volume*this.mutevol}};x.prototype.setMuted=function(a){this.is_muted=!!a;this.doSetMuted(this.is_muted||this.is_silent)};x.prototype.setSilent=function(a){this.is_silent=!!a;this.doSetMuted(this.is_muted||this.is_silent)};x.prototype.setLooping=function(a){this.looping=a;switch(this.myapi){case K:this.instanceObject.loop!==!!a&&(this.instanceObject.loop=!!a);break;case C:this.instanceObject.loop!==!!a&&(this.instanceObject.loop=!!a);break;case W:F.isDirectCanvas&&
AppMobi.context.setLoopingSound(this.src,a)}};x.prototype.setPlaybackRate=function(a){this.playbackRate=a;this.updatePlaybackRate()};x.prototype.updatePlaybackRate=function(){var a=this.playbackRate;if(1===ha&&!this.is_music||2===ha)a*=F.timescale;switch(this.myapi){case K:this.instanceObject.playbackRate!==a&&(this.instanceObject.playbackRate=a);break;case C:this.buffer.myapi===C?this.instanceObject.playbackRate.value!==a&&(this.instanceObject.playbackRate.value=a):this.instanceObject.playbackRate!==
a&&(this.instanceObject.playbackRate=a)}};x.prototype.setSuspended=function(a){switch(this.myapi){case K:a?this.isPlaying()?(this.instanceObject.pause(),this.resume_me=!0):this.resume_me=!1:this.resume_me&&this.instanceObject.play();break;case C:a?this.isPlaying()?(this.buffer.myapi===C?(this.resume_position=this.getPlaybackTime(),this.looping&&(this.resume_position%=this.getDuration()),n(this.instanceObject)):this.instanceObject.pause(),this.resume_me=!0):this.resume_me=!1:this.resume_me&&(this.buffer.myapi===
C?(this.instanceObject=G.createBufferSource(),this.instanceObject.buffer=this.buffer.bufferObject,this.instanceObject.connect(this.gainNode),this.instanceObject.loop=this.looping,this.gainNode.gain.value=Y*this.volume*this.mutevol,this.startTime=F.kahanTime.sum-this.resume_position,l(this.instanceObject,this.resume_position,this.getDuration())):this.instanceObject.play());break;case T:a?this.isPlaying()?(this.instanceObject.pause(),this.resume_me=!0):this.resume_me=!1:this.resume_me&&this.instanceObject.play()}};
H.Instance=function(a){this.type=a;F=this.runtime=a.runtime;R=this;this.listenerTracker=null;this.listenerZ=-600;!(this.runtime.isiOS||this.runtime.isAndroid&&(this.runtime.isChrome||this.runtime.isAndroidStockBrowser))||this.runtime.isCrosswalk||this.runtime.isDomFree||(ea=!0);G=null;"undefined"!==typeof AudioContext?(L=C,G=new AudioContext):"undefined"!==typeof webkitAudioContext&&(L=C,G=new webkitAudioContext);(this.runtime.isiOS&&L===C||ea)&&document.addEventListener("touchstart",function(){var a,
d,c;!pa&&G&&(a=G.createBuffer(1,1,22050),d=G.createBufferSource(),d.buffer=a,d.connect(G.destination),b(d),pa=!0);if(ea){if(!U)for(a=0,d=fa.length;a<d;++a)c=fa[a],c.stopped||c.is_paused||c.instanceObject.play();fa.length=0}},!0);L!==C&&(this.runtime.isPhoneGap?L=T:this.runtime.isAppMobi&&(L=W));L===T&&(V=location.href,a=V.lastIndexOf("/"),-1<a&&(V=V.substr(0,a+1)),V=V.replace("file://",""));if(this.runtime.isSafari&&this.runtime.isWindows&&"undefined"===typeof Audio)alert("It looks like you're using Safari for Windows without Quicktime.  Audio cannot be played until Quicktime is installed."),
this.runtime.DestroyInstance(this);else{if(this.runtime.isDirectCanvas)X=this.runtime.isAndroid;else try{X=!!(new Audio).canPlayType('audio/ogg; codecs="vorbis"')}catch(d){X=!1}this.runtime.tickMe(this)}};var ba=H.Instance.prototype;ba.onCreate=function(){ha=this.properties[0];this.saveload=this.properties[1];ja=this.properties[2];ka=this.properties[3];this.listenerZ=-this.properties[4];ma=this.properties[5];na=this.properties[6];oa=this.properties[7];this.listenerTracker=new m;L===C&&(G.listener.speedOfSound=
this.properties[8],G.listener.dopplerFactor=this.properties[9],G.listener.setPosition(this.runtime.draw_width/2,this.runtime.draw_height/2,this.listenerZ),G.listener.setOrientation(0,0,1,0,-1,0),window.c2OnAudioMicStream=function(a,b){ca&&ca.disconnect();ia=b.toLowerCase();ca=G.createMediaStreamSource(a);ca.connect(e(ia))});this.runtime.addSuspendCallback(function(a){R.onSuspend(a)});var a=this;this.runtime.addDestroyCallback(function(b){a.onInstanceDestroyed(b)})};ba.onInstanceDestroyed=function(a){var b,
d,c;b=0;for(d=N.length;b<d;b++)c=N[b],c.objectTracker&&c.objectTracker.obj===a&&(c.objectTracker.obj=null,c.pannerEnabled&&c.isPlaying()&&c.looping&&c.stop());this.listenerTracker.obj===a&&(this.listenerTracker.obj=null)};ba.saveToJSON=function(){var a={silent:U,masterVolume:Y,listenerZ:this.listenerZ,listenerUid:this.listenerTracker.hasObject()?this.listenerTracker.obj.uid:-1,playing:[],effects:{}},b=a.playing,d,c,f,h,e,g;d=0;for(c=N.length;d<c;d++)f=N[d],!f.isPlaying()||3===this.saveload||f.is_music&&
1===this.saveload||!f.is_music&&2===this.saveload||(h=f.getPlaybackTime(),f.looping&&(h%=f.getDuration()),h={tag:f.tag,buffersrc:f.buffer.src,is_music:f.is_music,playbackTime:h,volume:f.volume,looping:f.looping,muted:f.is_muted,playbackRate:f.playbackRate,paused:f.is_paused,resume_position:f.resume_position},f.pannerEnabled&&(h.pan={},g=h.pan,f.objectTracker&&f.objectTracker.hasObject()?g.objUid=f.objectTracker.obj.uid:(g.x=f.panX,g.y=f.panY,g.a=f.panAngle),g.ia=f.panConeInner,g.oa=f.panConeOuter,
g.og=f.panConeOuterGain),b.push(h));b=a.effects;for(e in P)if(P.hasOwnProperty(e)){f=[];d=0;for(c=P[e].length;d<c;d++)f.push({type:P[e][d].type,params:P[e][d].params});b[e]=f}return a};var ga=[];ba.loadFromJSON=function(a){var b=a.silent;Y=a.masterVolume;this.listenerZ=a.listenerZ;this.listenerTracker.setObject(null);var d=a.listenerUid;-1!==d&&(this.listenerTracker.loadUid=d,ga.push(this.listenerTracker));var d=a.playing,c,e,g,l,k,n,z,x,A,v,J;if(3!==this.saveload)for(c=0,e=N.length;c<e;c++)A=N[c],
A.is_music&&1===this.saveload||(A.is_music||2!==this.saveload)&&A.stop();for(k in P)if(P.hasOwnProperty(k))for(c=0,e=P[k].length;c<e;c++)P[k][c].remove();cr.wipe(P);for(k in a.effects)if(a.effects.hasOwnProperty(k))for(n=a.effects[k],c=0,e=n.length;c<e;c++)switch(g=n[c].type,v=n[c].params,g){case "filter":D(k,new h(v[0],v[1],v[2],v[3],v[4],v[5]));break;case "delay":D(k,new f(v[0],v[1],v[2]));break;case "convolve":g=v[2];A=this.getAudioBuffer(g,!1);A.bufferObject?g=new p(A.bufferObject,v[0],v[1],g):
(g=new p(null,v[0],v[1],g),A.normalizeWhenReady=v[0],A.convolveWhenReady=g);D(k,g);break;case "flanger":D(k,new r(v[0],v[1],v[2],v[3],v[4]));break;case "phaser":D(k,new t(v[0],v[1],v[2],v[3],v[4],v[5]));break;case "gain":D(k,new s(v[0]));break;case "tremolo":D(k,new w(v[0],v[1]));break;case "ringmod":D(k,new q(v[0],v[1]));break;case "distortion":D(k,new u(v[0],v[1],v[2],v[3],v[4]));break;case "compressor":D(k,new y(v[0],v[1],v[2],v[3],v[4]));break;case "analyser":D(k,new B(v[0],v[1]))}c=0;for(e=d.length;c<
e;c++)3===this.saveload||(a=d[c],g=a.buffersrc,l=a.is_music,k=a.tag,n=a.playbackTime,z=a.looping,x=a.volume,J=(v=a.pan)&&v.hasOwnProperty("objUid")?v.objUid:-1,l&&1===this.saveload)||!l&&2===this.saveload||((A=this.getAudioInstance(g,k,l,z,x))?(A.resume_position=a.resume_position,A.setPannerEnabled(!!v),A.play(z,x,n),A.updatePlaybackRate(),A.updateVolume(),A.doSetMuted(A.is_muted||A.is_silent),a.paused&&A.pause(),a.muted&&A.setMuted(!0),A.doSetMuted(A.is_muted||A.is_silent),v&&(-1!==J?(A.objectTracker=
A.objectTracker||new m,A.objectTracker.loadUid=J,ga.push(A.objectTracker)):A.setPan(v.x,v.y,v.a,v.ia,v.oa,v.og))):(A=this.getAudioBuffer(g,l),A.seekWhenReady=n,A.pauseWhenReady=a.paused,v&&(-1!==J?A.panWhenReady.push({objUid:J,ia:v.ia,oa:v.oa,og:v.og,thistag:k}):A.panWhenReady.push({x:v.x,y:v.y,a:v.a,ia:v.ia,oa:v.oa,og:v.og,thistag:k}))));if(b&&!U){c=0;for(e=N.length;c<e;c++)N[c].setSilent(!0);U=!0}else if(!b&&U){c=0;for(e=N.length;c<e;c++)N[c].setSilent(!1);U=!1}};ba.afterLoad=function(){var a,b,
d,c;a=0;for(b=ga.length;a<b;a++)d=ga[a],c=this.runtime.getObjectByUID(d.loadUid),d.setObject(c),d.loadUid=-1,c&&(Z=c.x,aa=c.y);ga.length=0};ba.onSuspend=function(a){var b,d;b=0;for(d=N.length;b<d;b++)N[b].setSuspended(a)};ba.tick=function(){var a=this.runtime.dt,b,d,c;b=0;for(d=N.length;b<d;b++)c=N[b],c.tick(a),c.myapi===K||c.myapi===W||c.fresh||c.stopped||!c.hasEnded()||(c.stopped=!0,O=c.tag,F.trigger(cr.plugins_.Audio.prototype.cnds.OnEnded,R)),0!==ha&&c.updatePlaybackRate();var f,h;for(f in P)if(P.hasOwnProperty(f))for(c=
P[f],b=0,d=c.length;b<d;b++)h=c[b],h.tick&&h.tick();L===C&&this.listenerTracker.hasObject()&&(this.listenerTracker.tick(a),Z=this.listenerTracker.obj.x,aa=this.listenerTracker.obj.y,G.listener.setPosition(this.listenerTracker.obj.x,this.listenerTracker.obj.y,this.listenerZ),G.listener.setVelocity(this.listenerTracker.getVelocityX(),this.listenerTracker.getVelocityY(),0))};ba.getAudioBuffer=function(a,b){var d,c,f,h=null;d=0;for(c=da.length;d<c;d++)if(f=da[d],f.src===a){h=f;break}h||(h=new z(a,b),
da.push(h));return h};ba.getAudioInstance=function(a,b,d,c,f){var h,e,g;h=0;for(e=N.length;h<e;h++)if(g=N[h],g.src===a&&(g.canBeRecycled()||d))return g.tag=b,g;a=this.getAudioBuffer(a,d);if(!a.bufferObject)return"<preload>"!==b&&(a.playTagWhenReady=b,a.loopWhenReady=c,a.volumeWhenReady=f),null;g=new x(a,b);N.push(g);return g};var Q=[];E.prototype.OnEnded=function(a){return cr.equals_nocase(O,a)};E.prototype.PreloadsComplete=function(){var a,b;a=0;for(b=da.length;a<b;a++)if(!da[a].isLoaded())return!1;
return!0};E.prototype.AdvancedAudioSupported=function(){return L===C};E.prototype.IsSilent=function(){return U};E.prototype.IsAnyPlaying=function(){var a,b;a=0;for(b=N.length;a<b;a++)if(N[a].isPlaying())return!0;return!1};E.prototype.IsTagPlaying=function(a){A(a);var b;a=0;for(b=Q.length;a<b;a++)if(Q[a].isPlaying())return!0;return!1};H.cnds=new E;v.prototype.Play=function(b,d,c,f){!U&&(c=a(c),S=this.getAudioInstance(this.runtime.files_subfolder+b[0]+(X?".ogg":".m4a"),f,b[1],0!==d,c))&&(S.setPannerEnabled(!1),
S.play(0!==d,c))};v.prototype.PlayAtPosition=function(b,d,c,f,h,e,g,l,k,p){if(!U){c=a(c);var n=b[1];b=this.runtime.files_subfolder+b[0]+(X?".ogg":".m4a");(S=this.getAudioInstance(b,p,n,0!==d,c))?(S.setPannerEnabled(!0),S.setPan(f,h,e,g,l,a(k)),S.play(0!==d,c)):this.getAudioBuffer(b,n).panWhenReady.push({x:f,y:h,a:e,ia:g,oa:l,og:a(k),thistag:p})}};v.prototype.PlayAtObject=function(b,d,c,f,h,e,g,l){if(!U&&f&&(f=f.getFirstPicked())){c=a(c);var k=b[1];b=this.runtime.files_subfolder+b[0]+(X?".ogg":".m4a");
(S=this.getAudioInstance(b,l,k,0!==d,c))?(S.setPannerEnabled(!0),l=cr.rotatePtAround(f.x,f.y,-f.layer.getAngle(),Z,aa,!0),b=cr.rotatePtAround(f.x,f.y,-f.layer.getAngle(),Z,aa,!1),S.setPan(l,b,cr.to_degrees(f.angle-f.layer.getAngle()),h,e,a(g)),S.setObject(f),S.play(0!==d,c)):this.getAudioBuffer(b,k).panWhenReady.push({obj:f,ia:h,oa:e,og:a(g),thistag:l})}};v.prototype.PlayByName=function(b,d,c,f,h){!U&&(f=a(f),b=1===b,d=this.runtime.files_subfolder+d.toLowerCase()+(X?".ogg":".m4a"),S=this.getAudioInstance(d,
h,b,0!==c,f))&&(S.setPannerEnabled(!1),S.play(0!==c,f))};v.prototype.PlayAtPositionByName=function(b,d,c,f,h,e,g,l,k,p,n){U||(f=a(f),b=1===b,d=this.runtime.files_subfolder+d.toLowerCase()+(X?".ogg":".m4a"),(S=this.getAudioInstance(d,n,b,0!==c,f))?(S.setPannerEnabled(!0),S.setPan(h,e,g,l,k,a(p)),S.play(0!==c,f)):this.getAudioBuffer(d,b).panWhenReady.push({x:h,y:e,a:g,ia:l,oa:k,og:a(p),thistag:n}))};v.prototype.PlayAtObjectByName=function(b,d,c,f,h,e,g,l,k){!U&&h&&(h=h.getFirstPicked())&&(f=a(f),b=
1===b,d=this.runtime.files_subfolder+d.toLowerCase()+(X?".ogg":".m4a"),(S=this.getAudioInstance(d,k,b,0!==c,f))?(S.setPannerEnabled(!0),k=cr.rotatePtAround(h.x,h.y,-h.layer.getAngle(),Z,aa,!0),d=cr.rotatePtAround(h.x,h.y,-h.layer.getAngle(),Z,aa,!1),S.setPan(k,d,cr.to_degrees(h.angle-h.layer.getAngle()),e,g,a(l)),S.setObject(h),S.play(0!==c,f)):this.getAudioBuffer(d,b).panWhenReady.push({obj:h,ia:e,oa:g,og:a(l),thistag:k}))};v.prototype.SetLooping=function(a,b){A(a);var d,c;d=0;for(c=Q.length;d<c;d++)Q[d].setLooping(0===
b)};v.prototype.SetMuted=function(a,b){A(a);var d,c;d=0;for(c=Q.length;d<c;d++)Q[d].setMuted(0===b)};v.prototype.SetVolume=function(b,d){A(b);var c=a(d),f,h;f=0;for(h=Q.length;f<h;f++)Q[f].setVolume(c)};v.prototype.Preload=function(a){if(!U){var b=a[1];a=this.runtime.files_subfolder+a[0]+(X?".ogg":".m4a");L===W?this.runtime.isDirectCanvas?AppMobi.context.loadSound(a):AppMobi.player.loadSound(a):L!==T&&this.getAudioInstance(a,"<preload>",b,!1)}};v.prototype.PreloadByName=function(a,b){if(!U){var d=
1===a,c=this.runtime.files_subfolder+b.toLowerCase()+(X?".ogg":".m4a");L===W?this.runtime.isDirectCanvas?AppMobi.context.loadSound(c):AppMobi.player.loadSound(c):L!==T&&this.getAudioInstance(c,"<preload>",d,!1)}};v.prototype.SetPlaybackRate=function(a,b){A(a);0>b&&(b=0);var d,c;d=0;for(c=Q.length;d<c;d++)Q[d].setPlaybackRate(b)};v.prototype.Stop=function(a){A(a);var b;a=0;for(b=Q.length;a<b;a++)Q[a].stop()};v.prototype.StopAll=function(){var a,b;a=0;for(b=N.length;a<b;a++)N[a].stop()};v.prototype.SetPaused=
function(a,b){A(a);var d,c;d=0;for(c=Q.length;d<c;d++)0===b?Q[d].pause():Q[d].resume()};v.prototype.Seek=function(a,b){A(a);var d,c;d=0;for(c=Q.length;d<c;d++)Q[d].seek(b)};v.prototype.SetSilent=function(a){var b;2===a&&(a=U?1:0);if(0===a&&!U){a=0;for(b=N.length;a<b;a++)N[a].setSilent(!0);U=!0}else if(1===a&&U){a=0;for(b=N.length;a<b;a++)N[a].setSilent(!1);U=!1}};v.prototype.SetMasterVolume=function(b){Y=a(b);var d;b=0;for(d=N.length;b<d;b++)N[b].updateVolume()};v.prototype.AddFilterEffect=function(a,
b,d,c,f,e,g){L!==C||0>b||b>=la.length||!G.createBiquadFilter||(a=a.toLowerCase(),g/=100,0>g&&(g=0),1<g&&(g=1),D(a,new h(b,d,c,f,e,g)))};v.prototype.AddDelayEffect=function(b,d,c,h){L===C&&(b=b.toLowerCase(),h/=100,0>h&&(h=0),1<h&&(h=1),D(b,new f(d,a(c),h)))};v.prototype.AddFlangerEffect=function(a,b,d,c,f,h){L===C&&G.createOscillator&&(a=a.toLowerCase(),h/=100,0>h&&(h=0),1<h&&(h=1),D(a,new r(b/1E3,d/1E3,c,f/100,h)))};v.prototype.AddPhaserEffect=function(a,b,d,c,f,h,e){L===C&&G.createOscillator&&(a=
a.toLowerCase(),e/=100,0>e&&(e=0),1<e&&(e=1),D(a,new t(b,d,c,f,h,e)))};v.prototype.AddConvolutionEffect=function(a,b,d,c){if(L===C&&G.createConvolver){d=0===d;var f=this.runtime.files_subfolder+b[0]+(X?".ogg":".m4a");b=this.getAudioBuffer(f,!1);a=a.toLowerCase();c/=100;0>c&&(c=0);1<c&&(c=1);b.bufferObject?c=new p(b.bufferObject,d,c,f):(c=new p(null,d,c,f),b.normalizeWhenReady=d,b.convolveWhenReady=c);D(a,c)}};v.prototype.AddGainEffect=function(b,d){L===C&&(b=b.toLowerCase(),D(b,new s(a(d))))};v.prototype.AddMuteEffect=
function(a){L===C&&(a=a.toLowerCase(),D(a,new s(0)))};v.prototype.AddTremoloEffect=function(a,b,d){L===C&&G.createOscillator&&(a=a.toLowerCase(),d/=100,0>d&&(d=0),1<d&&(d=1),D(a,new w(b,d)))};v.prototype.AddRingModEffect=function(a,b,d){L===C&&G.createOscillator&&(a=a.toLowerCase(),d/=100,0>d&&(d=0),1<d&&(d=1),D(a,new q(b,d)))};v.prototype.AddDistortionEffect=function(a,b,d,c,f,h){L===C&&G.createWaveShaper&&(a=a.toLowerCase(),h/=100,0>h&&(h=0),1<h&&(h=1),D(a,new u(b,d,c,f,h)))};v.prototype.AddCompressorEffect=
function(a,b,d,c,f,h){L===C&&G.createDynamicsCompressor&&(a=a.toLowerCase(),D(a,new y(b,d,c,f/1E3,h/1E3)))};v.prototype.AddAnalyserEffect=function(a,b,d){L===C&&(a=a.toLowerCase(),D(a,new B(b,d)))};v.prototype.RemoveEffects=function(a){if(L===C){a=a.toLowerCase();var b,d,c;if(P.hasOwnProperty(a)&&(c=P[a],c.length)){b=0;for(d=c.length;b<d;b++)c[b].remove();c.length=0;J(a)}}};v.prototype.SetEffectParameter=function(a,b,d,c,f,h){L===C&&(a=a.toLowerCase(),b=Math.floor(b),P.hasOwnProperty(a)&&(a=P[a],
0>b||b>=a.length||a[b].setParam(d,c,f,h)))};v.prototype.SetListenerObject=function(a){a&&L===C&&(a=a.getFirstPicked())&&(this.listenerTracker.setObject(a),Z=a.x,aa=a.y)};v.prototype.SetListenerZ=function(a){this.listenerZ=a};H.acts=new v;M.prototype.Duration=function(a,b){A(b);Q.length?a.set_float(Q[0].getDuration()):a.set_float(0)};M.prototype.PlaybackTime=function(a,b){A(b);Q.length?a.set_float(Q[0].getPlaybackTime()):a.set_float(0)};M.prototype.Volume=function(a,b){A(b);if(Q.length){var d=Q[0].getVolume();
a.set_float(c(d))}else a.set_float(0)};M.prototype.MasterVolume=function(a){a.set_float(Y)};M.prototype.EffectCount=function(a,b){b=b.toLowerCase();var d=null;P.hasOwnProperty(b)&&(d=P[b]);a.set_int(d?d.length:0)};M.prototype.AnalyserFreqBinCount=function(a,b,d){b=b.toLowerCase();d=Math.floor(d);b=I(b,d);a.set_int(b?b.node.frequencyBinCount:0)};M.prototype.AnalyserFreqBinAt=function(a,b,d,c){b=b.toLowerCase();d=Math.floor(d);c=Math.floor(c);(b=I(b,d))?0>c||c>=b.node.frequencyBinCount?a.set_float(0):
a.set_float(b.freqBins[c]):a.set_float(0)};M.prototype.AnalyserPeakLevel=function(a,b,d){b=b.toLowerCase();d=Math.floor(d);(b=I(b,d))?a.set_float(b.peak):a.set_float(0)};M.prototype.AnalyserRMSLevel=function(a,b,d){b=b.toLowerCase();d=Math.floor(d);(b=I(b,d))?a.set_float(b.rms):a.set_float(0)};H.exps=new M})();cr.plugins_.Browser=function(a){this.runtime=a};
(function(){function a(){}function c(){}function e(){"undefined"!==typeof jQuery&&l.setSize(jQuery(window).width(),jQuery(window).height())}function k(){}var g=cr.plugins_.Browser.prototype;g.Type=function(a){this.plugin=a;this.runtime=a.runtime};g.Type.prototype.onCreate=function(){};g.Instance=function(a){this.type=a;this.runtime=a.runtime};g.Instance.prototype.onCreate=function(){var a=this;window.addEventListener("resize",function(){a.runtime.trigger(cr.plugins_.Browser.prototype.cnds.OnResize,
a)});"undefined"!==typeof navigator.onLine&&(window.addEventListener("online",function(){a.runtime.trigger(cr.plugins_.Browser.prototype.cnds.OnOnline,a)}),window.addEventListener("offline",function(){a.runtime.trigger(cr.plugins_.Browser.prototype.cnds.OnOffline,a)}));"undefined"!==typeof window.applicationCache&&(window.applicationCache.addEventListener("updateready",function(){a.runtime.loadingprogress=1;a.runtime.trigger(cr.plugins_.Browser.prototype.cnds.OnUpdateReady,a)}),window.applicationCache.addEventListener("progress",
function(b){a.runtime.loadingprogress=b.loaded/b.total}));this.runtime.isDirectCanvas||(document.addEventListener("appMobi.device.update.available",function(){a.runtime.trigger(cr.plugins_.Browser.prototype.cnds.OnUpdateReady,a)}),document.addEventListener("backbutton",function(){a.runtime.trigger(cr.plugins_.Browser.prototype.cnds.OnBackButton,a)}),document.addEventListener("menubutton",function(){a.runtime.trigger(cr.plugins_.Browser.prototype.cnds.OnMenuButton,a)}),document.addEventListener("searchbutton",
function(){a.runtime.trigger(cr.plugins_.Browser.prototype.cnds.OnSearchButton,a)}),document.addEventListener("tizenhwkey",function(b){var c;switch(b.keyName){case "back":c=a.runtime.trigger(cr.plugins_.Browser.prototype.cnds.OnBackButton,a);!c&&window.tizen&&window.tizen.application.getCurrentApplication().exit();break;case "menu":(c=a.runtime.trigger(cr.plugins_.Browser.prototype.cnds.OnMenuButton,a))||b.preventDefault()}}));this.runtime.addSuspendCallback(function(b){b?a.runtime.trigger(cr.plugins_.Browser.prototype.cnds.OnPageHidden,
a):a.runtime.trigger(cr.plugins_.Browser.prototype.cnds.OnPageVisible,a)});this.is_arcade="undefined"!==typeof window.is_scirra_arcade};a.prototype.CookiesEnabled=function(){return navigator?navigator.cookieEnabled:!1};a.prototype.IsOnline=function(){return navigator?navigator.onLine:!1};a.prototype.HasJava=function(){return navigator?navigator.javaEnabled():!1};a.prototype.OnOnline=function(){return!0};a.prototype.OnOffline=function(){return!0};a.prototype.IsDownloadingUpdate=function(){return"undefined"===
typeof window.applicationCache?!1:window.applicationCache.status===window.applicationCache.DOWNLOADING};a.prototype.OnUpdateReady=function(){return!0};a.prototype.PageVisible=function(){return!this.runtime.isSuspended};a.prototype.OnPageVisible=function(){return!0};a.prototype.OnPageHidden=function(){return!0};a.prototype.OnResize=function(){return!0};a.prototype.IsFullscreen=function(){return!!(document.mozFullScreen||document.webkitIsFullScreen||document.fullScreen||this.runtime.isNodeFullscreen)};
a.prototype.OnBackButton=function(){return!0};a.prototype.OnMenuButton=function(){return!0};a.prototype.OnSearchButton=function(){return!0};a.prototype.IsMetered=function(){var a=navigator.connection||navigator.mozConnection||navigator.webkitConnection;return a?a.metered:!1};a.prototype.IsCharging=function(){var a=navigator.battery||navigator.mozBattery||navigator.webkitBattery;return a?a.charging:!0};a.prototype.IsPortraitLandscape=function(a){return(window.innerWidth<=window.innerHeight?0:1)===
a};g.cnds=new a;c.prototype.Alert=function(a){this.runtime.isDomFree||alert(a.toString())};c.prototype.Close=function(){this.runtime.isCocoonJs?CocoonJS.App.forceToFinish():window.tizen?window.tizen.application.getCurrentApplication().exit():navigator.app&&navigator.app.exitApp?navigator.app.exitApp():navigator.device&&navigator.device.exitApp?navigator.device.exitApp():this.is_arcade||this.runtime.isDomFree||window.close()};c.prototype.Focus=function(){this.runtime.isNodeWebkit?window.nwgui.Window.get().focus():
this.is_arcade||this.runtime.isDomFree||window.focus()};c.prototype.Blur=function(){this.runtime.isNodeWebkit?window.nwgui.Window.get().blur():this.is_arcade||this.runtime.isDomFree||window.blur()};c.prototype.GoBack=function(){navigator.app&&navigator.app.backHistory?navigator.app.backHistory():this.is_arcade||this.runtime.isDomFree||!window.back||window.back()};c.prototype.GoForward=function(){this.is_arcade||this.runtime.isDomFree||!window.forward||window.forward()};c.prototype.GoHome=function(){this.is_arcade||
this.runtime.isDomFree||!window.home||window.home()};c.prototype.GoToURL=function(a){this.runtime.isCocoonJs?CocoonJS.App.openURL(a):this.is_arcade||this.runtime.isDomFree||(window.location=a)};c.prototype.GoToURLWindow=function(a,b){this.runtime.isCocoonJs?CocoonJS.App.openURL(a):this.is_arcade||this.runtime.isDomFree||window.open(a,b)};c.prototype.Reload=function(){this.is_arcade||this.runtime.isDomFree||window.location.reload()};var b=!0,l=null;c.prototype.RequestFullScreen=function(a){this.runtime.isDomFree?
cr.logexport("[Construct 2] Requesting fullscreen is not supported on this platform - the request has been ignored"):(2<=a&&(a+=1),6===a&&(a=2),this.runtime.isNodeWebkit?this.runtime.isNodeFullscreen||(window.nwgui.Window.get().enterFullscreen(),this.runtime.isNodeFullscreen=!0):document.mozFullScreen||document.webkitIsFullScreen||document.msFullscreenElement||document.fullScreen||(this.runtime.fullscreen_scaling=2<=a?a:0,a=this.runtime.canvasdiv||this.runtime.canvas,b&&(b=!1,l=this.runtime,a.addEventListener("mozfullscreenerror",
e),a.addEventListener("webkitfullscreenerror",e),a.addEventListener("msfullscreenerror",e),a.addEventListener("fullscreenerror",e)),cr.is_undefined(a.requestFullscreen)?cr.is_undefined(a.webkitRequestFullScreen)?cr.is_undefined(a.mozRequestFullScreen)?cr.is_undefined(a.msRequestFullscreen)||a.msRequestFullscreen():a.mozRequestFullScreen():"undefined"!==typeof Element&&"undefined"!==typeof Element.ALLOW_KEYBOARD_INPUT?a.webkitRequestFullScreen(Element.ALLOW_KEYBOARD_INPUT):a.webkitRequestFullScreen():
a.requestFullscreen()))};c.prototype.CancelFullScreen=function(){this.runtime.isDomFree?cr.logexport("[Construct 2] Exiting fullscreen is not supported on this platform - the request has been ignored"):this.runtime.isNodeWebkit?this.runtime.isNodeFullscreen&&(window.nwgui.Window.get().leaveFullscreen(),this.runtime.isNodeFullscreen=!1):cr.is_undefined(document.exitFullscreen)?cr.is_undefined(document.webkitCancelFullScreen)?cr.is_undefined(document.mozCancelFullScreen)?cr.is_undefined(document.msExitFullscreen)||
document.msExitFullscreen():document.mozCancelFullScreen():document.webkitCancelFullScreen():document.exitFullscreen()};c.prototype.Vibrate=function(a){try{var b=a.split(","),c,e;c=0;for(e=b.length;c<e;c++)b[c]=parseInt(b[c],10);navigator.vibrate?navigator.vibrate(b):navigator.mozVibrate?navigator.mozVibrate(b):navigator.webkitVibrate?navigator.webkitVibrate(b):navigator.msVibrate&&navigator.msVibrate(b)}catch(g){}};c.prototype.InvokeDownload=function(a,b){var c=document.createElement("a");if("undefined"===
typeof c.download)window.open(a);else{var e=document.getElementsByTagName("body")[0];c.textContent=b;c.href=a;c.download=b;e.appendChild(c);var g=document.createEvent("MouseEvent");g.initMouseEvent("click",!0,!0,window,0,0,0,0,0,!1,!1,!1,!1,0,null);c.dispatchEvent(g);e.removeChild(c)}};c.prototype.InvokeDownloadString=function(a,b,c){var e="data:"+b+","+encodeURIComponent(a);a=document.createElement("a");"undefined"===typeof a.download?window.open(e):(b=document.getElementsByTagName("body")[0],a.textContent=
c,a.href=e,a.download=c,b.appendChild(a),c=document.createEvent("MouseEvent"),c.initMouseEvent("click",!0,!0,window,0,0,0,0,0,!1,!1,!1,!1,0,null),a.dispatchEvent(c),b.removeChild(a))};c.prototype.ConsoleLog=function(a,b){"undefined"!==typeof console&&(0===a&&console.log&&console.log(b.toString()),1===a&&console.warn&&console.warn(b.toString()),2===a&&console.error&&console.error(b.toString()))};c.prototype.ConsoleGroup=function(a){console&&console.group&&console.group(a)};c.prototype.ConsoleGroupEnd=
function(){console&&console.groupEnd&&console.groupEnd()};c.prototype.ExecJs=function(a){eval&&eval(a)};var n="portrait landscape portrait-primary portrait-secondary landscape-primary landscape-secondary".split(" ");c.prototype.LockOrientation=function(a){a=Math.floor(a);0>a||a>=n.length||(this.runtime.autoLockOrientation=!1,a=n[a],screen.lockOrientation?screen.lockOrientation(a):screen.webkitLockOrientation?screen.webkitLockOrientation(a):screen.mozLockOrientation?screen.mozLockOrientation(a):screen.msLockOrientation&&
screen.msLockOrientation(a))};c.prototype.UnlockOrientation=function(){this.runtime.autoLockOrientation=!1;screen.unlockOrientation?screen.unlockOrientation():screen.webkitUnlockOrientation?screen.webkitUnlockOrientation():screen.mozUnlockOrientation?screen.mozUnlockOrientation():screen.msUnlockOrientation&&screen.msUnlockOrientation()};g.acts=new c;k.prototype.URL=function(a){a.set_string(this.runtime.isDomFree?"":window.location.toString())};k.prototype.Protocol=function(a){a.set_string(this.runtime.isDomFree?
"":window.location.protocol)};k.prototype.Domain=function(a){a.set_string(this.runtime.isDomFree?"":window.location.hostname)};k.prototype.PathName=function(a){a.set_string(this.runtime.isDomFree?"":window.location.pathname)};k.prototype.Hash=function(a){a.set_string(this.runtime.isDomFree?"":window.location.hash)};k.prototype.Referrer=function(a){a.set_string(this.runtime.isDomFree?"":document.referrer)};k.prototype.Title=function(a){a.set_string(this.runtime.isDomFree?"":document.title)};k.prototype.Name=
function(a){a.set_string(this.runtime.isDomFree?"":navigator.appName)};k.prototype.Version=function(a){a.set_string(this.runtime.isDomFree?"":navigator.appVersion)};k.prototype.Language=function(a){navigator&&navigator.language?a.set_string(navigator.language):a.set_string("")};k.prototype.Platform=function(a){a.set_string(this.runtime.isDomFree?"":navigator.platform)};k.prototype.Product=function(a){navigator&&navigator.product?a.set_string(navigator.product):a.set_string("")};k.prototype.Vendor=
function(a){navigator&&navigator.vendor?a.set_string(navigator.vendor):a.set_string("")};k.prototype.UserAgent=function(a){a.set_string(this.runtime.isDomFree?"":navigator.userAgent)};k.prototype.QueryString=function(a){a.set_string(this.runtime.isDomFree?"":window.location.search)};k.prototype.QueryParam=function(a,b){if(this.runtime.isDomFree)a.set_string("");else{var c=RegExp("[?&]"+b+"=([^&]*)").exec(window.location.search);c?a.set_string(decodeURIComponent(c[1].replace(/\+/g," "))):a.set_string("")}};
k.prototype.Bandwidth=function(a){var b=navigator.connection||navigator.mozConnection||navigator.webkitConnection;b?a.set_float(b.bandwidth):a.set_float(Number.POSITIVE_INFINITY)};k.prototype.BatteryLevel=function(a){var b=navigator.battery||navigator.mozBattery||navigator.webkitBattery;b?a.set_float(b.level):a.set_float(1)};k.prototype.BatteryTimeLeft=function(a){var b=navigator.battery||navigator.mozBattery||navigator.webkitBattery;b?a.set_float(b.dischargingTime):a.set_float(Number.POSITIVE_INFINITY)};
k.prototype.ExecJS=function(a,b){if(eval){var c=eval(b);"number"===typeof c?a.set_any(c):"string"===typeof c?a.set_any(c):"boolean"===typeof c?a.set_any(c?1:0):a.set_any(0)}else a.set_any(0)};k.prototype.ScreenWidth=function(a){a.set_int(screen.width)};k.prototype.ScreenHeight=function(a){a.set_int(screen.height)};k.prototype.DevicePixelRatio=function(a){a.set_float(this.runtime.devicePixelRatio)};g.exps=new k})();cr.plugins_.CJSAds=function(a){this.runtime=a};
(function(){function a(){}function c(){}function e(){}var k="",g=[],b=0,l=0,n=!1,d=!1,h=!1,f=cr.plugins_.CJSAds.prototype;f.Type=function(a){this.plugin=a;this.runtime=a.runtime};f.Type.prototype.onCreate=function(){};f.Instance=function(a){this.type=a;this.runtime=a.runtime};f.Instance.prototype.onCreate=function(){this.isShowingFullscreen=this.isShowingBanner=!1;this.triggerProduct="";this.socialService=null;this.socialServiceAvailable=!1;this.storeServiceAvailable=this.runtime.isCocoonJs&&"undefined"!==
typeof CocoonJS.Store.nativeExtensionObjectAvailable;this.storeManaged=1!==this.properties[0];this.storeSandboxed=0!==this.properties[1];this.onConsumePurchaseCompleted=this.onConsumePurchaseFailedTransactionId="";var a=this;this.runtime.isCocoonJs&&(CocoonJS.App.onTextDialogFinished.addEventListener(function(b){k=b;a.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.OnKeyboardOK,a)}),CocoonJS.App.onTextDialogCancelled.addEventListener(function(){a.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.OnKeyboardCancelled,
a)}),CocoonJS.Ad.onBannerShown.addEventListener(function(){a.isShowingBanner=!0;a.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.OnBannerShown,a)}),CocoonJS.Ad.onBannerReady.addEventListener(function(){d=!0;n||(CocoonJS.Ad.setBannerLayout(l),CocoonJS.Ad.showBanner())}),CocoonJS.Ad.onFullScreenShown.addEventListener(function(){a.isShowingFullscreen=!0;a.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.OnFullscreenShown,a)}),CocoonJS.Ad.onFullScreenHidden.addEventListener(function(){a.isShowingFullscreen=
!1;a.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.OnFullscreenHidden,a)}),CocoonJS.Ad.onFullScreenReady.addEventListener(function(){h=!0;preloadFullScreen||CocoonJS.Ad.showFullScreen()}),this.storeServiceAvailable&&(CocoonJS.Store.onProductPurchaseCompleted.addEventListener(function(b){a.triggerProduct=b.productId;a.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.OnPurchaseComplete,a);CocoonJS.Store.addPurchase(b);CocoonJS.Store.consumePurchase(b.transactionId,b.productId);CocoonJS.Store.finishPurchase(b.transactionId)}),
CocoonJS.Store.onConsumePurchaseFailed.addEventListener(function(b,d){this.onConsumePurchaseFailedTransactionId=b;a.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.onConsumePurchaseFailed,a)}),CocoonJS.Store.onConsumePurchaseCompleted.addEventListener(function(b){this.onConsumePurchaseCompleted=b;a.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.onConsumePurchaseCompleted,a)}),CocoonJS.Store.onProductPurchaseFailed.addEventListener(function(b,d){a.triggerProduct=b;a.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.OnPurchaseFail,
a)}),CocoonJS.Store.onProductPurchaseStarted.addEventListener(function(b){a.triggerProduct=b.productId;a.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.OnPurchaseStart,a)}),CocoonJS.Store.onProductsFetchStarted.addEventListener(function(){a.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.onProductsFetchStarted,a)}),CocoonJS.Store.onProductsFetchFailed.addEventListener(function(){a.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.onProductsFetchFailed,a)}),CocoonJS.Store.onProductsFetchCompleted.addEventListener(function(b){a.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.onProductsFetchCompleted,
a)}),CocoonJS.Store.requestInitialization({managed:this.storeManaged,sandbox:this.storeSandboxed}),CocoonJS.Store.start()),this.socialService=CocoonJS.SocialGaming.GameCenter,this.socialServiceAvailable=!!this.socialService.nativeExtensionObjectAvailable,this.socialService.onRequestLoginSucceed.addEventListener(function(){a.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.OnGCLoginSuccess,a)}),this.socialService.onRequestLoginFailed.addEventListener(function(){a.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.OnGCLoginFail,
a)}),this.socialService.onLogout.addEventListener(function(){a.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.OnGCLogout,a)}),this.socialService.onRequestUserScoreSucceed.addEventListener(function(d){b=d.score||0;a.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.OnGCScoreReceived,a)}),this.socialService.onRequestUserScoreFailed.addEventListener(function(){a.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.OnGCScoreUnavailable,a)}),this.socialService.onSubmitUserScoreSucceed.addEventListener(function(){a.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.OnGCScoreSubmitSuccess,
a)}),this.socialService.onSubmitUserScoreFailed.addEventListener(function(){a.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.OnGCScoreSubmitFail,a)}),this.socialService.onLeaderboardViewSucceed.addEventListener(function(){a.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.OnGCLeaderboardOpen,a)}),this.socialService.onLeaderboardViewClosed.addEventListener(function(){a.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.OnGCLeaderboardClose,a)}))};a.prototype.IsShowingBanner=function(){return this.isShowingBanner};
a.prototype.IsCocoonJS=function(){return this.runtime.isCocoonJs};a.prototype.OnBannerShown=function(){return!0};a.prototype.OnFullscreenShown=function(){return!0};a.prototype.OnFullscreenHidden=function(){return!0};a.prototype.IsShowingFullscreen=function(){return this.isShowingFullscreen};a.prototype.IsStoreAvailable=function(){return this.runtime.isCocoonJs?this.storeServiceAvailable&&CocoonJS.Store.canPurchase():!1};a.prototype.OnPurchaseStart=function(a){return this.triggerProduct===a};a.prototype.OnPurchaseComplete=
function(a){return this.triggerProduct===a};a.prototype.OnPurchaseFail=function(a){return this.triggerProduct===a};a.prototype.onProductsFetchStarted=function(){return!0};a.prototype.onConsumePurchaseFailed=function(){return!0};a.prototype.onProductsFetchCompleted=function(){return!0};a.prototype.onProductsFetchFailed=function(){return!0};a.prototype.IsProductPurchased=function(a){return this.runtime.isCocoonJs?CocoonJS.Store.isProductPurchased(a):!1};a.prototype.OnKeyboardCancelled=function(){return!0};
a.prototype.OnKeyboardOK=function(){return!0};a.prototype.IsGCAvailable=function(){return this.socialServiceAvailable};a.prototype.IsGCLoggedIn=function(){return this.socialServiceAvailable?this.socialService.isLoggedIn():!1};a.prototype.OnGCLoginSuccess=function(){return!0};a.prototype.OnGCLoginFail=function(){return!0};a.prototype.OnGCLogout=function(){return!0};a.prototype.OnGCScoreReceived=function(){return!0};a.prototype.OnGCScoreUnavailable=function(){return!0};a.prototype.OnGCScoreSubmitSuccess=
function(){return!0};a.prototype.OnGCScoreSubmitFail=function(){return!0};a.prototype.OnGCLeaderboardOpen=function(){return!0};a.prototype.OnGCLeaderboardClose=function(){return!0};f.cnds=new a;c.prototype.ShowBanner=function(a){this.runtime.isCocoonJs&&(l=0===a?CocoonJS.Ad.BannerLayout.TOP_CENTER:CocoonJS.Ad.BannerLayout.BOTTOM_CENTER,n=!1,d?(CocoonJS.Ad.setBannerLayout(l),CocoonJS.Ad.showBanner()):CocoonJS.Ad.preloadBanner())};c.prototype.ShowFullscreen=function(){this.runtime.isCocoonJs&&(h?CocoonJS.Ad.showFullScreen():
CocoonJS.Ad.preloadFullScreen())};c.prototype.HideBanner=function(){this.runtime.isCocoonJs&&(CocoonJS.Ad.hideBanner(),this.isShowingBanner=!1)};c.prototype.PreloadBanner=function(){this.runtime.isCocoonJs&&(n=!0,CocoonJS.Ad.preloadBanner())};c.prototype.PreloadFullscreen=function(){this.runtime.isCocoonJs&&CocoonJS.Ad.preloadFullScreen()};c.prototype.RefreshBanner=function(){this.runtime.isCocoonJs&&CocoonJS.Ad.refreshBanner()};c.prototype.RefreshFullscreen=function(){this.runtime.isCocoonJs&&CocoonJS.Ad.refreshFullScreen()};
c.prototype.Purchase=function(a){this.runtime.isCocoonJs&&CocoonJS.Store.purchaseProduct(a)};c.prototype.fetchProductsFromStore=function(a){this.runtime.isCocoonJs&&CocoonJS.Store.fetchProductsFromStore(a.split(","))};c.prototype.restorePurchases=function(){if(this.runtime.isCocoonJs)return CocoonJS.Store.restorePurchases()};c.prototype.PurchasePreview=function(a){this.runtime.isCocoonJs&&CocoonJS.Store.purchaseProductModalWithPreview(a)};c.prototype.RestorePurchases=function(){this.runtime.isCocoonJs&&
CocoonJS.Store.restorePurchases()};c.prototype.PromptKeyboard=function(a,b,d,c,f,h){this.runtime.isCocoonJs&&CocoonJS.App.showTextDialog(a,b,d,["text","num","phone","email","url"][c],f,h)};c.prototype.UpdateProductsList=function(){this.runtime.isCocoonJs&&CocoonJS.Store.canPurchase()&&(g=CocoonJS.Store.getProducts())};c.prototype.GCLogin=function(){this.socialServiceAvailable&&!this.socialService.isLoggedIn()&&this.socialService.requestLogin()};c.prototype.GCLogout=function(){this.socialServiceAvailable&&
this.socialService.isLoggedIn()&&this.socialService.requestLogout()};c.prototype.GCSubmitScore=function(a,b){this.socialServiceAvailable&&this.socialService.isLoggedIn()&&this.socialService.submitUserScore(a,b)};c.prototype.GCRequestScore=function(a){this.socialServiceAvailable&&this.socialService.isLoggedIn()&&this.socialService.requestUserScore(a)};c.prototype.GCOpenLeaderboard=function(a){this.socialServiceAvailable&&this.socialService.isLoggedIn()&&this.socialService.showLeaderboardView(a)};f.acts=
new c;e.prototype.InputText=function(a){a.set_string(k)};e.prototype.ProductCount=function(a){a.set_int(g.length)};e.prototype.ProductDescription=function(a,b){b=Math.floor(b);0>b||b>=g.length?a.set_string(""):a.set_string(g[b].description)};e.prototype.ProductLocalizedPrice=function(a,b){b=Math.floor(b);0>b||b>=g.length?a.set_string(""):a.set_string(g[b].localizedPrice)};e.prototype.ProductPrice=function(a,b){b=Math.floor(b);0>b||b>=g.length?a.set_string(""):a.set_string(g[b].price)};e.prototype.ProductAlias=
function(a,b){b=Math.floor(b);0>b||b>=g.length?a.set_string(""):a.set_string(g[b].productAlias)};e.prototype.ProductID=function(a,b){b=Math.floor(b);0>b||b>=g.length?a.set_string(""):a.set_string(g[b].productId)};e.prototype.ProductTitle=function(a,b){b=Math.floor(b);0>b||b>=g.length?a.set_string(""):a.set_string(g[b].title)};e.prototype.GameCenterScore=function(a){a.set_float(b)};f.exps=new e})();cr.plugins_.Dictionary=function(a){this.runtime=a};
(function(){function a(){}function c(){}function e(){}var k=cr.plugins_.Dictionary.prototype;k.Type=function(a){this.plugin=a;this.runtime=a.runtime};k.Type.prototype.onCreate=function(){};k.Instance=function(a){this.type=a;this.runtime=a.runtime};var g=k.Instance.prototype;g.onCreate=function(){this.dictionary={};this.cur_key="";this.key_count=0};g.saveToJSON=function(){return this.dictionary};g.loadFromJSON=function(a){this.dictionary=a;this.key_count=0;for(var c in this.dictionary)this.dictionary.hasOwnProperty(c)&&
this.key_count++};a.prototype.CompareValue=function(a,c,e){return cr.do_cmp(this.dictionary[a],c,e)};a.prototype.ForEachKey=function(){var a=this.runtime.getCurrentEventStack().current_event,c;for(c in this.dictionary)this.dictionary.hasOwnProperty(c)&&(this.cur_key=c,this.runtime.pushCopySol(a.solModifiers),a.retrigger(),this.runtime.popSol(a.solModifiers));this.cur_key="";return!1};a.prototype.CompareCurrentValue=function(a,c){return cr.do_cmp(this.dictionary[this.cur_key],a,c)};a.prototype.HasKey=
function(a){return this.dictionary.hasOwnProperty(a)};a.prototype.IsEmpty=function(){return 0===this.key_count};k.cnds=new a;c.prototype.AddKey=function(a,c){this.dictionary.hasOwnProperty(a)||this.key_count++;this.dictionary[a]=c};c.prototype.SetKey=function(a,c){this.dictionary.hasOwnProperty(a)&&(this.dictionary[a]=c)};c.prototype.DeleteKey=function(a){this.dictionary.hasOwnProperty(a)&&(delete this.dictionary[a],this.key_count--)};c.prototype.Clear=function(){cr.wipe(this.dictionary);this.key_count=
0};c.prototype.JSONLoad=function(a){var c;try{c=JSON.parse(a)}catch(e){return}if(c.c2dictionary){this.dictionary=c.data;this.key_count=0;for(var d in this.dictionary)this.dictionary.hasOwnProperty(d)&&this.key_count++}};c.prototype.JSONDownload=function(a){var c=document.createElement("a");if("undefined"===typeof c.download)c="data:text/html,"+encodeURIComponent("<p><a download='data.json' href=\"data:application/json,"+encodeURIComponent(JSON.stringify({c2dictionary:!0,data:this.dictionary}))+'">Download link</a></p>'),
window.open(c);else{var e=document.getElementsByTagName("body")[0];c.textContent=a;c.href="data:application/json,"+encodeURIComponent(JSON.stringify({c2dictionary:!0,data:this.dictionary}));c.download=a;e.appendChild(c);a=document.createEvent("MouseEvent");a.initMouseEvent("click",!0,!0,window,0,0,0,0,0,!1,!1,!1,!1,0,null);c.dispatchEvent(a);e.removeChild(c)}};k.acts=new c;e.prototype.Get=function(a,c){this.dictionary.hasOwnProperty(c)?a.set_any(this.dictionary[c]):a.set_int(0)};e.prototype.KeyCount=
function(a){a.set_int(this.key_count)};e.prototype.CurrentKey=function(a){a.set_string(this.cur_key)};e.prototype.CurrentValue=function(a){this.dictionary.hasOwnProperty(this.cur_key)?a.set_any(this.dictionary[this.cur_key]):a.set_int(0)};e.prototype.AsJSON=function(a){a.set_string(JSON.stringify({c2dictionary:!0,data:this.dictionary}))};k.exps=new e})();cr.plugins_.Function=function(a){this.runtime=a};
(function(){function a(){this.name="";this.retVal=0;this.params=[]}function c(){d++;d===n.length&&n.push(new a);return n[d]}function e(){return 0>d?null:n[d]}function k(){}function g(){}function b(){}var l=cr.plugins_.Function.prototype;l.Type=function(a){this.plugin=a;this.runtime=a.runtime};l.Type.prototype.onCreate=function(){};l.Instance=function(a){this.type=a;this.runtime=a.runtime};var n=[],d=-1;l.Instance.prototype.onCreate=function(){};k.prototype.OnFunction=function(a){var b=e();return b?
cr.equals_nocase(a,b.name):!1};k.prototype.CompareParam=function(a,b,d){var c=e();if(!c)return!1;a=cr.floor(a);return 0>a||a>=c.params.length?!1:cr.do_cmp(c.params[a],b,d)};l.cnds=new k;g.prototype.CallFunction=function(a,b){var e=c();e.name=a.toLowerCase();e.retVal=0;cr.shallowAssignArray(e.params,b);this.runtime.trigger(cr.plugins_.Function.prototype.cnds.OnFunction,this,e.name);d--};g.prototype.SetReturnValue=function(a){var b=e();b&&(b.retVal=a)};l.acts=new g;b.prototype.ReturnValue=function(a){var b;
n.length?(b=d+1,b>=n.length&&(b=n.length-1),b=n[b]):b=null;b?a.set_any(b.retVal):a.set_int(0)};b.prototype.ParamCount=function(a){var b=e();b?a.set_int(b.params.length):a.set_int(0)};b.prototype.Param=function(a,b){b=cr.floor(b);var d=e();d?0<=b&&b<d.params.length?a.set_any(d.params[b]):a.set_int(0):a.set_int(0)};b.prototype.Call=function(a,b){var e=c();e.name=b.toLowerCase();e.retVal=0;e.params.length=0;var g,l;g=2;for(l=arguments.length;g<l;g++)e.params.push(arguments[g]);this.runtime.trigger(cr.plugins_.Function.prototype.cnds.OnFunction,
this,e.name);d--;a.set_any(e.retVal)};l.exps=new b})();cr.plugins_.Keyboard=function(a){this.runtime=a};
(function(){function a(){}function c(){}function e(a){a=Math.floor(a);switch(a){case 8:return"backspace";case 9:return"tab";case 13:return"enter";case 16:return"shift";case 17:return"control";case 18:return"alt";case 19:return"pause";case 20:return"capslock";case 27:return"esc";case 33:return"pageup";case 34:return"pagedown";case 35:return"end";case 36:return"home";case 37:return"\u2190";case 38:return"\u2191";case 39:return"\u2192";case 40:return"\u2193";case 45:return"insert";case 46:return"del";
case 91:return"left window key";case 92:return"right window key";case 93:return"select";case 96:return"numpad 0";case 97:return"numpad 1";case 98:return"numpad 2";case 99:return"numpad 3";case 100:return"numpad 4";case 101:return"numpad 5";case 102:return"numpad 6";case 103:return"numpad 7";case 104:return"numpad 8";case 105:return"numpad 9";case 106:return"numpad *";case 107:return"numpad +";case 109:return"numpad -";case 110:return"numpad .";case 111:return"numpad /";case 112:return"F1";case 113:return"F2";
case 114:return"F3";case 115:return"F4";case 116:return"F5";case 117:return"F6";case 118:return"F7";case 119:return"F8";case 120:return"F9";case 121:return"F10";case 122:return"F11";case 123:return"F12";case 144:return"numlock";case 145:return"scroll lock";case 186:return";";case 187:return"=";case 188:return",";case 189:return"-";case 190:return".";case 191:return"/";case 192:return"'";case 219:return"[";case 220:return"\\";case 221:return"]";case 222:return"#";case 223:return"`";default:return String.fromCharCode(a)}}
var k=cr.plugins_.Keyboard.prototype;k.Type=function(a){this.plugin=a;this.runtime=a.runtime};k.Type.prototype.onCreate=function(){};k.Instance=function(a){this.type=a;this.runtime=a.runtime;this.keyMap=Array(256);this.usedKeys=Array(256);this.triggerKey=0};var g=k.Instance.prototype;g.onCreate=function(){var a=this;this.runtime.isDomFree||(jQuery(document).keydown(function(b){a.onKeyDown(b)}),jQuery(document).keyup(function(b){a.onKeyUp(b)}))};var b=[32,33,34,35,36,37,38,39,40,44];g.onKeyDown=function(a){var c=
!1;window!=window.top&&-1<b.indexOf(a.which)&&(a.preventDefault(),c=!0,a.stopPropagation());if(this.keyMap[a.which])this.usedKeys[a.which]&&!c&&a.preventDefault();else{this.keyMap[a.which]=!0;this.triggerKey=a.which;this.runtime.isInUserInputEvent=!0;this.runtime.trigger(cr.plugins_.Keyboard.prototype.cnds.OnAnyKey,this);var d=this.runtime.trigger(cr.plugins_.Keyboard.prototype.cnds.OnKey,this),h=this.runtime.trigger(cr.plugins_.Keyboard.prototype.cnds.OnKeyCode,this);this.runtime.isInUserInputEvent=
!1;if(d||h)this.usedKeys[a.which]=!0,c||a.preventDefault()}};g.onKeyUp=function(a){this.keyMap[a.which]=!1;this.triggerKey=a.which;this.runtime.isInUserInputEvent=!0;this.runtime.trigger(cr.plugins_.Keyboard.prototype.cnds.OnAnyKeyReleased,this);var b=this.runtime.trigger(cr.plugins_.Keyboard.prototype.cnds.OnKeyReleased,this),d=this.runtime.trigger(cr.plugins_.Keyboard.prototype.cnds.OnKeyCodeReleased,this);this.runtime.isInUserInputEvent=!1;if(b||d||this.usedKeys[a.which])this.usedKeys[a.which]=
!0,a.preventDefault()};g.saveToJSON=function(){return{triggerKey:this.triggerKey}};g.loadFromJSON=function(a){this.triggerKey=a.triggerKey};a.prototype.IsKeyDown=function(a){return this.keyMap[a]};a.prototype.OnKey=function(a){return a===this.triggerKey};a.prototype.OnAnyKey=function(a){return!0};a.prototype.OnAnyKeyReleased=function(a){return!0};a.prototype.OnKeyReleased=function(a){return a===this.triggerKey};a.prototype.IsKeyCodeDown=function(a){a=Math.floor(a);return 0>a||a>=this.keyMap.length?
!1:this.keyMap[a]};a.prototype.OnKeyCode=function(a){return a===this.triggerKey};a.prototype.OnKeyCodeReleased=function(a){return a===this.triggerKey};k.cnds=new a;k.acts=new function(){};c.prototype.LastKeyCode=function(a){a.set_int(this.triggerKey)};c.prototype.StringFromKeyCode=function(a,b){a.set_string(e(b))};k.exps=new c})();cr.plugins_.MagiCam=function(a){this.runtime=a};
(function(){function a(a,b,c,e,g,k){this.type=a;this.duration=b;this.param1=c;this.param2=e;this.param3=g;this.param4=k;this.progress=0}function c(a,b,c,e,g){this.global=g;this.name=a;this.x=b;this.y=c;this.scale=e;this.following=!1;this.followedObjects=[];this.followedObjectUIDs=[];this.objectWeights=[];this.followedObjectIPs=[];this.followLag=1;this.zoomToContain=!1;this.zoomMarginV=this.zoomMarginH=0;this.transitions=[];this.isShaking=this.zoomTransFinished=this.moveTransFinished=!1;this.shakeDropTime=
this.shakeBuildTime=this.shakeLength=this.shakeMaxZoomDeviation=this.shakeMaxDeviation=this.shakeStrength=this.shakeTimer=this.shakeZoom=this.shakeY=this.shakeX=0}function e(){}function k(){}function g(){}var b={lerp:function(a,b,c){return a+(b-a)*c},cubic:function(a,b,c,e,g){return this.lerp(this.lerp(this.lerp(a,b,g),this.lerp(b,c,g),g),this.lerp(this.lerp(b,c,g),this.lerp(c,e,g),g),g)},clamp:function(a,b,c){return a<b?b:a>c?c:a}};c.prototype.GetName=function(){return this.name};c.prototype.GetX=
function(){return this.x};c.prototype.SetX=function(a){this.x=a};c.prototype.GetY=function(){return this.y};c.prototype.SetY=function(a){this.y=a};c.prototype.GetShakeX=function(){return this.shakeX};c.prototype.GetShakeY=function(){return this.shakeY};c.prototype.SetFollowedObject=function(a){this.followedObject=a};c.prototype.ShakeCamera=function(a){if(this.isShaking)if(this.shakeTimer+=a,this.shakeTimer<this.shakeLength){a=0;a=this.shakeTimer<this.shakeBuildTime?b.lerp(0,this.shakeStrength,this.shakeTimer/
this.shakeBuildTime):this.shakeStrength;this.shakeTimer>this.shakeDropTime&&(a=b.lerp(this.shakeStrength,0,(this.shakeTimer-this.shakeDropTime)/(this.shakeLength-this.shakeDropTime)));var c=Math.floor(361*Math.random())/57.2958,f=b.lerp(0,Math.cos(c)*this.shakeMaxDeviation,a),c=b.lerp(0,Math.sin(c)*this.shakeMaxDeviation,a),e=b.lerp(0,Math.floor(201*Math.random()-100)/100*this.shakeMaxZoomDeviation,a);this.shakeX=b.lerp(this.shakeX,f,a);this.shakeY=b.lerp(this.shakeY,c,a);this.shakeZoom=b.lerp(this.shakeZoom,
e,a)}else this.isShaking=!1,this.shakeZoom=this.shakeY=this.shakeX=0};c.prototype.ProcessTransitions=function(a){this.zoomTransFinished=this.moveTransFinished=!1;for(var c,f=0;f<this.transitions.length;)c=this.transitions[f],c.progress=b.clamp(c.progress+1/c.duration*a,0,1),"MOVE"==c.type?(this.x=b.cubic(c.param3,c.param3,c.param1,c.param1,c.progress),this.y=b.cubic(c.param4,c.param4,c.param2,c.param2,c.progress)):"SCALE"==c.type&&(this.scale=b.cubic(c.param2,c.param2,c.param1,c.param1,c.progress)),
1==c.progress?("MOVE"==c.type?this.moveTransFinished=!0:"SCALE"==c.type&&(this.zoomTransFinished=!0),this.transitions.splice(f,1)):f++};c.prototype.UpdateCameraTarget=function(a,b){for(var c=0;c<this.transitions.length;c++){var e=this.transitions[c];"MOVE"==e.type?(e.param1=b.GetX(),e.param2=b.GetY()):"SCALE"==e.type&&(e.param1=b.scale)}};c.prototype.ProcessFollowing=function(a,c,f,e){var g=this.followedObjects,k=this.followedObjectIPs;if(this.following&&0<g.length){var l=0,n=0,q=0;if(this.zoomToContain){for(var u=
k=q=0,y=0,B=n=!1,m=!1,z=!1,l=0;l<g.length;l++){var x=g[l];x.update_bbox();n?q=Math.min(q,x.bbox.left):(q=x.bbox.left,n=!0);B?k=Math.max(k,x.bbox.right):(k=x.bbox.right,B=!0);m?u=Math.min(u,x.bbox.top):(u=x.bbox.top,m=!0);z?y=Math.max(y,x.bbox.bottom):(y=x.bbox.bottom,z=!0)}g=(c-2*this.zoomMarginH)/(k-q);B=(f-2*this.zoomMarginV)/(y-u);l=b.lerp(q,k,0.5);n=b.lerp(u,y,0.5);this.x<c/2/g&&(g=(c-this.zoomMarginH)/k,l=c/g/2);this.x>e.width-c/2/g&&(g=(c-this.zoomMarginH)/(e.width-q),l=e.width-c/g/2);this.y<
f/2/B&&(B=(f-this.zoomMarginV)/y,n=f/B/2);this.y>e.height-f/2/B&&(B=(f-this.zoomMarginV)/(e.height-u),n=e.height-f/B/2);q=Math.min(g,B)}else{for(l=f=c=e=0;l<g.length;l++)e+=g[l].getImagePoint(k[l],!0)*this.objectWeights[l],c+=g[l].getImagePoint(k[l],!1)*this.objectWeights[l],f+=this.objectWeights[l];l=e/f;n=c/f}1==this.followLag?(this.x=l,this.y=n,this.zoomToContain&&(this.scale=q)):(a=4*this.followLag*a*Math.sqrt(1/a),this.x=b.lerp(this.x,l,a),this.y=b.lerp(this.y,n,a),this.zoomToContain&&(this.scale=
b.lerp(this.scale,q,a)))}};var l=cr.plugins_.MagiCam.prototype;l.Type=function(a){this.plugin=a;this.runtime=a.runtime};l.Type.prototype.onCreate=function(){};l.Instance=function(a){this.type=a;this.runtime=a.runtime;this.localCameras=[];this.localCameraCountOld=this.localCameraCount=0;this.transTarget=this.transCamera=null;this.isSwitchingCameras=!1;this.globalCameras=[];this.activeCamera=null};var n=l.Instance.prototype;n.onCreate=function(){this.runtime.tickMe(this);this.my_timescale=-1};n.saveToJSON=
function(){null!=this.transCamera&&this.localCameras.push(this.transCamera);for(var a={lcc:this.localCameraCount,olcc:this.localCameraCountOld,alcc:this.localCameras.length,agcc:this.globalCameras.length,tcnn:null==this.transCamera?!1:!0},b=0;b<this.localCameras.length;b++){a["lc"+b+"g"]=this.localCameras[b].global;a["lc"+b+"n"]=this.localCameras[b].name;a["lc"+b+"x"]=this.localCameras[b].x;a["lc"+b+"y"]=this.localCameras[b].y;a["lc"+b+"s"]=this.localCameras[b].scale;a["lc"+b+"f"]=this.localCameras[b].following;
a["lc"+b+"foc"]=this.localCameras[b].followedObjects.length;for(var c=0;c<this.localCameras[b].followedObjects.length;c++)a["lc"+b+"fo"+c]=this.localCameras[b].followedObjects[c].uid;for(c=0;c<this.localCameras[b].objectWeights.length;c++)a["lc"+b+"fow"+c]=this.localCameras[b].objectWeights[c];for(c=0;c<this.localCameras[b].followedObjectIPs.length;c++)a["lc"+b+"foip"+c]=this.localCameras[b].followedObjectIPs[c];a["lc"+b+"fl"]=this.localCameras[b].followLag;a["lc"+b+"ztc"]=this.localCameras[b].zoomToContain;
a["lc"+b+"zmh"]=this.localCameras[b].zoomMarginH;a["lc"+b+"zmv"]=this.localCameras[b].zoomMarginV;a["lc"+b+"tc"]=this.localCameras[b].transitions.length;for(c=0;c<this.localCameras[b].transitions.length;c++)a["lc"+b+"t"+c+"tp"]=this.localCameras[b].transitions[c].type,a["lc"+b+"t"+c+"d"]=this.localCameras[b].transitions[c].duration,a["lc"+b+"t"+c+"p1"]=this.localCameras[b].transitions[c].param1,a["lc"+b+"t"+c+"p2"]=this.localCameras[b].transitions[c].param2,a["lc"+b+"t"+c+"p3"]=this.localCameras[b].transitions[c].param3,
a["lc"+b+"t"+c+"p4"]=this.localCameras[b].transitions[c].param4,a["lc"+b+"t"+c+"pr"]=this.localCameras[b].transitions[c].progress;a["lc"+b+"mtf"]=this.localCameras[b].moveTransFinished;a["lc"+b+"ztf"]=this.localCameras[b].zoomTransFinished;a["lc"+b+"csis"]=this.localCameras[b].isShaking;a["lc"+b+"cssx"]=this.localCameras[b].shakeX;a["lc"+b+"cssy"]=this.localCameras[b].shakeY;a["lc"+b+"cssz"]=this.localCameras[b].shakeZoom;a["lc"+b+"csst"]=this.localCameras[b].shakeTimer;a["lc"+b+"csss"]=this.localCameras[b].shakeStrength;
a["lc"+b+"cssmd"]=this.localCameras[b].shakeMaxDeviation;a["lc"+b+"cssmzd"]=this.localCameras[b].shakeMaxZoomDeviation;a["lc"+b+"cssl"]=this.localCameras[b].shakeLength;a["lc"+b+"cssbt"]=this.localCameras[b].shakeBuildTime;a["lc"+b+"cssdt"]=this.localCameras[b].shakeDropTime}for(b=0;b<this.globalCameras.length;b++){a["gc"+b+"g"]=this.globalCameras[b].global;a["gc"+b+"n"]=this.globalCameras[b].name;a["gc"+b+"x"]=this.globalCameras[b].x;a["gc"+b+"y"]=this.globalCameras[b].y;a["gc"+b+"s"]=this.globalCameras[b].scale;
a["gc"+b+"f"]=this.globalCameras[b].following;a["gc"+b+"foc"]=this.globalCameras[b].followedObjects.length;for(c=0;c<this.globalCameras[b].followedObjects.length;c++)a["gc"+b+"fo"+c]=this.globalCameras[b].followedObjects[c].uid;for(c=0;c<this.globalCameras[b].objectWeights.length;c++)a["gc"+b+"fow"+c]=this.globalCameras[b].objectWeights[c];for(c=0;c<this.globalCameras[b].followedObjectIPs.length;c++)a["gc"+b+"foip"+c]=this.globalCameras[b].followedObjectIPs[c];a["gc"+b+"fl"]=this.globalCameras[b].followLag;
a["gc"+b+"ztc"]=this.globalCameras[b].zoomToContain;a["gc"+b+"zmh"]=this.globalCameras[b].zoomMarginH;a["gc"+b+"zmv"]=this.globalCameras[b].zoomMarginV;a["gc"+b+"tc"]=this.globalCameras[b].transitions.length;for(c=0;c<this.globalCameras[b].transitions.length;c++)a["gc"+b+"t"+c+"tp"]=this.globalCameras[b].transitions[c].type,a["gc"+b+"t"+c+"d"]=this.globalCameras[b].transitions[c].duration,a["gc"+b+"t"+c+"p1"]=this.globalCameras[b].transitions[c].param1,a["gc"+b+"t"+c+"p2"]=this.globalCameras[b].transitions[c].param2,
a["gc"+b+"t"+c+"p3"]=this.globalCameras[b].transitions[c].param3,a["gc"+b+"t"+c+"p4"]=this.globalCameras[b].transitions[c].param4;a["gc"+b+"mtf"]=this.globalCameras[b].moveTransFinished;a["gc"+b+"ztf"]=this.globalCameras[b].zoomTransFinished;a["gc"+b+"csis"]=this.globalCameras[b].isShaking;a["gc"+b+"cssx"]=this.globalCameras[b].shakeX;a["gc"+b+"cssy"]=this.globalCameras[b].shakeY;a["gc"+b+"cssz"]=this.globalCameras[b].shakeZoom;a["gc"+b+"csst"]=this.globalCameras[b].shakeTimer;a["gc"+b+"csss"]=this.globalCameras[b].shakeStrength;
a["gc"+b+"cssmd"]=this.globalCameras[b].shakeMaxDeviation;a["gc"+b+"cssmzd"]=this.globalCameras[b].shakeMaxZoomDeviation;a["gc"+b+"cssl"]=this.globalCameras[b].shakeLength;a["gc"+b+"cssbt"]=this.globalCameras[b].shakeBuildTime;a["gc"+b+"cssdt"]=this.globalCameras[b].shakeDropTime}a.ac=null!=this.activeCamera?this.activeCamera.name:"null";null!=this.transTarget&&(a.tt=this.transTarget.name);return a};n.loadFromJSON=function(b){this.localCameras=[];this.globalCameras=[];this.localCameraCount=b.lcc;
this.localCameraCountOld=b.olcc;for(var e=b.alcc,f=0;f<e;f++){var g=new c("",0,0,0,!1);g.global=b["lc"+f+"g"];g.name=b["lc"+f+"n"];g.x=b["lc"+f+"x"];g.y=b["lc"+f+"y"];g.scale=b["lc"+f+"s"];g.following=b["lc"+f+"f"];for(var k=b["lc"+f+"foc"],l=0;l<k;l++)g.followedObjectUIDs.push(b["lc"+f+"fo"+l]);for(l=0;l<k;l++)g.objectWeights.push(b["lc"+f+"fow"+l]);for(l=0;l<k;l++)g.followedObjectIPs.push(b["lc"+f+"foip"+l]);g.followLag=b["lc"+f+"fl"];g.zoomToContain=b["lc"+f+"ztc"];g.zoomMarginH=b["lc"+f+"zmh"];
g.zoomMarginV=b["lc"+f+"zmv"];k=b["lc"+f+"tc"];for(l=0;l<k;l++){var n=new a("",0,0,0,0);n.type=b["lc"+f+"t"+l+"tp"];n.duration=b["lc"+f+"t"+l+"d"];n.param1=b["lc"+f+"t"+l+"p1"];n.param2=b["lc"+f+"t"+l+"p2"];n.param3=b["lc"+f+"t"+l+"p3"];n.param4=b["lc"+f+"t"+l+"p4"];n.progress=b["lc"+f+"t"+l+"pr"];g.transitions.push(n)}g.moveTransFinished=b["lc"+f+"mtf"];g.zoomTransFinished=b["lc"+f+"ztf"];g.isShaking=b["lc"+f+"csis"];g.shakeX=b["lc"+f+"cssx"];g.shakeY=b["lc"+f+"cssy"];g.shakeZoom=b["lc"+f+"cssz"];
g.shakeTimer=b["lc"+f+"csst"];g.shakeStrength=b["lc"+f+"csss"];g.shakeMaxDeviation=b["lc"+f+"cssmd"];g.shakeMaxZoomDeviation=b["lc"+f+"cssmzd"];g.shakeLength=b["lc"+f+"cssl"];g.shakeBuildTime=b["lc"+f+"cssbt"];g.shakeDropTime=b["lc"+f+"cssdt"];this.localCameras.push(g)}e=b.agcc;for(f=0;f<e;f++){g=new c("",0,0,0,!1);g.global=b["gc"+f+"g"];g.name=b["gc"+f+"n"];g.x=b["gc"+f+"x"];g.y=b["gc"+f+"y"];g.scale=b["gc"+f+"s"];g.following=b["gc"+f+"f"];k=b["gc"+f+"foc"];for(l=0;l<k;l++)g.followedObjectUIDs.push(b["gc"+
f+"fo"+l]);for(l=0;l<k;l++)g.objectWeights.push(b["gc"+f+"fow"+l]);for(l=0;l<k;l++)g.followedObjectIPs.push(b["gc"+f+"foip"+l]);g.followLag=b["gc"+f+"fl"];g.zoomToContain=b["gc"+f+"ztc"];g.zoomMarginH=b["gc"+f+"zmh"];g.zoomMarginV=b["gc"+f+"zmv"];k=b["gc"+f+"tc"];for(l=0;l<k;l++)n=new a("",0,0,0,0),n.type=b["gc"+f+"t"+l+"tp"],n.duration=b["gc"+f+"t"+l+"d"],n.param1=b["gc"+f+"t"+l+"p1"],n.param2=b["gc"+f+"t"+l+"p2"],n.param3=b["gc"+f+"t"+l+"p3"],n.param4=b["gc"+f+"t"+l+"p4"],g.transitions.push(n);
g.moveTransFinished=b["gc"+f+"mtf"];g.zoomTransFinished=b["gc"+f+"ztf"];g.isShaking=b["gc"+f+"csis"];g.shakeX=b["gc"+f+"cssx"];g.shakeY=b["gc"+f+"cssy"];g.shakeZoom=b["gc"+f+"cssz"];g.shakeTimer=b["gc"+f+"csst"];g.shakeStrength=b["gc"+f+"csss"];g.shakeMaxDeviation=b["gc"+f+"cssmd"];g.shakeMaxZoomDeviation=b["gc"+f+"cssmzd"];g.shakeLength=b["gc"+f+"cssl"];g.shakeBuildTime=b["gc"+f+"cssbt"];g.shakeDropTime=b["gc"+f+"cssdt"];this.globalCameras.push(g)}f=b.ac;this.activeCamera="null"==f?null:this.GetCamera(f);
b.tcnn&&(this.transCamera=this.localCameras.pop(),this.transTarget=this.GetCamera(b.tt))};n.afterLoad=function(){for(var a=0;a<this.localCameras.length;a++)for(var b=0;b<this.localCameras[a].followedObjectUIDs.length;b++)this.localCameras[a].followedObjects.push(this.runtime.getObjectByUID(this.localCameras[a].followedObjectUIDs[b]));for(a=0;a<this.globalCameras.length;a++)for(b=0;b<this.globalCameras[a].followedObjectUIDs.length;b++)this.globalCameras[a].followedObjects.push(this.runtime.getObjectByUID(this.globalCameras[a].followedObjectUIDs[b]))};
n.onLayoutChange=function(){for(var a=0;a<this.localCameraCountOld;a++)this.localCameras.shift();this.localCameraCount-=this.localCameraCountOld};n.tick=function(){this.localCameraCountOld=this.localCameraCount;var a=this.runtime.getDt(this);0==a&&(a=0.1);for(var b=0;b<this.globalCameras.length;b++)this.globalCameras[b].ProcessTransitions(a),this.globalCameras[b].ProcessFollowing(a,this.runtime.original_width,this.runtime.original_height,this.runtime.running_layout),this.globalCameras[b].ShakeCamera(a);
for(b=0;b<this.localCameras.length;b++)this.localCameras[b].ProcessTransitions(a),this.localCameras[b].ProcessFollowing(a,this.runtime.original_width,this.runtime.original_height,this.runtime.running_layout),this.localCameras[b].ShakeCamera(a);null!=this.transCamera&&(this.transCamera.UpdateCameraTarget(a,this.transTarget),this.transCamera.ProcessTransitions(a),this.transCamera.moveTransFinished&&(this.activeCamera=this.transTarget,this.transCamera=null));null!=this.activeCamera&&(this.runtime.running_layout.scrollToX(this.activeCamera.GetX()+
this.activeCamera.GetShakeX()),this.runtime.running_layout.scrollToY(this.activeCamera.GetY()+this.activeCamera.GetShakeY()),this.runtime.running_layout.scale=this.activeCamera.scale+this.activeCamera.shakeZoom,this.runtime.redraw=!0)};n.draw=function(a){};n.drawGL=function(a){};n.GetCamera=function(a){if(""==a)return this.activeCamera;for(var b=this.globalCameras.length-1;0<=b;b--)if(this.globalCameras[b].GetName()==a)return this.globalCameras[b];for(b=this.localCameras.length-1;0<=b;b--)if(this.localCameras[b].GetName()==
a)return this.localCameras[b];return null};e.prototype.TransitionFinished=function(a,b){var c=this.GetCamera(a);if(null!=c){if(0==b)return c.moveTransFinished;if(1==b)return c.zoomTransFinished}return!1};e.prototype.TransitionIsInProgress=function(a,b){var c=this.GetCamera(a);if(null!=c)for(var e=0;e<c.transitions.length;e++)if("MOVE"==c.transitions[e].type&&0==b||"SCALE"==c.transitions[e].type&&1==b)return!0;return!1};l.cnds=new e;k.prototype.FollowObject=function(a,b,c,e){if(b&&(a=this.GetCamera(a),
null!=a)){var g=b.getFirstPicked();a.global&&!b.global?alert("MagiCam:\n\nObject not global - global cameras must follow global objects."):(a.followedObjects.push(g),a.objectWeights.push(c),a.followedObjectIPs.push(e))}};k.prototype.SetFollowLag=function(a,b){var c=this.GetCamera(a);null!=c&&(c.followLag=1-b/100)};k.prototype.ZoomToContain=function(a,b,c,e){a=this.GetCamera(a);null!=a&&(0==b?(a.zoomToContain=!0,a.zoomMarginH=c,a.zoomMarginV=e):a.zoomToContain=!1)};k.prototype.EnableFollowing=function(a,
b){var c=this.GetCamera(a);null!=c&&(c.following=0==b?!0:!1)};k.prototype.CreateLocalCamera=function(a,b,f,e,g){""==a?alert("Camera name must not be blank."):(this.localCameras.push(new c(a,b,f,e,!1)),this.localCameraCount++,1==g&&(this.activeCamera=this.localCameras[this.localCameras.length-1],this.runtime.running_layout.scale=this.activeCamera.scale))};k.prototype.CreateGlobalCamera=function(a,b,f,e,g){""==a?alert("Camera name must not be blank."):null==this.GetCamera(a)&&(this.globalCameras.push(new c(a,
b,f,e,!0)),1==g&&(this.activeCamera=this.globalCameras[this.globalCameras.length-1],this.runtime.running_layout.scrollToX(this.activeCamera.GetX()),this.runtime.running_layout.scrollToY(this.activeCamera.GetY()),this.runtime.running_layout.scale=this.activeCamera.scale))};k.prototype.SetActiveCamera=function(a){a=this.GetCamera(a);null!=a&&(this.activeCamera=a,this.runtime.running_layout.scrollToX(a.GetX()),this.runtime.running_layout.scrollToY(a.GetY()),this.runtime.running_layout.scale=a.scale)};
k.prototype.SetScrollSmoothing=function(a){};k.prototype.SetXPosition=function(a,b){var c=this.GetCamera(a);null!=c&&c.SetX(b)};k.prototype.SetYPosition=function(a,b){var c=this.GetCamera(a);null!=c&&c.SetY(b)};k.prototype.SetPosition=function(a,b,c){a=this.GetCamera(a);null!=a&&(a.SetX(b),a.SetY(c))};k.prototype.SetZoom=function(a,b){var c=this.GetCamera(a);null!=c&&(c.scale=b)};k.prototype.TransitionToPoint=function(b,c,f,e){b=this.GetCamera(b);if(null!=b){for(var g=0;g<b.transitions.length;g++)if("MOVE"==
b.transitions[g].type){b.transitions.splice(g,1);break}b.transitions.push(new a("MOVE",e,c,f,b.GetX(),b.GetY()));b.following=!1;b.zoomToContain=!1}};k.prototype.TransitionToZoom=function(b,c,f){b=this.GetCamera(b);if(null!=b){for(var e=0;e<b.transitions.length;e++)if("SCALE"==b.transitions[e].type){b.transitions.splice(e,1);break}b.transitions.push(new a("SCALE",f,c,b.scale,null,null));b.zoomToContain=!1}};k.prototype.TransitionToCamera=function(b,e){var f=this.GetCamera(b);null!=f&&(this.transTarget=
f,this.transCamera=new c("transCamera",this.activeCamera.GetX(),this.activeCamera.GetY(),this.activeCamera.scale,!1),this.transCamera.transitions.push(new a("MOVE",e,this.transTarget.GetX(),this.transTarget.GetY(),this.transCamera.GetX(),this.transCamera.GetY())),this.transCamera.transitions.push(new a("SCALE",e,this.transTarget.scale,this.transCamera.scale,null,null)),this.activeCamera=this.transCamera,this.isSwitchingCameras=!0)};k.prototype.ShakeCamera=function(a,b,c,e,g,l,k){a=this.GetCamera(a);
null!=a&&(a.isShaking=!0,a.shakeStrength=b/100,a.shakeMaxDeviation=c,a.shakeMaxZoomDeviation=e,a.shakeBuildTime=g,a.shakeDropTime=l,a.shakeLength=k,a.shakeTimer=0)};l.acts=new k;g.prototype.MovementTransitionProgress=function(a,b){var c=this.GetCamera(b);if(null!=c)for(var e=0;e<c.transitions.length;e++)if("MOVE"==c.transitions[e].type){a.set_float(c.transitions[e].progress);return}a.set_float(0)};g.prototype.ZoomTransitionProgress=function(a,b){var c=this.GetCamera(b);if(null!=c)for(var e=0;e<c.transitions.length;e++)if("SCALE"==
c.transitions[e].type){a.set_float(c.transitions[e].progress);return}a.set_float(0)};g.prototype.GetX=function(a,b){var c=this.GetCamera(b);null!=c?a.set_float(c.x):a.set_float(0)};g.prototype.GetY=function(a,b){var c=this.GetCamera(b);null!=c?a.set_float(c.y):a.set_float(0)};g.prototype.GetZoom=function(a,b){var c=this.GetCamera(b);null!=c?a.set_float(c.scale):a.set_float(0)};g.prototype.GetActiveCamera=function(a){null!=this.activeCamera?a.set_string(this.activeCamera.name):a.set_string("null")};
l.exps=new g})();cr.plugins_.Particles=function(a){this.runtime=a};
(function(){function a(a){this.owner=a;this.active=!1;this.angle=this.speed=this.y=this.x=0;this.opacity=1;this.age=this.gs=this.size=this.grow=0;cr.seal(this)}function c(){}function e(){}function k(){}var g=cr.plugins_.Particles.prototype;g.Type=function(a){this.plugin=a;this.runtime=a.runtime};var b=g.Type.prototype;b.onCreate=function(){this.is_family||(this.texture_img=new Image,this.texture_img.idtkLoadDisposed=!0,this.texture_img.src=this.texture_file,this.texture_img.cr_filesize=this.texture_filesize,
this.webGL_texture=null,this.runtime.wait_for_textures.push(this.texture_img))};b.onLostWebGLContext=function(){this.is_family||(this.webGL_texture=null)};b.onRestoreWebGLContext=function(){this.is_family||!this.instances.length||this.webGL_texture||(this.webGL_texture=this.runtime.glwrap.loadTexture(this.texture_img,!0,this.runtime.linearSampling,this.texture_pixelformat))};b.loadTextures=function(){this.is_family||this.webGL_texture||!this.runtime.glwrap||(this.webGL_texture=this.runtime.glwrap.loadTexture(this.texture_img,
!0,this.runtime.linearSampling,this.texture_pixelformat))};b.unloadTextures=function(){this.is_family||this.instances.length||!this.webGL_texture||(this.runtime.glwrap.deleteTexture(this.webGL_texture),this.webGL_texture=null)};b.preloadCanvas2D=function(a){a.drawImage(this.texture_img,0,0)};a.prototype.init=function(){var a=this.owner;this.x=a.x-a.xrandom/2+Math.random()*a.xrandom;this.y=a.y-a.yrandom/2+Math.random()*a.yrandom;this.speed=a.initspeed-a.speedrandom/2+Math.random()*a.speedrandom;this.angle=
a.angle-a.spraycone/2+Math.random()*a.spraycone;this.opacity=a.initopacity;this.size=a.initsize-a.sizerandom/2+Math.random()*a.sizerandom;this.grow=a.growrate-a.growrandom/2+Math.random()*a.growrandom;this.age=this.gs=0};a.prototype.tick=function(a){var b=this.owner;this.x+=Math.cos(this.angle)*this.speed*a;this.y+=Math.sin(this.angle)*this.speed*a;this.y+=this.gs*a;this.speed+=b.acc*a;this.size+=this.grow*a;this.gs+=b.g*a;this.age+=a;1>this.size?this.active=!1:(0!==b.lifeanglerandom&&(this.angle+=
Math.random()*b.lifeanglerandom*a-b.lifeanglerandom*a/2),0!==b.lifespeedrandom&&(this.speed+=Math.random()*b.lifespeedrandom*a-b.lifespeedrandom*a/2),0!==b.lifeopacityrandom&&(this.opacity+=Math.random()*b.lifeopacityrandom*a-b.lifeopacityrandom*a/2,0>this.opacity?this.opacity=0:1<this.opacity&&(this.opacity=1)),1>=b.destroymode&&this.age>=b.timeout&&(this.active=!1),2===b.destroymode&&0>=this.speed&&(this.active=!1))};a.prototype.draw=function(a){var b=this.owner.opacity*this.opacity;if(0!==b){0===
this.owner.destroymode&&(b*=1-this.age/this.owner.timeout);a.globalAlpha=b;var b=this.x-this.size/2,c=this.y-this.size/2;this.owner.runtime.pixel_rounding&&(b=b+0.5|0,c=c+0.5|0);a.drawImage(this.owner.type.texture_img,b,c,this.size,this.size)}};a.prototype.drawGL=function(a){var b=this.owner.opacity*this.opacity;0===this.owner.destroymode&&(b*=1-this.age/this.owner.timeout);var c=this.size,f=c*this.owner.particlescale,e=this.x-c/2,g=this.y-c/2;this.owner.runtime.pixel_rounding&&(e=e+0.5|0,g=g+0.5|
0);1>f||0===b||(f<a.minPointSize||f>a.maxPointSize?(a.setOpacity(b),a.quad(e,g,e+c,g,e+c,g+c,e,g+c)):a.point(this.x,this.y,f,b))};a.prototype.left=function(){return this.x-this.size/2};a.prototype.right=function(){return this.x+this.size/2};a.prototype.top=function(){return this.y-this.size/2};a.prototype.bottom=function(){return this.y+this.size/2};g.Instance=function(a){this.type=a;this.runtime=a.runtime};var b=g.Instance.prototype,l=[];b.onCreate=function(){var a=this.properties;this.rate=a[0];
this.spraycone=cr.to_radians(a[1]);this.spraytype=a[2];this.spraying=!0;this.initspeed=a[3];this.initsize=a[4];this.initopacity=a[5]/100;this.growrate=a[6];this.xrandom=a[7];this.yrandom=a[8];this.speedrandom=a[9];this.sizerandom=a[10];this.growrandom=a[11];this.acc=a[12];this.g=a[13];this.lifeanglerandom=a[14];this.lifespeedrandom=a[15];this.lifeopacityrandom=a[16];this.destroymode=a[17];this.timeout=a[18];this.particleCreateCounter=0;this.particlescale=1;this.particleBoxLeft=this.x;this.particleBoxTop=
this.y;this.particleBoxRight=this.x;this.particleBoxBottom=this.y;this.add_bbox_changed_callback(function(a){a.bbox.set(a.particleBoxLeft,a.particleBoxTop,a.particleBoxRight,a.particleBoxBottom);a.bquad.set_from_rect(a.bbox);a.update_collision_cell();a.bbox_changed=!1});this.recycled||(this.particles=[]);this.runtime.tickMe(this);this.type.loadTextures();if(1===this.spraytype)for(a=0;a<this.rate;a++)this.allocateParticle().opacity=0;this.first_tick=!0};b.saveToJSON=function(){var a={r:this.rate,sc:this.spraycone,
st:this.spraytype,s:this.spraying,isp:this.initspeed,isz:this.initsize,io:this.initopacity,gr:this.growrate,xr:this.xrandom,yr:this.yrandom,spr:this.speedrandom,szr:this.sizerandom,grnd:this.growrandom,acc:this.acc,g:this.g,lar:this.lifeanglerandom,lsr:this.lifespeedrandom,lor:this.lifeopacityrandom,dm:this.destroymode,to:this.timeout,pcc:this.particleCreateCounter,ft:this.first_tick,p:[]},b,c,f,e=a.p;b=0;for(c=this.particles.length;b<c;b++)f=this.particles[b],e.push([f.x,f.y,f.speed,f.angle,f.opacity,
f.grow,f.size,f.gs,f.age]);return a};b.loadFromJSON=function(a){this.rate=a.r;this.spraycone=a.sc;this.spraytype=a.st;this.spraying=a.s;this.initspeed=a.isp;this.initsize=a.isz;this.initopacity=a.io;this.growrate=a.gr;this.xrandom=a.xr;this.yrandom=a.yr;this.speedrandom=a.spr;this.sizerandom=a.szr;this.growrandom=a.grnd;this.acc=a.acc;this.g=a.g;this.lifeanglerandom=a.lar;this.lifespeedrandom=a.lsr;this.lifeopacityrandom=a.lor;this.destroymode=a.dm;this.timeout=a.to;this.particleCreateCounter=a.pcc;
this.first_tick=a.ft;l.push.apply(l,this.particles);this.particles.length=0;var b,c,f,e=a.p;a=0;for(b=e.length;a<b;a++)c=this.allocateParticle(),f=e[a],c.x=f[0],c.y=f[1],c.speed=f[2],c.angle=f[3],c.opacity=f[4],c.grow=f[5],c.size=f[6],c.gs=f[7],c.age=f[8]};b.onDestroy=function(){l.push.apply(l,this.particles);this.particles.length=0};b.allocateParticle=function(){var b;l.length?(b=l.pop(),b.owner=this):b=new a(this);this.particles.push(b);b.active=!0;return b};b.tick=function(){var a=this.runtime.getDt(this),
b,c,f,e;if(0===this.spraytype&&this.spraying)for(this.particleCreateCounter+=a*this.rate,c=cr.floor(this.particleCreateCounter),this.particleCreateCounter-=c,b=0;b<c;b++)f=this.allocateParticle(),f.init();this.particleBoxLeft=this.x;this.particleBoxTop=this.y;this.particleBoxRight=this.x;this.particleBoxBottom=this.y;e=b=0;for(c=this.particles.length;b<c;b++)f=this.particles[b],this.particles[e]=f,this.runtime.redraw=!0,1===this.spraytype&&this.first_tick&&f.init(),f.tick(a),f.active?(f.left()<this.particleBoxLeft&&
(this.particleBoxLeft=f.left()),f.right()>this.particleBoxRight&&(this.particleBoxRight=f.right()),f.top()<this.particleBoxTop&&(this.particleBoxTop=f.top()),f.bottom()>this.particleBoxBottom&&(this.particleBoxBottom=f.bottom()),e++):l.push(f);this.particles.length=e;this.set_bbox_changed();this.first_tick=!1;1===this.spraytype&&0===this.particles.length&&this.runtime.DestroyInstance(this)};b.draw=function(a){var b,c,f,e=this.layer;b=0;for(c=this.particles.length;b<c;b++)f=this.particles[b],f.right()>=
e.viewLeft&&f.bottom()>=e.viewTop&&f.left()<=e.viewRight&&f.top()<=e.viewBottom&&f.draw(a)};b.drawGL=function(a){this.particlescale=this.layer.getScale();a.setTexture(this.type.webGL_texture);var b,c,f,e=this.layer;b=0;for(c=this.particles.length;b<c;b++)f=this.particles[b],f.right()>=e.viewLeft&&f.bottom()>=e.viewTop&&f.left()<=e.viewRight&&f.top()<=e.viewBottom&&f.drawGL(a)};c.prototype.IsSpraying=function(){return this.spraying};g.cnds=new c;e.prototype.SetSpraying=function(a){this.spraying=0!==
a};e.prototype.SetEffect=function(a){this.compositeOp=cr.effectToCompositeOp(a);cr.setGLBlend(this,a,this.runtime.gl);this.runtime.redraw=!0};e.prototype.SetRate=function(a){this.rate=a;var b;if(1===this.spraytype&&this.first_tick)if(a<this.particles.length)for(a=this.particles.length-a,b=0;b<a;b++)l.push(this.particles.pop());else if(a>this.particles.length)for(a-=this.particles.length,b=0;b<a;b++)this.allocateParticle().opacity=0};e.prototype.SetSprayCone=function(a){this.spraycone=cr.to_radians(a)};
e.prototype.SetInitSpeed=function(a){this.initspeed=a};e.prototype.SetInitSize=function(a){this.initsize=a};e.prototype.SetInitOpacity=function(a){this.initopacity=a/100};e.prototype.SetGrowRate=function(a){this.growrate=a};e.prototype.SetXRandomiser=function(a){this.xrandom=a};e.prototype.SetYRandomiser=function(a){this.yrandom=a};e.prototype.SetSpeedRandomiser=function(a){this.speedrandom=a};e.prototype.SetSizeRandomiser=function(a){this.sizerandom=a};e.prototype.SetGrowRateRandomiser=function(a){this.growrandom=
a};e.prototype.SetParticleAcc=function(a){this.acc=a};e.prototype.SetGravity=function(a){this.g=a};e.prototype.SetAngleRandomiser=function(a){this.lifeanglerandom=a};e.prototype.SetSpeedRandomiser=function(a){this.lifespeedrandom=a};e.prototype.SetOpacityRandomiser=function(a){this.lifeopacityrandom=a};e.prototype.SetTimeout=function(a){this.timeout=a};g.acts=new e;k.prototype.ParticleCount=function(a){a.set_int(this.particles.length)};k.prototype.Rate=function(a){a.set_float(this.rate)};k.prototype.SprayCone=
function(a){a.set_float(cr.to_degrees(this.spraycone))};k.prototype.InitSpeed=function(a){a.set_float(this.initspeed)};k.prototype.InitSize=function(a){a.set_float(this.initsize)};k.prototype.InitOpacity=function(a){a.set_float(100*this.initopacity)};k.prototype.InitGrowRate=function(a){a.set_float(this.growrate)};k.prototype.XRandom=function(a){a.set_float(this.xrandom)};k.prototype.YRandom=function(a){a.set_float(this.yrandom)};k.prototype.InitSpeedRandom=function(a){a.set_float(this.speedrandom)};
k.prototype.InitSizeRandom=function(a){a.set_float(this.sizerandom)};k.prototype.InitGrowRandom=function(a){a.set_float(this.growrandom)};k.prototype.ParticleAcceleration=function(a){a.set_float(this.acc)};k.prototype.Gravity=function(a){a.set_float(this.g)};k.prototype.ParticleAngleRandom=function(a){a.set_float(this.lifeanglerandom)};k.prototype.ParticleSpeedRandom=function(a){a.set_float(this.lifespeedrandom)};k.prototype.ParticleOpacityRandom=function(a){a.set_float(this.lifeopacityrandom)};k.prototype.Timeout=
function(a){a.set_float(this.timeout)};g.exps=new k})();cr.plugins_.Rex_Nickname=function(a){this.runtime=a};cr.plugins_.Rex_Nickname.nickname2objtype={};
(function(){function a(){}function c(){}var e=cr.plugins_.Rex_Nickname.prototype;e.Type=function(a){this.plugin=a;this.runtime=a.runtime};e.Type.prototype.onCreate=function(){};e.Instance=function(a){this.type=a;this.runtime=a.runtime};var k=e.Instance.prototype;k.onCreate=function(){this.nickname2objtype=cr.plugins_.Rex_Nickname.nickname2objtype};k._getObjectType=function(a){a=this.nickname2objtype[a];if(null==a)return null;var b=a.sid,c=this.runtime.types_by_index,e=c[a.index];if(null!=e&&e.sid===
b)return e;var d,h=c.length;for(d=0;d<h;d++)if(e=c[d],e.sid===b)return a.index=d,e;return null};k.create_insts=function(a,b,c,e){a=this._getObjectType(a);if(null!=a){e="number"==typeof e?this.runtime.getLayerByNumber(e):this.runtime.getLayerByName(e);b=this.runtime.createInstance(a,e,b,c);if(null==b)return null;c=b.type.getCurrentSol();c.select_all=!1;c.instances.length=1;c.instances[0]=b;var d;if(b.is_contained)for(e=0,a=b.siblings.length;e<a;e++)d=b.siblings[e],c=d.type.getCurrentSol(),c.select_all=
!1,c.instances.length=1,c.instances[0]=d;this.runtime.isInOnDestroy++;this.runtime.trigger(Object.getPrototypeOf(b.type.plugin).cnds.OnCreated,b);this.runtime.isInOnDestroy--;return b}};k.PickAll=function(a,b){if(b.is_family){var c=this._getObjectType(a);if(c&&-1!=b.members.indexOf(c)){var c=c.getCurrentSol(),e=c.select_all;c.select_all=!0;var d=c.getObjects(),h=b.getCurrentSol();h.instances=d.slice();h.select_all=!1;c.select_all=e}}};k.saveToJSON=function(){var a={},b;for(b in this.nickname2objtype)a[this.nickname2objtype[b].sid]=
b;return{sid2name:a}};k.loadFromJSON=function(a){a=a.sid2name;var b,c;for(b in a)c=a[b],this.nickname2objtype[c]={sid:parseInt(b,10),index:-1}};e.cnds=new a;a.prototype.PickAll=function(a,b){this.PickAll(a,b);return!0};e.acts=new c;c.prototype.AssignNickname=function(a,b){null!=b&&(this.nickname2objtype[a]={sid:b.sid,index:-1})};c.prototype.CreateInsts=function(a,b,c,e,d){a=this.create_insts(a,b,c,e);null!=a&&d&&-1!=d.members.indexOf(a.type)&&(d.getCurrentSol().pick_one(a),d.applySolToContainer())};
c.prototype.PickAll=function(a,b){this.PickAll(a,b)};e.exps=new function(){}})();cr.plugins_.Sprite=function(a){this.runtime=a};
(function(){function a(){if(0===this.datauri.length){var a=document.createElement("canvas");a.width=this.width;a.height=this.height;var b=a.getContext("2d");this.spritesheeted?b.drawImage(this.texture_img,this.offx,this.offy,this.width,this.height,0,0,this.width,this.height):b.drawImage(this.texture_img,0,0,this.width,this.height);this.datauri=a.toDataURL("image/png")}return this.datauri}function c(){}function e(a){a[0]=0;a[1]=0;a[2]=0;s.push(a)}function k(a,b){return a<b?""+a+","+b:""+b+","+a}function g(a,
b,c,d){b=b.uid;c=c.uid;var f=k(b,c);if(a.hasOwnProperty(f))a[f][2]=d;else{var e;e=s.length?s.pop():[0,0,0];e[0]=b;e[1]=c;e[2]=d;a[f]=e}}function b(a,b,c){b=k(b.uid,c.uid);a.hasOwnProperty(b)&&(e(a[b]),delete a[b])}function l(a,b,c){b=k(b.uid,c.uid);if(a.hasOwnProperty(b))return w=a[b][2],!0;w=-2;return!1}function n(a,b,c){if(!a)return!1;var d=0!==b||0!==c,f,e,g=!1,h,k=this.runtime.getCurrentCondition(),l=k.type,k=k.inverted,n=a.getCurrentSol();h=this.runtime.getCurrentEventStack().current_event.orblock;
n.select_all?(this.update_bbox(),this.runtime.getCollisionCandidates(this.layer,a,this.bbox,q),n=q):n=h?n.else_instances:n.instances;u=a;B=l!==a&&!k;d&&(f=this.x,e=this.y,this.x+=b,this.y+=c,this.set_bbox_changed());b=0;for(c=n.length;b<c;b++)if(h=n[b],this.runtime.testOverlap(this,h)){g=!0;if(k)break;l!==a&&y.add(h)}d&&(this.x=f,this.y=e,this.set_bbox_changed());q.length=0;return g}function d(){}function h(){}var f=cr.plugins_.Sprite.prototype;f.Type=function(a){this.plugin=a;this.runtime=a.runtime};
var p=f.Type.prototype;p.onCreate=function(){if(!this.is_family){var b,c,d,f,e,g,h,k,l;this.all_frames=[];this.has_loaded_textures=!1;b=0;for(c=this.animations.length;b<c;b++){e=this.animations[b];h={};h.name=e[0];h.speed=e[1];h.loop=e[2];h.repeatcount=e[3];h.repeatto=e[4];h.pingpong=e[5];h.sid=e[6];h.frames=[];d=0;for(f=e[7].length;d<f;d++)g=e[7][d],k={},k.texture_file=g[0],k.texture_filesize=g[1],k.offx=g[2],k.offy=g[3],k.width=g[4],k.height=g[5],k.duration=g[6],k.hotspotX=g[7],k.hotspotY=g[8],
k.image_points=g[9],k.poly_pts=g[10],k.pixelformat=g[11],k.spritesheeted=0!==k.width,k.datauri="",k.getDataUri=a,l={left:0,top:0,right:1,bottom:1},k.sheetTex=l,k.webGL_texture=null,(l=this.runtime.findWaitingTexture(g[0]))?k.texture_img=l:(k.texture_img=new Image,k.texture_img.idtkLoadDisposed=!0,k.texture_img.src=g[0],k.texture_img.cr_src=g[0],k.texture_img.cr_filesize=g[1],k.texture_img.c2webGL_texture=null,this.runtime.wait_for_textures.push(k.texture_img)),cr.seal(k),h.frames.push(k),this.all_frames.push(k);
cr.seal(h);this.animations[b]=h}}};p.updateAllCurrentTexture=function(){var a,b,c;a=0;for(b=this.instances.length;a<b;a++)c=this.instances[a],c.curWebGLTexture=c.curFrame.webGL_texture};p.onLostWebGLContext=function(){if(!this.is_family){var a,b,c;a=0;for(b=this.all_frames.length;a<b;++a)c=this.all_frames[a],c.texture_img.c2webGL_texture=null,c.webGL_texture=null}};p.onRestoreWebGLContext=function(){if(!this.is_family&&this.instances.length){var a,b,c;a=0;for(b=this.all_frames.length;a<b;++a)c=this.all_frames[a],
c.webGL_texture=this.runtime.glwrap.loadTexture(c.texture_img,!1,this.runtime.linearSampling,c.pixelformat);this.updateAllCurrentTexture()}};p.loadTextures=function(){if(!this.is_family&&!this.has_loaded_textures&&this.runtime.glwrap){var a,b,c;a=0;for(b=this.all_frames.length;a<b;++a)c=this.all_frames[a],c.webGL_texture=this.runtime.glwrap.loadTexture(c.texture_img,!1,this.runtime.linearSampling,c.pixelformat);this.has_loaded_textures=!0}};p.unloadTextures=function(){if(!this.is_family&&!this.instances.length&&
this.has_loaded_textures){var a,b,c;a=0;for(b=this.all_frames.length;a<b;++a)c=this.all_frames[a],this.runtime.glwrap.deleteTexture(c.webGL_texture);this.has_loaded_textures=!1}};var r=[];p.preloadCanvas2D=function(a){var b,c,d;b=r.length=0;for(c=this.all_frames.length;b<c;++b)d=this.all_frames[b].texture_img,-1===r.indexOf(d)&&(a.drawImage(d,0,0),r.push(d))};f.Instance=function(a){this.type=a;this.runtime=a.runtime;a=this.type.animations[0].frames[0].poly_pts;this.recycled?this.collision_poly.set_pts(a):
this.collision_poly=new cr.CollisionPoly(a)};var t=f.Instance.prototype;t.onCreate=function(){this.visible=0===this.properties[0];this.inAnimTrigger=this.isTicking=!1;this.collisionsEnabled=0!==this.properties[3];1===this.type.animations.length&&1===this.type.animations[0].frames.length||0===this.type.animations[0].speed||(this.runtime.tickMe(this),this.isTicking=!0);this.cur_animation=this.getAnimationByName(this.properties[1])||this.type.animations[0];this.cur_frame=this.properties[2];0>this.cur_frame&&
(this.cur_frame=0);this.cur_frame>=this.cur_animation.frames.length&&(this.cur_frame=this.cur_animation.frames.length-1);var a=this.cur_animation.frames[this.cur_frame];this.collision_poly.set_pts(a.poly_pts);this.hotspotX=a.hotspotX;this.hotspotY=a.hotspotY;this.cur_anim_speed=this.cur_animation.speed;this.recycled?this.animTimer.reset():this.animTimer=new cr.KahanAdder;this.frameStart=this.getNowTime();this.animPlaying=!0;this.animRepeats=0;this.animForwards=!0;this.changeAnimName=this.animTriggerName=
"";this.changeAnimFrom=0;this.changeAnimFrame=-1;this.type.loadTextures();var b,c,d,f,e,g,h,a=0;for(b=this.type.animations.length;a<b;a++)for(f=this.type.animations[a],c=0,d=f.frames.length;c<d;c++)e=f.frames[c],0===e.width&&(e.width=e.texture_img.width,e.height=e.texture_img.height),e.spritesheeted&&(h=e.texture_img,g=e.sheetTex,g.left=e.offx/h.width,g.top=e.offy/h.height,g.right=(e.offx+e.width)/h.width,g.bottom=(e.offy+e.height)/h.height,0===e.offx&&0===e.offy&&e.width===h.width&&e.height===h.height&&
(e.spritesheeted=!1));this.curFrame=this.cur_animation.frames[this.cur_frame];this.curWebGLTexture=this.curFrame.webGL_texture};t.saveToJSON=function(){var a={a:this.cur_animation.sid,f:this.cur_frame,cas:this.cur_anim_speed,fs:this.frameStart,ar:this.animRepeats,at:this.animTimer.sum};this.animPlaying||(a.ap=this.animPlaying);this.animForwards||(a.af=this.animForwards);return a};t.loadFromJSON=function(a){var b=this.getAnimationBySid(a.a);b&&(this.cur_animation=b);this.cur_frame=a.f;0>this.cur_frame&&
(this.cur_frame=0);this.cur_frame>=this.cur_animation.frames.length&&(this.cur_frame=this.cur_animation.frames.length-1);this.cur_anim_speed=a.cas;this.frameStart=a.fs;this.animRepeats=a.ar;this.animTimer.reset();this.animTimer.sum=a.at;this.animPlaying=a.hasOwnProperty("ap")?a.ap:!0;this.animForwards=a.hasOwnProperty("af")?a.af:!0;this.curFrame=this.cur_animation.frames[this.cur_frame];this.curWebGLTexture=this.curFrame.webGL_texture;this.collision_poly.set_pts(this.curFrame.poly_pts);this.hotspotX=
this.curFrame.hotspotX;this.hotspotY=this.curFrame.hotspotY};t.animationFinish=function(a){this.cur_frame=a?0:this.cur_animation.frames.length-1;this.animPlaying=!1;this.animTriggerName=this.cur_animation.name;this.inAnimTrigger=!0;this.runtime.trigger(cr.plugins_.Sprite.prototype.cnds.OnAnyAnimFinished,this);this.runtime.trigger(cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,this);this.inAnimTrigger=!1;this.animRepeats=0};t.getNowTime=function(){return this.animTimer.sum};t.tick=function(){this.animTimer.add(this.runtime.getDt(this));
this.changeAnimName.length&&this.doChangeAnim();0<=this.changeAnimFrame&&this.doChangeAnimFrame();var a=this.getNowTime(),b=this.cur_animation,c=b.frames[this.cur_frame],d=c.duration/this.cur_anim_speed;this.animPlaying&&a>=this.frameStart+d&&(this.animForwards?this.cur_frame++:this.cur_frame--,this.frameStart+=d,this.cur_frame>=b.frames.length&&(b.pingpong?(this.animForwards=!1,this.cur_frame=b.frames.length-2):b.loop?this.cur_frame=b.repeatto:(this.animRepeats++,this.animRepeats>=b.repeatcount?
this.animationFinish(!1):this.cur_frame=b.repeatto)),0>this.cur_frame&&(b.pingpong?(this.cur_frame=1,this.animForwards=!0,b.loop||(this.animRepeats++,this.animRepeats>=b.repeatcount&&this.animationFinish(!0))):b.loop?this.cur_frame=b.repeatto:(this.animRepeats++,this.animRepeats>=b.repeatcount?this.animationFinish(!0):this.cur_frame=b.repeatto)),0>this.cur_frame?this.cur_frame=0:this.cur_frame>=b.frames.length&&(this.cur_frame=b.frames.length-1),a>this.frameStart+b.frames[this.cur_frame].duration/
this.cur_anim_speed&&(this.frameStart=a),a=b.frames[this.cur_frame],this.OnFrameChanged(c,a),this.runtime.redraw=!0)};t.getAnimationByName=function(a){var b,c,d;b=0;for(c=this.type.animations.length;b<c;b++)if(d=this.type.animations[b],cr.equals_nocase(d.name,a))return d;return null};t.getAnimationBySid=function(a){var b,c,d;b=0;for(c=this.type.animations.length;b<c;b++)if(d=this.type.animations[b],d.sid===a)return d;return null};t.doChangeAnim=function(){var a=this.cur_animation.frames[this.cur_frame],
b=this.getAnimationByName(this.changeAnimName);this.changeAnimName="";!b||cr.equals_nocase(b.name,this.cur_animation.name)&&this.animPlaying||(this.cur_animation=b,this.cur_anim_speed=b.speed,0>this.cur_frame&&(this.cur_frame=0),this.cur_frame>=this.cur_animation.frames.length&&(this.cur_frame=this.cur_animation.frames.length-1),1===this.changeAnimFrom&&(this.cur_frame=0),this.animPlaying=!0,this.frameStart=this.getNowTime(),this.animForwards=!0,this.OnFrameChanged(a,this.cur_animation.frames[this.cur_frame]),
this.runtime.redraw=!0)};t.doChangeAnimFrame=function(){var a=this.cur_animation.frames[this.cur_frame],b=this.cur_frame;this.cur_frame=cr.floor(this.changeAnimFrame);0>this.cur_frame&&(this.cur_frame=0);this.cur_frame>=this.cur_animation.frames.length&&(this.cur_frame=this.cur_animation.frames.length-1);b!==this.cur_frame&&(this.OnFrameChanged(a,this.cur_animation.frames[this.cur_frame]),this.frameStart=this.getNowTime(),this.runtime.redraw=!0);this.changeAnimFrame=-1};t.OnFrameChanged=function(a,
b){var c=a.width,d=a.height,f=b.width,e=b.height;c!=f&&(this.width*=f/c);d!=e&&(this.height*=e/d);this.hotspotX=b.hotspotX;this.hotspotY=b.hotspotY;this.collision_poly.set_pts(b.poly_pts);this.set_bbox_changed();this.curFrame=b;this.curWebGLTexture=b.webGL_texture;c=0;for(d=this.behavior_insts.length;c<d;c++)if(f=this.behavior_insts[c],f.onSpriteFrameChanged)f.onSpriteFrameChanged(a,b);this.runtime.trigger(cr.plugins_.Sprite.prototype.cnds.OnFrameChanged,this)};t.draw=function(a){a.globalAlpha=this.opacity;
var b=this.curFrame,c=b.spritesheeted,d=b.texture_img,f=this.x,e=this.y,g=this.width,h=this.height;if(0===this.angle&&0<=g&&0<=h)f-=this.hotspotX*g,e-=this.hotspotY*h,this.runtime.pixel_rounding&&(f=f+0.5|0,e=e+0.5|0),c?a.drawImage(d,b.offx,b.offy,b.width,b.height,f,e,g,h):a.drawImage(d,f,e,g,h);else{this.runtime.pixel_rounding&&(f=f+0.5|0,e=e+0.5|0);a.save();var k=0<g?1:-1,l=0<h?1:-1;a.translate(f,e);1===k&&1===l||a.scale(k,l);a.rotate(this.angle*k*l);f=0-this.hotspotX*cr.abs(g);e=0-this.hotspotY*
cr.abs(h);c?a.drawImage(d,b.offx,b.offy,b.width,b.height,f,e,cr.abs(g),cr.abs(h)):a.drawImage(d,f,e,cr.abs(g),cr.abs(h));a.restore()}};t.drawGL=function(a){a.setTexture(this.curWebGLTexture);a.setOpacity(this.opacity);var b=this.curFrame,c=this.bquad;if(this.runtime.pixel_rounding){var d=(this.x+0.5|0)-this.x,f=(this.y+0.5|0)-this.y;b.spritesheeted?a.quadTex(c.tlx+d,c.tly+f,c.trx+d,c.try_+f,c.brx+d,c.bry+f,c.blx+d,c.bly+f,b.sheetTex):a.quad(c.tlx+d,c.tly+f,c.trx+d,c.try_+f,c.brx+d,c.bry+f,c.blx+d,
c.bly+f)}else b.spritesheeted?a.quadTex(c.tlx,c.tly,c.trx,c.try_,c.brx,c.bry,c.blx,c.bly,b.sheetTex):a.quad(c.tlx,c.tly,c.trx,c.try_,c.brx,c.bry,c.blx,c.bly)};t.getImagePointIndexByName=function(a){var b=this.curFrame,c,d;c=0;for(d=b.image_points.length;c<d;c++)if(cr.equals_nocase(a,b.image_points[c][0]))return c;return-1};t.getImagePoint=function(a,b){var c=this.curFrame,d=c.image_points,f;f=cr.is_string(a)?this.getImagePointIndexByName(a):a-1;f=cr.floor(f);if(0>f||f>=d.length)return b?this.x:this.y;
var e=(d[f][1]-c.hotspotX)*this.width,d=d[f][2],d=(d-c.hotspotY)*this.height,c=Math.cos(this.angle);f=Math.sin(this.angle);var g=e*c-d*f,d=d*c+e*f,e=g+this.x,d=d+this.y;return b?e:d};var s=[],w=-2,q=[];c.prototype.OnCollision=function(a){if(!a)return!1;var c=this.runtime,d=c.getCurrentCondition(),f=d.type;d.extra.collmemory||(d.extra.collmemory={},c.addDestroyCallback(function(a){return function(b){b=b.uid;var c,d;for(c in a)a.hasOwnProperty(c)&&(d=a[c],d[0]===b||d[1]===b)&&(e(a[c]),delete a[c])}}(d.extra.collmemory)));
var d=d.extra.collmemory,h=f.getCurrentSol(),k=a.getCurrentSol(),h=h.getObjects(),n,p,t,s,r,u,y,B=this.runtime.tickcount,V=B-1,K=c.getCurrentEventStack().current_event;for(p=0;p<h.length;p++){t=h[p];k.select_all?(t.update_bbox(),this.runtime.getCollisionCandidates(t.layer,a,t.bbox,q),n=q):n=k.getObjects();for(s=0;s<n.length;s++)r=n[s],c.testOverlap(t,r)||c.checkRegisteredCollision(t,r)?(u=l(d,t,r),u=!u||w<V,g(d,t,r,B),u&&(c.pushCopySol(K.solModifiers),u=f.getCurrentSol(),y=a.getCurrentSol(),u.select_all=
!1,y.select_all=!1,f===a?(u.instances.length=2,u.instances[0]=t,u.instances[1]=r,f.applySolToContainer()):(u.instances.length=1,y.instances.length=1,u.instances[0]=t,y.instances[0]=r,f.applySolToContainer(),a.applySolToContainer()),K.retrigger(),c.popSol(K.solModifiers))):b(d,t,r);q.length=0}return!1};var u=null,y=new cr.ObjectSet,B=!1;p.finish=function(a){if(B){if(a){var b=this.runtime.getCurrentEventStack().current_event.orblock;a=u.getCurrentSol();var c=y.valuesRef(),d,f;if(a.select_all){a.select_all=
!1;a.instances.length=c.length;d=0;for(f=c.length;d<f;d++)a.instances[d]=c[d];if(b)for(d=a.else_instances.length=0,f=u.instances.length;d<f;d++)c=u.instances[d],y.contains(c)||a.else_instances.push(c)}else if(b)for(b=a.instances.length,a.instances.length=b+c.length,d=0,f=c.length;d<f;d++)a.instances[b+d]=c[d],cr.arrayFindRemove(a.else_instances,c[d]);else cr.shallowAssignArray(a.instances,c);u.applySolToContainer()}y.clear();B=!1}};c.prototype.IsOverlapping=function(a){return n.call(this,a,0,0)};
c.prototype.IsOverlappingOffset=function(a,b,c){return n.call(this,a,b,c)};c.prototype.IsAnimPlaying=function(a){return this.changeAnimName.length?cr.equals_nocase(this.changeAnimName,a):cr.equals_nocase(this.cur_animation.name,a)};c.prototype.CompareFrame=function(a,b){return cr.do_cmp(this.cur_frame,a,b)};c.prototype.CompareAnimSpeed=function(a,b){return cr.do_cmp(this.animForwards?this.cur_anim_speed:-this.cur_anim_speed,a,b)};c.prototype.OnAnimFinished=function(a){return cr.equals_nocase(this.animTriggerName,
a)};c.prototype.OnAnyAnimFinished=function(){return!0};c.prototype.OnFrameChanged=function(){return!0};c.prototype.IsMirrored=function(){return 0>this.width};c.prototype.IsFlipped=function(){return 0>this.height};c.prototype.OnURLLoaded=function(){return!0};c.prototype.IsCollisionEnabled=function(){return this.collisionsEnabled};f.cnds=new c;d.prototype.Spawn=function(a,b,c){if(a&&b&&(b=this.runtime.createInstance(a,b,this.getImagePoint(c,!0),this.getImagePoint(c,!1)))){"undefined"!==typeof b.angle&&
(b.angle=this.angle,b.set_bbox_changed());this.runtime.isInOnDestroy++;var d,f,e;this.runtime.trigger(Object.getPrototypeOf(a.plugin).cnds.OnCreated,b);if(b.is_contained)for(d=0,f=b.siblings.length;d<f;d++)e=b.siblings[d],this.runtime.trigger(Object.getPrototypeOf(e.type.plugin).cnds.OnCreated,e);this.runtime.isInOnDestroy--;d=this.runtime.getCurrentAction();c=!1;if(cr.is_undefined(d.extra.Spawn_LastExec)||d.extra.Spawn_LastExec<this.runtime.execcount)c=!0,d.extra.Spawn_LastExec=this.runtime.execcount;
if(a!=this.type&&(a=a.getCurrentSol(),a.select_all=!1,c?(a.instances.length=1,a.instances[0]=b):a.instances.push(b),b.is_contained))for(d=0,f=b.siblings.length;d<f;d++)e=b.siblings[d],a=e.type.getCurrentSol(),a.select_all=!1,c?(a.instances.length=1,a.instances[0]=e):a.instances.push(e)}};d.prototype.SetEffect=function(a){this.compositeOp=cr.effectToCompositeOp(a);cr.setGLBlend(this,a,this.runtime.gl);this.runtime.redraw=!0};d.prototype.StopAnim=function(){this.animPlaying=!1};d.prototype.StartAnim=
function(a){this.animPlaying=!0;this.frameStart=this.getNowTime();1===a&&0!==this.cur_frame&&(this.changeAnimFrame=0,this.inAnimTrigger||this.doChangeAnimFrame());this.isTicking||(this.runtime.tickMe(this),this.isTicking=!0)};d.prototype.SetAnim=function(a,b){this.changeAnimName=a;this.changeAnimFrom=b;this.isTicking||(this.runtime.tickMe(this),this.isTicking=!0);this.inAnimTrigger||this.doChangeAnim()};d.prototype.SetAnimFrame=function(a){this.changeAnimFrame=a;this.isTicking||(this.runtime.tickMe(this),
this.isTicking=!0);this.inAnimTrigger||this.doChangeAnimFrame()};d.prototype.SetAnimSpeed=function(a){this.cur_anim_speed=cr.abs(a);this.animForwards=0<=a;this.isTicking||(this.runtime.tickMe(this),this.isTicking=!0)};d.prototype.SetMirrored=function(a){a=cr.abs(this.width)*(0===a?-1:1);this.width!==a&&(this.width=a,this.set_bbox_changed())};d.prototype.SetFlipped=function(a){a=cr.abs(this.height)*(0===a?-1:1);this.height!==a&&(this.height=a,this.set_bbox_changed())};d.prototype.SetScale=function(a){var b=
this.curFrame,c=b.width*a*(0>this.width?-1:1);a=b.height*a*(0>this.height?-1:1);if(this.width!==c||this.height!==a)this.width=c,this.height=a,this.set_bbox_changed()};d.prototype.LoadURL=function(a,b){var c=new Image,d=this,f=this.curFrame;c.onload=function(){f.texture_img.src===c.src?d.runtime.glwrap&&d.curFrame===f&&(d.curWebGLTexture=f.webGL_texture):(f.texture_img=c,f.offx=0,f.offy=0,f.width=c.width,f.height=c.height,f.spritesheeted=!1,f.datauri="",d.runtime.glwrap&&(f.webGL_texture&&d.runtime.glwrap.deleteTexture(f.webGL_texture),
f.webGL_texture=d.runtime.glwrap.loadTexture(c,!1,d.runtime.linearSampling),d.curFrame===f&&(d.curWebGLTexture=f.webGL_texture),d.type.updateAllCurrentTexture()),0===b&&(d.width=c.width,d.height=c.height,d.set_bbox_changed()));d.runtime.redraw=!0;d.runtime.trigger(cr.plugins_.Sprite.prototype.cnds.OnURLLoaded,d)};"data:"!==a.substr(0,5)&&(c.crossOrigin="anonymous");c.src=a};d.prototype.SetCollisions=function(a){this.collisionsEnabled!==(0!==a)&&((this.collisionsEnabled=0!==a)?this.set_bbox_changed():
(this.collcells.right>=this.collcells.left&&this.type.collision_grid.update(this,this.collcells,null),this.collcells.set(0,0,-1,-1)))};f.acts=new d;h.prototype.AnimationFrame=function(a){a.set_int(this.cur_frame)};h.prototype.AnimationFrameCount=function(a){a.set_int(this.cur_animation.frames.length)};h.prototype.AnimationName=function(a){a.set_string(this.cur_animation.name)};h.prototype.AnimationSpeed=function(a){a.set_float(this.animForwards?this.cur_anim_speed:-this.cur_anim_speed)};h.prototype.ImagePointX=
function(a,b){a.set_float(this.getImagePoint(b,!0))};h.prototype.ImagePointY=function(a,b){a.set_float(this.getImagePoint(b,!1))};h.prototype.ImagePointCount=function(a){a.set_int(this.curFrame.image_points.length)};h.prototype.ImageWidth=function(a){a.set_float(this.curFrame.width)};h.prototype.ImageHeight=function(a){a.set_float(this.curFrame.height)};f.exps=new h})();cr.plugins_.Text=function(a){this.runtime=a};
(function(){function a(){return h.length?h.pop():{}}function c(a){var b,c;b=0;for(c=a.length;b<c;b++)h.push(a[b]);a.length=0}function e(){}function k(){}function g(){}var b=cr.plugins_.Text.prototype;b.onCreate=function(){b.acts.SetWidth=function(a){this.width!==a&&(this.width=a,this.text_changed=!0,this.set_bbox_changed())}};b.Type=function(a){this.plugin=a;this.runtime=a.runtime};var l=b.Type.prototype;l.onCreate=function(){};l.onLostWebGLContext=function(){if(!this.is_family){var a,b,c;a=0;for(b=
this.instances.length;a<b;a++)c=this.instances[a],c.mycanvas=null,c.myctx=null,c.mytex=null}};b.Instance=function(a){this.type=a;this.runtime=a.runtime;this.recycled?this.lines.length=0:this.lines=[];this.text_changed=!0};var l=b.Instance.prototype,n={};l.onCreate=function(){this.text=this.properties[0];this.visible=0===this.properties[1];this.font=this.properties[2];this.color=this.properties[3];this.halign=this.properties[4];this.valign=this.properties[5];this.wrapbyword=0===this.properties[7];
this.lastwrapwidth=this.lastwidth=this.width;this.lastheight=this.height;this.line_height_offset=this.properties[8];this.fontstyle=this.facename="";this.textHeight=this.textWidth=this.ptSize=0;this.parseFont();this.mytex=this.myctx=this.mycanvas=null;this.need_text_redraw=!1;this.last_render_tick=this.runtime.tickcount;this.recycled?this.rcTex.set(0,0,1,1):this.rcTex=new cr.rect(0,0,1,1);this.runtime.glwrap&&this.runtime.tickMe(this)};l.parseFont=function(){var a=this.font.split(" "),b;for(b=0;b<
a.length;b++)if("pt"===a[b].substr(a[b].length-2,2)){this.ptSize=parseInt(a[b].substr(0,a[b].length-2));this.pxHeight=Math.ceil(96*(this.ptSize/72))+4;0<b&&(this.fontstyle=a[b-1]);this.facename=a[b+1];for(b+=2;b<a.length;b++)this.facename+=" "+a[b];break}};l.saveToJSON=function(){return{t:this.text,f:this.font,c:this.color,ha:this.halign,va:this.valign,wr:this.wrapbyword,lho:this.line_height_offset,fn:this.facename,fs:this.fontstyle,ps:this.ptSize,pxh:this.pxHeight,tw:this.textWidth,th:this.textHeight,
lrt:this.last_render_tick}};l.loadFromJSON=function(a){this.text=a.t;this.font=a.f;this.color=a.c;this.halign=a.ha;this.valign=a.va;this.wrapbyword=a.wr;this.line_height_offset=a.lho;this.facename=a.fn;this.fontstyle=a.fs;this.ptSize=a.ps;this.pxHeight=a.pxh;this.textWidth=a.tw;this.textHeight=a.th;this.last_render_tick=a.lrt;this.text_changed=!0;this.lastwrapwidth=this.lastwidth=this.width;this.lastheight=this.height};l.tick=function(){if(this.runtime.glwrap&&this.mytex&&300<=this.runtime.tickcount-
this.last_render_tick){var a=this.layer;this.update_bbox();var b=this.bbox;if(b.right<a.viewLeft||b.bottom<a.viewTop||b.left>a.viewRight||b.top>a.viewBottom)this.runtime.glwrap.deleteTexture(this.mytex),this.mycanvas=this.myctx=this.mytex=null}};l.onDestroy=function(){this.mycanvas=this.myctx=null;this.runtime.glwrap&&this.mytex&&this.runtime.glwrap.deleteTexture(this.mytex);this.mytex=null};l.updateFont=function(){this.font=this.fontstyle+" "+this.ptSize.toString()+"pt "+this.facename;this.text_changed=
!0;this.runtime.redraw=!0};l.draw=function(a,b){a.font=this.font;a.textBaseline="top";a.fillStyle=this.color;a.globalAlpha=b?1:this.opacity;var c=1;b&&(c=this.layer.getScale(),a.save(),a.scale(c,c));if(this.text_changed||this.width!==this.lastwrapwidth)this.type.plugin.WordWrap(this.text,this.lines,a,this.width,this.wrapbyword),this.text_changed=!1,this.lastwrapwidth=this.width;this.update_bbox();var c=b?0:this.bquad.tlx,d=b?0:this.bquad.tly;this.runtime.pixel_rounding&&(c=c+0.5|0,d=d+0.5|0);0===
this.angle||b||(a.save(),a.translate(c,d),a.rotate(this.angle),d=c=0);var e=d+this.height,g=this.pxHeight,g=g+this.line_height_offset,h,k;1===this.valign?d+=Math.max(this.height/2-this.lines.length*g/2,0):2===this.valign&&(d+=Math.max(this.height-this.lines.length*g-2,0));for(k=0;k<this.lines.length&&!(h=c,1===this.halign?h=c+(this.width-this.lines[k].width)/2:2===this.halign&&(h=c+(this.width-this.lines[k].width)),a.fillText(this.lines[k].text,h,d),d+=g,d>=e-g);k++);(0!==this.angle||b)&&a.restore();
this.last_render_tick=this.runtime.tickcount};l.drawGL=function(a){if(!(1>this.width||1>this.height)){var b=this.text_changed||this.need_text_redraw;this.need_text_redraw=!1;var c=this.layer.getScale(),d=this.layer.getAngle(),e=this.rcTex,g=c*this.width,h=c*this.height,k=Math.ceil(g),l=Math.ceil(h),n=this.runtime.draw_width/2,m=this.runtime.draw_height/2;this.myctx||(this.mycanvas=document.createElement("canvas"),this.mycanvas.width=k,this.mycanvas.height=l,this.lastwidth=k,this.lastheight=l,b=!0,
this.myctx=this.mycanvas.getContext("2d"));if(k!==this.lastwidth||l!==this.lastheight)this.mycanvas.width=k,this.mycanvas.height=l,this.mytex&&(a.deleteTexture(this.mytex),this.mytex=null),b=!0;b&&(this.myctx.clearRect(0,0,k,l),this.draw(this.myctx,!0),this.mytex||(this.mytex=a.createEmptyTexture(k,l,this.runtime.linearSampling,this.runtime.isMobile)),a.videoToTexture(this.mycanvas,this.mytex,this.runtime.isMobile));this.lastwidth=k;this.lastheight=l;a.setTexture(this.mytex);a.setOpacity(this.opacity);
a.resetModelView();a.translate(-n,-m);a.updateModelView();var z=this.bquad,x=this.runtime.devicePixelRatio;this.runtime.devicePixelRatio=1;var b=this.layer.layerToCanvas(z.tlx,z.tly,!0,!0),n=this.layer.layerToCanvas(z.tlx,z.tly,!1,!0),m=this.layer.layerToCanvas(z.trx,z.try_,!0,!0),A=this.layer.layerToCanvas(z.trx,z.try_,!1,!0),J=this.layer.layerToCanvas(z.brx,z.bry,!0,!0),D=this.layer.layerToCanvas(z.brx,z.bry,!1,!0),E=this.layer.layerToCanvas(z.blx,z.bly,!0,!0),z=this.layer.layerToCanvas(z.blx,z.bly,
!1,!0);this.runtime.devicePixelRatio=x;if(this.runtime.pixel_rounding||0===this.angle&&0===d)var x=(b+0.5|0)-b,v=(n+0.5|0)-n,b=b+x,n=n+v,m=m+x,A=A+v,J=J+x,D=D+v,E=E+x,z=z+v;0===this.angle&&0===d?(m=b+k,A=n,J=m,D=n+l,E=b,z=D,e.right=1,e.bottom=1):(e.right=g/k,e.bottom=h/l);a.quadTex(b,n,m,A,J,D,E,z,e);a.resetModelView();a.scale(c,c);a.rotateZ(-this.layer.getAngle());a.translate((this.layer.viewLeft+this.layer.viewRight)/-2,(this.layer.viewTop+this.layer.viewBottom)/-2);a.updateModelView();this.last_render_tick=
this.runtime.tickcount}};var d=[];b.TokeniseWords=function(a){d.length=0;for(var b="",c,e=0;e<a.length;)if(c=a.charAt(e),"\n"===c)b.length&&(d.push(b),b=""),d.push("\n"),++e;else if(" "===c||"\t"===c||"-"===c){do b+=a.charAt(e),e++;while(e<a.length&&(" "===a.charAt(e)||"\t"===a.charAt(e)));d.push(b);b=""}else e<a.length&&(b+=c,e++);b.length&&d.push(b)};var h=[];b.WordWrap=function(b,d,e,g,h){if(b&&b.length)if(2>=g)c(d);else{if(100>=b.length&&-1===b.indexOf("\n")){var k=e.measureText(b).width;if(k<=
g){c(d);d.push(a());d[0].text=b;d[0].width=k;return}}this.WrapText(b,d,e,g,h)}else c(d)};b.WrapText=function(b,c,e,g,k){k&&(this.TokeniseWords(b),b=d);var l="",n,u,y,B=0;for(y=0;y<b.length;y++)"\n"===b[y]?(B>=c.length&&c.push(a()),u=c[B],u.text=l,u.width=e.measureText(l).width,B++,l=""):(n=l,l+=b[y],u=e.measureText(l).width,u>=g&&(B>=c.length&&c.push(a()),u=c[B],u.text=n,u.width=e.measureText(n).width,B++,l=b[y],k||" "!==l||(l="")));l.length&&(B>=c.length&&c.push(a()),u=c[B],u.text=l,u.width=e.measureText(l).width,
B++);for(y=B;y<c.length;y++)h.push(c[y]);c.length=B};e.prototype.CompareText=function(a,b){return b?this.text==a:cr.equals_nocase(this.text,a)};b.cnds=new e;k.prototype.SetText=function(a){cr.is_number(a)&&1E9>a&&(a=Math.round(1E10*a)/1E10);a=a.toString();this.text!==a&&(this.text=a,this.text_changed=!0,this.runtime.redraw=!0)};k.prototype.AppendText=function(a){cr.is_number(a)&&(a=Math.round(1E10*a)/1E10);if(a=a.toString())this.text+=a,this.text_changed=!0,this.runtime.redraw=!0};k.prototype.SetFontFace=
function(a,b){var c="";switch(b){case 1:c="bold";break;case 2:c="italic";break;case 3:c="bold italic"}if(a!==this.facename||c!==this.fontstyle)this.facename=a,this.fontstyle=c,this.updateFont()};k.prototype.SetFontSize=function(a){this.ptSize!==a&&(this.ptSize=a,this.pxHeight=Math.ceil(96*(this.ptSize/72))+4,this.updateFont())};k.prototype.SetFontColor=function(a){a="rgb("+cr.GetRValue(a).toString()+","+cr.GetGValue(a).toString()+","+cr.GetBValue(a).toString()+")";a!==this.color&&(this.color=a,this.need_text_redraw=
!0,this.runtime.redraw=!0)};k.prototype.SetWebFont=function(a,b){if(this.runtime.isDomFree)cr.logexport("[Construct 2] Text plugin: 'Set web font' not supported on this platform - the action has been ignored");else{var c=this,d=function(){c.runtime.redraw=!0;c.text_changed=!0};if(n.hasOwnProperty(b)){var e="'"+a+"'";if(this.facename!==e)for(this.facename=e,this.updateFont(),e=1;10>e;e++)setTimeout(d,100*e),setTimeout(d,1E3*e)}else for(e=document.createElement("link"),e.href=b,e.rel="stylesheet",e.type=
"text/css",e.onload=d,document.getElementsByTagName("head")[0].appendChild(e),n[b]=!0,this.facename="'"+a+"'",this.updateFont(),e=1;10>e;e++)setTimeout(d,100*e),setTimeout(d,1E3*e)}};k.prototype.SetEffect=function(a){this.compositeOp=cr.effectToCompositeOp(a);cr.setGLBlend(this,a,this.runtime.gl);this.runtime.redraw=!0};b.acts=new k;g.prototype.Text=function(a){a.set_string(this.text)};g.prototype.FaceName=function(a){a.set_string(this.facename)};g.prototype.FaceSize=function(a){a.set_int(this.ptSize)};
g.prototype.TextWidth=function(a){var b=0,c,d,e;c=0;for(d=this.lines.length;c<d;c++)e=this.lines[c].width,b<e&&(b=e);a.set_int(b)};g.prototype.TextHeight=function(a){a.set_int(this.lines.length*(this.pxHeight+this.line_height_offset)-this.line_height_offset)};b.exps=new g})();cr.plugins_.TiledBg=function(a){this.runtime=a};
(function(){function a(){}function c(){}function e(){}var k=cr.plugins_.TiledBg.prototype;k.Type=function(a){this.plugin=a;this.runtime=a.runtime};var g=k.Type.prototype;g.onCreate=function(){this.is_family||(this.texture_img=new Image,this.texture_img.idtkLoadDisposed=!0,this.texture_img.src=this.texture_file,this.texture_img.cr_filesize=this.texture_filesize,this.runtime.wait_for_textures.push(this.texture_img),this.webGL_texture=this.pattern=null)};g.onLostWebGLContext=function(){this.is_family||
(this.webGL_texture=null)};g.onRestoreWebGLContext=function(){if(!this.is_family&&this.instances.length){this.webGL_texture||(this.webGL_texture=this.runtime.glwrap.loadTexture(this.texture_img,!0,this.runtime.linearSampling,this.texture_pixelformat));var a,c;a=0;for(c=this.instances.length;a<c;a++)this.instances[a].webGL_texture=this.webGL_texture}};g.loadTextures=function(){this.is_family||this.webGL_texture||!this.runtime.glwrap||(this.webGL_texture=this.runtime.glwrap.loadTexture(this.texture_img,
!0,this.runtime.linearSampling,this.texture_pixelformat))};g.unloadTextures=function(){this.is_family||this.instances.length||!this.webGL_texture||(this.runtime.glwrap.deleteTexture(this.webGL_texture),this.webGL_texture=null)};g.preloadCanvas2D=function(a){a.drawImage(this.texture_img,0,0)};k.Instance=function(a){this.type=a;this.runtime=a.runtime};g=k.Instance.prototype;g.onCreate=function(){this.visible=0===this.properties[0];this.rcTex=new cr.rect(0,0,0,0);this.has_own_texture=!1;this.texture_img=
this.type.texture_img;this.runtime.glwrap?(this.type.loadTextures(),this.webGL_texture=this.type.webGL_texture):(this.type.pattern||(this.type.pattern=this.runtime.ctx.createPattern(this.type.texture_img,"repeat")),this.pattern=this.type.pattern)};g.afterLoad=function(){this.has_own_texture=!1;this.texture_img=this.type.texture_img};g.onDestroy=function(){this.runtime.glwrap&&this.has_own_texture&&this.webGL_texture&&(this.runtime.glwrap.deleteTexture(this.webGL_texture),this.webGL_texture=null)};
g.draw=function(a){a.globalAlpha=this.opacity;a.save();a.fillStyle=this.pattern;var c=this.x,e=this.y;this.runtime.pixel_rounding&&(c=c+0.5|0,e=e+0.5|0);var d=-(this.hotspotX*this.width),g=-(this.hotspotY*this.height),f=d%this.texture_img.width,k=g%this.texture_img.height;0>f&&(f+=this.texture_img.width);0>k&&(k+=this.texture_img.height);a.translate(c,e);a.rotate(this.angle);a.translate(f,k);a.fillRect(d-f,g-k,this.width,this.height);a.restore()};g.drawGL=function(a){a.setTexture(this.webGL_texture);
a.setOpacity(this.opacity);var c=this.rcTex;c.right=this.width/this.texture_img.width;c.bottom=this.height/this.texture_img.height;var e=this.bquad;if(this.runtime.pixel_rounding){var d=(this.x+0.5|0)-this.x,g=(this.y+0.5|0)-this.y;a.quadTex(e.tlx+d,e.tly+g,e.trx+d,e.try_+g,e.brx+d,e.bry+g,e.blx+d,e.bly+g,c)}else a.quadTex(e.tlx,e.tly,e.trx,e.try_,e.brx,e.bry,e.blx,e.bly,c)};a.prototype.OnURLLoaded=function(){return!0};k.cnds=new a;c.prototype.SetEffect=function(a){this.compositeOp=cr.effectToCompositeOp(a);
cr.setGLBlend(this,a,this.runtime.gl);this.runtime.redraw=!0};c.prototype.LoadURL=function(a){var c=new Image,e=this;c.onload=function(){e.texture_img=c;e.runtime.glwrap?(e.has_own_texture&&e.webGL_texture&&e.runtime.glwrap.deleteTexture(e.webGL_texture),e.webGL_texture=e.runtime.glwrap.loadTexture(c,!0,e.runtime.linearSampling)):e.pattern=e.runtime.ctx.createPattern(c,"repeat");e.has_own_texture=!0;e.runtime.redraw=!0;e.runtime.trigger(cr.plugins_.TiledBg.prototype.cnds.OnURLLoaded,e)};"data:"!==
a.substr(0,5)&&(c.crossOrigin="anonymous");c.src=a};k.acts=new c;e.prototype.ImageWidth=function(a){a.set_float(this.texture_img.width)};e.prototype.ImageHeight=function(a){a.set_float(this.texture_img.height)};k.exps=new e})();cr.plugins_.Touch=function(a){this.runtime=a};
(function(){function a(a){n=a.x;d=a.y;h=a.z}function c(a){f=a.x;p=a.y;r=a.z}function e(){}function k(){}var g=cr.plugins_.Touch.prototype;g.Type=function(a){this.plugin=a;this.runtime=a.runtime};g.Type.prototype.onCreate=function(){};g.Instance=function(a){this.type=a;this.runtime=a.runtime;this.touches=[];this.mouseDown=!1};var b=g.Instance.prototype,l={left:0,top:0};b.findTouch=function(a){var b,c;b=0;for(c=this.touches.length;b<c;b++)if(this.touches[b].id===a)return b;return-1};var n=0,d=0,h=0,
f=0,p=0,r=0;b.onCreate=function(){this.isWindows8=!("undefined"===typeof window.c2isWindows8||!window.c2isWindows8);this.trigger_id=this.trigger_index=this.curTouchY=this.curTouchX=this.acc_z=this.acc_y=this.acc_x=this.acc_g_z=this.acc_g_y=this.acc_g_x=this.orient_gamma=this.orient_beta=this.orient_alpha=0;this.useMouseInput=0!==this.properties[0];var b=0<this.runtime.fullscreen_mode?document:this.runtime.canvas,d=document;this.runtime.isDirectCanvas?d=b=window.Canvas:this.runtime.isCocoonJs&&(d=
b=window);var e=this;window.navigator.pointerEnabled?(b.addEventListener("pointerdown",function(a){e.onPointerStart(a)},!1),b.addEventListener("pointermove",function(a){e.onPointerMove(a)},!1),d.addEventListener("pointerup",function(a){e.onPointerEnd(a)},!1),d.addEventListener("pointercancel",function(a){e.onPointerEnd(a)},!1),this.runtime.canvas&&(this.runtime.canvas.addEventListener("MSGestureHold",function(a){a.preventDefault()},!1),document.addEventListener("MSGestureHold",function(a){a.preventDefault()},
!1),this.runtime.canvas.addEventListener("gesturehold",function(a){a.preventDefault()},!1),document.addEventListener("gesturehold",function(a){a.preventDefault()},!1))):window.navigator.msPointerEnabled?(b.addEventListener("MSPointerDown",function(a){e.onPointerStart(a)},!1),b.addEventListener("MSPointerMove",function(a){e.onPointerMove(a)},!1),d.addEventListener("MSPointerUp",function(a){e.onPointerEnd(a)},!1),d.addEventListener("MSPointerCancel",function(a){e.onPointerEnd(a)},!1),this.runtime.canvas&&
(this.runtime.canvas.addEventListener("MSGestureHold",function(a){a.preventDefault()},!1),document.addEventListener("MSGestureHold",function(a){a.preventDefault()},!1))):(b.addEventListener("touchstart",function(a){e.onTouchStart(a)},!1),b.addEventListener("touchmove",function(a){e.onTouchMove(a)},!1),d.addEventListener("touchend",function(a){e.onTouchEnd(a)},!1),d.addEventListener("touchcancel",function(a){e.onTouchEnd(a)},!1));if(this.isWindows8){var f=function(a){a=a.reading;e.acc_x=a.accelerationX;
e.acc_y=a.accelerationY;e.acc_z=a.accelerationZ},g=function(a){a=a.reading;e.orient_alpha=a.yawDegrees;e.orient_beta=a.pitchDegrees;e.orient_gamma=a.rollDegrees},h=Windows.Devices.Sensors.Accelerometer.getDefault();h&&(h.reportInterval=Math.max(h.minimumReportInterval,16),h.addEventListener("readingchanged",f));var k=Windows.Devices.Sensors.Inclinometer.getDefault();k&&(k.reportInterval=Math.max(k.minimumReportInterval,16),k.addEventListener("readingchanged",g));document.addEventListener("visibilitychange",
function(a){document.hidden||document.msHidden?(h&&h.removeEventListener("readingchanged",f),k&&k.removeEventListener("readingchanged",g)):(h&&h.addEventListener("readingchanged",f),k&&k.addEventListener("readingchanged",g))},!1)}else window.addEventListener("deviceorientation",function(a){e.orient_alpha=a.alpha||0;e.orient_beta=a.beta||0;e.orient_gamma=a.gamma||0},!1),window.addEventListener("devicemotion",function(a){a.accelerationIncludingGravity&&(e.acc_g_x=a.accelerationIncludingGravity.x||0,
e.acc_g_y=a.accelerationIncludingGravity.y||0,e.acc_g_z=a.accelerationIncludingGravity.z||0);a.acceleration&&(e.acc_x=a.acceleration.x||0,e.acc_y=a.acceleration.y||0,e.acc_z=a.acceleration.z||0)},!1);this.useMouseInput&&!this.runtime.isDomFree&&(jQuery(document).mousemove(function(a){e.onMouseMove(a)}),jQuery(document).mousedown(function(a){e.onMouseDown(a)}),jQuery(document).mouseup(function(a){e.onMouseUp(a)}));this.runtime.isAppMobi&&!this.runtime.isDirectCanvas&&AppMobi.accelerometer.watchAcceleration(a,
{frequency:40,adjustForRotation:!0});this.runtime.isPhoneGap&&navigator.accelerometer.watchAcceleration(c,null,{frequency:40});this.runtime.tick2Me(this)};b.onPointerMove=function(a){if(a.pointerType!==a.MSPOINTER_TYPE_MOUSE&&"mouse"!==a.pointerType){a.preventDefault&&a.preventDefault();var b=this.findTouch(a.pointerId),c=cr.performance_now();if(0<=b){var d=this.runtime.isDomFree?l:jQuery(this.runtime.canvas).offset(),b=this.touches[b];2>c-b.time||(b.lasttime=b.time,b.lastx=b.x,b.lasty=b.y,b.time=
c,b.x=a.pageX-d.left,b.y=a.pageY-d.top)}}};b.onPointerStart=function(a){if(a.pointerType!==a.MSPOINTER_TYPE_MOUSE&&"mouse"!==a.pointerType){a.preventDefault&&a.preventDefault();var b=this.runtime.isDomFree?l:jQuery(this.runtime.canvas).offset(),c=a.pageX-b.left,b=a.pageY-b.top,d=cr.performance_now();this.trigger_index=this.touches.length;this.trigger_id=a.pointerId;this.touches.push({time:d,x:c,y:b,lasttime:d,lastx:c,lasty:b,id:a.pointerId,startindex:this.trigger_index});this.runtime.isInUserInputEvent=
!0;this.runtime.trigger(cr.plugins_.Touch.prototype.cnds.OnNthTouchStart,this);this.runtime.trigger(cr.plugins_.Touch.prototype.cnds.OnTouchStart,this);this.curTouchX=c;this.curTouchY=b;this.runtime.trigger(cr.plugins_.Touch.prototype.cnds.OnTouchObject,this);this.runtime.isInUserInputEvent=!1}};b.onPointerEnd=function(a){a.pointerType!==a.MSPOINTER_TYPE_MOUSE&&"mouse"!==a.pointerType&&(a.preventDefault&&a.preventDefault(),a=this.findTouch(a.pointerId),this.trigger_index=0<=a?this.touches[a].startindex:
-1,this.trigger_id=0<=a?this.touches[a].id:-1,this.runtime.isInUserInputEvent=!0,this.runtime.trigger(cr.plugins_.Touch.prototype.cnds.OnNthTouchEnd,this),this.runtime.trigger(cr.plugins_.Touch.prototype.cnds.OnTouchEnd,this),this.runtime.isInUserInputEvent=!1,0<=a&&this.touches.splice(a,1))};b.onTouchMove=function(a){a.preventDefault&&a.preventDefault();var b=cr.performance_now(),c,d,e,f;c=0;for(d=a.changedTouches.length;c<d;c++)if(e=a.changedTouches[c],f=this.findTouch(e.identifier),0<=f){var g=
this.runtime.isDomFree?l:jQuery(this.runtime.canvas).offset();f=this.touches[f];2>b-f.time||(f.lasttime=f.time,f.lastx=f.x,f.lasty=f.y,f.time=b,f.x=e.pageX-g.left,f.y=e.pageY-g.top)}};b.onTouchStart=function(a){a.preventDefault&&a.preventDefault();var b=this.runtime.isDomFree?l:jQuery(this.runtime.canvas).offset(),c=cr.performance_now();this.runtime.isInUserInputEvent=!0;var d,e,f,g;d=0;for(e=a.changedTouches.length;d<e;d++)if(f=a.changedTouches[d],g=this.findTouch(f.identifier),-1===g){g=f.pageX-
b.left;var h=f.pageY-b.top;this.trigger_index=this.touches.length;this.trigger_id=f.identifier;this.touches.push({time:c,x:g,y:h,lasttime:c,lastx:g,lasty:h,id:f.identifier,startindex:this.trigger_index});this.runtime.trigger(cr.plugins_.Touch.prototype.cnds.OnNthTouchStart,this);this.runtime.trigger(cr.plugins_.Touch.prototype.cnds.OnTouchStart,this);this.curTouchX=g;this.curTouchY=h;this.runtime.trigger(cr.plugins_.Touch.prototype.cnds.OnTouchObject,this)}this.runtime.isInUserInputEvent=!1};b.onTouchEnd=
function(a){a.preventDefault&&a.preventDefault();this.runtime.isInUserInputEvent=!0;var b,c,d;b=0;for(c=a.changedTouches.length;b<c;b++)d=a.changedTouches[b],d=this.findTouch(d.identifier),0<=d&&(this.trigger_index=this.touches[d].startindex,this.trigger_id=this.touches[d].id,this.runtime.trigger(cr.plugins_.Touch.prototype.cnds.OnNthTouchEnd,this),this.runtime.trigger(cr.plugins_.Touch.prototype.cnds.OnTouchEnd,this),this.touches.splice(d,1));this.runtime.isInUserInputEvent=!1};b.getAlpha=function(){return this.runtime.isAppMobi&&
0===this.orient_alpha&&0!==h?90*h:this.runtime.isPhoneGap&&0===this.orient_alpha&&0!==r?90*r:this.orient_alpha};b.getBeta=function(){return this.runtime.isAppMobi&&0===this.orient_beta&&0!==d?-90*d:this.runtime.isPhoneGap&&0===this.orient_beta&&0!==p?-90*p:this.orient_beta};b.getGamma=function(){return this.runtime.isAppMobi&&0===this.orient_gamma&&0!==n?90*n:this.runtime.isPhoneGap&&0===this.orient_gamma&&0!==f?90*f:this.orient_gamma};b.onMouseDown=function(a){a.preventDefault&&this.runtime.had_a_click&&
a.preventDefault();this.onTouchStart({changedTouches:[{pageX:a.pageX,pageY:a.pageY,identifier:0}]});this.mouseDown=!0};b.onMouseMove=function(a){a.preventDefault&&this.runtime.had_a_click&&a.preventDefault();if(this.mouseDown)this.onTouchMove({changedTouches:[{pageX:a.pageX,pageY:a.pageY,identifier:0}]})};b.onMouseUp=function(a){a.preventDefault&&this.runtime.had_a_click&&a.preventDefault();this.runtime.had_a_click=!0;this.onTouchEnd({changedTouches:[{pageX:a.pageX,pageY:a.pageY,identifier:0}]});
this.mouseDown=!1};b.tick2=function(){var a,b,c,d=cr.performance_now();a=0;for(b=this.touches.length;a<b;a++)c=this.touches[a],c.time<=d-50&&(c.lasttime=d)};e.prototype.OnTouchStart=function(){return!0};e.prototype.OnTouchEnd=function(){return!0};e.prototype.IsInTouch=function(){return this.touches.length};e.prototype.OnTouchObject=function(a){return a?this.runtime.testAndSelectCanvasPointOverlap(a,this.curTouchX,this.curTouchY,!1):!1};e.prototype.IsTouchingObject=function(a){if(!a)return!1;var b=
a.getCurrentSol(),c=b.getObjects(),d,e,f=[],g,h,k,l;g=0;for(h=c.length;g<h;g++){var n=c[g];n.update_bbox();k=0;for(l=this.touches.length;k<l;k++)if(e=this.touches[k],d=n.layer.canvasToLayer(e.x,e.y,!0),e=n.layer.canvasToLayer(e.x,e.y,!1),n.contains_pt(d,e)){f.push(n);break}}return f.length?(b.select_all=!1,b.instances=f,a.applySolToContainer(),!0):!1};e.prototype.CompareTouchSpeed=function(a,b,c){a=Math.floor(a);if(0>a||a>=this.touches.length)return!1;var d=this.touches[a];a=cr.distanceTo(d.x,d.y,
d.lastx,d.lasty);var d=(d.time-d.lasttime)/1E3,e=0;0<d&&(e=a/d);return cr.do_cmp(e,b,c)};e.prototype.OrientationSupported=function(){return"undefined"!==typeof window.DeviceOrientationEvent};e.prototype.MotionSupported=function(){return"undefined"!==typeof window.DeviceMotionEvent};e.prototype.CompareOrientation=function(a,b,c){var d=0,d=0===a?this.getAlpha():1===a?this.getBeta():this.getGamma();return cr.do_cmp(d,b,c)};e.prototype.CompareAcceleration=function(a,b,c){var d=0;0===a?d=this.acc_g_x:
1===a?d=this.acc_g_y:2===a?d=this.acc_g_z:3===a?d=this.acc_x:4===a?d=this.acc_y:5===a&&(d=this.acc_z);return cr.do_cmp(d,b,c)};e.prototype.OnNthTouchStart=function(a){a=Math.floor(a);return a===this.trigger_index};e.prototype.OnNthTouchEnd=function(a){a=Math.floor(a);return a===this.trigger_index};e.prototype.HasNthTouch=function(a){a=Math.floor(a);return this.touches.length>=a+1};g.cnds=new e;k.prototype.TouchCount=function(a){a.set_int(this.touches.length)};k.prototype.X=function(a,b){if(this.touches.length){var c,
d,e,f,g;cr.is_undefined(b)?(c=this.runtime.getLayerByNumber(0),d=c.scale,e=c.zoomRate,f=c.parallaxX,g=c.angle,c.scale=this.runtime.running_layout.scale,c.zoomRate=1,c.parallaxX=1,c.angle=this.runtime.running_layout.angle,a.set_float(c.canvasToLayer(this.touches[0].x,this.touches[0].y,!0)),c.scale=d,c.zoomRate=e,c.parallaxX=f,c.angle=g):(c=cr.is_number(b)?this.runtime.getLayerByNumber(b):this.runtime.getLayerByName(b))?a.set_float(c.canvasToLayer(this.touches[0].x,this.touches[0].y,!0)):a.set_float(0)}else a.set_float(0)};
k.prototype.XAt=function(a,b,c){b=Math.floor(b);if(0>b||b>=this.touches.length)a.set_float(0);else{var d,e,f,g;cr.is_undefined(c)?(c=this.runtime.getLayerByNumber(0),d=c.scale,e=c.zoomRate,f=c.parallaxX,g=c.angle,c.scale=this.runtime.running_layout.scale,c.zoomRate=1,c.parallaxX=1,c.angle=this.runtime.running_layout.angle,a.set_float(c.canvasToLayer(this.touches[b].x,this.touches[b].y,!0)),c.scale=d,c.zoomRate=e,c.parallaxX=f,c.angle=g):(c=cr.is_number(c)?this.runtime.getLayerByNumber(c):this.runtime.getLayerByName(c))?
a.set_float(c.canvasToLayer(this.touches[b].x,this.touches[b].y,!0)):a.set_float(0)}};k.prototype.XForID=function(a,b,c){b=this.findTouch(b);if(0>b)a.set_float(0);else{b=this.touches[b];var d,e,f,g;cr.is_undefined(c)?(c=this.runtime.getLayerByNumber(0),d=c.scale,e=c.zoomRate,f=c.parallaxX,g=c.angle,c.scale=this.runtime.running_layout.scale,c.zoomRate=1,c.parallaxX=1,c.angle=this.runtime.running_layout.angle,a.set_float(c.canvasToLayer(b.x,b.y,!0)),c.scale=d,c.zoomRate=e,c.parallaxX=f,c.angle=g):(c=
cr.is_number(c)?this.runtime.getLayerByNumber(c):this.runtime.getLayerByName(c))?a.set_float(c.canvasToLayer(b.x,b.y,!0)):a.set_float(0)}};k.prototype.Y=function(a,b){if(this.touches.length){var c,d,e,f,g;cr.is_undefined(b)?(c=this.runtime.getLayerByNumber(0),d=c.scale,e=c.zoomRate,f=c.parallaxY,g=c.angle,c.scale=this.runtime.running_layout.scale,c.zoomRate=1,c.parallaxY=1,c.angle=this.runtime.running_layout.angle,a.set_float(c.canvasToLayer(this.touches[0].x,this.touches[0].y,!1)),c.scale=d,c.zoomRate=
e,c.parallaxY=f,c.angle=g):(c=cr.is_number(b)?this.runtime.getLayerByNumber(b):this.runtime.getLayerByName(b))?a.set_float(c.canvasToLayer(this.touches[0].x,this.touches[0].y,!1)):a.set_float(0)}else a.set_float(0)};k.prototype.YAt=function(a,b,c){b=Math.floor(b);if(0>b||b>=this.touches.length)a.set_float(0);else{var d,e,f,g;cr.is_undefined(c)?(c=this.runtime.getLayerByNumber(0),d=c.scale,e=c.zoomRate,f=c.parallaxY,g=c.angle,c.scale=this.runtime.running_layout.scale,c.zoomRate=1,c.parallaxY=1,c.angle=
this.runtime.running_layout.angle,a.set_float(c.canvasToLayer(this.touches[b].x,this.touches[b].y,!1)),c.scale=d,c.zoomRate=e,c.parallaxY=f,c.angle=g):(c=cr.is_number(c)?this.runtime.getLayerByNumber(c):this.runtime.getLayerByName(c))?a.set_float(c.canvasToLayer(this.touches[b].x,this.touches[b].y,!1)):a.set_float(0)}};k.prototype.YForID=function(a,b,c){b=this.findTouch(b);if(0>b)a.set_float(0);else{b=this.touches[b];var d,e,f,g;cr.is_undefined(c)?(c=this.runtime.getLayerByNumber(0),d=c.scale,e=c.zoomRate,
f=c.parallaxY,g=c.angle,c.scale=this.runtime.running_layout.scale,c.zoomRate=1,c.parallaxY=1,c.angle=this.runtime.running_layout.angle,a.set_float(c.canvasToLayer(b.x,b.y,!1)),c.scale=d,c.zoomRate=e,c.parallaxY=f,c.angle=g):(c=cr.is_number(c)?this.runtime.getLayerByNumber(c):this.runtime.getLayerByName(c))?a.set_float(c.canvasToLayer(b.x,b.y,!1)):a.set_float(0)}};k.prototype.AbsoluteX=function(a){this.touches.length?a.set_float(this.touches[0].x):a.set_float(0)};k.prototype.AbsoluteXAt=function(a,
b){b=Math.floor(b);0>b||b>=this.touches.length?a.set_float(0):a.set_float(this.touches[b].x)};k.prototype.AbsoluteXForID=function(a,b){var c=this.findTouch(b);0>c?a.set_float(0):a.set_float(this.touches[c].x)};k.prototype.AbsoluteY=function(a){this.touches.length?a.set_float(this.touches[0].y):a.set_float(0)};k.prototype.AbsoluteYAt=function(a,b){b=Math.floor(b);0>b||b>=this.touches.length?a.set_float(0):a.set_float(this.touches[b].y)};k.prototype.AbsoluteYForID=function(a,b){var c=this.findTouch(b);
0>c?a.set_float(0):a.set_float(this.touches[c].y)};k.prototype.SpeedAt=function(a,b){b=Math.floor(b);if(0>b||b>=this.touches.length)a.set_float(0);else{var c=this.touches[b],d=cr.distanceTo(c.x,c.y,c.lastx,c.lasty),c=(c.time-c.lasttime)/1E3;0===c?a.set_float(0):a.set_float(d/c)}};k.prototype.SpeedForID=function(a,b){var c=this.findTouch(b);if(0>c)a.set_float(0);else{var d=this.touches[c],c=cr.distanceTo(d.x,d.y,d.lastx,d.lasty),d=(d.time-d.lasttime)/1E3;0===d?a.set_float(0):a.set_float(c/d)}};k.prototype.AngleAt=
function(a,b){b=Math.floor(b);if(0>b||b>=this.touches.length)a.set_float(0);else{var c=this.touches[b];a.set_float(cr.to_degrees(cr.angleTo(c.lastx,c.lasty,c.x,c.y)))}};k.prototype.AngleForID=function(a,b){var c=this.findTouch(b);0>c?a.set_float(0):(c=this.touches[c],a.set_float(cr.to_degrees(cr.angleTo(c.lastx,c.lasty,c.x,c.y))))};k.prototype.Alpha=function(a){a.set_float(this.getAlpha())};k.prototype.Beta=function(a){a.set_float(this.getBeta())};k.prototype.Gamma=function(a){a.set_float(this.getGamma())};
k.prototype.AccelerationXWithG=function(a){a.set_float(this.acc_g_x)};k.prototype.AccelerationYWithG=function(a){a.set_float(this.acc_g_y)};k.prototype.AccelerationZWithG=function(a){a.set_float(this.acc_g_z)};k.prototype.AccelerationX=function(a){a.set_float(this.acc_x)};k.prototype.AccelerationY=function(a){a.set_float(this.acc_y)};k.prototype.AccelerationZ=function(a){a.set_float(this.acc_z)};k.prototype.TouchIndex=function(a){a.set_int(this.trigger_index)};k.prototype.TouchID=function(a){a.set_float(this.trigger_id)};
g.exps=new k})();cr.plugins_.WebStorage=function(a){this.runtime=a};
(function(){function a(){d||(cr.logexport("[Construct 2] Webstorage plugin: session storage is not supported on this platform. Try using local storage or global variables instead."),d=!0)}function c(){}function e(){}function k(){}var g=cr.plugins_.WebStorage.prototype;g.Type=function(a){this.plugin=a;this.runtime=a.runtime};g.Type.prototype.onCreate=function(){};g.Instance=function(a){this.type=a;this.runtime=a.runtime};var b=g.Instance.prototype,l="",n="undefined"!==typeof window.is_scirra_arcade;
n&&(l="arcade"+window.scirra_arcade_id);var d=!1;b.onCreate=function(){};c.prototype.LocalStorageEnabled=function(){return!0};c.prototype.SessionStorageEnabled=function(){return!0};c.prototype.LocalStorageExists=function(a){return null!=localStorage.getItem(l+a)};c.prototype.SessionStorageExists=function(b){return this.runtime.isCocoonJs||!sessionStorage?(a(),!1):null!=sessionStorage.getItem(l+b)};c.prototype.OnQuotaExceeded=function(){return!0};c.prototype.CompareKeyText=function(a,b,c){a=localStorage.getItem(l+
a)||"";return c?a==b:cr.equals_nocase(a,b)};c.prototype.CompareKeyNumber=function(a,b,c){a=localStorage.getItem(l+a)||"";return cr.do_cmp(parseFloat(a),b,c)};g.cnds=new c;e.prototype.StoreLocal=function(a,b){try{localStorage.setItem(l+a,b)}catch(c){this.runtime.trigger(cr.plugins_.WebStorage.prototype.cnds.OnQuotaExceeded,this)}};e.prototype.StoreSession=function(b,c){if(this.runtime.isCocoonJs||!sessionStorage)a();else try{sessionStorage.setItem(l+b,c)}catch(d){this.runtime.trigger(cr.plugins_.WebStorage.prototype.cnds.OnQuotaExceeded,
this)}};e.prototype.RemoveLocal=function(a){localStorage.removeItem(l+a)};e.prototype.RemoveSession=function(b){this.runtime.isCocoonJs||!sessionStorage?a():sessionStorage.removeItem(l+b)};e.prototype.ClearLocal=function(){n||localStorage.clear()};e.prototype.ClearSession=function(){this.runtime.isCocoonJs||!sessionStorage?a():n||sessionStorage.clear()};e.prototype.JSONLoad=function(a,b){var c;try{c=JSON.parse(a)}catch(d){return}if(c.c2dictionary){c=c.data;0!==b||n||localStorage.clear();for(var e in c)if(c.hasOwnProperty(e))try{localStorage.setItem(l+
e,c[e])}catch(g){this.runtime.trigger(cr.plugins_.WebStorage.prototype.cnds.OnQuotaExceeded,this);break}}};g.acts=new e;k.prototype.LocalValue=function(a,b){a.set_string(localStorage.getItem(l+b)||"")};k.prototype.SessionValue=function(b,c){this.runtime.isCocoonJs||!sessionStorage?(a(),b.set_string("")):b.set_string(sessionStorage.getItem(l+c)||"")};k.prototype.LocalCount=function(a){a.set_int(n?0:localStorage.length)};k.prototype.SessionCount=function(b){this.runtime.isCocoonJs||!sessionStorage?
(a(),b.set_int(0)):b.set_int(n?0:sessionStorage.length)};k.prototype.LocalAt=function(a,b){n?a.set_string(""):a.set_string(localStorage.getItem(localStorage.key(b))||"")};k.prototype.SessionAt=function(b,c){this.runtime.isCocoonJs||!sessionStorage?(a(),b.set_string("")):n?b.set_string(""):b.set_string(sessionStorage.getItem(sessionStorage.key(c))||"")};k.prototype.LocalKeyAt=function(a,b){n?a.set_string(""):a.set_string(localStorage.key(b)||"")};k.prototype.SessionKeyAt=function(b,c){this.runtime.isCocoonJs||
!sessionStorage?(a(),b.set_string("")):n?b.set_string(""):b.set_string(sessionStorage.key(c)||"")};k.prototype.AsJSON=function(a){var b={},c,d,e;c=0;for(d=localStorage.length;c<d;c++)e=localStorage.key(c),n?e.substr(0,l.length)===l&&(b[e.substr(l.length)]=localStorage.getItem(e)):b[e]=localStorage.getItem(e);a.set_string(JSON.stringify({c2dictionary:!0,data:b}))};g.exps=new k})();cr.plugins_.rojo_spritesheet=function(a){this.runtime=a};
(function(){function a(){}function c(){}function e(){}var k=cr.plugins_.rojo_spritesheet.prototype;k.Type=function(a){this.plugin=a;this.runtime=a.runtime};var g=k.Type.prototype;g.onCreate=function(){this.is_family||(this.texture_img=new Image,this.texture_img.idtkLoadDisposed=!0,this.texture_img.src=this.texture_file,this.texture_img.cr_filesize=this.texture_filesize,this.runtime.wait_for_textures.push(this.texture_img),this.webGL_texture=null)};g.onLostWebGLContext=function(){this.is_family||(this.webGL_texture=
null)};g.onRestoreWebGLContext=function(){if(!this.is_family&&this.instances.length){this.webGL_texture||(this.webGL_texture=this.runtime.glwrap.loadTexture(this.texture_img,!0,this.runtime.linearSampling,this.texture_pixelformat));var a,c;a=0;for(c=this.instances.length;a<c;a++)this.instances[a].webGL_texture=this.webGL_texture}};g.loadTextures=function(){this.is_family||this.webGL_texture||!this.runtime.glwrap||(this.webGL_texture=this.runtime.glwrap.loadTexture(this.texture_img,!0,this.runtime.linearSampling,
this.texture_pixelformat))};g.unloadTextures=function(){this.is_family||this.instances.length||!this.webGL_texture||(this.runtime.glwrap.deleteTexture(this.webGL_texture),this.webGL_texture=null)};g.preloadCanvas2D=function(a){a.drawImage(this.texture_img,0,0)};k.Instance=function(a){this.type=a;this.runtime=a.runtime};g=k.Instance.prototype;g.onCreate=function(){this.visible=0===this.properties[0];this.rcTex=new cr.rect(0,0,0,0);this.runtime.glwrap&&this.type.loadTextures();this.offsetx=this.properties[2];
this.offsety=this.properties[3];this.subwidth=this.properties[4];this.subheight=this.properties[5]};g.onDestroy=function(){};g.saveToJSON=function(){return{"offset x":this.offsetx,"offset y":this.offsety,"sub width":this.subwidth,"sub height":this.subheight}};g.loadFromJSON=function(a){this.offsetx=a["offset x"];this.offsety=a["offset y"];this.subwidth=a["sub width"];this.subheight=a["sub height"]};g.draw=function(a){a.save();a.globalAlpha=this.opacity;a.globalCompositeOperation=this.compositeOp;
var c=this.x,e=this.y;this.runtime.pixel_rounding&&(c=Math.round(c),e=Math.round(e));a.translate(c,e);var c=this.width,e=this.height,d=0<c?1:-1,g=0<e?1:-1;if(1!==d||1!==g)a.scale(d,g),c=cr.abs(c),e=cr.abs(e);a.rotate(this.angle);a.drawImage(this.type.texture_img,this.offsetx,this.offsety,this.subwidth,this.subheight,0-this.hotspotX*c,0-this.hotspotY*e,c,e);a.restore()};g.drawGL=function(a){var c=this.type.texture_img;a.setTexture(this.type.webGL_texture);a.setOpacity(this.opacity);var e=this.rcTex;
e.left=this.offsetx/c.width;e.top=this.offsety/c.height;e.right=(this.offsetx+this.subwidth)/c.width;e.bottom=(this.offsety+this.subheight)/c.height;c=this.bquad;if(this.runtime.pixel_rounding){var d=Math.round(this.x)-this.x,g=Math.round(this.y)-this.y;a.quadTex(c.tlx+d,c.tly+g,c.trx+d,c.try_+g,c.brx+d,c.bry+g,c.blx+d,c.bly+g,e)}else a.quadTex(c.tlx,c.tly,c.trx,c.try_,c.brx,c.bry,c.blx,c.bly,e)};a.prototype.OnURLLoaded=function(){return!0};k.cnds=new a;c.prototype.SetEffect=function(a){this.compositeOp=
cr.effectToCompositeOp(a);cr.setGLBlend(this,a,this.runtime.gl);this.runtime.redraw=!0};c.prototype.LoadURL=function(a){var c=new Image,e=this;c.onload=function(){e.type.texture_img.src!==c.src&&(e.type.texture_img=c,e.runtime.glwrap&&(e.type.webGL_texture&&e.runtime.glwrap.deleteTexture(e.type.webGL_texture),e.type.webGL_texture=e.runtime.glwrap.loadTexture(c,!0,e.runtime.linearSampling)),e.runtime.redraw=!0,e.runtime.trigger(cr.plugins_.rojo_spritesheet.prototype.cnds.OnURLLoaded,e))};"data:"!==
a.substr(0,5)&&(c.crossOrigin="anonymous");this.type.texture_img.src!==a&&(c.src=a)};c.prototype.SetSubImage=function(a,c,e,d){this.offsetx=a;this.offsety=c;this.subwidth=e;this.subheight=d;this.runtime.redraw=!0};k.acts=new c;e.prototype.ImageWidth=function(a){a.set_float(this.texture_img.width)};e.prototype.ImageHeight=function(a){a.set_float(this.texture_img.height)};e.prototype.offsetX=function(a){a.set_float(this.offsetx)};e.prototype.offsetY=function(a){a.set_float(this.offsety)};e.prototype.SubWidth=
function(a){a.set_float(this.subwidth)};e.prototype.SubHeight=function(a){a.set_float(this.subheight)};k.exps=new e})();cr.behaviors.Anchor=function(a){this.runtime=a};
(function(){function a(){}var c=cr.behaviors.Anchor.prototype;c.Type=function(a,c){this.behavior=a;this.objtype=c;this.runtime=a.runtime};c.Type.prototype.onCreate=function(){};c.Instance=function(a,c){this.type=a;this.behavior=a.behavior;this.inst=c;this.runtime=a.runtime};var e=c.Instance.prototype;e.onCreate=function(){this.anch_left=this.properties[0];this.anch_top=this.properties[1];this.anch_right=this.properties[2];this.anch_bottom=this.properties[3];this.inst.update_bbox();this.xleft=this.inst.bbox.left;
this.ytop=this.inst.bbox.top;this.xright=this.runtime.original_width-this.inst.bbox.left;this.ybottom=this.runtime.original_height-this.inst.bbox.top;this.rdiff=this.runtime.original_width-this.inst.bbox.right;this.bdiff=this.runtime.original_height-this.inst.bbox.bottom;this.enabled=0!==this.properties[4]};e.saveToJSON=function(){return{xleft:this.xleft,ytop:this.ytop,xright:this.xright,ybottom:this.ybottom,rdiff:this.rdiff,bdiff:this.bdiff,enabled:this.enabled}};e.loadFromJSON=function(a){this.xleft=
a.xleft;this.ytop=a.ytop;this.xright=a.xright;this.ybottom=a.ybottom;this.rdiff=a.rdiff;this.bdiff=a.bdiff;this.enabled=a.enabled};e.tick=function(){if(this.enabled){var a,c=this.inst.layer,b=this.inst,e=this.inst.bbox;0===this.anch_left?(b.update_bbox(),a=c.viewLeft+this.xleft-e.left,0!==a&&(b.x+=a,b.set_bbox_changed())):1===this.anch_left&&(b.update_bbox(),a=c.viewRight-this.xright-e.left,0!==a&&(b.x+=a,b.set_bbox_changed()));0===this.anch_top?(b.update_bbox(),a=c.viewTop+this.ytop-e.top,0!==a&&
(b.y+=a,b.set_bbox_changed())):1===this.anch_top&&(b.update_bbox(),a=c.viewBottom-this.ybottom-e.top,0!==a&&(b.y+=a,b.set_bbox_changed()));1===this.anch_right&&(b.update_bbox(),a=c.viewRight-this.rdiff-e.right,0!==a&&(b.width+=a,0>b.width&&(b.width=0),b.set_bbox_changed()));1===this.anch_bottom&&(b.update_bbox(),a=c.viewBottom-this.bdiff-e.bottom,0!==a&&(b.height+=a,0>b.height&&(b.height=0),b.set_bbox_changed()))}};c.cnds=new function(){};a.prototype.SetEnabled=function(a){this.enabled&&0===a?this.enabled=
!1:this.enabled||0===a||(this.inst.update_bbox(),this.xleft=this.inst.bbox.left,this.ytop=this.inst.bbox.top,this.xright=this.runtime.original_width-this.inst.bbox.left,this.ybottom=this.runtime.original_height-this.inst.bbox.top,this.rdiff=this.runtime.original_width-this.inst.bbox.right,this.bdiff=this.runtime.original_height-this.inst.bbox.bottom,this.enabled=!0)};c.acts=new a;c.exps=new function(){}})();cr.behaviors.Bullet=function(a){this.runtime=a};
(function(){function a(){}function c(){}function e(){}var k=cr.behaviors.Bullet.prototype;k.Type=function(a,c){this.behavior=a;this.objtype=c;this.runtime=a.runtime};k.Type.prototype.onCreate=function(){};k.Instance=function(a,c){this.type=a;this.behavior=a.behavior;this.inst=c;this.runtime=a.runtime};var g=k.Instance.prototype;g.onCreate=function(){var a=this.properties[0];this.acc=this.properties[1];this.g=this.properties[2];this.bounceOffSolid=0!==this.properties[3];this.setAngle=0!==this.properties[4];
this.dx=Math.cos(this.inst.angle)*a;this.dy=Math.sin(this.inst.angle)*a;this.lastx=this.inst.x;this.lasty=this.inst.y;this.lastKnownAngle=this.inst.angle;this.travelled=0;this.enabled=0!==this.properties[5]};g.saveToJSON=function(){return{acc:this.acc,g:this.g,dx:this.dx,dy:this.dy,lx:this.lastx,ly:this.lasty,lka:this.lastKnownAngle,t:this.travelled,e:this.enabled}};g.loadFromJSON=function(a){this.acc=a.acc;this.g=a.g;this.dx=a.dx;this.dy=a.dy;this.lastx=a.lx;this.lasty=a.ly;this.lastKnownAngle=a.lka;
this.travelled=a.t;this.enabled=a.e};g.tick=function(){if(this.enabled){var a=this.runtime.getDt(this.inst),c,e;this.inst.angle!==this.lastKnownAngle&&(this.setAngle&&(c=cr.distanceTo(0,0,this.dx,this.dy),this.dx=Math.cos(this.inst.angle)*c,this.dy=Math.sin(this.inst.angle)*c),this.lastKnownAngle=this.inst.angle);0!==this.acc&&(c=cr.distanceTo(0,0,this.dx,this.dy),e=0===this.dx&&0===this.dy?this.inst.angle:cr.angleTo(0,0,this.dx,this.dy),c+=this.acc*a,0>c&&(c=0),this.dx=Math.cos(e)*c,this.dy=Math.sin(e)*
c);0!==this.g&&(this.dy+=this.g*a);this.lastx=this.inst.x;this.lasty=this.inst.y;if(0!==this.dx||0!==this.dy)if(this.inst.x+=this.dx*a,this.inst.y+=this.dy*a,this.travelled+=cr.distanceTo(0,0,this.dx*a,this.dy*a),this.setAngle&&(this.inst.angle=cr.angleTo(0,0,this.dx,this.dy),this.inst.set_bbox_changed(),this.lastKnownAngle=this.inst.angle),this.inst.set_bbox_changed(),this.bounceOffSolid&&(c=this.runtime.testOverlapSolid(this.inst)))this.runtime.registerCollision(this.inst,c),c=cr.distanceTo(0,0,
this.dx,this.dy),e=this.runtime.calculateSolidBounceAngle(this.inst,this.lastx,this.lasty),this.dx=Math.cos(e)*c,this.dy=Math.sin(e)*c,this.inst.x+=this.dx*a,this.inst.y+=this.dy*a,this.inst.set_bbox_changed(),this.setAngle&&(this.lastKnownAngle=this.inst.angle=e,this.inst.set_bbox_changed()),this.runtime.pushOutSolid(this.inst,this.dx/c,this.dy/c,Math.max(2.5*c*a,30))||this.runtime.pushOutSolidNearest(this.inst,100)}};a.prototype.CompareSpeed=function(a,c){return cr.do_cmp(cr.distanceTo(0,0,this.dx,
this.dy),a,c)};a.prototype.CompareTravelled=function(a,c){return cr.do_cmp(this.travelled,a,c)};k.cnds=new a;c.prototype.SetSpeed=function(a){var c=cr.angleTo(0,0,this.dx,this.dy);this.dx=Math.cos(c)*a;this.dy=Math.sin(c)*a};c.prototype.SetAcceleration=function(a){this.acc=a};c.prototype.SetGravity=function(a){this.g=a};c.prototype.SetAngleOfMotion=function(a){a=cr.to_radians(a);var c=cr.distanceTo(0,0,this.dx,this.dy);this.dx=Math.cos(a)*c;this.dy=Math.sin(a)*c};c.prototype.Bounce=function(a){if(a&&
(a=a.getFirstPicked(this.inst))){var c=this.runtime.getDt(this.inst),e=cr.distanceTo(0,0,this.dx,this.dy),d=this.runtime.calculateSolidBounceAngle(this.inst,this.lastx,this.lasty,a);this.dx=Math.cos(d)*e;this.dy=Math.sin(d)*e;this.inst.x+=this.dx*c;this.inst.y+=this.dy*c;this.inst.set_bbox_changed();this.setAngle&&(this.lastKnownAngle=this.inst.angle=d,this.inst.set_bbox_changed());this.bounceOffSolid?this.runtime.pushOutSolid(this.inst,this.dx/e,this.dy/e,Math.max(2.5*e*c,30))||this.runtime.pushOutSolidNearest(this.inst,
100):this.runtime.pushOut(this.inst,this.dx/e,this.dy/e,Math.max(2.5*e*c,30),a)}};c.prototype.SetEnabled=function(a){this.enabled=1===a};k.acts=new c;e.prototype.Speed=function(a){var c=cr.distanceTo(0,0,this.dx,this.dy),c=cr.round6dp(c);a.set_float(c)};e.prototype.Acceleration=function(a){a.set_float(this.acc)};e.prototype.AngleOfMotion=function(a){a.set_float(cr.to_degrees(cr.angleTo(0,0,this.dx,this.dy)))};e.prototype.DistanceTravelled=function(a){a.set_float(this.travelled)};k.exps=new e})();
cr.behaviors.Fade=function(a){this.runtime=a};
(function(){function a(){}function c(){}var e=cr.behaviors.Fade.prototype;e.Type=function(a,b){this.behavior=a;this.objtype=b;this.runtime=a.runtime};e.Type.prototype.onCreate=function(){};e.Instance=function(a,b){this.type=a;this.behavior=a.behavior;this.inst=b;this.runtime=a.runtime};var k=e.Instance.prototype;k.onCreate=function(){var a=1===this.properties[0];this.fadeInTime=this.properties[1];this.waitTime=this.properties[2];this.fadeOutTime=this.properties[3];this.destroy=this.properties[4];
this.stage=a?0:3;this.recycled?this.stageTime.reset():this.stageTime=new cr.KahanAdder;this.maxOpacity=this.inst.opacity?this.inst.opacity:1;a&&(0===this.fadeInTime?(this.stage=1,0===this.waitTime&&(this.stage=2)):(this.inst.opacity=0,this.runtime.redraw=!0))};k.saveToJSON=function(){return{fit:this.fadeInTime,wt:this.waitTime,fot:this.fadeOutTime,s:this.stage,st:this.stageTime.sum,mo:this.maxOpacity}};k.loadFromJSON=function(a){this.fadeInTime=a.fit;this.waitTime=a.wt;this.fadeOutTime=a.fot;this.stage=
a.s;this.stageTime.reset();this.stageTime.sum=a.st;this.maxOpacity=a.mo};k.tick=function(){this.stageTime.add(this.runtime.getDt(this.inst));0===this.stage&&(this.inst.opacity=this.stageTime.sum/this.fadeInTime*this.maxOpacity,this.runtime.redraw=!0,this.inst.opacity>=this.maxOpacity&&(this.inst.opacity=this.maxOpacity,this.stage=1,this.stageTime.reset()));1===this.stage&&this.stageTime.sum>=this.waitTime&&(this.stage=2,this.stageTime.reset());2===this.stage&&0!==this.fadeOutTime&&(this.inst.opacity=
this.maxOpacity-this.stageTime.sum/this.fadeOutTime*this.maxOpacity,this.runtime.redraw=!0,0>this.inst.opacity&&(this.inst.opacity=0,this.stage=3,this.stageTime.reset(),this.runtime.trigger(cr.behaviors.Fade.prototype.cnds.OnFadeOutEnd,this.inst),1===this.destroy&&this.runtime.DestroyInstance(this.inst)))};k.doStart=function(){this.stage=0;this.stageTime.reset();0===this.fadeInTime?(this.stage=1,0===this.waitTime&&(this.stage=2)):(this.inst.opacity=0,this.runtime.redraw=!0)};a.prototype.OnFadeOutEnd=
function(){return!0};e.cnds=new a;c.prototype.StartFade=function(){3===this.stage&&this.doStart()};c.prototype.RestartFade=function(){this.doStart()};e.acts=new c})();cr.behaviors.Flash=function(a){this.runtime=a};
(function(){function a(){}function c(){}var e=cr.behaviors.Flash.prototype;e.Type=function(a,b){this.behavior=a;this.objtype=b;this.runtime=a.runtime};e.Type.prototype.onCreate=function(){};e.Instance=function(a,b){this.type=a;this.behavior=a.behavior;this.inst=b;this.runtime=a.runtime};var k=e.Instance.prototype;k.onCreate=function(){this.timeleft=this.stagetimeleft=this.stage=this.offtime=this.ontime=0};k.saveToJSON=function(){return{ontime:this.ontime,offtime:this.offtime,stage:this.stage,stagetimeleft:this.stagetimeleft,
timeleft:this.timeleft}};k.loadFromJSON=function(a){this.ontime=a.ontime;this.offtime=a.offtime;this.stage=a.stage;this.stagetimeleft=a.stagetimeleft;this.timeleft=a.timeleft};k.tick=function(){if(!(0>=this.timeleft)){var a=this.runtime.getDt(this.inst);this.timeleft-=a;0>=this.timeleft?(this.timeleft=0,this.inst.visible=!0,this.runtime.redraw=!0,this.runtime.trigger(cr.behaviors.Flash.prototype.cnds.OnFlashEnded,this.inst)):(this.stagetimeleft-=a,0>=this.stagetimeleft&&(0===this.stage?(this.inst.visible=
!1,this.stage=1,this.stagetimeleft+=this.offtime):(this.inst.visible=!0,this.stage=0,this.stagetimeleft+=this.ontime),this.runtime.redraw=!0))}};a.prototype.IsFlashing=function(){return 0<this.timeleft};a.prototype.OnFlashEnded=function(){return!0};e.cnds=new a;c.prototype.Flash=function(a,b,c){this.ontime=a;this.offtime=b;this.stage=1;this.stagetimeleft=b;this.timeleft=c;this.inst.visible=!1;this.runtime.redraw=!0};c.prototype.StopFlashing=function(){this.timeleft=0;this.inst.visible=!0;this.runtime.redraw=
!0};e.acts=new c;e.exps=new function(){}})();cr.behaviors.NoSave=function(a){this.runtime=a};
(function(){var a=cr.behaviors.NoSave.prototype;a.Type=function(a,c){this.behavior=a;this.objtype=c;this.runtime=a.runtime};a.Type.prototype.onCreate=function(){};a.Instance=function(a,c){this.type=a;this.behavior=a.behavior;this.inst=c;this.runtime=a.runtime};var c=a.Instance.prototype;c.onCreate=function(){this.myProperty=this.properties[0]};c.onDestroy=function(){};c.tick=function(){this.runtime.getDt(this.inst)};a.cnds=new function(){};a.acts=new function(){};a.exps=new function(){}})();
cr.behaviors.Platform=function(a){this.runtime=a};
(function(){function a(){}function c(){}function e(){}var k=cr.behaviors.Platform.prototype;k.Type=function(a,c){this.behavior=a;this.objtype=c;this.runtime=a.runtime};k.Type.prototype.onCreate=function(){};k.Instance=function(a,c){this.type=a;this.behavior=a.behavior;this.inst=c;this.runtime=a.runtime;this.simjump=this.simright=this.simleft=this.ignoreInput=this.jumped=this.jumpkey=this.rightkey=this.leftkey=!1;this.lastFloorObject=null;this.loadFloorObject=-1;this.lastFloorY=this.lastFloorX=0;this.floorIsJumpthru=
!1;this.fallthrough=this.animMode=0;this.firstTick=!0;this.dy=this.dx=0};var g=k.Instance.prototype;g.updateGravity=function(){this.downx=Math.cos(this.ga);this.downy=Math.sin(this.ga);this.rightx=Math.cos(this.ga-Math.PI/2);this.righty=Math.sin(this.ga-Math.PI/2);this.downx=cr.round6dp(this.downx);this.downy=cr.round6dp(this.downy);this.rightx=cr.round6dp(this.rightx);this.righty=cr.round6dp(this.righty);this.g1=this.g;0>this.g&&(this.downx*=-1,this.downy*=-1,this.g=Math.abs(this.g))};g.onCreate=
function(){this.maxspeed=this.properties[0];this.acc=this.properties[1];this.dec=this.properties[2];this.jumpStrength=this.properties[3];this.g1=this.g=this.properties[4];this.maxFall=this.properties[5];this.defaultControls=1===this.properties[6];this.enabled=0!==this.properties[7];this.wasOnFloor=!1;this.wasOverJumpthru=this.runtime.testOverlapJumpThru(this.inst);this.ga=cr.to_radians(90);this.updateGravity();var a=this;this.defaultControls&&!this.runtime.isDomFree&&(jQuery(document).keydown(function(c){a.onKeyDown(c)}),
jQuery(document).keyup(function(c){a.onKeyUp(c)}));this.recycled||(this.myDestroyCallback=function(c){a.onInstanceDestroyed(c)});this.runtime.addDestroyCallback(this.myDestroyCallback)};g.saveToJSON=function(){return{ii:this.ignoreInput,lfx:this.lastFloorX,lfy:this.lastFloorY,lfo:this.lastFloorObject?this.lastFloorObject.uid:-1,am:this.animMode,en:this.enabled,fall:this.fallthrough,ft:this.firstTick,dx:this.dx,dy:this.dy,ms:this.maxspeed,acc:this.acc,dec:this.dec,js:this.jumpStrength,g:this.g,g1:this.g1,
mf:this.maxFall,wof:this.wasOnFloor,woj:this.wasOverJumpthru,ga:this.ga}};g.loadFromJSON=function(a){this.ignoreInput=a.ii;this.lastFloorX=a.lfx;this.lastFloorY=a.lfy;this.loadFloorObject=a.lfo;this.animMode=a.am;this.enabled=a.en;this.fallthrough=a.fall;this.firstTick=a.ft;this.dx=a.dx;this.dy=a.dy;this.maxspeed=a.ms;this.acc=a.acc;this.dec=a.dec;this.jumpStrength=a.js;this.g=a.g;this.g1=a.g1;this.maxFall=a.mf;this.wasOnFloor=a.wof;this.wasOverJumpthru=a.woj;this.ga=a.ga;this.simjump=this.simright=
this.simleft=this.jumped=this.jumpkey=this.rightkey=this.leftkey=!1;this.updateGravity()};g.afterLoad=function(){this.lastFloorObject=-1===this.loadFloorObject?null:this.runtime.getObjectByUID(this.loadFloorObject)};g.onInstanceDestroyed=function(a){this.lastFloorObject==a&&(this.lastFloorObject=null)};g.onDestroy=function(){this.lastFloorObject=null;this.runtime.removeDestroyCallback(this.myDestroyCallback)};g.onKeyDown=function(a){switch(a.which){case 38:a.preventDefault();this.jumpkey=!0;break;
case 37:a.preventDefault();this.leftkey=!0;break;case 39:a.preventDefault(),this.rightkey=!0}};g.onKeyUp=function(a){switch(a.which){case 38:a.preventDefault();this.jumped=this.jumpkey=!1;break;case 37:a.preventDefault();this.leftkey=!1;break;case 39:a.preventDefault(),this.rightkey=!1}};g.getGDir=function(){return 0>this.g?-1:1};g.isOnFloor=function(){var a=null,c=null,e,d;e=this.inst.x;d=this.inst.y;this.inst.x+=this.downx;this.inst.y+=this.downy;this.inst.set_bbox_changed();if(this.lastFloorObject&&
this.runtime.testOverlap(this.inst,this.lastFloorObject))return this.inst.x=e,this.inst.y=d,this.inst.set_bbox_changed(),this.lastFloorObject;(a=this.runtime.testOverlapSolid(this.inst))||0!==this.fallthrough||(c=this.runtime.testOverlapJumpThru(this.inst,!0));this.inst.x=e;this.inst.y=d;this.inst.set_bbox_changed();if(a){if(this.runtime.testOverlap(this.inst,a))return null;this.floorIsJumpthru=!1;return a}if(c&&c.length){d=a=0;for(e=c.length;a<e;a++)c[d]=c[a],this.runtime.testOverlap(this.inst,c[a])||
d++;if(1<=d)return this.floorIsJumpthru=!0,c[0]}return null};g.tick=function(){};g.posttick=function(){var a=this.runtime.getDt(this.inst),c,e,d,g,f,k,r,t,s;this.jumpkey||this.simjump||(this.jumped=!1);var w=this.leftkey||this.simleft;d=this.rightkey||this.simright;var q=(this.jumpkey||this.simjump)&&!this.jumped;this.simjump=this.simright=this.simleft=!1;if(this.enabled){this.ignoreInput&&(q=d=w=!1);t=this.lastFloorObject;s=!1;this.firstTick&&((this.runtime.testOverlapSolid(this.inst)||this.runtime.testOverlapJumpThru(this.inst))&&
this.runtime.pushOutSolid(this.inst,-this.downx,-this.downy,4,!0),this.firstTick=!1);!t||0!==this.dy||t.y===this.lastFloorY&&t.x===this.lastFloorX||(c=t.x-this.lastFloorX,e=t.y-this.lastFloorY,this.inst.x+=c,this.inst.y+=e,this.inst.set_bbox_changed(),this.lastFloorX=t.x,this.lastFloorY=t.y,s=!0,this.runtime.testOverlapSolid(this.inst)&&this.runtime.pushOutSolid(this.inst,-c,-e,2.5*Math.sqrt(c*c+e*e)));var u=this.isOnFloor();if(e=this.runtime.testOverlapSolid(this.inst))if(this.runtime.pushOutSolidNearest(this.inst,
Math.max(this.inst.width,this.inst.height)/2))this.runtime.registerCollision(this.inst,e);else return;u?(0<this.dy&&(this.wasOnFloor||(this.runtime.pushInFractional(this.inst,-this.downx,-this.downy,u,16),this.wasOnFloor=!0),this.dy=0),t!=u?(this.lastFloorObject=u,this.lastFloorX=u.x,this.lastFloorY=u.y,this.runtime.registerCollision(this.inst,u)):s&&(e=this.runtime.testOverlapSolid(this.inst))&&(this.runtime.registerCollision(this.inst,e),0!==c&&(0<c?this.runtime.pushOutSolid(this.inst,-this.rightx,
-this.righty):this.runtime.pushOutSolid(this.inst,this.rightx,this.righty)),this.runtime.pushOutSolid(this.inst,-this.downx,-this.downy)),q&&(t=this.inst.x,s=this.inst.y,this.inst.x-=this.downx,this.inst.y-=this.downy,this.inst.set_bbox_changed(),this.runtime.testOverlapSolid(this.inst)?q=!1:(this.runtime.trigger(cr.behaviors.Platform.prototype.cnds.OnJump,this.inst),this.animMode=2,this.dy=-this.jumpStrength,this.jumped=!0),this.inst.x=t,this.inst.y=s,this.inst.set_bbox_changed())):(this.lastFloorObject=
null,this.dy+=this.g*a,this.dy>this.maxFall&&(this.dy=this.maxFall),q&&(this.jumped=!0));this.wasOnFloor=!!u;w==d&&(0>this.dx?(this.dx+=this.dec*a,0<this.dx&&(this.dx=0)):0<this.dx&&(this.dx-=this.dec*a,0>this.dx&&(this.dx=0)));w&&!d&&(this.dx=0<this.dx?this.dx-(this.acc+this.dec)*a:this.dx-this.acc*a);d&&!w&&(this.dx=0>this.dx?this.dx+(this.acc+this.dec)*a:this.dx+this.acc*a);this.dx>this.maxspeed?this.dx=this.maxspeed:this.dx<-this.maxspeed&&(this.dx=-this.maxspeed);w=!1;0!==this.dx&&(t=this.inst.x,
s=this.inst.y,c=this.dx*a*this.rightx,e=this.dx*a*this.righty,this.inst.x+=this.rightx*(1<this.dx?1:-1)-this.downx,this.inst.y+=this.righty*(1<this.dx?1:-1)-this.downy,this.inst.set_bbox_changed(),g=!1,f=this.runtime.testOverlapSolid(this.inst),this.inst.x=t+c,this.inst.y=s+e,this.inst.set_bbox_changed(),d=this.runtime.testOverlapSolid(this.inst),!d&&u&&(d=this.runtime.testOverlapJumpThru(this.inst))&&(this.inst.x=t,this.inst.y=s,this.inst.set_bbox_changed(),this.runtime.testOverlap(this.inst,d)?
(d=null,g=!1):g=!0,this.inst.x=t+c,this.inst.y=s+e,this.inst.set_bbox_changed()),d?(c=Math.abs(this.dx*a)+2,f||!this.runtime.pushOutSolid(this.inst,-this.downx,-this.downy,c,g,d))?(this.runtime.registerCollision(this.inst,d),c=Math.max(Math.abs(2.5*this.dx*a),30),this.runtime.pushOutSolid(this.inst,this.rightx*(0>this.dx?1:-1),this.righty*(0>this.dx?1:-1),c,!1)?!u||g||this.floorIsJumpthru||(t=this.inst.x,s=this.inst.y,this.inst.x+=this.downx,this.inst.y+=this.downy,this.runtime.testOverlapSolid(this.inst)?
this.runtime.pushOutSolid(this.inst,-this.downx,-this.downy,3,!1)||(this.inst.x=t,this.inst.y=s,this.inst.set_bbox_changed()):(this.inst.x=t,this.inst.y=s,this.inst.set_bbox_changed())):(this.inst.x=t,this.inst.y=s,this.inst.set_bbox_changed()),g||(this.dx=0)):!f&&15>Math.abs(this.dy)&&(this.dy=0,u||(w=!0)):(t=this.isOnFloor(),u&&!t?(e=Math.ceil(Math.abs(this.dx*a))+2,t=this.inst.x,s=this.inst.y,this.inst.x+=this.downx*e,this.inst.y+=this.downy*e,this.inst.set_bbox_changed(),this.runtime.testOverlapSolid(this.inst)||
this.runtime.testOverlapJumpThru(this.inst)?this.runtime.pushOutSolid(this.inst,-this.downx,-this.downy,e+2,!0):(this.inst.x=t,this.inst.y=s,this.inst.set_bbox_changed())):t&&0===this.dy&&this.runtime.pushInFractional(this.inst,-this.downx,-this.downy,t,16)));if(0!==this.dy){t=this.inst.x;s=this.inst.y;this.inst.x+=this.dy*a*this.downx;this.inst.y+=this.dy*a*this.downy;c=this.inst.x;d=this.inst.y;this.inst.set_bbox_changed();e=this.runtime.testOverlapSolid(this.inst);g=!1;if(!e&&0<this.dy&&!u){if((g=
0<this.fallthrough?null:this.runtime.testOverlapJumpThru(this.inst,!0))&&g.length){if(this.wasOverJumpthru){this.inst.x=t;this.inst.y=s;this.inst.set_bbox_changed();r=f=0;for(k=g.length;f<k;f++)g[r]=g[f],this.runtime.testOverlap(this.inst,g[f])||r++;g.length=r;this.inst.x=c;this.inst.y=d;this.inst.set_bbox_changed()}1<=g.length&&(e=g[0])}g=!!e}e&&(this.runtime.registerCollision(this.inst,e),c=g?Math.abs(2.5*this.dy*a+10):Math.max(Math.abs(2.5*this.dy*a+10),30),this.runtime.pushOutSolid(this.inst,
this.downx*(0>this.dy?1:-1),this.downy*(0>this.dy?1:-1),c,g,e)?(this.lastFloorObject=e,this.lastFloorX=e.x,this.lastFloorY=e.y,(this.floorIsJumpthru=g)&&(w=!0),this.dy=0):(this.inst.x=t,this.inst.y=s,this.inst.set_bbox_changed(),this.wasOnFloor=!0,g||(this.dy=0)))}3!==this.animMode&&0<this.dy&&!u&&(this.runtime.trigger(cr.behaviors.Platform.prototype.cnds.OnFall,this.inst),this.animMode=3);if(u||w)3===this.animMode||w||q&&0===this.dy?(this.runtime.trigger(cr.behaviors.Platform.prototype.cnds.OnLand,
this.inst),this.animMode=0===this.dx&&0===this.dy?0:1):(0!==this.animMode&&0===this.dx&&0===this.dy&&(this.runtime.trigger(cr.behaviors.Platform.prototype.cnds.OnStop,this.inst),this.animMode=0),1===this.animMode||0===this.dx&&0===this.dy||q||(this.runtime.trigger(cr.behaviors.Platform.prototype.cnds.OnMove,this.inst),this.animMode=1));0<this.fallthrough&&this.fallthrough--;this.wasOverJumpthru=this.runtime.testOverlapJumpThru(this.inst)}};a.prototype.IsMoving=function(){return 0!==this.dx||0!==this.dy};
a.prototype.CompareSpeed=function(a,c){var e=Math.sqrt(this.dx*this.dx+this.dy*this.dy);return cr.do_cmp(e,a,c)};a.prototype.IsOnFloor=function(){if(0!==this.dy)return!1;var a=null,c=null,e,d;e=this.inst.x;d=this.inst.y;this.inst.x+=this.downx;this.inst.y+=this.downy;this.inst.set_bbox_changed();(a=this.runtime.testOverlapSolid(this.inst))||0!==this.fallthrough||(c=this.runtime.testOverlapJumpThru(this.inst,!0));this.inst.x=e;this.inst.y=d;this.inst.set_bbox_changed();if(a)return!this.runtime.testOverlap(this.inst,
a);if(c&&c.length){d=a=0;for(e=c.length;a<e;a++)c[d]=c[a],this.runtime.testOverlap(this.inst,c[a])||d++;if(1<=d)return!0}return!1};a.prototype.IsByWall=function(a){var c=!1,e=this.inst.x,d=this.inst.y;this.inst.x-=3*this.downx;this.inst.y-=3*this.downy;this.inst.set_bbox_changed();if(this.runtime.testOverlapSolid(this.inst))return this.inst.x=e,this.inst.y=d,this.inst.set_bbox_changed(),!1;0===a?(this.inst.x-=2*this.rightx,this.inst.y-=2*this.righty):(this.inst.x+=2*this.rightx,this.inst.y+=2*this.righty);
this.inst.set_bbox_changed();c=this.runtime.testOverlapSolid(this.inst);this.inst.x=e;this.inst.y=d;this.inst.set_bbox_changed();return c};a.prototype.IsJumping=function(){return 0>this.dy};a.prototype.IsFalling=function(){return 0<this.dy};a.prototype.OnJump=function(){return!0};a.prototype.OnFall=function(){return!0};a.prototype.OnStop=function(){return!0};a.prototype.OnMove=function(){return!0};a.prototype.OnLand=function(){return!0};k.cnds=new a;c.prototype.SetIgnoreInput=function(a){this.ignoreInput=
a};c.prototype.SetMaxSpeed=function(a){this.maxspeed=a;0>this.maxspeed&&(this.maxspeed=0)};c.prototype.SetAcceleration=function(a){this.acc=a;0>this.acc&&(this.acc=0)};c.prototype.SetDeceleration=function(a){this.dec=a;0>this.dec&&(this.dec=0)};c.prototype.SetJumpStrength=function(a){this.jumpStrength=a;0>this.jumpStrength&&(this.jumpStrength=0)};c.prototype.SetGravity=function(a){this.g1!==a&&(this.g=a,this.updateGravity(),this.runtime.testOverlapSolid(this.inst)&&(this.runtime.pushOutSolid(this.inst,
this.downx,this.downy,10),this.inst.x+=2*this.downx,this.inst.y+=2*this.downy,this.inst.set_bbox_changed()),this.lastFloorObject=null)};c.prototype.SetMaxFallSpeed=function(a){this.maxFall=a;0>this.maxFall&&(this.maxFall=0)};c.prototype.SimulateControl=function(a){switch(a){case 0:this.simleft=!0;break;case 1:this.simright=!0;break;case 2:this.simjump=!0}};c.prototype.SetVectorX=function(a){this.dx=a};c.prototype.SetVectorY=function(a){this.dy=a};c.prototype.SetGravityAngle=function(a){a=cr.to_radians(a);
a=cr.clamp_angle(a);this.ga!==a&&(this.ga=a,this.updateGravity(),this.lastFloorObject=null)};c.prototype.SetEnabled=function(a){this.enabled!==(1===a)&&(this.enabled=1===a,this.enabled||(this.lastFloorObject=null))};c.prototype.FallThrough=function(){var a=this.inst.x,c=this.inst.y;this.inst.x+=this.downx;this.inst.y+=this.downy;this.inst.set_bbox_changed();var e=this.runtime.testOverlapJumpThru(this.inst,!1);this.inst.x=a;this.inst.y=c;this.inst.set_bbox_changed();e&&(this.fallthrough=3,this.lastFloorObject=
null)};k.acts=new c;e.prototype.Speed=function(a){a.set_float(Math.sqrt(this.dx*this.dx+this.dy*this.dy))};e.prototype.MaxSpeed=function(a){a.set_float(this.maxspeed)};e.prototype.Acceleration=function(a){a.set_float(this.acc)};e.prototype.Deceleration=function(a){a.set_float(this.dec)};e.prototype.JumpStrength=function(a){a.set_float(this.jumpStrength)};e.prototype.Gravity=function(a){a.set_float(this.g)};e.prototype.GravityAngle=function(a){a.set_float(cr.to_degrees(this.ga))};e.prototype.MaxFallSpeed=
function(a){a.set_float(this.maxFall)};e.prototype.MovingAngle=function(a){a.set_float(cr.to_degrees(Math.atan2(this.dy,this.dx)))};e.prototype.VectorX=function(a){a.set_float(this.dx)};e.prototype.VectorY=function(a){a.set_float(this.dy)};k.exps=new e})();cr.behaviors.Rex_MoveTo=function(a){this.runtime=a};
(function(){function a(){}function c(){}function e(){}var k=cr.behaviors.Rex_MoveTo.prototype;k.Type=function(a,c){this.behavior=a;this.objtype=c;this.runtime=a.runtime};k.Type.prototype.onCreate=function(){};k.Instance=function(a,c){this.type=a;this.behavior=a.behavior;this.inst=c;this.runtime=a.runtime};var g=k.Instance.prototype;g.onCreate=function(){this.activated=1==this.properties[0];this.move={max:this.properties[1],acc:this.properties[2],dec:this.properties[3]};this.target={x:0,y:0,a:0};this.is_moving=
!1;this.remain_distance=this.current_speed=0;this.is_hit_target=!1;this._pre_pos={x:0,y:0};this._moving_angle_info={x:0,y:0,a:-1};this._last_tick=null;this.is_my_call=!1};g.tick=function(){this.is_hit_target&&(this.is_my_call=!0,this.runtime.trigger(cr.behaviors.Rex_MoveTo.prototype.cnds.OnHitTarget,this.inst),this.is_hit_target=this.is_my_call=!1);if(this.activated&&this.is_moving){var a=this.runtime.getDt(this.inst);if(0!=a){this._pre_pos.x==this.inst.x&&this._pre_pos.y==this.inst.y||this._reset_current_pos();
var c=!1;0!=this.move.dec&&(c=this.current_speed,c=c*c/(2*this.move.dec)>=this.remain_distance);c=c?-this.move.dec:this.move.acc;0!=c&&this.SetCurrentSpeed(this.current_speed+c*a);a*=this.current_speed;this.remain_distance-=a;0>=this.remain_distance||0>=this.current_speed?(this.is_moving=!1,this.inst.x=this.target.x,this.inst.y=this.target.y,this.SetCurrentSpeed(0),this.moving_angle_get(),this.is_hit_target=!0):(c=this.target.a,this.inst.x+=a*Math.cos(c),this.inst.y+=a*Math.sin(c));this.inst.set_bbox_changed();
this._pre_pos.x=this.inst.x;this._pre_pos.y=this.inst.y}}};g.tick2=function(){this._moving_angle_info.x=this.inst.x;this._moving_angle_info.y=this.inst.y};g.SetCurrentSpeed=function(a){null!=a?this.current_speed=a>this.move.max?this.move.max:a:0==this.move.acc&&(this.current_speed=this.move.max)};g._reset_current_pos=function(){var a=this.target.x-this.inst.x,c=this.target.y-this.inst.y;this.target.a=Math.atan2(c,a);this.remain_distance=Math.sqrt(a*a+c*c);this._pre_pos.x=this.inst.x;this._pre_pos.y=
this.inst.y};g.SetTargetPos=function(a,c){this.is_moving=!0;this.target.x=a;this.target.y=c;this._reset_current_pos();this.SetCurrentSpeed(null);this._moving_angle_info.x=this.inst.x;this._moving_angle_info.y=this.inst.y};g.is_tick_changed=function(){var a=this.runtime.tickcount,c=this._last_tick!=a;this._last_tick=a;return c};g.moving_angle_get=function(a){if(this.is_tick_changed()){a=this.inst.x-this._moving_angle_info.x;var c=this.inst.y-this._moving_angle_info.y;if(0!=a||0!=c)this._moving_angle_info.a=
cr.to_clamped_degrees(Math.atan2(c,a))}return this._moving_angle_info.a};g.saveToJSON=function(){return{en:this.activated,v:this.move,t:this.target,is_m:this.is_moving,c_spd:this.current_speed,rd:this.remain_distance,is_ht:this.is_hit_target,pp:this._pre_pos,ma:this._moving_angle_info,lt:this._last_tick}};g.loadFromJSON=function(a){this.activated=a.en;this.move=a.v;this.target=a.t;this.is_moving=a.is_m;this.current_speed=a.c_spd;this.remain_distance=a.rd;this.is_hit_target=a.is_ht;this._pre_pos=a.pp;
this._moving_angle_info=a.ma;this._last_tick=a.lt};k.cnds=new a;a.prototype.OnHitTarget=function(){return this.is_my_call};a.prototype.CompareSpeed=function(a,c){return cr.do_cmp(this.current_speed,a,c)};a.prototype.OnMoving=function(){return!1};a.prototype.IsMoving=function(){return this.activated&&this.is_moving};a.prototype.CompareMovingAngle=function(a,c){return-1!=this.moving_angle_get()?cr.do_cmp(this.moving_angle_get(),a,c):!1};k.acts=new c;c.prototype.SetActivated=function(a){this.activated=
1==a};c.prototype.SetMaxSpeed=function(a){this.move.max=a;this.SetCurrentSpeed(null)};c.prototype.SetAcceleration=function(a){this.move.acc=a;this.SetCurrentSpeed(null)};c.prototype.SetDeceleration=function(a){this.move.dec=a};c.prototype.SetTargetPos=function(a,c){this.SetTargetPos(a,c)};c.prototype.SetCurrentSpeed=function(a){this.SetCurrentSpeed(a)};c.prototype.SetTargetPosOnObject=function(a){a&&(a=a.getFirstPicked(),null!=a&&this.SetTargetPos(a.x,a.y))};c.prototype.SetTargetPosByDeltaXY=function(a,
c){this.SetTargetPos(this.inst.x+a,this.inst.y+c)};c.prototype.SetTargetPosByDistanceAngle=function(a,c){var e=cr.to_clamped_radians(c),d=a*Math.cos(e),e=a*Math.sin(e);this.SetTargetPos(this.inst.x+d,this.inst.y+e)};c.prototype.Stop=function(){this.is_moving=!1};k.exps=new e;e.prototype.Activated=function(a){a.set_int(this.activated?1:0)};e.prototype.Speed=function(a){a.set_float(this.current_speed)};e.prototype.MaxSpeed=function(a){a.set_float(this.move.max)};e.prototype.Acc=function(a){a.set_float(this.move.acc)};
e.prototype.Dec=function(a){a.set_float(this.move.dec)};e.prototype.TargetX=function(a){a.set_float(this.target.x)};e.prototype.TargetY=function(a){a.set_float(this.target.y)};e.prototype.MovingAngle=function(a){a.set_float(this.moving_angle_get())}})();cr.behaviors.Rex_Zigzag=function(a){this.runtime=a};
(function(){function a(){}function c(){}function e(){}var k=cr.behaviors.Rex_Zigzag.prototype;k.Type=function(a,b){this.behavior=a;this.objtype=b;this.runtime=a.runtime};k.Type.prototype.onCreate=function(){};k.Instance=function(a,b){this.type=a;this.behavior=a.behavior;this.inst=b;this.runtime=a.runtime};var g=k.Instance.prototype,b=function(a,b){switch(a){case "F":a="M";break;case "B":a="M";b=-b;break;case "R":a="R";break;case "L":a="R";b=-b;break;case "W":break;default:return null}return{cmd:a,
param:b}},l=function(a){return""!=a?eval("("+a+")"):null},n=function(a){var c=[];a=a.split(";");var d,e=a.length,g,h,k,n;for(d=0;d<e;d++)g=a[d],n=g.indexOf("["),h=k=void 0,-1!=n?(h=g.slice(n),k=g.slice(0,n)):(h="",k=g),n=[k,h],g=n[0],g=g.replace(/(^\s*)|(\s*$)/g,""),g=g.replace(/(\s+)/g," "),h=g.split(" "),2==h.length?(k=h[0].toUpperCase(),h=parseFloat(h[1]),(k=b(k,h))?(k.speed=l(n[1]),c.push(k)):log("Zigzag : Can not parse command "+d+": '"+g+"'")):log("Zigzag : Can not parse command "+d+": '"+g+
"'");return c};g.onCreate=function(){this.activated=this.properties[0];this.is_run=1==this.properties[1];var a=1==this.properties[2],b=1==this.properties[12],c=1==this.properties[13];this.cur_cmd=null;this.is_my_call=!1;var d=a?this.inst.angle:cr.to_clamped_radians(this.properties[11]);this.pos_state={x:this.inst.x,y:this.inst.y,a:d};this.CmdQueue=new cr.behaviors.Rex_Zigzag.CmdQueue(this.properties[3]);this.CmdMove=new cr.behaviors.Rex_Zigzag.CmdMove(this.inst,this.properties[5],this.properties[6],
this.properties[7],b,c);this.CmdRotate=new cr.behaviors.Rex_Zigzag.CmdRotate(this.inst,a,this.properties[8],this.properties[9],this.properties[10],b,c);this.CmdWait=new cr.behaviors.Rex_Zigzag.CmdWait(c);this.cmd_map={M:this.CmdMove,R:this.CmdRotate,W:this.CmdWait};this.AddCommandString(this.properties[4])};g.tick=function(){if(0!=this.activated&&this.is_run)for(var a=this.runtime.getDt(this.inst),b;a;){if(null==this.cur_cmd)if(this.cur_cmd=this.CmdQueue.GetCmd(),null!=this.cur_cmd)b=this.cmd_map[this.cur_cmd.cmd],
b.Init(this.pos_state,this.cur_cmd.param,this.cur_cmd.speed),this.is_my_call=!0,this.runtime.trigger(cr.behaviors.Rex_Zigzag.prototype.cnds.OnCmdStart,this.inst),this.is_my_call=!1;else{this.is_run=!1;this.is_my_call=!0;this.runtime.trigger(cr.behaviors.Rex_Zigzag.prototype.cnds.OnCmdQueueFinish,this.inst);this.is_my_call=!1;break}else b=this.cmd_map[this.cur_cmd.cmd];a=b.Tick(a);b.is_done&&(this.is_my_call=!0,this.runtime.trigger(cr.behaviors.Rex_Zigzag.prototype.cnds.OnCmdFinish,this.inst),this.is_my_call=
!1,this.cur_cmd=null)}};g.AddCommand=function(a,c){this.CmdQueue.Push(b(a,c))};g.AddCommandString=function(a){""!=a&&this.CmdQueue.PushList(n(a))};g.saveToJSON=function(){return{en:this.activated,ir:this.is_run,ps:this.pos_state,cq:this.CmdQueue.saveToJSON(),cc:this.cur_cmd,cm:this.CmdMove.saveToJSON(),cr:this.CmdRotate.saveToJSON(),cw:this.CmdWait.saveToJSON()}};g.loadFromJSON=function(a){this.activated=a.en;this.is_run=a.ir;this.pos_state=a.ps;this.CmdQueue.loadFromJSON(a.cq);this.cur_cmd=a.cc;
this.CmdMove.loadFromJSON(a.cm);this.CmdRotate.loadFromJSON(a.cr);this.CmdWait.loadFromJSON(a.cw);null!=this.cur_cmd&&(this.cmd_map[this.cur_cmd.cmd].target=this.pos_state)};k.cnds=new a;a.prototype.CompareMovSpeed=function(a,b){return cr.do_cmp(this.CmdMove.current_speed,a,b)};a.prototype.CompareRotSpeed=function(a,b){return cr.do_cmp(this.CmdRotate.current_speed,a,b)};var d=function(a,b){if(null==a)return!1;var c;switch(b){case 0:c="M"==a.cmd&&0<=a.param;break;case 1:c="M"==a.cmd&&0>a.param;break;
case 2:c="R"==a.cmd&&0<=a.param;break;case 3:c="R"==a.cmd&&0>a.param;break;case 4:c="W"==a.cmd;break;default:c=!0}return c};a.prototype.IsCmd=function(a){return d(this.cur_cmd,a)};a.prototype.OnCmdQueueFinish=function(){return this.is_my_call};a.prototype.OnCmdStart=function(a){return d(this.cur_cmd,a)&&this.is_my_call};a.prototype.OnCmdFinish=function(a){return d(this.cur_cmd,a)&&this.is_my_call};k.acts=new c;c.prototype.SetActivated=function(a){this.activated=a};c.prototype.Start=function(){this.cur_cmd=
null;this.is_run=!0;this.CmdQueue.Reset();this.pos_state.x=this.inst.x;this.pos_state.y=this.inst.y;this.CmdRotate.rotatable&&(this.pos_state.a=this.inst.angle)};c.prototype.Stop=function(){this.cur_cmd=null;this.is_run=!1};c.prototype.SetMaxMovSpeed=function(a){this.CmdMove.move.max=a};c.prototype.SetMovAcceleration=function(a){this.CmdMove.move.acc=a};c.prototype.SetMovDeceleration=function(a){this.CmdMove.move.dec=a};c.prototype.SetMaxRotSpeed=function(a){this.CmdRotate.move.max=a};c.prototype.SetRotAcceleration=
function(a){this.CmdRotate.move.acc=a};c.prototype.SetRotDeceleration=function(a){this.CmdRotate.move.dec=a};c.prototype.SetRepeatCount=function(a){this.CmdQueue.repeat_count=a;this.CmdQueue.repeat_count_save=a};c.prototype.CleanCmdQueue=function(){this.CmdQueue.CleanAll()};var h=["F","B","R","L","W"];c.prototype.AddCmd=function(a,b){this.AddCommand(h[a],b)};c.prototype.AddCmdString=function(a){this.AddCommandString(a)};c.prototype.SetRotatable=function(a){this.CmdRotate.rotatable=1==a};c.prototype.SetMovingAngle=
function(a){a=cr.to_clamped_radians(a);this.pos_state.a=a;this.CmdRotate.rotatable&&(this.inst.angle=a,this.inst.set_bbox_changed())};c.prototype.SetPrecise=function(a){a=1==a;this.CmdMove.precise_mode=a;this.CmdRotate.precise_mode=a};k.exps=new e;e.prototype.Activated=function(a){a.set_int(this.activated)};e.prototype.MovSpeed=function(a){a.set_float(this.CmdMove.current_speed)};e.prototype.MaxMovSpeed=function(a){a.set_float(this.CmdMove.move.max)};e.prototype.MovAcc=function(a){a.set_float(this.CmdMove.move.acc)};
e.prototype.MovDec=function(a){a.set_float(this.CmdMove.move.dec)};e.prototype.RotSpeed=function(a){a.set_float(this.CmdRotate.current_speed)};e.prototype.MaxRotSpeed=function(a){a.set_float(this.CmdRotate.move.max)};e.prototype.RotAcc=function(a){a.set_float(this.CmdRotate.move.acc)};e.prototype.RotDec=function(a){a.set_float(this.CmdRotate.move.dec)};e.prototype.Rotatable=function(a){a.set_int(this.CmdRotate.rotatable)};e.prototype.RepCnt=function(a){a.set_int(this.CmdQueue.repeat_count_save)};
e.prototype.CmdIndex=function(a){a.set_int(this.CmdQueue.cur_cmd_queuq_index)};e.prototype.MovAngle=function(a){var b;d(this.cur_cmd,2)||d(this.cur_cmd,3)?(b=this.CmdRotate.current_angle_deg,0>b&&(b=360+b)):b=cr.to_clamped_degrees(this.pos_state.a);a.set_float(b)}})();
(function(){cr.behaviors.Rex_Zigzag.CmdQueue=function(a){this.CleanAll();this.repeat_count_save=this.repeat_count=a};var a=cr.behaviors.Rex_Zigzag.CmdQueue.prototype;a.CleanAll=function(){this.queue_index=0;this.cur_cmd_queuq_index=-1;this._queue=[]};a.Reset=function(){this.repeat_count=this.repeat_count_save;this.queue_index=0;this.cur_cmd_queuq_index=-1};a.Push=function(a){this._queue.push(a)};a.PushList=function(a){var c,e=a.length;for(c=0;c<e;c++)this._queue.push(a[c])};a.GetCmd=function(){var a;
a=this._queue[this.queue_index];this.cur_cmd_queuq_index=this.queue_index;var c=this.queue_index+1;c>=this._queue.length?1!=this.repeat_count?(this.queue_index=0,this.repeat_count-=1):this.queue_index=-1:this.queue_index=c;return a};a.saveToJSON=function(){return{i:this.queue_index,cci:this.cur_cmd_queuq_index,q:this._queue,rptsv:this.repeat_count_save,rpt:this.repeat_count}};a.loadFromJSON=function(a){this.queue_index=a.i;this.cur_cmd_queuq_index=a.cci;this._queue=a.q;this.repeat_count_save=a.rptsv;
this.repeat_count=a.rpt};cr.behaviors.Rex_Zigzag.CmdMove=function(a,c,e,d,g,f){this.inst=a;this.move={max:c,acc:e,dec:d};this.is_done=!0;this.precise_mode=g;this.continued_mode=f;this.current_speed=0};a=cr.behaviors.Rex_Zigzag.CmdMove.prototype;a.Init=function(a,e,k){this.target=a;this.dir=0<=e;this.remain_distance=Math.abs(e);this.is_done=!1;var d=a.a;a.x+=e*Math.cos(d);a.y+=e*Math.sin(d);k&&g.apply(this,k);c.call(this,null)};a.Tick=function(a){a=e.call(this,a);this.remain_distance-=a;if(0>=this.remain_distance||
0>=this.current_speed){this.is_done=!0;if(this.precise_mode)this.inst.x=this.target.x,this.inst.y=this.target.y;else{var c=this.target.a;a+=this.remain_distance;this.inst.x+=a*Math.cos(c);this.inst.y+=a*Math.sin(c);this.target.x=this.inst.x;this.target.y=this.inst.y}a=this.continued_mode?k.call(this):0}else c=this.target.a,this.dir||(a=-a),this.inst.x+=a*Math.cos(c),this.inst.y+=a*Math.sin(c),a=0;this.inst.set_bbox_changed();return a};a.saveToJSON=function(){return{v:this.move,id:this.is_done,pm:this.precise_mode,
cspd:this.current_speed,dir:this.dir,rd:this.remain_distance}};a.loadFromJSON=function(a){this.move=a.v;this.is_done=a.id;this.precise_mode=a.pm;this.current_speed=a.cspd;this.dir=a.dir;this.remain_distance=a.rd};cr.behaviors.Rex_Zigzag.CmdRotate=function(a,c,e,d,g,f,k){this.inst=a;this.rotatable=c;this.move={max:e,acc:d,dec:g};this.is_done=!0;this.is_zeroDt_mode=36E3<=e&&0==d&&0==g;this.precise_mode=f;this.continued_mode=k;this.current_angle_deg=c?cr.to_clamped_degrees(a.angle):0;this.current_speed=
0};a=cr.behaviors.Rex_Zigzag.CmdRotate.prototype;a.Init=function(a,e,k){this.target=a;this.current_angle_deg=cr.to_clamped_degrees(a.a);this._target_angle_deg=this.current_angle_deg+e;this.dir=0<=e;var d=cr.to_clamped_radians(this._target_angle_deg);this.remain_distance=Math.abs(e);this.is_done=!1;a.a=d;k&&g.apply(this,k);c.call(this,null)};a.Tick=function(a){var c;this.is_zeroDt_mode?(this.is_done=!0,c=this.target.a,this.current_angle_deg=this._target_angle_deg):(a=e.call(this,a),this.remain_distance-=
a,0>=this.remain_distance||0>=this.current_speed?(this.is_done=!0,this.precise_mode?(c=this.target.a,this.current_angle_deg=this._target_angle_deg):(a+=this.remain_distance,this.current_angle_deg+=this.dir?a:-a,c=cr.to_clamped_radians(this.current_angle_deg),this.target.a=c),a=1==this.continued_mode?k.call(this):0):(this.current_angle_deg+=this.dir?a:-a,c=cr.to_clamped_radians(this.current_angle_deg),a=0));this.rotatable&&(this.inst.angle=c,this.inst.set_bbox_changed());return a};a.saveToJSON=function(){return{ra:this.rotatable,
v:this.move,id:this.is_done,izm:this.is_zeroDt_mode,pm:this.precise_mode,cad:this.current_angle_deg,cspd:this.current_speed,tad:this._target_angle_deg,dir:this.dir,rd:this.remain_distance}};a.loadFromJSON=function(a){this.rotatable=a.ra;this.move=a.v;this.is_done=a.id;this.is_zeroDt_mode=a.izm;this.precise_mode=a.pm;this.current_angle_deg=a.cad;this.current_speed=a.cspd;this._target_angle_deg=a.tad;this.dir=a.dir;this.remain_distance=a.rd};var c=function(a){var c=this.move;this.current_speed=null!=
a?a>c.max?c.max:a:0<c.acc?0:c.max},e=function(a){var e=this.move,g=!1;0!=e.dec&&(g=this.current_speed,g=g*g/(2*e.dec)>=this.remain_distance);e=g?-e.dec:e.acc;0!=e&&c.call(this,this.current_speed+e*a);return this.current_speed*a},k=function(){var a;0<this.move.acc||0<this.move.dec?(c.call(this,0),a=0):a=-this.remain_distance/this.current_speed;return a},g=function(a,c,e){null!=a&&(this.move.max=a);null!=c&&(this.move.acc=c);null!=e&&(this.move.dec=e)};cr.behaviors.Rex_Zigzag.CmdWait=function(a){this.is_done=
!0;this.continued_mode=a};a=cr.behaviors.Rex_Zigzag.CmdWait.prototype;a.Init=function(a,c){this.remain_distance=c;this.is_done=!1;this.target=a};a.Tick=function(a){this.remain_distance-=a;0>=this.remain_distance?(a=this.continued_mode?-this.remain_distance:0,this.is_done=!0):a=0;return a};a.saveToJSON=function(){return{id:this.is_done,rd:this.remain_distance}};a.loadFromJSON=function(a){this.is_done=a.id;this.remain_distance=a.rd}})();cr.behaviors.Rex_bNickname=function(a){this.runtime=a};
(function(){function a(){}var c=cr.behaviors.Rex_bNickname.prototype;c.Type=function(a,c){this.behavior=a;this.objtype=c;this.runtime=a.runtime};c.Type.prototype.onCreate=function(){};c.Instance=function(a,c){this.type=a;this.behavior=a.behavior;this.inst=c;this.runtime=a.runtime};var e=c.Instance.prototype;e.onCreate=function(){this.set_nickname(this.properties[0])};e.tick=function(){};e.set_nickname=function(a){this.nickname=a;null!=cr.plugins_.Rex_Nickname&&null==cr.plugins_.Rex_Nickname.nickname2objtype[a]&&
(cr.plugins_.Rex_Nickname.nickname2objtype[a]={sid:this.inst.type.sid,index:-1})};c.cnds=new function(){};c.acts=new function(){};c.exps=new a;a.prototype.Nickname=function(a){a.set_string(this.nickname)}})();cr.behaviors.Sin=function(a){this.runtime=a};
(function(){function a(){}function c(){}function e(){}var k=cr.behaviors.Sin.prototype;k.Type=function(a,b){this.behavior=a;this.objtype=b;this.runtime=a.runtime};k.Type.prototype.onCreate=function(){};k.Instance=function(a,b){this.type=a;this.behavior=a.behavior;this.inst=b;this.runtime=a.runtime;this.i=0};var g=k.Instance.prototype,b=2*Math.PI,l=Math.PI/2,n=3*Math.PI/2;g.onCreate=function(){this.active=1===this.properties[0];this.movement=this.properties[1];this.wave=this.properties[2];this.period=
this.properties[3];this.period+=Math.random()*this.properties[4];0===this.period?this.i=0:(this.i=this.properties[5]/this.period*b,this.i+=Math.random()*this.properties[6]/this.period*b);this.mag=this.properties[7];this.mag+=Math.random()*this.properties[8];this.ratio=this.initialValue2=this.initialValue=0;this.init()};g.saveToJSON=function(){return{i:this.i,a:this.active,mv:this.movement,w:this.wave,p:this.period,mag:this.mag,iv:this.initialValue,iv2:this.initialValue2,r:this.ratio,lkv:this.lastKnownValue,
lkv2:this.lastKnownValue2}};g.loadFromJSON=function(a){this.i=a.i;this.active=a.a;this.movement=a.mv;this.wave=a.w;this.period=a.p;this.mag=a.mag;this.initialValue=a.iv;this.initialValue2=a.iv2||0;this.ratio=a.r;this.lastKnownValue=a.lkv;this.lastKnownValue2=a.lkv2||0};g.init=function(){switch(this.movement){case 0:this.initialValue=this.inst.x;break;case 1:this.initialValue=this.inst.y;break;case 2:this.initialValue=this.inst.width;this.ratio=this.inst.height/this.inst.width;break;case 3:this.initialValue=
this.inst.width;break;case 4:this.initialValue=this.inst.height;break;case 5:this.initialValue=this.inst.angle;this.mag=cr.to_radians(this.mag);break;case 6:this.initialValue=this.inst.opacity;break;case 7:this.initialValue=0;break;case 8:this.initialValue=this.inst.x,this.initialValue2=this.inst.y}this.lastKnownValue=this.initialValue;this.lastKnownValue2=this.initialValue2};g.waveFunc=function(a){a%=b;switch(this.wave){case 0:return Math.sin(a);case 1:return a<=l?a/l:a<=n?1-2*(a-l)/Math.PI:(a-n)/
l-1;case 2:return 2*a/b-1;case 3:return-2*a/b+1;case 4:return a<Math.PI?-1:1}return 0};g.tick=function(){var a=this.runtime.getDt(this.inst);if(this.active&&0!==a){0===this.period?this.i=0:(this.i+=a/this.period*b,this.i%=b);switch(this.movement){case 0:this.inst.x!==this.lastKnownValue&&(this.initialValue+=this.inst.x-this.lastKnownValue);this.inst.x=this.initialValue+this.waveFunc(this.i)*this.mag;this.lastKnownValue=this.inst.x;break;case 1:this.inst.y!==this.lastKnownValue&&(this.initialValue+=
this.inst.y-this.lastKnownValue);this.inst.y=this.initialValue+this.waveFunc(this.i)*this.mag;this.lastKnownValue=this.inst.y;break;case 2:this.inst.width=this.initialValue+this.waveFunc(this.i)*this.mag;this.inst.height=this.inst.width*this.ratio;break;case 3:this.inst.width=this.initialValue+this.waveFunc(this.i)*this.mag;break;case 4:this.inst.height=this.initialValue+this.waveFunc(this.i)*this.mag;break;case 5:this.inst.angle!==this.lastKnownValue&&(this.initialValue=cr.clamp_angle(this.initialValue+
(this.inst.angle-this.lastKnownValue)));this.inst.angle=cr.clamp_angle(this.initialValue+this.waveFunc(this.i)*this.mag);this.lastKnownValue=this.inst.angle;break;case 6:this.inst.opacity=this.initialValue+this.waveFunc(this.i)*this.mag/100;0>this.inst.opacity?this.inst.opacity=0:1<this.inst.opacity&&(this.inst.opacity=1);break;case 8:this.inst.x!==this.lastKnownValue&&(this.initialValue+=this.inst.x-this.lastKnownValue),this.inst.y!==this.lastKnownValue2&&(this.initialValue2+=this.inst.y-this.lastKnownValue2),
this.inst.x=this.initialValue+Math.cos(this.inst.angle)*this.waveFunc(this.i)*this.mag,this.inst.y=this.initialValue2+Math.sin(this.inst.angle)*this.waveFunc(this.i)*this.mag,this.lastKnownValue=this.inst.x,this.lastKnownValue2=this.inst.y}this.inst.set_bbox_changed()}};g.onSpriteFrameChanged=function(a,b){switch(this.movement){case 2:this.initialValue*=b.width/a.width;this.ratio=b.height/b.width;break;case 3:this.initialValue*=b.width/a.width;break;case 4:this.initialValue*=b.height/a.height}};a.prototype.IsActive=
function(){return this.active};a.prototype.CompareMovement=function(a){return this.movement===a};a.prototype.ComparePeriod=function(a,b){return cr.do_cmp(this.period,a,b)};a.prototype.CompareMagnitude=function(a,b){return 5===this.movement?cr.do_cmp(this.mag,a,cr.to_radians(b)):cr.do_cmp(this.mag,a,b)};a.prototype.CompareWave=function(a){return this.wave===a};k.cnds=new a;c.prototype.SetActive=function(a){this.active=1===a};c.prototype.SetPeriod=function(a){this.period=a};c.prototype.SetMagnitude=
function(a){this.mag=a;5===this.movement&&(this.mag=cr.to_radians(this.mag))};c.prototype.SetMovement=function(a){5===this.movement&&(this.mag=cr.to_degrees(this.mag));this.movement=a;this.init()};c.prototype.SetWave=function(a){this.wave=a};k.acts=new c;e.prototype.CyclePosition=function(a){a.set_float(this.i/b)};e.prototype.Period=function(a){a.set_float(this.period)};e.prototype.Magnitude=function(a){5===this.movement?a.set_float(cr.to_degrees(this.mag)):a.set_float(this.mag)};e.prototype.Value=
function(a){a.set_float(this.waveFunc(this.i)*this.mag)};k.exps=new e})();cr.behaviors.destroy=function(a){this.runtime=a};
(function(){var a=cr.behaviors.destroy.prototype;a.Type=function(a,e){this.behavior=a;this.objtype=e;this.runtime=a.runtime};a.Type.prototype.onCreate=function(){};a.Instance=function(a,e){this.type=a;this.behavior=a.behavior;this.inst=e;this.runtime=a.runtime};a=a.Instance.prototype;a.onCreate=function(){};a.tick=function(){this.inst.update_bbox();var a=this.inst.bbox,e=this.inst.layer.layout;(0>a.right||0>a.bottom||a.left>e.width||a.top>e.height)&&this.runtime.DestroyInstance(this.inst)}})();
cr.behaviors.jumpthru=function(a){this.runtime=a};
(function(){function a(){}function c(){}var e=cr.behaviors.jumpthru.prototype;e.Type=function(a,b){this.behavior=a;this.objtype=b;this.runtime=a.runtime};e.Type.prototype.onCreate=function(){};e.Instance=function(a,b){this.type=a;this.behavior=a.behavior;this.inst=b;this.runtime=a.runtime};var k=e.Instance.prototype;k.onCreate=function(){this.inst.extra.jumpthruEnabled=0!==this.properties[0]};k.tick=function(){};a.prototype.IsEnabled=function(){return this.inst.extra.jumpthruEnabled};e.cnds=new a;
c.prototype.SetEnabled=function(a){this.inst.extra.jumpthruEnabled=!!a};e.acts=new c})();cr.behaviors.solid=function(a){this.runtime=a};
(function(){function a(){}function c(){}var e=cr.behaviors.solid.prototype;e.Type=function(a,b){this.behavior=a;this.objtype=b;this.runtime=a.runtime};e.Type.prototype.onCreate=function(){};e.Instance=function(a,b){this.type=a;this.behavior=a.behavior;this.inst=b;this.runtime=a.runtime};var k=e.Instance.prototype;k.onCreate=function(){this.inst.extra.solidEnabled=0!==this.properties[0]};k.tick=function(){};a.prototype.IsEnabled=function(){return this.inst.extra.solidEnabled};e.cnds=new a;c.prototype.SetEnabled=
function(a){this.inst.extra.solidEnabled=!!a};e.acts=new c})();cr.behaviors.wrap=function(a){this.runtime=a};
(function(){var a=cr.behaviors.wrap.prototype;a.Type=function(a,e){this.behavior=a;this.objtype=e;this.runtime=a.runtime};a.Type.prototype.onCreate=function(){};a.Instance=function(a,e){this.type=a;this.behavior=a.behavior;this.inst=e;this.runtime=a.runtime};a=a.Instance.prototype;a.onCreate=function(){this.mode=this.properties[0]};a.tick=function(){var a=this.inst;a.update_bbox();var e=a.bbox,k=a.layer,g=k.layout,b=0,l=0,n=0,d=0;0===this.mode?(l=g.width,d=g.height):(b=k.viewLeft,l=k.viewRight,n=
k.viewTop,d=k.viewBottom);e.right<b?(a.x=l-1+(a.x-e.left),a.set_bbox_changed()):e.left>l?(a.x=b+1-(e.right-a.x),a.set_bbox_changed()):e.bottom<n?(a.y=d-1+(a.y-e.top),a.set_bbox_changed()):e.top>d&&(a.y=n+1-(e.bottom-a.y),a.set_bbox_changed())}})();
cr.getProjectModel=function(){return[null,null,[[cr.plugins_.CJSAds,!0,!1,!1,!1,!1,!1,!1,!1,!1],[cr.plugins_.Arr,!1,!1,!1,!1,!1,!1,!1,!1,!1],[cr.plugins_.Audio,!0,!1,!1,!1,!1,!1,!1,!1,!1],[cr.plugins_.Browser,!0,!1,!1,!1,!1,!1,!1,!1,!1],[cr.plugins_.Dictionary,!1,!1,!1,!1,!1,!1,!1,!1,!1],[cr.plugins_.Function,!0,!1,!1,!1,!1,!1,!1,!1,!1],[cr.plugins_.Keyboard,!0,!1,!1,!1,!1,!1,!1,!1,!1],[cr.plugins_.MagiCam,!0,!1,!1,!1,!1,!1,!1,!1,!1],[cr.plugins_.Particles,!1,!0,!0,!1,!0,!0,!0,!0,!0],[cr.plugins_.Rex_Nickname,
!0,!1,!1,!1,!1,!1,!1,!1,!1],[cr.plugins_.rojo_spritesheet,!1,!0,!0,!0,!0,!0,!0,!0,!0],[cr.plugins_.Sprite,!1,!0,!0,!0,!0,!0,!0,!0,!1],[cr.plugins_.Text,!1,!0,!0,!0,!0,!0,!0,!0,!1],[cr.plugins_.TiledBg,!1,!0,!0,!0,!0,!0,!0,!0,!0],[cr.plugins_.Touch,!0,!1,!1,!1,!1,!1,!1,!1,!1],[cr.plugins_.WebStorage,!0,!1,!1,!1,!1,!1,!1,!1,!1]],[["t0",cr.plugins_.WebStorage,!1,[],0,0,null,null,[],!1,!1,4524053821813345,[],null,[]],["t1",cr.plugins_.Touch,!1,[],0,0,null,null,[],!1,!1,846549146377899,[],null,[1]],["t2",
cr.plugins_.Audio,!1,[],0,0,null,null,[],!1,!1,0xd4fd523e699be,[],null,[0,2,1,1,600,600,1E4,1,5E3,1]],["t3",cr.plugins_.CJSAds,!1,[],0,0,null,null,[],!1,!1,7502273541960028,[],null,[0,1]],["t4",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!1,1,0,!1,0xfb36680a926eb,[["decormenusheet-sheet0.png",818966,0,0,800,600,1,0,0,[],[0.02875000052154064,0.03833330050110817,0.5,0,0.9850000143051147,0.01999999955296516,1,1,0,1,0.08250000327825546,0.5],0]]]],[["NoSave",cr.behaviors.NoSave,645299946535104]],!1,
!1,0xf026e916a5259,[],null],["t5",cr.plugins_.Sprite,!1,[652235962254736],1,0,null,[["Default",0,!1,1,0,!1,6180934531012271,[["arrow-sheet1.png",140398,1,333,256,165,1,0.53125,0.5575757622718811,[],[],0]]],["a",7,!1,1,0,!1,9375542174376652,[["arrow-sheet2.png",96091,1,1,256,165,1,0.53125,0.5575757622718811,[],[],0],["arrow-sheet1.png",140398,1,1,258,165,1,0.5271317958831787,0.5090909004211426,[],[],0],["arrow-sheet0.png",142651,1,1,259,166,1,0.5250965356826782,0.4578313231468201,[],[],0],["arrow-sheet0.png",
142651,1,168,259,166,1,0.5250965356826782,0.4036144614219666,[],[],0],["arrow-sheet0.png",142651,1,335,259,166,1,0.5250965356826782,0.4578313231468201,[],[],0],["arrow-sheet1.png",140398,1,167,258,165,1,0.5271317958831787,0.5090909004211426,[],[],0],["arrow-sheet2.png",96091,1,167,256,165,1,0.53125,0.5575757622718811,[],[],0]]]],[["NoSave",cr.behaviors.NoSave,0x73be95297c56c]],!1,!1,0x7eda23429c6fd,[],null],["t6",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",6,!1,1,0,!1,6553643353622156,[["continue-sheet0.png",
161917,195,317,183,137,1,0.5027322173118591,0.5036496520042419,[],[],0]]],["a",6,!1,1,0,!1,8982988271854086,[["continue-sheet0.png",161917,1,168,193,145,1,0.5025906562805176,0.5034482479095459,[],[],0],["continue-sheet0.png",161917,223,1,209,157,1,0.5023923516273499,0.5031847357749939,[],[],0],["continue-sheet0.png",161917,1,1,221,166,1,0.5022624731063843,0.5,[],[],0],["continue-sheet0.png",161917,223,159,209,157,1,0.5023923516273499,0.5031847357749939,[],[],0],["continue-sheet0.png",161917,1,314,
193,145,1,0.5025906562805176,0.5034482479095459,[],[],0],["continue-sheet1.png",22553,0,0,183,137,1,0.5027322173118591,0.5036496520042419,[],[],0]]]],[["NoSave",cr.behaviors.NoSave,0x4fddc3edbe40a]],!1,!1,5499533812162444,[],null],["t7",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",15,!0,1,0,!1,589473655500613,[["fon-sheet0.png",402440,220,1,217,222,1,0.5023041367530823,0.5,[],[],0],["fon-sheet0.png",402440,438,1,217,222,1,0.5023041367530823,0.5,[],[],0],["fon-sheet0.png",402440,656,1,217,222,1,0.5023041367530823,
0.5,[],[],0],["fon-sheet0.png",402440,1,224,217,222,1,0.5023041367530823,0.5,[],[],0],["fon-sheet0.png",402440,219,224,217,222,1,0.5023041367530823,0.5,[],[],0],["fon-sheet0.png",402440,437,224,217,222,1,0.5023041367530823,0.5,[],[],0],["fon-sheet0.png",402440,655,224,217,222,1,0.5023041367530823,0.5,[],[],0],["fon-sheet0.png",402440,1,447,217,222,1,0.5023041367530823,0.5,[],[],0],["fon-sheet0.png",402440,1,1,218,222,1,0.5,0.5,[],[],0],["fon-sheet0.png",402440,219,447,217,222,1,0.5023041367530823,
0.5,[],[],0],["fon-sheet0.png",402440,437,447,217,222,1,0.5023041367530823,0.5,[],[],0],["fon-sheet0.png",402440,655,447,217,222,1,0.5023041367530823,0.5,[],[],0],["fon-sheet0.png",402440,1,670,217,222,1,0.5023041367530823,0.5,[],[],0],["fon-sheet0.png",402440,219,670,217,222,1,0.5023041367530823,0.5,[],[],0],["fon-sheet0.png",402440,437,670,217,222,1,0.5023041367530823,0.5,[],[],0]]]],[["NoSave",cr.behaviors.NoSave,635298953153243]],!1,!1,6303302763506754,[],null],["t8",cr.plugins_.Sprite,!1,[],
1,0,null,[["Default",5,!1,1,0,!1,9561900223008692,[["option-sheet0.png",571757,1,1,188,216,1,0.5,0.5,[],[],0]]],["a",15,!1,1,0,!1,0x5308067d71b94,[["option-sheet0.png",571757,190,1,188,216,1,0.5,0.5,[],[],0],["option-sheet0.png",571757,1,218,186,213,1,0.5,0.4976525902748108,[],[],0],["option-sheet0.png",571757,188,432,183,207,1,0.5081967115402222,0.4975845515727997,[],[],0],["option-sheet0.png",571757,759,1,188,213,1,0.5053191781044006,0.4976525902748108,[],[],0],["option-sheet0.png",571757,379,1,
189,214,1,0.5079365372657776,0.4953271150588989,[],[],0],["option-sheet0.png",571757,757,427,186,212,1,0.5053763389587402,0.5,[],[],0],["option-sheet0.png",571757,562,430,186,208,1,0.5053763389587402,0.4951923191547394,[],[],0],["option-sheet0.png",571757,759,215,189,211,1,0.5026454925537109,0.4976303279399872,[],[],0],["option-sheet0.png",571757,379,216,189,211,1,0.4973545074462891,0.4976303279399872,[],[],0],["option-sheet0.png",571757,1,432,186,208,1,0.4946236610412598,0.5,[],[],0],["option-sheet0.png",
571757,375,428,186,212,1,0.4946236610412598,0.4952830076217651,[],[],0],["option-sheet0.png",571757,569,1,189,214,1,0.4920634925365448,0.5,[],[],0],["option-sheet0.png",571757,569,216,187,213,1,0.4919786155223846,0.4976525902748108,[],[],0],["option-sheet0.png",571757,562,639,183,207,1,0.4918032884597778,0.4975845515727997,[],[],0],["option-sheet0.png",571757,188,218,186,213,1,0.5,0.4976525902748108,[],[],0]]]],[["NoSave",cr.behaviors.NoSave,6753927541493526]],!1,!1,7847979560293221,[],null],["t9",
cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!1,1,0,!1,0x695b341e4ca45,[["play-sheet0.png",110467,1,1,172,152,1,0.447674423456192,0.5065789222717285,[],[],0]]],["a",6,!1,1,0,!1,0xb673678ca9cfb,[["play-sheet0.png",110467,174,1,172,152,1,0.5,0.5,[],[],0],["play-sheet0.png",110467,1,154,172,152,1,0.5,0.5,[],[],0],["play-sheet0.png",110467,174,154,172,152,1,0.5,0.5,[],[],0],["play-sheet0.png",110467,1,307,172,152,1,0.5,0.5,[],[],0],["play-sheet0.png",110467,174,307,172,152,1,0.5,0.5,[],[],0],["play-sheet1.png",
23442,0,0,172,152,1,0.5,0.5,[],[],0]]]],[["NoSave",cr.behaviors.NoSave,8265549182535845]],!1,!1,9181446495478542,[],null],["t10",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!1,1,0,!1,0xb8a2c26a452c2,[["fon1-sheet0.png",725052,0,0,1624,768,1,0,0,[],[],1]]]],[["NoSave",cr.behaviors.NoSave,0x5cd01b64925e9]],!1,!1,0x47091e4215581,[],null],["t11",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!1,1,0,!1,7948526000888167,[["fon2-sheet0.png",781595,0,0,1624,768,1,0.5,0.5,[],[],1]]]],[["NoSave",cr.behaviors.NoSave,
9040106545175958]],!1,!1,0x61fca8c6dc903,[],null],["t12",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!1,1,0,!1,0xd9ab4fa619c61,[["fon3-sheet0.png",659956,0,0,1624,768,1,0.5,0.5,[],[],0]]]],[["NoSave",cr.behaviors.NoSave,6241306749255468]],!1,!1,6138481291495388,[],null],["t13",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",0,!1,1,0,!1,5725039017916224,[["frame-sheet0.png",379589,0,0,891,707,1,0.5005611777305603,0.50070720911026,[],[],0]]]],[["NoSave",cr.behaviors.NoSave,462886094413664]],!1,!1,
852663331997897,[],null],["t14",cr.plugins_.Rex_Nickname,!1,[],0,0,null,null,[],!1,!1,0x56500a684a18f,[],null,[]],["t15",cr.plugins_.Function,!1,[],0,0,null,null,[],!1,!1,8667448794821412,[],null,[]],["t16",cr.plugins_.Sprite,!1,[652235962254736],1,0,null,[["Default",0,!1,1,0,!1,7940873030305558,[["arrow2-sheet0.png",33353,0,0,162,173,1,0.5,0.5028901696205139,[],[],0]]],["a",5,!1,1,0,!1,0x3e3ce65e92535,[["arrow2-sheet1.png",37298,0,0,162,173,1,0.5,0.5028901696205139,[],[],0],["arrow2-sheet2.png",
29724,0,0,153,162,1,0.5032680034637451,0.5061728358268738,[],[],0]]]],[["NoSave",cr.behaviors.NoSave,9792715334808414]],!1,!1,704763432415455,[],null],["t17",cr.plugins_.MagiCam,!1,[],0,0,null,null,[],!1,!1,8103567717566341,[],null,[]],["t18",cr.plugins_.Sprite,!1,[0xa7abe0a7854ec],1,0,null,[["Default",0,!1,1,0,!1,6277325240058192,[["star-sheet0.png",19444,1,1,192,106,1,0.5,0.8113207817077637,[],[],0],["star-sheet0.png",19444,1,108,192,106,1,0.5,0.7075471878051758,[],[],0],["star-sheet1.png",30296,
1,1,192,106,1,0.5,0.7075471878051758,[],[],0],["star-sheet1.png",30296,1,108,192,106,1,0.5,0.7075471878051758,[],[],0]]]],[["NoSave",cr.behaviors.NoSave,0xc924c58f20584]],!1,!1,7448536127760708,[],null],["t19",cr.plugins_.Sprite,!1,[0xa7abe0a7854ec],1,0,null,[["Default",5,!1,1,0,!1,9891357331848488,[["procent-sheet0.png",1313,0,0,23,24,1,0.52173912525177,0.5,[],[],0]]]],[["NoSave",cr.behaviors.NoSave,0xe2c1c25c4b603]],!1,!1,37159358885432,[],null],["t20",cr.plugins_.Sprite,!1,[0xa7abe0a7854ec],1,
0,null,[["Default",0,!1,1,0,!1,6402472218101505,[["sprite-sheet0.png",29446,170,103,80,100,1,0.5,0.5,[],[],0],["sprite-sheet0.png",29446,1,103,168,100,1,0.5,0.5,[],[],0],["sprite-sheet1.png",11142,0,0,168,100,1,0.5,0.5,[],[],0],["sprite-sheet0.png",29446,1,1,244,101,1,0.5,0.5049505233764648,[],[],0]]]],[["NoSave",cr.behaviors.NoSave,8076278764740265]],!1,!1,0x6f119fa626521,[],null],["t21",cr.plugins_.Sprite,!1,[458570640147171],0,0,null,[["Default",5,!1,1,0,!1,4705125875899966,[["close-sheet0.png",
17137,0,0,196,145,1,0.5,0.5034482479095459,[],[-0.4880160093307495,-0.4873192608356476,0.4920110106468201,-0.492695540189743,0.484021008014679,0.4750467538833618,-6.659924983978271E-4,0.4965517520904541,-0.4866844117641449,0.4786307811737061],0]]]],[],!1,!1,0x73a280d820c8b,[],null],["t22",cr.plugins_.Sprite,!1,[],2,0,null,[["Default",5,!1,1,0,!1,0xb2a751c689fa5,[["bgblur-sheet0.png",312208,0,0,1023,356,1,0.5004887580871582,0.5,[],[],0]]]],[["Solid",cr.behaviors.solid,0x438da64ad5d41],["NoSave",cr.behaviors.NoSave,
973488927277599]],!1,!1,0x6c6ab7627a125,[],null],["t23",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",0,!1,1,0,!1,331075858224694,[["kust-sheet1.png",15670,0,0,177,68,1,0.5028248429298401,0.5,[],[],0],["kust-sheet0.png",72393,1,1,222,132,1,0.5315315127372742,0.2651515007019043,[],[],0],["kust-sheet0.png",72393,1,134,141,87,1,0.5035461187362671,0.5057471394538879,[],[-0.432624101638794,-0.3908041417598724,-0.007092118263244629,-0.436781644821167,0.4397158622741699,-0.41379314661026,0.4113478660583496,
0.3563218712806702,-0.007092118263244629,0.3793098330497742,-0.4255319237709045,0.3678158521652222,-0.4609929323196411,-0.01149412989616394],0]]]],[["NoSave",cr.behaviors.NoSave,7332573370610708]],!1,!1,8600283603232224,[],null],["t24",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!1,1,0,!1,7221583879936226,[["muhomor-sheet0.png",66825,0,0,257,255,1,0.5019454956054688,0.4901960790157318,[],[],0]]]],[["NoSave",cr.behaviors.NoSave,7524900801046955]],!1,!1,0x67fa6369450ad,[],null],["t25",cr.plugins_.Sprite,
!1,[],1,0,null,[["Default",5,!1,1,0,!1,5720642276550859,[["juk-sheet0.png",6706,0,0,54,83,1,0.5,0.5060241222381592,[],[],0]]]],[["NoSave",cr.behaviors.NoSave,5483018542793262]],!1,!1,0xfa3fdb6f33c48,[],null],["t26",cr.plugins_.Sprite,!1,[],2,0,null,[["Default",5,!1,1,0,!1,637354389459014,[["bg4-sheet0.png",308590,0,0,1023,356,1,0.5004887580871582,0.5,[],[-0.5004887580871582,-0.5,0.4985332489013672,-0.4971910119056702,0.4995112419128418,0.5,-0.5004887580871582,0.5],0]]]],[["Solid",cr.behaviors.solid,
0xee8b60fc47d54],["NoSave",cr.behaviors.NoSave,6944636688895118]],!1,!1,6976763604909637,[],null],["t27",cr.plugins_.Sprite,!1,[],2,0,null,[["Default",5,!1,1,0,!1,0x42cb5b0873320,[["bgblur-sheet0.png",312208,0,0,1023,356,1,0.5004887580871582,0.5,[],[],0]]]],[["Solid",cr.behaviors.solid,6871226974201486],["NoSave",cr.behaviors.NoSave,31423654122882]],!1,!1,9967509753681804,[],null],["t28",cr.plugins_.Sprite,!1,[0x6d555715c74a7,4727210277698606,7142069404823948],1,0,null,[["Default",9,!0,1,0,!1,0x6d3b66e2c676b,
[["stars-sheet0.png",32892,106,134,119,117,1,0.5042017102241516,0.3247863352298737,[],[-0.1344546973705292,0.08546966314315796,0.1260513067245483,0.1538456678390503,-0.06722772121429443,0.307692676782608],0],["stars-sheet1.png",22594,1,1,107,131,1,0.5046728849411011,0.3969465792179108,[],[-0.1349258720874786,0.01330941915512085,0.1255801320075989,0.08168542385101318,-0.0676988959312439,0.2355324327945709],0],["stars-sheet2.png",30491,109,1,127,106,1,0.5039370059967041,0.2547169923782349,[],[-0.1341899931430817,
0.1555390059947968,0.1263160109519959,0.2239150106906891,-0.06696301698684692,0.3777620196342468],0],["stars-sheet1.png",22594,1,133,119,117,1,0.5042017102241516,0.3247863352298737,[],[-0.1344546973705292,0.08546966314315796,0.1260513067245483,0.1538456678390503,-0.06722772121429443,0.307692676782608],0],["stars-sheet1.png",22594,109,1,107,131,1,0.5046728849411011,0.3969465792179108,[],[-0.1349258720874786,0.01330941915512085,0.1255801320075989,0.08168542385101318,-0.0676988959312439,0.2355324327945709],
0],["stars-sheet0.png",32892,1,1,104,152,1,0.5096153616905212,0.5065789222717285,[],[-0.1398683488368988,-0.0963229238986969,0.1206376552581787,-0.02794691920280457,-0.07264137268066406,0.1259000897407532],0],["stars-sheet0.png",32892,106,1,107,132,1,0.5046728849411011,0.5833333134651184,[],[-0.1349258720874786,-0.1730773150920868,0.1255801320075989,-0.1047013103961945,-0.0676988959312439,0.04914569854736328],0],["stars-sheet2.png",30491,1,1,107,131,1,0.5046728849411011,0.3969465792179108,[],[-0.1349258720874786,
0.01330941915512085,0.1255801320075989,0.08168542385101318,-0.0676988959312439,0.2355324327945709],0],["stars-sheet1.png",22594,121,133,119,117,1,0.5042017102241516,0.3247863352298737,[],[-0.1344546973705292,0.08546966314315796,0.1260513067245483,0.1538456678390503,-0.06722772121429443,0.307692676782608],0],["stars-sheet2.png",30491,109,108,127,106,1,0.5039370059967041,0.2547169923782349,[],[-0.1341899931430817,0.1555390059947968,0.1263160109519959,0.2239150106906891,-0.06696301698684692,0.3777620196342468],
0]]]],[["MoveTo",cr.behaviors.Rex_MoveTo,0xf86c3846b80f8]],!1,!1,5881414006974045,[],null],["t29",cr.plugins_.Sprite,!1,[],2,0,null,[["Default",0,!1,1,0,!1,0xb6b241a9f6cc,[["panel1-sheet1.png",21627,0,0,162,77,1,0.5,0.5064935088157654,[],[-0.5,-0.3246755003929138,0.5,-0.3246755003929138,0.5,0.4935064911842346,-0.5,0.4935064911842346],0],["panel1-sheet0.png",61596,1,1,208,103,1,0.4903846085071564,0.5048543810844421,[],[-0.4903846085071564,-0.242718368768692,0.509615421295166,-0.242718368768692,0.509615421295166,
0.4951456189155579,-0.4903846085071564,0.4951456189155579],0],["panel1-sheet0.png",61596,1,105,164,80,1,0.5,0.5,[],[-0.5,-0.324999988079071,0.5,-0.324999988079071,0.5,0.5,-0.5,0.5],0]]]],[["Jumpthru",cr.behaviors.jumpthru,0xdfd90e5db6ebb],["NoSave",cr.behaviors.NoSave,6317246604816605]],!1,!1,9570984179408332,[],null],["t30",cr.plugins_.Sprite,!1,[],2,0,null,[["Default",0,!1,1,0,!1,5480858126682036,[["panel2-sheet0.png",50230,1,105,157,75,1,0.5031847357749939,0.5066666603088379,[],[-0.5031847357749939,
-0.3199996650218964,0.4968152642250061,-0.3199996650218964,0.4968152642250061,0.4933333396911621,-0.5031847357749939,0.4933333396911621],0],["panel2-sheet0.png",50230,1,1,185,103,1,0.5027027130126953,0.5048543810844421,[],[-0.5027027130126953,-0.3689323663711548,0.4972972869873047,-0.3689323663711548,0.4972972869873047,0.4951456189155579,-0.5027027130126953,0.4951456189155579],0]]]],[["Jumpthru",cr.behaviors.jumpthru,8399673852990947],["NoSave",cr.behaviors.NoSave,6893078656125309]],!1,!1,6687582968638785,
[],null],["t31",cr.plugins_.Sprite,!1,[],2,0,null,[["Default",0,!1,1,0,!1,0xe97993f2a74b6,[["panel3-sheet0.png",73105,1,102,161,74,1,0.5031055808067322,0.5,[],[-0.5031055808067322,-0.3108109831809998,0.4968944191932678,-0.3108109831809998,0.4968944191932678,0.5,-0.5031055808067322,0.5],0],["panel3-sheet0.png",73105,1,1,201,100,1,0.5024875402450562,0.5,[],[-0.5024875402450562,-0.2299999892711639,0.4975124597549439,-0.2299999892711639,0.4975124597549439,0.5,-0.5024875402450562,0.5],0],["panel3-sheet0.png",
73105,1,177,127,69,1,0.5039370059967041,0.5072463750839233,[],[-0.5039370059967041,-0.3043473958969116,0.4960629940032959,-0.3043473958969116,0.4960629940032959,0.4927536249160767,-0.5039370059967041,0.4927536249160767],0]]]],[["Jumpthru",cr.behaviors.jumpthru,0x8d71dbc32d465],["NoSave",cr.behaviors.NoSave,8359025756497264]],!1,!1,426920384810105,[],null],["t32",cr.plugins_.Sprite,!1,[],2,0,null,[["Default",0,!1,1,0,!1,329128684759819,[["panelmove-sheet0.png",74274,1,132,157,75,1,0.5031847357749939,
0.5066666603088379,[],[-0.5031847357749939,-0.3199996650218964,0.4968152642250061,-0.3199996650218964,0.4968152642250061,0.4933333396911621,-0.5031847357749939,0.4933333396911621],0],["panelmove-sheet0.png",74274,1,1,220,130,1,0.5,0.5,[],[-0.395455002784729,-0.323076993227005,0,-0.4615384936332703,0.4363639950752258,-0.3923079967498779,0.4681820273399353,0,0.304544985294342,0.1692309975624085,0,0.3230770230293274,-0.300000011920929,0.1615380048751831,-0.3727270066738129,0],0],["panel2-sheet0.png",
50230,1,1,185,103,1,0.5027027130126953,0.5048543810844421,[],[-0.5027027130126953,-0.3689323663711548,0.4972972869873047,-0.3689323663711548,0.4972972869873047,0.4951456189155579,-0.5027027130126953,0.4951456189155579],0]]]],[["Sine",cr.behaviors.Sin,0xcfbd313a8ab],["Jumpthru",cr.behaviors.jumpthru,0x771eb1628f85c]],!1,!1,98782535340783,[],null],["t33",cr.plugins_.Sprite,!1,[],2,0,null,[["Default",0,!1,1,0,!1,9864612643524504,[["pil-sheet0.png",25944,0,0,1014,770,1,0.4940828382968903,0.43376624584198,
[],[],0]]]],[["Sine",cr.behaviors.Sin,5849778081135077],["NoSave",cr.behaviors.NoSave,6497990186524042]],!1,!1,931794425445878,[],null],["t34",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!1,1,0,!1,6310991936038295,[["gold-sheet0.png",67151,0,0,223,215,1,0.5022421479225159,0.5023255944252014,[],[],0]]]],[["NoSave",cr.behaviors.NoSave,0xf9ae286870e5]],!1,!1,7074222574152943,[],null],["t35",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!1,1,0,!1,9505646681383840,[["gold2-sheet0.png",47127,0,0,
208,197,1,0.5,0.5025380849838257,[],[],0]]]],[["NoSave",cr.behaviors.NoSave,8440367926392104]],!1,!1,5627421486479489,[],null],["t36",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!1,1,0,!1,0x74f0fb4168875,[["rock-sheet0.png",319717,0,0,882,374,1,0.5,0.5,[],[],0]]]],[["NoSave",cr.behaviors.NoSave,0xcd9990ce581f1]],!1,!1,0x401b38142f837,[],null],["t37",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!1,1,0,!1,6325921593852365,[["bater-sheet0.png",36541,0,0,143,156,1,0.503496527671814,0.5,[],[],0]]]],
[["NoSave",cr.behaviors.NoSave,0x7ac155b95a0c2]],!1,!1,7524956289961705,[],null],["t38",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!1,1,0,!1,5506637139458802,[["belay-sheet0.png",81088,0,0,276,244,1,0.5,0.5,[],[],0]]]],[["NoSave",cr.behaviors.NoSave,7290431340754307]],!1,!1,356307160953756,[],null],["t39",cr.plugins_.Sprite,!1,[],2,0,null,[["Default",5,!1,1,0,!1,5025400465397074,[["ulitka-sheet0.png",114495,0,0,383,249,1,0.5013054609298706,0.5020080208778381,[],[],0]]]],[["Zigzag",cr.behaviors.Rex_Zigzag,
6682494099671252],["NoSave",cr.behaviors.NoSave,0xe69554e0b04e0]],!1,!1,4605212561105713,[],null],["t40",cr.plugins_.Sprite,!1,[0x6d555715c74a7,4727210277698606,0x51f89f17026bd],2,0,null,[["Default",9,!0,1,0,!1,0x435d8383a0597,[["grib-sheet1.png",144255,265,1,106,109,1,0.5,0.2752293646335602,[],[-0.3623390197753906,-0.08062736690044403,0.422868013381958,-0.05975036323070526,-0.05901899933815002,0.6624326705932617],0],["grib-sheet0.png",192118,337,251,96,124,1,0.5,0.3629032373428345,[],[-0.3623390197753906,
-0.1683012396097183,0.422868013381958,-0.1474242359399796,-0.05901899933815002,0.574758768081665],0],["grib-sheet1.png",144255,372,111,114,101,1,0.5,0.2178217768669128,[],[-0.3623390197753906,-0.02321977913379669,0.422868013381958,-0.002342775464057922,-0.05901899933815002,0.7198402285575867],0],["grib-sheet1.png",144255,372,1,106,109,1,0.5,0.2752293646335602,[],[-0.3623390197753906,-0.08062736690044403,0.422868013381958,-0.05975036323070526,-0.05901899933815002,0.6624326705932617],0],["grib-sheet0.png",
192118,1,264,96,124,1,0.5,0.3629032373428345,[],[-0.3623390197753906,-0.1683012396097183,0.422868013381958,-0.1474242359399796,-0.05901899933815002,0.574758768081665],0],["grib-sheet0.png",192118,182,1,89,141,1,0.5056179761886597,0.4822694957256317,[],[-0.3679569959640503,-0.2876675128936768,0.4172500371932983,-0.266790509223938,-0.06463697552680969,0.4553925096988678],0],["grib-sheet0.png",192118,98,264,96,124,1,0.5,0.5645161271095276,[],[-0.3623390197753906,-0.3699141144752502,0.422868013381958,
-0.3490371108055115,-0.05901899933815002,0.3731458783149719],0],["grib-sheet0.png",192118,195,360,96,124,1,0.5,0.3629032373428345,[],[-0.3623390197753906,-0.1683012396097183,0.422868013381958,-0.1474242359399796,-0.05901899933815002,0.574758768081665],0],["grib-sheet1.png",144255,265,111,106,109,1,0.5,0.2752293646335602,[],[-0.3623390197753906,-0.08062736690044403,0.422868013381958,-0.05975036323070526,-0.05901899933815002,0.6624326705932617],0],["grib-sheet1.png",144255,1,136,114,101,1,0.5,0.2178217768669128,
[],[-0.3623390197753906,-0.02321977913379669,0.422868013381958,-0.002342775464057922,-0.05901899933815002,0.7198402285575867],0]]],["berry",9,!0,1,0,!1,0xe2173ffdd94f3,[["grib-sheet0.png",192118,1,155,111,108,1,0.5045045018196106,0.2777777910232544,[],[-0.3063064813613892,-0.08333279192447662,0.4504504799842835,0.0925932228565216,-0.3153154850006104,0.6851851940155029],0],["grib-sheet0.png",192118,272,1,99,124,1,0.5050504803657532,0.3629032373428345,[],[-0.3434344828128815,-0.0725802481174469,0.4949495196342468,
0.08064576983451843,-0.3535354733467102,0.5967737436294556],0],["grib-sheet0.png",192118,292,376,117,101,1,0.504273533821106,0.2178217768669128,[],[-0.2905985116958618,-0.08910878002643585,0.4273504614830017,0.09901022911071777,-0.299145519733429,0.7326732277870178],0],["grib-sheet0.png",192118,113,155,111,108,1,0.5045045018196106,0.2777777910232544,[],[-0.3063064813613892,-0.08333279192447662,0.4504504799842835,0.0925932228565216,-0.3153154850006104,0.6851851940155029],0],["grib-sheet0.png",192118,
372,1,99,124,1,0.5050504803657532,0.3629032373428345,[],[-0.3434344828128815,-0.0725802481174469,0.4949495196342468,0.08064576983451843,-0.3535354733467102,0.5967737436294556],0],["grib-sheet0.png",192118,1,1,95,142,1,0.5052631497383118,0.4788732528686523,[],[-0.3578951358795166,-0.06338024139404297,0.4947368502616882,0.07042276859283447,-0.3684211373329163,0.5211267471313477],0],["grib-sheet0.png",192118,272,126,99,124,1,0.5050504803657532,0.5645161271095276,[],[-0.3434344828128815,-0.07258012890815735,
0.4949495196342468,0.0806458592414856,-0.3535354733467102,0.4354838728904724],0],["grib-sheet0.png",192118,372,126,99,124,1,0.5050504803657532,0.3629032373428345,[],[-0.3434344828128815,-0.0725802481174469,0.4949495196342468,0.08064576983451843,-0.3535354733467102,0.5967737436294556],0],["grib-sheet0.png",192118,225,251,111,108,1,0.5045045018196106,0.2777777910232544,[],[-0.3063064813613892,-0.08333279192447662,0.4504504799842835,0.0925932228565216,-0.3153154850006104,0.6851851940155029],0],["grib-sheet0.png",
192118,1,389,117,101,1,0.504273533821106,0.2178217768669128,[],[-0.2905985116958618,-0.08910878002643585,0.4273504614830017,0.09901022911071777,-0.299145519733429,0.7326732277870178],0]]],["carrot",9,!0,1,0,!1,0x4429d336c433d,[["grib-sheet1.png",144255,220,221,94,118,1,0.5,0.3305084705352783,[],[],0],["grib-sheet0.png",192118,410,376,87,134,1,0.5057471394538879,0.4104477465152741,[],[],0],["grib-sheet1.png",144255,116,136,103,108,1,0.5048543810844421,0.2685185074806213,[],[],0],["grib-sheet1.png",
144255,1,238,94,118,1,0.5,0.3305084705352783,[],[],0],["grib-sheet1.png",144255,1,1,87,134,1,0.5057471394538879,0.4104477465152741,[],[],0],["grib-sheet0.png",192118,97,1,84,153,1,0.488095223903656,0.516339898109436,[],[],0],["grib-sheet1.png",144255,177,1,87,133,1,0.5057471394538879,0.5939849615097046,[],[],0],["grib-sheet1.png",144255,89,1,87,134,1,0.5057471394538879,0.4104477465152741,[],[],0],["grib-sheet1.png",144255,96,245,94,118,1,0.5,0.3305084705352783,[],[],0],["grib-sheet1.png",144255,372,
213,103,108,1,0.5048543810844421,0.2685185074806213,[],[],0]]]],[["MoveTo",cr.behaviors.Rex_MoveTo,6252838751305724],["DestroyOutsideLayout",cr.behaviors.destroy,0x76808cac6e813]],!1,!1,6161223923119989,[],null],["t41",cr.plugins_.Sprite,!1,[6555043640021364],1,0,null,[["Default",5,!1,1,0,!1,0xc4eb6764d8d53,[["base-sheet0.png",130,0,0,32,32,1,0.5,0.5,[],[],0]]]],[["Platform",cr.behaviors.Platform,6979198110959022]],!1,!1,7257827266341312,[],null],["t42",cr.plugins_.Sprite,!1,[5584244755853125,8616744316856159,
9243028238324992,7064571933652724,7374420421342588,0x8c7f08e58f312,0x4d385a1d0acee,7154124579114117,0x7005961a22a8b],2,0,null,[["Default",5,!1,1,0,!1,5312902005435503,[["hero-sheet0.png",600567,1,1,273,304,1,0.5018315315246582,0.5,[],[],0]]],["stand",5,!1,1,0,!0,4505881753425481,[["hero-sheet0.png",600567,275,1,273,304,1,0.5018315315246582,0.5,[],[],0],["hero-sheet0.png",600567,549,1,273,304,1,0.5018315315246582,0.5,[],[],0],["hero-sheet0.png",600567,1,306,273,304,2,0.5018315315246582,0.5,[],[],0]]],
["run",6,!0,1,0,!1,7248010760196283,[["hero-sheet0.png",600567,483,625,232,305,1,0.5,0.5016393661499023,[],[],0],["hero-sheet1.png",297387,1,1,232,298,1,0.5,0.5,[],[],0],["hero-sheet0.png",600567,716,625,232,305,1,0.5,0.5016393661499023,[],[],0],["hero-sheet0.png",600567,1,611,241,307,1,0.5020747184753418,0.5016286373138428,[],[],0]]],["jump",4,!1,1,0,!1,7938425424888885,[["hero-sheet0.png",600567,243,611,239,308,1,0.5020920634269714,0.5,[],[],0],["hero-sheet0.png",600567,794,306,204,307,1,0.5,0.5016286373138428,
[],[],0],["hero-sheet1.png",297387,700,1,204,321,1,0.5,0.5015576481819153,[],[],0],["hero-sheet1.png",297387,490,1,209,320,1,0.5023923516273499,0.5,[],[],0]]],["fall",3,!1,1,0,!1,0x4091fce7eeb4e,[["hero-sheet0.png",600567,549,306,244,318,1,0.5,0.5,[],[],0],["hero-sheet0.png",600567,275,306,273,304,1,0.5018315315246582,0.5,[],[],0],["hero-sheet1.png",297387,234,1,255,270,1,0.501960813999176,0.5,[],[],0]]]],[["Flash",cr.behaviors.Flash,9790416558606036],["NoSave",cr.behaviors.NoSave,0xbdfde45123d57]],
!1,!1,8800634197842704,[],null],["t43",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",0,!1,1,0,!1,0xdb210519f84b7,[["bg_-sheet2.png",709885,0,0,2048,280,1,0.5,0.5035714507102966,[],[],0],["bg_-sheet0.png",835693,0,0,2048,497,1,0.5,0.501006007194519,[],[-0.4721679985523224,-0.3863179981708527,0,-0.4265592992305756,0.4633790254592896,-0.3501009941101074,0.5,-0.002012014389038086,0.5,0.498993992805481,-0.5,0.498993992805481,-0.5,-0.002012014389038086],0],["bg_-sheet1.png",646271,0,0,2048,373,1,0.5,0.5013405084609985,
[],[-0.4887860119342804,-0.4396783113479614,-2.439916133880615E-4,-0.4235925078392029,0.4897609949111939,-0.4450401961803436,0.498537003993988,0.490616500377655,-0.5,0.4986594915390015],0]]]],[["NoSave",cr.behaviors.NoSave,9273694867214998]],!1,!1,27720504983262,[],null],["t44",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",0,!1,1,0,!1,8749616664023718,[["bg3-sheet0.png",1012924,1,1,1024,1333,1,9.765625E-4,7.501875516027212E-4,[],[-9.765625E-4,-7.501875516027212E-4,0.9990234375,-7.501875516027212E-4,
0.9980464577674866,0.9984998106956482,4.6566128730773926E-10,0.9984998106956482],0],["bg3-sheet1.png",534957,0,0,1024,1024,1,0,0,[],[],0],["bg3-sheet0.png",1012924,1026,1,1002,1026,1,-0.01297405175864697,9.74658876657486E-4,[],[],0]]]],[["NoSave",cr.behaviors.NoSave,6012608023041258]],!1,!1,0xd3d4170c1b429,[],null],["t45",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!1,1,0,!1,9571751605240288,[["wood-sheet0.png",287944,0,0,410,1200,1,0.5,0.5,[],[0.199999988079071,-0.5,0.4902439713478088,-0.5,0.1951220035552979,
0,-0.007317006587982178,0.4766669869422913,-0.2804880142211914,0.4683330059051514,-0.05365899205207825,0],0]]]],[["NoSave",cr.behaviors.NoSave,5721580567626837]],!1,!1,0x98a7eea933428,[],null],["t46",cr.plugins_.Sprite,!1,[0x6d555715c74a7,4727210277698606,6649433297022167],1,0,null,[["Default",9,!0,1,0,!1,9419129284949840,[["drop-sheet1.png",33408,1,1,94,113,1,0.5106382966041565,0.3097345232963562,[],[0.01063871383666992,-0.1946905255317688,0.2872337102890015,0.4159294962882996,-0.2765952944755554,
0.4159294962882996],0],["drop-sheet1.png",33408,96,115,82,128,1,0.5121951103210449,0.390625,[],[0.009081900119781494,-0.2755810022354126,0.285676896572113,0.3350390195846558,-0.2781521081924439,0.3350390195846558],0],["drop-sheet0.png",33752,79,1,102,105,1,0.5,0.2476190477609634,[],[0.02127701044082642,-0.132575049996376,0.297872006893158,0.4780449867248535,-0.2659569978713989,0.4780449867248535],0],["drop-sheet1.png",33408,96,1,94,113,1,0.5106382966041565,0.3097345232963562,[],[0.01063871383666992,
-0.1946905255317688,0.2872337102890015,0.4159294962882996,-0.2765952944755554,0.4159294962882996],0],["drop-sheet2.png",19087,1,1,82,128,1,0.5121951103210449,0.390625,[],[0.009081900119781494,-0.2755810022354126,0.285676896572113,0.3350390195846558,-0.2781521081924439,0.3350390195846558],0],["drop-sheet0.png",33752,1,1,77,148,1,0.5194805264472961,0.5067567825317383,[],[0.001796483993530273,-0.3917127847671509,0.2783914804458618,0.2189072370529175,-0.2854375243186951,0.2189072370529175],0],["drop-sheet2.png",
19087,84,1,82,128,1,0.5121951103210449,0.5859375,[],[0.009081900119781494,-0.4708935022354126,0.285676896572113,0.1397265195846558,-0.2781521081924439,0.1397265195846558],0],["drop-sheet2.png",19087,167,1,82,128,1,0.5121951103210449,0.390625,[],[0.009081900119781494,-0.2755810022354126,0.285676896572113,0.3350390195846558,-0.2781521081924439,0.3350390195846558],0],["drop-sheet1.png",33408,1,115,94,113,1,0.5106382966041565,0.3097345232963562,[],[0.01063871383666992,-0.1946905255317688,0.2872337102890015,
0.4159294962882996,-0.2765952944755554,0.4159294962882996],0],["drop-sheet0.png",33752,79,107,102,105,1,0.5,0.2476190477609634,[],[0.02127701044082642,-0.132575049996376,0.297872006893158,0.4780449867248535,-0.2659569978713989,0.4780449867248535],0]]]],[["MoveTo",cr.behaviors.Rex_MoveTo,8040907547564292]],!1,!1,698409978986388,[],null],["t47",cr.plugins_.Sprite,!1,[8236349245254077],2,0,null,[["Default",0,!1,1,0,!1,9840147513292794,[["dpad-sheet0.png",125558,1,1,231,256,1,0.5021644830703735,0.5,[],
[-0.5021644830703735,0.5,-0.5021644830703735,-0.5,0.4978355169296265,-0.5,0.4978355169296265,0.5],0],["dpad-sheet0.png",125558,233,1,231,256,1,0.5021644830703735,0.5,[],[-0.5021644830703735,0.5,-0.5021644830703735,-0.5,0.4978355169296265,-0.5,0.4978355169296265,0.5],0]]]],[["NoSave",cr.behaviors.NoSave,0x97f65a9bc85ba],["Anchor",cr.behaviors.Anchor,0xa7bc57aa70aab]],!1,!1,0xca4ee52a2b613,[],null],["t48",cr.plugins_.Sprite,!1,[0x6fc0a093cfdbd],2,0,null,[["Default",0,!1,1,0,!1,0x45d25f80c88b9,[["dpad_b-sheet0.png",
69266,0,0,207,208,1,0.5024154782295227,0.5,[],[],0],["dpad_b-sheet1.png",62312,0,0,207,208,1,0.5024154782295227,0.5,[],[],0]]]],[["NoSave",cr.behaviors.NoSave,0xe3d3818edde97],["Anchor",cr.behaviors.Anchor,0xb623b151854be]],!1,!1,453900232245377,[],null],["t49",cr.plugins_.Keyboard,!1,[],0,0,null,null,[],!1,!1,9315283510630978,[],null,[]],["t50",cr.plugins_.Sprite,!1,[0x7f85a439474b4],1,0,null,[["Default",0,!1,1,0,!1,7408840613988988,[["end-sheet0.png",1189398,441,974,324,358,1,0.4969135820865631,
0.5,[],[-0.3518515825271606,-0.3687149882316589,0.00308641791343689,-0.4916201233863831,0.3395064175128937,-0.351954996585846,0.4753083884716034,0,0.259259432554245,0.2793300151824951,0.00308641791343689,0.3770949840545654,-0.2901235818862915,0.3128489851951599,-0.4783950746059418,0],0],["end-sheet0.png",1189398,1,468,439,392,1,0.6059225797653198,0.875,[],[-0.4328015744686127,-0.6811220049858093,-0.1070615947246552,-0.8469387888908386,0.04328042268753052,-0.4821430146694183,0.05011343955993652,-0.375,
0.2232344150543213,-0.06632697582244873,-0.1070615947246552,0.06377601623535156,-0.4282455742359161,-0.07397997379302979,-0.5968109369277954,-0.375],0],["end-sheet0.png",1189398,516,1,327,579,1,0.5076452493667603,0.49740931391716,[],[-0.3730882406234741,-0.4214162230491638,-0.009174257516860962,0.02936068177223206,-0.04587125778198242,-0.1934373080730438,0.1192657351493835,0.001726686954498291,0.3608567714691162,0.4283246695995331,-0.009174257516860962,0.4680486619472504,-0.3669722676277161,0.4231437146663666,
-0.1681952476501465,0.001726686954498291],0],["end-sheet0.png",1189398,1,1,514,466,1,0.5,0.5,[],[0.2256810069084168,0.1974239945411682,-0.2568089962005615,0.1072959899902344,0.09338498115539551,-0.2703859806060791],0]]],["hedgehog",5,!1,1,0,!0,8665321987635373,[["end-sheet0.png",1189398,766,974,322,356,1,0.5031055808067322,0.5,[],[-0.3602485656738281,-0.3707869946956635,-0.003105580806732178,-0.4943820238113403,0.3354034423828125,-0.3539330065250397,0.4720494151115418,0,0.2546584010124207,0.2808989882469177,
-0.003105580806732178,0.3792139887809753,-0.2981365919113159,0.3146070241928101,-0.4875775873661041,0],0],["end-sheet0.png",1189398,1089,974,322,356,1,0.5031055808067322,0.5,[],[-0.3602485656738281,-0.3707869946956635,-0.003105580806732178,-0.4943820238113403,0.3354034423828125,-0.3539330065250397,0.4720494151115418,0,0.2546584010124207,0.2808989882469177,-0.003105580806732178,0.3792139887809753,-0.2981365919113159,0.3146070241928101,-0.4875775873661041,0],0],["end-sheet0.png",1189398,1412,974,322,
356,1,0.5031055808067322,0.5,[],[-0.3602485656738281,-0.3707869946956635,-0.003105580806732178,-0.4943820238113403,0.3354034423828125,-0.3539330065250397,0.4720494151115418,0,0.2546584010124207,0.2808989882469177,-0.003105580806732178,0.3792139887809753,-0.2981365919113159,0.3146070241928101,-0.4875775873661041,0],0]]],["ant",5,!1,1,0,!0,8157051717308888,[["end-sheet0.png",1189398,441,581,439,392,1,0.5011389255523682,0.5,[],[],0],["end-sheet0.png",1189398,881,581,439,392,1,0.5011389255523682,0.5,
[],[],0],["end-sheet0.png",1189398,1321,581,439,392,1,0.5011389255523682,0.5,[],[],0],["end-sheet0.png",1189398,1,861,439,392,1,0.5011389255523682,0.5,[],[],0]]],["banny",5,!1,1,0,!1,8464405873851047,[["end-sheet0.png",1189398,844,1,327,579,1,0.5015290379524231,0.5008635520935059,[],[],0],["end-sheet0.png",1189398,1172,1,327,579,1,0.5015290379524231,0.5008635520935059,[],[],0],["end-sheet0.png",1189398,1500,1,327,579,1,0.5015290379524231,0.5008635520935059,[],[],0]]]],[["NoSave",cr.behaviors.NoSave,
8601578837040506]],!1,!1,0xcba76d04cca3d,[],null],["t51",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!1,1,0,!1,9324593104897256,[["bigwood-sheet0.png",984663,0,0,765,1145,1,0.5006536245346069,0.5004366636276245,[],[],0]]]],[["NoSave",cr.behaviors.NoSave,0x3c0b2e866cd89]],!1,!1,8067379777912767,[],null],["t52",cr.plugins_.Sprite,!1,[7527254874885777],1,0,null,[["Default",5,!1,1,0,!1,0xb741f9652d1f3,[["water-sheet0.png",106,0,0,32,32,1,0.5,0.5,[],[-0.4963054060935974,-0.4914039969444275,0.496304988861084,
-0.4914039969444275,0.5,0.5,-0.5,0.5],3]]]],[["NoSave",cr.behaviors.NoSave,0x6fd611fa2ff05]],!1,!1,6468603707250401,[],null],["t53",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!1,1,0,!1,6991431364021504,[["lis-sheet0.png",71761,0,0,268,268,1,0.5,0.5,[],[],0]]]],[["NoSave",cr.behaviors.NoSave,9792956385440340]],!1,!1,9929067229789572,[],null],["t54",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!1,1,0,!1,0xa0232ab8bc59d,[["pirat-sheet0.png",205935,0,0,457,305,1,0.5010941028594971,0.5016393661499023,
[],[-0.4048140048980713,-0.3573773503303528,-0.002188116312026978,-0.3245903849601746,0.4026259183883667,-0.3573773503303528,0.4420129060745239,-0.003278374671936035,0.350109875202179,0.2754096388816834,-0.002188116312026978,0.4393446445465088,-0.3413571119308472,0.2590166330337524,-0.4135667979717255,-0.003278374671936035],0]]]],[["NoSave",cr.behaviors.NoSave,4923778732905009]],!1,!1,8913992055584457,[],null],["t55",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,7469117204699333,[["aloe-sheet0.png",
148481,0,0,512,514,1,0.5,0.5,[],[],0]]]],[],!1,!1,0xbf69ff58f34d4,[],null],["t56",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!1,1,0,!1,0x6741471c192ac,[["op-sheet0.png",54073,0,0,269,213,1,0.5018587112426758,0.5023474097251892,[],[],0]]]],[["NoSave",cr.behaviors.NoSave,960594691531986]],!1,!1,0x7dbe02c2efdfb,[],null],["t57",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!1,1,0,!1,7427985780440837,[["murashi-sheet0.png",242396,0,0,539,524,1,0.5009276270866394,0.5,[],[],0]]]],[["NoSave",cr.behaviors.NoSave,
0x4aaca465bd6d1]],!1,!1,0xe46bb38362b,[],null],["t58",cr.plugins_.Sprite,!1,[],2,0,null,[["Default",5,!1,1,0,!1,5732209076341505,[["tuman-sheet0.png",162633,0,0,1960,232,1,0.5,0.5,[],[],0]]]],[["Sine",cr.behaviors.Sin,5762809560854059],["NoSave",cr.behaviors.NoSave,5105217817653786]],!1,!1,5585827831400525,[],null],["t59",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!1,1,0,!1,6672049172963364,[["pen-sheet0.png",149496,0,0,463,272,1,0.5010799169540405,0.5,[],[-0.2462199032306671,-0.06617599725723267,
-0.002159923315048218,-0.4889706075191498,0.373650074005127,-0.2867649793624878,0.4859610795974731,0,0.4989200830459595,0.5,-0.4967602789402008,0.4926469922065735,-0.2678189277648926,0],0]]]],[["NoSave",cr.behaviors.NoSave,7469425014587307]],!1,!1,5761390719013703,[],null],["t60",cr.plugins_.Sprite,!1,[652235962254736],2,0,null,[["Default",5,!1,1,0,!1,604759864831697,[["hudinmenu-sheet0.png",20866,0,0,86,118,1,0.5,0.5,[],[],0]]],["a",2,!1,1,0,!1,7787647666917635,[["hudinmenu-sheet1.png",20866,0,0,
86,118,1,0.5,0.5,[],[],0],["hudinmenu-sheet2.png",19436,0,0,86,118,1,0.5,0.5,[],[],0]]]],[["NoSave",cr.behaviors.NoSave,0xfd40f001b18b7],["Anchor",cr.behaviors.Anchor,6523263260879154]],!1,!1,6252279074102205,[],null],["t61",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",0,!1,1,0,!1,734892520878285,[["hud_0-sheet0.png",58094,1,1,74,181,1,0.3918918967247009,0.5138121843338013,[["Imagepoint 1",0.4054054021835327,0.8287292718887329],["Imagepoint 2",0.3918918967247009,0.187845304608345]],[],0],["hud_0-sheet0.png",
58094,76,1,74,181,1,0.5,0.5027624368667603,[],[-0.3111110031604767,-0.4247807264328003,0,-0.4775330424308777,0.300000011920929,-0.4201936423778534,0.4555559754371643,-0.002762436866760254,0.3444439768791199,0.4330175518989563,0,0.4674205780029297,-0.3444440066814423,0.4330175518989563,-0.4555555880069733,-0.002762436866760254],0],["hud_0-sheet0.png",58094,151,1,74,181,1,0.5,0.5027624368667603,[],[-0.3133330047130585,-0.4258393347263336,-0.006666988134384155,-0.4752899408340454,0.300000011920929,-0.4203448295593262,
0.4599999785423279,-0.002762436866760254,0.3399999737739563,0.4313035607337952,-0.006666988134384155,0.4697645902633667,-0.3400000035762787,0.4313035607337952,-0.4600000083446503,-0.002762436866760254],0]]]],[["NoSave",cr.behaviors.NoSave,6443023005879132]],!1,!1,7524567824957809,[],null],["t62",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",0,!1,1,0,!1,7051506746008627,[["screen1-sheet0.png",605115,0,0,800,600,1,0,0,[],[],0],["screen1-sheet1.png",603319,0,0,800,600,1,0,0,[],[],0],["screen1-sheet2.png",
728053,0,0,800,600,1,0,0,[],[],0],["water-sheet0.png",106,0,0,32,32,1,0,0,[],[],3]]]],[["NoSave",cr.behaviors.NoSave,7438128402817433]],!1,!1,0xef04032356d68,[],null],["t63",cr.plugins_.Text,!1,[8503114173692777],1,0,null,null,[["NoSave",cr.behaviors.NoSave,0xdab1b5af38cfd]],!1,!1,6718082264522919,[],null],["t64",cr.plugins_.Dictionary,!1,[],0,0,null,null,[],!0,!1,5337639401772299,[],null],["t65",cr.plugins_.Particles,!1,[],1,0,["particles.png",1727,0],null,[["NoSave",cr.behaviors.NoSave,0x4e92227428141]],
!1,!1,0x95a9c20608010,[],null],["t66",cr.plugins_.Arr,!1,[],0,0,null,null,[],!0,!1,7489800024632681,[],null],["t67",cr.plugins_.Sprite,!1,[0xe7455b52c4f0c],1,0,null,[["Default",5,!1,1,0,!1,0x427d61d7aefa7,[["a-sheet0.png",35286,0,0,256,134,1,0.4453125,0.5,[],[],0]]]],[["NoSave",cr.behaviors.NoSave,9561104440877016]],!1,!1,9292844650583044,[],null],["t68",cr.plugins_.Text,!1,[0x94173f656e18b],2,0,null,null,[["Fade",cr.behaviors.Fade,0xff595c9c74bc],["NoSave",cr.behaviors.NoSave,0xb06ebc3593e53]],!1,
!0,7285053902978061,[],null],["t69",cr.plugins_.Sprite,!1,[7527254874885777],1,0,null,[["Default",5,!0,1,0,!1,4937429820210652,[["fire-sheet0.png",105370,0,0,527,220,1,0.5009487867355347,0.5,[],[-0.08918377757072449,-0.4272727072238922,0.4155601859092712,0.3227270245552063,-0.4345350861549377,0.3181819915771484],0]]]],[["NoSave",cr.behaviors.NoSave,0xaa0e89bb123cb]],!1,!1,6067730738716543,[],null],["t70",cr.plugins_.Sprite,!1,[7527254874885777],1,0,null,[["Default",5,!1,1,0,!1,8610504348782908,[["spikes-sheet0.png",
146946,0,0,508,355,1,0.5492125749588013,0.6478873491287231,[],[-0.3858275711536408,-0.2985923588275909,-0.1614175736904144,-0.4591543674468994,0.1358264088630676,-0.4366193413734436,0.3307074308395386,-0.1802813410758972,0.3877944350242615,0.1014086604118347,-0.4881893694400787,0.08732366561889648],0]]]],[["NoSave",cr.behaviors.NoSave,0xdf68310e4be5c]],!1,!1,728201592891479,[],null],["t71",cr.plugins_.Sprite,!1,[7527254874885777],1,0,null,[["Default",5,!1,1,0,!1,9910564046985518,[["pautina-sheet0.png",
370456,0,0,492,512,1,0.5121951103210449,0.5234375,[],[],0]]]],[["NoSave",cr.behaviors.NoSave,0x7637adf477dc]],!1,!1,19106218923114,[],null],["t72",cr.plugins_.Sprite,!1,[0x5754c4d5390ec,8243870189077552],1,0,null,[["Default",5,!1,1,0,!1,0x8909960b9ec09,[["x-sheet0.png",535,0,0,32,32,1,0.5,0.5,[],[],0]]]],[["NoSave",cr.behaviors.NoSave,4728474011510477]],!1,!1,0x39c1b3fc90176,[],null],["t73",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!1,1,0,!1,6510854134794547,[["set-sheet0.png",738883,0,0,1024,
768,1,0,0,[],[],0]]]],[["NoSave",cr.behaviors.NoSave,0xb7271f604d4c]],!1,!1,4643029182517376,[],null],["t74",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!1,1,0,!1,0xfb0ed651f6398,[["blackmenu-sheet0.png",187,0,0,32,32,1,0,0,[],[],1]]]],[["NoSave",cr.behaviors.NoSave,0xd98b1a71e684d]],!1,!1,0xcc77bfcd4abd1,[],null],["t75",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!1,1,0,!1,5426946267489285,[["ligth-sheet0.png",403556,0,0,574,1024,1,0.5,0,[],[],0]]]],[["NoSave",cr.behaviors.NoSave,6280043640039984]],
!1,!1,9827679479018548,[],null],["t76",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!1,1,0,!1,9807819609957732,[["bag-sheet0.png",82278,0,0,523,380,1,0.2504779994487763,0.6710526347160339,[],[0.05162501335144043,-0.2131576240062714,0.1778199970722199,-0.3263156414031982,0.6042070388793945,-0.6236842274665833,0.5219889879226685,-0.2315786480903626,0.3671130239963532,-0.1631576418876648,0.1778199970722199,0.0868423581123352,0.06501001119613647,-0.2315786480903626],0]]]],[["NoSave",cr.behaviors.NoSave,
0x815f715010547]],!1,!1,6348539197357316,[],null],["t77",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!1,1,0,!1,6431026672037529,[["chery-sheet0.png",21633,0,0,117,112,1,0.504273533821106,0.5,[],[-0.3333335518836975,-0.3214290142059326,-0.008547544479370117,-0.4821428954601288,0.3333334922790527,-0.3303570151329041,0.4786324501037598,0,0.3418804407119751,0.3392860293388367,-0.008547544479370117,0.482142984867096,-0.3675215244293213,0.357142984867096,-0.4871795475482941,0],0]]]],[["NoSave",cr.behaviors.NoSave,
4893959934628965]],!1,!1,8431723463494827,[],null],["t78",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!1,1,0,!1,6911872864447556,[["chery2-sheet0.png",62238,0,0,312,171,1,0.5,0.5029239654541016,[],[-0.08333298563957214,0.2573100328445435,0,-0.3801169693470001,0.4166669845581055,-0.3508769869804382,0.4487180113792419,-0.005847960710525513,0.4487180113792419,0.4035090208053589,0,0.4619880318641663,-0.4583333134651184,0.4210530519485474,-0.1089740097522736,-0.005847960710525513],0]]]],[["NoSave",
cr.behaviors.NoSave,7136374047547644]],!1,!1,6257189286750528,[],null],["t79",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!1,1,0,!1,7188278860775228,[["dino-sheet0.png",385637,0,0,767,551,1,0.5006518959999084,0.5009074211120605,[],[-0.336375892162323,-0.2722324132919312,-0.001303881406784058,-0.4174228310585022,0.3024771213531494,-0.2268604338169098,0.3728811144828796,-0.001814424991607666,0.4106910824775696,0.3756805658340454,-0.001303881406784058,0.4264975786209106,-0.3207299113273621,0.2486385703086853,
-0.4641459882259369,-0.001814424991607666],0]]]],[["NoSave",cr.behaviors.NoSave,0x74b596806f553]],!1,!1,0xd4b2bb29cf619,[],null],["t80",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!1,1,0,!1,5842708751680476,[["g-sheet0.png",647656,0,0,869,836,1,0.5005753636360168,0.5,[],[-0.001150369644165039,-0.4198564887046814,0.4257766604423523,-0.4234449863433838,0.2439586520195007,0,0.3498276472091675,0.3444979786872864,-0.001150369644165039,0.5,-0.1277333498001099,0.1124399900436401,-0.4879171550273895,
0],0]]]],[["NoSave",cr.behaviors.NoSave,6529932739388469]],!1,!1,7934985046671005,[],null],["t81",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!1,1,0,!1,7314102298906513,[["list-sheet0.png",83030,0,0,319,194,1,0.5015674233436584,0.5,[],[-0.4106583297252655,-0.3505150079727173,0.4420065879821777,-0.407216489315033,0.4326015710830689,0,0.3197495937347412,0.2061859965324402,-0.003134429454803467,0.4587630033493042,-0.3761754035949707,0.2938140034675598,-0.4733542203903198,0],0]]]],[["NoSave",cr.behaviors.NoSave,
0x69e7c5b46a67b]],!1,!1,8955893384445058,[],null],["t82",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!1,1,0,!1,0x69d7e69a444db,[["list2-sheet0.png",45126,0,0,264,180,1,0.5,0.5,[],[-0.2537879943847656,-0.1388890147209168,0,-0.1111110150814056,0.3560609817504883,-0.2888889908790588,0.3712120056152344,0,0.3446969985961914,0.2722219824790955,0,0.449999988079071,-0.4318181872367859,0.3999999761581421,-0.3901520073413849,0],0]]]],[["NoSave",cr.behaviors.NoSave,6921361596500197]],!1,!1,4825935483909825,
[],null],["t83",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!1,1,0,!1,8915995214801654,[["list3-sheet0.png",61207,0,0,462,141,1,0.5,0.5035461187362671,[],[-0.4242424070835114,-0.2553191184997559,0,-0.4184397161006928,0.4523810148239136,-0.347518116235733,0.3701300024986267,-0.007092118263244629,0.3614720106124878,0.0425528883934021,0,0.4255318641662598,-0.3354980051517487,-0.0425531268119812,-0.4956710040569305,-0.007092118263244629],0]]]],[["NoSave",cr.behaviors.NoSave,0xfeabc8d1056bb]],!1,!1,
8764989794810464,[],null],["t84",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!1,1,0,!1,9268490588094172,[["list4-sheet0.png",63632,0,0,459,203,1,0.501089334487915,0.5024630427360535,[],[-0.4509804248809815,-0.3891630470752716,-0.002178341150283814,-0.2216750383377075,0.2592596411705017,0.03940898180007935,0.08714568614959717,-0.004926055669784546,0.3965146541595459,0.2660099864006043,-0.002178341150283814,0.4137929677963257,-0.3093683123588562,0.06403893232345581],0]]]],[["NoSave",cr.behaviors.NoSave,
0x3d0a3c609a68b]],!1,!1,0x617d18e32d345,[],null],["t85",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!1,1,0,!1,7564729075181053,[["list5-sheet0.png",76100,0,0,335,201,1,0.5014925599098206,0.5024875402450562,[],[-0.4059701561927795,-0.3432835340499878,0.4328354597091675,-0.3930345475673676,0.4029854536056519,-0.00497552752494812,0.3074624538421631,0.1791044473648071,-0.002985566854476929,0.4328354597091675,-0.3671645522117615,0.2736314535140991,-0.4567164480686188,-0.00497552752494812],0]]]],[["NoSave",
cr.behaviors.NoSave,409560995759639]],!1,!1,9843286557932208,[],null],["t86",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!1,1,0,!1,8762187789407911,[["list7-sheet0.png",47582,0,0,257,146,1,0.5019454956054688,0.5,[],[-0.4824901819229126,-0.4657534062862396,-0.003891497850418091,-0.2876709997653961,0.3774315118789673,-0.2876709997653961,0.478599488735199,0,0.3112844824790955,0.1712329983711243,-0.003891497850418091,0.4246580004692078,-0.3696494996547699,0.2671229839324951,-0.4007785022258759,0],
0]]]],[["NoSave",cr.behaviors.NoSave,7819176531670672]],!1,!1,0x7ffb1faea7799,[],null],["t87",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!1,1,0,!1,372243977175497,[["list8-sheet0.png",47445,0,0,220,201,1,0.5,0.5024875402450562,[],[-0.3590909838676453,-0.3482585549354553,0,-0.09950253367424011,0.3999999761581421,-0.00497552752494812,0.4590910077095032,0.4527364373207092,0,0.4228854775428772,-0.304544985294342,0.2835824489593506,-0.4727272987365723,-0.00497552752494812],0]]]],[["NoSave",cr.behaviors.NoSave,
9346647508597092]],!1,!1,664982789987895,[],null],["t88",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!1,1,0,!1,4752127698976928,[["list10-sheet0.png",61796,0,0,464,129,1,0.5,0.5038759708404541,[],[-0.4288792908191681,-0.2480619847774506,0,-0.4341085553169251,0.4568970203399658,-0.3488369584083557,0.3685349822044373,0.02325600385665894,0,0.4883720278739929,-0.346983015537262,-0.05426397919654846,-0.4892241060733795,-0.007751971483230591],0]]]],[["NoSave",cr.behaviors.NoSave,9916505420127224]],
!1,!1,4870387498284222,[],null],["t89",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!1,1,0,!1,6498460879046627,[["m-sheet0.png",16608,0,0,76,134,1,0.5,0.5,[],[-0.2763159871101379,-0.3731340169906616,0,-0.3059700131416321,0.3947370052337647,0,0.3289470076560974,0.4029849767684937,0,0.2910450100898743,0,0.2164180278778076,-0.1973679959774017,0],0]]]],[["NoSave",cr.behaviors.NoSave,0x840c9dbc40cdf]],!1,!1,0xd3993439012d2,[],null],["t90",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!1,1,0,!1,0xbbe0e0272f9c2,
[["m2-sheet0.png",22992,0,0,107,141,1,0.5046728849411011,0.5035461187362671,[],[-0.2429908812046051,-0.3049641251564026,-0.0093458890914917,-0.3687941133975983,0.3177571296691895,-0.3687941133975983,0.2710281014442444,-0.007092118263244629,-0.0093458890914917,0.3546099066734314,-0.3177568912506104,0.3546099066734314,-0.224298894405365,-0.007092118263244629],0]]]],[["NoSave",cr.behaviors.NoSave,6150464183846277]],!1,!1,5090359745254983,[],null],["t91",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",
5,!1,1,0,!1,8459822988114328,[["m3-sheet0.png",33247,0,0,132,180,1,0.5,0.5,[],[-0.2196969985961914,-0.2944439947605133,0,-0.2888889908790588,0.1666669845581055,-0.2555559873580933,0.2575759887695313,0.3222219944000244,0,0.4222220182418823,-0.2424240112304688,0.3111109733581543],0]]]],[["NoSave",cr.behaviors.NoSave,9994333943651286]],!1,!1,6686604008012871,[],null],["t92",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!1,1,0,!1,6096580190389379,[["p-sheet0.png",221334,0,0,393,582,1,0.5012722611427307,
0.5,[],[-0.05597925186157227,-0.1993130147457123,-0.002544254064559937,-0.4793814122676849,0.3511447310447693,-0.4003435969352722,0.2569977641105652,0,0.2875317335128784,0.3573880195617676,-0.002544254064559937,0.5,-0.3180662393569946,0.3762890100479126,-0.2620862722396851,0],0]]]],[["NoSave",cr.behaviors.NoSave,7445474456673574]],!1,!1,0xaa595c4513cb9,[],null],["t93",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!1,1,0,!1,5861380609754048,[["p2-sheet0.png",76076,0,0,215,437,1,0.5023255944252014,
0.5011441707611084,[],[-0.1162796020507813,-0.3112131655216217,-0.00465160608291626,-0.4462242722511292,0.1116273999214172,-0.3112131655216217,0.413953423500061,-0.002288162708282471,0.3209304213523865,0.4118988513946533,-0.00465160608291626,0.4988558292388916,-0.3209306001663208,0.4096108078956604,-0.3302325904369354,-0.002288162708282471],0]]]],[["NoSave",cr.behaviors.NoSave,0xdc2299547a985]],!1,!1,4712363369946467,[],null],["t94",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!1,1,0,!1,8950150540418361,
[["tower-sheet0.png",1147257,0,0,685,1382,1,0.5007299184799194,0.5,[],[],0]]]],[["NoSave",cr.behaviors.NoSave,0xa8d28cb988e99]],!1,!1,0xad9192b7a62f3,[],null],["t95",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!1,1,0,!1,0xa92a273e4dbe7,[["tower2-sheet0.png",818139,0,0,494,1384,1,0.5,0.5,[],[-0.4716598987579346,-0.4898844063282013,0.4676110148429871,-0.488439291715622,0.2995949983596802,0,0.4595140218734741,0.4855489730834961,0,0.5,-0.3259109854698181,0.4378610253334045,-0.3238869905471802,0],
0]]]],[["NoSave",cr.behaviors.NoSave,5792913203885099]],!1,!1,6618898659267502,[],null],["t96",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",0,!1,1,0,!1,5336363469026535,[["screen2-sheet0.png",1107996,0,0,1024,768,1,0,0,[],[],1],["water-sheet0.png",106,0,0,32,32,1,0,0,[],[],3]]]],[["NoSave",cr.behaviors.NoSave,0x8dfb91bdd123d]],!1,!1,6957761290676706,[],null],["t97",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!1,1,0,!1,0x502e5220d3a44,[["loading-sheet0.png",974855,0,0,800,600,1,0,0,[],[],1]]]],
[["NoSave",cr.behaviors.NoSave,6165254460545005]],!1,!0,8317798637867429,[],null],["t98",cr.plugins_.TiledBg,!1,[],1,0,["tiledbackground.png",258,0],null,[["NoSave",cr.behaviors.NoSave,9297341721148548]],!1,!0,0xecb9e8f1cfa1b,[],null],["t99",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!1,1,0,!1,7964744249024635,[["babochka_-sheet0.png",45831,0,0,166,217,1,0.5,0.4884792566299439,[],[-0.02409601211547852,-0.1520732641220093,0,-0.2304142713546753,0.2951809763908386,-0.3594472408294678,0.4096390008926392,
-2.682209014892578E-7,0.373494029045105,0.4193547368049622,0,0.4930877685546875,-0.2349399924278259,0.3133637309074402,-0.4638553857803345,-2.682209014892578E-7],0]]]],[["NoSave",cr.behaviors.NoSave,9555762788049386]],!1,!1,6861982817994984,[],null],["t100",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!1,1,0,!1,5290463176106846,[["cvetok_-sheet0.png",108319,0,0,414,582,1,0.5,0.4982817769050598,[],[-0.3526570200920105,-0.3865977823734283,-0.002415001392364502,-0.4845360815525055,-0.009662002325057983,
-0.1305837631225586,0.05072498321533203,2.086162567138672E-7,0.03623199462890625,0.1632302403450012,-0.002415001392364502,0.2542952299118042,-0.04106301069259644,0.1649482250213623,-0.03140100836753845,2.086162567138672E-7],0]]]],[["NoSave",cr.behaviors.NoSave,0x73d2f3e6e1805]],!1,!1,351022337577598,[],null],["t101",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!1,1,0,!1,0xb06738dad2d7,[["cvetok_2-sheet0.png",181273,0,0,392,694,1,0.5025510191917419,0.4942363202571869,[],[-0.3367350101470947,-0.410662829875946,
-0.002551019191741943,-0.4466859102249146,0.2831629514694214,-0.3818443119525909,0.04591798782348633,-3.278255462646484E-7,0.1198979616165161,0.2896256744861603,-0.002551019191741943,0.350143700838089,-0.1045920252799988,0.2795386612415314,-0.002551019191741943,-3.278255462646484E-7],0]]]],[["NoSave",cr.behaviors.NoSave,6661187026868116]],!1,!1,0x8b2c62785d4e6,[],null],["t102",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!1,1,0,!1,0xccc6ab59f81e6,[["cvetok_3-sheet0.png",53658,0,0,315,198,1,0.5047619342803955,
0.5,[],[-0.3174599409103394,-0.202019989490509,-0.003174960613250732,-0.4393939077854157,0.2984130382537842,-0.1767680048942566,0.361905038356781,0,0.4539680480957031,0.4242420196533203,-0.003174960613250732,0.494949996471405,-0.3904759287834168,0.3181819915771484,-0.4761905372142792,0],0]]]],[["NoSave",cr.behaviors.NoSave,534917604044947]],!1,!1,0xaf6fa802eb0ef,[],null],["t103",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!1,1,0,!1,9169274042302584,[["cvetok_4-sheet0.png",179011,0,0,600,322,1,
0.5,0.4937888085842133,[],[-0.288332998752594,-0.1149068176746368,0,-0.236024796962738,0.2933329939842224,-0.1242237985134125,0.4366670250892639,0.3881991803646088,0,0.3167701661586762,-0.4783332943916321,0.4658381640911102,-0.3700000047683716,-0.003105819225311279],0]]]],[["NoSave",cr.behaviors.NoSave,7950204353415779]],!1,!1,5576722383920327,[],null],["t104",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!1,1,0,!1,915645890073219,[["cvetok_5-sheet0.png",115595,0,0,379,202,1,0.5013192892074585,
0.4950495064258575,[],[-0.335092306137085,-0.1980195045471191,-0.002638280391693115,-0.3217824995517731,0.467018723487854,-0.004950493574142456,0.422163724899292,0.3613865077495575,-0.002638280391693115,0.4702974855899811,-0.4591028988361359,0.4257424771785736,-0.4643799960613251,-0.004950493574142456],0]]]],[["NoSave",cr.behaviors.NoSave,9208489467421344]],!1,!1,0x868b177a413fa,[],null],["t105",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!1,1,0,!1,405313692256933,[["cvetok_6-sheet0.png",125856,
0,0,457,247,1,0.4945295453071594,0.4939271211624146,[],[-0.2778995633125305,-0.08906912803649902,4.470348358154297E-7,-0.2186231315135956,0.4617064595222473,-0.00404810905456543,0.4748354554176331,0.4493928551673889,4.470348358154297E-7,0.3724699020385742,-0.4595186412334442,0.421052873134613,-0.2932165265083313,-0.00404810905456543],0]]]],[["NoSave",cr.behaviors.NoSave,0xc3e210d1538b7]],!1,!1,6422517858918552,[],null],["t106",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!1,1,0,!1,0x72310885630a0,
[["derevo_-sheet0.png",239998,0,0,222,1502,1,0.4909909963607788,0.5,[],[-0.477477490901947,-0.4906790852546692,-0.004505008459091187,-0.3988019824028015,-0.009009003639221191,-0.4194406867027283,0.1576579809188843,0,0.4954950213432312,0.4940080046653748,-0.004505008459091187,0.4993339776992798,-0.2747749984264374,0],0]]]],[["NoSave",cr.behaviors.NoSave,7124911247518472]],!1,!1,5869650651490832,[],null],["t107",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!1,1,0,!1,7197823180744248,[["derevo_2-sheet0.png",
421068,0,0,295,1502,1,0.501694917678833,0.5,[],[-0.13559290766716,-0.426098495721817,-0.003389924764633179,-0.4993342161178589,0.4949150681495667,-0.4973368942737579,0.1627120971679688,0.4320909976959229,-0.003389924764633179,0.4993339776992798,-0.498305082321167,0.4973369836807251],0]]]],[["NoSave",cr.behaviors.NoSave,0x7d55fcdb82709]],!1,!1,0x510803e4911b0,[],null],["t108",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!1,1,0,!1,6774860872135649,[["derevo_3-sheet0.png",659261,0,0,444,1500,1,0.5,
0.5,[],[-0.4887386858463287,-0.4966666698455811,0.4594590067863464,-0.4880000054836273,0.4572070240974426,0,0.4144139885902405,0.4746670126914978,0,0.5,-0.4617117047309876,0.4886670112609863],0]]]],[["NoSave",cr.behaviors.NoSave,894409014611764]],!1,!1,8176174311375233,[],null],["t109",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!1,1,0,!1,9670177970451144,[["dom_-sheet0.png",79842,0,0,268,234,1,0.503731369972229,0.504273533821106,[],[-0.3582093715667725,-0.3376065492630005,-0.003731369972229004,
-0.3931625485420227,0.3059706091880798,-0.2820515334606171,0.4216416478157044,4.76837158203125E-7,0.3656716346740723,0.3504274487495422,-0.003731369972229004,0.4102564454078674,-0.3694033622741699,0.3504274487495422,-0.4253731667995453,4.76837158203125E-7],0]]]],[["NoSave",cr.behaviors.NoSave,493011728052424]],!1,!1,5597891446270402,[],null],["t110",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!1,1,0,!1,9738927015501744,[["dom_2-sheet0.png",137759,0,0,362,316,1,0.5027624368667603,0.5,[],[-0.3176794350147247,
-0.2658230066299439,-4.172325134277344E-7,-0.3829109966754913,0.3563535809516907,-0.3101270198822022,0.4171275496482849,0,0.3674035668373108,0.3227850198745728,-4.172325134277344E-7,0.4177219867706299,-0.3729284405708313,0.3291140198707581,-0.4226519465446472,0],0]]]],[["NoSave",cr.behaviors.NoSave,5997684271525087]],!1,!1,0x5001c54f125f9,[],null],["t111",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!1,1,0,!1,0x90da82f2cfc64,[["kamen_-sheet0.png",264836,0,0,982,213,1,0.5,0.4882629215717316,[],
[-0.4348269104957581,-0.2206569314002991,0,-0.4835680723190308,0.3584520220756531,0.1314550936222076,0.3798369765281677,-0.004694908857345581,0.4959269762039185,0.4976520836353302,0,0.4976520836353302,-0.4562118053436279,0.3145540654659271,-0.4623217880725861,-0.004694908857345581],0]]]],[["NoSave",cr.behaviors.NoSave,5881104265360498]],!1,!1,0x4b51ac5e4fc47,[],null],["t112",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",0,!1,1,0,!1,5792600810098223,[["oblako_-sheet0.png",1320704,1,1,2011,568,1,1,
1,[],[-0.8836399912834167,-0.5686619877815247,-0.5027350187301636,-0.8521130084991455,-0.1079069972038269,-0.6179580092430115,-0.05370497703552246,-0.5,-4.96983528137207E-4,-0.001761019229888916,-0.5027350187301636,-0.0299299955368042,-0.9706614017486572,-0.1232389807701111],0],["oblako_-sheet0.png",1320704,1,570,1248,446,1,1,1,[],[],0],["oblako_-sheet0.png",1320704,620,1090,902,237,1,1,1,[],[],0],["oblako_-sheet0.png",1320704,1,1017,618,488,1,1,1,[],[],0],["oblako_-sheet0.png",1320704,1250,570,719,
519,1,1,1,[],[],0]]]],[["NoSave",cr.behaviors.NoSave,6421470517177016]],!1,!1,0x41d3d691813e0,[],null],["t113",cr.plugins_.Sprite,!1,[],3,0,null,[["Default",5,!1,1,0,!1,0x768289833f525,[["oduvan-sheet0.png",37350,0,0,197,216,1,0.4974619150161743,0.5138888955116272,[],[],0]]]],[["Sine",cr.behaviors.Sin,39930218752067],["DestroyOutsideLayout",cr.behaviors.destroy,0x769768fd27c74],["NoSave",cr.behaviors.NoSave,6754413727995256]],!1,!1,6923300519733886,[],null],["t114",cr.plugins_.Sprite,!1,[],1,0,null,
[["Default",5,!1,1,0,!1,0xa9571308e0ee6,[["ygoda_-sheet0.png",28449,0,0,132,134,1,0.5,0.4925373196601868,[],[-0.3333330154418945,-0.3507463335990906,0,-0.4701492190361023,0.3257579803466797,-0.3432833254337311,0.4696969985961914,-0.00746232271194458,0.3106060028076172,0.3208956718444824,0,0.4776116609573364,-0.3560609817504883,0.365671694278717,-0.4772726893424988,-0.00746232271194458],0]]]],[["NoSave",cr.behaviors.NoSave,9827426649119180]],!1,!1,6086279544036811,[],null],["t115",cr.plugins_.Sprite,
!1,[],1,0,null,[["Default",5,!1,1,0,!1,0xe7614be52ccbc,[["ygoda_2-sheet0.png",26688,0,0,148,126,1,0.5,0.4920634925365448,[],[-0.3716219961643219,-0.3571425080299377,0,-0.4285714030265808,0.2972970008850098,-0.2698414921760559,0.4729729890823364,-5.066394805908203E-7,0.3851349949836731,0.3730154931545258,0,0.484126478433609,-0.3581079840660095,0.3412695229053497,-0.4729729890823364,-5.066394805908203E-7],0]]]],[["NoSave",cr.behaviors.NoSave,9382138114080206]],!1,!1,0xfa88464f36e42,[],null],["t116",
cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!1,1,0,!1,0xda888fbe0acac,[["ygoda_3-sheet0.png",25939,0,0,137,118,1,0.5036496520042419,0.5,[],[-0.3357666730880737,-0.3050850033760071,3.576278686523438E-7,-0.4745762944221497,0.3357663750648499,-0.3050850033760071,0.4525543451309204,0,0.3941603302955627,0.3728809952735901,3.576278686523438E-7,0.4745759963989258,-0.4087591469287872,0.389831006526947,-0.4671533405780792,0],0]]]],[["NoSave",cr.behaviors.NoSave,8758585621485541]],!1,!1,0xabdf27e1dd67c,
[],null],["t117",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",0,!1,1,0,!1,0x7afc79c7935b9,[["screen3-sheet0.png",905308,0,0,1024,768,1,0,0,[],[],1],["water-sheet0.png",106,0,0,32,32,1,0,0,[],[],3]]]],[["NoSave",cr.behaviors.NoSave,7695117851692973]],!1,!1,0xa1e1edcd71933,[],null],["t118",cr.plugins_.Particles,!1,[],1,0,["particles2.png",6791,0],null,[["NoSave",cr.behaviors.NoSave,5541194632074003]],!1,!1,8891161088455323,[],null],["t119",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",0,!1,1,0,!1,
0x5635eba04bfd0,[["screen4-sheet0.png",1044243,1,1,1024,768,1,0,0,[],[],0],["screen4-sheet0.png",1044243,1,770,1024,768,1,0,0,[],[],0],["water-sheet0.png",106,0,0,32,32,1,0,0,[],[],3]]]],[["NoSave",cr.behaviors.NoSave,704781408109538]],!1,!1,0xd4f98ac4b2496,[],null],["t120",cr.plugins_.Particles,!1,[],1,0,["particles3.png",543,0],null,[["NoSave",cr.behaviors.NoSave,0xf9ae6f03f24b3]],!1,!1,4839943565455586,[],null],["t121",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!1,1,0,!1,6117515762048066,
[["arrowsub-sheet0.png",15914,0,0,128,128,1,0.5,0.5,[],[],0]]]],[["NoSave",cr.behaviors.NoSave,8938652625761689]],!1,!1,8302907116597721,[],null],["t122",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!1,1,0,!1,9676156285301124,[["tile-sheet0.png",272508,0,0,761,575,1,0.7122207880020142,0.4608695507049561,[],[],0]]]],[["NoSave",cr.behaviors.NoSave,9769699343673204]],!1,!1,5897702278785841,[],null],["t123",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!1,1,0,!1,0xf637a5b44b1e6,[["tile2-sheet0.png",
258039,0,0,681,553,1,0.3641703426837921,0.5009041428565979,[],[],0]]]],[["NoSave",cr.behaviors.NoSave,0x63fdbf7ccece0]],!1,!1,0xf48b481120ac3,[],null],["t124",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!1,1,0,!1,9901754171907212,[["tile3-sheet0.png",63162,0,0,340,323,1,0.5,0.5015479922294617,[],[],0]]]],[["NoSave",cr.behaviors.NoSave,0xd8cec5cb58a81]],!1,!1,8561852499852792,[],null],["t125",cr.plugins_.Sprite,!1,[7527254874885777],2,0,null,[["Default",5,!0,1,0,!1,0x3fd12ca38bbaf,[["fire2-sheet0.png",
107127,0,0,527,220,1,0.5009487867355347,0.5,[],[-0.08918377757072449,-0.4272727072238922,0.4155601859092712,0.3227270245552063,-0.4345350861549377,0.3181819915771484],0]]]],[["NoSave",cr.behaviors.NoSave,7129394215825889],["Sine",cr.behaviors.Sin,9698660053722638]],!1,!1,0x594b7805e5dd8,[],null],["t126",cr.plugins_.rojo_spritesheet,!1,[0x6d70752b49b08],0,0,["spritesheet.png",20664,0],null,[],!1,!1,629315756487007,[],null],["t127",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!1,1,0,!1,4949485217751034,
[["l-sheet0.png",134836,0,0,487,540,1,0.6242299675941467,0.4703703820705414,[],[-0.4291579723358154,-0.2888893783092499,-0.002052962779998779,0.1055556237697601,-0.01231998205184937,0.1074075996875763,-0.01231998205184937,-0.001851379871368408,0.3737170100212097,0.2388885915279388,-0.002052962779998779,0.3759256303310394,-0.1991789638996124,0.07962962985038757,-0.2299789786338806,-0.001851379871368408],0]]]],[["NoSave",cr.behaviors.NoSave,9378249592777496]],!1,!1,0x6921924ceac0,[],null],["t128",cr.plugins_.Sprite,
!1,[],1,0,null,[["Default",5,!1,1,0,!1,5133078951987039,[["lf-sheet0.png",120728,0,0,440,496,1,0.4340909123420715,0.4233871102333069,[],[0.0818181037902832,-1.192092895507813E-7,-0.002272903919219971,0.1733868718147278,0.3204540610313416,-0.3588710129261017,0.3204540610313416,-1.192092895507813E-7,0.2113640904426575,0.2620968818664551,-0.002272903919219971,0.4657258987426758,-0.4318181872367859,0.4556449055671692,0.0818181037902832,-1.192092895507813E-7],0]]]],[["NoSave",cr.behaviors.NoSave,456143723073909]],
!1,!1,5992265253495808,[],null],["t129",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!1,1,0,!1,0x3ad5659dab798,[["m4-sheet0.png",69608,0,0,484,191,1,0.4173553586006165,0.3141361176967621,[],[-0.3450412750244141,-0.2356021106243134,-0.002066344022750855,-0.1832461208105087,0.3409086465835571,-0.2303665280342102,0.580578625202179,-1.192092895507813E-7,0.3698346614837647,0.303664892911911,-0.3904958665370941,0.3507848680019379,-0.4152892529964447,-1.192092895507813E-7],0]]]],[["NoSave",cr.behaviors.NoSave,
6991282991891629]],!1,!1,8679130758420974,[],null],["t130",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!1,1,0,!1,0x8cc40908f9482,[["ulitka2-sheet0.png",106790,0,0,297,312,1,0.5151515007019043,0.5064102411270142,[],[-0.3131315112113953,-0.3301282525062561,-0.003367483615875244,-0.4807692468166351,0.2996634840965271,-0.3205132484436035,0.4680135250091553,-2.384185791015625E-7,0.292929470539093,0.3141027688980103,-0.003367483615875244,0.4743587374687195,-0.3804714977741242,0.3942307829856873,-0.4713805019855499,
-2.384185791015625E-7],0]]]],[["NoSave",cr.behaviors.NoSave,9289799653531218]],!1,!1,0xf6b73b58301e7,[],null],["t131",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!1,1,0,!1,4567852471982066,[["water2-sheet0.png",60132,0,0,484,428,1,0.6384297609329224,0.5841121673583984,[],[-0.5557851791381836,-0.4859813749790192,2.384185791015625E-7,-0.5373831987380981,0.3595042228698731,-0.2640191614627838,0.3595042228698731,0.2640188336372376,2.384185791015625E-7,0.4135518074035645,-0.4917357563972473,0.4135518074035645,
-0.6363636255264282,-1.788139343261719E-7],0]]]],[["NoSave",cr.behaviors.NoSave,0xccaef9d17f437]],!1,!1,0xeee7b7e24e417,[],null],["t132",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!1,1,0,!1,0x6f758953b2c82,[["water3-sheet0.png",28244,0,0,272,398,1,0.481617659330368,0.5929648280143738,[],[-0.4705882668495178,-0.4221108257770538,3.278255462646484E-7,-0.5854271054267883,0.5147063732147217,-0.452260822057724,0.5147063732147217,1.788139343261719E-7,0.4448533356189728,0.404522180557251,3.278255462646484E-7,
0.3668341636657715,-0.1985296607017517,0.2361811995506287],0]]]],[["NoSave",cr.behaviors.NoSave,8519064334720965]],!1,!1,0xd7f4967bf275d,[],null],["t133",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!1,1,0,!1,7910267743945469,[["water4-sheet0.png",40042,0,0,285,408,1,0.6701754331588745,0.5686274766921997,[],[-0.6000000238418579,-0.5073529481887817,-0.003508448600769043,-0.4901960790157318,0.3052635788917542,-0.3039214909076691,0.2245615720748901,-4.76837158203125E-7,0.1543855667114258,0.1985295414924622,
-0.003508448600769043,0.3382354974746704,-0.4877194166183472,0.4289215207099915,-0.6666666865348816,-4.76837158203125E-7],0]]]],[["NoSave",cr.behaviors.NoSave,0xf1f9c055e110e]],!1,!1,8628714170148787,[],null],["t134",cr.plugins_.Sprite,!1,[],2,0,null,[["Default",5,!1,1,0,!1,0x7c13ac7581261,[["bukaha-sheet0.png",32864,0,0,436,356,1,0.5,0.5,[],[],0]]]],[["NoSave",cr.behaviors.NoSave,9511181761138446],["Sine",cr.behaviors.Sin,5574296433365313]],!1,!1,9782377229547392,[],null],["t135",cr.plugins_.Sprite,
!1,[],0,0,null,[["Default",0,!1,1,0,!1,5847933839745502,[["bird-sheet0.png",52228,1,1,196,123,1,0.5,1,[],[],0]]],["bird",5,!1,1,0,!1,0x65c18c8044afd,[["bird-sheet0.png",52228,1,125,196,123,1,0.5,1,[],[],0],["bird-sheet1.png",52156,1,1,196,123,1,0.5,1,[],[],0],["bird-sheet1.png",52156,1,125,196,123,1,0.5,1,[],[],0],["bird-sheet2.png",25864,0,0,196,123,1,0.5,1,[],[],0]]]],[],!1,!1,0xed34b6b636f6a,[],null],["t136",cr.plugins_.Sprite,!1,[],2,0,null,[["Default",5,!1,1,0,!1,9065625720153028,[["cht-sheet0.png",
41715,0,0,400,297,1,0.5,0.5016834735870361,[],[-0.4799999892711639,-0.4747474789619446,0.4825000166893005,-0.4781144857406616,0.4925000071525574,-0.003367483615875244,0.4674999713897705,0.4545454978942871,0,0.4848484992980957,-0.4824999868869782,0.4747475385665894,-0.4950000047683716,-0.003367483615875244],0]]]],[["Fade",cr.behaviors.Fade,5721735008950704],["NoSave",cr.behaviors.NoSave,8575410871939244]],!1,!1,0x78c2afc7070d7,[],null],["t137",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,
!1,0x6524e394b7d8b,[["fon_menu-sheet0.png",239521,0,0,1024,629,1,0,0,[],[],0]]]],[],!1,!1,0x85de406cbfb73,[],null],["t138",cr.plugins_.Sprite,!1,[],2,0,null,[["Default",5,!1,1,0,!1,0xa2361b70fcda7,[["oblako-sheet0.png",227849,0,0,719,519,1,0.5006954073905945,0.5009633898735046,[],[-0.1863704025745392,-0.06551039218902588,-0.001390397548675537,-0.4855490922927856,0.273991584777832,-0.1888243854045868,0.3490955829620361,-0.001926392316818237,0.3796935677528381,0.3333336114883423,-0.001390397548675537,
0.3583816289901733,-0.3268424272537231,0.2581886053085327,-0.1613354086875916,-0.001926392316818237],0]]]],[["Wrap",cr.behaviors.wrap,6516112284085542],["Bullet",cr.behaviors.Bullet,4681728092593777]],!1,!1,0x47521168ef0cb,[],null],["t139",cr.plugins_.Browser,!1,[],0,0,null,null,[],!1,!1,9757233222871188,[],null,[]],["t140",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,0x5ca5487a4ff6d,[["sprite2-sheet0.png",155,0,0,250,250,1,0.5,0.5,[],[],4]]]],[],!1,!0,5482498602036337,[],null],["t141",
cr.plugins_.Sprite,!0,[],1,0,null,null,[["Nickname",cr.behaviors.Rex_bNickname,7299527545288076]],!1,!1,0xecaa2e7c2c19b,[],null],["t142",cr.plugins_.Sprite,!0,[652235962254736],1,0,null,null,[["Nickname",cr.behaviors.Rex_bNickname,7056417933242205]],!1,!1,0x5189aee988044,[],null],["t143",cr.plugins_.Sprite,!0,[0xa7abe0a7854ec],0,0,null,null,[],!1,!1,0x7b7aa8c7462a1,[],null],["t144",cr.plugins_.Sprite,!0,[0x6d555715c74a7,4727210277698606],1,0,null,null,[["DestroyOutsideLayout2",cr.behaviors.destroy,
7121081861307223]],!1,!1,4670130686117585,[],null],["t145",cr.plugins_.Sprite,!0,[5584244755853125,8616744316856159,9243028238324992,7064571933652724,7374420421342588,0x8c7f08e58f312,0x4d385a1d0acee,7154124579114117],0,0,null,null,[],!1,!1,6838228798865682,[],null],["t146",cr.plugins_.Text,!0,[8503114173692777],0,0,null,null,[],!1,!1,9889193963172774,[],null],["t147",cr.plugins_.Sprite,!0,[7527254874885777],0,0,null,null,[],!1,!1,0xb0d377c97e63e,[],null]],[[141,6,8,9],[142,5,16,60],[143,19,20,18],
[144,46,40,28],[145,42],[146,63],[147,69,125,71,70,52]],[["loader",3E3,2E3,!1,"eLoader",0xd77cea8398fbb,[["Layer 0",0,0xe3d3f33756c66,!0,[0,0,0],!1,1,1,1,!1,1,0,0,[[[1E3,500,0,1024,768,0,0,1,0,0,0,0,[]],97,3886,[],[[]],[0,"Default",0,1]],[[1E3,1268,0,1024,-32,0,0,1,0,0,0,0,[]],98,3999,[],[[]],[0,0]],[[1002,1236,0,978,73,0,0,1,0,0,0,0,[]],68,2,[[0]],[[0,0,4,1,1],[]],["",0,"14pt Arial","rgb(0,0,0)",0,0,0,0,0]],[[-152,-186,0,92,61,0,0,1,0.5,0.5,0,0,[]],140,2770,[],[],[0,"Default",0,1]]],[]],["black",
1,8331338949335579,!0,[0,0,0],!1,1,1,0,!1,1,0,0,[],[]]],[],[]],["menu",3E3,2E3,!1,"eMenu",5797493510768083,[["b1",0,7831637710646362,!0,[0,0,0],!1,1,1,1,!1,1,0,0,[[[1E3,498.493408203125,0,1024,630.5066528320312,0,0,1,0,0,0,0,[]],137,9556,[],[],[0,"Default",0,1]],[[1152.125854492188,680.142822265625,0,407.6846313476563,294.2814025878906,0,0,1,0.5006954073905945,0.5009633898735046,0,0,[]],138,9557,[],[[0],[-40,0,0,0,0,1]],[0,"Default",0,1]],[[1848.834228515625,751.564208984375,0,335.2330932617188,241.9832458496094,
0,0,1,0.5006954073905945,0.5009633898735046,0,0,[]],138,9565,[],[[0],[-40,0,0,0,0,1]],[0,"Default",0,1]],[[232,724,0,298.2789916992188,215.3084869384766,0,0,1,0.5006954073905945,0.5009633898735046,0,0,[]],138,2949,[],[[0],[-40,0,0,0,0,1]],[0,"Default",0,1]],[[2295,704,0,298.2789916992188,215.3084869384766,0,0,1,0.5006954073905945,0.5009633898735046,0,0,[]],138,2950,[],[[0],[-40,0,0,0,0,1]],[0,"Default",0,1]],[[2760,694,0,-187,140,0,0,1,0.5006954073905945,0.5009633898735046,0,0,[]],138,2951,[],[[0],
[-40,0,0,0,0,1]],[0,"Default",0,1]],[[672,571,0,298.2789916992188,215.3084869384766,0,0,1,0.5006954073905945,0.5009633898735046,0,0,[]],138,2952,[],[[0],[-40,0,0,0,0,1]],[0,"Default",0,1]],[[1E3,498.4071044921875,0,1024,768,0,0,1,0,0,0,0,[]],4,5,[],[[]],[0,"Default",0,0]],[[1780.719482421875,716.2974853515625,0,146.2096557617188,91.75402069091797,0,0,1,0.5,1,0,0,[]],135,9549,[],[],[0,"Default",0,1]]],[]],["main",1,9626198229033636,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[1766,961,0,256,165,0,0,1,0.53125,
0.5575757622718811,0,0,[]],5,6,[[1]],[[""],[]],[0,"Default",0,1]],[[1269,963,0,-256,165,0,0,1,0.53125,0.5575757622718811,0,0,[]],5,7,[[0]],[[""],[]],[0,"Default",0,1]],[[1519,948,0,255.5680847167969,261.4567565917969,0,0,1,0.5023041367530823,0.5,0,0,[]],7,9,[],[[]],[0,"Default",0,0]],[[503,872,0,994,1164,0,0,1,0.5,0.5,0,0,[]],140,2769,[],[],[0,"Default",0,1]],[[2510.5,884,0,973,1164,0,0,1,0.5,0.5,0,0,[]],140,2953,[],[],[0,"Default",0,1]]],[]],["general",2,8369233519883194,!0,[255,255,255],!0,1,1,
1,!1,1,0,0,[[[-134,492,0,183,137,0,0,1,0.5027322173118591,0.5036496520042419,0,0,[]],6,8,[],[["continue"],[]],[0,"Default",0,1]],[[-132,285,0,150.4083251953125,172.8095703125,0,0,1,0.5,0.5,0,0,[]],8,10,[],[["option"],[]],[0,"Default",0,1]],[[-158,664,0,172,152,0,0,1,0.447674423456192,0.5065789222717285,0,0,[]],9,11,[],[["play"],[]],[0,"Default",0,1]],[[1E3,1268,0,1024,-55,0,0,0.5899999737739563,0,0,0,0,[]],74,2672,[],[[]],[0,"Default",0,1]],[[-806,874,0,514,50,0,0,1,0,0,1,0,[]],63,2685,[[1]],[[]],
["\u0418\u0433\u0440\u0430\u0442\u044c",0,"bold 26pt Arial Black","rgb(255,153,0)",0,0,0,0,0]],[[1255,1216,0,514,50,0,0,1,0,0,1,0,[]],63,2750,[[1]],[[]],["\u0418\u0433\u0440\u0430\u0442\u044c",0,"bold 26pt Arial Black","rgb(255,153,0)",1,0,0,0,0]]],[]],["gui",3,0x54fcd39cc78f8,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[1E3,498.7086181640625,0,1024,769.2913818359375,0,0,0.4000000059604645,0,0,0,0,[]],73,2670,[],[[]],[0,"Default",0,1]],[[1067,589,0,-111,118,0,0,1,0.5,0.5028901696205139,0,0,[]],16,2669,[[2]],
[[""],[]],[0,"Default",0,1]],[[1249,720,0,514,50,0,0,1,0,0,0,0,[]],63,2671,[[0]],[[]],["0",0,"bold 26pt Arial Black","rgb(255,153,0)",1,0,0,0,0]],[[1249,882,0,514,50,0,0,1,0,0,0,0,[]],63,2751,[[3]],[[]],["0",0,"bold 26pt Arial Black","rgb(255,153,0)",1,0,0,0,0]]],[]],["black",4,7416735509855247,!0,[0,0,0],!1,1,1,0,!1,1,0,0,[],[]]],[[null,64,791,[],[],[]]],[]],["location",4872,768,!1,"eLocation",7226399727369987,[["b1",0,9957318839095676,!0,[255,255,255],!1,1,1,1,!1,1,0,0,[[[0,0,0,1624,768,0,0,1,0,
0,0,0,[]],10,12,[],[[]],[0,"Default",0,0]],[[2436,384,0,1624,768,0,0,1,0.5,0.5,0,0,[]],11,13,[],[[]],[0,"Default",0,0]],[[4060,384,0,1624,768,0,0,1,0.5,0.5,0,0,[]],12,14,[],[[]],[0,"Default",0,0]]],[]],["main",1,0xf202718551bc9,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[814,257,0,196,145,0,0,1,0.5,0.5034482479095459,0,0,[]],21,26,[[2]],[],[0,"Default",0,1]],[[1041,257,0,196,145,0,0,1,0.5,0.5034482479095459,0,0,[]],21,18,[[3]],[],[0,"Default",0,1]],[[587,517,0,196,145,0,0,1,0.5,0.5034482479095459,0,0,[]],
21,27,[[4]],[],[0,"Default",0,1]],[[814,517,0,196,145,0,0,1,0.5,0.5034482479095459,0,0,[]],21,28,[[5]],[],[0,"Default",0,1]],[[1041,517,0,196,145,0,0,1,0.5,0.5034482479095459,0,0,[]],21,29,[[6]],[],[0,"Default",0,1]],[[587,257,0,196,145,0,0,1,0.5,0.5034482479095459,0,0,[]],21,45,[[1]],[],[0,"Default",0,1]],[[2438,257,0,196,145,0,0,1,0.5,0.5034482479095459,0,0,[]],21,46,[[8]],[],[0,"Default",0,1]],[[2665,257,0,196,145,0,0,1,0.5,0.5034482479095459,0,0,[]],21,47,[[9]],[],[0,"Default",0,1]],[[2211,517,
0,196,145,0,0,1,0.5,0.5034482479095459,0,0,[]],21,48,[[10]],[],[0,"Default",0,1]],[[2438,517,0,196,145,0,0,1,0.5,0.5034482479095459,0,0,[]],21,49,[[11]],[],[0,"Default",0,1]],[[2665,517,0,196,145,0,0,1,0.5,0.5034482479095459,0,0,[]],21,50,[[12]],[],[0,"Default",0,1]],[[2211,257,0,196,145,0,0,1,0.5,0.5034482479095459,0,0,[]],21,51,[[7]],[],[0,"Default",0,1]],[[4062,257,0,196,145,0,0,1,0.5,0.5034482479095459,0,0,[]],21,74,[[14]],[],[0,"Default",0,1]],[[4289,257,0,196,145,0,0,1,0.5,0.5034482479095459,
0,0,[]],21,75,[[15]],[],[0,"Default",0,1]],[[3835,517,0,196,145,0,0,1,0.5,0.5034482479095459,0,0,[]],21,76,[[16]],[],[0,"Default",0,1]],[[4062,517,0,196,145,0,0,1,0.5,0.5034482479095459,0,0,[]],21,77,[[17]],[],[0,"Default",0,1]],[[4289,517,0,196,145,0,0,1,0.5,0.5034482479095459,0,0,[]],21,78,[[18]],[],[0,"Default",0,1]],[[3835,257,0,196,145,0,0,1,0.5,0.5034482479095459,0,0,[]],21,79,[[13]],[],[0,"Default",0,1]]],[]],["general",2,0x5a77c712d5dec,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[812,384,0,891,
707,0,0,1,0.5005611777305603,0.50070720911026,0,0,[]],13,15,[],[[]],[0,"Default",0,0]],[[2436,384,0,891,707,0,0,1,0.5005611777305603,0.50070720911026,0,0,[]],13,52,[],[[]],[0,"Default",0,0]],[[4060,384,0,891,707,0,0,1,0.5005611777305603,0.50070720911026,0,0,[]],13,80,[],[[]],[0,"Default",0,0]]],[]],["gui",3,0x776c892138e88,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[1233,378,0,162,173,0,0,1,0.5,0.5028901696205139,0,0,[]],16,19,[[1]],[[""],[]],[0,"Default",0,1]],[[364,89,0,-111,118,0,0,1,0.5,0.5028901696205139,
0,0,[]],16,21,[[0]],[[""],[]],[0,"Default",0,1]],[[587,232,0,192,106,0,0,1,0.5,0.8113207817077637,0,0,[]],18,23,[[1]],[[]],[0,"Default",0,1]],[[587,285,0,42.95082092285156,53.46534729003906,0,0,1,0.5,0.5,0,0,[]],20,25,[[1]],[[]],[0,"Default",0,1]],[[661,288,0,23,24,0,0,1,0.52173912525177,0.5,0,0,[]],19,24,[[1]],[[]],[0,"Default",0,1]],[[815,232,0,192,106,0,0,1,0.5,0.8113207817077637,0,0,[]],18,30,[[2]],[[]],[0,"Default",0,1]],[[814,285,0,42.95082092285156,53.46534729003906,0,0,1,0.5,0.5,0,0,[]],20,
31,[[2]],[[]],[0,"Default",0,1]],[[889,288,0,23,24,0,0,1,0.52173912525177,0.5,0,0,[]],19,32,[[2]],[[]],[0,"Default",0,1]],[[1041,232,0,192,106,0,0,1,0.5,0.8113207817077637,0,0,[]],18,33,[[3]],[[]],[0,"Default",0,1]],[[1040,285,0,42.95082092285156,53.46534729003906,0,0,1,0.5,0.5,0,0,[]],20,34,[[3]],[[]],[0,"Default",0,1]],[[1115,288,0,23,24,0,0,1,0.52173912525177,0.5,0,0,[]],19,35,[[3]],[[]],[0,"Default",0,1]],[[587,497,0,192,106,0,0,1,0.5,0.8113207817077637,0,0,[]],18,36,[[4]],[[]],[0,"Default",0,
1]],[[587,550,0,42.95082092285156,53.46534729003906,0,0,1,0.5,0.5,0,0,[]],20,37,[[4]],[[]],[0,"Default",0,1]],[[661,553,0,23,24,0,0,1,0.52173912525177,0.5,0,0,[]],19,38,[[4]],[[]],[0,"Default",0,1]],[[815,497,0,192,106,0,0,1,0.5,0.8113207817077637,0,0,[]],18,39,[[5]],[[]],[0,"Default",0,1]],[[814,548,0,42.95082092285156,53.46534729003906,0,0,1,0.5,0.5,0,0,[]],20,40,[[5]],[[]],[0,"Default",0,1]],[[889,553,0,23,24,0,0,1,0.52173912525177,0.5,0,0,[]],19,41,[[5]],[[]],[0,"Default",0,1]],[[1041,497,0,192,
106,0,0,1,0.5,0.8113207817077637,0,0,[]],18,42,[[6]],[[]],[0,"Default",0,1]],[[1040,546,0,42.95082092285156,53.46534729003906,0,0,1,0.5,0.5,0,0,[]],20,43,[[6]],[[]],[0,"Default",0,1]],[[1115,553,0,23,24,0,0,1,0.52173912525177,0.5,0,0,[]],19,44,[[6]],[[]],[0,"Default",0,1]],[[2857,378,0,162,173,0,0,1,0.5,0.5028901696205139,0,0,[]],16,53,[[3]],[[""],[]],[0,"Default",0,1]],[[2013,378,0,-162,173,0,0,1,0.5,0.5028901696205139,0,0,[]],16,54,[[2]],[[""],[]],[0,"Default",0,1]],[[1988,89,0,-111,118,0,0,1,0.5,
0.5028901696205139,0,0,[]],16,55,[[0]],[[""],[]],[0,"Default",0,1]],[[2211,232,0,192,106,0,0,1,0.5,0.8113207817077637,0,0,[]],18,56,[[7]],[[]],[0,"Default",0,1]],[[2211,285,0,42.95082092285156,53.46534729003906,0,0,1,0.5,0.5,0,0,[]],20,57,[[7]],[[]],[0,"Default",0,1]],[[2285,288,0,23,24,0,0,1,0.52173912525177,0.5,0,0,[]],19,58,[[7]],[[]],[0,"Default",0,1]],[[2439,232,0,192,106,0,0,1,0.5,0.8113207817077637,0,0,[]],18,59,[[8]],[[]],[0,"Default",0,1]],[[2438,285,0,42,53,0,0,1,0.5,0.5,0,0,[]],20,60,[[8]],
[[]],[0,"Default",0,1]],[[2513,288,0,23,24,0,0,1,0.52173912525177,0.5,0,0,[]],19,61,[[8]],[[]],[0,"Default",0,1]],[[2665,232,0,192,106,0,0,1,0.5,0.8113207817077637,0,0,[]],18,62,[[9]],[[]],[0,"Default",0,1]],[[2664,285,0,42,54,0,0,1,0.5,0.5,0,0,[]],20,63,[[9]],[[]],[0,"Default",0,1]],[[2739,288,0,23,24,0,0,1,0.52173912525177,0.5,0,0,[]],19,64,[[9]],[[]],[0,"Default",0,1]],[[2211,497,0,192,106,0,0,1,0.5,0.8113207817077637,0,0,[]],18,65,[[10]],[[]],[0,"Default",0,1]],[[2211,550,0,42.95082092285156,
53.46534729003906,0,0,1,0.5,0.5,0,0,[]],20,66,[[10]],[[]],[0,"Default",0,1]],[[2285,553,0,23,24,0,0,1,0.52173912525177,0.5,0,0,[]],19,67,[[10]],[[]],[0,"Default",0,1]],[[2439,497,0,192,106,0,0,1,0.5,0.8113207817077637,0,0,[]],18,68,[[11]],[[]],[0,"Default",0,1]],[[2438,548,0,42,54,0,0,1,0.5,0.5,0,0,[]],20,69,[[11]],[[]],[0,"Default",0,1]],[[2513,553,0,23,24,0,0,1,0.52173912525177,0.5,0,0,[]],19,70,[[11]],[[]],[0,"Default",0,1]],[[2665,497,0,192,106,0,0,1,0.5,0.8113207817077637,0,0,[]],18,71,[[12]],
[[]],[0,"Default",0,1]],[[2664,546,0,42,54,0,0,1,0.5,0.5,0,0,[]],20,72,[[12]],[[]],[0,"Default",0,1]],[[2739,553,0,23,24,0,0,1,0.52173912525177,0.5,0,0,[]],19,73,[[12]],[[]],[0,"Default",0,1]],[[3637,378,0,-162,173,0,0,1,0.5,0.5028901696205139,0,0,[]],16,82,[[4]],[[""],[]],[0,"Default",0,1]],[[3612,89,0,-111,118,0,0,1,0.5,0.5028901696205139,0,0,[]],16,83,[[0]],[[""],[]],[0,"Default",0,1]],[[3835,232,0,192,106,0,0,1,0.5,0.8113207817077637,0,0,[]],18,84,[[13]],[[]],[0,"Default",0,1]],[[3835,285,0,42,
54,0,0,1,0.5,0.5,0,0,[]],20,85,[[13]],[[]],[0,"Default",0,1]],[[3909,288,0,23,24,0,0,1,0.52173912525177,0.5,0,0,[]],19,86,[[13]],[[]],[0,"Default",0,1]],[[4063,232,0,192,106,0,0,1,0.5,0.8113207817077637,0,0,[]],18,87,[[14]],[[]],[0,"Default",0,1]],[[4062,285,0,42,54,0,0,1,0.5,0.5,0,0,[]],20,88,[[14]],[[]],[0,"Default",0,1]],[[4137,288,0,23,24,0,0,1,0.52173912525177,0.5,0,0,[]],19,89,[[14]],[[]],[0,"Default",0,1]],[[4289,232,0,192,106,0,0,1,0.5,0.8113207817077637,0,0,[]],18,90,[[15]],[[]],[0,"Default",
0,1]],[[4288,285,0,42,54,0,0,1,0.5,0.5,0,0,[]],20,91,[[15]],[[]],[0,"Default",0,1]],[[4363,288,0,23,24,0,0,1,0.52173912525177,0.5,0,0,[]],19,92,[[15]],[[]],[0,"Default",0,1]],[[3835,497,0,192,106,0,0,1,0.5,0.8113207817077637,0,0,[]],18,93,[[16]],[[]],[0,"Default",0,1]],[[3835,550,0,42,54,0,0,1,0.5,0.5,0,0,[]],20,94,[[16]],[[]],[0,"Default",0,1]],[[3909,553,0,23,24,0,0,1,0.52173912525177,0.5,0,0,[]],19,95,[[16]],[[]],[0,"Default",0,1]],[[4063,497,0,192,106,0,0,1,0.5,0.8113207817077637,0,0,[]],18,96,
[[17]],[[]],[0,"Default",0,1]],[[4062,548,0,42,54,0,0,1,0.5,0.5,0,0,[]],20,97,[[17]],[[]],[0,"Default",0,1]],[[4137,553,0,23,24,0,0,1,0.52173912525177,0.5,0,0,[]],19,98,[[17]],[[]],[0,"Default",0,1]],[[4289,497,0,192,106,0,0,1,0.5,0.8113207817077637,0,0,[]],18,99,[[18]],[[]],[0,"Default",0,1]],[[4288,546,0,42,54,0,0,1,0.5,0.5,0,0,[]],20,100,[[18]],[[]],[0,"Default",0,1]],[[4363,553,0,23,24,0,0,1,0.52173912525177,0.5,0,0,[]],19,101,[[18]],[[]],[0,"Default",0,1]]],[]],["black",4,0x3de57a75034bc,!0,
[0,0,0],!1,1,1,0,!1,1,0,0,[],[]]],[[null,66,989,[],[],[21,1,1]]],[]],["1",5700,2989,!1,"e1",5583931131270154,[["b4",0,0x965e22e8fd1e8,!0,[255,255,255],!1,0.4000000059604645,0.4000000059604645,1,!1,1,0,0,[[[0,0.2349222898483276,0,2302,2616,0,0,1,9.765625E-4,7.501875516027212E-4,0,0,[]],44,20,[],[[]],[0,"Default",0,1]],[[512,354,0,400,297,0,0,1,0.5,0.5016834735870361,0,0,[]],136,9550,[],[[1,0,2,1,1],[]],[0,"Default",0,1]]],[]],["b3",1,0xa6cd2e240cc52,!0,[255,255,255],!0,0.699999988079071,1,1,!1,1,0,
0,[[[1012,2505,0,2049,280,0,0,1,0.5,0.5035714507102966,0,0,[]],43,102,[],[[]],[0,"Default",0,1]],[[3059,2504,0,2049,280,0,0,1,0.5,0.5035714507102966,0,0,[]],43,103,[],[[]],[0,"Default",0,1]],[[3343,1272,0,564,2514,0,0,1,0.5,0.5,0,0,[]],45,104,[],[[]],[0,"Default",0,1]],[[-1035,2506,0,2049,280,0,0,1,0.5,0.5035714507102966,0,0,[]],43,436,[],[[]],[0,"Default",0,1]],[[5106,2504,0,2049,280,0,0,1,0.5,0.5035714507102966,0,0,[]],43,790,[],[[]],[0,"Default",0,1]]],[]],["b2",2,8336180502586832,!0,[255,255,
255],!0,1,1,1,!1,1,0,0,[],[]],["general",3,4705736401433128,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[3131,2380,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],32,117,[],[[1,0,1,20,0,2,0,490,0],[1]],[0,"Default",0,1]],[[1503,2131,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],32,118,[],[[1,0,1,20,0,2,0,490,0],[1]],[0,"Default",0,1]],[[2019,1175,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],32,132,[],[[1,0,1,20,0,2,0,490,0],[1]],[0,"Default",0,1]],[[2428,2381,
0,161,74,0,0,1,0.5031055808067322,0.5,0,0,[]],31,111,[],[[1],[]],[0,"Default",0,1]],[[1582,1843,0,161,74,0,0,1,0.5031055808067322,0.5,0,0,[]],31,119,[],[[1],[]],[0,"Default",0,1]],[[3074,1619,0,161,74,0,0,1,0.5031055808067322,0.5,0,0,[]],31,122,[],[[1],[]],[0,"Default",0,1]],[[3455,1403,0,161,74,0,0,1,0.5031055808067322,0.5,0,0,[]],31,133,[],[[1],[]],[0,"Default",0,1]],[[4076,1270,0,161,74,0,0,1,0.5031055808067322,0.5,0,0,[]],31,135,[],[[1],[]],[0,"Default",0,1]],[[3005,1174,0,161,74,0,0,1,0.5031055808067322,
0.5,0,0,[]],31,138,[],[[1],[]],[0,"Default",0,1]],[[2288,2382,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,112,[],[[1],[]],[0,"Default",0,1]],[[2148,2382,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,113,[],[[1],[]],[0,"Default",0,1]],[[2010,2382,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,114,[],[[1],[]],[0,"Default",0,1]],[[3759,2274,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,116,[],[[1],[]],[0,"Default",0,1]],[[1437,
1844,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,120,[],[[1],[]],[0,"Default",0,1]],[[2936,1620,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,123,[],[[1],[]],[0,"Default",0,1]],[[2797,1620,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,124,[],[[1],[]],[0,"Default",0,1]],[[2658,1620,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,130,[],[[1],[]],[0,"Default",0,1]],[[2518,1620,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,
0,0,[]],30,131,[],[[1],[]],[0,"Default",0,1]],[[3315,1404,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,134,[],[[1],[]],[0,"Default",0,1]],[[3933,1271,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,136,[],[[1],[]],[0,"Default",0,1]],[[2864,1175,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,139,[],[[1],[]],[0,"Default",0,1]],[[1874,2383,0,162,77,0,0,1,0.5,0.5064935088157654,0,0,[]],29,115,[],[[1],[]],[0,"Default",0,1]],[[1296,1845,0,162,77,0,0,1,
0.5,0.5064935088157654,0,0,[]],29,121,[],[[1],[]],[0,"Default",0,1]],[[3796,1272,0,162,77,0,0,1,0.5,0.5064935088157654,0,0,[]],29,137,[],[[1],[]],[0,"Default",0,1]],[[2727,1176,0,162,77,0,0,1,0.5,0.5064935088157654,0,0,[]],29,140,[],[[1],[]],[0,"Default",0,1]],[[2055,1654,0,128,128,0,0,1,0,0.5,0,0,[]],65,985,[],[[]],[10,360,0,10,16,100,0,2E3,1E3,0,0,30,0,60,0,500,0,0,1]],[[246,2477,0,142.8915710449219,142.8915710449219,0,0,1,0.5,0.5,0,0,[]],72,1854,[[0],[0]],[[]],[1,"Default",0,1]],[[2379,1620,0,
157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,125,[],[[1],[]],[0,"Default",0,1]],[[2244,1620,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,126,[],[[1],[]],[0,"Default",0,1]],[[2107,1620,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,127,[],[[1],[]],[0,"Default",0,1]],[[1970,1620,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,128,[],[[1],[]],[0,"Default",0,1]],[[1830,1621,0,162,77,0,0,1,0.5,0.5064935088157654,0,0,[]],29,129,[],[[1],
[]],[0,"Default",0,1]]],[]],["b1",4,6881034386583337,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[2106,2470,0,257,255,0,0,1,0.5019454956054688,0.4901960790157318,0,0,[]],24,105,[],[[]],[0,"Default",0,1]],[[5214,2143,0,623,254,0,0,1,0.5,0.5,0,0,[]],36,107,[],[[]],[0,"Default",0,1]],[[5152,2103,0,200,200,0,0,1,0.4969135820865631,0.5,0,0,[]],50,143,[[0]],[[]],[0,"Default",0,1]],[[4736,2400,0,1023,398,0,0,1,0.5004887580871582,0.5,0,0,[]],26,149,[],[[1],[]],[0,"Default",0,1]],[[4810.998046875,1355,0,1019,308,
0,0,1,0.5004887580871582,0.5,0,0,[]],26,219,[],[[1],[]],[0,"Default",0,1]],[[384,2800,0,1023,398,0,0,1,0.5004887580871582,0.5,0,0,[]],22,144,[],[[1],[]],[0,"Default",0,1]],[[1376,2800,0,1023,398,0,0,1,0.5004887580871582,0.5,0,0,[]],22,145,[],[[1],[]],[0,"Default",0,1]],[[2368,2800,0,1023,398,0,0,1,0.5004887580871582,0.5,0,0,[]],22,146,[],[[1],[]],[0,"Default",0,1]],[[3360,2800,0,1023,398,0,0,1,0.5004887580871582,0.5,0,0,[]],22,147,[],[[1],[]],[0,"Default",0,1]],[[4352,2800,0,1023,398,0,0,1,0.5004887580871582,
0.5,0,0,[]],22,148,[],[[1],[]],[0,"Default",0,1]],[[5216,2800,0,1023,398,0,0,1,0.5004887580871582,0.5,0,0,[]],22,150,[],[[1],[]],[0,"Default",0,1]],[[5600,2400,0,1023,398,0,0,1,0.5004887580871582,0.5,0,0,[]],27,187,[],[[1],[]],[0,"Default",0,1]],[[743.92724609375,1384.0205078125,0,1180.130249023438,345.9588623046875,0,0,1,0.5004887580871582,0.5,0,0,[]],27,209,[],[[1],[]],[0,"Default",0,1]],[[1071,1386,0,223,215,0,0,1,0.5022421479225159,0.5023255944252014,0,0,[]],34,231,[],[[]],[0,"Default",0,1]],
[[5272,2478,0,208,197,0,0,1,0.5,0.5025380849838257,0,0,[]],35,232,[],[[]],[0,"Default",0,1]],[[1058,2775,0,208,197,0,0,1,0.5,0.5025380849838257,0,0,[]],35,233,[],[[]],[0,"Default",0,1]],[[4433,2050,0,143,156,0,0,1,0.503496527671814,0.5,0,0,[]],37,109,[],[[]],[0,"Default",0,1]],[[2017.063598632813,2447.662109375,0,39.99038314819336,61.46670150756836,0,0,1,0.5,0.5060241222381592,0,0,[]],25,106,[],[[]],[0,"Default",0,1]],[[3030,1517,0,244.5781402587891,159.0077362060547,0,0,1,0.5013054609298706,0.5020080208778381,
0,0,[]],39,110,[],[[1,1,1,0,"B 1200; F 1200",10,0,0,180,0,0,0,0,0],[]],[0,"Default",0,1]],[[5204.150390625,1356.1884765625,0,444.1847534179688,335.8363952636719,0,0,1,0.7122207880020142,0.4608695507049561,0,0,[]],122,2536,[],[[]],[0,"Default",0,1]],[[4429.97900390625,1370,0,406.2792358398438,334.5766906738281,0,0,1,0.3641703426837921,0.5009041428565979,0,0,[]],123,2537,[],[[]],[0,"Default",0,1]],[[4788.0869140625,1439,0,202.2677764892578,195.3095397949219,0,0,1,0.5,0.5015479922294617,0,0,[]],124,
2538,[],[[]],[0,"Default",0,1]],[[1215.979370117188,1386.6669921875,0,519.5667724609375,375.069580078125,0,0,1,0.7122207880020142,0.4608695507049561,0,0,[]],122,2523,[],[[]],[0,"Default",0,1]],[[1516,1712,0,1014,770,0,0,1,0.4940828382968903,0.43376624584198,0,0,[]],33,234,[],[[1,1,2,15,0,0,0,50,0],[]],[0,"Default",0,1]],[[320,1400,0,466,378.5859375,0,0,1,0.3641703426837921,0.5009041428565979,0,0,[]],123,2525,[],[[]],[0,"Default",0,1]],[[731,1478,0,232,221,0,0,1,0.5,0.5015479922294617,0,0,[]],124,
2534,[],[[]],[0,"Default",0,1]],[[4438,2088.16015625,0,266.9697265625,236.0167236328125,0,0,1,0.5,0.5,0,0,[]],38,108,[],[[]],[0,"Default",0,1]],[[4309.02099609375,2515.714599609375,0,189,221,0,1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,2572,[],[[]],[0,"Default",0,1]],[[4309.02099609375,2312.740478515625,0,221.5009765625,221,0,1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,2573,[],[[]],[0,"Default",0,1]],[[-194.0139770507813,1988.66552734375,0,150,165,0,0,1,0.5018315315246582,0.5,
0,0,[]],42,142,[[0],[0],[0],[0],[0],[0],[0],[3],[0]],[[],[]],[0,"Default",0,1]],[[163.8679809570313,2612.70703125,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,151,[],[[]],[0,"Default",0,1]],[[277.5016479492188,2614.367919921875,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,152,[],[[]],[0,"Default",0,1]],[[385.1047973632813,2614.914794921875,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,153,[],[[]],[0,"Default",0,1]],[[497.0808410644531,2614.921630859375,0,177,68,0,0,1,0.5028248429298401,
0.5,0,0,[]],23,154,[],[[]],[0,"Default",0,1]],[[601.921630859375,2614.921630859375,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,155,[],[[]],[0,"Default",0,1]],[[713.3457641601562,2614.3681640625,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,156,[],[[]],[0,"Default",0,1]],[[829.18896484375,2613.814208984375,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,157,[],[[]],[0,"Default",0,1]],[[944.5280151367188,2612.7138671875,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,158,[],[[]],[0,"Default",
0,1]],[[1055.398559570313,2614.361328125,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,159,[],[[]],[0,"Default",0,1]],[[1176.214599609375,2614.921630859375,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,160,[],[[]],[0,"Default",0,1]],[[1293.71875,2614.367919921875,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,161,[],[[]],[0,"Default",0,1]],[[1409.60986328125,2613.814208984375,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,162,[],[[]],[0,"Default",0,1]],[[1531.529663085938,2614.3681640625,
0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,163,[],[[]],[0,"Default",0,1]],[[1654.560302734375,2615.475341796875,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,164,[],[[]],[0,"Default",0,1]],[[1777.081787109375,2614.921630859375,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,165,[],[[]],[0,"Default",0,1]],[[1895.13623046875,2613.814208984375,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,166,[],[[]],[0,"Default",0,1]],[[2018.16015625,2616.015625,0,177,68,0,0,1,0.5028248429298401,0.5,0,
0,[]],23,167,[],[[]],[0,"Default",0,1]],[[2140.633544921875,2615.475341796875,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,168,[],[[]],[0,"Default",0,1]],[[2256.52490234375,2614.367919921875,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,169,[],[[]],[0,"Default",0,1]],[[2379.55517578125,2615.468505859375,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,170,[],[[]],[0,"Default",0,1]],[[2498.717041015625,2614.921875,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,171,[],[[]],[0,"Default",0,1]],
[[2621.194091796875,2615.46875,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,172,[],[[]],[0,"Default",0,1]],[[2744.771484375,2616.022216796875,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,173,[],[[]],[0,"Default",0,1]],[[2867.29296875,2614.921630859375,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,174,[],[[]],[0,"Default",0,1]],[[2988.10888671875,2616.022216796875,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,175,[],[[]],[0,"Default",0,1]],[[3110.5791015625,2614.921630859375,0,177,68,
0,0,1,0.5028248429298401,0.5,0,0,[]],23,176,[],[[]],[0,"Default",0,1]],[[3234.16357421875,2613.2607421875,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,177,[],[[]],[0,"Default",0,1]],[[3356.684814453125,2613.2607421875,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,178,[],[[]],[0,"Default",0,1]],[[3478.601318359375,2614.3681640625,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,179,[],[[]],[0,"Default",0,1]],[[3601.078369140625,2614.921630859375,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],
23,180,[],[[]],[0,"Default",0,1]],[[3723.548583984375,2615.468505859375,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,181,[],[[]],[0,"Default",0,1]],[[3845.523193359375,2613.81396484375,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,182,[],[[]],[0,"Default",0,1]],[[3965.238525390625,2613.2607421875,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,183,[],[[]],[0,"Default",0,1]],[[4086.06103515625,2612.1533203125,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,184,[],[[]],[0,"Default",0,1]],[[4206.86376953125,
2612.70703125,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,185,[],[[]],[0,"Default",0,1]],[[4325.52294921875,2611.6064453125,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,186,[],[[]],[0,"Default",0,1]],[[4439.70849609375,2610.499267578125,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,188,[],[[]],[0,"Default",0,1]],[[4559.97119140625,2609.945556640625,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,189,[],[[]],[0,"Default",0,1]],[[4680.2333984375,2608.291259765625,0,177,68,0,0,1,0.5028248429298401,
0.5,0,0,[]],23,190,[],[[]],[0,"Default",0,1]],[[4800,2608.29150390625,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,191,[],[[]],[0,"Default",0,1]],[[4916.9404296875,2607.18408203125,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,192,[],[[]],[0,"Default",0,1]],[[5035.0146484375,2606.63037109375,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,193,[],[[]],[0,"Default",0,1]],[[5155.83154296875,2607.17724609375,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,194,[],[[]],[0,"Default",0,1]],[[5272.81591796875,
2605.52978515625,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,195,[],[[]],[0,"Default",0,1]],[[5393.63232421875,2604.969482421875,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,196,[],[[]],[0,"Default",0,1]],[[4267.61328125,2212.7001953125,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,197,[],[[]],[0,"Default",0,1]],[[4383.49072265625,2213.814453125,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,198,[],[[]],[0,"Default",0,1]],[[4500.99853515625,2215.468505859375,0,177,68,0,0,1,0.5028248429298401,
0.5,0,0,[]],23,199,[],[[]],[0,"Default",0,1]],[[4621.2607421875,2214.361328125,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,200,[],[[]],[0,"Default",0,1]],[[4743.7822265625,2213.2607421875,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,201,[],[[]],[0,"Default",0,1]],[[4867.919921875,2213.814208984375,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,202,[],[[]],[0,"Default",0,1]],[[4988.22705078125,2213.807861328125,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,203,[],[[]],[0,"Default",0,
1]],[[5109.59619140625,2214.3681640625,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,204,[],[[]],[0,"Default",0,1]],[[5228.21142578125,2212.70703125,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,205,[],[[]],[0,"Default",0,1]],[[5349.62548828125,2213.814208984375,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,206,[],[[]],[0,"Default",0,1]],[[5468.2265625,2215.46875,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,207,[],[[]],[0,"Default",0,1]],[[5582.9521484375,2214.921630859375,0,177,68,0,
0,1,0.5028248429298401,0.5,0,0,[]],23,208,[],[[]],[0,"Default",0,1]],[[209.9336853027344,1222.23876953125,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,210,[],[[]],[0,"Default",0,1]],[[315.6954650878906,1222.953247070313,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,211,[],[[]],[0,"Default",0,1]],[[429.6296997070313,1222.957641601563,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,212,[],[[]],[0,"Default",0,1]],[[546.1519775390625,1224.395263671875,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,
[]],23,213,[],[[]],[0,"Default",0,1]],[[664.8284912109375,1223.671997070313,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,214,[],[[]],[0,"Default",0,1]],[[780.1954345703125,1224.390869140625,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,215,[],[[]],[0,"Default",0,1]],[[898.8685913085938,1225.109619140625,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,216,[],[[]],[0,"Default",0,1]],[[1012.521179199219,1226.538452148438,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,217,[],[[]],[0,"Default",
0,1]],[[1121.433227539063,1224.386474609375,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,218,[],[[]],[0,"Default",0,1]],[[4341.95458984375,1212.911865234375,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,220,[],[[]],[0,"Default",0,1]],[[4460.62744140625,1213.626342773438,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,221,[],[[]],[0,"Default",0,1]],[[4570.26708984375,1212.911987304688,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,222,[],[[]],[0,"Default",0,1]],[[4691.07958984375,1212.197509765625,
0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,223,[],[[]],[0,"Default",0,1]],[[4808.33251953125,1212.911987304688,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,224,[],[[]],[0,"Default",0,1]],[[4924.40625,1213.630737304688,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,225,[],[[]],[0,"Default",0,1]],[[5043.0966796875,1213.62646484375,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,226,[],[[]],[0,"Default",0,1]],[[5163.2080078125,1214.34521484375,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],
23,227,[],[[]],[0,"Default",0,1]],[[5280.71875,1213.630859375,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,228,[],[[]],[0,"Default",0,1]],[[1224.60791015625,1223.671875,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,229,[],[[]],[0,"Default",0,1]],[[1318.45166015625,1223.671997070313,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,230,[],[[]],[0,"Default",0,1]],[[55.71163177490234,2613.814208984375,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,965,[],[[]],[0,"Default",0,1]],[[-50.78712463378906,
2614.367919921875,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,2513,[],[[]],[0,"Default",0,1]],[[5699.7978515625,2215.12939453125,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,2559,[],[[]],[0,"Default",0,1]],[[5508.27587890625,2603.315185546875,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,2567,[],[[]],[0,"Default",0,1]],[[5629.6318359375,2603.315185546875,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,2569,[],[[]],[0,"Default",0,1]],[[5820.732421875,2213.8076171875,0,177,68,0,0,1,0.5028248429298401,
0.5,0,0,[]],23,9586,[],[[]],[0,"Default",0,1]],[[5944.25537109375,2214.361328125,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,9587,[],[[]],[0,"Default",0,1]],[[6063.13525390625,2215.814208984375,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,9588,[],[[]],[0,"Default",0,1]],[[5749.5322265625,2604.422607421875,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,9590,[],[[]],[0,"Default",0,1]]],[]],["main",5,0x825ab0ad2e1f9,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[-195,2178,0,103,167.64453125,0,0,1,
0.5,0.5,0,0,[]],41,141,[[0]],[[330,1500,3E3,950,1500,1E3,0,1]],[1,"Default",0,1]],[[771,2493,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,235,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[1139,2494,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,236,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[1285,2495,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,237,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[2280,2257,0,119,117,0,0,1,
0.5042017102241516,0.3247863352298737,0,0,[]],28,238,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[4940,2088,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,239,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[4508.8876953125,2085.269287109375,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,240,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[4678,2093,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,241,[[0],[0],[0]],[[],[1,400,0,0]],
[0,"Default",0,1]],[[4450,1098,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,242,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[4858,1097,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,243,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[3064,1488,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,244,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[2790,1488,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,245,[[0],[0],
[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[2521,1489,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,246,[[9],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[2251,1486,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,247,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[1975,1483,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,248,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[1832,1485,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,
0,[]],28,249,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[1573,1716,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,250,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[1155,1119,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,251,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[793,1112,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,252,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[618,1113,0,119,117,0,0,1,0.5042017102241516,
0.3247863352298737,0,0,[]],28,253,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[952,2489,0,106,109,0,0,1,0.5,0.2752293646335602,0,0,[]],40,254,[[0],[0],[0]],[[],[1,400,0,0],[]],[0,"Default",0,1]],[[2144,2258,0,106,109,0,0,1,0.5,0.2752293646335602,0,0,[]],40,255,[[0],[0],[0]],[[],[1,400,0,0],[]],[0,"Default",0,1]],[[3758,2151,0,106,109,0,0,1,0.5,0.2752293646335602,0,0,[]],40,256,[[0],[0],[0]],[[],[1,400,0,0],[]],[0,"Default",0,1]],[[4719,1097,0,106,109,0,0,1,0.5,0.2752293646335602,0,0,[]],40,
258,[[0],[0],[0]],[[],[1,400,0,0],[]],[0,"Default",0,1]],[[2855,1044,0,106,109,0,0,1,0.5,0.2752293646335602,0,0,[]],40,259,[[0],[0],[0]],[[],[1,400,0,0],[]],[0,"Default",0,1]],[[343,1105,0,106,109,0,0,1,0.5,0.2752293646335602,0,0,[]],40,260,[[0],[0],[0]],[[],[1,400,0,0],[]],[0,"Default",0,1]],[[1433,1710,0,106,109,0,0,1,0.5,0.2752293646335602,0,0,[]],40,261,[[0],[0],[0]],[[],[1,400,0,0],[]],[0,"Default",0,1]],[[2384,1481,0,106,109,0,0,1,0.5,0.2752293646335602,0,0,[]],40,262,[[0],[0],[0]],[[],[1,400,
0,0],[]],[0,"Default",0,1]],[[3800,1136,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,263,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[2730,1044,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,264,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[-167,487,0,175.0097351074219,91.60665893554688,0,0,1,0.4453125,0.5,0,0,[]],67,786,[[1]],[[]],[1,"Default",0,1]],[[5128,1091,0,94,113,0,0,1,0.5106382966041565,0.3097345232963562,0,0,[]],46,265,[[0],[0],[0]],[[],
[1,400,0,0]],[0,"Default",0,1]],[[2004,2257,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8801,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[2654,2481,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,9566,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[2787,2482,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,9567,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[2928,2489,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],
28,9568,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[3070,2492,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,9569,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[3219,2490,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,9570,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[980,1117,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,9572,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[1298,1717,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,
0,0,[]],28,9573,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[2112,1482,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,9574,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[2651,1488,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,9575,[[9],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[2917,1493,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,9576,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[2414,2257,0,119,117,0,0,1,0.5042017102241516,
0.3247863352298737,0,0,[]],28,9577,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[1876,2255,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,9578,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[617,2492,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,9579,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[2989,1044,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,9580,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[3384,1275,0,119,117,
0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,9581,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[3929,1134,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,9582,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[4063,1136,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,9583,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[4593,1097,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,9584,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,
1]],[[4996,1098,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,9585,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]]],[]],["gui",6,0x7bc25d784e081,!0,[255,255,255],!0,0,0,1,!1,1,0,0,[[[127,635,0,-149,166,0,-1.570796489715576,1,0.5021644830703735,0.5,0,0,[]],47,266,[[3]],[[],[0,1,0,0,1]],[0,"Default",0,0]],[[302,636,0,-149,-166,0,-1.570796489715576,1,0.5021644830703735,0.5,0,0,[]],47,267,[[1]],[[],[0,1,0,0,1]],[0,"Default",0,0]],[[913,622,0,207,208,0,0,1,0.5024154782295227,0.5,0,
0,[]],48,269,[[0]],[[],[1,1,0,0,1]],[0,"Default",0,0]],[[932,57,0,86,118,0,0,1,0.5,0.5,0,0,[]],60,783,[[0]],[[""],[],[1,0,0,0,1]],[0,"Default",0,1]],[[79,112,0,74,181,0,0,1,0.3918918967247009,0.5138121843338013,0,0,[]],61,784,[],[[]],[0,"Default",0,1]],[[128,22.18161010742188,0,676,50,0,0,1,0,0,0,0,[]],63,270,[[1]],[[]],["0",0,"bold 26pt Arial Black","rgb(255,153,0)",0,0,0,0,0]],[[128,83,0,288,50.36322021484375,0,0,1,0,0,0,0,[]],63,434,[[2]],[[]],["0",0,"bold 26pt Arial Black","rgb(255,153,0)",0,
0,0,0,0]],[[128,144,0,288,50.36322021484375,0,0,1,0,0,0,0,[]],63,435,[[3]],[[]],["0",0,"bold 26pt Arial Black","rgb(255,153,0)",0,0,0,0,0]],[[-419,183,0,222,70,0,0,1,0,0,0,0,[]],68,787,[[1]],[[1,0,4,1,1],[]],["\u0412\u043d\u0438\u043c\u0430\u043d\u0438\u0435 \u043d\u0435 \u0432\u0441\u0435 \u043f\u0440\u0435\u0434\u043c\u0435\u0442\u044b \u0441\u043e\u0431\u0440\u0430\u043d\u043d\u044b",0,"12pt Arial","rgb(0,0,0)",0,0,0,0,0]],[[-419,150,0,200,30,0,0,1,0,0,0,0,[]],68,990,[[0]],[[1,0,4,1,1],[]],["\u0412\u043d\u0438\u043c\u0430\u043d\u0438\u0435!",
0,"14pt Arial","rgb(0,0,0)",0,0,0,0,0]],[[512,110,0,128,128,0,0,1,0.5,0.5,0,0,[]],121,2521,[],[[]],[0,"Default",0,1]],[[512,110,0,173,90,0,0,1,0.4453125,0.5,0,0,[]],67,785,[[0]],[[]],[0,"Default",0,1]],[[739,663.0989990234375,0,125.1969604492188,-125.802001953125,0,0,1,0.5024154782295227,0.5,0,0,[]],48,9551,[[1]],[[],[1,1,0,0,1]],[0,"Default",0,0]]],[]],["guiTop",7,9068249914868912,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[-24,-10,0,2345,1016,0,0,1,0,0,0,0,[]],74,9552,[],[[]],[0,"Default",0,1]],[[660,
0,0,1024,768,0,0,1,0,0,0,0,[]],62,788,[],[[]],[0,"Default",0,1]],[[1576,679.8378295898438,0,162,149.1866455078125,0,0,1,0.5,0.5028901696205139,0,0,[]],16,789,[[5]],[[""],[]],[0,"Default",0,1]],[[1106,315,0,128,128,0,0,1,0,0.5,0,0,[]],120,2515,[],[[]],[3,360,0,0,8,100,0,702,102,0,7,0,0,0,0,0,0,0,10]]],[]],["black",8,0xb9131e5c01632,!0,[0,0,0],!1,1,1,0,!1,1,0,0,[],[]]],[],[]],["2",8500,3E3,!1,"eLv2-6",0xd432853ae891c,[["b4",0,9504771500974100,!0,[255,255,255],!1,0.4000000059604645,0.4000000059604645,
1,!1,1,0,0,[[[0,0,0,2302,2304.576171875,0,0,1,9.765629656612873E-4,7.501880172640085E-4,0,0,[]],44,268,[],[[]],[0,"Default",0,1]]],[]],["b3",1,0x6770d968532e5,!0,[255,255,255],!0,0.699999988079071,1,1,!1,1,0,0,[[[1003,2536,0,2048,280,0,0,1,0.5,0.5035714507102966,0,0,[]],43,272,[],[[]],[0,"Default",0,1]],[[3070,2517,0,2048,280,0,0,1,0.5,0.5035714507102966,0,0,[]],43,273,[],[[]],[0,"Default",0,1]],[[5103,2517,0,2048,280,0,0,1,0.5,0.5035714507102966,0,0,[]],43,274,[],[[]],[0,"Default",0,1]],[[7144,2517,
0,2048,280,0,0,1,0.5,0.5035714507102966,0,0,[]],43,275,[],[[]],[0,"Default",0,1]],[[9189,2517,0,2048,280,0,0,1,0.5,0.5035714507102966,0,0,[]],43,276,[],[[]],[0,"Default",0,1]],[[5163.91015625,1329.5390625,0,520.8204956054688,2718.921630859375,0,0,1,0.5,0.5,0,0,[]],45,277,[],[[]],[0,"Default",0,1]]],[]],["b2",2,0xd187d922b4f4f,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[],[]],["b1",3,0x5135277ca3c66,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[1088,1945,0,854,1458,0,0,1,0.5006536245346069,0.5004366636276245,0,0,
[]],51,279,[],[[]],[0,"Default",0,1]],[[7889,1626,0,203.2571411132813,213.5226440429688,0,0,1,0.5151515007019043,0.5064102411270142,0,0,[]],130,2328,[],[[]],[0,"Default",0,1]],[[1032,1360,0,1019,308,0,0,1,0.5004887580871582,0.5,0,0,[]],26,498,[],[[1],[]],[0,"Default",0,1]],[[1432.951049804688,1360.56103515625,0,454,337,0,0,1,0.7122207880020142,0.4608695507049561,0,0,[]],122,499,[],[[]],[0,"Default",0,1]],[[651.0379638671875,1374.788696289063,0,406,335,0,0,1,0.3641703426837921,0.5009041428565979,0,
0,[]],123,500,[],[[]],[0,"Default",0,1]],[[1009,1444,0,202.2677764892578,195.3095397949219,0,0,1,0.5,0.5015479922294617,0,0,[]],124,501,[],[[]],[0,"Default",0,1]],[[6333,100,0,882,374,0,0,1,0.5,0.5,0,0,[]],36,280,[],[[]],[0,"Default",0,1]],[[2208,2493,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],26,423,[],[[1],[]],[0,"Default",0,1]],[[3200,2148,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],26,520,[],[[1],[]],[0,"Default",0,1]],[[541.0439453125,500,0,1113,324,0,0,1,0.5004887580871582,0.5,0,0,
[]],26,629,[],[[1],[]],[0,"Default",0,1]],[[532.2388305664062,580.507568359375,0,329.5494384765625,221,0,0,1,0.5,0.5015479922294617,0,0,[]],124,2599,[],[[]],[0,"Default",0,1]],[[424,2843,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],27,283,[],[[1],[]],[0,"Default",0,1]],[[1410,2843,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],27,424,[],[[1],[]],[0,"Default",0,1]],[[2398,2843,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],27,425,[],[[1],[]],[0,"Default",0,1]],[[3203,2493,0,1023,356,0,0,1,0.5004887580871582,
0.5,0,0,[]],27,426,[],[[1],[]],[0,"Default",0,1]],[[3389,2843,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],27,427,[],[[1],[]],[0,"Default",0,1]],[[4386,2831,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],27,428,[],[[1],[]],[0,"Default",0,1]],[[5385,2832,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],27,429,[],[[1],[]],[0,"Default",0,1]],[[6384,2832,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],27,430,[],[[1],[]],[0,"Default",0,1]],[[7378,2832,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],
27,432,[],[[1],[]],[0,"Default",0,1]],[[8368,2832,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],27,539,[],[[1],[]],[0,"Default",0,1]],[[1470,500,0,1023,324,0,0,1,0.5004887580871582,0.5,0,0,[]],27,630,[],[[1],[]],[0,"Default",0,1]],[[2333,2530,0,223,215,0,0,1,0.5022421479225159,0.5023255944252014,0,0,[]],34,621,[],[[]],[0,"Default",0,1]],[[383,2851,0,223,215,0,0,1,0.5022421479225159,0.5023255944252014,0,0,[]],34,622,[],[[]],[0,"Default",0,1]],[[853,490,0,223,215,0,0,1,0.5022421479225159,0.5023255944252014,
0,0,[]],34,631,[],[[]],[0,"Default",0,1]],[[5700,2818,0,223,215,0,0,1,0.5022421479225159,0.5023255944252014,0,0,[]],34,650,[],[[]],[0,"Default",0,1]],[[2976,2531,0,268,268,0,0,1,0.5,0.5,0,0,[]],53,278,[],[[]],[0,"Default",0,1]],[[346,219,0,257,255,0,0,1,0.5019454956054688,0.4901960790157318,0,0,[]],24,286,[],[[]],[0,"Default",0,1]],[[8475,1344,0,257,255,0,0,1,0.5019454956054688,0.4901960790157318,0,0,[]],24,422,[],[[]],[0,"Default",0,1]],[[691,2761,0,539,524,0,0,1,0.5009276270866394,0.5,0,0,[]],57,
284,[],[[]],[0,"Default",0,1]],[[985,1102,0,269,213,0,0,1,0.5018587112426758,0.5023474097251892,0,0,[]],56,285,[],[[]],[0,"Default",0,1]],[[7321,2808,0,376.7289733886719,251.4274291992188,0,0,1,0.5010941028594971,0.5016393661499023,0,0,[]],54,618,[],[[]],[0,"Default",0,1]],[[3621.000244140625,2090,0,-238,221,0,-1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,2539,[],[[]],[0,"Default",0,1]],[[3621,2324,0,-232,221,0,-1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,2601,[],[[]],[0,"Default",
0,1]],[[3621.669921875,2555.33984375,0,-232,221,0,-1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,2610,[],[[]],[0,"Default",0,1]],[[3621.669921875,2786.33984375,0,-232,221,0,-1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,2611,[],[[]],[0,"Default",0,1]],[[1869,502,0,454.2306518554688,347.3151550292969,0,0,1,0.7122207880020142,0.4608695507049561,0,0,[]],122,2577,[],[[]],[0,"Default",0,1]],[[1273,580,0,232,221,0,0,1,0.5,0.5015479922294617,0,0,[]],124,2594,[],[[]],[0,"Default",0,1]],
[[1042,580,0,232,221,0,0,1,0.5,0.5015479922294617,0,0,[]],124,2595,[],[[]],[0,"Default",0,1]],[[812,580,0,232,221,0,0,1,0.5,0.5015479922294617,0,0,[]],124,2596,[],[[]],[0,"Default",0,1]],[[111.3592529296875,523,0,407.2657470703125,334.5766906738281,0,0,1,0.3641703426837921,0.5009041428565979,0,0,[]],123,2592,[],[[]],[0,"Default",0,1]],[[1468.053466796875,580.0000610351562,0,162.1070556640625,221,0,0,1,0.5,0.5015479922294617,0,0,[]],124,2600,[],[[]],[0,"Default",0,1]],[[5867,436,0,1023,324,0,0,1,0.5004887580871582,
0.5,0,0,[]],26,543,[],[[1],[]],[0,"Default",0,1]],[[6751,436,0,1023,324,0,0,1,0.5004887580871582,0.5,0,0,[]],27,544,[],[[1],[]],[0,"Default",0,1]],[[6659,413,0,223,215,0,0,1,0.5022421479225159,0.5023255944252014,0,0,[]],34,548,[],[[]],[0,"Default",0,1]],[[7150,438,0,454.2306518554688,347.3151550292969,0,0,1,0.7122207880020142,0.4608695507049561,0,0,[]],122,549,[],[[]],[0,"Default",0,1]],[[5489,458,0,406.2792358398438,334.5766906738281,0,0,1,0.3641703426837921,0.5009041428565979,0,0,[]],123,550,[],
[[]],[0,"Default",0,1]],[[6554,516,0,232,221,0,0,1,0.5,0.5015479922294617,0,0,[]],124,551,[],[[]],[0,"Default",0,1]],[[6323,516,0,232,221,0,0,1,0.5,0.5015479922294617,0,0,[]],124,552,[],[[]],[0,"Default",0,1]],[[6093,516,0,232,221,0,0,1,0.5,0.5015479922294617,0,0,[]],124,553,[],[[]],[0,"Default",0,1]],[[5862,516,0,232,221,0,0,1,0.5,0.5015479922294617,0,0,[]],124,554,[],[[]],[0,"Default",0,1]],[[6749,516,0,162.1070556640625,221,0,0,1,0.5,0.5015479922294617,0,0,[]],124,555,[],[[]],[0,"Default",0,1]],
[[2784.999755859375,2226.068359375,0,-195,221,0,1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,2643,[],[[]],[0,"Default",0,1]],[[2784.999755859375,2050.431640625,0,-158,221,0,1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,2644,[],[[]],[0,"Default",0,1]],[[1791.756103515625,2581.0234375,0,-186,221,0,1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,2645,[],[[]],[0,"Default",0,1]],[[1791.731567382813,2404.046142578125,0,-168.8639221191406,221,0,1.570796370506287,1,0.5,0.5015479922294617,
0,0,[]],124,2646,[],[[]],[0,"Default",0,1]],[[1990,2331,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,510,[],[[]],[0,"Default",0,1]],[[3009,2447,0,54,83,0,0,1,0.5,0.5060241222381592,0,0,[]],25,513,[],[[]],[0,"Default",0,1]],[[7919,1551,0,642.8124389648438,203.5887145996094,0,0,1,0.5004887580871582,0.5,0,0,[]],26,2648,[],[[1],[]],[0,"Default",0,1]],[[8474,1551,0,642.8124389648438,203.5887145996094,0,0,1,0.5004887580871582,0.5,0,0,[]],27,2650,[],[[1],[]],[0,"Default",0,1]],[[8011,1536,0,140.1243133544922,
135.0974426269531,0,0,1,0.5022421479225159,0.5023255944252014,0,0,[]],34,2651,[],[[]],[0,"Default",0,1]],[[7681,1565,0,255.2896881103516,210.2346801757813,0,0,1,0.3641703426837921,0.5009041428565979,0,0,[]],123,2653,[],[[]],[0,"Default",0,1]],[[8351,1601,0,145.7795562744141,138.8675994873047,0,0,1,0.5,0.5015479922294617,0,0,[]],124,2654,[],[[]],[0,"Default",0,1]],[[8205,1601,0,145.7795562744141,138.8675994873047,0,0,1,0.5,0.5015479922294617,0,0,[]],124,2674,[],[[]],[0,"Default",0,1]],[[8061,1601,
0,145.7795562744141,138.8675994873047,0,0,1,0.5,0.5015479922294617,0,0,[]],124,2710,[],[[]],[0,"Default",0,1]],[[7916,1601,0,145.7795562744141,138.8675994873047,0,0,1,0.5,0.5015479922294617,0,0,[]],124,2716,[],[[]],[0,"Default",0,1]],[[8473,1601,0,101.8616104125977,138.8675994873047,0,0,1,0.5,0.5015479922294617,0,0,[]],124,2737,[],[[]],[0,"Default",0,1]],[[8223,1354,0,200,200,0,0,1,0.4969135820865631,0.5,0,0,[]],50,288,[[0]],[[]],[0,"Default",0,1]],[[-45,-308,0,436,356,0,0,1,0.5,0.5,0,0,[]],134,2327,
[],[[],[1,6,0,4,0,0,0,50,0]],[0,"Default",0,1]],[[4375.52587890625,2819,0,469.1239624023438,428,0,0,1,0.6384297609329224,0.5841121673583984,0,0,[]],131,2347,[],[[]],[0,"Default",0,1]],[[3937.307373046875,2835,0,277.1987915039063,398,0,0,1,0.481617659330368,0.5929648280143738,0,0,[]],132,2348,[],[[]],[0,"Default",0,1]],[[4736.2919921875,2820,0,290.447265625,408,0,0,1,0.6701754331588745,0.5686274766921997,0,0,[]],133,2349,[],[[]],[0,"Default",0,1]],[[3857.81640625,2964,0,876.4373168945312,320,0,0,1,
0,1,0,0,[]],126,2352,[[0]],[],[0,6,0,0,1E3,349]],[[3910.810302734375,2839,0,496.30810546875,540,0,0,1,0.6242299675941467,0.4703703820705414,0,0,[]],127,2353,[],[[]],[0,"Default",0,1]],[[4688,2814,0,448.4097900390625,496,0,0,1,0.4340909123420715,0.4233871102333069,0,0,[]],128,2354,[],[[]],[0,"Default",0,1]],[[4262.3662109375,2997,0,401.5306091308594,191,0,0,1,0.4173553586006165,0.3141361176967621,0,0,[]],129,2355,[],[[]],[0,"Default",0,1]]],[]],["main",4,966111989436611,!0,[255,255,255],!0,1,1,1,!1,
1,0,0,[[[8460,877,0,161,74,0,0,1,0.5031055808067322,0.5,0,0,[]],31,772,[],[[1],[]],[0,"Default",0,1]],[[6567,1887,0,161,74,0,0,1,0.5031055808067322,0.5,0,0,[]],31,681,[],[[1],[]],[0,"Default",0,1]],[[7511,1627,0,161,74,0,0,1,0.5031055808067322,0.5,0,0,[]],31,689,[],[[1],[]],[0,"Default",0,1]],[[7341,1145,0,161,74,0,0,1,0.5031055808067322,0.5,0,0,[]],31,769,[],[[1],[]],[0,"Default",0,1]],[[8453,495,0,161,74,0,0,1,0.5031055808067322,0.5,0,0,[]],31,743,[],[[1],[]],[0,"Default",0,1]],[[4936,2516,0,161,
74,0,0,1,0.5031055808067322,0.5,0,0,[]],31,672,[],[[1],[]],[0,"Default",0,1]],[[2087,1924,0,161,74,0,0,1,0.5031055808067322,0.5,0,0,[]],31,652,[],[[1],[]],[0,"Default",0,1]],[[2114,1024,0,161,74,0,0,1,0.5031055808067322,0.5,0,0,[]],31,665,[],[[1],[]],[0,"Default",0,1]],[[2892,1427,0,161,74,0,0,1,0.5031055808067322,0.5,0,0,[]],31,740,[],[[1],[]],[0,"Default",0,1]],[[5370,1273,0,161,74,0,0,1,0.5031055808067322,0.5,0,0,[]],31,722,[],[[1],[]],[0,"Default",0,1]],[[2751,1428,0,157,75,0,0,1,0.5031847357749939,
0.5066666603088379,0,0,[]],30,741,[],[[1],[]],[0,"Default",0,1]],[[5265,331,0,161,74,0,0,1,0.5031055808067322,0.5,0,0,[]],31,670,[],[[1],[]],[0,"Default",0,1]],[[5459,1731,0,106,109,0,0,1,0.5,0.2752293646335602,0,0,[]],40,386,[[0],[0],[0]],[[],[1,400,0,0],[]],[0,"Default",0,1]],[[7682,1342,0,106,109,0,0,1,0.5,0.2752293646335602,0,0,[]],40,388,[[0],[0],[0]],[[],[1,400,0,0],[]],[0,"Default",0,1]],[[8422,337,0,106,109,0,0,1,0.5,0.2752293646335602,0,0,[]],40,389,[[0],[0],[0]],[[],[1,400,0,0],[]],[0,"Default",
0,1]],[[5117,206,0,106,109,0,0,1,0.5,0.2752293646335602,0,0,[]],40,390,[[0],[0],[0]],[[],[1,400,0,0],[]],[0,"Default",0,1]],[[3629,184,0,106,109,0,0,1,0.5,0.2752293646335602,0,0,[]],40,391,[[0],[0],[0]],[[],[1,400,0,0],[]],[0,"Default",0,1]],[[595,212,0,106,109,0,0,1,0.5,0.2752293646335602,0,0,[]],40,392,[[0],[0],[0]],[[],[1,400,0,0],[]],[0,"Default",0,1]],[[2750,1305,0,106,109,0,0,1,0.5,0.2752293646335602,0,0,[]],40,393,[[0],[0],[0]],[[],[1,400,0,0],[]],[0,"Default",0,1]],[[1189,1085,0,106,109,0,
0,1,0.5,0.2752293646335602,0,0,[]],40,395,[[0],[0],[0]],[[],[1,400,0,0],[]],[0,"Default",0,1]],[[3637,1828,0,106,109,0,0,1,0.5,0.2752293646335602,0,0,[]],40,396,[[0],[0],[0]],[[],[1,400,0,0],[]],[0,"Default",0,1]],[[4269,997,0,106,109,0,0,1,0.5,0.2752293646335602,0,0,[]],40,401,[[0],[0],[0]],[[],[1,400,0,0],[]],[0,"Default",0,1]],[[7198,1009,0,106,109,0,0,1,0.5,0.2752293646335602,0,0,[]],40,410,[[0],[0],[0]],[[],[1,400,0,0],[]],[0,"Default",0,1]],[[8071,741,0,106,109,0,0,1,0.5,0.2752293646335602,
0,0,[]],40,411,[[0],[0],[0]],[[],[1,400,0,0],[]],[0,"Default",0,1]],[[1190,2524,0,106,109,0,0,1,0.5,0.2752293646335602,0,0,[]],40,419,[[0],[0],[0]],[[],[1,400,0,0],[]],[0,"Default",0,1]],[[80,171,0,153,214,0,0,1,0.5,0.5,0,0,[]],41,310,[[0]],[[330,1500,3E3,950,1500,1E3,0,1]],[1,"Default",0,1]],[[2595,2075,0,162,77,0,0,1,0.5,0.5064935088157654,0,0,[]],29,659,[],[[1],[]],[0,"Default",0,1]],[[2612,1429,0,162,77,0,0,1,0.5,0.5064935088157654,0,0,[]],29,742,[],[[1],[]],[0,"Default",0,1]],[[1948,1924,0,157,
75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,653,[],[[1],[]],[0,"Default",0,1]],[[1813,1924,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,654,[],[[1],[]],[0,"Default",0,1]],[[1678,1924,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,655,[],[[1],[]],[0,"Default",0,1]],[[245,1484,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,663,[],[[1],[]],[0,"Default",0,1]],[[433,1346,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,664,
[],[[1],[]],[0,"Default",0,1]],[[1977,1024,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,666,[],[[1],[]],[0,"Default",0,1]],[[2352,756,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,668,[],[[1],[]],[0,"Default",0,1]],[[5122,334,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,671,[],[[1],[]],[0,"Default",0,1]],[[4793,2517,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,673,[],[[1],[]],[0,"Default",0,1]],[[4652,2517,0,157,75,0,0,1,0.5031847357749939,
0.5066666603088379,0,0,[]],30,674,[],[[1],[]],[0,"Default",0,1]],[[4512,2517,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,675,[],[[1],[]],[0,"Default",0,1]],[[4373,2517,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,676,[],[[1],[]],[0,"Default",0,1]],[[4235,2517,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,677,[],[[1],[]],[0,"Default",0,1]],[[4102,2517,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,678,[],[[1],[]],[0,"Default",
0,1]],[[3963,2517,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,679,[],[[1],[]],[0,"Default",0,1]],[[6426,1888,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,682,[],[[1],[]],[0,"Default",0,1]],[[6285,1888,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,683,[],[[1],[]],[0,"Default",0,1]],[[6147,1888,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,684,[],[[1],[]],[0,"Default",0,1]],[[6010,1888,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,
0,0,[]],30,685,[],[[1],[]],[0,"Default",0,1]],[[5873,1888,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,686,[],[[1],[]],[0,"Default",0,1]],[[5735,1888,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,687,[],[[1],[]],[0,"Default",0,1]],[[5598,1888,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,688,[],[[1],[]],[0,"Default",0,1]],[[7370,1628,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,690,[],[[1],[]],[0,"Default",0,1]],[[7229,1628,
0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,691,[],[[1],[]],[0,"Default",0,1]],[[7091,1628,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,692,[],[[1],[]],[0,"Default",0,1]],[[6954,1628,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,693,[],[[1],[]],[0,"Default",0,1]],[[6818,1628,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,694,[],[[1],[]],[0,"Default",0,1]],[[5461,1888,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,
[]],30,700,[],[[1],[]],[0,"Default",0,1]],[[5322,1888,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,701,[],[[1],[]],[0,"Default",0,1]],[[4985,334,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,703,[],[[1],[]],[0,"Default",0,1]],[[4847,334,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,704,[],[[1],[]],[0,"Default",0,1]],[[4711,334,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,705,[],[[1],[]],[0,"Default",0,1]],[[4573,334,0,157,75,
0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,706,[],[[1],[]],[0,"Default",0,1]],[[4436,334,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,707,[],[[1],[]],[0,"Default",0,1]],[[4299,334,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,708,[],[[1],[]],[0,"Default",0,1]],[[4160,334,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,709,[],[[1],[]],[0,"Default",0,1]],[[4022,334,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,710,[],
[[1],[]],[0,"Default",0,1]],[[3884,334,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,711,[],[[1],[]],[0,"Default",0,1]],[[3746,334,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,712,[],[[1],[]],[0,"Default",0,1]],[[3607,334,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,713,[],[[1],[]],[0,"Default",0,1]],[[3469,334,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,714,[],[[1],[]],[0,"Default",0,1]],[[3330,334,0,157,75,0,0,1,0.5031847357749939,
0.5066666603088379,0,0,[]],30,715,[],[[1],[]],[0,"Default",0,1]],[[3192,334,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,716,[],[[1],[]],[0,"Default",0,1]],[[3051,334,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,717,[],[[1],[]],[0,"Default",0,1]],[[2913,334,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,718,[],[[1],[]],[0,"Default",0,1]],[[2775,334,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,719,[],[[1],[]],[0,"Default",0,
1]],[[2638,334,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,720,[],[[1],[]],[0,"Default",0,1]],[[5227,1274,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,723,[],[[1],[]],[0,"Default",0,1]],[[5090,1274,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,724,[],[[1],[]],[0,"Default",0,1]],[[4956,1274,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,725,[],[[1],[]],[0,"Default",0,1]],[[4818,1274,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,
0,0,[]],30,726,[],[[1],[]],[0,"Default",0,1]],[[4681,1274,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,727,[],[[1],[]],[0,"Default",0,1]],[[4543,1274,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,728,[],[[1],[]],[0,"Default",0,1]],[[4403,1274,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,729,[],[[1],[]],[0,"Default",0,1]],[[4264,1274,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,730,[],[[1],[]],[0,"Default",0,1]],[[4126,1274,
0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,731,[],[[1],[]],[0,"Default",0,1]],[[3989,1274,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,732,[],[[1],[]],[0,"Default",0,1]],[[3850,1274,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,733,[],[[1],[]],[0,"Default",0,1]],[[3709,1274,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,734,[],[[1],[]],[0,"Default",0,1]],[[3570,1274,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,
[]],30,735,[],[[1],[]],[0,"Default",0,1]],[[3432,1274,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,736,[],[[1],[]],[0,"Default",0,1]],[[3294,1274,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,737,[],[[1],[]],[0,"Default",0,1]],[[8315,496,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,744,[],[[1],[]],[0,"Default",0,1]],[[8174,496,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,745,[],[[1],[]],[0,"Default",0,1]],[[8036,496,0,157,
75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,746,[],[[1],[]],[0,"Default",0,1]],[[7899,496,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,747,[],[[1],[]],[0,"Default",0,1]],[[7764,496,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,748,[],[[1],[]],[0,"Default",0,1]],[[7628,496,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,749,[],[[1],[]],[0,"Default",0,1]],[[7199,1146,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,770,
[],[[1],[]],[0,"Default",0,1]],[[8320,878,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,773,[],[[1],[]],[0,"Default",0,1]],[[8183,878,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,774,[],[[1],[]],[0,"Default",0,1]],[[8046,878,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,775,[],[[1],[]],[0,"Default",0,1]],[[7909,878,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,776,[],[[1],[]],[0,"Default",0,1]],[[7772,878,0,157,75,0,0,1,0.5031847357749939,
0.5066666603088379,0,0,[]],30,777,[],[[1],[]],[0,"Default",0,1]],[[7634,878,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,778,[],[[1],[]],[0,"Default",0,1]],[[1614,2397,0,161,74,0,0,1,0.5031055808067322,0.5,0,0,[]],31,657,[],[[1],[]],[0,"Default",0,1]],[[1973,1456,0,161,74,0,0,1,0.5031055808067322,0.5,0,0,[]],31,660,[],[[1],[]],[0,"Default",0,1]],[[2229,461,0,161,74,0,0,1,0.5031055808067322,0.5,0,0,[]],31,669,[],[[1],[]],[0,"Default",0,1]],[[2176,1710,0,157,75,0,0,1,0.5031847357749939,
0.5066666603088379,0,0,[]],32,287,[],[[1,0,1,10,0,2,0,490,0],[1]],[0,"Default",0,1]],[[4465,2087,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],32,680,[],[[1,0,1,7,0,2,0,490,0],[1]],[0,"Default",0,1]],[[4329,2086,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],32,702,[],[[1,0,1,7,0,2,0,490,0],[1]],[0,"Default",0,1]],[[5989,1382,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],32,739,[],[[1,0,1,7,0,2,0,490,0],[1]],[0,"Default",0,1]],[[3156,1275,0,162,77,0,0,1,
0.5,0.5064935088157654,0,0,[]],29,738,[],[[1],[]],[0,"Default",0,1]],[[1841,1024,0,162,77,0,0,1,0.5,0.5064935088157654,0,0,[]],29,667,[],[[1],[]],[0,"Default",0,1]],[[2088,463,0,162,77,0,0,1,0.5,0.5064935088157654,0,0,[]],29,767,[],[[1],[]],[0,"Default",0,1]],[[2496,337,0,162,77,0,0,1,0.5,0.5064935088157654,0,0,[]],29,721,[],[[1],[]],[0,"Default",0,1]],[[1834,1456,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,661,[],[[1],[]],[0,"Default",0,1]],[[1693,1456,0,162,77,0,0,1,0.5,0.5064935088157654,
0,0,[]],29,662,[],[[1],[]],[0,"Default",0,1]],[[1542,1924,0,162,77,0,0,1,0.5,0.5064935088157654,0,0,[]],29,656,[],[[1],[]],[0,"Default",0,1]],[[1469,2398,0,162,77,0,0,1,0.5,0.5064935088157654,0,0,[]],29,658,[],[[1],[]],[0,"Default",0,1]],[[3825,2518,0,162,77,0,0,1,0.5,0.5064935088157654,0,0,[]],29,768,[],[[1],[]],[0,"Default",0,1]],[[5184,1889,0,162,77,0,0,1,0.5,0.5064935088157654,0,0,[]],29,761,[],[[1],[]],[0,"Default",0,1]],[[7495,879,0,162,77,0,0,1,0.5,0.5064935088157654,0,0,[]],29,779,[],[[1],
[]],[0,"Default",0,1]],[[7060,1147,0,162,77,0,0,1,0.5,0.5064935088157654,0,0,[]],29,771,[],[[1],[]],[0,"Default",0,1]],[[6680,1629,0,162,77,0,0,1,0.5,0.5064935088157654,0,0,[]],29,760,[],[[1],[]],[0,"Default",0,1]],[[4293,3088,0,862,893,0,0,1,0.5,0.5,0,0,[]],52,2511,[[1]],[[]],[0,"Default",0,1]],[[102,1487,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,281,[],[[1],[]],[0,"Default",0,1]],[[7493,498,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,347,[],[[1],[]],[0,
"Default",0,1]],[[7356,500,0,162,77,0,0,1,0.5,0.5064935088157654,0,0,[]],29,750,[],[[1],[]],[0,"Default",0,1]]],[]],["general",5,8389956788737937,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[3090,1335,0,1124.104614257813,1006.390380859375,0,0,1,0.4940828382968903,0.43376624584198,0,0,[]],33,781,[],[[1,0,0,4,0,0,0,50,0],[]],[0,"Default",0,1]],[[106,1356,0,94,113,0,0,1,0.5106382966041565,0.3097345232963562,0,0,[]],46,307,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[7928,1978,0,800.2451782226562,800.2451782226562,
0,0,1,0.4940828382968903,0.43376624584198,0,0,[]],33,780,[],[[1,0,0,4,0,0,0,50,0],[]],[0,"Default",0,1]],[[1157,490,0,1124.104614257813,1006.390380859375,0,0,1,0.4940828382968903,0.43376624584198,0,0,[]],33,782,[],[[1,0,0,4,0,0,0,50,0],[]],[0,"Default",0,1]],[[218,2551,0,142.8915710449219,142.8915710449219,0,0,1,0.5,0.5,0,0,[]],72,1855,[[0],[0]],[[]],[1,"Default",0,1]],[[8298,2538,0,94,113,0,0,1,0.5106382966041565,0.3097345232963562,0,0,[]],46,302,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],
[[7395,1960,0,150,165,0,0,1,0.5018315315246582,0.5,0,0,[]],42,311,[[0],[0],[0],[0],[0],[0],[0],[3],[0]],[[],[]],[0,"Default",0,1]]],[]],["tuman",6,0x90e9be1967b8c,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[6835,2544,0,1960,232,0,0,1,0.5,0.5,0,0,[]],58,306,[],[[1,0,0,40,0,0,0,100,0],[]],[0,"Default",0,1]]],[]],["zvezdi",7,5795901935143076,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[5360,2533,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,289,[[9],[0],[0]],[[],[1,700,700,0]],[0,"Default",0,1]],
[[5715,2533,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,290,[[0],[0],[0]],[[],[1,700,700,0]],[0,"Default",0,1]],[[6082,2535,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,291,[[0],[0],[0]],[[],[1,700,700,0]],[0,"Default",0,1]],[[6461,2543,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,292,[[0],[0],[0]],[[],[1,700,700,0]],[0,"Default",0,1]],[[6854,2540,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,293,[[0],[0],[0]],[[],[1,
700,700,0]],[0,"Default",0,1]],[[7268,2536,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,294,[[0],[0],[0]],[[],[1,700,700,0]],[0,"Default",0,1]],[[7649,2546,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,295,[[0],[0],[0]],[[],[1,700,700,0]],[0,"Default",0,1]],[[2092,2195,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,315,[[0],[0],[0]],[[],[1,700,700,0]],[0,"Default",0,1]],[[1802,2195,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],
28,314,[[0],[0],[0]],[[],[1,700,700,0]],[0,"Default",0,1]],[[8006,2547,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,296,[[0],[0],[0]],[[],[1,700,700,0]],[0,"Default",0,1]],[[699,2400,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,308,[[0],[0],[0]],[[],[1,700,700,0]],[0,"Default",0,1]],[[990,2532,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,309,[[0],[0],[0]],[[],[1,700,700,0]],[0,"Default",0,1]],[[1537,2262,0,119,117,0,0,1,0.5042017102241516,
0.3247863352298737,0,0,[]],28,312,[[0],[0],[0]],[[],[1,700,700,0]],[0,"Default",0,1]],[[2600,1953,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,316,[[0],[0],[0]],[[],[1,700,700,0]],[0,"Default",0,1]],[[3140,1837,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,317,[[0],[0],[0]],[[],[1,700,700,0]],[0,"Default",0,1]],[[3412,1841,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,318,[[9],[0],[0]],[[],[1,700,700,0]],[0,"Default",0,1]],[[3823,2372,0,119,
117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,319,[[9],[0],[0]],[[],[1,700,700,0]],[0,"Default",0,1]],[[4087,2373,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,321,[[0],[0],[0]],[[],[1,700,700,0]],[0,"Default",0,1]],[[4362,2372,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,323,[[0],[0],[0]],[[],[1,700,700,0]],[0,"Default",0,1]],[[4635,2371,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,325,[[0],[0],[0]],[[],[1,700,700,0]],[0,"Default",
0,1]],[[5202,1731,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,327,[[0],[0],[0]],[[],[1,700,700,0]],[0,"Default",0,1]],[[5372,1123,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,328,[[0],[0],[0]],[[],[1,700,700,0]],[0,"Default",0,1]],[[5736,1733,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,329,[[0],[0],[0]],[[],[1,700,700,0]],[0,"Default",0,1]],[[6001,1732,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,331,[[0],[0],[0]],[[],
[1,700,700,0]],[0,"Default",0,1]],[[6257,1737,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,332,[[0],[0],[0]],[[],[1,700,700,0]],[0,"Default",0,1]],[[6536,1733,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,333,[[0],[0],[0]],[[],[1,700,700,0]],[0,"Default",0,1]],[[6758,1498,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,334,[[0],[0],[0]],[[],[1,700,700,0]],[0,"Default",0,1]],[[7086,1492,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,
0,[]],28,335,[[0],[0],[0]],[[],[1,700,700,0]],[0,"Default",0,1]],[[7395,1489,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,336,[[0],[0],[0]],[[],[1,700,700,0]],[0,"Default",0,1]],[[4945,1147,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,337,[[0],[0],[0]],[[],[1,700,700,0]],[0,"Default",0,1]],[[4537,1131,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,338,[[0],[0],[0]],[[],[1,700,700,0]],[0,"Default",0,1]],[[7487,361,0,119,117,0,0,1,0.5042017102241516,
0.3247863352298737,0,0,[]],28,350,[[0],[0],[0]],[[],[1,700,700,0]],[0,"Default",0,1]],[[7789,350,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,351,[[0],[0],[0]],[[],[1,700,700,0]],[0,"Default",0,1]],[[8094,343,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,352,[[0],[0],[0]],[[],[1,700,700,0]],[0,"Default",0,1]],[[4769,203,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,363,[[0],[0],[0]],[[],[1,700,700,0]],[0,"Default",0,1]],[[4408,198,0,119,117,
0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,364,[[0],[0],[0]],[[],[1,700,700,0]],[0,"Default",0,1]],[[4068,198,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,365,[[0],[0],[0]],[[],[1,700,700,0]],[0,"Default",0,1]],[[2517,185,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,366,[[0],[0],[0]],[[],[1,700,700,0]],[0,"Default",0,1]],[[2860,197,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,367,[[0],[0],[0]],[[],[1,700,700,0]],[0,"Default",
0,1]],[[3204,199,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,368,[[0],[0],[0]],[[],[1,700,700,0]],[0,"Default",0,1]],[[2354,619,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,369,[[0],[0],[0]],[[],[1,700,700,0]],[0,"Default",0,1]],[[1986,906,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,370,[[0],[0],[0]],[[],[1,700,700,0]],[0,"Default",0,1]],[[1877,209,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,371,[[0],[0],[0]],[[],[1,
700,700,0]],[0,"Default",0,1]],[[1579,208,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,372,[[0],[0],[0]],[[],[1,700,700,0]],[0,"Default",0,1]],[[1274,221,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,373,[[0],[0],[0]],[[],[1,700,700,0]],[0,"Default",0,1]],[[921,214,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,375,[[0],[0],[0]],[[],[1,700,700,0]],[0,"Default",0,1]],[[758,1080,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,
376,[[0],[0],[0]],[[],[1,700,700,0]],[0,"Default",0,1]],[[1380,1087,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,377,[[0],[0],[0]],[[],[1,700,700,0]],[0,"Default",0,1]],[[1536,1798,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,378,[[0],[0],[0]],[[],[1,700,700,0]],[0,"Default",0,1]],[[418,2542,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,379,[[0],[0],[0]],[[],[1,700,700,0]],[0,"Default",0,1]],[[3988,1132,0,119,117,0,0,1,0.5042017102241516,
0.3247863352298737,0,0,[]],28,380,[[0],[0],[0]],[[],[1,700,700,0]],[0,"Default",0,1]],[[3571,1131,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,381,[[0],[0],[0]],[[],[1,700,700,0]],[0,"Default",0,1]],[[3186,1127,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,382,[[0],[0],[0]],[[],[1,700,700,0]],[0,"Default",0,1]],[[7940,1341,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,383,[[0],[0],[0]],[[],[1,700,700,0]],[0,"Default",0,1]],[[1837,1319,0,119,
117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,394,[[0],[0],[0]],[[],[1,700,700,0]],[0,"Default",0,1]],[[2087,1786,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,398,[[0],[0],[0]],[[],[1,700,700,0]],[0,"Default",0,1]],[[1810,1796,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,399,[[0],[0],[0]],[[],[1,700,700,0]],[0,"Default",0,1]],[[2867,1845,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,400,[[0],[0],[0]],[[],[1,700,700,0]],[0,"Default",
0,1]],[[8324,740,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,412,[[0],[0],[0]],[[],[1,700,700,0]],[0,"Default",0,1]],[[7538,736,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,415,[[0],[0],[0]],[[],[1,700,700,0]],[0,"Default",0,1]],[[7822,737,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,416,[[0],[0],[0]],[[],[1,700,700,0]],[0,"Default",0,1]],[[4914,2371,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,421,[[9],[0],[0]],[[],
[1,700,700,0]],[0,"Default",0,1]],[[255,1354,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,282,[[0],[0],[0]],[[],[1,700,700,0]],[0,"Default",0,1]],[[5467,146,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,257,[[9],[0],[0]],[[],[1,700,700,0]],[0,"Default",0,1]],[[5822,145,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,297,[[0],[0],[0]],[[],[1,700,700,0]],[0,"Default",0,1]],[[6142,152,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],
28,298,[[0],[0],[0]],[[],[1,700,700,0]],[0,"Default",0,1]],[[6521,151,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,299,[[0],[0],[0]],[[],[1,700,700,0]],[0,"Default",0,1]],[[6864,157,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,300,[[0],[0],[0]],[[],[1,700,700,0]],[0,"Default",0,1]],[[7186,156,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,301,[[0],[0],[0]],[[],[1,700,700,0]],[0,"Default",0,1]]],[]],["trava",8,7227237287387832,!0,[255,255,255],
!0,1,1,1,!1,1,0,0,[[[-14,2680,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,303,[],[[]],[0,"Default",0,1]],[[566,1218,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,502,[],[[]],[0,"Default",0,1]],[[670,1219,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,503,[],[[]],[0,"Default",0,1]],[[778,1219,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,504,[],[[]],[0,"Default",0,1]],[[898,1220,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,505,[],[[]],[0,"Default",0,1]],[[1019,1220,0,177,68,0,0,1,
0.5028248429298401,0.5,0,0,[]],23,506,[],[[]],[0,"Default",0,1]],[[1137,1218,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,507,[],[[]],[0,"Default",0,1]],[[1254,1216,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,2639,[],[[]],[0,"Default",0,1]],[[1374,1215,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,2641,[],[[]],[0,"Default",0,1]],[[1492,1216,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,2642,[],[[]],[0,"Default",0,1]],[[95,2679,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,437,[],
[[]],[0,"Default",0,1]],[[213,2677,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,438,[],[[]],[0,"Default",0,1]],[[329,2677,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,439,[],[[]],[0,"Default",0,1]],[[1171,2678,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,440,[],[[]],[0,"Default",0,1]],[[1285,2677,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,441,[],[[]],[0,"Default",0,1]],[[1401,2677,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,442,[],[[]],[0,"Default",0,1]],[[1520,2678,0,177,68,
0,0,1,0.5028248429298401,0.5,0,0,[]],23,443,[],[[]],[0,"Default",0,1]],[[1637,2678,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,444,[],[[]],[0,"Default",0,1]],[[1751,2677,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,445,[],[[]],[0,"Default",0,1]],[[2104,2677,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,446,[],[[]],[0,"Default",0,1]],[[2219,2676,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,447,[],[[]],[0,"Default",0,1]],[[2339,2675,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,448,
[],[[]],[0,"Default",0,1]],[[2457,2677,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,449,[],[[]],[0,"Default",0,1]],[[2577,2677,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,450,[],[[]],[0,"Default",0,1]],[[2694,2676,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,451,[],[[]],[0,"Default",0,1]],[[2815,2677,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,452,[],[[]],[0,"Default",0,1]],[[2936,2677,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,453,[],[[]],[0,"Default",0,1]],[[3057,2677,0,
177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,454,[],[[]],[0,"Default",0,1]],[[3176,2677,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,455,[],[[]],[0,"Default",0,1]],[[3297,2678,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,456,[],[[]],[0,"Default",0,1]],[[3417,2677,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,457,[],[[]],[0,"Default",0,1]],[[3534,2677,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,458,[],[[]],[0,"Default",0,1]],[[4975,2665,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],
23,475,[],[[]],[0,"Default",0,1]],[[5094,2665,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,476,[],[[]],[0,"Default",0,1]],[[5215,2665,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,477,[],[[]],[0,"Default",0,1]],[[5336,2665,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,478,[],[[]],[0,"Default",0,1]],[[5455,2664,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,479,[],[[]],[0,"Default",0,1]],[[5575,2664,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,480,[],[[]],[0,"Default",0,1]],[[5692,
2665,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,481,[],[[]],[0,"Default",0,1]],[[5813,2666,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,482,[],[[]],[0,"Default",0,1]],[[5930,2666,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,483,[],[[]],[0,"Default",0,1]],[[6052,2665,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,484,[],[[]],[0,"Default",0,1]],[[6171,2665,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,485,[],[[]],[0,"Default",0,1]],[[6289,2664,0,177,68,0,0,1,0.5028248429298401,0.5,
0,0,[]],23,486,[],[[]],[0,"Default",0,1]],[[6408,2665,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,487,[],[[]],[0,"Default",0,1]],[[6525,2665,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,488,[],[[]],[0,"Default",0,1]],[[6644,2663,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,489,[],[[]],[0,"Default",0,1]],[[6764,2665,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,490,[],[[]],[0,"Default",0,1]],[[6880,2666,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,491,[],[[]],[0,"Default",0,1]],
[[6998,2665,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,492,[],[[]],[0,"Default",0,1]],[[7120,2666,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,493,[],[[]],[0,"Default",0,1]],[[7240,2666,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,494,[],[[]],[0,"Default",0,1]],[[7360,2666,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,495,[],[[]],[0,"Default",0,1]],[[7482,2665,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,496,[],[[]],[0,"Default",0,1]],[[7600,2664,0,177,68,0,0,1,0.5028248429298401,
0.5,0,0,[]],23,497,[],[[]],[0,"Default",0,1]],[[1747,2330,0,186.1028594970703,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,508,[],[[]],[0,"Default",0,1]],[[1870,2331,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,509,[],[[]],[0,"Default",0,1]],[[2105,2329,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,511,[],[[]],[0,"Default",0,1]],[[1951.016357421875,2418.258056640625,0,512,514,0,0,1,0.5,0.5,0,0,[]],55,512,[],[],[0,"Default",0,1]],[[1869,2678,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,514,
[],[[]],[0,"Default",0,1]],[[1989,2678,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,515,[],[[]],[0,"Default",0,1]],[[2220,2329,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,516,[],[[]],[0,"Default",0,1]],[[2340,2328,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,517,[],[[]],[0,"Default",0,1]],[[2458,2330,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,518,[],[[]],[0,"Default",0,1]],[[2578,2330,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,519,[],[[]],[0,"Default",0,1]],[[2695,2329,0,
177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,521,[],[[]],[0,"Default",0,1]],[[2816,2330,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,522,[],[[]],[0,"Default",0,1]],[[2937,2330,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,523,[],[[]],[0,"Default",0,1]],[[3058,2330,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,524,[],[[]],[0,"Default",0,1]],[[3177,2330,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,525,[],[[]],[0,"Default",0,1]],[[3298,2331,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],
23,526,[],[[]],[0,"Default",0,1]],[[3418,2330,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,527,[],[[]],[0,"Default",0,1]],[[3535,2330,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,528,[],[[]],[0,"Default",0,1]],[[3657,2331,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,529,[],[[]],[0,"Default",0,1]],[[2722,1981,0,148.6799926757813,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,530,[],[[]],[0,"Default",0,1]],[[2829,1982,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,531,[],[[]],[0,"Default",
0,1]],[[2950,1982,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,532,[],[[]],[0,"Default",0,1]],[[3071,1982,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,533,[],[[]],[0,"Default",0,1]],[[3190,1982,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,534,[],[[]],[0,"Default",0,1]],[[3311,1983,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,535,[],[[]],[0,"Default",0,1]],[[3431,1982,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,536,[],[[]],[0,"Default",0,1]],[[3551,1981,0,177,68,0,0,1,0.5028248429298401,
0.5,0,0,[]],23,537,[],[[]],[0,"Default",0,1]],[[3663,1979,0,162.8399963378906,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,538,[],[[]],[0,"Default",0,1]],[[7710,2666,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,584,[],[[]],[0,"Default",0,1]],[[7830,2665,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,585,[],[[]],[0,"Default",0,1]],[[7950,2666,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,586,[],[[]],[0,"Default",0,1]],[[8070,2667,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,587,[],[[]],
[0,"Default",0,1]],[[8191,2666,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,588,[],[[]],[0,"Default",0,1]],[[8311,2665,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,589,[],[[]],[0,"Default",0,1]],[[8433,2664,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,590,[],[[]],[0,"Default",0,1]],[[8555,2667,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,591,[],[[]],[0,"Default",0,1]],[[8677,2666,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,592,[],[[]],[0,"Default",0,1]],[[8795,2665,0,177,68,0,
0,1,0.5028248429298401,0.5,0,0,[]],23,593,[],[[]],[0,"Default",0,1]],[[446,2677,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,623,[],[[]],[0,"Default",0,1]],[[565,2676,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,624,[],[[]],[0,"Default",0,1]],[[687,2675,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,625,[],[[]],[0,"Default",0,1]],[[809,2674,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,626,[],[[]],[0,"Default",0,1]],[[930,2674,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,627,[],[[]],
[0,"Default",0,1]],[[1051,2675,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,628,[],[[]],[0,"Default",0,1]],[[-3,354,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,304,[],[[]],[0,"Default",0,1]],[[113.8055114746094,352.6460266113281,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,632,[],[[]],[0,"Default",0,1]],[[228,354,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,633,[],[[]],[0,"Default",0,1]],[[343,355,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,634,[],[[]],[0,"Default",0,1]],[[460,
352,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,635,[],[[]],[0,"Default",0,1]],[[580,352,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,636,[],[[]],[0,"Default",0,1]],[[701,353,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,637,[],[[]],[0,"Default",0,1]],[[821,353,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,638,[],[[]],[0,"Default",0,1]],[[942,352,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,639,[],[[]],[0,"Default",0,1]],[[1052,352,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],
23,640,[],[[]],[0,"Default",0,1]],[[1161,352,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,641,[],[[]],[0,"Default",0,1]],[[1271,352,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,642,[],[[]],[0,"Default",0,1]],[[1381,352,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,643,[],[[]],[0,"Default",0,1]],[[1491,352,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,644,[],[[]],[0,"Default",0,1]],[[1607,352,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,645,[],[[]],[0,"Default",0,1]],[[1717,352,0,
177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,646,[],[[]],[0,"Default",0,1]],[[1835,352,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,647,[],[[]],[0,"Default",0,1]],[[1945,352,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,648,[],[[]],[0,"Default",0,1]],[[5393,284,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,556,[],[[]],[0,"Default",0,1]],[[5509,284,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,557,[],[[]],[0,"Default",0,1]],[[5623,285,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,
558,[],[[]],[0,"Default",0,1]],[[5741,284,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,578,[],[[]],[0,"Default",0,1]],[[5861,285,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,579,[],[[]],[0,"Default",0,1]],[[5982,284,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,580,[],[[]],[0,"Default",0,1]],[[6102,284,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,581,[],[[]],[0,"Default",0,1]],[[6223,284,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,582,[],[[]],[0,"Default",0,1]],[[6333,284,0,177,
68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,583,[],[[]],[0,"Default",0,1]],[[6442,282,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,649,[],[[]],[0,"Default",0,1]],[[6552,282,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,2612,[],[[]],[0,"Default",0,1]],[[6662,282,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,2615,[],[[]],[0,"Default",0,1]],[[6772,282,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,2631,[],[[]],[0,"Default",0,1]],[[6888,281,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,
2632,[],[[]],[0,"Default",0,1]],[[6998,281,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,2633,[],[[]],[0,"Default",0,1]],[[7116,281,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,2634,[],[[]],[0,"Default",0,1]],[[7226,281,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,2637,[],[[]],[0,"Default",0,1]],[[3656,2678,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,461,[],[[]],[0,"Default",0,1]],[[4889,2666,0,161.7633819580078,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,474,[],[[]],[0,"Default",0,
1]],[[7635,1462,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,305,[],[[]],[0,"Default",0,1]],[[7753,1461,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,339,[],[[]],[0,"Default",0,1]],[[7863,1463,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,340,[],[[]],[0,"Default",0,1]],[[7983,1462,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,341,[],[[]],[0,"Default",0,1]],[[8103,1463,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,343,[],[[]],[0,"Default",0,1]],[[8223,1464,0,177,68,0,0,1,0.5028248429298401,
0.5,0,0,[]],23,344,[],[[]],[0,"Default",0,1]],[[8344,1463,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,345,[],[[]],[0,"Default",0,1]],[[8464,1462,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,346,[],[[]],[0,"Default",0,1]]],[]],["gui",9,0x89007fca0371c,!0,[255,255,255],!0,0,0,1,!1,1,0,0,[[[2104,784,0,128,128,0,0,1,0,0.5,0,0,[]],65,986,[],[[]],[50,360,0,10,16,100,0,4E3,2E3,0,0,30,0,60,0,500,0,0,1]],[[7354,1714,0,128,128,0,0,1,0,0.5,0,0,[]],65,987,[],[[]],[50,360,0,10,16,100,0,4E3,2E3,0,0,30,
0,60,0,500,0,0,1]]],[]],["black",10,8780523024740848,!0,[0,0,0],!1,1,1,0,!1,1,0,0,[],[]]],[],[]],["3",5E3,2250,!1,"eLv2-6",6326907367578166,[["b4",0,0x57b55ecbbc8f7,!0,[255,255,255],!1,0.4000000059604645,0.4000000059604645,1,!1,1,0,0,[[[0,0,0,1595.454956054688,1597.372802734375,0,0,1,9.765629656612873E-4,7.501880172640085E-4,0,0,[]],44,81,[],[[]],[0,"Default",0,1]]],[]],["b3",1,0xd57471473fe87,!0,[255,255,255],!0,0.699999988079071,1,1,!1,1,0,0,[[[828.476806640625,1860.916015625,0,2046.0009765625,
279,0,0,1,0.5,0.5035714507102966,0,0,[]],43,794,[],[[]],[0,"Default",0,1]],[[2875.4765625,1859.916015625,0,2046.0009765625,279,0,0,1,0.5,0.5035714507102966,0,0,[]],43,795,[],[[]],[0,"Default",0,1]],[[1986.4765625,960.9158935546875,0,556,1938,0,0,1,0.5,0.5,0,0,[]],45,796,[],[[]],[0,"Default",0,1]],[[4920,1860,0,2047,279,0,0,1,0.5,0.5035714507102966,0,0,[]],43,983,[],[[]],[0,"Default",0,1]],[[-1215,1861,0,2047,279,0,0,1,0.5,0.5035714507102966,0,0,[]],43,984,[],[[]],[0,"Default",0,1]],[[2394,1209,0,
128,128,0,0,1,0,0.5,0,0,[]],65,988,[],[[]],[50,360,0,10,16,100,0,4E3,2E3,0,0,30,0,60,0,500,0,0,1]]],[]],["b2",2,4820835823330452,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[],[]],["b1",3,9802797037065728,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[4747,1505,0,623,254,0,0,1,0.5,0.5,0,0,[]],36,869,[],[[]],[0,"Default",0,1]],[[4329,1805,0,1023,367.1620788574219,0,0,1,0.5004887580871582,0.5,0,0,[]],26,803,[],[[1],[]],[0,"Default",0,1]],[[5213,1805,0,1023,367.1620788574219,0,0,1,0.5004887580871582,0.5,0,0,[]],27,805,
[],[[1],[]],[0,"Default",0,1]],[[3951,1830,0,406.2792358398438,379.1477355957031,0,0,1,0.3641703426837921,0.5009041428565979,0,0,[]],123,810,[],[[]],[0,"Default",0,1]],[[5016,1896,0,232,250.4407958984375,0,0,1,0.5,0.5015479922294617,0,0,[]],124,811,[],[[]],[0,"Default",0,1]],[[4785,1896,0,232,250.4407958984375,0,0,1,0.5,0.5015479922294617,0,0,[]],124,890,[],[[]],[0,"Default",0,1]],[[4555,1896,0,232,250.4407958984375,0,0,1,0.5,0.5015479922294617,0,0,[]],124,891,[],[[]],[0,"Default",0,1]],[[4324,1896,
0,232,250.4407958984375,0,0,1,0.5,0.5015479922294617,0,0,[]],124,892,[],[[]],[0,"Default",0,1]],[[5211,1896,0,162.1070556640625,250.4407958984375,0,0,1,0.5,0.5015479922294617,0,0,[]],124,893,[],[[]],[0,"Default",0,1]],[[-123,1821,0,1023,324,0,0,1,0.5004887580871582,0.5,0,0,[]],26,901,[],[[1],[]],[0,"Default",0,1]],[[761,1821,0,1023,324,0,0,1,0.5004887580871582,0.5,0,0,[]],27,902,[],[[1],[]],[0,"Default",0,1]],[[1160,1823,0,454.2306518554688,347.3151550292969,0,0,1,0.7122207880020142,0.4608695507049561,
0,0,[]],122,904,[],[[]],[0,"Default",0,1]],[[564,1901,0,232,221,0,0,1,0.5,0.5015479922294617,0,0,[]],124,906,[],[[]],[0,"Default",0,1]],[[333,1901,0,232,221,0,0,1,0.5,0.5015479922294617,0,0,[]],124,907,[],[[]],[0,"Default",0,1]],[[103,1901,0,232,221,0,0,1,0.5,0.5015479922294617,0,0,[]],124,908,[],[[]],[0,"Default",0,1]],[[-128,1901,0,232,221,0,0,1,0.5,0.5015479922294617,0,0,[]],124,909,[],[[]],[0,"Default",0,1]],[[759,1901,0,162.1070556640625,221,0,0,1,0.5,0.5015479922294617,0,0,[]],124,910,[],[[]],
[0,"Default",0,1]],[[185.476806640625,2183.916015625,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,799,[],[[1],[]],[0,"Default",0,1]],[[1185.4765625,2183.916015625,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,800,[],[[1],[]],[0,"Default",0,1]],[[3162.4765625,2183.916015625,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,801,[],[[1],[]],[0,"Default",0,1]],[[4144.4765625,2183.916015625,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,802,[],[[1],[]],[0,"Default",0,1]],[[5017.4765625,
2183.916015625,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,804,[],[[1],[]],[0,"Default",0,1]],[[2173.4765625,2184.916015625,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,813,[],[[1],[]],[0,"Default",0,1]],[[2249.69921875,1849.663452148438,0,255,288,0,0,1,0.5019454956054688,0.4901960790157318,0,0,[]],24,872,[],[[]],[0,"Default",0,1]],[[2279.090087890625,1752.570556640625,0,27,49,0,0,1,0.5,0.5060241222381592,0,0,[]],25,980,[],[[]],[0,"Default",0,1]],[[2300.090087890625,1736.570556640625,
0,9,15,0,0,1,0.5,0.5060241222381592,0,0,[]],25,981,[],[[]],[0,"Default",0,1]],[[2293.090087890625,1724.570556640625,0,6,9,0,0,1,0.5,0.5060241222381592,0,0,[]],25,982,[],[[]],[0,"Default",0,1]],[[4807.4765625,1840.916015625,0,208,197,0,0,1,0.5,0.5025380849838257,0,0,[]],35,808,[],[[]],[0,"Default",0,1]],[[863.476806640625,2137.916015625,0,208,197,0,0,1,0.5,0.5025380849838257,0,0,[]],35,809,[],[[]],[0,"Default",0,1]],[[-294,759,0,1023,324,0,0,1,0.5004887580871582,0.5,0,0,[]],26,3227,[],[[1],[]],[0,
"Default",0,1]],[[590,759,0,1023,324,0,0,1,0.5004887580871582,0.5,0,0,[]],27,3228,[],[[1],[]],[0,"Default",0,1]],[[-27,749,0,223,215,0,0,1,0.5022421479225159,0.5023255944252014,0,0,[]],34,3233,[],[[]],[0,"Default",0,1]],[[989,761,0,454.2306518554688,347.3151550292969,0,0,1,0.7122207880020142,0.4608695507049561,0,0,[]],122,3241,[],[[]],[0,"Default",0,1]],[[393,839,0,232,221,0,0,1,0.5,0.5015479922294617,0,0,[]],124,3243,[],[[]],[0,"Default",0,1]],[[162,839,0,232,221,0,0,1,0.5,0.5015479922294617,0,0,
[]],124,3244,[],[[]],[0,"Default",0,1]],[[-68,839,0,232,221,0,0,1,0.5,0.5015479922294617,0,0,[]],124,3245,[],[[]],[0,"Default",0,1]],[[588,839,0,162.1070556640625,221,0,0,1,0.5,0.5015479922294617,0,0,[]],124,3351,[],[[]],[0,"Default",0,1]],[[2516,696,0,1019,308,0,0,1,0.5004887580871582,0.5,0,0,[]],26,3376,[],[[1],[]],[0,"Default",0,1]],[[2911.951171875,697.100341796875,0,454,336,0,0,1,0.7122207880020142,0.4608695507049561,0,0,[]],122,3377,[],[[]],[0,"Default",0,1]],[[2135,711,0,406.2792358398438,
334.5766906738281,0,0,1,0.3641703426837921,0.5009041428565979,0,0,[]],123,3378,[],[[]],[0,"Default",0,1]],[[2493,780,0,202.2677764892578,195.3095397949219,0,0,1,0.5,0.5015479922294617,0,0,[]],124,3379,[],[[]],[0,"Default",0,1]],[[2885.4765625,462.9158935546875,0,243.3009643554688,157.7305603027344,0,0,1,0.5013054609298706,0.5020080208778381,0,0,[]],39,812,[],[[1,1,1,0,"",400,0,0,180,0,0,0,0,0],[]],[0,"Default",0,1]],[[3992.4765625,1511.916015625,0,265,234,0,0,1,0.5,0.5,0,0,[]],38,868,[],[[]],[0,"Default",
0,1]],[[3979.4765625,1405.916015625,0,143,156,0,0,1,0.503496527671814,0.5,0,0,[]],37,871,[],[[]],[0,"Default",0,1]],[[3189.75927734375,2182,0,521.6162719726562,428,0,0,1,0.6384297609329224,0.5841121673583984,0,0,[]],131,827,[],[[]],[0,"Default",0,1]],[[2671.91162109375,2182,0,521.6162719726562,428,0,0,1,0.6384297609329224,0.5841121673583984,0,0,[]],131,828,[],[[]],[0,"Default",0,1]],[[2154.063720703125,2182,0,521.6162719726562,428,0,0,1,0.6384297609329224,0.5841121673583984,0,0,[]],131,829,[],[[]],
[0,"Default",0,1]],[[1666.810913085938,2198,0,308.2157592773438,398,0,0,1,0.481617659330368,0.5929648280143738,0,0,[]],132,830,[],[[]],[0,"Default",0,1]],[[3588.626708984375,2183,0,322.9466552734375,408,0,0,1,0.6701754331588745,0.5686274766921997,0,0,[]],133,831,[],[[]],[0,"Default",0,1]],[[2545,1912,0,1960,232,0,0,1,0.5,0.5,0,0,[]],58,875,[],[[1,0,0,40,0,0,0,280,0],[]],[0,"Default",0,1]],[[1578.425537109375,2327,0,2087.255126953125,320,0,0,1,0,1,0,0,[]],126,832,[[0]],[],[0,6,0,0,1500,349]],[[2026.018188476563,
2359,0,446.4595947265625,191,0,0,1,0.4173553586006165,0.3141361176967621,0,0,[]],129,834,[],[[]],[0,"Default",0,1]],[[3594.29248046875,2172,0,498.5843200683594,496,0,0,1,0.4340909123420715,0.4233871102333069,0,0,[]],128,835,[],[[]],[0,"Default",0,1]],[[2483.80908203125,2359,0,484.986572265625,191,0,0,1,0.4173553586006165,0.3141361176967621,0,0,[]],129,836,[],[[]],[0,"Default",0,1]],[[3006.189453125,2359,0,676.48828125,191,0,0,1,0.4173553586006165,0.3141361176967621,0,0,[]],129,837,[],[[]],[0,"Default",
0,1]]],[]],["main",4,5373119931725085,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[-194,1537.545043945313,0,185.0003051757813,242.2531433105469,0,0,1,0.5,0.5,0,0,[]],41,873,[[0]],[[400,1500,1500,950,1500,1E3,1,1]],[1,"Default",0,1]],[[1043,471,0,125,156,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,947,[[9],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[583,476,0,125,156,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,948,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[340,482,0,125,
156,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,949,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[2106,411,0,125,156,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,950,[[9],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[3983,351,0,125,156,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,955,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[4528,346,0,125,156,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,957,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],
[[4914,674,0,125,156,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,958,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[4363,684,0,125,156,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,960,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[4009,1001,0,125,156,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,961,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[4561,1008,0,125,156,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,963,[[0],[0],[0]],[[],[1,400,0,0]],
[0,"Default",0,1]],[[2891,417,0,125,156,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,966,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[1012,1484,0,125,156,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,967,[[9],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[3325,1673,0,125,156,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,969,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[3596,1656,0,125,156,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,970,[[0],[0],
[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[2762,1681,0,125,156,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,971,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[2507,1678,0,125,156,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,972,[[9],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[724,1497,0,125,156,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,973,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[437,1500,0,125,156,0,0,1,0.5042017102241516,0.3247863352298737,0,0,
[]],28,974,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[4342,1502,0,125,156,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,976,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[125,378,0,125,156,0,0,1,0.5106382966041565,0.3097345232963562,0,0,[]],46,964,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[2505,252,0,125,156,0,0,1,0.5,0.2752293646335602,0,0,[]],40,951,[[0],[0],[0]],[[],[1,400,0,0],[]],[0,"Default",0,1]],[[4258,276,0,125,156,0,0,1,0.5,0.2752293646335602,0,0,[]],40,952,
[[0],[0],[0]],[[],[1,400,0,0],[]],[0,"Default",0,1]],[[4646,610,0,125,156,0,0,1,0.5,0.2752293646335602,0,0,[]],40,953,[[0],[0],[0]],[[],[1,400,0,0],[]],[0,"Default",0,1]],[[4305,981,0,125,156,0,0,1,0.5,0.2752293646335602,0,0,[]],40,954,[[0],[0],[0]],[[],[1,400,0,0],[]],[0,"Default",0,1]],[[3045,1601,0,125,156,0,0,1,0.5,0.2752293646335602,0,0,[]],40,968,[[0],[0],[0]],[[],[1,400,0,0],[]],[0,"Default",0,1]],[[804,468,0,125,156,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,348,[[0],[0],[0]],
[[],[1,400,0,0]],[0,"Default",0,1]]],[]],["general",5,5573663846411079,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[3724.4765625,1851.916015625,0,161,74,0,0,1,0.5031055808067322,0.5,0,0,[]],31,926,[],[[1],[]],[0,"Default",0,1]],[[4561.4765625,1157.916015625,0,161,74,0,0,1,0.5031055808067322,0.5,0,0,[]],31,929,[],[[1],[]],[0,"Default",0,1]],[[4911.4765625,836.9288940429688,0,161,74,0,0,1,0.5031055808067322,0.5,0,0,[]],31,917,[],[[1],[]],[0,"Default",0,1]],[[4537.9326171875,507.9158935546875,0,161,74,0,0,
1,0.5031055808067322,0.5,0,0,[]],31,920,[],[[1],[]],[0,"Default",0,1]],[[4621,1494,0,252,252,0,0,1,0.4969135820865631,0.5,0,0,[]],50,870,[[0]],[[]],[0,"Default",0,1]],[[4776.4765625,837.9288940429688,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,918,[],[[1],[]],[0,"Default",0,1]],[[4637.4765625,837.9288940429688,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,919,[],[[1],[]],[0,"Default",0,1]],[[4396.4765625,508.9158935546875,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,
0,0,[]],30,921,[],[[1],[]],[0,"Default",0,1]],[[4256.4765625,508.9158935546875,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,922,[],[[1],[]],[0,"Default",0,1]],[[4498.4765625,837.9288940429688,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,925,[],[[1],[]],[0,"Default",0,1]],[[3586.4765625,1852.916015625,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,927,[],[[1],[]],[0,"Default",0,1]],[[4423.4765625,1158.916015625,0,157,75,0,0,1,0.5031847357749939,
0.5066666603088379,0,0,[]],30,930,[],[[1],[]],[0,"Default",0,1]],[[4284.4765625,1158.916015625,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,931,[],[[1],[]],[0,"Default",0,1]],[[4147.4765625,1158.916015625,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,932,[],[[1],[]],[0,"Default",0,1]],[[3450.4765625,1852.916015625,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,934,[],[[1],[]],[0,"Default",0,1]],[[3315.4765625,1852.916015625,0,157,75,0,0,1,0.5031847357749939,
0.5066666603088379,0,0,[]],30,935,[],[[1],[]],[0,"Default",0,1]],[[3179.4765625,1852.916015625,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,936,[],[[1],[]],[0,"Default",0,1]],[[3042.43017578125,1852.916015625,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,937,[],[[1],[]],[0,"Default",0,1]],[[2902.88232421875,1852.916015625,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,938,[],[[1],[]],[0,"Default",0,1]],[[2764.7978515625,1852.916015625,0,157,75,
0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,939,[],[[1],[]],[0,"Default",0,1]],[[2627.4765625,1852.916015625,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,940,[],[[1],[]],[0,"Default",0,1]],[[1928.4765625,1860.916015625,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],32,928,[],[[1,0,1,8,0,2,0,400,0],[1]],[0,"Default",0,1]],[[1793.26123046875,1860.916015625,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],32,942,[],[[1,0,1,8,0,2,0,400,0],[1]],[0,
"Default",0,1]],[[3355.4765625,563.9158935546875,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],32,943,[],[[1,0,1,4,0,2,0,220,0],[1]],[0,"Default",0,1]],[[1394.4765625,1018.915893554688,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],32,945,[],[[1,1,0,7,0,0,0,415,0],[1]],[0,"Default",0,1]],[[3745.4765625,1006.915893554688,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],32,946,[],[[1,1,0,7,0,0,0,435,0],[1]],[0,"Default",0,1]],[[2619,2104,0,2068,222,0,0,1,0.5,
0.5,0,0,[]],52,916,[[1]],[[]],[0,"Default",0,1]],[[1637.34912109375,2202,0,551.8002319335938,540.041015625,0,-0.02313889004290104,1,0.6242299675941467,0.4703703820705414,0,0,[]],127,833,[],[[]],[0,"Default",0,1]],[[167,1499,0,142.8915710449219,142.8915710449219,0,0,1,0.5,0.5,0,0,[]],72,1856,[[0],[0]],[[]],[1,"Default",0,1]],[[4122.4765625,508.9158935546875,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,923,[],[[1],[]],[0,"Default",0,1]],[[3985.4765625,508.9028930664063,0,160,75,0,
0,1,0.5,0.5064935088157654,0,0,[]],29,924,[],[[1],[]],[0,"Default",0,1]],[[4359.4765625,837.9158935546875,0,160,75,0,0,1,0.5,0.5064935088157654,0,0,[]],29,944,[],[[1],[]],[0,"Default",0,1]],[[4010.4765625,1158.903076171875,0,160,75,0,0,1,0.5,0.5064935088157654,0,0,[]],29,933,[],[[1],[]],[0,"Default",0,1]],[[2488.4765625,1852.903076171875,0,160,75,0,0,1,0.5,0.5064935088157654,0,0,[]],29,941,[],[[1],[]],[0,"Default",0,1]]],[]],["hero",6,9917489172756188,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[2726,1459,
0,182.8656616210938,236.1733703613281,0,0,1,0.5018315315246582,0.5,0,0,[]],42,874,[[0],[0],[0],[0],[0],[0],[0],[3],[0]],[[],[]],[0,"Default",0,1]]],[]],["trava",7,0x6c0a218756d1d,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[3855,1631,0,177,77.05870819091797,0,0,1,0.5028248429298401,0.5,0,0,[]],23,894,[],[[]],[0,"Default",0,1]],[[3971,1631,0,177,77.05870819091797,0,0,1,0.5028248429298401,0.5,0,0,[]],23,895,[],[[]],[0,"Default",0,1]],[[4085,1632,0,177,77.05870819091797,0,0,1,0.5028248429298401,0.5,0,0,[]],
23,896,[],[[]],[0,"Default",0,1]],[[4203,1631,0,177,77.05870819091797,0,0,1,0.5028248429298401,0.5,0,0,[]],23,897,[],[[]],[0,"Default",0,1]],[[4323,1632,0,177,77.05870819091797,0,0,1,0.5028248429298401,0.5,0,0,[]],23,898,[],[[]],[0,"Default",0,1]],[[4444,1631,0,177,77.05870819091797,0,0,1,0.5028248429298401,0.5,0,0,[]],23,899,[],[[]],[0,"Default",0,1]],[[4564,1631,0,177,77.05870819091797,0,0,1,0.5028248429298401,0.5,0,0,[]],23,900,[],[[]],[0,"Default",0,1]],[[4685,1631,0,177,77.05870819091797,0,0,
1,0.5028248429298401,0.5,0,0,[]],23,903,[],[[]],[0,"Default",0,1]],[[4795,1630,0,177,77.05870819091797,0,0,1,0.5028248429298401,0.5,0,0,[]],23,905,[],[[]],[0,"Default",0,1]],[[4904,1628,0,177,77.05870819091797,0,0,1,0.5028248429298401,0.5,0,0,[]],23,911,[],[[]],[0,"Default",0,1]],[[5014,1628,0,177,77.05870819091797,0,0,1,0.5028248429298401,0.5,0,0,[]],23,912,[],[[]],[0,"Default",0,1]],[[-129,1662,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,3352,[],[[]],[0,"Default",0,1]],[[-8,1661,0,177,68,0,
0,1,0.5028248429298401,0.5,0,0,[]],23,3353,[],[[]],[0,"Default",0,1]],[[452,1659,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,3364,[],[[]],[0,"Default",0,1]],[[343,1661,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,3363,[],[[]],[0,"Default",0,1]],[[233,1661,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,3356,[],[[]],[0,"Default",0,1]],[[562,1659,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,3556,[],[[]],[0,"Default",0,1]],[[392,1747,0,512,514,0,0,1,0.5,0.5,0,0,[]],55,975,[],[],[0,"Default",
0,1]],[[341.476806640625,1757.916015625,0,-38.50899887084961,59.98557662963867,0,0,1,0.5,0.5060241222381592,0,0,[]],25,979,[],[[]],[0,"Default",0,1]],[[112,1661,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,3354,[],[[]],[0,"Default",0,1]],[[672,1659,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,3557,[],[[]],[0,"Default",0,1]],[[782,1659,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,3638,[],[[]],[0,"Default",0,1]],[[898,1658,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,3639,[],[[]],[0,
"Default",0,1]],[[1008,1658,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,3640,[],[[]],[0,"Default",0,1]],[[1126,1658,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,3641,[],[[]],[0,"Default",0,1]],[[1236,1658,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,3642,[],[[]],[0,"Default",0,1]],[[-32.523193359375,2014.916015625,0,175,66,0,0,1,0.5028248429298401,0.5,0,0,[]],23,814,[],[[]],[0,"Default",0,1]],[[87.476806640625,2015.916015625,0,175,66,0,0,1,0.5028248429298401,0.5,0,0,[]],23,815,[],[[]],
[0,"Default",0,1]],[[204.476806640625,2017.916015625,0,175,66,0,0,1,0.5028248429298401,0.5,0,0,[]],23,816,[],[[]],[0,"Default",0,1]],[[546.476806640625,2013.916015625,0,175,66,0,0,1,0.5028248429298401,0.5,0,0,[]],23,819,[],[[]],[0,"Default",0,1]],[[664.476806640625,2010.916015625,0,175,66,0,0,1,0.5028248429298401,0.5,0,0,[]],23,820,[],[[]],[0,"Default",0,1]],[[784.476806640625,2011.916015625,0,175,66,0,0,1,0.5028248429298401,0.5,0,0,[]],23,821,[],[[]],[0,"Default",0,1]],[[902.476806640625,2010.916015625,
0,175,66,0,0,1,0.5028248429298401,0.5,0,0,[]],23,822,[],[[]],[0,"Default",0,1]],[[1020.4765625,2011.916015625,0,175,66,0,0,1,0.5028248429298401,0.5,0,0,[]],23,823,[],[[]],[0,"Default",0,1]],[[1140.4765625,2009.916015625,0,175,66,0,0,1,0.5028248429298401,0.5,0,0,[]],23,824,[],[[]],[0,"Default",0,1]],[[1260.4765625,2006.916015625,0,175,66,0,0,1,0.5028248429298401,0.5,0,0,[]],23,825,[],[[]],[0,"Default",0,1]],[[3901.4765625,2000.916015625,0,175,66,0,0,1,0.5028248429298401,0.5,0,0,[]],23,847,[],[[]],
[0,"Default",0,1]],[[4020.4765625,2000.916015625,0,175,66,0,0,1,0.5028248429298401,0.5,0,0,[]],23,848,[],[[]],[0,"Default",0,1]],[[4139.4765625,2001.916015625,0,175,66,0,0,1,0.5028248429298401,0.5,0,0,[]],23,849,[],[[]],[0,"Default",0,1]],[[4261.4765625,2001.916015625,0,175,66,0,0,1,0.5028248429298401,0.5,0,0,[]],23,850,[],[[]],[0,"Default",0,1]],[[4382.4765625,2000.916015625,0,175,66,0,0,1,0.5028248429298401,0.5,0,0,[]],23,851,[],[[]],[0,"Default",0,1]],[[4502.4765625,2001.916015625,0,175,66,0,0,
1,0.5028248429298401,0.5,0,0,[]],23,852,[],[[]],[0,"Default",0,1]],[[4622.4765625,2002.916015625,0,175,66,0,0,1,0.5028248429298401,0.5,0,0,[]],23,853,[],[[]],[0,"Default",0,1]],[[4739.4765625,2001.916015625,0,175,66,0,0,1,0.5028248429298401,0.5,0,0,[]],23,854,[],[[]],[0,"Default",0,1]],[[4855.4765625,2000.916015625,0,175,66,0,0,1,0.5028248429298401,0.5,0,0,[]],23,855,[],[[]],[0,"Default",0,1]],[[4979.4765625,2000.916015625,0,175,66,0,0,1,0.5028248429298401,0.5,0,0,[]],23,856,[],[[]],[0,"Default",
0,1]],[[5099.4765625,2000.916015625,0,175,66,0,0,1,0.5028248429298401,0.5,0,0,[]],23,857,[],[[]],[0,"Default",0,1]],[[5218.4765625,1997.916015625,0,175,66,0,0,1,0.5028248429298401,0.5,0,0,[]],23,858,[],[[]],[0,"Default",0,1]],[[-58,599,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,3365,[],[[]],[0,"Default",0,1]],[[62,599,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,3366,[],[[]],[0,"Default",0,1]],[[172,599,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,3367,[],[[]],[0,"Default",0,1]],[[281,
597,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,3368,[],[[]],[0,"Default",0,1]],[[391,597,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,3369,[],[[]],[0,"Default",0,1]],[[501,597,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,3370,[],[[]],[0,"Default",0,1]],[[611,597,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,3371,[],[[]],[0,"Default",0,1]],[[727,596,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,3372,[],[[]],[0,"Default",0,1]],[[837,596,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,
[]],23,3373,[],[[]],[0,"Default",0,1]],[[955,596,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,3374,[],[[]],[0,"Default",0,1]],[[1065,596,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,3375,[],[[]],[0,"Default",0,1]],[[2042,543,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,3380,[],[[]],[0,"Default",0,1]],[[2162,543,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,3383,[],[[]],[0,"Default",0,1]],[[2274,543,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,3384,[],[[]],[0,"Default",0,1]],[[2390,
543,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,3385,[],[[]],[0,"Default",0,1]],[[2506,543,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,3386,[],[[]],[0,"Default",0,1]],[[2626,543,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,3387,[],[[]],[0,"Default",0,1]],[[2745,543,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,3388,[],[[]],[0,"Default",0,1]],[[2862,543,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,3389,[],[[]],[0,"Default",0,1]],[[2974,542,0,177,68,0,0,1,0.5028248429298401,0.5,
0,0,[]],23,3390,[],[[]],[0,"Default",0,1]],[[1380.4765625,2007.916015625,0,175,66,0,0,1,0.5028248429298401,0.5,0,0,[]],23,826,[],[[]],[0,"Default",0,1]],[[3780.4765625,2000.916015625,0,175,66,0,0,1,0.5028248429298401,0.5,0,0,[]],23,846,[],[[]],[0,"Default",0,1]],[[322.476806640625,2014.916015625,0,175,66,0,0,1,0.5028248429298401,0.5,0,0,[]],23,817,[],[[]],[0,"Default",0,1]],[[434.476806640625,2015.916015625,0,175,66,0,0,1,0.5028248429298401,0.5,0,0,[]],23,818,[],[[]],[0,"Default",0,1]]],[]],["gui",
8,0xecc1595f69f4b,!0,[255,255,255],!0,0,0,1,!1,1,0,0,[],[]],["black",9,9299646480104848,!0,[0,0,0],!1,1,1,0,!1,1,0,0,[],[]]],[],[]],["4",17730,3E3,!1,"eLv2-6",5269722618658476,[["b4",0,0xc09deba2b4325,!0,[255,255,255],!1,0.4000000059604645,0.4000000059604645,1,!1,1,0,0,[[[0,0,0,2302,3002.25048828125,0,0,1,9.765629656612873E-4,7.501880172640085E-4,0,0,[]],44,991,[],[[]],[0,"Default",0,1]]],[]],["b3",1,842426275357742,!0,[255,255,255],!0,0.699999988079071,1,1,!1,1,0,0,[[[1003,2529.58935546875,0,2049,
305,0,0,1,0.5,0.5035714507102966,0,0,[]],43,992,[],[[]],[0,"Default",0,1]],[[3050,2529.58935546875,0,2049,305,0,0,1,0.5,0.5035714507102966,0,0,[]],43,993,[],[[]],[0,"Default",0,1]],[[5097,2529.58935546875,0,2049,305,0,0,1,0.5,0.5035714507102966,0,0,[]],43,994,[],[[]],[0,"Default",0,1]],[[7144,2529.58935546875,0,2049,305,0,0,1,0.5,0.5035714507102966,0,0,[]],43,995,[],[[]],[0,"Default",0,1]],[[9191,2529.58935546875,0,2049,305,0,0,1,0.5,0.5035714507102966,0,0,[]],43,996,[],[[]],[0,"Default",0,1]],[[11236,
2529.58935546875,0,2047,304,0,0,1,0.5,0.5035714507102966,0,0,[]],43,998,[],[[]],[0,"Default",0,1]],[[-1043,2529.58935546875,0,2049,305,0,0,1,0.5,0.5035714507102966,0,0,[]],43,999,[],[[]],[0,"Default",0,1]],[[13280,2528.58935546875,0,2046.0009765625,304,0,0,1,0.5,0.5035714507102966,0,0,[]],43,1240,[],[[]],[0,"Default",0,1]],[[15324,2528.58935546875,0,2046.0009765625,304,0,0,1,0.5,0.5035714507102966,0,0,[]],43,1504,[],[[]],[0,"Default",0,1]],[[17369,2528.58935546875,0,2046.0009765625,304,0,0,1,0.5,
0.5035714507102966,0,0,[]],43,1506,[],[[]],[0,"Default",0,1]],[[13511,1260.5,0,527,2566,0,0,1,0.5,0.5,0,0,[]],45,1505,[],[[]],[0,"Default",0,1]]],[]],["b2",2,0x7e0406c9c780f,!0,[255,255,255],!0,0.9700000286102295,0.9700000286102295,1,!1,1,0,0,[[[3024.80615234375,1324.38720703125,0,1554.696166992188,2654.2705078125,0,0,1,0.5006536245346069,0.5004366636276245,0,0,[]],51,1025,[],[[]],[0,"Default",0,1]],[[11276,614,0,97.0725326538086,121.1465225219727,0,0,1,0.5106382966041565,0.3097345232963562,0,0,[]],
46,1432,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[17590,2501,0,125,156,0,0,1,0.5106382966041565,0.3097345232963562,0,0,[]],46,472,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]]],[]],["b1",3,7639145154697663,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[5873.6962890625,2840,0,652,428,0,0,1,0.6384297609329224,0.5841121673583984,0,0,[]],131,2342,[],[[]],[0,"Default",0,1]],[[6448.2763671875,2840,0,537,428,0,0,1,0.6384297609329224,0.5841121673583984,0,0,[]],131,2344,[],[[]],[0,"Default",0,1]],[[5411.5,
3114,0,2962,893,0,0,1,0.5,0.5,0,0,[]],52,1034,[[1]],[[]],[0,"Default",0,1]],[[16771,2439,0,1314.963134765625,397.4569396972656,0,0,1,0.5004887580871582,0.5,0,0,[]],26,1560,[],[[1],[]],[0,"Default",0,1]],[[17287.966796875,2439.033203125,0,586,437,0,0,1,0.7122207880020142,0.4608695507049561,0,0,[]],122,8820,[],[[]],[0,"Default",0,1]],[[16279.0390625,2456.878662109375,0,524,434,0,0,1,0.3641703426837921,0.5009041428565979,0,0,[]],123,8821,[],[[]],[0,"Default",0,1]],[[16741,2548,0,261.015380859375,252.0361480712891,
0,0,1,0.5,0.5015479922294617,0,0,[]],124,8822,[],[[]],[0,"Default",0,1]],[[17108,2420,0,208,197,0,0,1,0.5,0.5025380849838257,0,0,[]],35,1583,[],[[]],[0,"Default",0,1]],[[16241,2125,0,265.03515625,234.0821533203125,0,0,1,0.5,0.5,0,0,[]],38,1576,[],[[]],[0,"Default",0,1]],[[16213,2023,0,143,156,0,0,1,0.503496527671814,0.5,0,0,[]],37,1515,[],[[]],[0,"Default",0,1]],[[1559,2420,0,512,514,0,0,1,0.5,0.5,0,0,[]],55,1369,[],[],[0,"Default",0,1]],[[2174,2485,0,1023,390,0,0,1,0.5004887580871582,0.5,0,0,[]],
26,8841,[],[[1],[]],[0,"Default",0,1]],[[3166,2123,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],26,8842,[],[[1],[]],[0,"Default",0,1]],[[3169,2483.5,0,1023,387,0,0,1,0.5004887580871582,0.5,0,0,[]],27,8843,[],[[1],[]],[0,"Default",0,1]],[[3587,2068,0,-232,221,0,-1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,8844,[],[[]],[0,"Default",0,1]],[[3587,2299,0,-232,221,0,-1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,8845,[],[[]],[0,"Default",0,1]],[[3588.000244140625,2544.5,0,-261,221,
0,-1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,8846,[],[[]],[0,"Default",0,1]],[[2751,2188,0,-168.8639221191406,221,0,1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,8847,[],[[]],[0,"Default",0,1]],[[2751,2024.431640625,0,-160,221,0,1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,8848,[],[[]],[0,"Default",0,1]],[[1753.000122070313,2578.068359375,0,-197,221,0,1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,8849,[],[[]],[0,"Default",0,1]],[[1753.000244140625,2385.431640625,
0,-190,221,0,1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,8850,[],[[]],[0,"Default",0,1]],[[8805,2579,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],26,1001,[],[[1],[]],[0,"Default",0,1]],[[430,2846,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],27,1008,[],[[1],[]],[0,"Default",0,1]],[[1416,2846,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],27,1009,[],[[1],[]],[0,"Default",0,1]],[[2404,2846,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],27,1010,[],[[1],[]],[0,"Default",0,1]],[[3395,
2846,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],27,1012,[],[[1],[]],[0,"Default",0,1]],[[7384,2846,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],27,1016,[],[[1],[]],[0,"Default",0,1]],[[8374,2846,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],27,1018,[],[[1],[]],[0,"Default",0,1]],[[9357,2846,0,1024.66015625,355.67041015625,0,0,1,0.5004887580871582,0.5,0,0,[]],27,1019,[],[[1],[]],[0,"Default",0,1]],[[10348,2846,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],27,1020,[],[[1],[]],[0,"Default",
0,1]],[[11399.068359375,2846,0,1163,356,0,0,1,0.5004887580871582,0.5,0,0,[]],27,1021,[],[[1],[]],[0,"Default",0,1]],[[8633,2560,0,223,215,0,0,1,0.5022421479225159,0.5023255944252014,0,0,[]],34,1026,[],[[]],[0,"Default",0,1]],[[2333,2530,0,223,215,0,0,1,0.5022421479225159,0.5023255944252014,0,0,[]],34,1028,[],[[]],[0,"Default",0,1]],[[383,2851,0,223,215,0,0,1,0.5022421479225159,0.5023255944252014,0,0,[]],34,1029,[],[[]],[0,"Default",0,1]],[[691,2764,0,539,524,0,0,1,0.5009276270866394,0.5,0,0,[]],57,
1227,[],[[]],[0,"Default",0,1]],[[2771,1842,0,269,213,0,0,1,0.5018587112426758,0.5023474097251892,0,0,[]],56,1228,[],[[]],[0,"Default",0,1]],[[10775,2534,0,463,272,0,0,1,0.5010799169540405,0.5,0,0,[]],59,1229,[],[[]],[0,"Default",0,1]],[[7321,2819,0,376.7289733886719,251.4274291992188,0,0,1,0.5010941028594971,0.5016393661499023,0,0,[]],54,1230,[],[[]],[0,"Default",0,1]],[[15361,2825,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,1510,[],[[1],[]],[0,"Default",0,1]],[[16343,2825,0,1023,356,0,0,
1,0.5004887580871582,0.5,0,0,[]],22,1511,[],[[1],[]],[0,"Default",0,1]],[[17230.513671875,2825,0,1052,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,1512,[],[[1],[]],[0,"Default",0,1]],[[14315.0556640625,2825,0,1137,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,1513,[],[[1],[]],[0,"Default",0,1]],[[5943,1245,0,1045.32421875,426.1835632324219,0,0,1,0.5,0.5,0,0,[]],36,1233,[],[[]],[0,"Default",0,1]],[[14455,2534,0,255,259,0,0,1,0.5019454956054688,0.4901960790157318,0,0,[]],24,1578,[],[[]],[0,"Default",0,
1]],[[16458,2535,0,623,254,0,0,1,0.5,0.5,0,0,[]],36,1579,[],[[]],[0,"Default",0,1]],[[14485,2446,0,27,49,0,0,1,0.5,0.5060241222381592,0,0,[]],25,1580,[],[[]],[0,"Default",0,1]],[[14506,2430,0,9,15,0,0,1,0.5,0.5060241222381592,0,0,[]],25,1581,[],[[]],[0,"Default",0,1]],[[14499,2418,0,6,9,0,0,1,0.5,0.5060241222381592,0,0,[]],25,1582,[],[[]],[0,"Default",0,1]],[[2923,1824,0,268,268,0,0,1,0.5,0.5,0,0,[]],53,1031,[],[[]],[0,"Default",0,1]],[[2943,1894,0,-148,120,0,0,1,0.5,0.5,0,0,[]],53,1139,[],[[]],[0,
"Default",0,1]],[[5190,1298,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],26,8806,[],[[1],[]],[0,"Default",0,1]],[[5611.00048828125,1239.5,0,-239,221,0,-1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,8808,[],[[]],[0,"Default",0,1]],[[4775,1368.06787109375,0,-179,221,0,1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,8811,[],[[]],[0,"Default",0,1]],[[4774.99951171875,1199.43212890625,0,-160,221,0,1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,8812,[],[[]],[0,"Default",0,1]],
[[3724,761,0,1019,308,0,0,1,0.5004887580871582,0.5,0,0,[]],26,1E3,[],[[1],[]],[0,"Default",0,1]],[[4124.6640625,762.100341796875,0,455,336,0,0,1,0.7122207880020142,0.4608695507049561,0,0,[]],122,1004,[],[[]],[0,"Default",0,1]],[[3343,776,0,406.2792358398438,334.5766906738281,0,0,1,0.3641703426837921,0.5009041428565979,0,0,[]],123,1011,[],[[]],[0,"Default",0,1]],[[3701,845,0,202.2677764892578,195.3095397949219,0,0,1,0.5,0.5015479922294617,0,0,[]],124,1102,[],[[]],[0,"Default",0,1]],[[7907.6064453125,
1645.948486328125,0,824.2261352539062,261.0452880859375,0,0,1,0.5004887580871582,0.5,0,0,[]],26,1003,[],[[1],[]],[0,"Default",0,1]],[[8619.8408203125,1645.948486328125,0,824.2261352539062,261.0452880859375,0,0,1,0.5004887580871582,0.5,0,0,[]],27,1093,[],[[1],[]],[0,"Default",0,1]],[[8937.7724609375,1645.311889648438,0,361,284,0,0,1,0.7122207880020142,0.4608695507049561,0,0,[]],122,1094,[],[[]],[0,"Default",0,1]],[[7603.0537109375,1663.673828125,0,327.3372192382813,269.56689453125,0,0,1,0.3641703426837921,
0.5009041428565979,0,0,[]],123,1095,[],[[]],[0,"Default",0,1]],[[8461.119140625,1710.404174804688,0,186.9212799072266,178.0586700439453,0,0,1,0.5,0.5015479922294617,0,0,[]],124,1096,[],[[]],[0,"Default",0,1]],[[8275.0029296875,1710.404174804688,0,186.9212799072266,178.0586700439453,0,0,1,0.5,0.5015479922294617,0,0,[]],124,1097,[],[[]],[0,"Default",0,1]],[[8089.693359375,1710.404174804688,0,186.9212799072266,178.0586700439453,0,0,1,0.5,0.5015479922294617,0,0,[]],124,1098,[],[[]],[0,"Default",0,1]],
[[7903.578125,1710.404174804688,0,186.9212799072266,178.0586700439453,0,0,1,0.5,0.5015479922294617,0,0,[]],124,1099,[],[[]],[0,"Default",0,1]],[[8618.2294921875,1710.404174804688,0,130.6088714599609,178.0586700439453,0,0,1,0.5,0.5015479922294617,0,0,[]],124,1100,[],[[]],[0,"Default",0,1]],[[8782.591796875,1657.228271484375,0,116.4137420654297,112.2374954223633,0,0,1,0.5022421479225159,0.5023255944252014,0,0,[]],34,1027,[],[[]],[0,"Default",0,1]],[[6910,500,0,944.6544189453125,285.5283813476563,0,
0,1,0.5004887580871582,0.5,0,0,[]],26,1002,[],[[1],[]],[0,"Default",0,1]],[[7282.451171875,500.929443359375,0,423,311,0,0,1,0.7122207880020142,0.4608695507049561,0,0,[]],122,1007,[],[[]],[0,"Default",0,1]],[[6557,514,0,376.6373596191406,310.1660766601563,0,0,1,0.3641703426837921,0.5009041428565979,0,0,[]],123,1017,[],[[]],[0,"Default",0,1]],[[6889,578,0,187.5104370117188,181.0597991943359,0,0,1,0.5,0.5015479922294617,0,0,[]],124,1024,[],[[]],[0,"Default",0,1]],[[5611,1474,0,-232,221,0,-1.570796370506287,
1,0.5,0.5015479922294617,0,0,[]],124,8809,[],[[]],[0,"Default",0,1]],[[3826,2775,0,-232,221,0,-1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,997,[],[[]],[0,"Default",0,1]],[[4889,1617,0,1023,324,0,0,1,0.5004887580871582,0.5,0,0,[]],26,1032,[],[[1],[]],[0,"Default",0,1]],[[5773,1617,0,1023,324,0,0,1,0.5004887580871582,0.5,0,0,[]],27,1067,[],[[1],[]],[0,"Default",0,1]],[[6171.95068359375,1617.013305664063,0,454,351,0,0,1,0.7122207880020142,0.4608695507049561,0,0,[]],122,1068,[],[[]],[0,"Default",
0,1]],[[4511.03759765625,1631.30224609375,0,406,350,0,0,1,0.3641703426837921,0.5009041428565979,0,0,[]],123,1069,[],[[]],[0,"Default",0,1]],[[5576,1697,0,232,221,0,0,1,0.5,0.5015479922294617,0,0,[]],124,1070,[],[[]],[0,"Default",0,1]],[[5345,1697,0,232,221,0,0,1,0.5,0.5015479922294617,0,0,[]],124,1071,[],[[]],[0,"Default",0,1]],[[5115,1697,0,232,221,0,0,1,0.5,0.5015479922294617,0,0,[]],124,1072,[],[[]],[0,"Default",0,1]],[[4884,1697,0,232,221,0,0,1,0.5,0.5015479922294617,0,0,[]],124,1073,[],[[]],
[0,"Default",0,1]],[[5771,1697,0,162.1070556640625,221,0,0,1,0.5,0.5015479922294617,0,0,[]],124,1074,[],[[]],[0,"Default",0,1]],[[10916,951,0,1314.963134765625,397.4569396972656,0,0,1,0.5004887580871582,0.5,0,0,[]],26,1136,[],[[1],[]],[0,"Default",0,1]],[[11432.966796875,952.650634765625,0,586,434,0,0,1,0.7122207880020142,0.4608695507049561,0,0,[]],122,1137,[],[[]],[0,"Default",0,1]],[[10424,970,0,524.2808837890625,431.752685546875,0,0,1,0.3641703426837921,0.5009041428565979,0,0,[]],123,1162,[],[[]],
[0,"Default",0,1]],[[10886,1060,0,261.015380859375,252.0361480712891,0,0,1,0.5,0.5015479922294617,0,0,[]],124,1163,[],[[]],[0,"Default",0,1]],[[11294,955,0,287.7691650390625,277.4455871582031,0,0,1,0.5022421479225159,0.5023255944252014,0,0,[]],34,1033,[],[[]],[0,"Default",0,1]],[[12647,2326,0,577.4893798828125,182.8998565673828,0,0,1,0.5004887580871582,0.5,0,0,[]],26,1006,[],[[1],[]],[0,"Default",0,1]],[[13146,2326,0,577.4893798828125,182.8998565673828,0,0,1,0.5004887580871582,0.5,0,0,[]],27,1142,
[],[[1],[]],[0,"Default",0,1]],[[13371,2327,0,256.4158325195313,196.0613861083984,0,0,1,0.7122207880020142,0.4608695507049561,0,0,[]],122,1143,[],[[]],[0,"Default",0,1]],[[12433.046875,2334.44189453125,0,229,196,0,0,1,0.3641703426837921,0.5009041428565979,0,0,[]],123,1144,[],[[]],[0,"Default",0,1]],[[13035,2370,0,130.9653472900391,124.7557601928711,0,0,1,0.5,0.5015479922294617,0,0,[]],124,1145,[],[[]],[0,"Default",0,1]],[[12904,2370,0,130.9653472900391,124.7557601928711,0,0,1,0.5,0.5015479922294617,
0,0,[]],124,1146,[],[[]],[0,"Default",0,1]],[[12775,2370,0,130.9653472900391,124.7557601928711,0,0,1,0.5,0.5015479922294617,0,0,[]],124,1147,[],[[]],[0,"Default",0,1]],[[12644,2370,0,130.9653472900391,124.7557601928711,0,0,1,0.5,0.5015479922294617,0,0,[]],124,1148,[],[[]],[0,"Default",0,1]],[[13145,2370,0,91.51036834716797,124.7557601928711,0,0,1,0.5,0.5015479922294617,0,0,[]],124,1149,[],[[]],[0,"Default",0,1]],[[13260,2333,0,81.56463623046875,78.63854217529297,0,0,1,0.5022421479225159,0.5023255944252014,
0,0,[]],34,8810,[],[[]],[0,"Default",0,1]],[[14699,1610,0,1019,308,0,0,1,0.5004887580871582,0.5,0,0,[]],26,1023,[],[[1],[]],[0,"Default",0,1]],[[15098.9501953125,1610.56103515625,0,454,337,0,0,1,0.7122207880020142,0.4608695507049561,0,0,[]],122,1151,[],[[]],[0,"Default",0,1]],[[14318.037109375,1623.79052734375,0,406,337,0,0,1,0.3641703426837921,0.5009041428565979,0,0,[]],123,1295,[],[[]],[0,"Default",0,1]],[[14676,1694,0,202.2677764892578,195.3095397949219,0,0,1,0.5,0.5015479922294617,0,0,[]],124,
1296,[],[[]],[0,"Default",0,1]],[[6983,2779,0,-232,221,0,1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,1552,[],[[]],[0,"Default",0,1]],[[15034,1341,0,265.03515625,234.0821533203125,0,0,1,0.5,0.5,0,0,[]],38,1363,[],[[]],[0,"Default",0,1]],[[9215,2314,0,288.4577941894531,187.5352325439453,0,0,1,0.5013054609298706,0.5020080208778381,0,0,[]],39,1232,[],[[1,1,1,0,"B 840; F 840",10,0,0,180,0,0,0,0,0],[]],[0,"Default",0,1]],[[8666.5712890625,1416.851318359375,0,207.0636596679688,205.4523162841797,
0,0,1,0.5019454956054688,0.4901960790157318,0,0,[]],24,1226,[],[[]],[0,"Default",0,1]],[[3161,1857,0,-392,213,0,0,1,0.5018587112426758,0.5023474097251892,0,0,[]],56,1140,[],[[]],[0,"Default",0,1]],[[3443,1856,0,-213.2180023193359,211.5584259033203,0,0,1,0.5019454956054688,0.4901960790157318,0,0,[]],24,1225,[],[[]],[0,"Default",0,1]],[[3013,1897,0,119.7956619262695,119.7956619262695,0,0,1,0.5,0.5,0,0,[]],53,1138,[],[[]],[0,"Default",0,1]],[[2976,2537,0,268,268,0,0,1,0.5,0.5,0,0,[]],53,1224,[],[[]],
[0,"Default",0,1]],[[4978,1006,0,266.9697265625,236.0167236328125,0,0,1,0.5,0.5,0,0,[]],38,1161,[],[[]],[0,"Default",0,1]],[[4961,894,0,143,156,0,0,1,0.503496527671814,0.5,0,0,[]],37,1231,[],[[]],[0,"Default",0,1]],[[5296,2840,0,460.32568359375,428,0,0,1,0.6384297609329224,0.5841121673583984,0,0,[]],131,1013,[],[[]],[0,"Default",0,1]],[[4839,2840,0,460.32568359375,428,0,0,1,0.6384297609329224,0.5841121673583984,0,0,[]],131,1015,[],[[]],[0,"Default",0,1]],[[4382,2840,0,460.32568359375,428,0,0,1,0.6384297609329224,
0.5841121673583984,0,0,[]],131,1241,[],[[]],[0,"Default",0,1]],[[3952,2856,0,272,398,0,0,1,0.481617659330368,0.5929648280143738,0,0,[]],132,1367,[],[[]],[0,"Default",0,1]],[[6828,2841,0,285,408,0,0,1,0.6701754331588745,0.5686274766921997,0,0,[]],133,1368,[],[[]],[0,"Default",0,1]],[[6001,2150,0,656.289306640625,207.8571472167969,0,0,1,0.5004887580871582,0.5,0,0,[]],26,1005,[],[[1],[]],[0,"Default",0,1]],[[6033,2107.98291015625,0,128,142,0,-3.140062093734741,1,0.5,0.5015479922294617,0,0,[]],124,385,
[],[[]],[0,"Default",0,1]],[[6568,2150,0,656.289306640625,207.8571472167969,0,0,1,0.5004887580871582,0.5,0,0,[]],27,1508,[],[[1],[]],[0,"Default",0,1]],[[6825.1357421875,2149.282470703125,0,293,226,0,0,1,0.7122207880020142,0.4608695507049561,0,0,[]],122,2346,[],[[]],[0,"Default",0,1]],[[5757.95166015625,2158.830322265625,0,261,225,0,0,1,0.3641703426837921,0.5009041428565979,0,0,[]],123,2356,[],[[]],[0,"Default",0,1]],[[6441,2202,0,148.8358917236328,141.7790985107422,0,0,1,0.5,0.5015479922294617,0,
0,[]],124,2357,[],[[]],[0,"Default",0,1]],[[6293,2202,0,148.8358917236328,141.7790985107422,0,0,1,0.5,0.5015479922294617,0,0,[]],124,2358,[],[[]],[0,"Default",0,1]],[[6146,2202,0,148.8358917236328,141.7790985107422,0,0,1,0.5,0.5015479922294617,0,0,[]],124,2359,[],[[]],[0,"Default",0,1]],[[5997.58203125,2202,0,150,142,0,0,1,0.5,0.5015479922294617,0,0,[]],124,2360,[],[[]],[0,"Default",0,1]],[[6566,2202,0,103.9971923828125,141.7790985107422,0,0,1,0.5,0.5015479922294617,0,0,[]],124,2361,[],[[]],[0,"Default",
0,1]],[[5331,2584,0,3055,232,0,0,1,0.5,0.5,0,0,[]],58,1364,[],[[1,0,0,40,0,0,0,100,0],[]],[0,"Default",0,1]],[[3874,2985,0,3003,320,0,0,1,0,1,0,0,[]],126,2329,[[0]],[],[0,6,0,0,2E3,349]],[[3790,2684,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1014,[],[[]],[0,"Default",0,1]],[[3666,2684,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1058,[],[[]],[0,"Default",0,1]],[[3542,2684,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1057,[],[[]],[0,"Default",0,1]],[[3926,2860,0,487,540,0,-0.02621841616928577,
1,0.6242299675941467,0.4703703820705414,0,0,[]],127,2337,[],[[]],[0,"Default",0,1]],[[4269,3017,0,394,191,0,0,1,0.4173553586006165,0.3141361176967621,0,0,[]],129,2338,[],[[]],[0,"Default",0,1]],[[6988,2673,0,178,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1087,[],[[]],[0,"Default",0,1]],[[6833,2830,0,440,496,0,0,1,0.4340909123420715,0.4233871102333069,0,0,[]],128,2339,[],[[]],[0,"Default",0,1]],[[4673,3017,0,428,191,0,0,1,0.4173553586006165,0.3141361176967621,0,0,[]],129,2340,[],[[]],[0,"Default",
0,1]],[[5134,3017,0,597,191,0,0,1,0.4173553586006165,0.3141361176967621,0,0,[]],129,2341,[],[[]],[0,"Default",0,1]],[[5704,3017,0,597,191,0,0,1,0.4173553586006165,0.3141361176967621,0,0,[]],129,2343,[],[[]],[0,"Default",0,1]],[[6297.251953125,3017,0,600,191,0,0,1,0.4173553586006165,0.3141361176967621,0,0,[]],129,2345,[],[[]],[0,"Default",0,1]],[[12839,3099,0,1860,893,0,0,1,0.5,0.5,0,0,[]],52,1239,[[1]],[[]],[0,"Default",0,1]],[[13350,2814,0,460.32568359375,428,0,0,1,0.6384297609329224,0.5841121673583984,
0,0,[]],131,1265,[],[[]],[0,"Default",0,1]],[[12893,2814,0,460.32568359375,428,0,0,1,0.6384297609329224,0.5841121673583984,0,0,[]],131,1644,[],[[]],[0,"Default",0,1]],[[12436,2814,0,460.32568359375,428,0,0,1,0.6384297609329224,0.5841121673583984,0,0,[]],131,2388,[],[[]],[0,"Default",0,1]],[[12006,2830,0,272,398,0,0,1,0.481617659330368,0.5929648280143738,0,0,[]],132,2389,[],[[]],[0,"Default",0,1]],[[13702,2815,0,285,408,0,0,1,0.6701754331588745,0.5686274766921997,0,0,[]],133,2390,[],[[]],[0,"Default",
0,1]],[[11924,2928,0,1842,320,0,0,1,0,1,0,0,[]],126,2391,[[0]],[],[0,6,0,0,1500,349]],[[11763,2681,0,175,66,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1558,[],[[]],[0,"Default",0,1]],[[11980,2834,0,487,540,0,-0.02621841616928577,1,0.6242299675941467,0.4703703820705414,0,0,[]],127,2392,[],[[]],[0,"Default",0,1]],[[12323,2991,0,394,191,0,0,1,0.4173553586006165,0.3141361176967621,0,0,[]],129,2393,[],[[]],[0,"Default",0,1]],[[13707,2804,0,440,496,0,0,1,0.4340909123420715,0.4233871102333069,0,0,[]],128,2434,
[],[[]],[0,"Default",0,1]],[[12727,2991,0,428,191,0,0,1,0.4173553586006165,0.3141361176967621,0,0,[]],129,2435,[],[[]],[0,"Default",0,1]],[[13188,2991,0,597,191,0,0,1,0.4173553586006165,0.3141361176967621,0,0,[]],129,2436,[],[[]],[0,"Default",0,1]],[[5745,2108,0,150,142,0,-3.140062093734741,1,0.5,0.5015479922294617,0,0,[]],124,349,[],[[]],[0,"Default",0,1]],[[5894,2108,0,150,142,0,-3.140062093734741,1,0.5,0.5015479922294617,0,0,[]],124,384,[],[[]],[0,"Default",0,1]],[[9224.0068359375,2531.921630859375,
0,366,284,0,0,1,0.7122207880020142,0.4608695507049561,0,0,[]],122,397,[],[[]],[0,"Default",0,1]],[[8400.046875,2540.724853515625,0,327,279,0,0,1,0.3641703426837921,0.5009041428565979,0,0,[]],123,402,[],[[]],[0,"Default",0,1]],[[12784,2109,0,268,268,0,0,1,0.5,0.5,0,0,[]],53,1129,[],[[]],[0,"Default",0,1]],[[12998,2138,0,-392,213,0,0,1,0.5018587112426758,0.5023474097251892,0,0,[]],56,1266,[],[[]],[0,"Default",0,1]],[[13286,2156,0,-213.2180023193359,211.5584259033203,0,0,1,0.5019454956054688,0.4901960790157318,
0,0,[]],24,1924,[],[[]],[0,"Default",0,1]],[[13176,2167,0,145.0779876708984,143.9489593505859,0,0,1,0.5019454956054688,0.4901960790157318,0,0,[]],24,8813,[],[[]],[0,"Default",0,1]]],[]],["main",4,8040242238960618,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[7004,2554,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1243,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[7176,2552,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1245,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",
0,1]],[[7357,2555,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1247,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[1442,2306,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1251,[[9],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[1570,2308,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1252,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[2223,2192,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1254,[[0],[0],[0]],[[],
[1,400,0,0]],[0,"Default",0,1]],[[2565,1941,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1255,[[9],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[3625,1628,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1256,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[4553,2460,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1258,[[9],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[4824,2461,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],
28,1260,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[5094,2460,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1262,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[6976,1493,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1274,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[7247,1495,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1275,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[4541,1330,0,119,117,0,0,1,0.5042017102241516,
0.3247863352298737,0,0,[]],28,1277,[[9],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[8389,2307,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1278,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[8713,2307,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1279,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[9030,2301,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1280,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[7252,261,0,119,117,
0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1289,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[7806,424,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1290,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[8063,419,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1291,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[4993,262,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1302,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],
[[4720,262,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1303,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[4446,262,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1304,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[1656,949,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1305,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[1860,858,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1306,[[0],[0],[0]],[[],[1,400,0,
0]],[0,"Default",0,1]],[[2071,954,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1307,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[3568,509,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1308,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[1334,1550,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1309,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[7407,1931,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1310,[[0],
[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[7180,1928,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1311,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[6957,1934,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1312,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[6718,1934,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1313,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[6472,1934,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,
0,0,[]],28,1314,[[9],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[3310,502,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1315,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[4089,503,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1316,[[9],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[694,1971,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1317,[[9],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[3897,1384,0,119,117,0,0,1,0.5042017102241516,
0.3247863352298737,0,0,[]],28,1319,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[7982,1401,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1322,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[8288,1392,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1323,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[8645,1398,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1324,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[2193,1572,0,119,117,
0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1325,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[1235,1975,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1326,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[976,1962,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1327,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[3091,1726,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1328,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,
1]],[[9148,1526,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1329,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[8258,827,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1336,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[8552,826,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1338,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[7651,830,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1339,[[0],[0],[0]],[[],[1,400,
0,0]],[0,"Default",0,1]],[[7942,826,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1341,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[9647,603,0,125,156,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1342,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[7736,2548,0,106,109,0,0,1,0.5,0.2752293646335602,0,0,[]],40,1344,[[0],[0],[0]],[[],[1,400,0,0],[]],[0,"Default",0,1]],[[7604,1408,0,106,109,0,0,1,0.5,0.2752293646335602,0,0,[]],40,1347,[[0],[0],[0]],[[],[1,400,0,
0],[]],[0,"Default",0,1]],[[8280,415,0,106,109,0,0,1,0.5,0.2752293646335602,0,0,[]],40,1348,[[0],[0],[0]],[[],[1,400,0,0],[]],[0,"Default",0,1]],[[6196,1935,0,106,109,0,0,1,0.5,0.2752293646335602,0,0,[]],40,1351,[[0],[0],[0]],[[],[1,400,0,0],[]],[0,"Default",0,1]],[[2750,1305,0,106,109,0,0,1,0.5,0.2752293646335602,0,0,[]],40,1352,[[0],[0],[0]],[[],[1,400,0,0],[]],[0,"Default",0,1]],[[3818,497,0,106,109,0,0,1,0.5,0.2752293646335602,0,0,[]],40,1353,[[0],[0],[0]],[[],[1,400,0,0],[]],[0,"Default",0,1]],
[[2913,1847,0,106,109,0,0,1,0.5,0.2752293646335602,0,0,[]],40,1354,[[0],[0],[0]],[[],[1,400,0,0],[]],[0,"Default",0,1]],[[4203,1204,0,106,109,0,0,1,0.5,0.2752293646335602,0,0,[]],40,1355,[[0],[0],[0]],[[],[1,400,0,0],[]],[0,"Default",0,1]],[[9397,1512,0,106,109,0,0,1,0.5,0.2752293646335602,0,0,[]],40,1356,[[0],[0],[0]],[[],[1,400,0,0],[]],[0,"Default",0,1]],[[7198,1009,0,106,109,0,0,1,0.5,0.2752293646335602,0,0,[]],40,1357,[[0],[0],[0]],[[],[1,400,0,0],[]],[0,"Default",0,1]],[[8105,685,0,106,109,
0,0,1,0.5,0.2752293646335602,0,0,[]],40,1358,[[0],[0],[0]],[[],[1,400,0,0],[]],[0,"Default",0,1]],[[2378,2184,0,106,109,0,0,1,0.5,0.2752293646335602,0,0,[]],40,1359,[[0],[0],[0]],[[],[1,400,0,0],[]],[0,"Default",0,1]],[[1559,2552,0,106,109,0,0,1,0.5,0.2752293646335602,0,0,[]],40,1360,[[0],[0],[0]],[[],[1,400,0,0],[]],[0,"Default",0,1]],[[164,2571.5,0,153,191,0,0,1,0.5,0.5,0,0,[]],41,1361,[[0]],[[330,1500,3E3,950,1500,1E3,0,1]],[1,"Default",0,1]],[[5327,1012,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,
0,0,[]],28,1234,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[5561,1011,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1235,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[4975,727,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1236,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[2366,681,0,94,113,0,0,1,0.5106382966041565,0.3097345232963562,0,0,[]],46,1365,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[11625,2518,0,125,156,0,0,1,0.5106382966041565,
0.3097345232963562,0,0,[]],46,1366,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[4771,1007,0,106,109,0,0,1,0.5,0.2752293646335602,0,0,[]],40,1237,[[0],[0],[0]],[[],[1,400,0,0],[]],[0,"Default",0,1]],[[3240,1823,0,106,109,0,0,1,0.5,0.2752293646335602,0,0,[]],40,1253,[[0],[0],[0]],[[],[1,400,0,0],[]],[0,"Default",0,1]],[[6886.14599609375,295.282958984375,0,280,207,0,0,1,0.5492125749588013,0.6478873491287231,0,0,[]],70,1267,[[3]],[[]],[0,"Default",0,1]],[[5821,1919,0,289.5329284667969,301.3025207519531,
0,0,1,0.5121951103210449,0.5234375,0,0,[]],71,1268,[[4]],[[]],[0,"Default",0,1]],[[12920,2137,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1343,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[12464,2144,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1345,[[9],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[12690,2140,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1349,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[13381,2134,0,119,117,
0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1294,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[14060,2252,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1350,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[6603,253,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2552,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[5481,266,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2582,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,
1]],[[5245,261,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2585,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[733,2376,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2543,[[9],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[17045,2117,0,250,250,0,0,1,0.4969135820865631,0.5,0,0,[]],50,1610,[[0]],[[]],[0,"Default",0,1]],[[5373,2440,0,94,113,0,0,1,0.5106382966041565,0.3097345232963562,0,0,[]],46,387,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[8753,
425,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,546,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[11483,1449,0,106,109,0,0,1,0.5,0.2752293646335602,0,0,[]],40,547,[[0],[0],[0]],[[],[1,400,0,0],[]],[0,"Default",0,1]],[[12120,1452,0,106,109,0,0,1,0.5,0.2752293646335602,0,0,[]],40,560,[[0],[0],[0]],[[],[1,400,0,0],[]],[0,"Default",0,1]],[[11874,1705,0,106,109,0,0,1,0.5,0.2752293646335602,0,0,[]],40,561,[[0],[0],[0]],[[],[1,400,0,0],[]],[0,"Default",0,1]],[[11517,1983,0,106,
109,0,0,1,0.5,0.2752293646335602,0,0,[]],40,562,[[0],[0],[0]],[[],[1,400,0,0],[]],[0,"Default",0,1]],[[15412,2275,0,106,109,0,0,1,0.5,0.2752293646335602,0,0,[]],40,322,[[0],[0],[0]],[[],[1,400,0,0],[]],[0,"Default",0,1]],[[16486,1674,0,106,109,0,0,1,0.5,0.2752293646335602,0,0,[]],40,356,[[0],[0],[0]],[[],[1,400,0,0],[]],[0,"Default",0,1]],[[16682,1281,0,106,109,0,0,1,0.5,0.2752293646335602,0,0,[]],40,563,[[0],[0],[0]],[[],[1,400,0,0],[]],[0,"Default",0,1]],[[16258,934,0,106,109,0,0,1,0.5,0.2752293646335602,
0,0,[]],40,564,[[0],[0],[0]],[[],[1,400,0,0],[]],[0,"Default",0,1]],[[11241,1987,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,559,[[9],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[11208,1454,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1378,[[9],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[11343,1450,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1382,[[9],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[11624,1450,0,119,117,0,0,1,0.5042017102241516,
0.3247863352298737,0,0,[]],28,1383,[[9],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[11768,1451,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1387,[[9],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[11986,1456,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1388,[[9],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[12260,1451,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1397,[[9],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[12136,1710,0,119,
117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1917,[[9],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[12009,1716,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1918,[[9],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[11742,1714,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1919,[[9],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[11602,1711,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1920,[[9],[0],[0]],[[],[1,400,0,0]],[0,"Default",
0,1]],[[11782,1985,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1921,[[9],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[10803,623,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1287,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[10347,630,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1428,[[9],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[10573,626,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1430,[[0],[0],[0]],[[],
[1,400,0,0]],[0,"Default",0,1]],[[11037,616,0,106,109,0,0,1,0.5,0.2752293646335602,0,0,[]],40,1431,[[0],[0],[0]],[[],[1,400,0,0],[]],[0,"Default",0,1]],[[15243,2279,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,313,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[14787,2286,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,320,[[9],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[15013,2282,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,354,[[0],
[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[14753,1343,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,355,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[14297,1350,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,473,[[9],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[14523,1346,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1584,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[15993,920,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,
0,0,[]],28,1591,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[16498,930,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1593,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[16424,1288,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1594,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[16929,1283,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1595,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[16738,1660,0,119,117,0,0,1,0.5042017102241516,
0.3247863352298737,0,0,[]],28,1597,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[16258,1670,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1598,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[15944,2284,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1599,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[15566,2286,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1600,[[9],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[15755,2282,0,119,
117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1601,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[8475,417,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1022,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[9899,2007,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1086,[[9],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[10034,2003,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1281,[[9],[0],[0]],[[],[1,400,0,0]],[0,"Default",
0,1]],[[9561,2007,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1282,[[9],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[9696,2010,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1283,[[9],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[9939,2568,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1284,[[9],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[10074,2567,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1331,[[9],[0],[0]],[[],
[1,400,0,0]],[0,"Default",0,1]],[[9595,2569,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1332,[[9],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[9736,2569,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1334,[[9],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[10785,2562,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1335,[[9],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[10920,2563,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],
28,1346,[[9],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[10447,2561,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1559,[[9],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[10582,2562,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1602,[[9],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[10259,2491,0,106,109,0,0,1,0.5,0.2752293646335602,0,0,[]],40,1922,[[0],[0],[0]],[[],[1,400,0,0],[]],[0,"Default",0,1]],[[11087,2468,0,106,109,0,0,1,0.5,0.2752293646335602,0,0,
[]],40,1923,[[0],[0],[0]],[[],[1,400,0,0],[]],[0,"Default",0,1]]],[]],["general",5,9458525350166208,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[9417,1634,0,161,74,0,0,1,0.5031055808067322,0.5,0,0,[]],31,1490,[],[[1],[]],[0,"Default",0,1]],[[12133,1845,0,161,74,0,0,1,0.5031055808067322,0.5,0,0,[]],31,1424,[],[[1],[]],[0,"Default",0,1]],[[16760,1799,0,161,74,0,0,1,0.5031055808067322,0.5,0,0,[]],31,1635,[],[[1],[]],[0,"Default",0,1]],[[15968,2410,0,161,74,0,0,1,0.5031055808067322,0.5,0,0,[]],31,1634,[],[[1],
[]],[0,"Default",0,1]],[[11783,2117,0,161,74,0,0,1,0.5031055808067322,0.5,0,0,[]],31,1426,[],[[1],[]],[0,"Default",0,1]],[[12261,1588,0,161,74,0,0,1,0.5031055808067322,0.5,0,0,[]],31,1293,[],[[1],[]],[0,"Default",0,1]],[[11770,1588,0,161,74,0,0,1,0.5031055808067322,0.5,0,0,[]],31,1425,[],[[1],[]],[0,"Default",0,1]],[[8763,555,0,161,74,0,0,1,0.5031055808067322,0.5,0,0,[]],31,1488,[],[[1],[]],[0,"Default",0,1]],[[8546,956,0,161,74,0,0,1,0.5031055808067322,0.5,0,0,[]],31,1493,[],[[1],[]],[0,"Default",
0,1]],[[7397,1621,0,161,74,0,0,1,0.5031055808067322,0.5,0,0,[]],31,1484,[],[[1],[]],[0,"Default",0,1]],[[7341,1141,0,161,74,0,0,1,0.5031055808067322,0.5,0,0,[]],31,1492,[],[[1],[]],[0,"Default",0,1]],[[1242,2169,0,161,74,0,0,1,0.5031055808067322,0.5,0,0,[]],31,1476,[],[[1],[]],[0,"Default",0,1]],[[2892,1427,0,161,74,0,0,1,0.5031055808067322,0.5,0,0,[]],31,1487,[],[[1],[]],[0,"Default",0,1]],[[7588,2155,0,800.2451782226562,800.2451782226562,0,0,1,0.4940828382968903,0.43376624584198,0,0,[]],33,1370,
[],[[1,0,0,4,0,0,0,50,0],[]],[0,"Default",0,1]],[[3014,1025,0,1124.104614257813,1006.390380859375,0,0,1,0.4940828382968903,0.43376624584198,0,0,[]],33,1371,[],[[1,0,0,4,0,0,0,50,0],[]],[0,"Default",0,1]],[[7601,1980,0,1124.104614257813,1006.390380859375,0,0,1,0.4940828382968903,0.43376624584198,0,0,[]],33,1372,[],[[1,0,0,4,0,0,0,50,0],[]],[0,"Default",0,1]],[[2558,2077,0,162,77,0,0,1,0.5,0.5064935088157654,0,0,[]],29,1375,[],[[1],[]],[0,"Default",0,1]],[[1103,2170,0,157,75,0,0,1,0.5031847357749939,
0.5066666603088379,0,0,[]],30,1392,[],[[1],[]],[0,"Default",0,1]],[[968,2170,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,1393,[],[[1],[]],[0,"Default",0,1]],[[833,2170,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,1394,[],[[1],[]],[0,"Default",0,1]],[[5371,2572,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,1402,[],[[1],[]],[0,"Default",0,1]],[[5231,2572,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,1403,[],[[1],[]],[0,"Default",
0,1]],[[5092,2572,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,1404,[],[[1],[]],[0,"Default",0,1]],[[4954,2572,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,1405,[],[[1],[]],[0,"Default",0,1]],[[4811,2572,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,1406,[],[[1],[]],[0,"Default",0,1]],[[4672,2572,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,1407,[],[[1],[]],[0,"Default",0,1]],[[4529,2575,0,162,77,0,0,1,0.5,0.5064935088157654,
0,0,[]],29,1389,[],[[1],[]],[0,"Default",0,1]],[[7256,1622,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,1415,[],[[1],[]],[0,"Default",0,1]],[[7115,1622,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,1416,[],[[1],[]],[0,"Default",0,1]],[[6977,1622,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,1417,[],[[1],[]],[0,"Default",0,1]],[[6840,1622,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,1418,[],[[1],[]],[0,"Default",0,1]],[[2751,
1428,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,1456,[],[[1],[]],[0,"Default",0,1]],[[8620,556,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,1457,[],[[1],[]],[0,"Default",0,1]],[[8479,556,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,1458,[],[[1],[]],[0,"Default",0,1]],[[8341,556,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,1459,[],[[1],[]],[0,"Default",0,1]],[[8204,556,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,
0,0,[]],30,1460,[],[[1],[]],[0,"Default",0,1]],[[8067,556,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,1461,[],[[1],[]],[0,"Default",0,1]],[[7927,556,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,1462,[],[[1],[]],[0,"Default",0,1]],[[10144,2143,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,1463,[],[[1],[]],[0,"Default",0,1]],[[10006,2143,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,1464,[],[[1],[]],[0,"Default",0,1]],[[9868,
2143,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,1465,[],[[1],[]],[0,"Default",0,1]],[[9731,2143,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,1466,[],[[1],[]],[0,"Default",0,1]],[[9594,2143,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,1467,[],[[1],[]],[0,"Default",0,1]],[[9274,1635,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,1468,[],[[1],[]],[0,"Default",0,1]],[[7199,1144,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,
0,0,[]],30,1469,[],[[1],[]],[0,"Default",0,1]],[[8406,957,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,1470,[],[[1],[]],[0,"Default",0,1]],[[8265,957,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,1471,[],[[1],[]],[0,"Default",0,1]],[[8125,957,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,1472,[],[[1],[]],[0,"Default",0,1]],[[7985,957,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,1473,[],[[1],[]],[0,"Default",0,1]],[[7845,957,
0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,1474,[],[[1],[]],[0,"Default",0,1]],[[7706,957,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,1475,[],[[1],[]],[0,"Default",0,1]],[[1574,2423,0,161,74,0,0,1,0.5031055808067322,0.5,0,0,[]],31,1477,[],[[1],[]],[0,"Default",0,1]],[[1445,1704,0,161,74,0,0,1,0.5031055808067322,0.5,0,0,[]],31,1478,[],[[1],[]],[0,"Default",0,1]],[[1994,1133,0,161,74,0,0,1,0.5031055808067322,0.5,0,0,[]],31,1479,[],[[1],[]],[0,"Default",0,1]],
[[2196,1710,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],32,1494,[],[[1,0,1,10,0,2,0,500,0],[1]],[0,"Default",0,1]],[[9418,493,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],32,1496,[],[[1,0,1,7,0,2,0,490,0],[1]],[0,"Default",0,1]],[[9493,777,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],32,1497,[],[[1,0,1,7,0,2,0,300,0],[1]],[0,"Default",0,1]],[[9354,777,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],32,1498,[],[[1,0,1,7,0,2,0,300,0],[1]],
[0,"Default",0,1]],[[10651,1959,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],32,1501,[],[[1,0,1,7,0,2,0,490,0],[1]],[0,"Default",0,1]],[[5578,1235,0,208,197,0,0,1,0.5,0.5025380849838257,0,0,[]],35,1141,[],[[]],[0,"Default",0,1]],[[4255,1756,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,1238,[],[[1],[]],[0,"Default",0,1]],[[15830,2410,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,1621,[],[[1],[]],[0,"Default",0,1]],[[16622,1800,0,157,75,0,0,1,0.5031847357749939,
0.5066666603088379,0,0,[]],30,1622,[],[[1],[]],[0,"Default",0,1]],[[16483,1800,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,1623,[],[[1],[]],[0,"Default",0,1]],[[16346,1800,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,1624,[],[[1],[]],[0,"Default",0,1]],[[15694,2410,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,1625,[],[[1],[]],[0,"Default",0,1]],[[15559,2410,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,1626,[],[[1],[]],[0,
"Default",0,1]],[[15423,2410,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,1627,[],[[1],[]],[0,"Default",0,1]],[[15286,2410,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,1628,[],[[1],[]],[0,"Default",0,1]],[[15147,2410,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,1629,[],[[1],[]],[0,"Default",0,1]],[[15009,2410,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,1630,[],[[1],[]],[0,"Default",0,1]],[[14871,2410,0,157,75,0,0,1,0.5031847357749939,
0.5066666603088379,0,0,[]],30,1631,[],[[1],[]],[0,"Default",0,1]],[[14127,2415,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],32,1636,[],[[1,0,1,8,0,2,0,400,0],[1]],[0,"Default",0,1]],[[13992,2415,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],32,1637,[],[[1,0,1,8,0,2,0,400,0],[1]],[0,"Default",0,1]],[[15554,1204,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],32,1638,[],[[1,0,1,4,0,2,0,220,0],[1]],[0,"Default",0,1]],[[15944,1647,0,157,75,0,0,1,0.5031847357749939,
0.5066666603088379,0,0,[]],32,1640,[],[[1,1,0,7,0,0,0,435,0],[1]],[0,"Default",0,1]],[[14593,1849,0,128,128,0,0,1,0,0.5,0,0,[]],65,1507,[],[[]],[50,360,0,10,16,100,0,4E3,2E3,0,0,30,0,60,0,500,0,0,1]],[[2104,784,0,128,128,0,0,1,0,0.5,0,0,[]],65,1502,[],[[]],[50,360,0,10,16,100,0,4E3,2E3,0,0,30,0,60,0,500,0,0,1]],[[7354,1714,0,128,128,0,0,1,0,0.5,0,0,[]],65,1503,[],[[]],[50,360,0,10,16,100,0,4E3,2E3,0,0,30,0,60,0,500,0,0,1]],[[2612,1429,0,162,77,0,0,1,0.5,0.5064935088157654,0,0,[]],29,1380,[],[[1],
[]],[0,"Default",0,1]],[[1431,2425,0,162,77,0,0,1,0.5,0.5064935088157654,0,0,[]],29,1374,[],[[1],[]],[0,"Default",0,1]],[[1306,1705,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,1395,[],[[1],[]],[0,"Default",0,1]],[[1165,1706,0,162,77,0,0,1,0.5,0.5064935088157654,0,0,[]],29,1376,[],[[1],[]],[0,"Default",0,1]],[[1857,1134,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,1398,[],[[1],[]],[0,"Default",0,1]],[[1721,1135,0,162,77,0,0,1,0.5,0.5064935088157654,0,0,[]],29,
1377,[],[[1],[]],[0,"Default",0,1]],[[2695,2339,0,2011,77,0,0,0,0.5,0.5064935088157654,0,0,[]],29,1249,[],[[1],[]],[1,"Default",0,1]],[[3198,1996,0,1019,77,0,0,0,0.5,0.5064935088157654,0,0,[]],29,1250,[],[[1],[]],[1,"Default",0,1]],[[12119,1588,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,1285,[],[[1],[]],[0,"Default",0,1]],[[12734,1260,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,1288,[],[[1],[]],[0,"Default",0,1]],[[12596,1260,0,157,75,0,0,1,0.5031847357749939,
0.5066666603088379,0,0,[]],30,1292,[],[[1],[]],[0,"Default",0,1]],[[11998,1846,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,1411,[],[[1],[]],[0,"Default",0,1]],[[11859,1846,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,1412,[],[[1],[]],[0,"Default",0,1]],[[11628,1588,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,1413,[],[[1],[]],[0,"Default",0,1]],[[11488,1588,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,1414,[],[[1],[]],[0,
"Default",0,1]],[[11347,1588,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,1419,[],[[1],[]],[0,"Default",0,1]],[[11720,1846,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,1420,[],[[1],[]],[0,"Default",0,1]],[[11645,2118,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,1421,[],[[1],[]],[0,"Default",0,1]],[[11506,2118,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,1422,[],[[1],[]],[0,"Default",0,1]],[[11369,2118,0,157,75,0,0,1,0.5031847357749939,
0.5066666603088379,0,0,[]],30,1423,[],[[1],[]],[0,"Default",0,1]],[[10037,1063,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],32,1427,[],[[1,1,0,7,0,0,0,300,0],[1]],[0,"Default",0,1]],[[2763,747,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],32,1301,[],[[1,1,0,7,0,0,0,500,0],[1]],[0,"Default",0,1]],[[13313,980,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],32,1435,[],[[1,0,1,7,0,2,0,490,0],[1]],[0,"Default",0,1]],[[13645,1335,0,157,75,0,0,1,0.5031847357749939,
0.5066666603088379,0,0,[]],32,1436,[],[[1,0,1,7,0,2,0,490,0],[1]],[0,"Default",0,1]],[[13013,1605,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],32,1437,[],[[1,0,1,7,0,2,0,490,0],[1]],[0,"Default",0,1]],[[13373,1895,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],32,1438,[],[[1,0,1,7,0,2,0,490,0],[1]],[0,"Default",0,1]],[[410,2530,0,142.8915710449219,142.8915710449219,0,0,1,0.5,0.5,0,0,[]],72,1857,[[0],[0]],[[]],[1,"Default",0,1]],[[7060,1147,0,162,77,0,0,1,0.5,0.5064935088157654,
0,0,[]],29,1390,[],[[1],[]],[0,"Default",0,1]],[[7570,958,0,162,77,0,0,1,0.5,0.5064935088157654,0,0,[]],29,1391,[],[[1],[]],[0,"Default",0,1]],[[7789,557,0,162,77,0,0,1,0.5,0.5064935088157654,0,0,[]],29,1381,[],[[1],[]],[0,"Default",0,1]],[[11980,1588,0,162,77,0,0,1,0.5,0.5064935088157654,0,0,[]],29,1273,[],[[1],[]],[0,"Default",0,1]],[[11232,2117.987060546875,0,160,75,0,0,1,0.5,0.5064935088157654,0,0,[]],29,1409,[],[[1],[]],[0,"Default",0,1]],[[9454,2144,0,162,77,0,0,1,0.5,0.5064935088157654,0,0,
[]],29,1385,[],[[1],[]],[0,"Default",0,1]],[[12460,1260,0,162,77,0,0,1,0.5,0.5064935088157654,0,0,[]],29,1276,[],[[1],[]],[0,"Default",0,1]],[[14734,2410,0,160,75,0,0,1,0.5,0.5064935088157654,0,0,[]],29,1613,[],[[1],[]],[0,"Default",0,1]],[[11207,1588,0,160,75,0,0,1,0.5,0.5064935088157654,0,0,[]],29,1408,[],[[1],[]],[0,"Default",0,1]],[[11584,1845.987060546875,0,160,75,0,0,1,0.5,0.5064935088157654,0,0,[]],29,1410,[],[[1],[]],[0,"Default",0,1]],[[697,2171,0,162,77,0,0,1,0.5,0.5064935088157654,0,0,
[]],29,1373,[],[[1],[]],[0,"Default",0,1]],[[6116,839,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],32,2238,[],[[1,1,0,7,0,0,0,400,0],[1]],[0,"Default",0,1]],[[4873,408,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],32,2619,[],[[1,0,0,7,0,0,0,500,0],[1]],[0,"Default",0,1]],[[12303,705,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],32,2624,[],[[1,0,1,7,0,2,0,490,0],[1]],[0,"Default",0,1]],[[9263,1125,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,
0,[]],32,1242,[],[[1,0,1,7,0,2,0,490,0],[1]],[0,"Default",0,1]],[[10143,1555,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],32,1300,[],[[1,0,1,7,0,2,0,490,0],[1]],[0,"Default",0,1]],[[16209,1799.987060546875,0,160,75,0,0,1,0.5,0.5064935088157654,0,0,[]],29,1612,[],[[1],[]],[0,"Default",0,1]],[[16962,1413,0,161,74,0,0,1,0.5031055808067322,0.5,0,0,[]],31,324,[],[[1],[]],[0,"Default",0,1]],[[16824,1414,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,326,[],[[1],[]],[0,"Default",
0,1]],[[16685,1414,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,330,[],[[1],[]],[0,"Default",0,1]],[[16548,1414,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,342,[],[[1],[]],[0,"Default",0,1]],[[16411,1414,0,160,75,0,0,1,0.5,0.5064935088157654,0,0,[]],29,353,[],[[1],[]],[0,"Default",0,1]],[[16535,1064,0,161,74,0,0,1,0.5031055808067322,0.5,0,0,[]],31,357,[],[[1],[]],[0,"Default",0,1]],[[16397,1065,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,
358,[],[[1],[]],[0,"Default",0,1]],[[16258,1065,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,359,[],[[1],[]],[0,"Default",0,1]],[[16121,1065,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,360,[],[[1],[]],[0,"Default",0,1]],[[15984,1065,0,160,75,0,0,1,0.5,0.5064935088157654,0,0,[]],29,361,[],[[1],[]],[0,"Default",0,1]],[[9131,1638,0,162,77,0,0,1,0.5,0.5064935088157654,0,0,[]],29,1384,[],[[1],[]],[0,"Default",0,1]],[[1219,2589,0,527,220,0,0,1,0.5009487867355347,0.5,
0,0,[]],69,1127,[[2]],[[]],[0,"Default",0,1]],[[1219,2589,0,527,220,0,0,1,0.5009487867355347,0.5,0,0,[]],125,1128,[[2]],[[],[1,6,0,30,10,20,300,200,0]],[0,"Default",0,1]],[[369,2338,0,154,170,0,0,1,0.5018315315246582,0.5,0,0,[]],42,1362,[[0],[0],[0],[0],[0],[0],[0],[3],[0]],[[],[]],[0,"Default",0,1]],[[14734,2533,0,1960,232,0,0,1,0.5,0.5,0,0,[]],58,1609,[],[[1,0,0,40,0,0,0,280,0],[]],[0,"Default",0,1]],[[12478,117,0,162,77,0,0,1,0.5,0.5064935088157654,0,0,[]],29,8814,[],[[1],[]],[0,"Default",0,1]]],
[]],["trava",6,7903405467957689,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[16177,2258,0,228.4087219238281,87.75023651123047,0,0,1,0.5028248429298401,0.5,0,0,[]],23,8824,[],[[]],[0,"Default",0,1]],[[16337,2258,0,228.4087219238281,87.75023651123047,0,0,1,0.5028248429298401,0.5,0,0,[]],23,8825,[],[[]],[0,"Default",0,1]],[[16478,2258,0,228.4087219238281,87.75023651123047,0,0,1,0.5028248429298401,0.5,0,0,[]],23,8826,[],[[]],[0,"Default",0,1]],[[16639,2263,0,228.4087219238281,87.75023651123047,0,0,1,0.5028248429298401,
0.5,0,0,[]],23,8827,[],[[]],[0,"Default",0,1]],[[16797,2258,0,228.4087219238281,87.75023651123047,0,0,1,0.5028248429298401,0.5,0,0,[]],23,8828,[],[[]],[0,"Default",0,1]],[[16934,2258,0,228.4087219238281,87.75023651123047,0,0,1,0.5028248429298401,0.5,0,0,[]],23,8829,[],[[]],[0,"Default",0,1]],[[17086,2258,0,228.4087219238281,87.75023651123047,0,0,1,0.5028248429298401,0.5,0,0,[]],23,8830,[],[[]],[0,"Default",0,1]],[[17242,2258,0,228.4087219238281,87.75023651123047,0,0,1,0.5028248429298401,0.5,0,0,[]],
23,8831,[],[[]],[0,"Default",0,1]],[[17375,2253,0,228.4087219238281,87.75023651123047,0,0,1,0.5028248429298401,0.5,0,0,[]],23,8877,[],[[]],[0,"Default",0,1]],[[1707,2302,0,186.1028594970703,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,8851,[],[[]],[0,"Default",0,1]],[[1833,2301,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,8852,[],[[]],[0,"Default",0,1]],[[1953,2301,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,8853,[],[[]],[0,"Default",0,1]],[[2068,2300,0,177,68,0,0,1,0.5028248429298401,0.5,
0,0,[]],23,8854,[],[[]],[0,"Default",0,1]],[[2183,2299,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,8855,[],[[]],[0,"Default",0,1]],[[2303,2298,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,8856,[],[[]],[0,"Default",0,1]],[[2421,2300,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,8857,[],[[]],[0,"Default",0,1]],[[2541,2300,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,8858,[],[[]],[0,"Default",0,1]],[[2658,2299,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,8859,[],[[]],[0,"Default",
0,1]],[[2779,2300,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,8860,[],[[]],[0,"Default",0,1]],[[2900,2300,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,8861,[],[[]],[0,"Default",0,1]],[[3021,2300,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,8862,[],[[]],[0,"Default",0,1]],[[3140,2300,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,8863,[],[[]],[0,"Default",0,1]],[[3261,2301,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,8864,[],[[]],[0,"Default",0,1]],[[3381,2300,0,177,68,0,0,1,0.5028248429298401,
0.5,0,0,[]],23,8865,[],[[]],[0,"Default",0,1]],[[3498,2300,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,8866,[],[[]],[0,"Default",0,1]],[[3620,2301,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,8867,[],[[]],[0,"Default",0,1]],[[2703,1956,0,148.6799926757813,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,8868,[],[[]],[0,"Default",0,1]],[[2813,1957,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,8869,[],[[]],[0,"Default",0,1]],[[2938,1960,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,8870,[],
[[]],[0,"Default",0,1]],[[3055,1962,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,8871,[],[[]],[0,"Default",0,1]],[[3170,1961,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,8872,[],[[]],[0,"Default",0,1]],[[3289,1957,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,8873,[],[[]],[0,"Default",0,1]],[[3405,1959,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,8874,[],[[]],[0,"Default",0,1]],[[3522,1957,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,8875,[],[[]],[0,"Default",0,1]],[[3636,1958,
0,162.8399963378906,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,8876,[],[[]],[0,"Default",0,1]],[[-20,2682,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1035,[],[[]],[0,"Default",0,1]],[[101,2681,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1036,[],[[]],[0,"Default",0,1]],[[215,2682,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1037,[],[[]],[0,"Default",0,1]],[[331,2682,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1038,[],[[]],[0,"Default",0,1]],[[1168,2682,0,177,68,0,0,1,0.5028248429298401,
0.5,0,0,[]],23,1039,[],[[]],[0,"Default",0,1]],[[1288,2680,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1040,[],[[]],[0,"Default",0,1]],[[1403,2681,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1041,[],[[]],[0,"Default",0,1]],[[1523,2680,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1042,[],[[]],[0,"Default",0,1]],[[1640,2680,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1043,[],[[]],[0,"Default",0,1]],[[1754,2683,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1044,[],[[]],[0,"Default",
0,1]],[[2111,2683,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1045,[],[[]],[0,"Default",0,1]],[[2225,2682,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1046,[],[[]],[0,"Default",0,1]],[[2346,2681,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1047,[],[[]],[0,"Default",0,1]],[[2462,2680,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1048,[],[[]],[0,"Default",0,1]],[[2580,2681,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1049,[],[[]],[0,"Default",0,1]],[[2698,2682,0,177,68,0,0,1,0.5028248429298401,
0.5,0,0,[]],23,1050,[],[[]],[0,"Default",0,1]],[[2818,2683,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1051,[],[[]],[0,"Default",0,1]],[[2940,2683,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1052,[],[[]],[0,"Default",0,1]],[[3063,2682,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1053,[],[[]],[0,"Default",0,1]],[[3184,2683,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1054,[],[[]],[0,"Default",0,1]],[[3305,2682,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1055,[],[[]],[0,"Default",
0,1]],[[3425,2682,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1056,[],[[]],[0,"Default",0,1]],[[7112,2680,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1088,[],[[]],[0,"Default",0,1]],[[7233,2681,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1089,[],[[]],[0,"Default",0,1]],[[7354,2681,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1090,[],[[]],[0,"Default",0,1]],[[7471,2680,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1091,[],[[]],[0,"Default",0,1]],[[7589,2681,0,177,68,0,0,1,0.5028248429298401,
0.5,0,0,[]],23,1092,[],[[]],[0,"Default",0,1]],[[1874,2683,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1106,[],[[]],[0,"Default",0,1]],[[1994,2683,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1107,[],[[]],[0,"Default",0,1]],[[8338,2413,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1152,[],[[]],[0,"Default",0,1]],[[8461,2414,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1153,[],[[]],[0,"Default",0,1]],[[8580,2414,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1154,[],[[]],[0,"Default",
0,1]],[[8702,2414,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1155,[],[[]],[0,"Default",0,1]],[[8820,2414,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1156,[],[[]],[0,"Default",0,1]],[[8941,2415,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1157,[],[[]],[0,"Default",0,1]],[[9057,2414,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1158,[],[[]],[0,"Default",0,1]],[[9167,2414,0,148.5269012451172,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1159,[],[[]],[0,"Default",0,1]],[[9270,2413,0,158.7695922851563,
68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1160,[],[[]],[0,"Default",0,1]],[[7704,2682,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1167,[],[[]],[0,"Default",0,1]],[[7824,2681,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1168,[],[[]],[0,"Default",0,1]],[[7943,2681,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1169,[],[[]],[0,"Default",0,1]],[[8065,2681,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1170,[],[[]],[0,"Default",0,1]],[[8181,2682,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,
[]],23,1171,[],[[]],[0,"Default",0,1]],[[8295,2682,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1172,[],[[]],[0,"Default",0,1]],[[8416,2682,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1173,[],[[]],[0,"Default",0,1]],[[8538,2681,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1174,[],[[]],[0,"Default",0,1]],[[8660,2680,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1175,[],[[]],[0,"Default",0,1]],[[8785,2682,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1176,[],[[]],[0,"Default",0,1]],
[[8903,2683,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1177,[],[[]],[0,"Default",0,1]],[[9017,2687,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1178,[],[[]],[0,"Default",0,1]],[[9143,2686,0,183.6295928955078,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1179,[],[[]],[0,"Default",0,1]],[[9267,2685,0,183.6300964355469,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1180,[],[[]],[0,"Default",0,1]],[[9390,2681,0,189.1524505615234,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1181,[],[[]],[0,"Default",
0,1]],[[9522,2681,0,186.9513092041016,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1182,[],[[]],[0,"Default",0,1]],[[9639,2681,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1183,[],[[]],[0,"Default",0,1]],[[9753,2679,0,175,66,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1184,[],[[]],[0,"Default",0,1]],[[9876,2681,0,175,66,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1185,[],[[]],[0,"Default",0,1]],[[9988,2681,0,175,66,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1186,[],[[]],[0,"Default",0,1]],[[10107,2681,0,175,
66,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1187,[],[[]],[0,"Default",0,1]],[[10228,2681,0,175,66,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1188,[],[[]],[0,"Default",0,1]],[[10349,2681,0,175,66,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1189,[],[[]],[0,"Default",0,1]],[[10468,2681,0,175,66,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1190,[],[[]],[0,"Default",0,1]],[[10590,2681,0,175,66,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1191,[],[[]],[0,"Default",0,1]],[[10710,2681,0,175,66,0,0,1,0.5028248429298401,0.5,
0,0,[]],23,1192,[],[[]],[0,"Default",0,1]],[[10821,2681,0,175,66,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1193,[],[[]],[0,"Default",0,1]],[[10935,2682,0,175,66,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1194,[],[[]],[0,"Default",0,1]],[[11050,2681,0,175,66,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1195,[],[[]],[0,"Default",0,1]],[[11173,2679,0,181.5546875,66,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1196,[],[[]],[0,"Default",0,1]],[[11294,2681,0,181.55517578125,66,0,0,1,0.5028248429298401,0.5,0,0,[]],23,
1197,[],[[]],[0,"Default",0,1]],[[11419,2682,0,187.01513671875,66,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1198,[],[[]],[0,"Default",0,1]],[[11541,2680,0,184.8388671875,66,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1199,[],[[]],[0,"Default",0,1]],[[11658,2681,0,175,66,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1200,[],[[]],[0,"Default",0,1]],[[448,2681,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1201,[],[[]],[0,"Default",0,1]],[[570,2682,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1202,[],[[]],
[0,"Default",0,1]],[[693,2682,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1203,[],[[]],[0,"Default",0,1]],[[814,2684,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1204,[],[[]],[0,"Default",0,1]],[[936,2682,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1205,[],[[]],[0,"Default",0,1]],[[1054,2681,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1206,[],[[]],[0,"Default",0,1]],[[14053,2658,0,175,66,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1523,[],[[]],[0,"Default",0,1]],[[14174,2658,0,175,
66,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1524,[],[[]],[0,"Default",0,1]],[[14294,2658,0,175,66,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1525,[],[[]],[0,"Default",0,1]],[[14415,2660,0,175,66,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1526,[],[[]],[0,"Default",0,1]],[[14533,2659,0,175,66,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1527,[],[[]],[0,"Default",0,1]],[[14656,2658,0,175,66,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1528,[],[[]],[0,"Default",0,1]],[[14777,2659,0,175,66,0,0,1,0.5028248429298401,0.5,
0,0,[]],23,1529,[],[[]],[0,"Default",0,1]],[[14900,2661,0,175,66,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1530,[],[[]],[0,"Default",0,1]],[[15022,2662,0,175,66,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1531,[],[[]],[0,"Default",0,1]],[[15141,2663,0,175,66,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1532,[],[[]],[0,"Default",0,1]],[[15262,2663,0,175,66,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1533,[],[[]],[0,"Default",0,1]],[[15382,2664,0,175,66,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1534,[],[[]],[0,"Default",
0,1]],[[15503,2664,0,175,66,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1535,[],[[]],[0,"Default",0,1]],[[15619,2663,0,175,66,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1536,[],[[]],[0,"Default",0,1]],[[15736,2663,0,175,66,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1537,[],[[]],[0,"Default",0,1]],[[15858,2662,0,175,66,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1538,[],[[]],[0,"Default",0,1]],[[15979,2662,0,175,66,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1539,[],[[]],[0,"Default",0,1]],[[16100,2662,0,175,66,0,0,
1,0.5028248429298401,0.5,0,0,[]],23,1540,[],[[]],[0,"Default",0,1]],[[16219,2662,0,175,66,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1541,[],[[]],[0,"Default",0,1]],[[16338,2663,0,175,66,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1542,[],[[]],[0,"Default",0,1]],[[16460,2663,0,175,66,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1543,[],[[]],[0,"Default",0,1]],[[16581,2662,0,175,66,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1544,[],[[]],[0,"Default",0,1]],[[16701,2663,0,175,66,0,0,1,0.5028248429298401,0.5,0,0,[]],
23,1545,[],[[]],[0,"Default",0,1]],[[16821,2664,0,175,66,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1546,[],[[]],[0,"Default",0,1]],[[16938,2663,0,175,66,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1547,[],[[]],[0,"Default",0,1]],[[17054,2662,0,175,66,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1548,[],[[]],[0,"Default",0,1]],[[17178,2662,0,175,66,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1549,[],[[]],[0,"Default",0,1]],[[17298,2662,0,175,66,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1550,[],[[]],[0,"Default",0,
1]],[[17419,2663,0,175,66,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1551,[],[[]],[0,"Default",0,1]],[[4722,1130,0,148.6799926757813,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,8832,[],[[]],[0,"Default",0,1]],[[4832,1133,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,8833,[],[[]],[0,"Default",0,1]],[[4951,1134,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,8834,[],[[]],[0,"Default",0,1]],[[5071,1134,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,8835,[],[[]],[0,"Default",0,1]],[[5188,1133,0,177,
68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,8836,[],[[]],[0,"Default",0,1]],[[5307,1133,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,8837,[],[[]],[0,"Default",0,1]],[[5427,1133,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,8838,[],[[]],[0,"Default",0,1]],[[5546,1131,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,8839,[],[[]],[0,"Default",0,1]],[[5658,1129,0,162.8399963378906,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,8840,[],[[]],[0,"Default",0,1]],[[3270,620,0,177,68,0,0,1,0.5028248429298401,
0.5,0,0,[]],23,1103,[],[[]],[0,"Default",0,1]],[[3390,620,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1104,[],[[]],[0,"Default",0,1]],[[3505,620,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1105,[],[[]],[0,"Default",0,1]],[[3627,618,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1108,[],[[]],[0,"Default",0,1]],[[3746,620,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1109,[],[[]],[0,"Default",0,1]],[[3861,619,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1110,[],[[]],[0,"Default",
0,1]],[[3968,621,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1111,[],[[]],[0,"Default",0,1]],[[4088,619,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1112,[],[[]],[0,"Default",0,1]],[[4202,618,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1113,[],[[]],[0,"Default",0,1]],[[6485,367,0,164.0861968994141,63.03873825073242,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1030,[],[[]],[0,"Default",0,1]],[[6598,368,0,164.0861968994141,63.03873825073242,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1059,[],[[]],
[0,"Default",0,1]],[[6707,369,0,164.0861968994141,63.03873825073242,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1060,[],[[]],[0,"Default",0,1]],[[6817,370,0,164.0861968994141,63.03873825073242,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1061,[],[[]],[0,"Default",0,1]],[[6931,371,0,164.0861968994141,63.03873825073242,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1062,[],[[]],[0,"Default",0,1]],[[7035,368,0,164.0861968994141,63.03873825073242,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1063,[],[[]],[0,"Default",0,1]],
[[7144,369,0,164.0861968994141,63.03873825073242,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1064,[],[[]],[0,"Default",0,1]],[[7250,369,0,164.0861968994141,63.03873825073242,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1065,[],[[]],[0,"Default",0,1]],[[7354,368,0,164.0861968994141,63.03873825073242,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1066,[],[[]],[0,"Default",0,1]],[[4430,1466,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1075,[],[[]],[0,"Default",0,1]],[[4539,1468,0,177,68,0,0,1,0.5028248429298401,
0.5,0,0,[]],23,1076,[],[[]],[0,"Default",0,1]],[[4658,1468,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1077,[],[[]],[0,"Default",0,1]],[[4777,1468,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1078,[],[[]],[0,"Default",0,1]],[[4889,1467,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1079,[],[[]],[0,"Default",0,1]],[[5008,1468,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1080,[],[[]],[0,"Default",0,1]],[[5130,1468,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1081,[],[[]],[0,"Default",
0,1]],[[5251,1468,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1082,[],[[]],[0,"Default",0,1]],[[5363,1467,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1083,[],[[]],[0,"Default",0,1]],[[5475,1468,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1084,[],[[]],[0,"Default",0,1]],[[5585,1468,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1085,[],[[]],[0,"Default",0,1]],[[5702,1469,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1130,[],[[]],[0,"Default",0,1]],[[5811,1469,0,177,68,0,0,1,0.5028248429298401,
0.5,0,0,[]],23,1131,[],[[]],[0,"Default",0,1]],[[5921,1469,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1132,[],[[]],[0,"Default",0,1]],[[6031,1469,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1133,[],[[]],[0,"Default",0,1]],[[6139,1467,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1134,[],[[]],[0,"Default",0,1]],[[6239,1465,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1135,[],[[]],[0,"Default",0,1]],[[10321,767,0,228.4087219238281,87.75023651123047,0,0,1,0.5028248429298401,0.5,0,0,
[]],23,1164,[],[[]],[0,"Default",0,1]],[[10471,769,0,228.4087219238281,87.75023651123047,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1165,[],[[]],[0,"Default",0,1]],[[10613,769,0,228.4087219238281,87.75023651123047,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1166,[],[[]],[0,"Default",0,1]],[[10772,768,0,228.4087219238281,87.75023651123047,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1207,[],[[]],[0,"Default",0,1]],[[10920,769,0,228.4087219238281,87.75023651123047,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1208,[],
[[]],[0,"Default",0,1]],[[11075,769,0,228.4087219238281,87.75023651123047,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1209,[],[[]],[0,"Default",0,1]],[[11222,769,0,228.4087219238281,87.75023651123047,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1210,[],[[]],[0,"Default",0,1]],[[11382,769,0,228.4087219238281,87.75023651123047,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1211,[],[[]],[0,"Default",0,1]],[[11537,769,0,228.4087219238281,87.75023651123047,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1212,[],[[]],[0,"Default",
0,1]],[[14235,1468,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1297,[],[[]],[0,"Default",0,1]],[[14355,1468,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1298,[],[[]],[0,"Default",0,1]],[[14459,1468,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1299,[],[[]],[0,"Default",0,1]],[[14579,1468,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1318,[],[[]],[0,"Default",0,1]],[[14699,1468,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,8815,[],[[]],[0,"Default",0,1]],[[14814,1468,0,177,68,0,0,
1,0.5028248429298401,0.5,0,0,[]],23,8816,[],[[]],[0,"Default",0,1]],[[14936,1468,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,8817,[],[[]],[0,"Default",0,1]],[[15058,1468,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,8818,[],[[]],[0,"Default",0,1]],[[15163,1468,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,8819,[],[[]],[0,"Default",0,1]],[[13955,2663,0,175,66,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1522,[],[[]],[0,"Default",0,1]],[[13842,2664,0,175,66,0,0,1,0.5028248429298401,0.5,0,0,[]],
23,1555,[],[[]],[0,"Default",0,1]],[[12418,2248,0,175,66,0,0,1,0.5028248429298401,0.5,0,0,[]],23,403,[],[[]],[0,"Default",0,1]],[[12542,2248,0,175,66,0,0,1,0.5028248429298401,0.5,0,0,[]],23,409,[],[[]],[0,"Default",0,1]],[[12665,2247,0,175,66,0,0,1,0.5028248429298401,0.5,0,0,[]],23,414,[],[[]],[0,"Default",0,1]],[[12785,2247,0,175,66,0,0,1,0.5028248429298401,0.5,0,0,[]],23,420,[],[[]],[0,"Default",0,1]],[[12907,2248,0,175,66,0,0,1,0.5028248429298401,0.5,0,0,[]],23,431,[],[[]],[0,"Default",0,1]],[[13024,
2246,0,175,66,0,0,1,0.5028248429298401,0.5,0,0,[]],23,462,[],[[]],[0,"Default",0,1]],[[13148,2249,0,175,66,0,0,1,0.5028248429298401,0.5,0,0,[]],23,463,[],[[]],[0,"Default",0,1]],[[13270,2248,0,175,66,0,0,1,0.5028248429298401,0.5,0,0,[]],23,464,[],[[]],[0,"Default",0,1]],[[13385,2246,0,175,66,0,0,1,0.5028248429298401,0.5,0,0,[]],23,465,[],[[]],[0,"Default",0,1]],[[6248,2058,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,466,[],[[]],[0,"Default",0,1]],[[6368,2058,0,177,68,0,0,1,0.5028248429298401,
0.5,0,0,[]],23,467,[],[[]],[0,"Default",0,1]],[[6491,2057,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,468,[],[[]],[0,"Default",0,1]],[[6610,2057,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,469,[],[[]],[0,"Default",0,1]],[[6730,2056,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,470,[],[[]],[0,"Default",0,1]],[[6849,2054,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,471,[],[[]],[0,"Default",0,1]],[[6126,2058,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,540,[],[[]],[0,"Default",0,
1]],[[17535,2663,0,175,66,0,0,1,0.5028248429298401,0.5,0,0,[]],23,541,[],[[]],[0,"Default",0,1]],[[17646,2660,0,175,66,0,0,1,0.5028248429298401,0.5,0,0,[]],23,542,[],[[]],[0,"Default",0,1]],[[17763,2656,0,175,66,0,0,1,0.5028248429298401,0.5,0,0,[]],23,545,[],[[]],[0,"Default",0,1]],[[7545,1527,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1101,[],[[]],[0,"Default",0,1]],[[7668,1528,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1114,[],[[]],[0,"Default",0,1]],[[7787,1528,0,177,68,0,0,1,0.5028248429298401,
0.5,0,0,[]],23,1115,[],[[]],[0,"Default",0,1]],[[7909,1528,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1116,[],[[]],[0,"Default",0,1]],[[8027,1528,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1117,[],[[]],[0,"Default",0,1]],[[8148,1529,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1118,[],[[]],[0,"Default",0,1]],[[8264,1528,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1119,[],[[]],[0,"Default",0,1]],[[8374,1528,0,148.5269012451172,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1120,[],
[[]],[0,"Default",0,1]],[[8477,1527,0,158.7695922851563,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1121,[],[[]],[0,"Default",0,1]],[[8589,1527,0,158.7695922851563,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1122,[],[[]],[0,"Default",0,1]],[[8697,1529,0,158.7695922851563,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1123,[],[[]],[0,"Default",0,1]],[[8807,1528,0,158.7695922851563,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1124,[],[[]],[0,"Default",0,1]],[[8912,1528,0,158.7695922851563,68,0,0,1,0.5028248429298401,
0.5,0,0,[]],23,1125,[],[[]],[0,"Default",0,1]],[[8986,1526,0,158.7695922851563,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1126,[],[[]],[0,"Default",0,1]]],[]],["gui",7,335957853675399,!0,[255,255,255],!0,0,0,1,!1,1,0,0,[],[]],["black",8,0xcc3e5f54fdc75,!0,[0,0,0],!1,1,1,0,!1,1,0,0,[],[]]],[],[]],["5",17730,3E3,!1,"eLv2-6",0x5e2e8a6f47d5b,[["b4",0,0xd42ca80ced47b,!0,[255,255,255],!1,0.4000000059604645,0.4000000059604645,1,!1,1,0,0,[[[0,0,0,2306.49609375,3002.25048828125,0,0,1,9.765629656612873E-4,
7.501880172640085E-4,0,0,[]],44,1439,[],[[]],[0,"Default",0,1]]],[]],["b3",1,7345349419861766,!0,[255,255,255],!0,0.699999988079071,1,1,!1,1,0,0,[[[1003,2529.085693359375,0,2049,304,0,0,1,0.5,0.5035714507102966,0,0,[]],43,1441,[],[[]],[0,"Default",0,1]],[[3050,2529.085693359375,0,2049,304,0,0,1,0.5,0.5035714507102966,0,0,[]],43,1442,[],[[]],[0,"Default",0,1]],[[5097,2529.085693359375,0,2049,304,0,0,1,0.5,0.5035714507102966,0,0,[]],43,1443,[],[[]],[0,"Default",0,1]],[[7144,2529.085693359375,0,2049,
304,0,0,1,0.5,0.5035714507102966,0,0,[]],43,1444,[],[[]],[0,"Default",0,1]],[[9191,2529.085693359375,0,2049,304,0,0,1,0.5,0.5035714507102966,0,0,[]],43,1445,[],[[]],[0,"Default",0,1]],[[11236,2529.085693359375,0,2047,303,0,0,1,0.5,0.5035714507102966,0,0,[]],43,1446,[],[[]],[0,"Default",0,1]],[[-1043,2529.085693359375,0,2049,304,0,0,1,0.5,0.5035714507102966,0,0,[]],43,1447,[],[[]],[0,"Default",0,1]],[[13280,2528.085693359375,0,2047,303,0,0,1,0.5,0.5035714507102966,0,0,[]],43,1448,[],[[]],[0,"Default",
0,1]],[[15324,2528.085693359375,0,2047,303,0,0,1,0.5,0.5035714507102966,0,0,[]],43,1449,[],[[]],[0,"Default",0,1]],[[17369,2528.085693359375,0,2047,303,0,0,1,0.5,0.5035714507102966,0,0,[]],43,1450,[],[[]],[0,"Default",0,1]],[[13592,1251,0,556,2603,0,0,1,0.5,0.5,0,0,[]],45,1451,[],[[]],[0,"Default",0,1]]],[]],["b2",2,6133748415862396,!0,[255,255,255],!0,0.9700000286102295,0.9700000286102295,1,!1,1,0,0,[[[-295,1330.673095703125,0,1554.696166992188,2677.596435546875,0,0,1,0.5006536245346069,0.5004366636276245,
0,0,[]],51,1452,[],[[]],[0,"Default",0,1]]],[]],["b1",3,5566413785447923,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[16102.759765625,2940,0,1016.263122558594,681.537353515625,0,0,1,0.6384297609329224,0.5841121673583984,0,0,[]],131,2047,[],[[]],[0,"Default",0,1]],[[16997.421875,2940,0,837.0142822265625,681.537353515625,0,0,1,0.6384297609329224,0.5841121673583984,0,0,[]],131,2048,[],[[]],[0,"Default",0,1]],[[15201.2451171875,2940,0,717.5031127929688,681.537353515625,0,0,1,0.6384297609329224,0.5841121673583984,
0,0,[]],131,2447,[],[[]],[0,"Default",0,1]],[[14489.626953125,2940,0,717.5031127929688,681.537353515625,0,0,1,0.6384297609329224,0.5841121673583984,0,0,[]],131,2448,[],[[]],[0,"Default",0,1]],[[13777.029296875,2940,0,717.5031127929688,681.537353515625,0,0,1,0.6384297609329224,0.5841121673583984,0,0,[]],131,2465,[],[[]],[0,"Default",0,1]],[[15314.5,2597,0,4615,232,0,0,1,0.5,0.5,0,0,[]],58,2172,[],[[1,0,0,40,0,0,0,280,0],[]],[0,"Default",0,1]],[[5944,3217,0,3802,1102,0,0,1,0.5,0.5,0,0,[]],52,2045,[[1]],
[[]],[0,"Default",0,1]],[[850,1025,0,1019,308,0,0,1,0.5004887580871582,0.5,0,0,[]],26,880,[],[[1],[]],[0,"Default",0,1]],[[1250.951049804688,1025.649047851563,0,454,336.8369750976563,0,0,1,0.7122207880020142,0.4608695507049561,0,0,[]],122,881,[],[[]],[0,"Default",0,1]],[[469,1040,0,406.2792358398438,334.5766906738281,0,0,1,0.3641703426837921,0.5009041428565979,0,0,[]],123,882,[],[[]],[0,"Default",0,1]],[[827,1109,0,202.2677764892578,195.3095397949219,0,0,1,0.5,0.5015479922294617,0,0,[]],124,883,[],
[[]],[0,"Default",0,1]],[[717.8677978515625,766.7836303710938,0,-213.2180023193359,211.5584259033203,0,0,1,0.5019454956054688,0.4901960790157318,0,0,[]],24,1650,[],[[]],[0,"Default",0,1]],[[2732,806,0,1019,308,0,0,1,0.5004887580871582,0.5,0,0,[]],26,3219,[],[[1],[]],[0,"Default",0,1]],[[3133,806.7186889648438,0,454.2306518554688,336.7079162597656,0,0,1,0.7122207880020142,0.4608695507049561,0,0,[]],122,3220,[],[[]],[0,"Default",0,1]],[[2351,821,0,406.2792358398438,334.5766906738281,0,0,1,0.3641703426837921,
0.5009041428565979,0,0,[]],123,3221,[],[[]],[0,"Default",0,1]],[[2709,890,0,202.2677764892578,195.3095397949219,0,0,1,0.5,0.5015479922294617,0,0,[]],124,3222,[],[[]],[0,"Default",0,1]],[[4459,663,0,1130.949340820313,341.8375549316406,0,0,1,0.5004887580871582,0.5,0,0,[]],26,8823,[],[[1],[]],[0,"Default",0,1]],[[4904.97216796875,665.26318359375,0,504,372,0,0,1,0.7122207880020142,0.4608695507049561,0,0,[]],122,8878,[],[[]],[0,"Default",0,1]],[[4037,680,0,450.9138793945313,371.3340148925781,0,0,1,0.3641703426837921,
0.5009041428565979,0,0,[]],123,8879,[],[[]],[0,"Default",0,1]],[[4434,757,0,224.4893188476563,216.7666778564453,0,0,1,0.5,0.5015479922294617,0,0,[]],124,8880,[],[[]],[0,"Default",0,1]],[[4381.95947265625,584.369873046875,0,224.4893188476563,216.7666778564453,0,3.141592741012573,1,0.5,0.5015479922294617,0,0,[]],124,1221,[],[[]],[0,"Default",0,1]],[[4604.978515625,580.3583374023438,0,224,214.7894592285156,0,3.141592741012573,1,0.5,0.5015479922294617,0,0,[]],124,1222,[],[[]],[0,"Default",0,1]],[[6843,
425,0,978.8185424804688,295.8549499511719,0,0,1,0.5004887580871582,0.5,0,0,[]],26,8890,[],[[1],[]],[0,"Default",0,1]],[[7229.00048828125,425.3533935546875,0,436.3193359375,323.690185546875,0,0,1,0.7122207880020142,0.4608695507049561,0,0,[]],122,8891,[],[[]],[0,"Default",0,1]],[[6478,439,0,390.2587585449219,321.3836669921875,0,0,1,0.3641703426837921,0.5009041428565979,0,0,[]],123,8892,[],[[]],[0,"Default",0,1]],[[6821,506,0,194.2919158935547,187.6081085205078,0,0,1,0.5,0.5015479922294617,0,0,[]],124,
8893,[],[[]],[0,"Default",0,1]],[[10976,999,0,978.8185424804688,295.8549499511719,0,0,1,0.5004887580871582,0.5,0,0,[]],26,8903,[],[[1],[]],[0,"Default",0,1]],[[11362,999.7615966796875,0,436.3193359375,322.9331970214844,0,0,1,0.7122207880020142,0.4608695507049561,0,0,[]],122,8904,[],[[]],[0,"Default",0,1]],[[10611,1013,0,390.2587585449219,321.3836669921875,0,0,1,0.3641703426837921,0.5009041428565979,0,0,[]],123,8905,[],[[]],[0,"Default",0,1]],[[10954,1080,0,194.2919158935547,187.6081085205078,0,0,
1,0.5,0.5015479922294617,0,0,[]],124,8906,[],[[]],[0,"Default",0,1]],[[12671,812,0,978.8185424804688,295.8549499511719,0,0,1,0.5004887580871582,0.5,0,0,[]],26,8916,[],[[1],[]],[0,"Default",0,1]],[[13053.5537109375,812.7994995117188,0,431.482421875,322.8628234863281,0,0,1,0.7122207880020142,0.4608695507049561,0,0,[]],122,8917,[],[[]],[0,"Default",0,1]],[[12306,826,0,390.2587585449219,321.3836669921875,0,0,1,0.3641703426837921,0.5009041428565979,0,0,[]],123,8918,[],[[]],[0,"Default",0,1]],[[12649,893,
0,194.2919158935547,187.6081085205078,0,0,1,0.5,0.5015479922294617,0,0,[]],124,8919,[],[[]],[0,"Default",0,1]],[[14119,1512,0,978.8185424804688,295.8549499511719,0,0,1,0.5004887580871582,0.5,0,0,[]],26,8929,[],[[1],[]],[0,"Default",0,1]],[[14505,1512.262817382813,0,436.3193359375,323.8583679199219,0,0,1,0.7122207880020142,0.4608695507049561,0,0,[]],122,8930,[],[[]],[0,"Default",0,1]],[[13754,1526,0,390.2587585449219,321.3836669921875,0,0,1,0.3641703426837921,0.5009041428565979,0,0,[]],123,8931,[],
[[]],[0,"Default",0,1]],[[14097,1593,0,194.2919158935547,187.6081085205078,0,0,1,0.5,0.5015479922294617,0,0,[]],124,8932,[],[[]],[0,"Default",0,1]],[[5008,1570,0,1023,324,0,0,1,0.5004887580871582,0.5,0,0,[]],26,8968,[],[[1],[]],[0,"Default",0,1]],[[5892,1570,0,1023,324,0,0,1,0.5004887580871582,0.5,0,0,[]],27,8969,[],[[1],[]],[0,"Default",0,1]],[[6291,1570.0029296875,0,454.2306518554688,351.0191345214844,0,0,1,0.7122207880020142,0.4608695507049561,0,0,[]],122,8970,[],[[]],[0,"Default",0,1]],[[4630,
1584.104736328125,0,406.2792358398438,350.3957824707031,0,0,1,0.3641703426837921,0.5009041428565979,0,0,[]],123,8971,[],[[]],[0,"Default",0,1]],[[5695,1650,0,232,221,0,0,1,0.5,0.5015479922294617,0,0,[]],124,8972,[],[[]],[0,"Default",0,1]],[[5464,1650,0,232,221,0,0,1,0.5,0.5015479922294617,0,0,[]],124,8973,[],[[]],[0,"Default",0,1]],[[5234,1650,0,232,221,0,0,1,0.5,0.5015479922294617,0,0,[]],124,8974,[],[[]],[0,"Default",0,1]],[[5003,1650,0,232,221,0,0,1,0.5,0.5015479922294617,0,0,[]],124,8975,[],[[]],
[0,"Default",0,1]],[[5890,1650,0,162.1070556640625,221,0,0,1,0.5,0.5015479922294617,0,0,[]],124,8976,[],[[]],[0,"Default",0,1]],[[2479,1943,0,1023,324,0,0,1,0.5004887580871582,0.5,0,0,[]],26,8994,[],[[1],[]],[0,"Default",0,1]],[[3363,1943,0,1023,324,0,0,1,0.5004887580871582,0.5,0,0,[]],27,8995,[],[[1],[]],[0,"Default",0,1]],[[3762,1943.18994140625,0,454.2306518554688,350.6720886230469,0,0,1,0.7122207880020142,0.4608695507049561,0,0,[]],122,8996,[],[[]],[0,"Default",0,1]],[[2100.999755859375,1956.822021484375,
0,406.2792358398438,350.9624328613281,0,0,1,0.3641703426837921,0.5009041428565979,0,0,[]],123,8997,[],[[]],[0,"Default",0,1]],[[3166,2023,0,232,221,0,0,1,0.5,0.5015479922294617,0,0,[]],124,8998,[],[[]],[0,"Default",0,1]],[[2935,2023,0,232,221,0,0,1,0.5,0.5015479922294617,0,0,[]],124,8999,[],[[]],[0,"Default",0,1]],[[2705,2023,0,232,221,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9E3,[],[[]],[0,"Default",0,1]],[[2474,2023,0,232,221,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9001,[],[[]],[0,"Default",0,
1]],[[3361,2023,0,162.1070556640625,221,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9002,[],[[]],[0,"Default",0,1]],[[7661,1772,0,705.2548828125,223.3651733398438,0,0,1,0.5004887580871582,0.5,0,0,[]],26,9020,[],[[1],[]],[0,"Default",0,1]],[[8271,1772,0,705.2548828125,223.3651733398438,0,0,1,0.5004887580871582,0.5,0,0,[]],27,9021,[],[[1],[]],[0,"Default",0,1]],[[8546,1773,0,313.1460266113281,239.4386138916016,0,0,1,0.7122207880020142,0.4608695507049561,0,0,[]],122,9022,[],[[]],[0,"Default",0,1]],[[7401,
1787,0,280.08837890625,230.65673828125,0,0,1,0.3641703426837921,0.5009041428565979,0,0,[]],123,9023,[],[[]],[0,"Default",0,1]],[[8135,1827,0,159.9405059814453,152.3571166992188,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9024,[],[[]],[0,"Default",0,1]],[[7976,1827,0,159.9405059814453,152.3571166992188,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9025,[],[[]],[0,"Default",0,1]],[[7817,1827,0,159.9405059814453,152.3571166992188,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9026,[],[[]],[0,"Default",0,1]],[[7658,
1827,0,159.9405059814453,152.3571166992188,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9027,[],[[]],[0,"Default",0,1]],[[8270,1827,0,111.7563934326172,152.3571166992188,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9028,[],[[]],[0,"Default",0,1]],[[9848,1918,0,1019.497802734375,322.890869140625,0,0,1,0.5004887580871582,0.5,0,0,[]],26,9046,[],[[1],[]],[0,"Default",0,1]],[[10730,1918,0,1019.497802734375,322.890869140625,0,0,1,0.5004887580871582,0.5,0,0,[]],27,9047,[],[[1],[]],[0,"Default",0,1]],[[11128.0009765625,
1917.140625,0,452.6756286621094,349.5751953125,0,0,1,0.7122207880020142,0.4608695507049561,0,0,[]],122,9048,[],[[]],[0,"Default",0,1]],[[9472,1939,0,404.8883666992188,333.4313659667969,0,0,1,0.3641703426837921,0.5009041428565979,0,0,[]],123,9049,[],[[]],[0,"Default",0,1]],[[10533,1997,0,231.2057647705078,220.2434692382813,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9050,[],[[]],[0,"Default",0,1]],[[10304,1997,0,231.2057647705078,220.2434692382813,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9051,[],[[]],
[0,"Default",0,1]],[[10074,1997,0,231.2057647705078,220.2434692382813,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9052,[],[[]],[0,"Default",0,1]],[[9844,1997,0,231.2057647705078,220.2434692382813,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9053,[],[[]],[0,"Default",0,1]],[[10729,1997,0,161.5520935058594,220.2434692382813,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9054,[],[[]],[0,"Default",0,1]],[[430,2837,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],27,1517,[],[[1],[]],[0,"Default",0,1]],[[1416,2837,0,
1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],27,1518,[],[[1],[]],[0,"Default",0,1]],[[2404,2837,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],27,1519,[],[[1],[]],[0,"Default",0,1]],[[3395,2837,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],27,1521,[],[[1],[]],[0,"Default",0,1]],[[8433.51953125,2837,0,1064,356,0,0,1,0.5004887580871582,0.5,0,0,[]],27,1561,[],[[1],[]],[0,"Default",0,1]],[[9444,2837,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],27,1574,[],[[1],[]],[0,"Default",0,1]],[[10427,2837,
0,1024.66015625,355.67041015625,0,0,1,0.5004887580871582,0.5,0,0,[]],27,1575,[],[[1],[]],[0,"Default",0,1]],[[11418,2837,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],27,1577,[],[[1],[]],[0,"Default",0,1]],[[12399,2837,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],27,1596,[],[[1],[]],[0,"Default",0,1]],[[675,2772,0,223,215,0,0,1,0.5022421479225159,0.5023255944252014,0,0,[]],34,1646,[],[[]],[0,"Default",0,1]],[[743,693,0,143,156,0,0,1,0.503496527671814,0.5,0,0,[]],37,1668,[],[[]],[0,"Default",
0,1]],[[2549,2534,0,285.0066223144531,286.0986022949219,0,0,1,0.5,0.5,0,0,[]],55,1905,[],[],[0,"Default",0,1]],[[308,2529,0,268,268,0,0,1,0.5,0.5,0,0,[]],53,1649,[],[[]],[0,"Default",0,1]],[[479,2598,0,-148,120,0,0,1,0.5,0.5,0,0,[]],53,1908,[],[[]],[0,"Default",0,1]],[[6589,2877,0,849.4509887695312,557.6151733398438,0,0,1,0.6384297609329224,0.5841121673583984,0,0,[]],131,1832,[],[[]],[0,"Default",0,1]],[[7337,2877,0,699.6245727539062,557.6151733398438,0,0,1,0.6384297609329224,0.5841121673583984,0,
0,[]],131,1833,[],[[]],[0,"Default",0,1]],[[3933.814453125,2816.455078125,0,-302.2586669921875,287.9274291992188,0,-1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,2049,[],[[]],[0,"Default",0,1]],[[5836,2877,0,599.7302856445312,557.6151733398438,0,0,1,0.6384297609329224,0.5841121673583984,0,0,[]],131,2052,[],[[]],[0,"Default",0,1]],[[5241,2877,0,599.7302856445312,557.6151733398438,0,0,1,0.6384297609329224,0.5841121673583984,0,0,[]],131,2053,[],[[]],[0,"Default",0,1]],[[4645,2877,0,599.7302856445312,
557.6151733398438,0,0,1,0.6384297609329224,0.5841121673583984,0,0,[]],131,2322,[],[[]],[0,"Default",0,1]],[[4085,2898,0,354.3722229003906,518.530029296875,0,0,1,0.481617659330368,0.5929648280143738,0,0,[]],132,2324,[],[[]],[0,"Default",0,1]],[[7832,2878,0,371.3091125488281,531.5584106445312,0,0,1,0.6701754331588745,0.5686274766921997,0,0,[]],133,2325,[],[[]],[0,"Default",0,1]],[[5002,2575,0,1960,232,0,0,1,0.5,0.5,0,0,[]],58,2079,[],[[1,0,0,40,0,0,0,100,0],[]],[0,"Default",0,1]],[[6019,2562,0,1960,
232,0,0,1,0.5,0.5,0,0,[]],58,1838,[],[[1,0,0,40,0,0,0,100,0],[]],[0,"Default",0,1]],[[6821,2576,0,1960,232,0,0,1,0.5,0.5,0,0,[]],58,1839,[],[[1,0,0,40,0,0,0,100,0],[]],[0,"Default",0,1]],[[3977,3066,0,3918.939453125,416.9084777832031,0,0,1,0,1,0,0,[]],126,2437,[[0]],[],[0,6,0,0,2E3,349]],[[4498,3108,0,513.3185424804688,248.84228515625,0,0,1,0.4173553586006165,0.3141361176967621,0,0,[]],129,2438,[],[[]],[0,"Default",0,1]],[[5024,3108,0,557.6151123046875,248.84228515625,0,0,1,0.4173553586006165,0.3141361176967621,
0,0,[]],129,2439,[],[[]],[0,"Default",0,1]],[[5625,3108,0,777.7948608398438,248.84228515625,0,0,1,0.4173553586006165,0.3141361176967621,0,0,[]],129,2440,[],[[]],[0,"Default",0,1]],[[6367,3108,0,777.7948608398438,248.84228515625,0,0,1,0.4173553586006165,0.3141361176967621,0,0,[]],129,2441,[],[[]],[0,"Default",0,1]],[[7140,3108,0,781.7034301757812,248.84228515625,0,0,1,0.4173553586006165,0.3141361176967621,0,0,[]],129,2442,[],[[]],[0,"Default",0,1]],[[8073.4560546875,2670.753173828125,0,177,68,0,0,
1,0.5028248429298401,0.5,0,0,[]],23,1710,[],[[]],[0,"Default",0,1]],[[7840,2867,0,573.2491455078125,646.208251953125,0,0,1,0.4340909123420715,0.4233871102333069,0,0,[]],128,2444,[],[[]],[0,"Default",0,1]],[[3755.93017578125,2665.321044921875,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1652,[],[[]],[0,"Default",0,1]],[[3860.91015625,2669.390625,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1936,[],[[]],[0,"Default",0,1]],[[4042,2935,0,634.482666015625,703.5331420898438,0,-0.02621841803193092,
1,0.6242299675941467,0.4703703820705414,0,0,[]],127,2445,[],[[]],[0,"Default",0,1]],[[5144,2474,0,625.2024536132812,188.9718017578125,0,0,1,0.5004887580871582,0.5,0,0,[]],26,1489,[],[[1],[]],[0,"Default",0,1]],[[5388.6396484375,2473.912841796875,0,275.3770446777344,205.8363342285156,0,0,1,0.7122207880020142,0.4608695507049561,0,0,[]],122,1759,[],[[]],[0,"Default",0,1]],[[4911,2483,0,249.2706451416016,205.2777862548828,0,0,1,0.3641703426837921,0.5009041428565979,0,0,[]],123,1760,[],[[]],[0,"Default",
0,1]],[[5130,2525,0,124.1004104614258,119.8311614990234,0,0,1,0.5,0.5015479922294617,0,0,[]],124,1761,[],[[]],[0,"Default",0,1]],[[5051,2486,0,142.4371795654297,137.3272094726563,0,0,1,0.5022421479225159,0.5023255944252014,0,0,[]],34,2443,[],[[]],[0,"Default",0,1]],[[15330.4521484375,3358,0,4548.62255859375,1346.904052734375,0,0,1,0.5,0.5,0,0,[]],52,1642,[[1]],[[]],[0,"Default",0,1]],[[12910.7529296875,2838,0,-369.4314270019531,344.4695434570313,0,-1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],
124,2446,[],[[]],[0,"Default",0,1]],[[12747.244140625,2671.23583984375,0,182.6293487548828,68.87734985351562,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1806,[],[[]],[0,"Default",0,1]],[[13108.4794921875,2966,0,423.9625549316406,633.76611328125,0,0,1,0.481617659330368,0.5929648280143738,0,0,[]],132,2466,[],[[]],[0,"Default",0,1]],[[17589.62109375,2943,0,444.2254028320313,649.6898193359375,0,0,1,0.6701754331588745,0.5686274766921997,0,0,[]],133,2467,[],[[]],[0,"Default",0,1]],[[12979.2724609375,3171,0,
4688.5263671875,509.560546875,0,0,1,0,1,0,0,[]],126,2468,[[0]],[],[0,6,0,0,2E3,349]],[[13602.794921875,3223,0,614.1221313476562,304.1440124511719,0,0,1,0.4173553586006165,0.3141361176967621,0,0,[]],129,2469,[],[[]],[0,"Default",0,1]],[[14232.19140625,3223,0,667.1174926757812,304.1440124511719,0,0,1,0.4173553586006165,0.3141361176967621,0,0,[]],129,2470,[],[[]],[0,"Default",0,1]],[[14949.6826171875,3223,0,930.535400390625,304.1440124511719,0,0,1,0.4173553586006165,0.3141361176967621,0,0,[]],129,2471,
[],[[]],[0,"Default",0,1]],[[15836.513671875,3223,0,930.535400390625,304.1440124511719,0,0,1,0.4173553586006165,0.3141361176967621,0,0,[]],129,2472,[],[[]],[0,"Default",0,1]],[[16763.478515625,3223,0,935.2114868164062,304.1440124511719,0,0,1,0.4173553586006165,0.3141361176967621,0,0,[]],129,2473,[],[[]],[0,"Default",0,1]],[[17601.3671875,2928,0,685.8217163085938,789.8189697265625,0,0,1,0.4340909123420715,0.4233871102333069,0,0,[]],128,2474,[],[[]],[0,"Default",0,1]],[[13060.111328125,2996.388671875,
0,759.0914916992188,819.4723510742188,0,-0.02678485959768295,1,0.6242299675941467,0.4703703820705414,0,0,[]],127,2475,[],[[]],[0,"Default",0,1]],[[4450.99267578125,-180.2817077636719,0,853,424,0,1.570796370506287,1,0.5004887580871582,0.5,0,0,[]],26,1219,[],[[1],[]],[0,"Default",0,1]],[[4575.61279296875,95.35617065429688,0,376.3742980957031,295.9093322753906,0,0,1,0.7122207880020142,0.4608695507049561,0,0,[]],122,1220,[],[[]],[0,"Default",0,1]],[[4340.67578125,94.19215393066406,0,375,323,0,0,1,0.3641703426837921,
0.5009041428565979,0,0,[]],123,1218,[],[[]],[0,"Default",0,1]],[[13827,1262,0,269,213,0,0,1,0.5018587112426758,0.5023474097251892,0,0,[]],56,1673,[],[[]],[0,"Default",0,1]],[[13979,1244,0,268,268,0,0,1,0.5,0.5,0,0,[]],53,1763,[],[[]],[0,"Default",0,1]],[[14217,1277,0,-392,213,0,0,1,0.5018587112426758,0.5023474097251892,0,0,[]],56,1764,[],[[]],[0,"Default",0,1]],[[14499,1276,0,-213.2180023193359,211.5584259033203,0,0,1,0.5019454956054688,0.4901960790157318,0,0,[]],24,1765,[],[[]],[0,"Default",0,1]],
[[9620.2568359375,1653.629638671875,0,269,213,0,0,1,0.5018587112426758,0.5023474097251892,0,0,[]],56,1766,[],[[]],[0,"Default",0,1]],[[9879.1123046875,1518.767822265625,0,479.4997253417969,479.4997253417969,0,0,1,0.5,0.5,0,0,[]],53,1767,[],[[]],[0,"Default",0,1]],[[10051.01171875,1652.332763671875,0,-392,213,0,0,1,0.5018587112426758,0.5023474097251892,0,0,[]],56,1837,[],[[]],[0,"Default",0,1]],[[10282.7412109375,1511.961547851563,0,493.209228515625,489.370361328125,0,0,1,0.5019454956054688,0.4901960790157318,
0,0,[]],24,2050,[],[[]],[0,"Default",0,1]],[[10518.8466796875,1692.5185546875,0,243.3394470214844,132.2227020263672,0,0,1,0.5018587112426758,0.5023474097251892,0,0,[]],56,2051,[],[[]],[0,"Default",0,1]],[[11039,633,0,493.209228515625,489.370361328125,0,0,1,0.5019454956054688,0.4901960790157318,0,0,[]],24,2072,[],[[]],[0,"Default",0,1]],[[9588,2562,0,269,213,0,0,1,0.5018587112426758,0.5023474097251892,0,0,[]],56,2074,[],[[]],[0,"Default",0,1]],[[10195.7998046875,2418.9716796875,0,493.209228515625,
489.370361328125,0,0,1,0.5019454956054688,0.4901960790157318,0,0,[]],24,2222,[],[[]],[0,"Default",0,1]],[[10444.7666015625,2599.21630859375,0,243.3394470214844,132.2227020263672,0,0,1,0.5018587112426758,0.5023474097251892,0,0,[]],56,2223,[],[[]],[0,"Default",0,1]],[[9804.9609375,2571.100830078125,0,220.1939544677734,218.4800872802734,0,0,1,0.5019454956054688,0.4901960790157318,0,0,[]],24,2256,[],[[]],[0,"Default",0,1]],[[8366,1468,0,485.8374633789063,384.6965637207031,0,0,1,0.5018587112426758,0.5023474097251892,
0,0,[]],56,2276,[],[[]],[0,"Default",0,1]],[[2096,1690,0,269,213,0,0,1,0.5018587112426758,0.5023474097251892,0,0,[]],56,2280,[],[[]],[0,"Default",0,1]],[[2248,1672,0,268,268,0,0,1,0.5,0.5,0,0,[]],53,2294,[],[[]],[0,"Default",0,1]],[[2486,1705,0,-392,213,0,0,1,0.5018587112426758,0.5023474097251892,0,0,[]],56,2295,[],[[]],[0,"Default",0,1]],[[2768,1704,0,-213.2180023193359,211.5584259033203,0,0,1,0.5019454956054688,0.4901960790157318,0,0,[]],24,2323,[],[[]],[0,"Default",0,1]],[[2879,1682,0,269,213,
0,0,1,0.5018587112426758,0.5023474097251892,0,0,[]],56,2326,[],[[]],[0,"Default",0,1]],[[3105,1524,0,527.4144287109375,527.4144287109375,0,0,1,0.5,0.5,0,0,[]],53,2362,[],[[]],[0,"Default",0,1]],[[3269,1697,0,-392,213,0,0,1,0.5018587112426758,0.5023474097251892,0,0,[]],56,2363,[],[[]],[0,"Default",0,1]],[[3551,1696,0,-213.2180023193359,211.5584259033203,0,0,1,0.5019454956054688,0.4901960790157318,0,0,[]],24,2364,[],[[]],[0,"Default",0,1]],[[3722,1685,0,-392,213,0,0,1,0.5018587112426758,0.5023474097251892,
0,0,[]],56,2365,[],[[]],[0,"Default",0,1]],[[371,816,0,-148,120,0,0,1,0.5,0.5,0,0,[]],53,2366,[],[[]],[0,"Default",0,1]],[[456,845,0,95.86865997314453,77.7313461303711,0,0,1,0.5,0.5,0,0,[]],53,2367,[],[[]],[0,"Default",0,1]],[[511,810,0,-148,120,0,0,1,0.5,0.5,0,0,[]],53,2368,[],[[]],[0,"Default",0,1]],[[581,842,0,95.86865997314453,77.7313461303711,0,0,1,0.5,0.5,0,0,[]],53,2369,[],[[]],[0,"Default",0,1]],[[785,829,0,129.9397277832031,105.3565368652344,0,0,1,0.5,0.5,0,0,[]],53,2370,[],[[]],[0,"Default",
0,1]],[[924.0798950195312,783.2054443359375,0,228.0995330810547,184.9455718994141,0,0,1,0.5,0.5,0,0,[]],53,2371,[],[[]],[0,"Default",0,1]],[[1013,823,0,-148,120,0,0,1,0.5,0.5,0,0,[]],53,2372,[],[[]],[0,"Default",0,1]]],[]],["PANEL",4,0x3df1272afc2a3,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[973,1971,0,161,74,0,0,1,0.5031055808067322,0.5,0,0,[]],31,2124,[],[[1],[]],[0,"Default",0,1]],[[7214,1294,0,161,74,0,0,1,0.5031055808067322,0.5,0,0,[]],31,1840,[],[[1],[]],[0,"Default",0,1]],[[6546,1019,0,161,74,0,
0,1,0.5031055808067322,0.5,0,0,[]],31,1858,[],[[1],[]],[0,"Default",0,1]],[[5809,599,0,161,74,0,0,1,0.5031055808067322,0.5,0,0,[]],31,1869,[],[[1],[]],[0,"Default",0,1]],[[6269,2507,0,161,74,0,0,1,0.5031055808067322,0.5,0,0,[]],31,1903,[],[[1],[]],[0,"Default",0,1]],[[7307,2472,0,161,74,0,0,1,0.5031055808067322,0.5,0,0,[]],31,2011,[],[[1],[]],[0,"Default",0,1]],[[4425,2350,0,161,74,0,0,1,0.5031055808067322,0.5,0,0,[]],31,2085,[],[[1],[]],[0,"Default",0,1]],[[8030,1029,0,161,74,0,0,1,0.5031055808067322,
0.5,0,0,[]],31,2088,[],[[1],[]],[0,"Default",0,1]],[[9037,574,0,161,74,0,0,1,0.5031055808067322,0.5,0,0,[]],31,2094,[],[[1],[]],[0,"Default",0,1]],[[11717,2413,0,161,74,0,0,1,0.5031055808067322,0.5,0,0,[]],31,2104,[],[[1],[]],[0,"Default",0,1]],[[12348,1957,0,161,74,0,0,1,0.5031055808067322,0.5,0,0,[]],31,2110,[],[[1],[]],[0,"Default",0,1]],[[12984,1760,0,161,74,0,0,1,0.5031055808067322,0.5,0,0,[]],31,2116,[],[[1],[]],[0,"Default",0,1]],[[11987,992,0,161,74,0,0,1,0.5031055808067322,0.5,0,0,[]],31,
2122,[],[[1],[]],[0,"Default",0,1]],[[12342,1446,0,161,74,0,0,1,0.5031055808067322,0.5,0,0,[]],31,2129,[],[[1],[]],[0,"Default",0,1]],[[11764,1702,0,161,74,0,0,1,0.5031055808067322,0.5,0,0,[]],31,2075,[],[[1],[]],[0,"Default",0,1]],[[13879,801,0,161,74,0,0,1,0.5031055808067322,0.5,0,0,[]],31,2137,[],[[1],[]],[0,"Default",0,1]],[[16802,1263,0,161,74,0,0,1,0.5031055808067322,0.5,0,0,[]],31,2141,[],[[1],[]],[0,"Default",0,1]],[[17178,1544,0,161,74,0,0,1,0.5031055808067322,0.5,0,0,[]],31,2146,[],[[1],
[]],[0,"Default",0,1]],[[16844,1841,0,161,74,0,0,1,0.5031055808067322,0.5,0,0,[]],31,2151,[],[[1],[]],[0,"Default",0,1]],[[16827,2549,0,161,74,0,0,1,0.5031055808067322,0.5,0,0,[]],31,2156,[],[[1],[]],[0,"Default",0,1]],[[15583,2480,0,161,74,0,0,1,0.5031055808067322,0.5,0,0,[]],31,2161,[],[[1],[]],[0,"Default",0,1]],[[17592,2037,0,161,74,0,0,1,0.5031055808067322,0.5,0,0,[]],31,2166,[],[[1],[]],[0,"Default",0,1]],[[14062,2465,0,161,74,0,0,1,0.5031055808067322,0.5,0,0,[]],31,2180,[],[[1],[]],[0,"Default",
0,1]],[[14748,2591,0,161,74,0,0,1,0.5031055808067322,0.5,0,0,[]],31,2187,[],[[1],[]],[0,"Default",0,1]],[[15267,2019,0,161,74,0,0,1,0.5031055808067322,0.5,0,0,[]],31,2193,[],[[1],[]],[0,"Default",0,1]],[[15656,1681,0,161,74,0,0,1,0.5031055808067322,0.5,0,0,[]],31,2199,[],[[1],[]],[0,"Default",0,1]],[[15373,1253,0,161,74,0,0,1,0.5031055808067322,0.5,0,0,[]],31,2205,[],[[1],[]],[0,"Default",0,1]],[[15998,951,0,161,74,0,0,1,0.5031055808067322,0.5,0,0,[]],31,2212,[],[[1],[]],[0,"Default",0,1]],[[15081,
697,0,161,74,0,0,1,0.5031055808067322,0.5,0,0,[]],31,2218,[],[[1],[]],[0,"Default",0,1]],[[1740,1050,0,161,74,0,0,1,0.5031055808067322,0.5,0,0,[]],31,2734,[],[[1],[]],[0,"Default",0,1]],[[1340,2054,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],32,2206,[],[[1,1,0,7,0,0,0,500,0],[1]],[0,"Default",0,1]],[[7914,574,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],32,2099,[],[[1,0,0,7,0,0,0,435,0],[1]],[0,"Default",0,1]],[[8714,2404,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,
0,0,[]],32,2224,[],[[1,0,0,7,0,0,0,435,0],[1]],[0,"Default",0,1]],[[5470,1148,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],32,2225,[],[[1,0,0,7,0,0,0,435,0],[1]],[0,"Default",0,1]],[[2401,2388,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],32,2226,[],[[1,0,0,7,0,0,0,435,0],[1]],[0,"Default",0,1]],[[9156,1759,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],32,2227,[],[[1,1,0,7,0,0,0,435,0],[1]],[0,"Default",0,1]],[[8063,2284,0,157,75,0,0,1,0.5031847357749939,
0.5066666603088379,0,0,[]],32,2228,[],[[1,0,0,7,0,0,0,435,0],[1]],[0,"Default",0,1]],[[8282,1038,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],32,2229,[],[[1,1,0,7,0,0,0,435,0],[1]],[0,"Default",0,1]],[[10253,1097,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],32,2230,[],[[1,1,0,7,0,0,0,435,0],[1]],[0,"Default",0,1]],[[4581,2029,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],32,2231,[],[[1,0,0,7,0,0,0,435,0],[1]],[0,"Default",0,1]],[[13369,1214,0,157,75,
0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],32,2232,[],[[1,1,0,7,0,0,0,435,0],[1]],[0,"Default",0,1]],[[13406,1967,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],32,2233,[],[[1,1,0,7,0,0,0,435,0],[1]],[0,"Default",0,1]],[[15844,2103,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],32,2234,[],[[1,1,0,7,0,0,0,435,0],[1]],[0,"Default",0,1]],[[16082,1679,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],32,2235,[],[[1,1,0,7,0,0,0,435,0],[1]],[0,"Default",0,
1]],[[14816,1664,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],32,2236,[],[[1,1,0,7,0,0,0,435,0],[1]],[0,"Default",0,1]],[[1587,1752,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],32,2739,[],[[1,1,0,7,0,0,0,400,0],[1]],[0,"Default",0,1]],[[6639,2079,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],32,2740,[],[[1,1,0,7,0,0,0,500,0],[1]],[0,"Default",0,1]],[[6112,567,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],32,2741,[],[[1,1,0,7,0,0,0,300,
0],[1]],[0,"Default",0,1]],[[9744,574,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],32,2742,[],[[1,0,0,7,0,0,0,435,0],[1]],[0,"Default",0,1]],[[9344,1054,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],32,2100,[],[[1,0,0,7,0,0,0,435,0],[1]],[0,"Default",0,1]],[[3555,1155,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],32,2517,[],[[1,1,0,7,0,0,0,435,0],[1]],[0,"Default",0,1]],[[2057,1237,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],32,2518,[],
[[1,1,0,7,0,0,0,435,0],[1]],[0,"Default",0,1]],[[833,1972,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,2093,[],[[1],[]],[0,"Default",0,1]],[[7074,1295,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,1841,[],[[1],[]],[0,"Default",0,1]],[[6938,1295,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,1843,[],[[1],[]],[0,"Default",0,1]],[[6806,1295,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,1844,[],[[1],[]],[0,"Default",0,1]],[[6406,
1019,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,1859,[],[[1],[]],[0,"Default",0,1]],[[6270,1019,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,1866,[],[[1],[]],[0,"Default",0,1]],[[6138,1019,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,1867,[],[[1],[]],[0,"Default",0,1]],[[5669,600,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,1870,[],[[1],[]],[0,"Default",0,1]],[[5533,600,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,
0,0,[]],30,1871,[],[[1],[]],[0,"Default",0,1]],[[5401,600,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,1872,[],[[1],[]],[0,"Default",0,1]],[[6129,2508,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,1904,[],[[1],[]],[0,"Default",0,1]],[[7167,2473,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,2012,[],[[1],[]],[0,"Default",0,1]],[[4285,2350,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,2086,[],[[1],[]],[0,"Default",0,1]],[[7890,
1030,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,2089,[],[[1],[]],[0,"Default",0,1]],[[7754,1030,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,2090,[],[[1],[]],[0,"Default",0,1]],[[7622,1030,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,2091,[],[[1],[]],[0,"Default",0,1]],[[8897,574,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,2095,[],[[1],[]],[0,"Default",0,1]],[[8761,574,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,
0,0,[]],30,2096,[],[[1],[]],[0,"Default",0,1]],[[8629,574,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,2097,[],[[1],[]],[0,"Default",0,1]],[[11577,2413,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,2105,[],[[1],[]],[0,"Default",0,1]],[[12208,1957,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,2111,[],[[1],[]],[0,"Default",0,1]],[[12844,1761,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,2117,[],[[1],[]],[0,"Default",0,1]],[[11847,
992,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,2123,[],[[1],[]],[0,"Default",0,1]],[[12202,1447,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,2130,[],[[1],[]],[0,"Default",0,1]],[[11624,1702,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,2132,[],[[1],[]],[0,"Default",0,1]],[[13739,801,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,2139,[],[[1],[]],[0,"Default",0,1]],[[16662,1263,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,
0,0,[]],30,2142,[],[[1],[]],[0,"Default",0,1]],[[16526,1263,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,2143,[],[[1],[]],[0,"Default",0,1]],[[16394,1263,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,2144,[],[[1],[]],[0,"Default",0,1]],[[17038,1544,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,2147,[],[[1],[]],[0,"Default",0,1]],[[16902,1544,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,2148,[],[[1],[]],[0,"Default",0,1]],[[16770,
1544,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,2149,[],[[1],[]],[0,"Default",0,1]],[[16704,1841,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,2152,[],[[1],[]],[0,"Default",0,1]],[[16568,1841,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,2153,[],[[1],[]],[0,"Default",0,1]],[[16436,1841,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,2154,[],[[1],[]],[0,"Default",0,1]],[[16687,2549,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,
0,0,[]],30,2157,[],[[1],[]],[0,"Default",0,1]],[[16551,2549,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,2158,[],[[1],[]],[0,"Default",0,1]],[[16419,2549,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,2159,[],[[1],[]],[0,"Default",0,1]],[[15443,2481,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,2162,[],[[1],[]],[0,"Default",0,1]],[[15307,2481,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,2163,[],[[1],[]],[0,"Default",0,1]],[[15175,
2481,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,2164,[],[[1],[]],[0,"Default",0,1]],[[17452,2037,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,2167,[],[[1],[]],[0,"Default",0,1]],[[17316,2037,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,2168,[],[[1],[]],[0,"Default",0,1]],[[17184,2037,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,2173,[],[[1],[]],[0,"Default",0,1]],[[13922,2466,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,
0,0,[]],30,2181,[],[[1],[]],[0,"Default",0,1]],[[14608,2592,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,2188,[],[[1],[]],[0,"Default",0,1]],[[15127,2020,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,2194,[],[[1],[]],[0,"Default",0,1]],[[15516,1682,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,2200,[],[[1],[]],[0,"Default",0,1]],[[15233,1253,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,2207,[],[[1],[]],[0,"Default",0,1]],[[15858,
951,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,2213,[],[[1],[]],[0,"Default",0,1]],[[14941,697,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,2219,[],[[1],[]],[0,"Default",0,1]],[[1600,1051,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,2735,[],[[1],[]],[0,"Default",0,1]],[[697,1973,0,162,77,0,0,1,0.5,0.5064935088157654,0,0,[]],29,2083,[],[[1],[]],[0,"Default",0,1]],[[6672,1296,0,162,77,0,0,1,0.5,0.5064935088157654,0,0,[]],29,1842,[],[[1],[]],
[0,"Default",0,1]],[[6004,1019,0,162,77,0,0,1,0.5,0.5064935088157654,0,0,[]],29,1868,[],[[1],[]],[0,"Default",0,1]],[[5267,601,0,162,77,0,0,1,0.5,0.5064935088157654,0,0,[]],29,1873,[],[[1],[]],[0,"Default",0,1]],[[5993,2509,0,162,77,0,0,1,0.5,0.5064935088157654,0,0,[]],29,1906,[],[[1],[]],[0,"Default",0,1]],[[7031,2474,0,162,77,0,0,1,0.5,0.5064935088157654,0,0,[]],29,2044,[],[[1],[]],[0,"Default",0,1]],[[4149,2350,0,162,77,0,0,1,0.5,0.5064935088157654,0,0,[]],29,2087,[],[[1],[]],[0,"Default",0,1]],
[[7488,1031,0,162,77,0,0,1,0.5,0.5064935088157654,0,0,[]],29,2092,[],[[1],[]],[0,"Default",0,1]],[[8495,574,0,162,77,0,0,1,0.5,0.5064935088157654,0,0,[]],29,2098,[],[[1],[]],[0,"Default",0,1]],[[11441,2413,0,162,77,0,0,1,0.5,0.5064935088157654,0,0,[]],29,2106,[],[[1],[]],[0,"Default",0,1]],[[12072,1957,0,162,77,0,0,1,0.5,0.5064935088157654,0,0,[]],29,2112,[],[[1],[]],[0,"Default",0,1]],[[12708,1762,0,162,77,0,0,1,0.5,0.5064935088157654,0,0,[]],29,2118,[],[[1],[]],[0,"Default",0,1]],[[11711,992,0,
162,77,0,0,1,0.5,0.5064935088157654,0,0,[]],29,2125,[],[[1],[]],[0,"Default",0,1]],[[12066,1448,0,162,77,0,0,1,0.5,0.5064935088157654,0,0,[]],29,2131,[],[[1],[]],[0,"Default",0,1]],[[11488,1702,0,162,77,0,0,1,0.5,0.5064935088157654,0,0,[]],29,2133,[],[[1],[]],[0,"Default",0,1]],[[13603,801,0,162,77,0,0,1,0.5,0.5064935088157654,0,0,[]],29,2140,[],[[1],[]],[0,"Default",0,1]],[[16260,1263,0,162,77,0,0,1,0.5,0.5064935088157654,0,0,[]],29,2145,[],[[1],[]],[0,"Default",0,1]],[[16636,1544,0,162,77,0,0,1,
0.5,0.5064935088157654,0,0,[]],29,2150,[],[[1],[]],[0,"Default",0,1]],[[16302,1841,0,162,77,0,0,1,0.5,0.5064935088157654,0,0,[]],29,2155,[],[[1],[]],[0,"Default",0,1]],[[16285,2549,0,162,77,0,0,1,0.5,0.5064935088157654,0,0,[]],29,2160,[],[[1],[]],[0,"Default",0,1]],[[15041,2482,0,162,77,0,0,1,0.5,0.5064935088157654,0,0,[]],29,2165,[],[[1],[]],[0,"Default",0,1]],[[17050,2037,0,162,77,0,0,1,0.5,0.5064935088157654,0,0,[]],29,2175,[],[[1],[]],[0,"Default",0,1]],[[13786,2467,0,162,77,0,0,1,0.5,0.5064935088157654,
0,0,[]],29,2183,[],[[1],[]],[0,"Default",0,1]],[[14472,2593,0,162,77,0,0,1,0.5,0.5064935088157654,0,0,[]],29,2189,[],[[1],[]],[0,"Default",0,1]],[[14991,2021,0,162,77,0,0,1,0.5,0.5064935088157654,0,0,[]],29,2195,[],[[1],[]],[0,"Default",0,1]],[[15380,1683,0,162,77,0,0,1,0.5,0.5064935088157654,0,0,[]],29,2201,[],[[1],[]],[0,"Default",0,1]],[[15097,1253,0,162,77,0,0,1,0.5,0.5064935088157654,0,0,[]],29,2208,[],[[1],[]],[0,"Default",0,1]],[[15722,951,0,162,77,0,0,1,0.5,0.5064935088157654,0,0,[]],29,2214,
[],[[1],[]],[0,"Default",0,1]],[[14805,697,0,162,77,0,0,1,0.5,0.5064935088157654,0,0,[]],29,2220,[],[[1],[]],[0,"Default",0,1]],[[1464,1052,0,162,77,0,0,1,0.5,0.5064935088157654,0,0,[]],29,2738,[],[[1],[]],[0,"Default",0,1]],[[13319,2581,0,161,74,0,0,1,0.5031055808067322,0.5,0,0,[]],31,1396,[],[[1],[]],[0,"Default",0,1]],[[13179,2582,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,1663,[],[[1],[]],[0,"Default",0,1]],[[13043,2583,0,162,77,0,0,1,0.5,0.5064935088157654,0,0,[]],29,1916,
[],[[1],[]],[0,"Default",0,1]]],[]],["END",5,7387772758913045,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[17311,1898,0,250,250,0,0,1,0.4969135820865631,0.5,0,0,[]],50,2176,[[0]],[[]],[0,"Default",0,1]]],[]],["hero",6,0xea07f2259acbc,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[651,2387,0,153,170,0,0,1,0.5018315315246582,0.5,0,0,[]],42,2182,[[0],[0],[0],[0],[0],[0],[0],[3],[0]],[[],[]],[0,"Default",0,1]]],[]],["main",7,8992570991010268,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[8079,1541,0,119,117,0,0,1,0.5042017102241516,
0.3247863352298737,0,0,[]],28,1929,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[8253,2517,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1931,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[7723,1533,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1933,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[1265,2518,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1934,[[9],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[3125,1412,0,119,117,
0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1935,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[3427,422,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1938,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[3323,1222,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1939,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[4285,2113,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1941,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,
1]],[[4914,2249,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1943,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[5140,2239,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1945,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[5359,2235,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1946,[[9],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[8516,1373,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1947,[[0],[0],[0]],[[],[1,
400,0,0]],[0,"Default",0,1]],[[7386,1526,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1948,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[4505,1275,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1949,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[8465,2175,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1950,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[8767,2175,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,
1951,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[9084,2169,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1952,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[10972,2546,0,125,156,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1953,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[10609,2551,0,125,156,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1954,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[11365,2542,0,125,156,0,0,1,0.5042017102241516,
0.3247863352298737,0,0,[]],28,1955,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[7501,877,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1957,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[8037,874,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1959,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[4877,337,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1960,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[4076,334,0,119,117,0,
0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1961,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[7088,1164,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1962,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[2646,104,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1963,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[2976,131,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1964,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],
[[3247,226,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1965,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[885,752,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1966,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[3450,970,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1967,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[7407,1931,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1968,[[0],[0],[0]],[[],[1,400,0,
0]],[0,"Default",0,1]],[[7180,1928,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1969,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[6957,1934,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1970,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[6718,1934,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1971,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[6472,1934,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1972,
[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[513,727,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1973,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[1249,754,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1974,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[700,1850,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1975,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[3939,1430,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,
0,0,[]],28,1976,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[4104,1269,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1977,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[3799,1630,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1978,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[7908,1361,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1979,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[8217,1360,0,119,117,0,0,1,0.5042017102241516,
0.3247863352298737,0,0,[]],28,1980,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[8374,1531,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1981,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[978,1841,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1983,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[842,1753,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1984,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[3462,699,0,119,117,0,
0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1985,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[8996,1515,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1986,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[9222,2548,0,125,156,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1987,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[9501,2546,0,125,156,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1989,[[9],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],
[[9830,2540,0,125,156,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1991,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[6978,135,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1992,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[7252,134,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1994,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[6452,142,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1995,[[0],[0],[0]],[[],[1,400,0,
0]],[0,"Default",0,1]],[[6673,130,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1997,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[9933,1073,0,125,156,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1998,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[8090.57958984375,2537.071533203125,0,106,109,0,0,1,0.5,0.2752293646335602,0,0,[]],40,1999,[[0],[0],[0]],[[],[1,400,0,0],[]],[0,"Default",0,1]],[[10206,2531,0,125,156,0,0,1,0.5,0.2752293646335602,0,0,[]],40,2E3,[[0],
[0],[0]],[[],[1,400,0,0],[]],[0,"Default",0,1]],[[7583,1358,0,106,109,0,0,1,0.5,0.2752293646335602,0,0,[]],40,2001,[[0],[0],[0]],[[],[1,400,0,0],[]],[0,"Default",0,1]],[[8777,423,0,106,109,0,0,1,0.5,0.2752293646335602,0,0,[]],40,2002,[[0],[0],[0]],[[],[1,400,0,0],[]],[0,"Default",0,1]],[[6196,1935,0,106,109,0,0,1,0.5,0.2752293646335602,0,0,[]],40,2003,[[0],[0],[0]],[[],[1,400,0,0],[]],[0,"Default",0,1]],[[2754,530,0,106,109,0,0,1,0.5,0.2752293646335602,0,0,[]],40,2004,[[0],[0],[0]],[[],[1,400,0,0],
[]],[0,"Default",0,1]],[[1078,679,0,106,109,0,0,1,0.5,0.2752293646335602,0,0,[]],40,2005,[[0],[0],[0]],[[],[1,400,0,0],[]],[0,"Default",0,1]],[[4328,1156,0,106,109,0,0,1,0.5,0.2752293646335602,0,0,[]],40,2007,[[0],[0],[0]],[[],[1,400,0,0],[]],[0,"Default",0,1]],[[5524,431,0,106,109,0,0,1,0.5,0.2752293646335602,0,0,[]],40,2008,[[0],[0],[0]],[[],[1,400,0,0],[]],[0,"Default",0,1]],[[6959,1071,0,106,109,0,0,1,0.5,0.2752293646335602,0,0,[]],40,2009,[[0],[0],[0]],[[],[1,400,0,0],[]],[0,"Default",0,1]],
[[0,2558,0,153,198,0,0,1,0.5,0.5,0,0,[]],41,2013,[[0]],[[330,1500,3E3,950,1500,1E3,0,1]],[1,"Default",0,1]],[[16328,1088,0,125,156,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2015,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[16734,1084,0,125,156,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2017,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[17124,1374,0,125,156,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2018,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",
0,1]],[[16714,1377,0,125,156,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2020,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[16343,1681,0,125,156,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2021,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[16812,1683,0,125,156,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2023,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[15586,2311,0,125,156,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2027,[[0],[0],[0]],
[[],[1,400,0,0]],[0,"Default",0,1]],[[15041,2331,0,125,156,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2029,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[16357,2155,0,125,156,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2030,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[16781,2156,0,125,156,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2032,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[5461,818,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,
0,[]],28,2033,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[5634,971,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2034,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[5288,977,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2035,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[2826,1193,0,94,113,0,0,1,0.5106382966041565,0.3097345232963562,0,0,[]],46,2036,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[12291,2490,0,110.3389282226563,137.7029876708984,
0,0,1,0.5106382966041565,0.3097345232963562,0,0,[]],46,2037,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[16577,2007,0,125,156,0,0,1,0.5,0.2752293646335602,0,0,[]],40,2038,[[0],[0],[0]],[[],[1,400,0,0],[]],[0,"Default",0,1]],[[15312,2318,0,113.7431335449219,141.9514312744141,0,0,1,0.5,0.2752293646335602,0,0,[]],40,2042,[[0],[0],[0]],[[],[1,400,0,0],[]],[0,"Default",0,1]],[[5466,973,0,106,109,0,0,1,0.5,0.2752293646335602,0,0,[]],40,2043,[[0],[0],[0]],[[],[1,400,0,0],[]],[0,"Default",0,1]],[[1607,
2602.615966796875,0,299.0507507324219,180.6405944824219,0,0,1,0.5492125749588013,0.6478873491287231,0,0,[]],70,2055,[[3]],[[]],[0,"Default",0,1]],[[4454.3212890625,372.7649536132813,0,266.1932067871094,287.5092163085938,0,0,1,0.5121951103210449,0.5234375,0,0,[]],71,2056,[[4]],[[]],[0,"Default",0,1]],[[10061,1619,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2057,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[10204,1616,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,
0,0,[]],28,2058,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[10352,1615,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2059,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[13325,2450,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2061,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[13194,2360,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2062,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[13059,2453,0,119,117,0,0,1,0.5042017102241516,
0.3247863352298737,0,0,[]],28,2063,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[13742,2176,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2064,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[14103,2196,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2065,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[2006.330322265625,2602.916015625,0,299.0507507324219,180.6405944824219,0,0,1,0.5492125749588013,0.6478873491287231,0,0,[]],70,1485,[[3]],[[]],[0,"Default",
0,1]],[[2410,2607,0,299.0507507324219,180.6405944824219,0,0,1,0.5492125749588013,0.6478873491287231,0,0,[]],70,1653,[[3]],[[]],[0,"Default",0,1]],[[11022.599609375,582.3544921875,0,116.2722244262695,145.1077423095703,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1454,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[10668,587,0,125,156,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1455,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[10125,745,0,125,156,0,0,1,0.5042017102241516,
0.3247863352298737,0,0,[]],28,1481,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[10846.6103515625,721.1326293945312,0,118.219970703125,147.5385284423828,0,0,1,0.5,0.2752293646335602,0,0,[]],40,1482,[[0],[0],[0]],[[],[1,400,0,0],[]],[0,"Default",0,1]],[[11265,723,0,103.1825332641602,128.7718048095703,0,0,1,0.5106382966041565,0.3097345232963562,0,0,[]],46,1483,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[5209.69091796875,1373.703979492188,0,187.3156280517578,113.1474075317383,0,0,1,0.5492125749588013,
0.6478873491287231,0,0,[]],70,1674,[[3]],[[]],[0,"Default",0,1]],[[5458.69091796875,1376.174560546875,0,187.3156280517578,113.1474075317383,0,0,1,0.5492125749588013,0.6478873491287231,0,0,[]],70,1830,[[3]],[[]],[0,"Default",0,1]],[[5713.927734375,1375.246704101563,0,187.3156280517578,113.1474075317383,0,0,1,0.5492125749588013,0.6478873491287231,0,0,[]],70,1831,[[3]],[[]],[0,"Default",0,1]],[[2265,188,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1845,[[0],[0],[0]],[[],[1,400,0,
0]],[0,"Default",0,1]],[[2536,1424,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1846,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[2083,440,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1847,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[2085,1064,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1848,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[2032,764,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1849,[[0],
[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[2830,1445,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1850,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[2298,1294,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1851,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[1582,1165,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1852,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[6819,1152,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,
0,0,[]],28,1874,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[1005,2515,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2544,[[9],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[2909,2435,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2545,[[9],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[684,684,0,106,109,0,0,1,0.5,0.2752293646335602,0,0,[]],40,362,[[0],[0],[0]],[[],[1,400,0,0],[]],[0,"Default",0,1]],[[12620,554,0,94.4620361328125,117.8886260986328,0,0,1,
0.5,0.2752293646335602,0,0,[]],40,863,[[0],[0],[0]],[[],[1,400,0,0],[]],[0,"Default",0,1]],[[7760,877,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1215,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[8527,426,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1216,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[9041,434,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1217,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[387.2883605957031,
883.8795166015625,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1568,[],[[]],[0,"Default",0,1]],[[506.6977233886719,883.1322021484375,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1569,[],[[]],[0,"Default",0,1]],[[623.2409057617188,884.625732421875,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1570,[],[[]],[0,"Default",0,1]],[[743.0233764648438,883.8795776367188,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1571,[],[[]],[0,"Default",0,1]],[[866.9146728515625,883.5052490234375,0,177,68,
0,0,1,0.5028248429298401,0.5,0,0,[]],23,1572,[],[[]],[0,"Default",0,1]],[[970.3848266601562,882.3848266601562,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1573,[],[[]],[0,"Default",0,1]],[[1092.782470703125,883.8795166015625,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,2547,[],[[]],[0,"Default",0,1]],[[1215.18017578125,882.7590942382812,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,2555,[],[[]],[0,"Default",0,1]],[[1330.9765625,882.172607421875,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,
[]],23,2560,[],[[]],[0,"Default",0,1]],[[2267.9794921875,663.2819213867188,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,3223,[],[[]],[0,"Default",0,1]],[[2388.7216796875,664.95654296875,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,3224,[],[[]],[0,"Default",0,1]],[[2502.02734375,664.95654296875,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,3225,[],[[]],[0,"Default",0,1]],[[2623.88134765625,664.95654296875,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,3226,[],[[]],[0,"Default",0,1]],[[2746.301513671875,
664.95654296875,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,3391,[],[[]],[0,"Default",0,1]],[[2859.0546875,663.2818603515625,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,3540,[],[[]],[0,"Default",0,1]],[[2979.23046875,663.2802124023438,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,3541,[],[[]],[0,"Default",0,1]],[[3098.301513671875,664.95654296875,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,3542,[],[[]],[0,"Default",0,1]],[[3208.2578125,663.2818603515625,0,177,68,0,0,1,0.5028248429298401,
0.5,0,0,[]],23,3555,[],[[]],[0,"Default",0,1]],[[3941.784912109375,504.631591796875,0,196,75,0,0,1,0.5028248429298401,0.5,0,0,[]],23,8881,[],[[]],[0,"Default",0,1]],[[4083.627197265625,504.9488830566406,0,196.4455718994141,75.47062683105469,0,0,1,0.5028248429298401,0.5,0,0,[]],23,8882,[],[[]],[0,"Default",0,1]],[[4220.82373046875,505.6826782226563,0,196.4455718994141,75.47062683105469,0,0,1,0.5028248429298401,0.5,0,0,[]],23,8883,[],[[]],[0,"Default",0,1]],[[4700.47705078125,500.6827697753906,0,196.4455718994141,
75.47062683105469,0,0,1,0.5028248429298401,0.5,0,0,[]],23,8887,[],[[]],[0,"Default",0,1]],[[4830.326171875,504.3699645996094,0,196.4455718994141,75.47062683105469,0,0,1,0.5028248429298401,0.5,0,0,[]],23,8888,[],[[]],[0,"Default",0,1]],[[4967.5234375,503.631591796875,0,196.4455718994141,75.47062683105469,0,0,1,0.5028248429298401,0.5,0,0,[]],23,8889,[],[[]],[0,"Default",0,1]],[[6399.04052734375,288.4517211914063,0,170.0204925537109,65.3186264038086,0,0,1,0.5028248429298401,0.5,0,0,[]],23,8894,[],[[]],
[0,"Default",0,1]],[[6515.66943359375,289.2702941894531,0,170.0204925537109,65.3186264038086,0,0,1,0.5028248429298401,0.5,0,0,[]],23,8895,[],[[]],[0,"Default",0,1]],[[6621.85498046875,288.8447265625,0,170.0204925537109,65.3186264038086,0,0,1,0.5028248429298401,0.5,0,0,[]],23,8896,[],[[]],[0,"Default",0,1]],[[6739.45556640625,288.0740661621094,0,170.0204925537109,65.3186264038086,0,0,1,0.5028248429298401,0.5,0,0,[]],23,8897,[],[[]],[0,"Default",0,1]],[[6857.31982421875,288.5877075195313,0,170.0204925537109,
65.3186264038086,0,0,1,0.5028248429298401,0.5,0,0,[]],23,8898,[],[[]],[0,"Default",0,1]],[[6973.23779296875,288.3310852050781,0,170.0204925537109,65.3186264038086,0,0,1,0.5028248429298401,0.5,0,0,[]],23,8899,[],[[]],[0,"Default",0,1]],[[7082.10546875,288.5881042480469,0,170.0204925537109,65.3186264038086,0,0,1,0.5028248429298401,0.5,0,0,[]],23,8900,[],[[]],[0,"Default",0,1]],[[7197.40234375,288.0740661621094,0,170.0204925537109,65.3186264038086,0,0,1,0.5028248429298401,0.5,0,0,[]],23,8901,[],[[]],
[0,"Default",0,1]],[[7309.3037109375,287.9923706054688,0,170.0204925537109,65.3186264038086,0,0,1,0.5028248429298401,0.5,0,0,[]],23,8902,[],[[]],[0,"Default",0,1]],[[10551.5341796875,861.6199340820312,0,170.0204925537109,65.3186264038086,0,0,1,0.5028248429298401,0.5,0,0,[]],23,8907,[],[[]],[0,"Default",0,1]],[[10659.6650390625,863.0249633789062,0,170.0204925537109,65.3186264038086,0,0,1,0.5028248429298401,0.5,0,0,[]],23,8908,[],[[]],[0,"Default",0,1]],[[10772.041015625,863.02490234375,0,170.0204925537109,
65.3186264038086,0,0,1,0.5028248429298401,0.5,0,0,[]],23,8909,[],[[]],[0,"Default",0,1]],[[10879.353515625,862.3566284179688,0,170.0204925537109,65.3186264038086,0,0,1,0.5028248429298401,0.5,0,0,[]],23,8910,[],[[]],[0,"Default",0,1]],[[10988.9853515625,862.3566284179688,0,170.0204925537109,65.3186264038086,0,0,1,0.5028248429298401,0.5,0,0,[]],23,8911,[],[[]],[0,"Default",0,1]],[[11093.3369140625,862.0220336914062,0,170.0204925537109,65.3186264038086,0,0,1,0.5028248429298401,0.5,0,0,[]],23,8912,[],
[[]],[0,"Default",0,1]],[[11210.3310546875,862.6903076171875,0,170.0204925537109,65.3186264038086,0,0,1,0.5028248429298401,0.5,0,0,[]],23,8913,[],[[]],[0,"Default",0,1]],[[11326.98046875,862.0230712890625,0,170.0204925537109,65.3186264038086,0,0,1,0.5028248429298401,0.5,0,0,[]],23,8914,[],[[]],[0,"Default",0,1]],[[11437.69140625,861.689453125,0,170.0204925537109,65.3186264038086,0,0,1,0.5028248429298401,0.5,0,0,[]],23,8915,[],[[]],[0,"Default",0,1]],[[12226.1806640625,674.4334716796875,0,170.0204925537109,
65.3186264038086,0,0,1,0.5028248429298401,0.5,0,0,[]],23,8920,[],[[]],[0,"Default",0,1]],[[12341.6962890625,675.3704833984375,0,170.0204925537109,65.3186264038086,0,0,1,0.5028248429298401,0.5,0,0,[]],23,8921,[],[[]],[0,"Default",0,1]],[[12451.36328125,676.4467163085938,0,170.0204925537109,65.3186264038086,0,0,1,0.5028248429298401,0.5,0,0,[]],23,8922,[],[[]],[0,"Default",0,1]],[[12563.0849609375,676.445068359375,0,170.0204925537109,65.3186264038086,0,0,1,0.5028248429298401,0.5,0,0,[]],23,8923,[],[[]],
[0,"Default",0,1]],[[12680.6953125,674.83154296875,0,170.0204925537109,65.3186264038086,0,0,1,0.5028248429298401,0.5,0,0,[]],23,8924,[],[[]],[0,"Default",0,1]],[[12794.830078125,674.833251953125,0,170.0204925537109,65.3186264038086,0,0,1,0.5028248429298401,0.5,0,0,[]],23,8925,[],[[]],[0,"Default",0,1]],[[12907.0771484375,675.3704833984375,0,170.0204925537109,65.3186264038086,0,0,1,0.5028248429298401,0.5,0,0,[]],23,8926,[],[[]],[0,"Default",0,1]],[[13020.404296875,675.90771484375,0,170.0204925537109,
65.3186264038086,0,0,1,0.5028248429298401,0.5,0,0,[]],23,8927,[],[[]],[0,"Default",0,1]],[[13123.1044921875,674.833251953125,0,170.0204925537109,65.3186264038086,0,0,1,0.5028248429298401,0.5,0,0,[]],23,8928,[],[[]],[0,"Default",0,1]],[[13672.369140625,1375.656982421875,0,170.0204925537109,65.3186264038086,0,0,1,0.5028248429298401,0.5,0,0,[]],23,8933,[],[[]],[0,"Default",0,1]],[[13790.5986328125,1378.618408203125,0,170.0204925537109,65.3186264038086,0,0,1,0.5028248429298401,0.5,0,0,[]],23,8934,[],
[[]],[0,"Default",0,1]],[[13898.548828125,1374.7177734375,0,170.0204925537109,65.3186264038086,0,0,1,0.5028248429298401,0.5,0,0,[]],23,8935,[],[[]],[0,"Default",0,1]],[[14014.3916015625,1374.7138671875,0,170.0204925537109,65.3186264038086,0,0,1,0.5028248429298401,0.5,0,0,[]],23,8936,[],[[]],[0,"Default",0,1]],[[14130.234375,1375.365844726563,0,170.0204925537109,65.3186264038086,0,0,1,0.5028248429298401,0.5,0,0,[]],23,8937,[],[[]],[0,"Default",0,1]],[[14238.1572265625,1376.014038085938,0,170.0204925537109,
65.3186264038086,0,0,1,0.5028248429298401,0.5,0,0,[]],23,8938,[],[[]],[0,"Default",0,1]],[[14350.755859375,1374.7177734375,0,170.0204925537109,65.3186264038086,0,0,1,0.5028248429298401,0.5,0,0,[]],23,8939,[],[[]],[0,"Default",0,1]],[[14463.3544921875,1376.01806640625,0,170.0204925537109,65.3186264038086,0,0,1,0.5028248429298401,0.5,0,0,[]],23,8940,[],[[]],[0,"Default",0,1]],[[14573.2763671875,1374.713745117188,0,170.0204925537109,65.3186264038086,0,0,1,0.5028248429298401,0.5,0,0,[]],23,8941,[],[[]],
[0,"Default",0,1]],[[4547.5791015625,1419.265869140625,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,8977,[],[[]],[0,"Default",0,1]],[[4651.54638671875,1420.656616210938,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,8978,[],[[]],[0,"Default",0,1]],[[4764.927734375,1420.42138671875,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,8979,[],[[]],[0,"Default",0,1]],[[4880.4609375,1419.42138671875,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,8980,[],[[]],[0,"Default",0,1]],[[4998.2958984375,1418.5693359375,
0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,8981,[],[[]],[0,"Default",0,1]],[[5119.30322265625,1420.0380859375,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,8982,[],[[]],[0,"Default",0,1]],[[5240.21630859375,1419.42138671875,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,8983,[],[[]],[0,"Default",0,1]],[[5360.2958984375,1419.730590820313,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,8984,[],[[]],[0,"Default",0,1]],[[5475.85546875,1420.347412109375,0,177,68,0,0,1,0.5028248429298401,0.5,
0,0,[]],23,8985,[],[[]],[0,"Default",0,1]],[[5585.77587890625,1420.508666992188,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,8986,[],[[]],[0,"Default",0,1]],[[5697.94140625,1421.125366210938,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,8987,[],[[]],[0,"Default",0,1]],[[5811.0263671875,1420.199340820313,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,8988,[],[[]],[0,"Default",0,1]],[[5926.8955078125,1420.508666992188,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,8989,[],[[]],[0,"Default",
0,1]],[[6035.796875,1418.891845703125,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,8990,[],[[]],[0,"Default",0,1]],[[6144.869140625,1419.199340820313,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,8991,[],[[]],[0,"Default",0,1]],[[6257.30908203125,1419.508666992188,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,8992,[],[[]],[0,"Default",0,1]],[[6363.83251953125,1418.891845703125,0,147.986328125,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,8993,[],[[]],[0,"Default",0,1]],[[2011.1982421875,1792.973266601563,
0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,9003,[],[[]],[0,"Default",0,1]],[[2124.47900390625,1793.074462890625,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,9004,[],[[]],[0,"Default",0,1]],[[2238.77197265625,1793.743896484375,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,9005,[],[[]],[0,"Default",0,1]],[[2350.483642578125,1793.164184570313,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,9006,[],[[]],[0,"Default",0,1]],[[2465.871337890625,1794.164184570313,0,177,68,0,0,1,0.5028248429298401,
0.5,0,0,[]],23,9007,[],[[]],[0,"Default",0,1]],[[2583.093994140625,1793.584350585938,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,9008,[],[[]],[0,"Default",0,1]],[[2706.03076171875,1793.581909179688,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,9009,[],[[]],[0,"Default",0,1]],[[2826.190185546875,1793.581909179688,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,9010,[],[[]],[0,"Default",0,1]],[[2943.7392578125,1793.16162109375,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,9011,[],[[]],[0,
"Default",0,1]],[[3058.612548828125,1793.677978515625,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,9012,[],[[]],[0,"Default",0,1]],[[3173.224853515625,1794.100830078125,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,9013,[],[[]],[0,"Default",0,1]],[[3278.612548828125,1793.677978515625,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,9014,[],[[]],[0,"Default",0,1]],[[3391.54931640625,1794.098266601563,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,9015,[],[[]],[0,"Default",0,1]],[[3505.873291015625,
1793.09814453125,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,9016,[],[[]],[0,"Default",0,1]],[[3618.3896484375,1792.680541992188,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,9017,[],[[]],[0,"Default",0,1]],[[3735.96923828125,1792.677978515625,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,9018,[],[[]],[0,"Default",0,1]],[[3844.26611328125,1793.384643554688,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,9019,[],[[]],[0,"Default",0,1]],[[7335,1660,0,122.023567199707,46.87911224365234,0,
0,1,0.5028248429298401,0.5,0,0,[]],23,9029,[],[[]],[0,"Default",0,1]],[[7415,1660,0,122.023567199707,46.87911224365234,0,0,1,0.5028248429298401,0.5,0,0,[]],23,9030,[],[[]],[0,"Default",0,1]],[[7493,1661,0,122.023567199707,46.87911224365234,0,0,1,0.5028248429298401,0.5,0,0,[]],23,9031,[],[[]],[0,"Default",0,1]],[[7575,1660,0,122.023567199707,46.87911224365234,0,0,1,0.5028248429298401,0.5,0,0,[]],23,9032,[],[[]],[0,"Default",0,1]],[[7657,1661,0,122.023567199707,46.87911224365234,0,0,1,0.5028248429298401,
0.5,0,0,[]],23,9033,[],[[]],[0,"Default",0,1]],[[7741,1660,0,122.023567199707,46.87911224365234,0,0,1,0.5028248429298401,0.5,0,0,[]],23,9034,[],[[]],[0,"Default",0,1]],[[7823,1660,0,122.023567199707,46.87911224365234,0,0,1,0.5028248429298401,0.5,0,0,[]],23,9035,[],[[]],[0,"Default",0,1]],[[7907,1660,0,122.023567199707,46.87911224365234,0,0,1,0.5028248429298401,0.5,0,0,[]],23,9036,[],[[]],[0,"Default",0,1]],[[7983,1660,0,122.023567199707,46.87911224365234,0,0,1,0.5028248429298401,0.5,0,0,[]],23,9037,
[],[[]],[0,"Default",0,1]],[[8058,1659,0,122.023567199707,46.87911224365234,0,0,1,0.5028248429298401,0.5,0,0,[]],23,9038,[],[[]],[0,"Default",0,1]],[[8134,1659,0,122.023567199707,46.87911224365234,0,0,1,0.5028248429298401,0.5,0,0,[]],23,9039,[],[[]],[0,"Default",0,1]],[[8210,1659,0,122.023567199707,46.87911224365234,0,0,1,0.5028248429298401,0.5,0,0,[]],23,9040,[],[[]],[0,"Default",0,1]],[[8285,1659,0,122.023567199707,46.87911224365234,0,0,1,0.5028248429298401,0.5,0,0,[]],23,9041,[],[[]],[0,"Default",
0,1]],[[8365,1658,0,122.023567199707,46.87911224365234,0,0,1,0.5028248429298401,0.5,0,0,[]],23,9042,[],[[]],[0,"Default",0,1]],[[8441,1658,0,122.023567199707,46.87911224365234,0,0,1,0.5028248429298401,0.5,0,0,[]],23,9043,[],[[]],[0,"Default",0,1]],[[8523,1658,0,122.023567199707,46.87911224365234,0,0,1,0.5028248429298401,0.5,0,0,[]],23,9044,[],[[]],[0,"Default",0,1]],[[8598,1658,0,122.023567199707,46.87911224365234,0,0,1,0.5028248429298401,0.5,0,0,[]],23,9045,[],[[]],[0,"Default",0,1]],[[9379.4931640625,
1767.083984375,0,176.39404296875,67.76721954345703,0,0,1,0.5028248429298401,0.5,0,0,[]],23,9055,[],[[]],[0,"Default",0,1]],[[9499.798828125,1767.096557617188,0,176.39404296875,67.76721954345703,0,0,1,0.5028248429298401,0.5,0,0,[]],23,9056,[],[[]],[0,"Default",0,1]],[[9607.5888671875,1767.7431640625,0,176.39404296875,67.76721954345703,0,0,1,0.5028248429298401,0.5,0,0,[]],23,9057,[],[[]],[0,"Default",0,1]],[[9721.392578125,1769.705688476563,0,176.39404296875,67.76721954345703,0,0,1,0.5028248429298401,
0.5,0,0,[]],23,9058,[],[[]],[0,"Default",0,1]],[[9834.595703125,1767.371948242188,0,176.39404296875,67.76721954345703,0,0,1,0.5028248429298401,0.5,0,0,[]],23,9059,[],[[]],[0,"Default",0,1]],[[9955.111328125,1769.334594726563,0,176.39404296875,67.76721954345703,0,0,1,0.5028248429298401,0.5,0,0,[]],23,9060,[],[[]],[0,"Default",0,1]],[[10074.95703125,1768.963256835938,0,176.39404296875,67.76721954345703,0,0,1,0.5028248429298401,0.5,0,0,[]],23,9061,[],[[]],[0,"Default",0,1]],[[10198.0791015625,1769.70556640625,
0,176.39404296875,67.76721954345703,0,0,1,0.5028248429298401,0.5,0,0,[]],23,9062,[],[[]],[0,"Default",0,1]],[[10311.7724609375,1767.48095703125,0,176.39404296875,67.76721954345703,0,0,1,0.5028248429298401,0.5,0,0,[]],23,9063,[],[[]],[0,"Default",0,1]],[[10423.8466796875,1769.556884765625,0,176.39404296875,67.76721954345703,0,0,1,0.5028248429298401,0.5,0,0,[]],23,9064,[],[[]],[0,"Default",0,1]],[[10533.103515625,1768.816772460938,0,176.39404296875,67.76721954345703,0,0,1,0.5028248429298401,0.5,0,0,
[]],23,9065,[],[[]],[0,"Default",0,1]],[[10643.484375,1768.447875976563,0,176.39404296875,67.76721954345703,0,0,1,0.5028248429298401,0.5,0,0,[]],23,9066,[],[[]],[0,"Default",0,1]],[[10754.091796875,1768.447875976563,0,176.39404296875,67.76721954345703,0,0,1,0.5028248429298401,0.5,0,0,[]],23,9067,[],[[]],[0,"Default",0,1]],[[10871.5400390625,1768.927978515625,0,176.39404296875,67.76721954345703,0,0,1,0.5028248429298401,0.5,0,0,[]],23,9068,[],[[]],[0,"Default",0,1]],[[10978.2275390625,1767.81689453125,
0,176.39404296875,67.76721954345703,0,0,1,0.5028248429298401,0.5,0,0,[]],23,9069,[],[[]],[0,"Default",0,1]],[[11096.208984375,1768.18798828125,0,176.39404296875,67.76721954345703,0,0,1,0.5028248429298401,0.5,0,0,[]],23,9070,[],[[]],[0,"Default",0,1]],[[11209.7978515625,1766.237426757813,0,176.39404296875,67.76721954345703,0,0,1,0.5028248429298401,0.5,0,0,[]],23,9071,[],[[]],[0,"Default",0,1]],[[-23.14302825927734,2670.22705078125,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1675,[],[[]],[0,"Default",
0,1]],[[82.20469665527344,2670.025146484375,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1676,[],[[]],[0,"Default",0,1]],[[199,2671.243896484375,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1677,[],[[]],[0,"Default",0,1]],[[315.4017028808594,2671.239013671875,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1678,[],[[]],[0,"Default",0,1]],[[1038.972900390625,2671.71533203125,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1812,[],[[]],[0,"Default",0,1]],[[1163.752807617188,2671.00048828125,
0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1679,[],[[]],[0,"Default",0,1]],[[1285.703491210938,2671.826416015625,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1680,[],[[]],[0,"Default",0,1]],[[1401.883544921875,2672.146240234375,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1681,[],[[]],[0,"Default",0,1]],[[1519.057861328125,2672.021484375,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1682,[],[[]],[0,"Default",0,1]],[[1639.409057617188,2674.040283203125,0,177,68,0,0,1,0.5028248429298401,
0.5,0,0,[]],23,1683,[],[[]],[0,"Default",0,1]],[[1754.3125,2672.37451171875,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1684,[],[[]],[0,"Default",0,1]],[[2106.94775390625,2672.54833984375,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1685,[],[[]],[0,"Default",0,1]],[[2220.166748046875,2671.327392578125,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1686,[],[[]],[0,"Default",0,1]],[[2338.01416015625,2669.96533203125,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1687,[],[[]],[0,"Default",
0,1]],[[2458.750244140625,2674.485107421875,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1688,[],[[]],[0,"Default",0,1]],[[2573.904052734375,2671.97216796875,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1689,[],[[]],[0,"Default",0,1]],[[2692.91552734375,2671.77685546875,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1690,[],[[]],[0,"Default",0,1]],[[2812.4921875,2671.60986328125,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1691,[],[[]],[0,"Default",0,1]],[[2933.532470703125,2672.23583984375,
0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1692,[],[[]],[0,"Default",0,1]],[[3053.90869140625,2671.656982421875,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1693,[],[[]],[0,"Default",0,1]],[[3170.76318359375,2672.007568359375,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1694,[],[[]],[0,"Default",0,1]],[[3287.236328125,2672.0263671875,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1695,[],[[]],[0,"Default",0,1]],[[3408.672119140625,2672.2333984375,0,177,68,0,0,1,0.5028248429298401,
0.5,0,0,[]],23,1696,[],[[]],[0,"Default",0,1]],[[3528.76318359375,2672.67822265625,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1697,[],[[]],[0,"Default",0,1]],[[3647.845947265625,2671.63134765625,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1698,[],[[]],[0,"Default",0,1]],[[8192.5224609375,2670.071533203125,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1711,[],[[]],[0,"Default",0,1]],[[8469.712890625,2613.26123046875,0,241.8515014648438,146.0896301269531,0,0,1,0.5492125749588013,0.6478873491287231,
0,0,[]],70,2221,[[3]],[[]],[0,"Default",0,1]],[[8690,2615,0,241.8515014648438,146.0896301269531,0,0,1,0.5492125749588013,0.6478873491287231,0,0,[]],70,1709,[[3]],[[]],[0,"Default",0,1]],[[8310.8310546875,2672.168701171875,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1712,[],[[]],[0,"Default",0,1]],[[8430.41015625,2672.589111328125,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1713,[],[[]],[0,"Default",0,1]],[[8554.30078125,2673.767578125,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1714,
[],[[]],[0,"Default",0,1]],[[8675.55078125,2671.84814453125,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1715,[],[[]],[0,"Default",0,1]],[[1870.245727539063,2672.207763671875,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1729,[],[[]],[0,"Default",0,1]],[[1989.177490234375,2673.193603515625,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1730,[],[[]],[0,"Default",0,1]],[[8937,2614,0,241.8515014648438,146.0896301269531,0,0,1,0.5492125749588013,0.6478873491287231,0,0,[]],70,1762,[[3]],[[]],[0,
"Default",0,1]],[[8786.453125,2672.460693359375,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1773,[],[[]],[0,"Default",0,1]],[[8907.8525390625,2671.466064453125,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1774,[],[[]],[0,"Default",0,1]],[[9025.55078125,2672.003662109375,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1775,[],[[]],[0,"Default",0,1]],[[9140,2670.696533203125,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1776,[],[[]],[0,"Default",0,1]],[[9262.849609375,2671.541015625,0,
177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1777,[],[[]],[0,"Default",0,1]],[[9384.7001953125,2671.466064453125,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1778,[],[[]],[0,"Default",0,1]],[[9504.3759765625,2671.391357421875,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1779,[],[[]],[0,"Default",0,1]],[[9626.8505859375,2671.615966796875,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1780,[],[[]],[0,"Default",0,1]],[[9748.3759765625,2671.541015625,0,177,68,0,0,1,0.5028248429298401,0.5,
0,0,[]],23,1781,[],[[]],[0,"Default",0,1]],[[9865,2671.46044921875,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1782,[],[[]],[0,"Default",0,1]],[[9974.4755859375,2672.003662109375,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1783,[],[[]],[0,"Default",0,1]],[[10092.001953125,2671.083984375,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1784,[],[[]],[0,"Default",0,1]],[[10206.775390625,2670.615966796875,0,183.6295928955078,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1785,[],[[]],[0,"Default",
0,1]],[[10331.775390625,2671.997802734375,0,183.6300964355469,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1786,[],[[]],[0,"Default",0,1]],[[10458.076171875,2670.923095703125,0,189.1524505615234,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1787,[],[[]],[0,"Default",0,1]],[[10583.001953125,2671.85400390625,0,186.9513092041016,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1788,[],[[]],[0,"Default",0,1]],[[10703.0771484375,2672.230224609375,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1789,[],[[]],[0,"Default",
0,1]],[[10820.3779296875,2670.923095703125,0,175,66,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1790,[],[[]],[0,"Default",0,1]],[[10937.603515625,2669.9287109375,0,175,66,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1791,[],[[]],[0,"Default",0,1]],[[11057.1513671875,2670.460693359375,0,175,66,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1792,[],[[]],[0,"Default",0,1]],[[11178.076171875,2670.07861328125,0,175,66,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1793,[],[[]],[0,"Default",0,1]],[[11299.0771484375,2670.466064453125,
0,175,66,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1794,[],[[]],[0,"Default",0,1]],[[11418.625,2670.391357421875,0,175,66,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1795,[],[[]],[0,"Default",0,1]],[[11539.2265625,2670.310791015625,0,175,66,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1796,[],[[]],[0,"Default",0,1]],[[11661.2265625,2671.466064453125,0,175,66,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1797,[],[[]],[0,"Default",0,1]],[[11782.775390625,2671.391357421875,0,175,66,0,0,1,0.5028248429298401,0.5,0,0,[]],
23,1798,[],[[]],[0,"Default",0,1]],[[11901.2265625,2672.23583984375,0,175,66,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1799,[],[[]],[0,"Default",0,1]],[[12018.080078125,2671.3857421875,0,175,66,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1800,[],[[]],[0,"Default",0,1]],[[12131.0029296875,2671.385498046875,0,175,66,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1801,[],[[]],[0,"Default",0,1]],[[12250.40234375,2670.46044921875,0,181.5546875,66,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1802,[],[[]],[0,"Default",0,
1]],[[12369.8525390625,2670.9287109375,0,181.55517578125,66,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1803,[],[[]],[0,"Default",0,1]],[[12494.7548828125,2669.848388671875,0,187.01513671875,66,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1804,[],[[]],[0,"Default",0,1]],[[12616.453125,2670.7734375,0,184.8388671875,66,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1805,[],[[]],[0,"Default",0,1]],[[427.9846496582031,2672.441162109375,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1807,[],[[]],[0,"Default",0,1]],
[[549.79541015625,2671.44091796875,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1808,[],[[]],[0,"Default",0,1]],[[669.7886962890625,2671.64306640625,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1809,[],[[]],[0,"Default",0,1]],[[794.8604125976562,2671.348388671875,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1810,[],[[]],[0,"Default",0,1]],[[917.8318481445312,2671.042236328125,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1811,[],[[]],[0,"Default",0,1]],[[4866,2389,0,177,68,0,0,1,0.5028248429298401,
0.5,0,0,[]],23,2076,[],[[]],[0,"Default",0,1]],[[4971,2389,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,2101,[],[[]],[0,"Default",0,1]],[[5084,2389,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,2102,[],[[]],[0,"Default",0,1]],[[5199,2388,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,2174,[],[[]],[0,"Default",0,1]],[[5311,2388,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,2249,[],[[]],[0,"Default",0,1]],[[5429,2388,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,2250,[],[[]],[0,"Default",
0,1]]],[]],["general",8,0x9c3fb2fb27811,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[10957,551,0,1255.072021484375,908.8721923828125,0,0,1,0.4940828382968903,0.43376624584198,0,0,[]],33,2080,[],[[1,0,0,4,0,0,0,50,0],[]],[0,"Default",0,1]],[[1228,1680,0,1763,1143,0,0,1,0.4940828382968903,0.43376624584198,0,0,[]],33,2081,[],[[1,0,0,4,0,0,0,50,0],[]],[0,"Default",0,1]],[[6735,744,0,1763,1143,0,0,1,0.4940828382968903,0.43376624584198,0,0,[]],33,2082,[],[[1,0,0,4,0,0,0,50,0],[]],[0,"Default",0,1]],[[5808,1664,
0,208,197,0,0,1,0.5,0.5025380849838257,0,0,[]],35,2138,[],[[]],[0,"Default",0,1]],[[14593,1849,0,128,128,0,0,1,0,0.5,0,0,[]],65,2169,[],[[]],[50,360,0,10,16,100,0,4E3,2E3,0,0,30,0,60,0,500,0,0,1]],[[2104,784,0,128,128,0,0,1,0,0.5,0,0,[]],65,2170,[],[[]],[50,360,0,10,16,100,0,4E3,2E3,0,0,30,0,60,0,500,0,0,1]],[[7354,1714,0,128,128,0,0,1,0,0.5,0,0,[]],65,2171,[],[[]],[50,360,0,10,16,100,0,4E3,2E3,0,0,30,0,60,0,500,0,0,1]],[[785,2458,0,142.8915710449219,142.8915710449219,0,0,1,0.5,0.5,0,0,[]],72,1853,
[[0],[0]],[[]],[1,"Default",0,1]],[[5996,2379,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1875,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[6253,2379,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1876,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[7034,2344,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1937,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[7291,2344,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],
28,1982,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[4152,2220,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2054,[[9],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[4409,2220,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2078,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[12074,1684,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2107,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[12352,1694,0,119,117,0,0,1,0.5042017102241516,
0.3247863352298737,0,0,[]],28,2108,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[12205,1827,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2109,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[12711,1632,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2113,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[12968,1632,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2114,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[11712,741,0,119,
117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2119,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[11990,741,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2120,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[11844,862,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2121,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[12060,1224,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2126,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",
0,1]],[[12367,1217,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2127,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[12199,1318,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2128,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[11489,1470,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2066,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[11757,1477,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2067,[[0],[0],[0]],
[[],[1,400,0,0]],[0,"Default",0,1]],[[11621,1572,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2068,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[13606,671,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2134,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[13863,671,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2135,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[13784,2335,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,
0,[]],28,2177,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[14059,2327,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2178,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[14475,2463,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2184,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[14732,2463,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2185,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[14994,1891,0,119,117,0,0,1,0.5042017102241516,
0.3247863352298737,0,0,[]],28,2190,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[15251,1891,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2191,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[15388,1565,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2196,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[15665,1555,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2197,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[15100,1123,0,119,
117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2202,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[15357,1123,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2203,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[15725,821,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2209,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[15982,821,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2210,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",
0,1]],[[14808,567,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2215,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[15065,567,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2216,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[1467,922,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2628,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[1724,922,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2732,[[0],[0],[0]],[[],[1,
400,0,0]],[0,"Default",0,1]],[[1597,812,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2733,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[11435,2273,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,860,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[11731,2257,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,861,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[11573,2175,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,
862,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[12398.2548828125,568.7321166992188,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,864,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[12612,358,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1150,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[12850.2255859375,565.1043090820312,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1213,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[13737,
578,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1214,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[13855,1253,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2014,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[14112,1253,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2025,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[14282,1257,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2060,[[0],[0],[0]],[[],[1,400,0,0]],
[0,"Default",0,1]],[[14539,1257,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2069,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]]],[]],["gui",9,0xf8bde886a4812,!0,[255,255,255],!0,0,0,1,!1,1,0,0,[],[]],["black",10,0x819c5bd6427ff,!0,[0,0,0],!1,1,1,0,!1,1,0,0,[],[]]],[],[]],["6",17730,3E3,!1,"eLv2-6",9076303854729268,[["b4",0,5697925053358128,!0,[255,255,255],!1,0.4000000059604645,0.4000000059604645,1,!1,1,0,0,[[[0,0,0,2302,3E3,0,0,1,9.765629656612873E-4,7.501880172640085E-4,
0,0,[]],44,2237,[],[[]],[0,"Default",0,1]]],[]],["b3",1,6502543960543042,!0,[255,255,255],!0,0.699999988079071,1,1,!1,1,0,0,[[[1003,2532,0,2048,280,0,0,1,0.5,0.5035714507102966,0,0,[]],43,2239,[],[[]],[0,"Default",0,1]],[[3050,2537.03564453125,0,2048,290,0,0,1,0.5,0.5035714507102966,0,0,[]],43,2240,[],[[]],[0,"Default",0,1]],[[5097,2532,0,2048,280,0,0,1,0.5,0.5035714507102966,0,0,[]],43,2241,[],[[]],[0,"Default",0,1]],[[7145,2538.04296875,0,2050,292,0,0,1,0.5,0.5035714507102966,0,0,[]],43,2242,[],
[[]],[0,"Default",0,1]],[[9191,2535.021484375,0,2048,286,0,0,1,0.5,0.5035714507102966,0,0,[]],43,2243,[],[[]],[0,"Default",0,1]],[[11236.5,2539.56103515625,0,2049,296,0,0,1,0.5,0.5035714507102966,0,0,[]],43,2244,[],[[]],[0,"Default",0,1]],[[-1043,2532,0,2048,280,0,0,1,0.5,0.5035714507102966,0,0,[]],43,2245,[],[[]],[0,"Default",0,1]],[[13279.6640625,2534.614013671875,0,2046.6708984375,286.17626953125,0,0,1,0.5,0.5035714507102966,0,0,[]],43,2246,[],[[]],[0,"Default",0,1]],[[15324,2531,0,2047,279,0,
0,1,0.5,0.5035714507102966,0,0,[]],43,2247,[],[[]],[0,"Default",0,1]],[[17369,2531,0,2047,279,0,0,1,0.5,0.5035714507102966,0,0,[]],43,2248,[],[[]],[0,"Default",0,1]]],[]],["b2",2,9278424121343618,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[11494,2476,0,1203.171997070313,363.6673889160156,0,0,1,0.5004887580871582,0.5,0,0,[]],26,1925,[],[[1],[]],[0,"Default",0,1]],[[11968,2470,0,536.3273315429688,410.08837890625,0,0,1,0.7122207880020142,0.4608695507049561,0,0,[]],122,1926,[],[[]],[0,"Default",0,1]],[[11046,
2493,0,479.7093505859375,395.0475463867188,0,0,1,0.3641703426837921,0.5009041428565979,0,0,[]],123,1927,[],[[]],[0,"Default",0,1]],[[11467,2575,0,238.8252716064453,230.6095123291016,0,0,1,0.5,0.5015479922294617,0,0,[]],124,2561,[],[[]],[0,"Default",0,1]],[[11213,2206,0,527,220,0,0,1,0.5009487867355347,0.5,0,0,[]],69,2273,[[2]],[[]],[0,"Default",0,1]],[[11213,2206,0,527,220,0,0,1,0.5009487867355347,0.5,0,0,[]],125,2283,[[2]],[[],[1,6,0,1,10,20,100,200,0]],[0,"Default",0,1]],[[11812,2198,0,527,220,
0,0,1,0.5009487867355347,0.5,0,0,[]],69,2284,[[2]],[[]],[0,"Default",0,1]],[[11813,2198,0,527,220,0,0,1,0.5009487867355347,0.5,0,0,[]],125,2285,[[2]],[[],[1,6,0,1,10,20,100,200,0]],[0,"Default",0,1]],[[10952,2293,0,208.9906158447266,80.29021453857422,0,0,1,0.5028248429298401,0.5,0,0,[]],23,2562,[],[[]],[0,"Default",0,1]],[[11102,2293,0,208.9906158447266,80.29021453857422,0,0,1,0.5028248429298401,0.5,0,0,[]],23,2563,[],[[]],[0,"Default",0,1]],[[11217,2293,0,208.9906158447266,80.29021453857422,0,0,
1,0.5028248429298401,0.5,0,0,[]],23,2564,[],[[]],[0,"Default",0,1]],[[11367,2293,0,208.9906158447266,80.29021453857422,0,0,1,0.5028248429298401,0.5,0,0,[]],23,2571,[],[[]],[0,"Default",0,1]],[[11519,2293,0,208.9906158447266,80.29021453857422,0,0,1,0.5028248429298401,0.5,0,0,[]],23,2574,[],[[]],[0,"Default",0,1]],[[11630,2293,0,208.9906158447266,80.29021453857422,0,0,1,0.5028248429298401,0.5,0,0,[]],23,2575,[],[[]],[0,"Default",0,1]],[[11781,2293,0,208.9906158447266,80.29021453857422,0,0,1,0.5028248429298401,
0.5,0,0,[]],23,2576,[],[[]],[0,"Default",0,1]],[[11933,2293,0,208.9906158447266,80.29021453857422,0,0,1,0.5028248429298401,0.5,0,0,[]],23,2602,[],[[]],[0,"Default",0,1]],[[12048,2293,0,208.9906158447266,80.29021453857422,0,0,1,0.5028248429298401,0.5,0,0,[]],23,2603,[],[[]],[0,"Default",0,1]]],[]],["b1",3,8880142009615353,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[12254,2584,0,149.3269195556641,148.1648406982422,0,0,1,0.5019454956054688,0.4901960790157318,0,0,[]],24,2530,[],[[]],[0,"Default",0,1]],[[9283,
2534,0,286.3359375,252.8952484130859,0,0,1,0.5,0.5,0,0,[]],38,2869,[],[[]],[0,"Default",0,1]],[[9689,1753,0,189.0622711181641,166.9820098876953,0,0,1,0.5,0.5,0,0,[]],38,2293,[],[[]],[0,"Default",0,1]],[[3413,1708,0,631.9428100585938,558.674072265625,0,0,1,0.5,0.5,0,0,[]],38,2289,[],[[]],[0,"Default",0,1]],[[3379,2491,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],26,2252,[],[[1],[]],[0,"Default",0,1]],[[1762.599365234375,1768.630249023438,0,434.2624206542969,430.8823547363281,0,0,1,0.5019454956054688,
0.4901960790157318,0,0,[]],24,2278,[],[[]],[0,"Default",0,1]],[[1450.690795898438,1882.328491210938,0,263.2086791992188,213.4124298095703,0,0,1,0.5,0.5,0,0,[]],53,2290,[],[[]],[0,"Default",0,1]],[[8470,1741,0,-392,213,0,0,1,0.5018587112426758,0.5023474097251892,0,0,[]],56,2870,[],[[]],[0,"Default",0,1]],[[2537,2124,0,1111.429931640625,1115.771362304688,0,0,1,0.5,0.5,0,0,[]],55,2288,[],[],[0,"Default",0,1]],[[15349.1083984375,3280,0,4551.12841796875,1155.894287109375,0,0,1,0.5,0.5,0,0,[]],52,2873,
[[1]],[[]],[0,"Default",0,1]],[[9435.373046875,388.197021484375,0,181.5530395507813,180.1401824951172,0,0,1,0.5019454956054688,0.4901960790157318,0,0,[]],24,2292,[],[[]],[0,"Default",0,1]],[[2962,2409,0,171.3693389892578,221,0,1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,1702,[],[[]],[0,"Default",0,1]],[[3399,2142,0,1023,324,0,0,1,0.5004887580871582,0.5,0,0,[]],26,1703,[],[[1],[]],[0,"Default",0,1]],[[4283,2142,0,1023,324,0,0,1,0.5004887580871582,0.5,0,0,[]],27,1704,[],[[1],[]],[0,"Default",
0,1]],[[4682,2144,0,454.2306518554688,347.3151550292969,0,0,1,0.7122207880020142,0.4608695507049561,0,0,[]],122,1705,[],[[]],[0,"Default",0,1]],[[3021,2164,0,406.2792358398438,334.5766906738281,0,0,1,0.3641703426837921,0.5009041428565979,0,0,[]],123,1706,[],[[]],[0,"Default",0,1]],[[4086,2222,0,232,221,0,0,1,0.5,0.5015479922294617,0,0,[]],124,1707,[],[[]],[0,"Default",0,1]],[[3855,2222,0,232,221,0,0,1,0.5,0.5015479922294617,0,0,[]],124,1708,[],[[]],[0,"Default",0,1]],[[3625,2222,0,232,221,0,0,1,0.5,
0.5015479922294617,0,0,[]],124,1716,[],[[]],[0,"Default",0,1]],[[3394,2222,0,232,221,0,0,1,0.5,0.5015479922294617,0,0,[]],124,1717,[],[[]],[0,"Default",0,1]],[[4281,2222,0,162.1070556640625,221,0,0,1,0.5,0.5015479922294617,0,0,[]],124,1718,[],[[]],[0,"Default",0,1]],[[1709,2132,0,1059.82080078125,320.3385314941406,0,0,1,0.5004887580871582,0.5,0,0,[]],26,1738,[],[[1],[]],[0,"Default",0,1]],[[2126.279541015625,2136.07080078125,0,474.9299011230469,344.4039916992188,0,0,1,0.7122207880020142,0.4608695507049561,
0,0,[]],122,1739,[],[[]],[0,"Default",0,1]],[[1315,2148,0,422.5546569824219,347.9799194335938,0,0,1,0.3641703426837921,0.5009041428565979,0,0,[]],123,1740,[],[[]],[0,"Default",0,1]],[[1685,2220,0,210.3705749511719,203.1337127685547,0,0,1,0.5,0.5015479922294617,0,0,[]],124,1741,[],[[]],[0,"Default",0,1]],[[4413,1424,0,1059.82080078125,320.3385314941406,0,0,1,0.5004887580871582,0.5,0,0,[]],26,1751,[],[[1],[]],[0,"Default",0,1]],[[4828,1425.184692382813,0,472.4269714355469,349.7572631835938,0,0,1,0.7122207880020142,
0.4608695507049561,0,0,[]],122,1752,[],[[]],[0,"Default",0,1]],[[4019,1440,0,422.5546569824219,347.9799194335938,0,0,1,0.3641703426837921,0.5009041428565979,0,0,[]],123,1753,[],[[]],[0,"Default",0,1]],[[4389,1512,0,210.3705749511719,203.1337127685547,0,0,1,0.5,0.5015479922294617,0,0,[]],124,1754,[],[[]],[0,"Default",0,1]],[[4834.27685546875,1176.299072265625,0,288.4577941894531,187.5352325439453,0,0,1,0.5013054609298706,0.5020080208778381,0,0,[]],39,2281,[],[[1,1,1,0,"B 840; F 840",10,0,0,180,0,0,
0,0,0],[]],[0,"Default",0,1]],[[4452,642,0,1059.82080078125,320.3385314941406,0,0,1,0.5004887580871582,0.5,0,0,[]],26,1813,[],[[1],[]],[0,"Default",0,1]],[[4869.0458984375,643.5928955078125,0,475,349,0,0,1,0.7122207880020142,0.4608695507049561,0,0,[]],122,1814,[],[[]],[0,"Default",0,1]],[[4058,658,0,422.5546569824219,347.9799194335938,0,0,1,0.3641703426837921,0.5009041428565979,0,0,[]],123,1815,[],[[]],[0,"Default",0,1]],[[4428,730,0,210.3705749511719,203.1337127685547,0,0,1,0.5,0.5015479922294617,
0,0,[]],124,1816,[],[[]],[0,"Default",0,1]],[[4294,295,0,464.0509948730469,410.2479858398438,0,0,1,0.5,0.5,0,0,[]],38,2286,[],[[]],[0,"Default",0,1]],[[4548,364,0,268,268,0,0,1,0.5,0.5,0,0,[]],53,2277,[],[[]],[0,"Default",0,1]],[[4416,159,0,143,156,0,0,1,0.503496527671814,0.5,0,0,[]],37,2287,[],[[]],[0,"Default",0,1]],[[6416,770,0,1059.82080078125,320.3385314941406,0,0,1,0.5004887580871582,0.5,0,0,[]],26,1826,[],[[1],[]],[0,"Default",0,1]],[[6833.259765625,772.017578125,0,475,348,0,0,1,0.7122207880020142,
0.4608695507049561,0,0,[]],122,1827,[],[[]],[0,"Default",0,1]],[[6022,786,0,422.5546569824219,347.9799194335938,0,0,1,0.3641703426837921,0.5009041428565979,0,0,[]],123,1828,[],[[]],[0,"Default",0,1]],[[6392,858,0,210.3705749511719,203.1337127685547,0,0,1,0.5,0.5015479922294617,0,0,[]],124,1829,[],[[]],[0,"Default",0,1]],[[6329,529,0,527,220,0,0,1,0.5009487867355347,0.5,0,0,[]],69,2291,[[2]],[[]],[0,"Default",0,1]],[[6329,529,0,527,220,0,0,1,0.5009487867355347,0.5,0,0,[]],125,2320,[[2]],[[],[1,6,0,
1,10,20,100,200,0]],[0,"Default",0,1]],[[8622,1136,0,1059.82080078125,320.3385314941406,0,0,1,0.5004887580871582,0.5,0,0,[]],26,1880,[],[[1],[]],[0,"Default",0,1]],[[9038.97265625,1140.17431640625,0,476,344,0,0,1,0.7122207880020142,0.4608695507049561,0,0,[]],122,1881,[],[[]],[0,"Default",0,1]],[[8228,1152,0,422.5546569824219,347.9799194335938,0,0,1,0.3641703426837921,0.5009041428565979,0,0,[]],123,1882,[],[[]],[0,"Default",0,1]],[[8598,1224,0,210.3705749511719,203.1337127685547,0,0,1,0.5,0.5015479922294617,
0,0,[]],124,1883,[],[[]],[0,"Default",0,1]],[[9999,1140,0,1059.82080078125,320.3385314941406,0,0,1,0.5004887580871582,0.5,0,0,[]],26,1893,[],[[1],[]],[0,"Default",0,1]],[[10415.396484375,1145.791625976563,0,478,341,0,0,1,0.7122207880020142,0.4608695507049561,0,0,[]],122,1894,[],[[]],[0,"Default",0,1]],[[9605,1156,0,422.5546569824219,347.9799194335938,0,0,1,0.3641703426837921,0.5009041428565979,0,0,[]],123,1895,[],[[]],[0,"Default",0,1]],[[9975,1228,0,210.3705749511719,203.1337127685547,0,0,1,0.5,
0.5015479922294617,0,0,[]],124,1896,[],[[]],[0,"Default",0,1]],[[9331,568,0,627.00048828125,189.5154571533203,0,0,1,0.5004887580871582,0.5,0,0,[]],26,1912,[],[[1],[]],[0,"Default",0,1]],[[9575.8955078125,568.61572265625,0,279,207,0,0,1,0.7122207880020142,0.4608695507049561,0,0,[]],122,1913,[],[[]],[0,"Default",0,1]],[[9098,577,0,249.9875183105469,205.8683776855469,0,0,1,0.3641703426837921,0.5009041428565979,0,0,[]],123,1914,[],[[]],[0,"Default",0,1]],[[9317,620,0,124.4573135375977,120.1759262084961,
0,0,1,0.5,0.5015479922294617,0,0,[]],124,1915,[],[[]],[0,"Default",0,1]],[[6408,1995,0,1023,324,0,0,1,0.5004887580871582,0.5,0,0,[]],26,2604,[],[[1],[]],[0,"Default",0,1]],[[7292,1995,0,1023,324,0,0,1,0.5004887580871582,0.5,0,0,[]],27,2609,[],[[1],[]],[0,"Default",0,1]],[[7690.4912109375,1997.01220703125,0,456,347,0,0,1,0.7122207880020142,0.4608695507049561,0,0,[]],122,3017,[],[[]],[0,"Default",0,1]],[[6030,2017,0,406.2792358398438,334.5766906738281,0,0,1,0.3641703426837921,0.5009041428565979,0,0,
[]],123,3071,[],[[]],[0,"Default",0,1]],[[7095,2075,0,232,221,0,0,1,0.5,0.5015479922294617,0,0,[]],124,3072,[],[[]],[0,"Default",0,1]],[[6864,2075,0,232,221,0,0,1,0.5,0.5015479922294617,0,0,[]],124,3073,[],[[]],[0,"Default",0,1]],[[6634,2075,0,232,221,0,0,1,0.5,0.5015479922294617,0,0,[]],124,3218,[],[[]],[0,"Default",0,1]],[[6403,2075,0,232,221,0,0,1,0.5,0.5015479922294617,0,0,[]],124,8955,[],[[]],[0,"Default",0,1]],[[7290,2075,0,162.1070556640625,221,0,0,1,0.5,0.5015479922294617,0,0,[]],124,8956,
[],[[]],[0,"Default",0,1]],[[6255,1706,0,689.1671752929688,218.2699890136719,0,0,1,0.5004887580871582,0.5,0,0,[]],26,9078,[],[[1],[]],[0,"Default",0,1]],[[6870.37158203125,1706,0,596,218,0,0,1,0.5004887580871582,0.5,0,0,[]],27,9079,[],[[1],[]],[0,"Default",0,1]],[[6252,1772.597900390625,0,156,174,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9085,[],[[]],[0,"Default",0,1]],[[5991.5703125,1728.640380859375,0,291.4515991210938,260.4459228515625,0,0,1,0.3641703426837921,0.5009041428565979,0,0,[]],123,9081,
[],[[]],[0,"Default",0,1]],[[6562,1772.597900390625,0,156,174,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9083,[],[[]],[0,"Default",0,1]],[[6848.95703125,1772.597900390625,0,109,174,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9086,[],[[]],[0,"Default",0,1]],[[6407,1772.597900390625,0,156,174,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9084,[],[[]],[0,"Default",0,1]],[[6716.5,1772.597900390625,0,159,174,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9082,[],[[]],[0,"Default",0,1]],[[7100.4765625,1717.003662109375,
0,311,259,0,0,1,0.7122207880020142,0.4608695507049561,0,0,[]],122,9080,[],[[]],[0,"Default",0,1]],[[8684.05859375,1989.43505859375,0,1009.345520019531,319.6754760742188,0,0,1,0.5004887580871582,0.5,0,0,[]],26,9104,[],[[1],[]],[0,"Default",0,1]],[[9555.48828125,1989.43505859375,0,1009.345520019531,319.6754760742188,0,0,1,0.5004887580871582,0.5,0,0,[]],27,9105,[],[[1],[]],[0,"Default",0,1]],[[9949.4619140625,1992.3642578125,0,448.1677856445313,342.679443359375,0,0,1,0.7122207880020142,0.4608695507049561,
0,0,[]],122,9106,[],[[]],[0,"Default",0,1]],[[8310.587890625,2003.730712890625,0,400.8564147949219,345.4846496582031,0,0,1,0.3641703426837921,0.5009041428565979,0,0,[]],123,9107,[],[[]],[0,"Default",0,1]],[[9362.162109375,2068.522705078125,0,228.9033660888672,218.0502471923828,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9108,[],[[]],[0,"Default",0,1]],[[9133.6865234375,2068.522705078125,0,228.9033660888672,218.0502471923828,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9109,[],[[]],[0,"Default",0,1]],[[8906.67578125,
2068.522705078125,0,228.9033660888672,218.0502471923828,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9110,[],[[]],[0,"Default",0,1]],[[8678.6650390625,2068.522705078125,0,228.9033660888672,218.0502471923828,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9111,[],[[]],[0,"Default",0,1]],[[9554.0234375,2068.522705078125,0,159.9433288574219,218.0502471923828,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9112,[],[[]],[0,"Default",0,1]],[[-170,2316,0,-1202.046020507813,706.16943359375,0,0,1,0.5010799169540405,0.5,0,0,
[]],59,2550,[],[[]],[0,"Default",0,1]],[[11458,2486,0,212.2113647460938,215,0,-3.141592502593994,1,0.5022421479225159,0.5023255944252014,0,0,[]],34,2883,[],[[]],[0,"Default",0,1]],[[430,2836,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],27,2258,[],[[1],[]],[0,"Default",0,1]],[[1416,2836,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],27,2259,[],[[1],[]],[0,"Default",0,1]],[[2404,2836,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],27,2260,[],[[1],[]],[0,"Default",0,1]],[[3417.021484375,2836,0,1067,
356,0,0,1,0.5004887580871582,0.5,0,0,[]],27,2262,[],[[1],[]],[0,"Default",0,1]],[[8433.51953125,2836,0,1064,356,0,0,1,0.5004887580871582,0.5,0,0,[]],27,2263,[],[[1],[]],[0,"Default",0,1]],[[9444,2836,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],27,2265,[],[[1],[]],[0,"Default",0,1]],[[10427,2836,0,1024.66015625,355.67041015625,0,0,1,0.5004887580871582,0.5,0,0,[]],27,2266,[],[[1],[]],[0,"Default",0,1]],[[11418,2836,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],27,2267,[],[[1],[]],[0,"Default",
0,1]],[[12425.025390625,2836,0,1075,356,0,0,1,0.5004887580871582,0.5,0,0,[]],27,2268,[],[[1],[]],[0,"Default",0,1]],[[1647,2772,0,223,215,0,0,1,0.5022421479225159,0.5023255944252014,0,0,[]],34,2271,[],[[]],[0,"Default",0,1]],[[675,2772,0,223,215,0,0,1,0.5022421479225159,0.5023255944252014,0,0,[]],34,2274,[],[[]],[0,"Default",0,1]],[[1255,2577,0,527,220,0,0,1,0.5009487867355347,0.5,0,0,[]],69,2275,[[2]],[[]],[0,"Default",0,1]],[[1255,2577,0,527,220,0,0,1,0.5009487867355347,0.5,0,0,[]],125,2282,[[2]],
[[],[1,6,0,30,10,20,300,200,0]],[0,"Default",0,1]],[[8383,2870,0,376.7289733886719,251.4274291992188,0,0,1,0.5010941028594971,0.5016393661499023,0,0,[]],54,2871,[],[[]],[0,"Default",0,1]],[[2628,2794,0,208,197,0,0,1,0.5,0.5025380849838257,0,0,[]],35,2680,[],[[]],[0,"Default",0,1]],[[3810,2441,0,-232,221,0,-1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,1671,[],[[]],[0,"Default",0,1]],[[3810,2612,0,-232,221,0,-1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,1672,[],[[]],[0,"Default",
0,1]],[[2962,2579,0,171.3693389892578,221,0,1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,1701,[],[[]],[0,"Default",0,1]],[[6569,2880,0,837.3750610351562,549.6880493164062,0,0,1,0.6384297609329224,0.5841121673583984,0,0,[]],131,1700,[],[[]],[0,"Default",0,1]],[[7307,2880,0,689.6785888671875,549.6880493164062,0,0,1,0.6384297609329224,0.5841121673583984,0,0,[]],131,2476,[],[[]],[0,"Default",0,1]],[[3939,2797,0,-297.9617004394531,283.8341979980469,0,-1.570796370506287,1,0.5,0.5015479922294617,
0,0,[]],124,2477,[],[[]],[0,"Default",0,1]],[[5826,2880,0,591.2044677734375,549.6880493164062,0,0,1,0.6384297609329224,0.5841121673583984,0,0,[]],131,2478,[],[[]],[0,"Default",0,1]],[[5239,2880,0,591.2044677734375,549.6880493164062,0,0,1,0.6384297609329224,0.5841121673583984,0,0,[]],131,2479,[],[[]],[0,"Default",0,1]],[[4653,2880,0,591.2044677734375,549.6880493164062,0,0,1,0.6384297609329224,0.5841121673583984,0,0,[]],131,2480,[],[[]],[0,"Default",0,1]],[[4101,2901,0,349.3344116210938,511.1585693359375,
0,0,1,0.481617659330368,0.5929648280143738,0,0,[]],132,2481,[],[[]],[0,"Default",0,1]],[[7795,2882,0,366.0305480957031,524.001708984375,0,0,1,0.6701754331588745,0.5686274766921997,0,0,[]],133,2482,[],[[]],[0,"Default",0,1]],[[5061,2579,0,1960,232,0,0,1,0.5,0.5,0,0,[]],58,2675,[],[[1,0,0,40,0,0,0,100,0],[]],[0,"Default",0,1]],[[6110,2579,0,1960,232,0,0,1,0.5,0.5,0,0,[]],58,2688,[],[[1,0,0,40,0,0,0,100,0],[]],[0,"Default",0,1]],[[6681,2585,0,1960,232,0,0,1,0.5,0.5,0,0,[]],58,2689,[],[[1,0,0,40,0,0,
0,100,0],[]],[0,"Default",0,1]],[[3996,3066,0,3863.2275390625,410.9816284179688,0,0,1,0,1,0,0,[]],126,2483,[[0]],[],[0,6,0,0,2E3,349]],[[4509,3109,0,506.0211486816406,245.3047027587891,0,0,1,0.4173553586006165,0.3141361176967621,0,0,[]],129,2484,[],[[]],[0,"Default",0,1]],[[5028,3109,0,549.68798828125,245.3047027587891,0,0,1,0.4173553586006165,0.3141361176967621,0,0,[]],129,2485,[],[[]],[0,"Default",0,1]],[[5619,3109,0,766.7376098632812,245.3047027587891,0,0,1,0.4173553586006165,0.3141361176967621,
0,0,[]],129,2486,[],[[]],[0,"Default",0,1]],[[6350,3109,0,766.7376098632812,245.3047027587891,0,0,1,0.4173553586006165,0.3141361176967621,0,0,[]],129,2487,[],[[]],[0,"Default",0,1]],[[7113,3109,0,770.5906372070312,245.3047027587891,0,0,1,0.4173553586006165,0.3141361176967621,0,0,[]],129,2488,[],[[]],[0,"Default",0,1]],[[7973.8701171875,2673.961669921875,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,2330,[],[[]],[0,"Default",0,1]],[[8074.8037109375,2671.54345703125,0,177,68,0,0,1,0.5028248429298401,
0.5,0,0,[]],23,2331,[],[[]],[0,"Default",0,1]],[[7804.0068359375,2875.399658203125,0,565,645,0,0,1,0.4340909123420715,0.4233871102333069,0,0,[]],128,2489,[],[[]],[0,"Default",0,1]],[[3760,2667,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,2498,[],[[]],[0,"Default",0,1]],[[4031.498046875,2909.76025390625,0,704,694,0,-0.02621841430664063,1,0.6242299675941467,0.4703703820705414,0,0,[]],127,2490,[],[[]],[0,"Default",0,1]],[[5931.2978515625,2905,0,3831,461,0,0,1,0.5,0.5,0,0,[]],52,2491,[[1]],[[]],[0,
"Default",0,1]],[[7049.783203125,1536.454467773438,0,149.3269195556641,148.1648406982422,0,0,1,0.5019454956054688,0.4901960790157318,0,0,[]],24,2279,[],[[]],[0,"Default",0,1]],[[16121.7421875,2898.08349609375,0,1017,539,0,0,1,0.6384297609329224,0.5841121673583984,0,0,[]],131,2493,[],[[]],[0,"Default",0,1]],[[17017.6015625,2898.08349609375,0,837.6525268554688,539,0,0,1,0.6384297609329224,0.5841121673583984,0,0,[]],131,2494,[],[[]],[0,"Default",0,1]],[[12928.57421875,2833,0,-317.0408630371094,344.6593017578125,
0,-1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,2495,[],[[]],[0,"Default",0,1]],[[15220.17578125,2898.08349609375,0,718.075439453125,539,0,0,1,0.6384297609329224,0.5841121673583984,0,0,[]],131,2496,[],[[]],[0,"Default",0,1]],[[14508.052734375,2898.08349609375,0,718.075439453125,539,0,0,1,0.6384297609329224,0.5841121673583984,0,0,[]],131,2497,[],[[]],[0,"Default",0,1]],[[13795.9296875,2898.08349609375,0,718.075439453125,539,0,0,1,0.6384297609329224,0.5841121673583984,0,0,[]],131,2548,[],
[[]],[0,"Default",0,1]],[[13126.03125,2921.08349609375,0,424.3731994628906,498.0033569335938,0,0,1,0.481617659330368,0.5929648280143738,0,0,[]],132,2549,[],[[]],[0,"Default",0,1]],[[17609.79296875,2897.63134765625,0,444,519,0,0,1,0.6701754331588745,0.5686274766921997,0,0,[]],133,2606,[],[[]],[0,"Default",0,1]],[[15855.8115234375,3122,0,931.0480346679688,261.0121154785156,0,0,1,0.4173553586006165,0.3141361176967621,0,0,[]],129,2630,[],[[]],[0,"Default",0,1]],[[14307,2572,0,1960,232,0,0,1,0.5,0.5,0,
0,[]],58,2684,[],[[1,0,0,40,0,0,0,280,0],[]],[0,"Default",0,1]],[[16269,2536,0,1960,232,0,0,1,0.5,0.5,0,0,[]],58,2874,[],[[1,0,0,40,0,0,0,280,0],[]],[0,"Default",0,1]],[[12997.0478515625,3077,0,4691.109375,437.2977294921875,0,0,1,0,1,0,0,[]],126,2620,[[0]],[],[0,6,0,0,2E3,349]],[[13621.296875,3122,0,614.46044921875,261.0121154785156,0,0,1,0.4173553586006165,0.3141361176967621,0,0,[]],129,2625,[],[[]],[0,"Default",0,1]],[[14250.111328125,3122,0,667.4849853515625,261.0121154785156,0,0,1,0.4173553586006165,
0.3141361176967621,0,0,[]],129,2626,[],[[]],[0,"Default",0,1]],[[14969.0810546875,3122,0,931.0480346679688,261.0121154785156,0,0,1,0.4173553586006165,0.3141361176967621,0,0,[]],129,2627,[],[[]],[0,"Default",0,1]],[[16782.484375,3122,0,935.7266235351562,261.0121154785156,0,0,1,0.4173553586006165,0.3141361176967621,0,0,[]],129,2660,[],[[]],[0,"Default",0,1]],[[17568,2869,0,686.1995239257812,677.8115844726562,0,0,1,0.4340909123420715,0.4233871102333069,0,0,[]],128,2661,[],[[]],[0,"Default",0,1]],[[12850.419921875,
2674.7822265625,0,175,66,0,0,1,0.5028248429298401,0.5,0,0,[]],23,2509,[],[[]],[0,"Default",0,1]],[[13100,2942,0,759,687,0,-0.02297518774867058,1,0.6242299675941467,0.4703703820705414,0,0,[]],127,2872,[],[[]],[0,"Default",0,1]],[[15827,3122,0,931.0480346679688,261.0121154785156,0,0,1,0.4173553586006165,0.3141361176967621,0,0,[]],129,9131,[],[[]],[0,"Default",0,1]]],[]],["PANEL",4,4694318348689209,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[895,2250,0,161,74,0,0,1,0.5031055808067322,0.5,0,0,[]],31,2723,[],
[[1],[]],[0,"Default",0,1]],[[756,2251,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,2724,[],[[1],[]],[0,"Default",0,1]],[[619,2253,0,162,77,0,0,1,0.5,0.5064935088157654,0,0,[]],29,2725,[],[[1],[]],[0,"Default",0,1]],[[11847,992,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,2760,[],[[1],[]],[0,"Default",0,1]],[[11711,992,0,162,77,0,0,1,0.5,0.5064935088157654,0,0,[]],29,2761,[],[[1],[]],[0,"Default",0,1]],[[5573,2012,0,161,74,0,0,1,0.5031055808067322,0.5,0,0,[]],
31,2679,[],[[1],[]],[0,"Default",0,1]],[[5433,2012,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,2690,[],[[1],[]],[0,"Default",0,1]],[[5297,2012,0,162,77,0,0,1,0.5,0.5064935088157654,0,0,[]],29,2691,[],[[1],[]],[0,"Default",0,1]],[[2772,1567,0,161,74,0,0,1,0.5031055808067322,0.5,0,0,[]],31,2854,[],[[1],[]],[0,"Default",0,1]],[[2632,1567,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,2855,[],[[1],[]],[0,"Default",0,1]],[[2496,1569,0,157,75,0,0,1,0.5031847357749939,
0.5066666603088379,0,0,[]],30,2861,[],[[1],[]],[0,"Default",0,1]],[[2364,1568,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,2976,[],[[1],[]],[0,"Default",0,1]],[[2230,1569,0,162,77,0,0,1,0.5,0.5064935088157654,0,0,[]],29,2977,[],[[1],[]],[0,"Default",0,1]],[[9060,2402,0,161,74,0,0,1,0.5031055808067322,0.5,0,0,[]],31,2717,[],[[1],[]],[0,"Default",0,1]],[[8920,2402,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,2718,[],[[1],[]],[0,"Default",0,1]],[[8784,2402,0,162,
77,0,0,1,0.5,0.5064935088157654,0,0,[]],29,2719,[],[[1],[]],[0,"Default",0,1]],[[8122,2386,0,161,74,0,0,1,0.5031055808067322,0.5,0,0,[]],31,2711,[],[[1],[]],[0,"Default",0,1]],[[7982,2386,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,2712,[],[[1],[]],[0,"Default",0,1]],[[7846,2386,0,162,77,0,0,1,0.5,0.5064935088157654,0,0,[]],29,2713,[],[[1],[]],[0,"Default",0,1]],[[7214,1295,0,161,74,0,0,1,0.5031055808067322,0.5,0,0,[]],31,2692,[],[[1],[]],[0,"Default",0,1]],[[7074,1295,0,157,75,
0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,2693,[],[[1],[]],[0,"Default",0,1]],[[6938,1295,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,2694,[],[[1],[]],[0,"Default",0,1]],[[6806,1295,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,2695,[],[[1],[]],[0,"Default",0,1]],[[6672,1295,0,162,77,0,0,1,0.5,0.5064935088157654,0,0,[]],29,2696,[],[[1],[]],[0,"Default",0,1]],[[5797,637,0,161,74,0,0,1,0.5031055808067322,0.5,0,0,[]],31,2703,[],[[1],[]],[0,"Default",
0,1]],[[5652.51611328125,639,0,162,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,2704,[],[[1],[]],[0,"Default",0,1]],[[5507.5224609375,640,0,164,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,2705,[],[[1],[]],[0,"Default",0,1]],[[5364.509765625,642,0,160,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,2706,[],[[1],[]],[0,"Default",0,1]],[[8005,1029,0,161,74,0,0,1,0.5031055808067322,0.5,0,0,[]],31,2726,[],[[1],[]],[0,"Default",0,1]],[[7865,1029,0,157,75,0,0,1,0.5031847357749939,
0.5066666603088379,0,0,[]],30,2727,[],[[1],[]],[0,"Default",0,1]],[[7729,1029,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,2728,[],[[1],[]],[0,"Default",0,1]],[[7597,1029,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,2729,[],[[1],[]],[0,"Default",0,1]],[[7463,1029,0,162,77,0,0,1,0.5,0.5064935088157654,0,0,[]],29,2730,[],[[1],[]],[0,"Default",0,1]],[[12348,1957,0,161,74,0,0,1,0.5031055808067322,0.5,0,0,[]],31,2747,[],[[1],[]],[0,"Default",0,1]],[[12208,1957,0,157,
75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,2748,[],[[1],[]],[0,"Default",0,1]],[[12072,1957,0,162,77,0,0,1,0.5,0.5064935088157654,0,0,[]],29,2749,[],[[1],[]],[0,"Default",0,1]],[[12342,1448,0,161,74,0,0,1,0.5031055808067322,0.5,0,0,[]],31,2765,[],[[1],[]],[0,"Default",0,1]],[[12202,1448,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,2766,[],[[1],[]],[0,"Default",0,1]],[[12066,1448,0,162,77,0,0,1,0.5,0.5064935088157654,0,0,[]],29,2767,[],[[1],[]],[0,"Default",0,1]],
[[11764,1702,0,161,74,0,0,1,0.5031055808067322,0.5,0,0,[]],31,2771,[],[[1],[]],[0,"Default",0,1]],[[11624,1702,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,2772,[],[[1],[]],[0,"Default",0,1]],[[11488,1702,0,162,77,0,0,1,0.5,0.5064935088157654,0,0,[]],29,2773,[],[[1],[]],[0,"Default",0,1]],[[11422,1307,0,161,74,0,0,1,0.5031055808067322,0.5,0,0,[]],31,2608,[],[[1],[]],[0,"Default",0,1]],[[11282,1307,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,2614,[],[[1],[]],
[0,"Default",0,1]],[[11146,1307,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,2617,[],[[1],[]],[0,"Default",0,1]],[[11014,1307,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,2618,[],[[1],[]],[0,"Default",0,1]],[[10880,1307,0,162,77,0,0,1,0.5,0.5064935088157654,0,0,[]],29,2629,[],[[1],[]],[0,"Default",0,1]],[[3532,1027,0,161,74,0,0,1,0.5031055808067322,0.5,0,0,[]],31,2649,[],[[1],[]],[0,"Default",0,1]],[[3392,1027,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,
0,0,[]],30,2657,[],[[1],[]],[0,"Default",0,1]],[[3256,1027,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,2658,[],[[1],[]],[0,"Default",0,1]],[[3124,1027,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,2659,[],[[1],[]],[0,"Default",0,1]],[[2990,1027,0,162,77,0,0,1,0.5,0.5064935088157654,0,0,[]],29,2673,[],[[1],[]],[0,"Default",0,1]],[[3777,1444,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],32,2687,[],[[1,1,0,7,0,0,0,435,0],[1]],[0,"Default",0,1]],[[7574,
724,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],32,2856,[],[[1,0,0,7,0,0,0,435,0],[1]],[0,"Default",0,1]],[[5437,1319,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],32,2857,[],[[1,1,0,7,0,0,0,435,0],[1]],[0,"Default",0,1]],[[4711,2538,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],32,2858,[],[[1,0,0,7,0,0,0,500,0],[1]],[0,"Default",0,1]],[[9313,1304,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],32,2859,[],[[1,1,0,7,0,0,0,350,0],[1]],[0,"Default",
0,1]],[[7710,2582,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],32,2860,[],[[1,0,0,7,0,0,0,500,0],[1]],[0,"Default",0,1]],[[10643,1837,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],32,2862,[],[[1,1,0,7,0,0,0,435,0],[1]],[0,"Default",0,1]],[[2181,1019,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],32,2863,[],[[1,0,0,7,0,0,0,435,0],[1]],[0,"Default",0,1]],[[5696,2595,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],32,2546,[],[[1,0,0,7,0,0,0,500,
0],[1]],[0,"Default",0,1]],[[6846,2595,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],32,2553,[],[[1,0,0,7,0,0,0,500,0],[1]],[0,"Default",0,1]],[[10197,498,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],32,2554,[],[[1,0,0,7,0,0,0,435,0],[1]],[0,"Default",0,1]],[[11272,444,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],32,2584,[],[[1,0,0,7,0,0,0,435,0],[1]],[0,"Default",0,1]],[[10673,1018,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],32,2607,
[],[[1,1,0,7,0,0,0,435,0],[1]],[0,"Default",0,1]],[[8284,694,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],32,2731,[],[[1,0,0,7,0,0,0,435,0],[1]],[0,"Default",0,1]],[[12541,2205,0,157,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],32,2743,[],[[1,1,0,7,0,0,0,250,0],[1]],[0,"Default",0,1]],[[5220.5224609375,645,0,164,75,0,0,1,0.5031847357749939,0.5066666603088379,0,0,[]],30,565,[],[[1],[]],[0,"Default",0,1]],[[5074.5,646,0,169,77,0,0,1,0.5,0.5064935088157654,0,0,[]],29,2707,[],
[[1],[]],[0,"Default",0,1]]],[]],["HERO",5,9251332955311124,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[928,2564,0,153,170,0,0,1,0.5018315315246582,0.5,0,0,[]],42,2686,[[0],[0],[0],[0],[0],[0],[0],[3],[0]],[[],[]],[0,"Default",0,1]]],[]],["TRAVA",6,4843111941854521,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[2925,1992,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1719,[],[[]],[0,"Default",0,1]],[[3041,1992,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1720,[],[[]],[0,"Default",0,1]],[[3155,1993,0,177,68,
0,0,1,0.5028248429298401,0.5,0,0,[]],23,1721,[],[[]],[0,"Default",0,1]],[[3273,1992,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1722,[],[[]],[0,"Default",0,1]],[[3393,1993,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1723,[],[[]],[0,"Default",0,1]],[[3514,1994,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1724,[],[[]],[0,"Default",0,1]],[[3634,1994,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1725,[],[[]],[0,"Default",0,1]],[[3750.730712890625,1994,0,177,68,0,0,1,0.5028248429298401,
0.5,0,0,[]],23,1726,[],[[]],[0,"Default",0,1]],[[3865,1994,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1727,[],[[]],[0,"Default",0,1]],[[3974,1992,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1728,[],[[]],[0,"Default",0,1]],[[4084,1992,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1731,[],[[]],[0,"Default",0,1]],[[4194,1992,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1732,[],[[]],[0,"Default",0,1]],[[4304,1992,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1733,[],[[]],[0,"Default",
0,1]],[[4420,1991,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1734,[],[[]],[0,"Default",0,1]],[[4530,1991,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1735,[],[[]],[0,"Default",0,1]],[[4648,1991,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1736,[],[[]],[0,"Default",0,1]],[[4758,1991,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1737,[],[[]],[0,"Default",0,1]],[[1226,1986,0,184.0905609130859,70.7240982055664,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1742,[],[[]],[0,"Default",0,1]],[[1349,
1986,0,184.0905609130859,70.7240982055664,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1743,[],[[]],[0,"Default",0,1]],[[1472.714233398438,1987.404907226563,0,184.0905609130859,70.7240982055664,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1744,[],[[]],[0,"Default",0,1]],[[1598.706787109375,1986,0,184.0905609130859,70.7240982055664,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1745,[],[[]],[0,"Default",0,1]],[[1723.2900390625,1985.999877929688,0,184.0905609130859,70.7240982055664,0,0,1,0.5028248429298401,0.5,0,0,
[]],23,1746,[],[[]],[0,"Default",0,1]],[[1841.213623046875,1986.6982421875,0,184.0905609130859,70.7240982055664,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1747,[],[[]],[0,"Default",0,1]],[[1969.114868164063,1986.702392578125,0,184.0905609130859,70.7240982055664,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1748,[],[[]],[0,"Default",0,1]],[[2096,1986,0,184.0905609130859,70.7240982055664,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1749,[],[[]],[0,"Default",0,1]],[[2197,1986,0,184.0905609130859,70.7240982055664,
0,0,1,0.5028248429298401,0.5,0,0,[]],23,1750,[],[[]],[0,"Default",0,1]],[[3930.07763671875,1276.361328125,0,184.0905609130859,70.7240982055664,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1755,[],[[]],[0,"Default",0,1]],[[4045.41845703125,1277.660522460938,0,184.0905609130859,70.7240982055664,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1756,[],[[]],[0,"Default",0,1]],[[4158.81396484375,1277.02197265625,0,184.0905609130859,70.7240982055664,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1757,[],[[]],[0,"Default",0,
1]],[[4280.95751953125,1276.38330078125,0,184.0905609130859,70.7240982055664,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1758,[],[[]],[0,"Default",0,1]],[[4404.40966796875,1276.38330078125,0,184.0905609130859,70.7240982055664,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1768,[],[[]],[0,"Default",0,1]],[[4521.89794921875,1277.660522460938,0,184.0905609130859,70.7240982055664,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1769,[],[[]],[0,"Default",0,1]],[[4646.611328125,1277.02197265625,0,184.0905609130859,70.7240982055664,
0,0,1,0.5028248429298401,0.5,0,0,[]],23,1770,[],[[]],[0,"Default",0,1]],[[4771.3095703125,1278.295288085938,0,184.0905609130859,70.7240982055664,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1771,[],[[]],[0,"Default",0,1]],[[4893.3525390625,1275.748413085938,0,184.0905609130859,70.7240982055664,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1772,[],[[]],[0,"Default",0,1]],[[3973,494,0,184.0905609130859,70.7240982055664,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1817,[],[[]],[0,"Default",0,1]],[[4098,494,0,184.0905609130859,
70.7240982055664,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1818,[],[[]],[0,"Default",0,1]],[[4206,494,0,184.0905609130859,70.7240982055664,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1819,[],[[]],[0,"Default",0,1]],[[4333,494,0,184.0905609130859,70.7240982055664,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1820,[],[[]],[0,"Default",0,1]],[[4458,494,0,184.0905609130859,70.7240982055664,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1821,[],[[]],[0,"Default",0,1]],[[4570,494,0,184.0905609130859,70.7240982055664,0,0,
1,0.5028248429298401,0.5,0,0,[]],23,1822,[],[[]],[0,"Default",0,1]],[[4695,494,0,184.0905609130859,70.7240982055664,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1823,[],[[]],[0,"Default",0,1]],[[4821,494,0,184.0905609130859,70.7240982055664,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1824,[],[[]],[0,"Default",0,1]],[[4938,494,0,184.0905609130859,70.7240982055664,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1825,[],[[]],[0,"Default",0,1]],[[5933.10986328125,623.14892578125,0,184.0905609130859,70.7240982055664,0,
0,1,0.5028248429298401,0.5,0,0,[]],23,1860,[],[[]],[0,"Default",0,1]],[[6055.55078125,622.5111694335938,0,184.0905609130859,70.7240982055664,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1861,[],[[]],[0,"Default",0,1]],[[6164.70703125,617.1513671875,0,184.0905609130859,70.7240982055664,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1862,[],[[]],[0,"Default",0,1]],[[6304,614,0,184.0905609130859,70.7240982055664,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1863,[],[[]],[0,"Default",0,1]],[[6429,614,0,184.0905609130859,
70.7240982055664,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1864,[],[[]],[0,"Default",0,1]],[[6536,612,0,184.0905609130859,70.7240982055664,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1865,[],[[]],[0,"Default",0,1]],[[6664.34814453125,619.14892578125,0,184.0905609130859,70.7240982055664,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1877,[],[[]],[0,"Default",0,1]],[[6787.15625,621.9354858398438,0,184.0905609130859,70.7240982055664,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1878,[],[[]],[0,"Default",0,1]],[[6904.08203125,
620.78662109375,0,184.0905609130859,70.7240982055664,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1879,[],[[]],[0,"Default",0,1]],[[8145,993,0,184.0905609130859,70.7240982055664,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1884,[],[[]],[0,"Default",0,1]],[[8278,993,0,184.0905609130859,70.7240982055664,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1885,[],[[]],[0,"Default",0,1]],[[8378,993,0,184.0905609130859,70.7240982055664,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1886,[],[[]],[0,"Default",0,1]],[[8511,993,0,184.0905609130859,
70.7240982055664,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1887,[],[[]],[0,"Default",0,1]],[[8644,993,0,184.0905609130859,70.7240982055664,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1888,[],[[]],[0,"Default",0,1]],[[8743,993,0,184.0905609130859,70.7240982055664,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1889,[],[[]],[0,"Default",0,1]],[[8876,993,0,184.0905609130859,70.7240982055664,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1890,[],[[]],[0,"Default",0,1]],[[9009,993,0,184.0905609130859,70.7240982055664,0,0,
1,0.5028248429298401,0.5,0,0,[]],23,1891,[],[[]],[0,"Default",0,1]],[[9110,993,0,184.0905609130859,70.7240982055664,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1892,[],[[]],[0,"Default",0,1]],[[9524.912109375,990.27294921875,0,184.0905609130859,70.7240982055664,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1897,[],[[]],[0,"Default",0,1]],[[9645.419921875,993.1580200195312,0,184.0905609130859,70.7240982055664,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1898,[],[[]],[0,"Default",0,1]],[[9773.267578125,994.1177978515625,
0,184.0905609130859,70.7240982055664,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1899,[],[[]],[0,"Default",0,1]],[[9899.505859375,992.1953735351562,0,184.0905609130859,70.7240982055664,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1900,[],[[]],[0,"Default",0,1]],[[10022.92578125,993.1580810546875,0,184.0905609130859,70.7240982055664,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1901,[],[[]],[0,"Default",0,1]],[[10151.6982421875,993.1550903320312,0,184.0905609130859,70.7240982055664,0,0,1,0.5028248429298401,0.5,0,
0,[]],23,1907,[],[[]],[0,"Default",0,1]],[[10276.9970703125,993.1580810546875,0,184.0905609130859,70.7240982055664,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1909,[],[[]],[0,"Default",0,1]],[[10398.4912109375,993.1580810546875,0,184.0905609130859,70.7240982055664,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1910,[],[[]],[0,"Default",0,1]],[[10506.20703125,993.1551513671875,0,184.0905609130859,70.7240982055664,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1911,[],[[]],[0,"Default",0,1]],[[7203,1831,0,177,68,0,0,
1,0.5028248429298401,0.5,0,0,[]],23,9072,[],[[]],[0,"Default",0,1]],[[7313,1831,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,9073,[],[[]],[0,"Default",0,1]],[[7429,1830,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,9074,[],[[]],[0,"Default",0,1]],[[7539,1830,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,9075,[],[[]],[0,"Default",0,1]],[[7657,1830,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,9076,[],[[]],[0,"Default",0,1]],[[7767,1830,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,
9077,[],[[]],[0,"Default",0,1]],[[8224.5107421875,1841.912963867188,0,174.6374969482422,67.0923843383789,0,0,1,0.5028248429298401,0.5,0,0,[]],23,9113,[],[[]],[0,"Default",0,1]],[[8342.5986328125,1842.875610351563,0,174.6374969482422,67.0923843383789,0,0,1,0.5028248429298401,0.5,0,0,[]],23,9114,[],[[]],[0,"Default",0,1]],[[8459.26953125,1842.414672851563,0,174.6374969482422,67.0923843383789,0,0,1,0.5028248429298401,0.5,0,0,[]],23,9115,[],[[]],[0,"Default",0,1]],[[8559.568359375,1844.795043945313,0,
174.6374969482422,67.0923843383789,0,0,1,0.5028248429298401,0.5,0,0,[]],23,9116,[],[[]],[0,"Default",0,1]],[[8679.1396484375,1844.334228515625,0,174.6374969482422,67.0923843383789,0,0,1,0.5028248429298401,0.5,0,0,[]],23,9117,[],[[]],[0,"Default",0,1]],[[8799.6962890625,1843.832397460938,0,174.6374969482422,67.0923843383789,0,0,1,0.5028248429298401,0.5,0,0,[]],23,9118,[],[[]],[0,"Default",0,1]],[[8917.3896484375,1841.912841796875,0,174.6374969482422,67.0923843383789,0,0,1,0.5028248429298401,0.5,0,
0,[]],23,9119,[],[[]],[0,"Default",0,1]],[[9034.6201171875,1841.912963867188,0,174.6374969482422,67.0923843383789,0,0,1,0.5028248429298401,0.5,0,0,[]],23,9120,[],[[]],[0,"Default",0,1]],[[9144.9248046875,1841.9501953125,0,174.6374969482422,67.0923843383789,0,0,1,0.5028248429298401,0.5,0,0,[]],23,9121,[],[[]],[0,"Default",0,1]],[[9250.853515625,1842.411010742188,0,174.6374969482422,67.0923843383789,0,0,1,0.5028248429298401,0.5,0,0,[]],23,9122,[],[[]],[0,"Default",0,1]],[[9363.0849609375,1842.373657226563,
0,174.6374969482422,67.0923843383789,0,0,1,0.5028248429298401,0.5,0,0,[]],23,9123,[],[[]],[0,"Default",0,1]],[[9473.8671875,1841.410888671875,0,174.6374969482422,67.0923843383789,0,0,1,0.5028248429298401,0.5,0,0,[]],23,9124,[],[[]],[0,"Default",0,1]],[[9583.232421875,1842.367797851563,0,174.6374969482422,67.0923843383789,0,0,1,0.5028248429298401,0.5,0,0,[]],23,9125,[],[[]],[0,"Default",0,1]],[[9695.544921875,1842.785400390625,0,174.6374969482422,67.0923843383789,0,0,1,0.5028248429298401,0.5,0,0,[]],
23,9126,[],[[]],[0,"Default",0,1]],[[9815.4296875,1841.791137695313,0,174.6374969482422,67.0923843383789,0,0,1,0.5028248429298401,0.5,0,0,[]],23,9127,[],[[]],[0,"Default",0,1]],[[9928.2685546875,1841.865844726563,0,174.6374969482422,67.0923843383789,0,0,1,0.5028248429298401,0.5,0,0,[]],23,9128,[],[[]],[0,"Default",0,1]],[[10024.15625,1841.865844726563,0,174.6374969482422,67.0923843383789,0,0,1,0.5028248429298401,0.5,0,0,[]],23,9129,[],[[]],[0,"Default",0,1]],[[-24,2670,0,177,68,0,0,1,0.5028248429298401,
0.5,0,0,[]],23,2296,[],[[]],[0,"Default",0,1]],[[95,2671,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,2297,[],[[]],[0,"Default",0,1]],[[213,2669,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,2298,[],[[]],[0,"Default",0,1]],[[329,2669,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,2299,[],[[]],[0,"Default",0,1]],[[1171,2670,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,2300,[],[[]],[0,"Default",0,1]],[[1285,2669,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,2301,[],[[]],[0,"Default",
0,1]],[[1401,2669,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,2302,[],[[]],[0,"Default",0,1]],[[1520,2670,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,2303,[],[[]],[0,"Default",0,1]],[[1637,2670,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,2304,[],[[]],[0,"Default",0,1]],[[1751,2669,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,2305,[],[[]],[0,"Default",0,1]],[[2104,2673,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,2306,[],[[]],[0,"Default",0,1]],[[2219,2672,0,177,68,0,0,1,0.5028248429298401,
0.5,0,0,[]],23,2307,[],[[]],[0,"Default",0,1]],[[2339,2671,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,2308,[],[[]],[0,"Default",0,1]],[[2457,2673,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,2309,[],[[]],[0,"Default",0,1]],[[2577,2673,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,2310,[],[[]],[0,"Default",0,1]],[[2694,2672,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,2311,[],[[]],[0,"Default",0,1]],[[3057,2670,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,2314,[],[[]],[0,"Default",
0,1]],[[3176,2670,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,2315,[],[[]],[0,"Default",0,1]],[[3297,2671,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,2316,[],[[]],[0,"Default",0,1]],[[3417,2670,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,2317,[],[[]],[0,"Default",0,1]],[[3534,2670,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,2318,[],[[]],[0,"Default",0,1]],[[3656,2670,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,2319,[],[[]],[0,"Default",0,1]],[[8190,2671,0,177,68,0,0,1,0.5028248429298401,
0.5,0,0,[]],23,2332,[],[[]],[0,"Default",0,1]],[[8310,2670,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,2333,[],[[]],[0,"Default",0,1]],[[8430,2671,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,2334,[],[[]],[0,"Default",0,1]],[[8552,2671,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,2335,[],[[]],[0,"Default",0,1]],[[8670,2671,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,2336,[],[[]],[0,"Default",0,1]],[[1869,2674,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,2350,[],[[]],[0,"Default",
0,1]],[[1989,2674,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,2351,[],[[]],[0,"Default",0,1]],[[8780,2671,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,2394,[],[[]],[0,"Default",0,1]],[[8900,2671,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,2395,[],[[]],[0,"Default",0,1]],[[9020,2671,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,2396,[],[[]],[0,"Default",0,1]],[[9140,2670,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,2397,[],[[]],[0,"Default",0,1]],[[9261,2672,0,177,68,0,0,1,0.5028248429298401,
0.5,0,0,[]],23,2398,[],[[]],[0,"Default",0,1]],[[9384.60546875,2671.445556640625,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,2399,[],[[]],[0,"Default",0,1]],[[9503,2671,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,2400,[],[[]],[0,"Default",0,1]],[[9625,2672,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,2401,[],[[]],[0,"Default",0,1]],[[9747,2671,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,2402,[],[[]],[0,"Default",0,1]],[[9865,2671,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,
2403,[],[[]],[0,"Default",0,1]],[[9968,2672,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,2404,[],[[]],[0,"Default",0,1]],[[10086,2671,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,2405,[],[[]],[0,"Default",0,1]],[[10204,2671,0,183.6295928955078,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,2406,[],[[]],[0,"Default",0,1]],[[10329,2671,0,183.6300964355469,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,2407,[],[[]],[0,"Default",0,1]],[[10456.2607421875,2672.54345703125,0,189.1524505615234,68,0,0,1,0.5028248429298401,
0.5,0,0,[]],23,2408,[],[[]],[0,"Default",0,1]],[[10581.876953125,2671.456787109375,0,186.9513092041016,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,2409,[],[[]],[0,"Default",0,1]],[[10701.0126953125,2671.67919921875,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,2410,[],[[]],[0,"Default",0,1]],[[10817.3466796875,2670.369873046875,0,175,66,0,0,1,0.5028248429298401,0.5,0,0,[]],23,2411,[],[[]],[0,"Default",0,1]],[[10933,2671,0,175,66,0,0,1,0.5028248429298401,0.5,0,0,[]],23,2412,[],[[]],[0,"Default",
0,1]],[[11053,2672,0,175,66,0,0,1,0.5028248429298401,0.5,0,0,[]],23,2413,[],[[]],[0,"Default",0,1]],[[11173,2673,0,175,66,0,0,1,0.5028248429298401,0.5,0,0,[]],23,2414,[],[[]],[0,"Default",0,1]],[[11294,2672,0,175,66,0,0,1,0.5028248429298401,0.5,0,0,[]],23,2415,[],[[]],[0,"Default",0,1]],[[11414,2671,0,175,66,0,0,1,0.5028248429298401,0.5,0,0,[]],23,2416,[],[[]],[0,"Default",0,1]],[[11536,2670,0,175,66,0,0,1,0.5028248429298401,0.5,0,0,[]],23,2417,[],[[]],[0,"Default",0,1]],[[11658,2673,0,175,66,0,0,
1,0.5028248429298401,0.5,0,0,[]],23,2418,[],[[]],[0,"Default",0,1]],[[11780,2672,0,175,66,0,0,1,0.5028248429298401,0.5,0,0,[]],23,2419,[],[[]],[0,"Default",0,1]],[[11900.1875,2670.276611328125,0,175,66,0,0,1,0.5028248429298401,0.5,0,0,[]],23,2420,[],[[]],[0,"Default",0,1]],[[12019.76953125,2670.553466796875,0,175,66,0,0,1,0.5028248429298401,0.5,0,0,[]],23,2421,[],[[]],[0,"Default",0,1]],[[12130.5380859375,2671.27685546875,0,175,66,0,0,1,0.5028248429298401,0.5,0,0,[]],23,2422,[],[[]],[0,"Default",
0,1]],[[12242.7509765625,2672,0,181.5546875,66,0,0,1,0.5028248429298401,0.5,0,0,[]],23,2423,[],[[]],[0,"Default",0,1]],[[12367.080078125,2671.28564453125,0,181.55517578125,66,0,0,1,0.5028248429298401,0.5,0,0,[]],23,2424,[],[[]],[0,"Default",0,1]],[[12493.9384765625,2671.437744140625,0,187.01513671875,66,0,0,1,0.5028248429298401,0.5,0,0,[]],23,2425,[],[[]],[0,"Default",0,1]],[[446,2669,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,2428,[],[[]],[0,"Default",0,1]],[[565,2668,0,177,68,0,0,1,0.5028248429298401,
0.5,0,0,[]],23,2429,[],[[]],[0,"Default",0,1]],[[687,2667,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,2430,[],[[]],[0,"Default",0,1]],[[809,2666,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,2431,[],[[]],[0,"Default",0,1]],[[930,2666,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,2432,[],[[]],[0,"Default",0,1]],[[1051,2667,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,2433,[],[[]],[0,"Default",0,1]],[[2815,2673,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,2312,[],[[]],[0,"Default",
0,1]],[[2936,2670,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,2313,[],[[]],[0,"Default",0,1]],[[2900,2321,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,2251,[],[[]],[0,"Default",0,1]],[[3009,2319,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,2253,[],[[]],[0,"Default",0,1]],[[3119,2319,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,2254,[],[[]],[0,"Default",0,1]],[[3229,2319,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,2255,[],[[]],[0,"Default",0,1]],[[3339,2319,0,177,68,0,0,1,0.5028248429298401,
0.5,0,0,[]],23,2257,[],[[]],[0,"Default",0,1]],[[3455,2318,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,2261,[],[[]],[0,"Default",0,1]],[[3565,2318,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,2264,[],[[]],[0,"Default",0,1]],[[3683,2318,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,2269,[],[[]],[0,"Default",0,1]],[[3793,2318,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,2270,[],[[]],[0,"Default",0,1]],[[3861,2321,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,2272,[],[[]],[0,"Default",
0,1]],[[12701.72265625,2568.20849609375,0,200,200,0,0,1,0.4969135820865631,0.5,0,0,[]],50,2810,[[0]],[[]],[0,"Default",0,1]],[[12621.501953125,2670.732177734375,0,184.8388671875,66,0,0,1,0.5028248429298401,0.5,0,0,[]],23,2426,[],[[]],[0,"Default",0,1]],[[12736.9931640625,2673.474853515625,0,175,66,0,0,1,0.5028248429298401,0.5,0,0,[]],23,2427,[],[[]],[0,"Default",0,1]],[[5943.47412109375,1607.873291015625,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1264,[],[[]],[0,"Default",0,1]],[[6060.06201171875,
1609.049194335938,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1269,[],[[]],[0,"Default",0,1]],[[6175.8115234375,1609.457763671875,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1270,[],[[]],[0,"Default",0,1]],[[6297.9267578125,1608.457763671875,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1271,[],[[]],[0,"Default",0,1]],[[6412.06201171875,1608.285400390625,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1272,[],[[]],[0,"Default",0,1]],[[6532.93896484375,1607.500610351563,0,177,68,0,0,
1,0.5028248429298401,0.5,0,0,[]],23,1330,[],[[]],[0,"Default",0,1]],[[6650.01416015625,1607.58447265625,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1333,[],[[]],[0,"Default",0,1]],[[6769.83837890625,1608.76025390625,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1337,[],[[]],[0,"Default",0,1]],[[6890.39208984375,1608.520385742188,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1340,[],[[]],[0,"Default",0,1]],[[7009.357421875,1609.108276367188,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],
23,1379,[],[[]],[0,"Default",0,1]],[[7128.67626953125,1608.172241210938,0,177,68,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1386,[],[[]],[0,"Default",0,1]],[[9067.0732421875,485.867919921875,0,191.8805999755859,70.7240982055664,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1429,[],[[]],[0,"Default",0,1]],[[9197.7958984375,484.1347045898438,0,192.7692718505859,70.7240982055664,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1433,[],[[]],[0,"Default",0,1]],[[9331.0556640625,484.8652954101563,0,190.9919281005859,70.7240982055664,
0,0,1,0.5028248429298401,0.5,0,0,[]],23,1434,[],[[]],[0,"Default",0,1]],[[9454.80859375,485.867919921875,0,191.8805999755859,70.7240982055664,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1453,[],[[]],[0,"Default",0,1]],[[9581.603515625,483.4014892578125,0,191.0339202880859,70.7240982055664,0,0,1,0.5028248429298401,0.5,0,0,[]],23,1480,[],[[]],[0,"Default",0,1]]],[]],["main",7,4539302470084516,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[6689,2450,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,
2510,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[6964,2450,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2512,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[7237,2453,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2514,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[5353,2455,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2520,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[5617,2456,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,
0,0,[]],28,2522,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[5892,2455,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2524,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[6165,2454,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2526,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[6083.6689453125,1491.668212890625,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2527,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[6486,1480,0,119,
117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2528,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[4662,374,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2540,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[4504,376,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2541,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[10461,2072,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2556,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",
0,1]],[[10651,1917,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2557,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[10307,2286,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2558,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[8929.078125,1728.235595703125,0,106,109,0,0,1,0.5,0.2752293646335602,0,0,[]],40,2578,[[0],[0],[0]],[[],[1,400,0,0],[]],[0,"Default",0,1]],[[9706,2533,0,125,156,0,0,1,0.5,0.2752293646335602,0,0,[]],40,2579,[[0],[0],[0]],[[],[1,400,
0,0],[]],[0,"Default",0,1]],[[7499,1709,0,106,109,0,0,1,0.5,0.2752293646335602,0,0,[]],40,2580,[[0],[0],[0]],[[],[1,400,0,0],[]],[0,"Default",0,1]],[[9336.8486328125,221.2681274414063,0,106,109,0,0,1,0.5,0.2752293646335602,0,0,[]],40,2581,[[0],[0],[0]],[[],[1,400,0,0],[]],[0,"Default",0,1]],[[5428,1311,0,106,109,0,0,1,0.5,0.2752293646335602,0,0,[]],40,2583,[[0],[0],[0]],[[],[1,400,0,0],[]],[0,"Default",0,1]],[[5434,520,0,106,109,0,0,1,0.5,0.2752293646335602,0,0,[]],40,2586,[[0],[0],[0]],[[],[1,400,
0,0],[]],[0,"Default",0,1]],[[6288.19091796875,1474.634643554688,0,106,109,0,0,1,0.5,0.2752293646335602,0,0,[]],40,2587,[[0],[0],[0]],[[],[1,400,0,0],[]],[0,"Default",0,1]],[[9321,784,0,106,109,0,0,1,0.5,0.2752293646335602,0,0,[]],40,2588,[[0],[0],[0]],[[],[1,400,0,0],[]],[0,"Default",0,1]],[[-230,1554,0,153,198,0,0,1,0.5,0.5,0,0,[]],41,2589,[[0]],[[330,1500,3E3,950,1500,1E3,0,1]],[1,"Default",0,1]],[[9318.1025390625,1190.757446289063,0,99.7432632446289,124.4795913696289,0,0,1,0.5106382966041565,
0.3097345232963562,0,0,[]],46,2613,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[12216,1797,0,125,156,0,0,1,0.5,0.2752293646335602,0,0,[]],40,2647,[[0],[0],[0]],[[],[1,400,0,0],[]],[0,"Default",0,1]],[[12528,2526,0,125,156,0,0,1,0.5106382966041565,0.3097345232963562,0,0,[]],46,2656,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[6294,1309,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2542,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[7314,1719,0,119,117,0,0,1,0.5042017102241516,
0.3247863352298737,0,0,[]],28,2565,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[7691,1712,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2597,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[7510,1529,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2598,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[4726,2404,0,101.1591415405273,126.2466125488281,0,0,1,0.5106382966041565,0.3097345232963562,0,0,[]],46,2605,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",
0,1]],[[11401,1146,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2635,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[10929,1130,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2638,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[11160,1130,0,106,109,0,0,1,0.5,0.2752293646335602,0,0,[]],40,2640,[[0],[0],[0]],[[],[1,400,0,0],[]],[0,"Default",0,1]],[[2757,1438,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2676,[[0],[0],[0]],[[],[1,400,0,
0]],[0,"Default",0,1]],[[2245,1435,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2736,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[2492,1432,0,106,109,0,0,1,0.5,0.2752293646335602,0,0,[]],40,2853,[[0],[0],[0]],[[],[1,400,0,0],[]],[0,"Default",0,1]],[[4287,375,0,106,109,0,0,1,0.5,0.2752293646335602,0,0,[]],40,2529,[[0],[0],[0]],[[],[1,400,0,0],[]],[0,"Default",0,1]],[[4053,1166,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2666,[[0],[0],[0]],[[],[1,400,
0,0]],[0,"Default",0,1]],[[4532,1164,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2667,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[4290,1162,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2668,[[9],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[7849,2256,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2708,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[8106,2256,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2709,
[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[8787,2272,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2714,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[9044,2272,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2715,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[620.4887084960938,2125.9970703125,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2720,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[893.1757202148438,2124.325439453125,
0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2721,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[760.3334350585938,2122.494384765625,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2722,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[11788,862,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2756,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[2075.10302734375,1878.466796875,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,
[]],28,374,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[2495,1286,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,404,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[3506,885,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,405,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[3003,902,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,406,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[3251,899,0,106,109,0,0,1,0.5,0.2752293646335602,
0,0,[]],40,407,[[0],[0],[0]],[[],[1,400,0,0],[]],[0,"Default",0,1]],[[3260,759,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,408,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[4059,379,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,413,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[5217,523,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,417,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[5661,516,0,119,117,0,0,1,0.5042017102241516,
0.3247863352298737,0,0,[]],28,418,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[5431,377,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,433,[[9],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[4106,1863.333251953125,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,617,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[4598,1863.333251953125,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,797,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],
[[4352,1863.333251953125,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,886,[[9],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[5292,1888,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,887,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[5582,1886.05126953125,0,119,111,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,888,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[5439,1885,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,889,[[9],
[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[9372.708984375,1738.838989257813,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,956,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[9929,1735,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,959,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[9590.115234375,1742.037231445313,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,962,[[9],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[7980,2253,0,119,
117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,977,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[8469.2236328125,1731.155151367188,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,978,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[8329.2236328125,1730.390869140625,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1244,[[9],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[9707,875,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1246,
[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[10199,875,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1248,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[9953,875,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1257,[[9],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[8366,863,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1259,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[8858,863,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,
0,0,[]],28,1261,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[8612,863,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1263,[[9],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[9116.681640625,377.7305908203125,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1286,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[9577,367,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1320,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[9336.05859375,374.8652954101563,
0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1321,[[9],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[8611.1962890625,1726.1982421875,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1223,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[8746,2561,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1399,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[9003,2561,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1400,[[0],[0],[0]],
[[],[1,400,0,0]],[0,"Default",0,1]],[[8877,2558,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1401,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[9989,2547,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1486,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[10246,2547,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1607,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[10120,2544,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,
0,[]],28,1608,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[396,2533,0,101.1591415405273,126.2466125488281,0,0,1,0.5106382966041565,0.3097345232963562,0,0,[]],46,2071,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]]],[]],["general",8,0xac755a47dcd99,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[5327,1118,0,1113.127075195313,756.7583618164062,0,0,1,0.4940828382968903,0.43376624584198,0,0,[]],33,2677,[],[[1,0,0,4,0,0,0,50,0],[]],[0,"Default",0,1]],[[7812,461,0,1113.127075195313,756.7583618164062,0,0,
1,0.4940828382968903,0.43376624584198,0,0,[]],33,2678,[],[[1,0,0,4,0,0,0,50,0],[]],[0,"Default",0,1]],[[2984,1544,0,128,128,0,0,1,0,0.5,0,0,[]],65,2682,[],[[]],[50,360,0,10,16,100,0,4E3,2E3,0,0,30,0,60,0,500,0,0,1]],[[7334,1704,0,128,128,0,0,1,0,0.5,0,0,[]],65,2683,[],[[]],[50,360,0,10,16,100,0,4E3,2E3,0,0,30,0,60,0,500,0,0,1]],[[573,2558,0,142.8915710449219,142.8915710449219,0,0,1,0.5,0.5,0,0,[]],72,2697,[[0],[0]],[[]],[1,"Default",0,1]],[[11360,487,0,1113.127075195313,756.7583618164062,0,0,1,0.4940828382968903,
0.43376624584198,0,0,[]],33,2636,[],[[1,0,0,4,0,0,0,50,0],[]],[0,"Default",0,1]]],[]],["gui",9,0xb5a8cc67749b1,!0,[255,255,255],!0,0,0,1,!1,1,0,0,[],[]],["black",10,0xf9d4759a72c4,!0,[0,0,0],!1,1,1,0,!1,1,0,0,[],[]]],[],[]],["7",8780,2989,!1,"e7",0xa10d82359b1df,[["b4",0,8895737880470603,!0,[172,175,179],!1,0.4000000059604645,0.4000000059604645,1,!1,1,0,0,[[[0,0,0,2302,2302,0,0,1,0,0,0,0,[]],44,1440,[],[[]],[0,"Default",1,1]]],[]],["b3",1,6403018686368078,!0,[255,255,255],!0,0.699999988079071,1,1,
!1,1,0,0,[[[1012,2449.611328125,0,2048,608,0,0,1,0.5,0.501006007194519,0,0,[]],43,2752,[],[[]],[0,"Default",1,1]],[[3059,2448.611328125,0,2048,608,0,0,1,0.5,0.501006007194519,0,0,[]],43,2753,[],[[]],[0,"Default",1,1]],[[-1035,2450.611328125,0,2048,608,0,0,1,0.5,0.501006007194519,0,0,[]],43,2755,[],[[]],[0,"Default",1,1]],[[5106,2448.611328125,0,2048,608,0,0,1,0.5,0.501006007194519,0,0,[]],43,2774,[],[[]],[0,"Default",1,1]],[[7126,2448.611328125,0,2048,608,0,0,1,0.5,0.501006007194519,0,0,[]],43,3048,
[],[[]],[0,"Default",1,1]],[[9170,2426.879150390625,0,2048,608,0,0,1,0.5,0.501006007194519,0,0,[]],43,3080,[],[[]],[0,"Default",1,1]]],[]],["b2",2,6806886230972765,!0,[255,255,255],!0,0.8500000238418579,1,1,!1,1,0,0,[[[890.484375,1314.700439453125,0,1294.66552734375,2612.01123046875,0,0,1,0.5007299184799194,0.5,0,0,[]],94,3046,[],[[]],[0,"Default",0,1]],[[4803,1397,0,996.6947021484375,2792.359375,0,0,1,0.5,0.5,0,0,[]],95,3047,[],[[]],[0,"Default",0,1]],[[1133,380,0,76,134,0,0,1,0.5,0.5,0,0,[]],89,
3041,[],[[]],[0,"Default",0,1]],[[400,1597,0,-76,134,0,0,1,0.5,0.5,0,0,[]],89,3064,[],[[]],[0,"Default",0,1]],[[413,813,0,-76,134,0,-0.3750368356704712,1,0.5,0.5,0,0,[]],89,3065,[],[[]],[0,"Default",0,1]],[[5237,227,0,76,134,0,0.4089036881923676,1,0.5,0.5,0,0,[]],89,3075,[],[[]],[0,"Default",0,1]],[[4542,1736,0,76,134,0,-2.753058195114136,1,0.5,0.5,0,0,[]],89,3078,[],[[]],[0,"Default",0,1]],[[753,1826,0,107,141,0,0,1,0.5046728849411011,0.5035461187362671,0,0,[]],90,3042,[],[[]],[0,"Default",0,1]],
[[556.2212524414062,2427.07421875,0,146.2562561035156,192.7302093505859,0,-0.9633231163024902,1,0.5046728849411011,0.5035461187362671,0,0,[]],90,3066,[],[[]],[0,"Default",0,1]],[[4883,1927,0,107,141,0,0.420271635055542,1,0.5046728849411011,0.5035461187362671,0,0,[]],90,3076,[],[[]],[0,"Default",0,1]],[[963,728,0,132,180,0,0,1,0.5,0.5,0,0,[]],91,3043,[],[[]],[0,"Default",0,1]],[[1044,1580,0,132,180,0,0.7467036843299866,1,0.5,0.5,0,0,[]],91,3063,[],[[]],[0,"Default",0,1]],[[4627,316,0,132,180,0,0.3452235460281372,
1,0.5,0.5,0,0,[]],91,3077,[],[[]],[0,"Default",0,1]],[[4765,881,0,92.33092498779297,125.9058074951172,0,0.3452235460281372,1,0.5,0.5,0,0,[]],91,3079,[],[[]],[0,"Default",0,1]]],[]],["b1",3,0x53bfedd127917,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[3861,2048,0,785.1387329101562,1162.724487304688,0,0,1,0.5012722611427307,0.5,0,0,[]],92,3044,[],[[]],[0,"Default",0,1]],[[380,2811,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,2777,[],[[1],[]],[0,"Default",0,1]],[[1380,2811,0,1023,356,0,0,1,0.5004887580871582,
0.5,0,0,[]],22,2778,[],[[1],[]],[0,"Default",0,1]],[[2375,2811,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,2779,[],[[1],[]],[0,"Default",0,1]],[[3357,2811,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,2780,[],[[1],[]],[0,"Default",0,1]],[[3233,2571,0,462,141,0,0,1,0.5,0.5035461187362671,0,0,[]],83,3033,[],[[]],[0,"Default",0,1]],[[4339,2811,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,2781,[],[[1],[]],[0,"Default",0,1]],[[5212,2811,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],
22,2782,[],[[1],[]],[0,"Default",0,1]],[[138.2101440429688,2648.91455078125,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,2785,[],[[]],[0,"Default",1,1]],[[267,2646,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,2786,[],[[]],[0,"Default",1,1]],[[384,2648,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,2787,[],[[]],[0,"Default",1,1]],[[502,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,2788,[],[[]],[0,"Default",1,1]],[[614,
2646,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,2789,[],[[]],[0,"Default",1,1]],[[726,2644,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,2790,[],[[]],[0,"Default",1,1]],[[843,2641,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,2791,[],[[]],[0,"Default",1,1]],[[963,2642,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,2792,[],[[]],[0,"Default",1,1]],[[1081,2641,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,
2793,[],[[]],[0,"Default",1,1]],[[1200,2642,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,2794,[],[[]],[0,"Default",1,1]],[[1320,2640,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,2795,[],[[]],[0,"Default",1,1]],[[1439,2637,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,2796,[],[[]],[0,"Default",1,1]],[[1559,2638,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,2797,[],[[]],[0,"Default",1,1]],[[1678,2639,0,222,132,0,0,1,0.5315315127372742,
0.2651515007019043,0,0,[]],23,2798,[],[[]],[0,"Default",1,1]],[[1799,2638,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,2799,[],[[]],[0,"Default",1,1]],[[1918,2639,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,2800,[],[[]],[0,"Default",1,1]],[[2037,2641,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,2801,[],[[]],[0,"Default",1,1]],[[2158,2641,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,2802,[],[[]],[0,"Default",1,1]],[[2279,
2641,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,2803,[],[[]],[0,"Default",1,1]],[[2399,2643,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,2804,[],[[]],[0,"Default",1,1]],[[2518,2642,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,2805,[],[[]],[0,"Default",1,1]],[[2640,2641,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,2806,[],[[]],[0,"Default",1,1]],[[2762,2642,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],
23,2807,[],[[]],[0,"Default",1,1]],[[2884,2644,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,2808,[],[[]],[0,"Default",1,1]],[[3006,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,2809,[],[[]],[0,"Default",1,1]],[[3125,2646,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,2811,[],[[]],[0,"Default",1,1]],[[3246,2646,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,2812,[],[[]],[0,"Default",1,1]],[[3366,2647,0,222,132,0,0,1,0.5315315127372742,
0.2651515007019043,0,0,[]],23,2813,[],[[]],[0,"Default",1,1]],[[3487,2647,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,2814,[],[[]],[0,"Default",1,1]],[[3603,2646,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,2815,[],[[]],[0,"Default",1,1]],[[3721,2646,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,2816,[],[[]],[0,"Default",1,1]],[[3843,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,2817,[],[[]],[0,"Default",1,1]],[[3964,
2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,2818,[],[[]],[0,"Default",1,1]],[[4085,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,2819,[],[[]],[0,"Default",1,1]],[[4204,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,2820,[],[[]],[0,"Default",1,1]],[[4322,2646,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,2821,[],[[]],[0,"Default",1,1]],[[4444,2646,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],
23,2822,[],[[]],[0,"Default",1,1]],[[4566,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,2823,[],[[]],[0,"Default",1,1]],[[4685,2646,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,2824,[],[[]],[0,"Default",1,1]],[[4806,2647,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,2825,[],[[]],[0,"Default",1,1]],[[4923,2646,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,2826,[],[[]],[0,"Default",1,1]],[[5039,2645,0,222,132,0,0,1,0.5315315127372742,
0.2651515007019043,0,0,[]],23,2827,[],[[]],[0,"Default",1,1]],[[5162,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,2828,[],[[]],[0,"Default",1,1]],[[5282,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,2829,[],[[]],[0,"Default",1,1]],[[5402,2642,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,2830,[],[[]],[0,"Default",1,1]],[[618,2795,0,208,197,0,0,1,0.5,0.5025380849838257,0,0,[]],35,2983,[],[[]],[0,"Default",0,1]],[[3680,1499,0,249,166,
0,0.1381630599498749,1,0.2504779994487763,0.6710526347160339,0,0,[]],76,2985,[],[[]],[0,"Default",0,1]],[[2664,2544,0,312,171,0,0,1,0.5,0.5029239654541016,0,0,[]],78,2987,[],[[]],[0,"Default",0,1]],[[4937,2846,0,495.4190063476563,355.9007568359375,0,0,1,0.5006518959999084,0.5009074211120605,0,0,[]],79,2988,[],[[]],[0,"Default",0,1]],[[6676,2208,0,869,836,0,0,1,0.5005753636360168,0.5,0,0,[]],80,2989,[],[[]],[0,"Default",0,1]],[[2424,863,0,319,194,0,0,1,0.5015674233436584,0.5,0,0,[]],81,3022,[],[[]],
[0,"Default",0,1]],[[6717,1794,0,264,180,0,0,1,0.5,0.5,0,0,[]],82,3029,[],[[]],[0,"Default",0,1]],[[2214,1511,0,459,203,0,0,1,0.501089334487915,0.5024630427360535,0,0,[]],84,3034,[],[[]],[0,"Default",0,1]],[[6431,2522,0,335,201,0,0,1,0.5014925599098206,0.5024875402450562,0,0,[]],85,3035,[],[[]],[0,"Default",0,1]],[[7188,2551,0,220,201,0,0,1,0.5,0.5024875402450562,0,0,[]],87,3038,[],[[]],[0,"Default",0,1]],[[7590,2564.32275390625,0,464,129,0,0,1,0.5,0.5038759708404541,0,0,[]],88,3040,[],[[]],[0,"Default",
0,1]],[[3759,1036,0,215,437,0,0,1,0.5023255944252014,0.5011441707611084,0,0,[]],93,3045,[],[[]],[0,"Default",0,1]],[[6047,2811,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,2775,[],[[1],[]],[0,"Default",0,1]],[[7029,2811,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,2783,[],[[1],[]],[0,"Default",0,1]],[[7902,2811,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,2831,[],[[1],[]],[0,"Default",0,1]],[[5574,2642,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,2832,[],[[]],
[0,"Default",1,1]],[[5696,2643,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,2833,[],[[]],[0,"Default",1,1]],[[5815,2644,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,2834,[],[[]],[0,"Default",1,1]],[[5936,2644,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,2835,[],[[]],[0,"Default",1,1]],[[6056,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,2836,[],[[]],[0,"Default",1,1]],[[6177,2645,0,222,132,0,0,1,0.5315315127372742,
0.2651515007019043,0,0,[]],23,2837,[],[[]],[0,"Default",1,1]],[[6293,2644,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,2838,[],[[]],[0,"Default",1,1]],[[6411,2644,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,2839,[],[[]],[0,"Default",1,1]],[[6533,2643,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,2840,[],[[]],[0,"Default",1,1]],[[6654,2643,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,2841,[],[[]],[0,"Default",1,1]],[[6775,
2643,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,2842,[],[[]],[0,"Default",1,1]],[[6894,2643,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,2843,[],[[]],[0,"Default",1,1]],[[7012,2644,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,2844,[],[[]],[0,"Default",1,1]],[[7134,2644,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,2845,[],[[]],[0,"Default",1,1]],[[7256,2643,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],
23,2846,[],[[]],[0,"Default",1,1]],[[7375,2644,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,2847,[],[[]],[0,"Default",1,1]],[[7496,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,2848,[],[[]],[0,"Default",1,1]],[[7613,2644,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,2849,[],[[]],[0,"Default",1,1]],[[7729,2643,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,2850,[],[[]],[0,"Default",1,1]],[[7852,2643,0,222,132,0,0,1,0.5315315127372742,
0.2651515007019043,0,0,[]],23,2851,[],[[]],[0,"Default",1,1]],[[7972,2643,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,2979,[],[[]],[0,"Default",1,1]],[[8092,2640,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,2980,[],[[]],[0,"Default",1,1]],[[7627,2847,0,495.4190063476563,355.9007568359375,0,0,1,0.5006518959999084,0.5009074211120605,0,0,[]],79,2981,[],[[]],[0,"Default",0,1]],[[8881,2807,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,2982,[],[[1],[]],[0,"Default",
0,1]],[[5337,2565,0,117,112,0,0,1,0.504273533821106,0.5,0,0,[]],77,3074,[],[[]],[0,"Default",0,1]],[[2268,2866,0,376.7289733886719,251.4274291992188,0,0,1,0.5010941028594971,0.5016393661499023,0,0,[]],54,2784,[],[[]],[0,"Default",0,1]],[[4869,1386,0,985.928466796875,298.0040588378906,0,0,1,0.5004887580871582,0.5,0,0,[]],26,9140,[],[[1],[]],[0,"Default",0,1]],[[5259,1382,0,439.4886779785156,336.0432739257813,0,0,1,0.7122207880020142,0.4608695507049561,0,0,[]],122,9141,[],[[]],[0,"Default",0,1]],[[4502,
1401,0,393.093505859375,323.7182006835938,0,0,1,0.3641703426837921,0.5009041428565979,0,0,[]],123,9142,[],[[]],[0,"Default",0,1]],[[4847,1469,0,195.7032165527344,188.9709167480469,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9143,[],[[]],[0,"Default",0,1]],[[4425,1236,0,214.7950134277344,127.7160186767578,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,9144,[],[[]],[0,"Default",1,1]],[[4549,1236,0,214.7950134277344,127.7160186767578,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,9145,[],
[[]],[0,"Default",1,1]],[[4643,1236,0,214.7950134277344,127.7160186767578,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,9146,[],[[]],[0,"Default",1,1]],[[4766,1236,0,214.7950134277344,127.7160186767578,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,9147,[],[[]],[0,"Default",1,1]],[[4890,1236,0,214.7950134277344,127.7160186767578,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,9148,[],[[]],[0,"Default",1,1]],[[4982,1236,0,214.7950134277344,127.7160186767578,0,0,1,0.5315315127372742,
0.2651515007019043,0,0,[]],23,9149,[],[[]],[0,"Default",1,1]],[[5106,1236,0,214.7950134277344,127.7160186767578,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,9150,[],[[]],[0,"Default",1,1]],[[5230,1236,0,214.7950134277344,127.7160186767578,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,9151,[],[[]],[0,"Default",1,1]],[[5323,1236,0,214.7950134277344,127.7160186767578,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,9152,[],[[]],[0,"Default",1,1]],[[5269,1162,0,117,112,0,0,1,
0.504273533821106,0.5,0,0,[]],77,2986,[],[[]],[0,"Default",0,1]],[[4599,1153,0,257,146,0,0.1058126538991928,1,0.5019454956054688,0.5,0,0,[]],86,3037,[],[[]],[0,"Default",0,1]],[[-9.11810302734375,2648.075927734375,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,2374,[],[[]],[0,"Default",1,1]]],[]],["main",4,5712307055552954,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[1426,1565,0,103,190,0,0,1,0.5,0.5,0,0,[]],41,2991,[[0]],[[330,1500,3E3,950,1500,1E3,0,1]],[1,"Default",0,1]],[[596,2496,
0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2992,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[1318,2504,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2994,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[2062,2238,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2995,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[5041,976,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,3E3,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",
0,1]],[[2936,1473,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,3001,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[2599,1473,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,3003,[[9],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[2190,1489,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,3004,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[2411,1493,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,3006,[[0],[0],[0]],[[],
[1,400,0,0]],[0,"Default",0,1]],[[1499,1709,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,3007,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[964,2502,0,111,108,0,0,1,0.5045045018196106,0.2777777910232544,0,0,[]],40,3011,[[0],[0],[0]],[[],[1,400,0,0],[]],[0,"berry",0,1]],[[1906,2233,0,111,108,0,0,1,0.5045045018196106,0.2777777910232544,0,0,[]],40,3012,[[0],[0],[0]],[[],[1,400,0,0],[]],[0,"berry",0,1]],[[4979,2144,0,111,108,0,0,1,0.5045045018196106,0.2777777910232544,0,0,[]],
40,3013,[[0],[0],[0]],[[],[1,400,0,0],[]],[0,"berry",0,1]],[[2406,867,0,111,108,0,0,1,0.5045045018196106,0.2777777910232544,0,0,[]],40,3016,[[0],[0],[0]],[[],[1,400,0,0],[]],[0,"berry",0,1]],[[1280,1692,0,111,108,0,0,1,0.5045045018196106,0.2777777910232544,0,0,[]],40,3018,[[0],[0],[0]],[[],[1,400,0,0],[]],[0,"berry",0,1]],[[2325,1346,0,111,108,0,0,1,0.5045045018196106,0.2777777910232544,0,0,[]],40,3019,[[0],[0],[0]],[[],[1,400,0,0],[]],[0,"berry",0,1]],[[3865,1131,0,119,117,0,0,1,0.5042017102241516,
0.3247863352298737,0,0,[]],28,3020,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[2278,866,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,3021,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[2320,2491,0,94,113,0,0,1,0.5106382966041565,0.3097345232963562,0,0,[]],46,3023,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[1874,2383,0,208,103,0,0,1,0.4903846085071564,0.5048543810844421,0,0,[]],29,3049,[],[[1],[]],[0,"Default",1,1]],[[1296,1845,0,208,103,0,0,1,0.4903846085071564,
0.5048543810844421,0,0,[]],29,3050,[],[[1],[]],[0,"Default",1,1]],[[2207,1627,0,208,103,0,0,1,0.4903846085071564,0.5048543810844421,0,0,[]],29,3051,[],[[1],[]],[0,"Default",1,1]],[[3700,1273,0,208,103,0,0,1,0.4903846085071564,0.5048543810844421,0,0,[]],29,3052,[],[[1],[]],[0,"Default",1,1]],[[2203,993,0,208,103,0,0,1,0.4903846085071564,0.5048543810844421,0,0,[]],29,3053,[],[[1],[]],[0,"Default",1,1]],[[2079,2381,0,201,100,0,0,1,0.5024875402450562,0.5,0,0,[]],31,3027,[],[[1],[]],[0,"Default",1,1]],
[[1492,1844,0,201,100,0,0,1,0.5024875402450562,0.5,0,0,[]],31,3028,[],[[1],[]],[0,"Default",1,1]],[[2405,1627,0,201,100,0,0,1,0.5024875402450562,0.5,0,0,[]],31,3030,[],[[1],[]],[0,"Default",1,1]],[[3900,1270,0,201,100,0,0,1,0.5024875402450562,0.5,0,0,[]],31,3031,[],[[1],[]],[0,"Default",1,1]],[[2406,993,0,201,100,0,0,1,0.5024875402450562,0.5,0,0,[]],31,3032,[],[[1],[]],[0,"Default",1,1]],[[3131,2380,0,220,130,0,0,1,0.5,0.5,0,0,[]],32,3024,[],[[1,0,1,20,0,2,0,490,0],[1]],[0,"Default",1,1]],[[3111,
1076,0,220,130,0,0,1,0.5,0.5,0,0,[]],32,3026,[],[[1,0,1,20,0,2,0,350,0],[1]],[0,"Default",1,1]],[[1919,1722,0,220,130,0,0,1,0.5,0.5,0,0,[]],32,3069,[],[[1,1,1,20,0,2,0,490,0],[1]],[0,"Default",1,1]],[[2639,1702,0,220,130,0,0,1,0.5,0.5,0,0,[]],32,3082,[],[[1,1,1,20,0,2,0,490,0],[1]],[0,"Default",1,1]],[[3761,2044,0,220,130,0,0,1,0.5,0.5,0,0,[]],32,3083,[],[[1,1,1,20,10,2,0,490,0],[1]],[0,"Default",1,1]],[[4115,1639,0,220,130,0,0,1,0.5,0.5,0,0,[]],32,3084,[],[[1,1,1,20,10,2,0,490,0],[1]],[0,"Default",
1,1]],[[4058,2490,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1586,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[4550,2490,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1587,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[4304,2490,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1588,[[9],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[5366,2490,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1589,[[0],[0],[0]],[[],
[1,400,0,0]],[0,"Default",0,1]],[[5858,2490,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1590,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[5612,2490,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1592,[[9],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[6185,2493,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1603,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[6677,2493,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],
28,1604,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[6431,2493,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1605,[[9],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[4789,1107,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2999,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[4447,1105,0,111,108,0,0,1,0.5045045018196106,0.2777777910232544,0,0,[]],40,3015,[[0],[0],[0]],[[],[1,400,0,0],[]],[0,"berry",0,1]],[[5276,1134,0,119,117,0,0,1,0.5042017102241516,
0.3247863352298737,0,0,[]],28,1585,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]]],[]],["general",5,7842613136888636,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[2055,1654,0,128,128,0,0,1,0,0.5,0,0,[]],65,3055,[],[[]],[50,360,0,10,16,100,0,4E3,2E3,0,0,30,0,60,0,500,0,0,1]],[[1772,1853,0,1014,770,0,0,1,0.4940828382968903,0.43376624584198,0,0,[]],33,3056,[],[[1,1,2,15,0,0,0,50,0],[]],[0,"Default",0,1]],[[318,2494,0,142.8915710449219,142.8915710449219,0,0,1,0.5,0.5,0,0,[]],72,3057,[[0],[0]],[[]],[1,"Default",
0,1]],[[1530,1962,0,153,180,0,0,1,0.5018315315246582,0.5,0,0,[]],42,2990,[[0],[0],[0],[0],[0],[0],[0],[3],[0]],[[],[]],[0,"Default",0,1]],[[8242,2643,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3058,[],[[]],[0,"Default",1,1]],[[8362,2643,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3059,[],[[]],[0,"Default",1,1]],[[8502,2640,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3060,[],[[]],[0,"Default",1,1]],[[8632,2640,0,222,132,0,0,1,0.5315315127372742,
0.2651515007019043,0,0,[]],23,3061,[],[[]],[0,"Default",1,1]],[[4290,1984,0,1014,770,0,0,1,0.4940828382968903,0.43376624584198,0,0,[]],33,3008,[],[[1,1,2,15,0,0,0,50,0],[]],[0,"Default",0,1]],[[2324,-19,0,574,2594,0,0,1,0.5,0,0,0,[]],75,2754,[],[[]],[0,"Default",0,1]],[[4099.5,0,0,301,3502,0,0,1,0.5,0,0,0,[]],75,2984,[],[[]],[0,"Default",0,1]],[[3851,-5,0,574,1979,0,0,1,0.5,0,0,0,[]],75,3062,[],[[]],[0,"Default",0,1]],[[8409,2507,0,287,258,0,0,1,0.6059225797653198,0.875,0,0,[]],50,3054,[[1]],[[]],
[0,"Default",1,1]],[[8800,2638,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,1699,[],[[]],[0,"Default",1,1]]],[]],["gui",6,43826116459895,!0,[255,255,255],!0,0,0,1,!1,1,0,0,[[[-419,183,0,200,30,0,0,1,0,0,0,0,[]],68,3067,[[1]],[[1,0,4,1,1],[]],["\u041d\u0435 \u0432\u0441\u0435 \u0441\u043e\u0431\u0440\u0430\u043d\u043e",0,"12pt Arial","rgb(0,0,0)",0,0,0,0,0]],[[-419,150,0,200,30,0,0,1,0,0,0,0,[]],68,3068,[[0]],[[1,0,4,1,1],[]],["\u0412\u043d\u0438\u043c\u0430\u043d\u0438\u0435!",
0,"14pt Arial","rgb(0,0,0)",0,0,0,0,0]]],[]],["guiTop",7,719038410691071,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[0,0,0,2345,1016,0,0,1,0,0,0,0,[]],74,9553,[],[[]],[0,"Default",0,1]],[[660,0,0,1024,768,0,0,1,0,0,0,0,[]],96,3081,[],[[]],[0,"Default",0,1]],[[1569,673,0,162,173,0,0,1,0.5,0.5028901696205139,0,0,[]],16,3070,[[5]],[[""],[]],[0,"Default",0,1]]],[]],["black",8,9853953541412228,!0,[0,0,0],!1,1,1,0,!1,1,0,0,[],[]]],[],[]],["8",9790,2989,!1,"eLv8-12",6512080958669739,[["b4",0,8988170155050905,
!0,[255,255,255],!1,0.4000000059604645,0.4000000059604645,1,!1,1,0,0,[[[0,0,0,2302,2302,0,0,1,0,0,0,0,[]],44,3085,[],[[]],[0,"Default",1,1]]],[]],["b3",1,0xbcc7de29b32ff,!0,[255,255,255],!0,0.699999988079071,1,1,!1,1,0,0,[[[1012,2449.611328125,0,2048,608,0,0,1,0.5,0.501006007194519,0,0,[]],43,3086,[],[[]],[0,"Default",1,1]],[[3059,2448.611328125,0,2048,608,0,0,1,0.5,0.501006007194519,0,0,[]],43,3087,[],[[]],[0,"Default",1,1]],[[-1035,2450.611328125,0,2048,608,0,0,1,0.5,0.501006007194519,0,0,[]],43,
3088,[],[[]],[0,"Default",1,1]],[[5106,2448.611328125,0,2048,608,0,0,1,0.5,0.501006007194519,0,0,[]],43,3089,[],[[]],[0,"Default",1,1]],[[7126,2448.611328125,0,2048,608,0,0,1,0.5,0.501006007194519,0,0,[]],43,3090,[],[[]],[0,"Default",1,1]],[[9170,2426.879150390625,0,2048,608,0,0,1,0.5,0.501006007194519,0,0,[]],43,3091,[],[[]],[0,"Default",1,1]]],[]],["b2",2,0x3e9190c9b62df,!0,[255,255,255],!0,0.8500000238418579,1,1,!1,1,0,0,[[[890.4845581054688,1305.2060546875,0,1295,2631,0,0,1,0.5007299184799194,
0.5,0,0,[]],94,3092,[],[[]],[0,"Default",0,1]],[[1803,1397,0,996.6947021484375,2792.359375,0,0,1,0.5,0.5,0,0,[]],95,3093,[],[[]],[0,"Default",0,1]],[[1174,280,0,76,134,0,0,1,0.5,0.5,0,0,[]],89,3172,[],[[]],[0,"Default",0,1]],[[306,2202,0,-76,134,0,-0.2724319100379944,1,0.5,0.5,0,0,[]],89,3204,[],[[]],[0,"Default",0,1]],[[345,851,0,-76,134,0,-0.3750368356704712,1,0.5,0.5,0,0,[]],89,3205,[],[[]],[0,"Default",0,1]],[[2237,227,0,76,134,0,0.4089036881923676,1,0.5,0.5,0,0,[]],89,3207,[],[[]],[0,"Default",
0,1]],[[1542,1736,0,76,134,0,-2.753058195114136,1,0.5,0.5,0,0,[]],89,3210,[],[[]],[0,"Default",0,1]],[[864.9932861328125,1959.564208984375,0,136.7089385986328,180.1491546630859,0,0,1,0.5046728849411011,0.5035461187362671,0,0,[]],90,3173,[],[[]],[0,"Default",0,1]],[[1156,2477,0,146.2562561035156,192.7302093505859,0,-0.9633231163024902,1,0.5046728849411011,0.5035461187362671,0,0,[]],90,3206,[],[[]],[0,"Default",0,1]],[[1883,1927,0,107,141,0,0.420271635055542,1,0.5046728849411011,0.5035461187362671,
0,0,[]],90,3208,[],[[]],[0,"Default",0,1]],[[630,1264,0,73,94,0,0,1,0.5,0.5,0,0,[]],91,3174,[],[[]],[0,"Default",0,1]],[[956,1229,0,132,180,0,-0.9435721039772034,1,0.5,0.5,0,0,[]],91,3203,[],[[]],[0,"Default",0,1]],[[1627,316,0,132,180,0,0.3452235460281372,1,0.5,0.5,0,0,[]],91,3209,[],[[]],[0,"Default",0,1]],[[1765,881,0,92.33092498779297,125.9058074951172,0,0.3452235460281372,1,0.5,0.5,0,0,[]],91,3211,[],[[]],[0,"Default",0,1]]],[]],["b1",3,0xf5b32566b5c82,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[6595,
647,0,171.7062683105469,349.0029907226563,0,0,1,0.5023255944252014,0.5011441707611084,0,0,[]],93,3175,[],[[]],[0,"Default",0,1]],[[8040.1494140625,1924.8623046875,0,957,1397,0,0,1,0.5012722611427307,0.5,0,0,[]],92,3094,[],[[]],[0,"Default",0,1]],[[380,2811,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,3096,[],[[1],[]],[0,"Default",0,1]],[[1380,2811,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,3097,[],[[1],[]],[0,"Default",0,1]],[[2375,2811,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],
22,3098,[],[[1],[]],[0,"Default",0,1]],[[3357,2811,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,3099,[],[[1],[]],[0,"Default",0,1]],[[4339,2811,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,3100,[],[[1],[]],[0,"Default",0,1]],[[5212,2811,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,3101,[],[[1],[]],[0,"Default",0,1]],[[147,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3102,[],[[]],[0,"Default",1,1]],[[267,2646,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,
0,0,[]],23,3103,[],[[]],[0,"Default",1,1]],[[384,2648,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3104,[],[[]],[0,"Default",1,1]],[[502,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3105,[],[[]],[0,"Default",1,1]],[[614,2646,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3106,[],[[]],[0,"Default",1,1]],[[726,2644,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3107,[],[[]],[0,"Default",1,1]],[[843,2641,0,222,132,0,0,1,
0.5315315127372742,0.2651515007019043,0,0,[]],23,3108,[],[[]],[0,"Default",1,1]],[[963,2642,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3109,[],[[]],[0,"Default",1,1]],[[1081,2641,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3110,[],[[]],[0,"Default",1,1]],[[1200,2642,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3111,[],[[]],[0,"Default",1,1]],[[1320,2640,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3112,[],[[]],[0,"Default",
1,1]],[[1439,2637,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3113,[],[[]],[0,"Default",1,1]],[[1559,2638,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3114,[],[[]],[0,"Default",1,1]],[[1678,2639,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3115,[],[[]],[0,"Default",1,1]],[[1799,2638,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3116,[],[[]],[0,"Default",1,1]],[[1918,2639,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,
0,0,[]],23,3117,[],[[]],[0,"Default",1,1]],[[2037,2641,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3118,[],[[]],[0,"Default",1,1]],[[2158,2641,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3119,[],[[]],[0,"Default",1,1]],[[2279,2641,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3120,[],[[]],[0,"Default",1,1]],[[2399,2643,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3121,[],[[]],[0,"Default",1,1]],[[2518,2642,0,222,132,
0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3122,[],[[]],[0,"Default",1,1]],[[2640,2641,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3123,[],[[]],[0,"Default",1,1]],[[2762,2642,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3124,[],[[]],[0,"Default",1,1]],[[2884,2644,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3125,[],[[]],[0,"Default",1,1]],[[3006,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3126,[],[[]],
[0,"Default",1,1]],[[3125,2646,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3127,[],[[]],[0,"Default",1,1]],[[3246,2646,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3128,[],[[]],[0,"Default",1,1]],[[3366,2647,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3129,[],[[]],[0,"Default",1,1]],[[3487,2647,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3130,[],[[]],[0,"Default",1,1]],[[3603,2646,0,222,132,0,0,1,0.5315315127372742,
0.2651515007019043,0,0,[]],23,3131,[],[[]],[0,"Default",1,1]],[[3721,2646,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3132,[],[[]],[0,"Default",1,1]],[[3843,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3133,[],[[]],[0,"Default",1,1]],[[3964,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3134,[],[[]],[0,"Default",1,1]],[[4085,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3135,[],[[]],[0,"Default",1,1]],[[4204,
2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3136,[],[[]],[0,"Default",1,1]],[[4322,2646,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3137,[],[[]],[0,"Default",1,1]],[[4444,2646,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3138,[],[[]],[0,"Default",1,1]],[[4566,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3139,[],[[]],[0,"Default",1,1]],[[4685,2646,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],
23,3140,[],[[]],[0,"Default",1,1]],[[4806,2647,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3141,[],[[]],[0,"Default",1,1]],[[4923,2646,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3142,[],[[]],[0,"Default",1,1]],[[5039,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3143,[],[[]],[0,"Default",1,1]],[[5162,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3144,[],[[]],[0,"Default",1,1]],[[5282,2645,0,222,132,0,0,1,0.5315315127372742,
0.2651515007019043,0,0,[]],23,3145,[],[[]],[0,"Default",1,1]],[[5402,2642,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3146,[],[[]],[0,"Default",1,1]],[[1058,2775,0,208,197,0,0,1,0.5,0.5025380849838257,0,0,[]],35,3156,[],[[]],[0,"Default",0,1]],[[1076.810424804688,385.4075927734375,0,117,112,0,0,1,0.504273533821106,0.5,0,0,[]],77,3158,[],[[]],[0,"Default",0,1]],[[344,2544,0,312,171,0,0,1,0.5,0.5029239654541016,0,0,[]],78,3159,[],[[]],[0,"Default",0,1]],[[5157,2836,0,495.4190063476563,
355.9007568359375,0,0,1,0.5006518959999084,0.5009074211120605,0,0,[]],79,3160,[],[[]],[0,"Default",0,1]],[[8678,2208,0,-869,836,0,0,1,0.5005753636360168,0.5,0,0,[]],80,3161,[],[[]],[0,"Default",0,1]],[[2424,863,0,319,194,0,0,1,0.5015674233436584,0.5,0,0,[]],81,3162,[],[[]],[0,"Default",0,1]],[[4293,1194,0,264,180,0,3.028337240219116,1,0.5,0.5,0,0,[]],82,3163,[],[[]],[0,"Default",0,1]],[[3233,2563,0,462,141,0,0,1,0.5,0.5035461187362671,0,0,[]],83,3164,[],[[]],[0,"Default",0,1]],[[2214,1511,0,459,203,
0,0,1,0.501089334487915,0.5024630427360535,0,0,[]],84,3165,[],[[]],[0,"Default",0,1]],[[1916,369,0,335,201,0,0,1,0.5014925599098206,0.5024875402450562,0,0,[]],85,3166,[],[[]],[0,"Default",0,1]],[[5324,2562,0,257,146,0,0.1058126538991928,1,0.5019454956054688,0.5,0,0,[]],86,3168,[],[[]],[0,"Default",0,1]],[[5007,1138,0,220,201,0,0,1,0.5,0.5024875402450562,0,0,[]],87,3169,[],[[]],[0,"Default",0,1]],[[3810,401,0,464,129,0,0,1,0.5,0.5038759708404541,0,0,[]],88,3171,[],[[]],[0,"Default",0,1]],[[6047,2811,
0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,3176,[],[[1],[]],[0,"Default",0,1]],[[7029,2811,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,3177,[],[[1],[]],[0,"Default",0,1]],[[7902,2811,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,3178,[],[[1],[]],[0,"Default",0,1]],[[5574,2642,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3179,[],[[]],[0,"Default",1,1]],[[5696,2643,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3180,[],[[]],[0,"Default",1,1]],
[[5815,2644,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3181,[],[[]],[0,"Default",1,1]],[[5936,2644,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3182,[],[[]],[0,"Default",1,1]],[[6056,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3183,[],[[]],[0,"Default",1,1]],[[6177,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3184,[],[[]],[0,"Default",1,1]],[[6293,2644,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,
0,0,[]],23,3185,[],[[]],[0,"Default",1,1]],[[6411,2644,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3186,[],[[]],[0,"Default",1,1]],[[6533,2643,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3187,[],[[]],[0,"Default",1,1]],[[6654,2643,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3188,[],[[]],[0,"Default",1,1]],[[6775,2643,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3189,[],[[]],[0,"Default",1,1]],[[6894,2643,0,222,132,
0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3190,[],[[]],[0,"Default",1,1]],[[7012,2644,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3191,[],[[]],[0,"Default",1,1]],[[7134,2644,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3192,[],[[]],[0,"Default",1,1]],[[7256,2643,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3193,[],[[]],[0,"Default",1,1]],[[7375,2644,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3194,[],[[]],
[0,"Default",1,1]],[[7496,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3195,[],[[]],[0,"Default",1,1]],[[7613,2644,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3196,[],[[]],[0,"Default",1,1]],[[7729,2643,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3197,[],[[]],[0,"Default",1,1]],[[7852,2643,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3198,[],[[]],[0,"Default",1,1]],[[7972,2643,0,222,132,0,0,1,0.5315315127372742,
0.2651515007019043,0,0,[]],23,3199,[],[[]],[0,"Default",1,1]],[[8092,2640,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3200,[],[[]],[0,"Default",1,1]],[[8177,949,0,495.4190063476563,-255.9010009765625,0,-0.2953673303127289,1,0.5006518959999084,0.5009074211120605,0,0,[]],79,3201,[],[[]],[0,"Default",0,1]],[[8881,2807,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,3202,[],[[1],[]],[0,"Default",0,1]],[[5323,2550,0,117,112,0,0.1728005409240723,1,0.504273533821106,0.5,0,0,[]],77,
3212,[],[[]],[0,"Default",0,1]],[[8803,2644,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3281,[],[[]],[0,"Default",1,1]],[[8919,2643,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3282,[],[[]],[0,"Default",1,1]],[[9042,2643,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3283,[],[[]],[0,"Default",1,1]],[[9162,2643,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3284,[],[[]],[0,"Default",1,1]],[[8242,2643,0,222,132,0,0,1,0.5315315127372742,
0.2651515007019043,0,0,[]],23,3268,[],[[]],[0,"Default",1,1]],[[8362,2643,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3269,[],[[]],[0,"Default",1,1]],[[8502,2640,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3270,[],[[]],[0,"Default",1,1]],[[8632,2640,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3271,[],[[]],[0,"Default",1,1]],[[4557,2575,0,250,160,0,0,1,0.5492125749588013,0.6478873491287231,0,0,[]],70,3036,[[3]],[[]],[0,"Default",0,1]],
[[6238,2587,0,250,160,0,0,1,0.5492125749588013,0.6478873491287231,0,0,[]],70,3039,[[3]],[[]],[0,"Default",0,1]],[[9737,2807,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,3280,[],[[1],[]],[0,"Default",0,1]],[[9282,2640,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3285,[],[[]],[0,"Default",1,1]],[[9432,2643,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3286,[],[[]],[0,"Default",1,1]],[[9552,2643,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],
23,3287,[],[[]],[0,"Default",1,1]],[[9692,2640,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3288,[],[[]],[0,"Default",1,1]],[[9822,2640,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3289,[],[[]],[0,"Default",1,1]],[[2268,2866,0,376.7289733886719,251.4274291992188,0,0,1,0.5010941028594971,0.5016393661499023,0,0,[]],54,3267,[],[[]],[0,"Default",0,1]],[[1467,639,0,1097.312866210938,331.6706848144531,0,0,1,0.5004887580871582,0.5,0,0,[]],26,9195,[],[[1],[]],[0,"Default",
0,1]],[[1900,634,0,489.1394958496094,374.00732421875,0,0,1,0.7122207880020142,0.4608695507049561,0,0,[]],122,9196,[],[[]],[0,"Default",0,1]],[[1059,655,0,437.5028991699219,360.2898559570313,0,0,1,0.3641703426837921,0.5009041428565979,0,0,[]],123,9197,[],[[]],[0,"Default",0,1]],[[1443,730,0,217.8126220703125,210.3196716308594,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9198,[],[[]],[0,"Default",0,1]],[[973,472,0,239.0612945556641,142.1445770263672,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,
9199,[],[[]],[0,"Default",1,1]],[[1111,472,0,239.0612945556641,142.1445770263672,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,9200,[],[[]],[0,"Default",1,1]],[[1215,472,0,239.0612945556641,142.1445770263672,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,9201,[],[[]],[0,"Default",1,1]],[[1352,472,0,239.0612945556641,142.1445770263672,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,9202,[],[[]],[0,"Default",1,1]],[[1490,472,0,239.0612945556641,142.1445770263672,0,0,1,0.5315315127372742,
0.2651515007019043,0,0,[]],23,9203,[],[[]],[0,"Default",1,1]],[[1593,472,0,239.0612945556641,142.1445770263672,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,9204,[],[[]],[0,"Default",1,1]],[[1730,472,0,239.0612945556641,142.1445770263672,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,9205,[],[[]],[0,"Default",1,1]],[[1868,472,0,239.0612945556641,142.1445770263672,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,9206,[],[[]],[0,"Default",1,1]],[[1972,472,0,239.0612945556641,
142.1445770263672,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,9207,[],[[]],[0,"Default",1,1]],[[6182,1005,0,1097.312866210938,331.6706848144531,0,0,1,0.5004887580871582,0.5,0,0,[]],26,2776,[],[[1],[]],[0,"Default",0,1]],[[6615,1E3,0,489.1394958496094,374.00732421875,0,0,1,0.7122207880020142,0.4608695507049561,0,0,[]],122,2852,[],[[]],[0,"Default",0,1]],[[5774,1021,0,437.5028991699219,360.2898559570313,0,0,1,0.3641703426837921,0.5009041428565979,0,0,[]],123,2864,[],[[]],[0,"Default",0,1]],
[[6158,1096,0,217.8126220703125,210.3196716308594,0,0,1,0.5,0.5015479922294617,0,0,[]],124,2865,[],[[]],[0,"Default",0,1]],[[5688,838,0,239.0612945556641,142.1445770263672,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,2866,[],[[]],[0,"Default",1,1]],[[5826,838,0,239.0612945556641,142.1445770263672,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,2867,[],[[]],[0,"Default",1,1]],[[5930,838,0,239.0612945556641,142.1445770263672,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,2868,
[],[[]],[0,"Default",1,1]],[[6067,838,0,239.0612945556641,142.1445770263672,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,2896,[],[[]],[0,"Default",1,1]],[[6205,838,0,239.0612945556641,142.1445770263672,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,2907,[],[[]],[0,"Default",1,1]],[[6308,838,0,239.0612945556641,142.1445770263672,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,2978,[],[[]],[0,"Default",1,1]],[[6445,838,0,239.0612945556641,142.1445770263672,0,0,1,0.5315315127372742,
0.2651515007019043,0,0,[]],23,9153,[],[[]],[0,"Default",1,1]],[[6583,838,0,239.0612945556641,142.1445770263672,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,9154,[],[[]],[0,"Default",1,1]],[[6687,838,0,239.0612945556641,142.1445770263672,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,9155,[],[[]],[0,"Default",1,1]],[[6800,1387,0,1097.312866210938,331.6706848144531,0,0,1,0.5004887580871582,0.5,0,0,[]],26,9156,[],[[1],[]],[0,"Default",0,1]],[[7233,1382,0,489.1394958496094,374.00732421875,
0,0,1,0.7122207880020142,0.4608695507049561,0,0,[]],122,9157,[],[[]],[0,"Default",0,1]],[[6392,1403,0,437.5028991699219,360.2898559570313,0,0,1,0.3641703426837921,0.5009041428565979,0,0,[]],123,9158,[],[[]],[0,"Default",0,1]],[[6776,1478,0,217.8126220703125,210.3196716308594,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9159,[],[[]],[0,"Default",0,1]],[[6306,1220,0,239.0612945556641,142.1445770263672,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,9160,[],[[]],[0,"Default",1,1]],[[6444,1220,0,239.0612945556641,
142.1445770263672,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,9161,[],[[]],[0,"Default",1,1]],[[6548,1220,0,239.0612945556641,142.1445770263672,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,9162,[],[[]],[0,"Default",1,1]],[[6685,1220,0,239.0612945556641,142.1445770263672,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,9163,[],[[]],[0,"Default",1,1]],[[6823,1220,0,239.0612945556641,142.1445770263672,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,9164,[],[[]],[0,"Default",
1,1]],[[6926,1220,0,239.0612945556641,142.1445770263672,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,9165,[],[[]],[0,"Default",1,1]],[[7063,1220,0,239.0612945556641,142.1445770263672,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,9166,[],[[]],[0,"Default",1,1]],[[7201,1220,0,239.0612945556641,142.1445770263672,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,9167,[],[[]],[0,"Default",1,1]],[[7305,1220,0,239.0612945556641,142.1445770263672,0,0,1,0.5315315127372742,0.2651515007019043,
0,0,[]],23,9168,[],[[]],[0,"Default",1,1]],[[4809,1402,0,1097.312866210938,331.6706848144531,0,0,1,0.5004887580871582,0.5,0,0,[]],26,9169,[],[[1],[]],[0,"Default",0,1]],[[5242,1397,0,489.1394958496094,374.00732421875,0,0,1,0.7122207880020142,0.4608695507049561,0,0,[]],122,9170,[],[[]],[0,"Default",0,1]],[[4401,1418,0,437.5028991699219,360.2898559570313,0,0,1,0.3641703426837921,0.5009041428565979,0,0,[]],123,9171,[],[[]],[0,"Default",0,1]],[[4785,1493,0,217.8126220703125,210.3196716308594,0,0,1,0.5,
0.5015479922294617,0,0,[]],124,9172,[],[[]],[0,"Default",0,1]],[[4315,1235,0,239.0612945556641,142.1445770263672,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,9173,[],[[]],[0,"Default",1,1]],[[4453,1235,0,239.0612945556641,142.1445770263672,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,9174,[],[[]],[0,"Default",1,1]],[[4557,1235,0,239.0612945556641,142.1445770263672,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,9175,[],[[]],[0,"Default",1,1]],[[4694,1235,0,239.0612945556641,
142.1445770263672,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,9176,[],[[]],[0,"Default",1,1]],[[4832,1235,0,239.0612945556641,142.1445770263672,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,9177,[],[[]],[0,"Default",1,1]],[[4935,1235,0,239.0612945556641,142.1445770263672,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,9178,[],[[]],[0,"Default",1,1]],[[5072,1235,0,239.0612945556641,142.1445770263672,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,9179,[],[[]],[0,"Default",
1,1]],[[5210,1235,0,239.0612945556641,142.1445770263672,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,9180,[],[[]],[0,"Default",1,1]],[[5314,1235,0,239.0612945556641,142.1445770263672,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,9181,[],[[]],[0,"Default",1,1]],[[3565,647,0,1097.312866210938,331.6706848144531,0,0,1,0.5004887580871582,0.5,0,0,[]],26,9182,[],[[1],[]],[0,"Default",0,1]],[[3998,642,0,489.1394958496094,374.00732421875,0,0,1,0.7122207880020142,0.4608695507049561,0,0,[]],
122,9183,[],[[]],[0,"Default",0,1]],[[3157,663,0,437.5028991699219,360.2898559570313,0,0,1,0.3641703426837921,0.5009041428565979,0,0,[]],123,9184,[],[[]],[0,"Default",0,1]],[[3541,738,0,217.8126220703125,210.3196716308594,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9185,[],[[]],[0,"Default",0,1]],[[3071,480,0,239.0612945556641,142.1445770263672,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,9186,[],[[]],[0,"Default",1,1]],[[3209,480,0,239.0612945556641,142.1445770263672,0,0,1,0.5315315127372742,
0.2651515007019043,0,0,[]],23,9187,[],[[]],[0,"Default",1,1]],[[3313,480,0,239.0612945556641,142.1445770263672,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,9188,[],[[]],[0,"Default",1,1]],[[3450,480,0,239.0612945556641,142.1445770263672,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,9189,[],[[]],[0,"Default",1,1]],[[3588,480,0,239.0612945556641,142.1445770263672,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,9190,[],[[]],[0,"Default",1,1]],[[3691,480,0,239.0612945556641,
142.1445770263672,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,9191,[],[[]],[0,"Default",1,1]],[[3828,480,0,239.0612945556641,142.1445770263672,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,9192,[],[[]],[0,"Default",1,1]],[[3966,480,0,239.0612945556641,142.1445770263672,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,9193,[],[[]],[0,"Default",1,1]],[[4070,480,0,239.0612945556641,142.1445770263672,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,9194,[],[[]],[0,"Default",
1,1]],[[8332,936,0,1023,324,0,0,1,0.5004887580871582,0.5,0,0,[]],26,9208,[],[[1],[]],[0,"Default",0,1]],[[9216,936,0,1023,324,0,0,1,0.5004887580871582,0.5,0,0,[]],27,9209,[],[[1],[]],[0,"Default",0,1]],[[9615,938,0,454.2306518554688,347.3151550292969,0,0,1,0.7122207880020142,0.4608695507049561,0,0,[]],122,9210,[],[[]],[0,"Default",0,1]],[[7954,958,0,406.2792358398438,334.5766906738281,0,0,1,0.3641703426837921,0.5009041428565979,0,0,[]],123,9211,[],[[]],[0,"Default",0,1]],[[9019,1016,0,232,221,0,0,
1,0.5,0.5015479922294617,0,0,[]],124,9212,[],[[]],[0,"Default",0,1]],[[8788,1016,0,232,221,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9213,[],[[]],[0,"Default",0,1]],[[8558,1016,0,232,221,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9214,[],[[]],[0,"Default",0,1]],[[8327,1016,0,232,221,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9215,[],[[]],[0,"Default",0,1]],[[9214,1016,0,162.1070556640625,221,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9216,[],[[]],[0,"Default",0,1]],[[7858,774,0,222,132,0,0,1,0.5315315127372742,
0.2651515007019043,0,0,[]],23,9217,[],[[]],[0,"Default",1,1]],[[7974,774,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,9218,[],[[]],[0,"Default",1,1]],[[8088,775,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,9219,[],[[]],[0,"Default",1,1]],[[8206,774,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,9220,[],[[]],[0,"Default",1,1]],[[8326,775,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,9221,[],[[]],[0,"Default",1,1]],[[8447,
774,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,9222,[],[[]],[0,"Default",1,1]],[[8567,774,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,9223,[],[[]],[0,"Default",1,1]],[[8688,774,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,9224,[],[[]],[0,"Default",1,1]],[[8798,774,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,9225,[],[[]],[0,"Default",1,1]],[[8907,772,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,
9226,[],[[]],[0,"Default",1,1]],[[9017,772,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,9227,[],[[]],[0,"Default",1,1]],[[9127,772,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,9228,[],[[]],[0,"Default",1,1]],[[9237,772,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,9229,[],[[]],[0,"Default",1,1]],[[9353,771,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,9230,[],[[]],[0,"Default",1,1]],[[9463,771,0,222,132,0,0,1,0.5315315127372742,
0.2651515007019043,0,0,[]],23,9231,[],[[]],[0,"Default",1,1]],[[9581,771,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,9232,[],[[]],[0,"Default",1,1]],[[9691,771,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,9233,[],[[]],[0,"Default",1,1]],[[5690.70556640625,793.31640625,0,436,356,0,0.3839724361896515,1,0.5,0.5,0,0,[]],134,3095,[],[[],[1,6,0,4,0,0,0,50,0]],[0,"Default",0,1]],[[5684.56298828125,795.2557983398438,0,249,166,0,0.3839724361896515,1,0.2504779994487763,
0.6710526347160339,0,0,[]],76,3157,[],[[]],[0,"Default",0,1]],[[5,2647,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,2373,[],[[]],[0,"Default",1,1]]],[]],["main",4,0xa5235864552b7,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[1426,1565,0,103,190,0,0,1,0.5,0.5,0,0,[]],41,3213,[[0]],[[330,1500,3E3,950,1500,1E3,0,1]],[1,"Default",0,1]],[[1533,2529,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,3216,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[2062,2238,0,119,117,0,
0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,3217,[[9],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[1504,1625,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,3229,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[1492,265,0,111,108,0,0,1,0.5045045018196106,0.2777777910232544,0,0,[]],40,3230,[[0],[0],[0]],[[],[1,400,0,0],[]],[0,"berry",0,1]],[[1906,2233,0,111,108,0,0,1,0.5045045018196106,0.2777777910232544,0,0,[]],40,3231,[[0],[0],[0]],[[],[1,400,0,0],[]],[0,"berry",0,
1]],[[7435,1837,0,111,108,0,0,1,0.5045045018196106,0.2777777910232544,0,0,[]],40,3232,[[0],[0],[0]],[[],[1,400,0,0],[]],[0,"berry",0,1]],[[4849,832,0,111,108,0,0,1,0.5045045018196106,0.2777777910232544,0,0,[]],40,3234,[[0],[0],[0]],[[],[1,400,0,0],[]],[0,"berry",0,1]],[[2428,861,0,111,108,0,0,1,0.5045045018196106,0.2777777910232544,0,0,[]],40,3235,[[0],[0],[0]],[[],[1,400,0,0],[]],[0,"berry",0,1]],[[1314,1624,0,111,108,0,0,1,0.5045045018196106,0.2777777910232544,0,0,[]],40,3236,[[0],[0],[0]],[[],
[1,400,0,0],[]],[0,"berry",0,1]],[[2435,1488,0,111,108,0,0,1,0.5045045018196106,0.2777777910232544,0,0,[]],40,3237,[[0],[0],[0]],[[],[1,400,0,0],[]],[0,"berry",0,1]],[[3866,1137,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,3238,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[2246,869,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,3239,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[396,2321,0,94,113,0,0,1,0.5106382966041565,0.3097345232963562,0,0,[]],
46,3240,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[9521,1245,0,111,108,0,0,1,0.5045045018196106,0.2777777910232544,0,0,[]],40,3362,[[0],[0],[0]],[[],[1,400,0,0],[]],[0,"berry",0,1]],[[716,1416,0,201,100,0,0,1,0.5024875402450562,0.5,0,0,[]],31,3167,[],[[1],[]],[0,"Default",1,1]],[[511,1416,0,208,103,0,0,1,0.4903846085071564,0.5048543810844421,0,0,[]],29,3170,[],[[1],[]],[0,"Default",1,1]],[[7323,1976,0,208,103,0,0,1,0.4903846085071564,0.5048543810844421,0,0,[]],29,3215,[],[[1],[]],[0,"Default",
1,1]],[[8084,1696,0,208,103,0,0,1,0.4903846085071564,0.5048543810844421,0,0,[]],29,3357,[],[[1],[]],[0,"Default",1,1]],[[8985,1714,0,208,103,0,0,1,0.4903846085071564,0.5048543810844421,0,0,[]],29,3359,[],[[1],[]],[0,"Default",1,1]],[[9419,1416,0,208,103,0,0,1,0.4903846085071564,0.5048543810844421,0,0,[]],29,3361,[],[[1],[]],[0,"Default",1,1]],[[1874,2381,0,208,103,0,0,1,0.4903846085071564,0.5048543810844421,0,0,[]],29,3255,[],[[1],[]],[0,"Default",1,1]],[[1306,1763,0,208,103,0,0,1,0.4903846085071564,
0.5048543810844421,0,0,[]],29,3256,[],[[1],[]],[0,"Default",1,1]],[[2207,1627,0,208,103,0,0,1,0.4903846085071564,0.5048543810844421,0,0,[]],29,3257,[],[[1],[]],[0,"Default",1,1]],[[3685,1283,0,208,103,0,0,1,0.4903846085071564,0.5048543810844421,0,0,[]],29,3258,[],[[1],[]],[0,"Default",1,1]],[[2240,993,0,208,103,0,0,1,0.4903846085071564,0.5048543810844421,0,0,[]],29,3259,[],[[1],[]],[0,"Default",1,1]],[[7528,1976,0,201,100,0,0,1,0.5024875402450562,0.5,0,0,[]],31,3214,[],[[1],[]],[0,"Default",1,1]],
[[8289,1696,0,201,100,0,0,1,0.5024875402450562,0.5,0,0,[]],31,3355,[],[[1],[]],[0,"Default",1,1]],[[9190,1714,0,201,100,0,0,1,0.5024875402450562,0.5,0,0,[]],31,3358,[],[[1],[]],[0,"Default",1,1]],[[9624,1416,0,201,100,0,0,1,0.5024875402450562,0.5,0,0,[]],31,3360,[],[[1],[]],[0,"Default",1,1]],[[2079,2381,0,201,100,0,0,1,0.5024875402450562,0.5,0,0,[]],31,3250,[],[[1],[]],[0,"Default",1,1]],[[1502,1762,0,201,100,0,0,1,0.5024875402450562,0.5,0,0,[]],31,3251,[],[[1],[]],[0,"Default",1,1]],[[2405,1627,
0,201,100,0,0,1,0.5024875402450562,0.5,0,0,[]],31,3252,[],[[1],[]],[0,"Default",1,1]],[[3885,1280,0,201,100,0,0,1,0.5024875402450562,0.5,0,0,[]],31,3253,[],[[1],[]],[0,"Default",1,1]],[[2443,993,0,201,100,0,0,1,0.5024875402450562,0.5,0,0,[]],31,3254,[],[[1],[]],[0,"Default",1,1]],[[3131,2380,0,220,130,0,0,1,0.5,0.5,0,0,[]],32,3247,[],[[1,0,1,20,0,2,0,250,0],[1]],[0,"Default",1,1]],[[1452,2131,0,220,130,0,0,1,0.5,0.5,0,0,[]],32,3248,[],[[1,0,1,20,0,2,0,300,0],[1]],[0,"Default",1,1]],[[3263,1286,0,
220,130,0,0,1,0.5,0.5,0,0,[]],32,3249,[],[[1,0,1,20,0,2,0,200,0],[1]],[0,"Default",1,1]],[[1930,1662,0,220,130,0,0,1,0.5,0.5,0,0,[]],32,3273,[],[[1,1,1,20,0,2,0,300,0],[1]],[0,"Default",1,1]],[[2717,1234,0,220,130,0,0,1,0.5,0.5,0,0,[]],32,3274,[],[[1,1,1,20,0,2,0,400,0],[1]],[0,"Default",1,1]],[[3761,2044,0,220,130,0,0,1,0.5,0.5,0,0,[]],32,3275,[],[[1,1,1,20,10,2,0,500,0],[1]],[0,"Default",1,1]],[[4096,1642,0,220,130,0,0,1,0.5,0.5,0,0,[]],32,3276,[],[[1,1,1,20,10,2,0,490,0],[1]],[0,"Default",1,1]],
[[7089,1084,0,111,108,0,0,1,0.5045045018196106,0.2777777910232544,0,0,[]],40,3381,[[0],[0],[0]],[[],[1,400,0,0],[]],[0,"berry",0,1]],[[5741,1840,0,220,130,0,0,1,0.5,0.5,0,0,[]],32,3382,[],[[1,0,1,20,0,2,0,1E3,0],[1]],[0,"Default",1,1]],[[8616,646,0,94,113,0,0,1,0.5106382966041565,0.3097345232963562,0,0,[]],46,3392,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[4073,2459,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,3393,[[9],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[6753,
2489,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,3394,[[9],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[4352,771,0,220,130,0,0,1,0.5,0.5,0,0,[]],32,3395,[],[[1,1,1,20,0,2,0,200,0],[1]],[0,"Default",1,1]],[[7526,1031,0,220,130,0,0,1,0.5,0.5,0,0,[]],32,3396,[],[[1,1,1,20,0,2,0,400,0],[1]],[0,"Default",1,1]],[[1673,1480,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1606,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[2165,1480,0,119,117,0,0,1,0.5042017102241516,
0.3247863352298737,0,0,[]],28,1611,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[1919,1480,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1614,[[9],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[2726,1489,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1615,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[3218,1489,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1616,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[2972,1489,0,119,117,
0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1617,[[9],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[1225,333,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1618,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[1757,336,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1619,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[3324,310,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1620,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],
[[3816,310,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1632,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[3570,310,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1633,[[9],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[4593,1057,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1902,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[5085,1057,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1928,[[0],[0],[0]],[[],[1,400,
0,0]],[0,"Default",0,1]],[[4839,1057,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1930,[[9],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[5567,1680,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1932,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[5922,1683,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1940,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[5737,1667,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1942,
[[9],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[5173,2504,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1944,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[5665,2504,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1956,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[5419,2504,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1958,[[9],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[6943,2488,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,
0,0,[]],28,1988,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[7435,2488,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1990,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[7189,2488,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1993,[[9],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[4289,2231,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,1996,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[4781,2231,0,119,117,0,0,1,0.5042017102241516,
0.3247863352298737,0,0,[]],28,2006,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[4535,2231,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2010,[[9],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[5957,2264,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2016,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[6449,2264,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2019,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[6203,2264,0,119,117,
0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2022,[[9],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[7921,646,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2024,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[8413,646,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2026,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[8167,646,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2028,[[9],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],
[[6864,1084,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2031,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[7290,1082,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2039,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[7097,945,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2040,[[9],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[5890,679,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2041,[[0],[0],[0]],[[],[1,400,
0,0]],[0,"Default",0,1]],[[6382,679,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2070,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[6136,679,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2073,[[9],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[8019,1552,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2077,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[8337,1561,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2084,
[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[8183,1501,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2103,[[9],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[8942,1550,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2115,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[9234,1541,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2136,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[9089,1512,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,
0,0,[]],28,2179,[[9],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[9531,639,0,287,258,0,0,1,0.6059225797653198,0.875,0,0,[]],50,3260,[[1]],[[]],[0,"Default",1,1]],[[8084,2332,0,208,103,0,0,1,0.4903846085071564,0.5048543810844421,0,0,[]],29,2375,[],[[1],[]],[0,"Default",1,1]],[[8289,2332,0,201,100,0,0,1,0.5024875402450562,0.5,0,0,[]],31,2376,[],[[1],[]],[0,"Default",1,1]]],[]],["general",5,0xdc5c8cf9fefaf,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[2055,1654,0,128,128,0,0,1,0,0.5,0,0,[]],65,3261,[],[[]],
[50,360,0,10,16,100,0,4E3,2E3,0,0,30,0,60,0,500,0,0,1]],[[1758,1882,0,1014,770,0,0,1,0.4940828382968903,0.43376624584198,0,0,[]],33,3262,[],[[1,1,2,15,0,0,0,50,0],[]],[0,"Default",0,1]],[[4853,870,0,142.8915710449219,142.8915710449219,0,0,1,0.5,0.5,0,0,[]],72,3263,[[0],[0]],[[]],[1,"Default",0,1]],[[1530,1962,0,153,180,0,0,1,0.5018315315246582,0.5,0,0,[]],42,3264,[[0],[0],[0],[0],[0],[0],[0],[3],[0]],[[],[]],[0,"Default",0,1]],[[2702,0,0,574,2594,0,0,0.4000000059604645,0.5,0,0,0,[]],75,3265,[],[[]],
[0,"Default",0,1]],[[6135,-4,0,301,3502,0,0,0.75,0.5,0,0,0,[]],75,3266,[],[[]],[0,"Default",0,1]],[[3546,-9,0,1875,1979,0,0,1,0.5,0,0,0,[]],75,3272,[],[[]],[0,"Default",0,1]],[[4290,1984,0,1014,770,0,0,1,0.4940828382968903,0.43376624584198,0,0,[]],33,3277,[],[[1,1,2,15,0,0,0,50,0],[]],[0,"Default",0,1]],[[6040,903.8192138671875,0,1014,770,0,0,1,0.4940828382968903,0.43376624584198,0,0,[]],33,3330,[],[[1,1,2,15,0,0,0,50,0],[]],[0,"Default",0,1]],[[6390,-5,0,574,1979,0,0,1,0.5,0,0,0,[]],75,3340,[],[[]],
[0,"Default",0,1]],[[7500,655,0,128,128,0,0,1,0,0.5,0,0,[]],65,3397,[],[[]],[50,360,0,10,16,100,0,4E3,2E3,0,0,30,0,60,0,500,0,0,1]],[[1644,-3,0,301,3502,0,0,1,0.5,0,0,0,[]],75,5192,[],[[]],[0,"Default",0,1]],[[1026,-8,0,574,1979,0,0,1,0.5,0,0,0,[]],75,5193,[],[[]],[0,"Default",0,1]],[[2447,-13,0,574,2594,0,0,1,0.5,0,0,0,[]],75,5191,[],[[]],[0,"Default",0,1]]],[]],["gui",6,6233755266697099,!0,[255,255,255],!0,0,0,1,!1,1,0,0,[[[-419,183,0,200,30,0,0,1,0,0,0,0,[]],68,3278,[[1]],[[1,0,4,1,1],[]],["\u041d\u0435 \u0432\u0441\u0435 \u0441\u043e\u0431\u0440\u0430\u043d\u043e",
0,"12pt Arial","rgb(0,0,0)",0,0,0,0,0]],[[-419,150,0,200,30,0,0,1,0,0,0,0,[]],68,3279,[[0]],[[1,0,4,1,1],[]],["\u0412\u043d\u0438\u043c\u0430\u043d\u0438\u0435!",0,"14pt Arial","rgb(0,0,0)",0,0,0,0,0]]],[]],["black",7,5428148835862525,!0,[0,0,0],!1,1,1,0,!1,1,0,0,[],[]]],[],[]],["9",12100,2989,!1,"eLv8-12",8786131228331136,[["b4",0,0x829ecc041c07,!0,[255,255,255],!1,0.4000000059604645,0.4000000059604645,1,!1,1,0,0,[[[0,0,0,2302,2302,0,0,1,0,0,0,0,[]],44,3398,[],[[]],[0,"Default",1,1]],[[13424,2645,
0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3740,[],[[]],[0,"Default",1,1]],[[13545,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3741,[],[[]],[0,"Default",1,1]]],[]],["b3",1,6538510824950343,!0,[255,255,255],!0,0.699999988079071,1,1,!1,1,0,0,[[[1012,2449.611328125,0,2048,608,0,0,1,0.5,0.501006007194519,0,0,[]],43,3399,[],[[]],[0,"Default",1,1]],[[3059,2448.611328125,0,2048,608,0,0,1,0.5,0.501006007194519,0,0,[]],43,3400,[],[[]],[0,"Default",1,1]],[[-1035,
2450.611328125,0,2048,608,0,0,1,0.5,0.501006007194519,0,0,[]],43,3401,[],[[]],[0,"Default",1,1]],[[5106,2448.611328125,0,2048,608,0,0,1,0.5,0.501006007194519,0,0,[]],43,3402,[],[[]],[0,"Default",1,1]],[[7126,2448.611328125,0,2048,608,0,0,1,0.5,0.501006007194519,0,0,[]],43,3403,[],[[]],[0,"Default",1,1]],[[9170,2426.879150390625,0,2048,608,0,0,1,0.5,0.501006007194519,0,0,[]],43,3404,[],[[]],[0,"Default",1,1]],[[11210,2426.879150390625,0,2048,608,0,0,1,0.5,0.501006007194519,0,0,[]],43,3713,[],[[]],
[0,"Default",1,1]]],[]],["b2",2,530386347003198,!0,[255,255,255],!0,0.8500000238418579,1,1,!1,1,0,0,[[[10,1317.5,0,1295,2650,0,0,1,0.5007299184799194,0.5,0,0,[]],94,3405,[],[[]],[0,"Default",0,1]],[[923,1398,0,997,2815,0,0,1,0.5,0.5,0,0,[]],95,3406,[],[[]],[0,"Default",0,1]],[[294,292,0,76,134,0,0,1,0.5,0.5,0,0,[]],89,3407,[],[[]],[0,"Default",0,1]],[[-574,2214,0,-76,134,0,-0.2724319100379944,1,0.5,0.5,0,0,[]],89,3408,[],[[]],[0,"Default",0,1]],[[-535,863,0,-76,134,0,-0.3750368356704712,1,0.5,0.5,
0,0,[]],89,3409,[],[[]],[0,"Default",0,1]],[[1357,239,0,76,134,0,0.4089036881923676,1,0.5,0.5,0,0,[]],89,3410,[],[[]],[0,"Default",0,1]],[[662,1748,0,76,134,0,-2.753058195114136,1,0.5,0.5,0,0,[]],89,3411,[],[[]],[0,"Default",0,1]],[[-15,1972,0,136.7089385986328,180.1491546630859,0,0,1,0.5046728849411011,0.5035461187362671,0,0,[]],90,3412,[],[[]],[0,"Default",0,1]],[[276,2489,0,146.2562561035156,192.7302093505859,0,-0.9633231163024902,1,0.5046728849411011,0.5035461187362671,0,0,[]],90,3413,[],[[]],
[0,"Default",0,1]],[[1003,1939,0,107,141,0,0.420271635055542,1,0.5046728849411011,0.5035461187362671,0,0,[]],90,3414,[],[[]],[0,"Default",0,1]],[[-250,1276,0,73,94,0,0,1,0.5,0.5,0,0,[]],91,3415,[],[[]],[0,"Default",0,1]],[[76,1241,0,132,180,0,-0.9435721039772034,1,0.5,0.5,0,0,[]],91,3416,[],[[]],[0,"Default",0,1]],[[747,328,0,132,180,0,0.3452235460281372,1,0.5,0.5,0,0,[]],91,3417,[],[[]],[0,"Default",0,1]],[[885,893,0,92.33092498779297,125.9058074951172,0,0.3452235460281372,1,0.5,0.5,0,0,[]],91,3418,
[],[[]],[0,"Default",0,1]],[[10840,1322,0,-1295,2621,0,0,1,0.5007299184799194,0.5,0,0,[]],94,3650,[],[[]],[0,"Default",0,1]],[[11753,1408,0,997,2795,0,0,1,0.5,0.5,0,0,[]],95,3651,[],[[]],[0,"Default",0,1]],[[11295,616,0,76,134,0,0,1,0.5,0.5,0,0,[]],89,3652,[],[[]],[0,"Default",0,1]],[[10239,2316,0,-76,134,0,-0.2724319100379944,1,0.5,0.5,0,0,[]],89,3653,[],[[]],[0,"Default",0,1]],[[11538,1657,0,76,134,0,-2.753058195114136,1,0.5,0.5,0,0,[]],89,3663,[],[[]],[0,"Default",0,1]],[[10912,2035,0,136.7089385986328,
180.1491546630859,0,0,1,0.5046728849411011,0.5035461187362671,0,0,[]],90,3664,[],[[]],[0,"Default",0,1]],[[11186,2358,0,146.2562561035156,192.7302093505859,0,-0.9633231163024902,1,0.5046728849411011,0.5035461187362671,0,0,[]],90,3666,[],[[]],[0,"Default",0,1]],[[11742,2104,0,107,141,0,0.420271635055542,1,0.5046728849411011,0.5035461187362671,0,0,[]],90,3672,[],[[]],[0,"Default",0,1]],[[10746,664,0,166.156494140625,213.9549255371094,0,0,1,0.5,0.5,0,0,[]],91,3673,[],[[]],[0,"Default",0,1]],[[10878,
1230,0,132,180,0,-0.9435721039772034,1,0.5,0.5,0,0,[]],91,3675,[],[[]],[0,"Default",0,1]],[[11577,328,0,132,180,0,0.3452235460281372,1,0.5,0.5,0,0,[]],91,3678,[],[[]],[0,"Default",0,1]],[[11715,893,0,92.33092498779297,125.9058074951172,0,0.3452235460281372,1,0.5,0.5,0,0,[]],91,3680,[],[[]],[0,"Default",0,1]]],[]],["b1",3,7295102556906525,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[3186.044189453125,282.4193725585938,0,317.7811584472656,305.7135314941406,0,0,1,0.5005753636360168,0.5,0,0,[]],80,3496,[],[[]],
[0,"Default",0,1]],[[3609,630,0,1097.312866210938,331.6706848144531,0,0,1,0.5004887580871582,0.5,0,0,[]],26,3321,[],[[1],[]],[0,"Default",0,1]],[[4042,625,0,489.1394958496094,374.00732421875,0,0,1,0.7122207880020142,0.4608695507049561,0,0,[]],122,3322,[],[[]],[0,"Default",0,1]],[[3201,646,0,437.5028991699219,360.2898559570313,0,0,1,0.3641703426837921,0.5009041428565979,0,0,[]],123,3323,[],[[]],[0,"Default",0,1]],[[3585,721,0,217.8126220703125,210.3196716308594,0,0,1,0.5,0.5015479922294617,0,0,[]],
124,3324,[],[[]],[0,"Default",0,1]],[[3115,463,0,239.0612945556641,142.1445770263672,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3325,[],[[]],[0,"Default",1,1]],[[3253,463,0,239.0612945556641,142.1445770263672,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3326,[],[[]],[0,"Default",1,1]],[[3357,463,0,239.0612945556641,142.1445770263672,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3327,[],[[]],[0,"Default",1,1]],[[3494,463,0,239.0612945556641,142.1445770263672,0,0,1,0.5315315127372742,
0.2651515007019043,0,0,[]],23,3328,[],[[]],[0,"Default",1,1]],[[3632,463,0,239.0612945556641,142.1445770263672,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3329,[],[[]],[0,"Default",1,1]],[[3735,463,0,239.0612945556641,142.1445770263672,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3331,[],[[]],[0,"Default",1,1]],[[3872,463,0,239.0612945556641,142.1445770263672,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3332,[],[[]],[0,"Default",1,1]],[[4010,463,0,239.0612945556641,
142.1445770263672,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3333,[],[[]],[0,"Default",1,1]],[[4114,463,0,239.0612945556641,142.1445770263672,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3334,[],[[]],[0,"Default",1,1]],[[2813,1435,0,1097.312866210938,331.6706848144531,0,0,1,0.5004887580871582,0.5,0,0,[]],26,3308,[],[[1],[]],[0,"Default",0,1]],[[3246,1430,0,489.1394958496094,374.00732421875,0,0,1,0.7122207880020142,0.4608695507049561,0,0,[]],122,3309,[],[[]],[0,"Default",0,1]],
[[2405,1451,0,437.5028991699219,360.2898559570313,0,0,1,0.3641703426837921,0.5009041428565979,0,0,[]],123,3310,[],[[]],[0,"Default",0,1]],[[2789,1526,0,217.8126220703125,210.3196716308594,0,0,1,0.5,0.5015479922294617,0,0,[]],124,3311,[],[[]],[0,"Default",0,1]],[[2319,1268,0,239.0612945556641,142.1445770263672,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3312,[],[[]],[0,"Default",1,1]],[[2457,1268,0,239.0612945556641,142.1445770263672,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,
3313,[],[[]],[0,"Default",1,1]],[[2561,1268,0,239.0612945556641,142.1445770263672,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3314,[],[[]],[0,"Default",1,1]],[[2698,1268,0,239.0612945556641,142.1445770263672,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3315,[],[[]],[0,"Default",1,1]],[[2836,1268,0,239.0612945556641,142.1445770263672,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3316,[],[[]],[0,"Default",1,1]],[[2939,1268,0,239.0612945556641,142.1445770263672,0,0,1,0.5315315127372742,
0.2651515007019043,0,0,[]],23,3317,[],[[]],[0,"Default",1,1]],[[3076,1268,0,239.0612945556641,142.1445770263672,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3318,[],[[]],[0,"Default",1,1]],[[3214,1268,0,239.0612945556641,142.1445770263672,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3319,[],[[]],[0,"Default",1,1]],[[3318,1268,0,239.0612945556641,142.1445770263672,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3320,[],[[]],[0,"Default",1,1]],[[2023,2311,0,84.24549865722656,
80.645263671875,0,0,1,0.504273533821106,0.5,0,0,[]],77,3602,[],[[]],[0,"Default",0,1]],[[4228,2264,0,513.5670776367188,749.6898193359375,0,0,1,0.5012722611427307,0.5,0,0,[]],92,3429,[],[[]],[0,"Default",0,1]],[[380,2811,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,3431,[],[[1],[]],[0,"Default",0,1]],[[1380,2811,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,3432,[],[[1],[]],[0,"Default",0,1]],[[2375,2811,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,3433,[],[[1],[]],[0,"Default",0,
1]],[[3357,2811,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,3434,[],[[1],[]],[0,"Default",0,1]],[[4339,2811,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,3435,[],[[1],[]],[0,"Default",0,1]],[[5212,2811,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,3436,[],[[1],[]],[0,"Default",0,1]],[[147,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3437,[],[[]],[0,"Default",1,1]],[[267,2646,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3438,[],[[]],[0,
"Default",1,1]],[[384,2648,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3439,[],[[]],[0,"Default",1,1]],[[502,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3440,[],[[]],[0,"Default",1,1]],[[614,2646,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3441,[],[[]],[0,"Default",1,1]],[[726,2644,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3442,[],[[]],[0,"Default",1,1]],[[843,2641,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,
0,0,[]],23,3443,[],[[]],[0,"Default",1,1]],[[963,2642,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3444,[],[[]],[0,"Default",1,1]],[[1081,2641,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3445,[],[[]],[0,"Default",1,1]],[[1200,2642,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3446,[],[[]],[0,"Default",1,1]],[[1320,2640,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3447,[],[[]],[0,"Default",1,1]],[[1439,2637,0,222,132,0,
0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3448,[],[[]],[0,"Default",1,1]],[[1559,2638,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3449,[],[[]],[0,"Default",1,1]],[[1678,2639,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3450,[],[[]],[0,"Default",1,1]],[[1799,2638,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3451,[],[[]],[0,"Default",1,1]],[[1918,2639,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3452,[],[[]],
[0,"Default",1,1]],[[2037,2641,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3453,[],[[]],[0,"Default",1,1]],[[2158,2641,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3454,[],[[]],[0,"Default",1,1]],[[2279,2641,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3455,[],[[]],[0,"Default",1,1]],[[2399,2643,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3456,[],[[]],[0,"Default",1,1]],[[2518,2642,0,222,132,0,0,1,0.5315315127372742,
0.2651515007019043,0,0,[]],23,3457,[],[[]],[0,"Default",1,1]],[[2640,2641,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3458,[],[[]],[0,"Default",1,1]],[[2762,2642,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3459,[],[[]],[0,"Default",1,1]],[[2884,2644,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3460,[],[[]],[0,"Default",1,1]],[[3006,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3461,[],[[]],[0,"Default",1,1]],[[3125,
2646,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3462,[],[[]],[0,"Default",1,1]],[[3246,2646,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3463,[],[[]],[0,"Default",1,1]],[[3366,2647,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3464,[],[[]],[0,"Default",1,1]],[[3487,2647,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3465,[],[[]],[0,"Default",1,1]],[[3603,2646,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],
23,3466,[],[[]],[0,"Default",1,1]],[[3721,2646,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3467,[],[[]],[0,"Default",1,1]],[[3843,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3468,[],[[]],[0,"Default",1,1]],[[3964,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3469,[],[[]],[0,"Default",1,1]],[[4085,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3470,[],[[]],[0,"Default",1,1]],[[4204,2645,0,222,132,0,0,1,0.5315315127372742,
0.2651515007019043,0,0,[]],23,3471,[],[[]],[0,"Default",1,1]],[[4322,2646,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3472,[],[[]],[0,"Default",1,1]],[[4444,2646,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3473,[],[[]],[0,"Default",1,1]],[[4566,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3474,[],[[]],[0,"Default",1,1]],[[4685,2646,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3475,[],[[]],[0,"Default",1,1]],[[4806,
2647,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3476,[],[[]],[0,"Default",1,1]],[[4923,2646,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3477,[],[[]],[0,"Default",1,1]],[[5039,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3478,[],[[]],[0,"Default",1,1]],[[5162,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3479,[],[[]],[0,"Default",1,1]],[[5282,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],
23,3480,[],[[]],[0,"Default",1,1]],[[5402,2642,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3481,[],[[]],[0,"Default",1,1]],[[2637,2908.3857421875,0,208,152,0,0,1,0.5,0.5025380849838257,0,0,[]],35,3491,[],[[]],[0,"Default",0,1]],[[1087,402,0,249,166,0,0.4001511037349701,1,0.2504779994487763,0.6710526347160339,0,0,[]],76,3492,[],[[]],[0,"Default",0,1]],[[2013,2234,0,117,112,0,0,1,0.504273533821106,0.5,0,0,[]],77,3493,[],[[]],[0,"Default",0,1]],[[1872,2272,0,312,171,0,0,1,0.5,0.5029239654541016,
0,0,[]],78,3494,[],[[]],[0,"Default",0,1]],[[3952,2532,0,319,194,0,0,1,0.5015674233436584,0.5,0,0,[]],81,3497,[],[[]],[0,"Default",0,1]],[[2760,1195,0,264,180,0,3.028337240219116,1,0.5,0.5,0,0,[]],82,3498,[],[[]],[0,"Default",0,1]],[[3963,371,0,459,203,0,0,1,0.501089334487915,0.5024630427360535,0,0,[]],84,3500,[],[[]],[0,"Default",0,1]],[[3315,1976,0,335,201,0,0,1,0.5014925599098206,0.5024875402450562,0,0,[]],85,3501,[],[[]],[0,"Default",0,1]],[[2815,1178,0,257,146,0,0.1058126538991928,1,0.5019454956054688,
0.5,0,0,[]],86,3502,[],[[]],[0,"Default",0,1]],[[2993,1148,0,-220,201,0,0.787318766117096,1,0.5,0.5024875402450562,0,0,[]],87,3503,[],[[]],[0,"Default",0,1]],[[2249,2013,0,464,129,0,0,1,0.5,0.5038759708404541,0,0,[]],88,3504,[],[[]],[0,"Default",0,1]],[[824,2440,0,171.7062683105469,349.0029907226563,0,0,1,0.5023255944252014,0.5011441707611084,0,0,[]],93,3505,[],[[]],[0,"Default",0,1]],[[6047,2811,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,3506,[],[[1],[]],[0,"Default",0,1]],[[7029,2811,0,
1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,3507,[],[[1],[]],[0,"Default",0,1]],[[7902,2811,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,3508,[],[[1],[]],[0,"Default",0,1]],[[5574,2642,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3509,[],[[]],[0,"Default",1,1]],[[5696,2643,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3510,[],[[]],[0,"Default",1,1]],[[5815,2644,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3511,[],[[]],[0,"Default",
1,1]],[[5936,2644,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3512,[],[[]],[0,"Default",1,1]],[[6056,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3513,[],[[]],[0,"Default",1,1]],[[6177,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3514,[],[[]],[0,"Default",1,1]],[[6293,2644,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3515,[],[[]],[0,"Default",1,1]],[[6411,2644,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,
0,0,[]],23,3516,[],[[]],[0,"Default",1,1]],[[6533,2643,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3517,[],[[]],[0,"Default",1,1]],[[6654,2643,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3518,[],[[]],[0,"Default",1,1]],[[6775,2643,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3519,[],[[]],[0,"Default",1,1]],[[6894,2643,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3520,[],[[]],[0,"Default",1,1]],[[7012,2644,0,222,132,
0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3521,[],[[]],[0,"Default",1,1]],[[7134,2644,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3522,[],[[]],[0,"Default",1,1]],[[7256,2643,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3523,[],[[]],[0,"Default",1,1]],[[7375,2644,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3524,[],[[]],[0,"Default",1,1]],[[7496,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3525,[],[[]],
[0,"Default",1,1]],[[7613,2644,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3526,[],[[]],[0,"Default",1,1]],[[7729,2643,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3527,[],[[]],[0,"Default",1,1]],[[7852,2643,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3528,[],[[]],[0,"Default",1,1]],[[7972,2643,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3529,[],[[]],[0,"Default",1,1]],[[8092,2640,0,222,132,0,0,1,0.5315315127372742,
0.2651515007019043,0,0,[]],23,3530,[],[[]],[0,"Default",1,1]],[[1434,2849,0,495.4190063476563,-255.9010009765625,0,-3.100435972213745,1,0.5006518959999084,0.5009074211120605,0,0,[]],79,3531,[],[[]],[0,"Default",0,1]],[[8881,2807,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,3532,[],[[1],[]],[0,"Default",0,1]],[[8242,2643,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3587,[],[[]],[0,"Default",1,1]],[[8362,2643,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,
3588,[],[[]],[0,"Default",1,1]],[[8502,2640,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3589,[],[[]],[0,"Default",1,1]],[[8632,2640,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3590,[],[[]],[0,"Default",1,1]],[[2172,2579,0,250,160,0,0,1,0.5492125749588013,0.6478873491287231,0,0,[]],70,3591,[[3]],[[]],[0,"Default",0,1]],[[1925,2579,0,250,160,0,0,1,0.5492125749588013,0.6478873491287231,0,0,[]],70,3592,[[3]],[[]],[0,"Default",0,1]],[[9840,2811,0,1023,356,0,0,
1,0.5004887580871582,0.5,0,0,[]],22,3583,[],[[1],[]],[0,"Default",0,1]],[[10840,2811,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,3584,[],[[1],[]],[0,"Default",0,1]],[[11835,2811,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,3585,[],[[1],[]],[0,"Default",0,1]],[[12817,2811,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,3586,[],[[1],[]],[0,"Default",0,1]],[[8757,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3593,[],[[]],[0,"Default",1,1]],[[8877,2646,0,222,132,
0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3594,[],[[]],[0,"Default",1,1]],[[8994,2648,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3595,[],[[]],[0,"Default",1,1]],[[9112,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3596,[],[[]],[0,"Default",1,1]],[[9224,2646,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3597,[],[[]],[0,"Default",1,1]],[[9336,2644,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3598,[],[[]],
[0,"Default",1,1]],[[9453,2641,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3714,[],[[]],[0,"Default",1,1]],[[9573,2642,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3715,[],[[]],[0,"Default",1,1]],[[9691,2641,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3716,[],[[]],[0,"Default",1,1]],[[9810,2642,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3717,[],[[]],[0,"Default",1,1]],[[9930,2640,0,222,132,0,0,1,0.5315315127372742,
0.2651515007019043,0,0,[]],23,3718,[],[[]],[0,"Default",1,1]],[[10049,2637,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3719,[],[[]],[0,"Default",1,1]],[[10169,2638,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3720,[],[[]],[0,"Default",1,1]],[[10288,2639,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3721,[],[[]],[0,"Default",1,1]],[[10409,2638,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3722,[],[[]],[0,"Default",1,1]],
[[10528,2639,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3723,[],[[]],[0,"Default",1,1]],[[10647,2641,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3724,[],[[]],[0,"Default",1,1]],[[10768,2641,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3725,[],[[]],[0,"Default",1,1]],[[10889,2641,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3726,[],[[]],[0,"Default",1,1]],[[11009,2643,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,
0,0,[]],23,3727,[],[[]],[0,"Default",1,1]],[[11128,2642,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3728,[],[[]],[0,"Default",1,1]],[[11250,2641,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3729,[],[[]],[0,"Default",1,1]],[[11372,2642,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3730,[],[[]],[0,"Default",1,1]],[[11494,2644,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3731,[],[[]],[0,"Default",1,1]],[[11616,2645,0,222,
132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3732,[],[[]],[0,"Default",1,1]],[[11735,2646,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3733,[],[[]],[0,"Default",1,1]],[[11856,2646,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3734,[],[[]],[0,"Default",1,1]],[[11976,2647,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3735,[],[[]],[0,"Default",1,1]],[[10518,2775,0,208,197,0,0,1,0.5,0.5025380849838257,0,0,[]],35,3742,[],[[]],[0,"Default",
0,1]],[[11728,2866,0,376.7289733886719,251.4274291992188,0,0,1,0.5010941028594971,0.5016393661499023,0,0,[]],54,3743,[],[[]],[0,"Default",0,1]],[[3373,2805,0,134.4179534912109,129.5957794189453,0,-0.5047929883003235,1,0.5022421479225159,0.5023255944252014,0,0,[]],34,3599,[],[[]],[0,"Default",0,1]],[[2672,2579,0,250,160,0,0,1,0.5492125749588013,0.6478873491287231,0,0,[]],70,3736,[[3]],[[]],[0,"Default",0,1]],[[2425,2579,0,250,160,0,0,1,0.5492125749588013,0.6478873491287231,0,0,[]],70,3737,[[3]],[[]],
[0,"Default",0,1]],[[3172,2579,0,250,160,0,0,1,0.5492125749588013,0.6478873491287231,0,0,[]],70,3676,[[3]],[[]],[0,"Default",0,1]],[[2925,2579,0,250,160,0,0,1,0.5492125749588013,0.6478873491287231,0,0,[]],70,3738,[[3]],[[]],[0,"Default",0,1]],[[3672,2579,0,250,160,0,0,1,0.5492125749588013,0.6478873491287231,0,0,[]],70,3739,[[3]],[[]],[0,"Default",0,1]],[[3425,2579,0,250,160,0,0,1,0.5492125749588013,0.6478873491287231,0,0,[]],70,3744,[[3]],[[]],[0,"Default",0,1]],[[4992,2579,0,250,160,0,0,1,0.5492125749588013,
0.6478873491287231,0,0,[]],70,3745,[[3]],[[]],[0,"Default",0,1]],[[4745,2579,0,250,160,0,0,1,0.5492125749588013,0.6478873491287231,0,0,[]],70,3746,[[3]],[[]],[0,"Default",0,1]],[[5492,2579,0,250,160,0,0,1,0.5492125749588013,0.6478873491287231,0,0,[]],70,3747,[[3]],[[]],[0,"Default",0,1]],[[5245,2579,0,250,160,0,0,1,0.5492125749588013,0.6478873491287231,0,0,[]],70,3748,[[3]],[[]],[0,"Default",0,1]],[[5992,2579,0,250,160,0,0,1,0.5492125749588013,0.6478873491287231,0,0,[]],70,3749,[[3]],[[]],[0,"Default",
0,1]],[[5745,2579,0,250,160,0,0,1,0.5492125749588013,0.6478873491287231,0,0,[]],70,3750,[[3]],[[]],[0,"Default",0,1]],[[6492,2579,0,250,160,0,0,1,0.5492125749588013,0.6478873491287231,0,0,[]],70,3751,[[3]],[[]],[0,"Default",0,1]],[[6245,2579,0,250,160,0,0,1,0.5492125749588013,0.6478873491287231,0,0,[]],70,3752,[[3]],[[]],[0,"Default",0,1]],[[3558,388,0,464,129,0,0,1,0.5,0.5038759708404541,0,0,[]],88,3499,[],[[]],[0,"Default",0,1]],[[4452,2549,0,464,129,0,0,1,0.5,0.5038759708404541,0,0,[]],88,3605,
[],[[]],[0,"Default",0,1]],[[1072,358,0,110.0678024291992,160.6736755371094,0,0,1,0.5012722611427307,0.5,0,0,[]],92,3611,[],[[]],[0,"Default",0,1]],[[1127.431762695313,387.3368530273438,0,83,106,0,0,1,0.5012722611427307,0.5,0,0,[]],92,3612,[],[[]],[0,"Default",0,1]],[[1167.000122070313,356,0,83,166,0,0,1,0.5012722611427307,0.5,0,0,[]],92,3613,[],[[]],[0,"Default",0,1]],[[1214,386,0,-83,106,0,0,1,0.5012722611427307,0.5,0,0,[]],92,3622,[],[[]],[0,"Default",0,1]],[[1268.000122070313,371.5,0,83,137,0,
0,1,0.5012722611427307,0.5,0,0,[]],92,3629,[],[[]],[0,"Default",0,1]],[[1306.946411132813,375,0,-125,128,0,0,1,0.5012722611427307,0.5,0,0,[]],92,3645,[],[[]],[0,"Default",0,1]],[[1388,390,0,-83,106,0,0,1,0.5012722611427307,0.5,0,0,[]],92,3646,[],[[]],[0,"Default",0,1]],[[1454.092529296875,375.0578918457031,0,96.28771209716797,140.5579071044922,0,0,1,0.5012722611427307,0.5,0,0,[]],92,3681,[],[[]],[0,"Default",0,1]],[[1534.999755859375,337.3368530273438,0,110,210,0,0,1,0.5012722611427307,0.5,0,0,[]],
92,3682,[],[[]],[0,"Default",0,1]],[[1591,391,0,83,106,0,0,1,0.5012722611427307,0.5,0,0,[]],92,3684,[],[[]],[0,"Default",0,1]],[[1630.000122070313,372.5,0,83,141,0,0,1,0.5012722611427307,0.5,0,0,[]],92,3685,[],[[]],[0,"Default",0,1]],[[1677,390,0,-83,106,0,0,1,0.5012722611427307,0.5,0,0,[]],92,3686,[],[[]],[0,"Default",0,1]],[[1731,375,0,83,137,0,0,1,0.5012722611427307,0.5,0,0,[]],92,3687,[],[[]],[0,"Default",0,1]],[[1770,379,0,-125,128,0,0,1,0.5012722611427307,0.5,0,0,[]],92,3688,[],[[]],[0,"Default",
0,1]],[[1851,394,0,-83,106,0,0,1,0.5012722611427307,0.5,0,0,[]],92,3689,[],[[]],[0,"Default",0,1]],[[1940.479370117188,344.8124694824219,0,143.1272888183594,208.9329071044922,0,0,1,0.5012722611427307,0.5,0,0,[]],92,3690,[],[[]],[0,"Default",0,1]],[[1441,425,0,-116.0652542114258,77.37700653076172,0,-0.2899357080459595,1,0.2504779994487763,0.6710526347160339,0,0,[]],76,3691,[],[[]],[0,"Default",0,1]],[[747,2478,0,172,275,0,0,1,0.5023255944252014,0.5011441707611084,0,0,[]],93,3692,[],[[]],[0,"Default",
0,1]],[[4811.8359375,2279.664794921875,0,103.7496948242188,99.31594848632812,0,0,1,0.504273533821106,0.5,0,0,[]],77,3495,[],[[]],[0,"Default",0,1]],[[4714,2274,0,117,112,0,0,1,0.504273533821106,0.5,0,0,[]],77,3534,[],[[]],[0,"Default",0,1]],[[8516,2562,0,250,160,0,0,1,0.5492125749588013,0.6478873491287231,0,0,[]],70,3654,[[3]],[[]],[0,"Default",0,1]],[[8269,2562,0,250,160,0,0,1,0.5492125749588013,0.6478873491287231,0,0,[]],70,3655,[[3]],[[]],[0,"Default",0,1]],[[9016,2562,0,250,160,0,0,1,0.5492125749588013,
0.6478873491287231,0,0,[]],70,3683,[[3]],[[]],[0,"Default",0,1]],[[8769,2562,0,250,160,0,0,1,0.5492125749588013,0.6478873491287231,0,0,[]],70,3695,[[3]],[[]],[0,"Default",0,1]],[[9516,2562,0,250,160,0,0,1,0.5492125749588013,0.6478873491287231,0,0,[]],70,3696,[[3]],[[]],[0,"Default",0,1]],[[9269,2562,0,250,160,0,0,1,0.5492125749588013,0.6478873491287231,0,0,[]],70,3697,[[3]],[[]],[0,"Default",0,1]],[[10016,2562,0,250,160,0,0,1,0.5492125749588013,0.6478873491287231,0,0,[]],70,3698,[[3]],[[]],[0,"Default",
0,1]],[[9769,2562,0,250,160,0,0,1,0.5492125749588013,0.6478873491287231,0,0,[]],70,3709,[[3]],[[]],[0,"Default",0,1]],[[10519,2568,0,250,160,0,0,1,0.5492125749588013,0.6478873491287231,0,0,[]],70,3753,[[3]],[[]],[0,"Default",0,1]],[[10272,2568,0,250,160,0,0,1,0.5492125749588013,0.6478873491287231,0,0,[]],70,3754,[[3]],[[]],[0,"Default",0,1]],[[11019,2568,0,250,160,0,0,1,0.5492125749588013,0.6478873491287231,0,0,[]],70,3755,[[3]],[[]],[0,"Default",0,1]],[[10772,2568,0,250,160,0,0,1,0.5492125749588013,
0.6478873491287231,0,0,[]],70,3756,[[3]],[[]],[0,"Default",0,1]],[[11519,2568,0,250,160,0,0,1,0.5492125749588013,0.6478873491287231,0,0,[]],70,3757,[[3]],[[]],[0,"Default",0,1]],[[11272,2568,0,250,160,0,0,1,0.5492125749588013,0.6478873491287231,0,0,[]],70,3758,[[3]],[[]],[0,"Default",0,1]],[[11772,2568,0,250,160,0,0,1,0.5492125749588013,0.6478873491287231,0,0,[]],70,3760,[[3]],[[]],[0,"Default",0,1]],[[7773,2871,0,279.7138061523438,269.6792297363281,0,-0.5047929883003235,1,0.5022421479225159,0.5023255944252014,
0,0,[]],34,3766,[],[[]],[0,"Default",0,1]],[[12109,2647,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3147,[],[[]],[0,"Default",1,1]],[[12019,2568,0,250,160,0,0,1,0.5492125749588013,0.6478873491287231,0,0,[]],70,3759,[[3]],[[]],[0,"Default",0,1]],[[8400,880,0,1023,324,0,0,1,0.5004887580871582,0.5,0,0,[]],26,3148,[],[[1],[]],[0,"Default",0,1]],[[9284,880,0,1023,324,0,0,1,0.5004887580871582,0.5,0,0,[]],27,3149,[],[[1],[]],[0,"Default",0,1]],[[9683,882,0,454.2306518554688,347.3151550292969,
0,0,1,0.7122207880020142,0.4608695507049561,0,0,[]],122,3150,[],[[]],[0,"Default",0,1]],[[8022,902,0,406.2792358398438,334.5766906738281,0,0,1,0.3641703426837921,0.5009041428565979,0,0,[]],123,3151,[],[[]],[0,"Default",0,1]],[[9087,960,0,232,221,0,0,1,0.5,0.5015479922294617,0,0,[]],124,3152,[],[[]],[0,"Default",0,1]],[[8856,960,0,232,221,0,0,1,0.5,0.5015479922294617,0,0,[]],124,3153,[],[[]],[0,"Default",0,1]],[[8626,960,0,232,221,0,0,1,0.5,0.5015479922294617,0,0,[]],124,3154,[],[[]],[0,"Default",
0,1]],[[8395,960,0,232,221,0,0,1,0.5,0.5015479922294617,0,0,[]],124,3155,[],[[]],[0,"Default",0,1]],[[9282,960,0,162.1070556640625,221,0,0,1,0.5,0.5015479922294617,0,0,[]],124,3290,[],[[]],[0,"Default",0,1]],[[7926,731,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3291,[],[[]],[0,"Default",1,1]],[[8042,731,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3292,[],[[]],[0,"Default",1,1]],[[8156,732,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3293,
[],[[]],[0,"Default",1,1]],[[8274,731,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3294,[],[[]],[0,"Default",1,1]],[[8394,732,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3295,[],[[]],[0,"Default",1,1]],[[8515,731,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3296,[],[[]],[0,"Default",1,1]],[[8635,731,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3297,[],[[]],[0,"Default",1,1]],[[8756,731,0,222,132,0,0,1,0.5315315127372742,
0.2651515007019043,0,0,[]],23,3298,[],[[]],[0,"Default",1,1]],[[8866,731,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3299,[],[[]],[0,"Default",1,1]],[[8975,729,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3300,[],[[]],[0,"Default",1,1]],[[9085,729,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3301,[],[[]],[0,"Default",1,1]],[[9195,729,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3302,[],[[]],[0,"Default",1,1]],[[9305,
729,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3303,[],[[]],[0,"Default",1,1]],[[9421,728,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3304,[],[[]],[0,"Default",1,1]],[[9531,728,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3305,[],[[]],[0,"Default",1,1]],[[9649,728,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3306,[],[[]],[0,"Default",1,1]],[[9759,728,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,
3307,[],[[]],[0,"Default",1,1]],[[9669,939,0,240.818359375,232.1791381835938,0,-1.683364152908325,1,0.5022421479225159,0.5023255944252014,0,0,[]],34,3767,[],[[]],[0,"Default",0,1]],[[1496,634,0,1097.312866210938,331.6706848144531,0,0,1,0.5004887580871582,0.5,0,0,[]],26,3335,[],[[1],[]],[0,"Default",0,1]],[[1929,629,0,489.1394958496094,374.00732421875,0,0,1,0.7122207880020142,0.4608695507049561,0,0,[]],122,3336,[],[[]],[0,"Default",0,1]],[[1088,650,0,437.5028991699219,360.2898559570313,0,0,1,0.3641703426837921,
0.5009041428565979,0,0,[]],123,3337,[],[[]],[0,"Default",0,1]],[[1472,725,0,217.8126220703125,210.3196716308594,0,0,1,0.5,0.5015479922294617,0,0,[]],124,3338,[],[[]],[0,"Default",0,1]],[[1002,467,0,239.0612945556641,142.1445770263672,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3339,[],[[]],[0,"Default",1,1]],[[1140,467,0,239.0612945556641,142.1445770263672,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3341,[],[[]],[0,"Default",1,1]],[[1244,467,0,239.0612945556641,142.1445770263672,
0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3342,[],[[]],[0,"Default",1,1]],[[1381,467,0,239.0612945556641,142.1445770263672,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3343,[],[[]],[0,"Default",1,1]],[[1519,467,0,239.0612945556641,142.1445770263672,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3344,[],[[]],[0,"Default",1,1]],[[1622,467,0,239.0612945556641,142.1445770263672,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3345,[],[[]],[0,"Default",1,1]],[[1759,
467,0,239.0612945556641,142.1445770263672,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3346,[],[[]],[0,"Default",1,1]],[[1897,467,0,239.0612945556641,142.1445770263672,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3347,[],[[]],[0,"Default",1,1]],[[2001,467,0,239.0612945556641,142.1445770263672,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3348,[],[[]],[0,"Default",1,1]],[[5,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,2377,[],[[]],[0,"Default",
1,1]]],[]],["main",4,5448919171797491,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[-183,1930,0,103,190,0,0,1,0.5,0.5,0,0,[]],41,3600,[[0]],[[330,1500,3E3,950,1500,1E3,0,1]],[1,"Default",0,1]],[[1533,2529,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,3601,[[9],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[1501,307,0,111,108,0,0,1,0.5045045018196106,0.2777777910232544,0,0,[]],40,3615,[[0],[0],[0]],[[],[1,400,0,0],[]],[0,"berry",0,1]],[[4235,2417,0,111,108,0,0,1,0.5045045018196106,0.2777777910232544,
0,0,[]],40,3616,[[0],[0],[0]],[[],[1,400,0,0],[]],[0,"berry",0,1]],[[7435,1837,0,111,108,0,0,1,0.5045045018196106,0.2777777910232544,0,0,[]],40,3617,[[0],[0],[0]],[[],[1,400,0,0],[]],[0,"berry",0,1]],[[2261,1928,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,3623,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[1977,2219,0,94,113,0,0,1,0.5106382966041565,0.3097345232963562,0,0,[]],46,3625,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[3736,321,0,119,117,0,0,1,0.5042017102241516,
0.3247863352298737,0,0,[]],28,3632,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[3573,321,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,3633,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[3399,321,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,3634,[[9],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[1666,315,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,3635,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[1329,315,0,119,117,0,
0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,3636,[[9],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[9521,1245,0,111,108,0,0,1,0.5045045018196106,0.2777777910232544,0,0,[]],40,3637,[[0],[0],[0]],[[],[1,400,0,0],[]],[0,"berry",0,1]],[[8283,580,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,3647,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[8592,577,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,3648,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],
[[7971,575,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,3649,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[716,1416,0,201,100,0,0,1,0.5024875402450562,0.5,0,0,[]],31,3656,[],[[1],[]],[0,"Default",1,1]],[[511,1416,0,208,103,0,0,1,0.4903846085071564,0.5048543810844421,0,0,[]],29,3657,[],[[1],[]],[0,"Default",1,1]],[[7323,1976,0,208,103,0,0,1,0.4903846085071564,0.5048543810844421,0,0,[]],29,3658,[],[[1],[]],[0,"Default",1,1]],[[8084,1696,0,208,103,0,0,1,0.4903846085071564,0.5048543810844421,
0,0,[]],29,3659,[],[[1],[]],[0,"Default",1,1]],[[8985,1714,0,208,103,0,0,1,0.4903846085071564,0.5048543810844421,0,0,[]],29,3660,[],[[1],[]],[0,"Default",1,1]],[[9419,1416,0,208,103,0,0,1,0.4903846085071564,0.5048543810844421,0,0,[]],29,3661,[],[[1],[]],[0,"Default",1,1]],[[1874,2381,0,208,103,0,0,1,0.4903846085071564,0.5048543810844421,0,0,[]],29,3662,[],[[1],[]],[0,"Default",1,1]],[[2159,2114,0,208,103,0,0,1,0.4903846085071564,0.5048543810844421,0,0,[]],29,3665,[],[[1],[]],[0,"Default",1,1]],[[7528,
1976,0,201,100,0,0,1,0.5024875402450562,0.5,0,0,[]],31,3667,[],[[1],[]],[0,"Default",1,1]],[[8289,1696,0,201,100,0,0,1,0.5024875402450562,0.5,0,0,[]],31,3668,[],[[1],[]],[0,"Default",1,1]],[[9190,1714,0,201,100,0,0,1,0.5024875402450562,0.5,0,0,[]],31,3669,[],[[1],[]],[0,"Default",1,1]],[[9624,1416,0,201,100,0,0,1,0.5024875402450562,0.5,0,0,[]],31,3670,[],[[1],[]],[0,"Default",1,1]],[[2079,2381,0,201,100,0,0,1,0.5024875402450562,0.5,0,0,[]],31,3671,[],[[1],[]],[0,"Default",1,1]],[[2359,2114,0,201,
100,0,0,1,0.5024875402450562,0.5,0,0,[]],31,3674,[],[[1],[]],[0,"Default",1,1]],[[4803,651,0,220,130,0,0,1,0.5,0.5,0,0,[]],32,3677,[],[[1,0,1,20,10,2,0,500,0],[1]],[0,"Default",1,1]],[[2056,1553,0,206,130,0,0,1,0.5,0.5,0,0,[]],32,3679,[],[[1,1,1,20,0,2,0,300,0],[1]],[0,"Default",1,1]],[[3953,320,0,94,113,0,0,1,0.5106382966041565,0.3097345232963562,0,0,[]],46,3694,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[3309,1945,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,3533,[[0],
[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[3214,2099,0,208,103,0,0,1,0.4903846085071564,0.5048543810844421,0,0,[]],29,3603,[],[[1],[]],[0,"Default",1,1]],[[3414,2099,0,201,100,0,0,1,0.5024875402450562,0.5,0,0,[]],31,3604,[],[[1],[]],[0,"Default",1,1]],[[5107,1956,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,3626,[[9],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[5005,2117,0,208,103,0,0,1,0.4903846085071564,0.5048543810844421,0,0,[]],29,3627,[],[[1],[]],[0,"Default",1,1]],
[[5205,2117,0,201,100,0,0,1,0.5024875402450562,0.5,0,0,[]],31,3628,[],[[1],[]],[0,"Default",1,1]],[[6110,1930,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,3630,[[9],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[6005,2126,0,208,103,0,0,1,0.4903846085071564,0.5048543810844421,0,0,[]],29,3631,[],[[1],[]],[0,"Default",1,1]],[[6205,2126,0,201,100,0,0,1,0.5024875402450562,0.5,0,0,[]],31,3644,[],[[1],[]],[0,"Default",1,1]],[[550,2529,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,
0,0,[]],28,3693,[[9],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[4653,2359,0,208,103,0,0,1,0.4903846085071564,0.5048543810844421,0,0,[]],29,3537,[],[[1],[]],[0,"Default",1,1]],[[4858,2359,0,201,100,0,0,1,0.5024875402450562,0.5,0,0,[]],31,3538,[],[[1],[]],[0,"Default",1,1]],[[7023,2266,0,208,103,0,0,1,0.4903846085071564,0.5048543810844421,0,0,[]],29,3536,[],[[1],[]],[0,"Default",1,1]],[[7228,2266,0,201,100,0,0,1,0.5024875402450562,0.5,0,0,[]],31,3539,[],[[1],[]],[0,"Default",1,1]],[[7814,1866,0,
208,103,0,0,1,0.4903846085071564,0.5048543810844421,0,0,[]],29,3543,[],[[1],[]],[0,"Default",1,1]],[[8019,1866,0,201,100,0,0,1,0.5024875402450562,0.5,0,0,[]],31,3554,[],[[1],[]],[0,"Default",1,1]],[[8525,1574,0,208,103,0,0,1,0.4903846085071564,0.5048543810844421,0,0,[]],29,3558,[],[[1],[]],[0,"Default",1,1]],[[8730,1574,0,201,100,0,0,1,0.5024875402450562,0.5,0,0,[]],31,3560,[],[[1],[]],[0,"Default",1,1]],[[9879,1606,0,208,103,0,0,1,0.4903846085071564,0.5048543810844421,0,0,[]],29,3561,[],[[1],[]],
[0,"Default",1,1]],[[10084,1606,0,201,100,0,0,1,0.5024875402450562,0.5,0,0,[]],31,3562,[],[[1],[]],[0,"Default",1,1]],[[5553,821,0,220,130,0,0,1,0.5,0.5,0,0,[]],32,3563,[],[[1,0,1,20,10,2,0,500,0],[1]],[0,"Default",1,1]],[[5143,1101,0,220,130,0,0,1,0.5,0.5,0,0,[]],32,3606,[],[[1,0,1,20,10,2,0,500,0],[1]],[0,"Default",1,1]],[[5863,1361,0,220,130,0,0,1,0.5,0.5,0,0,[]],32,3607,[],[[1,0,1,20,10,2,0,500,0],[1]],[0,"Default",1,1]],[[5113,1699,0,220,130,0,0,1,0.5,0.5,0,0,[]],32,3608,[],[[1,0,1,20,10,2,0,
500,0],[1]],[0,"Default",1,1]],[[4483,1381,0,220,130,0,0,1,0.5,0.5,0,0,[]],32,3609,[],[[1,0,1,20,10,2,0,500,0],[1]],[0,"Default",1,1]],[[4023,1699,0,220,130,0,0,1,0.5,0.5,0,0,[]],32,3610,[],[[1,0,1,20,10,2,0,500,0],[1]],[0,"Default",1,1]],[[6223,651,0,220,130,0,0,1,0.5,0.5,0,0,[]],32,3614,[],[[1,0,1,20,10,2,0,500,0],[1]],[0,"Default",1,1]],[[6333,1061,0,220,130,0,0,1,0.5,0.5,0,0,[]],32,3618,[],[[1,0,1,20,10,2,0,500,0],[1]],[0,"Default",1,1]],[[6353,1699,0,220,130,0,0,1,0.5,0.5,0,0,[]],32,3619,[],
[[1,0,1,20,10,2,0,500,0],[1]],[0,"Default",1,1]],[[6903,1411,0,220,130,0,0,1,0.5,0.5,0,0,[]],32,3620,[],[[1,0,1,20,10,2,0,500,0],[1]],[0,"Default",1,1]],[[6963,821,0,220,130,0,0,1,0.5,0.5,0,0,[]],32,3624,[],[[1,0,1,20,10,2,0,500,0],[1]],[0,"Default",1,1]],[[7137,2122,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,3535,[[9],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[7412,2504,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,3761,[[9],[0],[0]],[[],[1,400,0,0]],
[0,"Default",0,1]],[[7799,2504,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,3762,[[9],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[6991,2504,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,3763,[[9],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[8888,577,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,3764,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[9212,583,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,3765,[[0],[0],
[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[6858,1487,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,3768,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[5868,1477,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,3769,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[4888,1447,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,3770,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[4668,927,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,
0,0,[]],28,3771,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[5868,877,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,3772,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[6738,667,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,3773,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[5228,547,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,3774,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[606,1209,0,94,113,0,0,1,0.5106382966041565,
0.3097345232963562,0,0,[]],46,3776,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[9992,1432,0,94,113,0,0,1,0.5106382966041565,0.3097345232963562,0,0,[]],46,3559,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[8395,1419,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2186,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[8887,1419,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2192,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[8641,1419,0,119,117,
0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2198,[[9],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[9079,1546,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2204,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[8189,1528,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2211,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[7887,1710,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2217,[[9],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,
1]],[[2575,765,0,206,130,0,0,1,0.5,0.5,0,0,[]],32,2378,[],[[1,1,1,20,0,2,0,300,0],[1]],[0,"Default",1,1]]],[]],["general",5,521137928412315,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[9517,600,0,287,258,0,0,1,0.6059225797653198,0.875,0,0,[]],50,3699,[[1]],[[]],[0,"Default",1,1]],[[2055,1654,0,128,128,0,0,1,0,0.5,0,0,[]],65,3700,[],[[]],[50,360,0,10,16,100,0,4E3,2E3,0,0,30,0,60,0,500,0,0,1]],[[1758,1882,0,1014,770,0,0,1,0.4940828382968903,0.43376624584198,0,0,[]],33,3701,[],[[1,1,2,15,0,0,0,50,0],[]],[0,
"Default",0,1]],[[2423,1007,0,142.8915710449219,142.8915710449219,0,0,1,0.5,0.5,0,0,[]],72,3702,[[0],[0]],[[]],[1,"Default",0,1]],[[1484,2397,0,153,180,0,0,1,0.5018315315246582,0.5,0,0,[]],42,3703,[[0],[0],[0],[0],[0],[0],[0],[3],[0]],[[],[]],[0,"Default",0,1]],[[3616,454,0,924,-2594,0,0,0.4000000059604645,0.5,0,0,0,[]],75,3704,[],[[]],[0,"Default",0,1]],[[1719,-87,0,2590,2406,0,0,0.449999988079071,0.5,0,0,0,[]],75,3705,[],[[]],[0,"Default",0,1]],[[3599,801,0,1424,1979,0,0,1,0.5,0,0,0,[]],75,3706,
[],[[]],[0,"Default",0,1]],[[4290,1984,0,1014,770,0,0,1,0.4940828382968903,0.43376624584198,0,0,[]],33,3707,[],[[1,1,2,15,0,0,0,50,0],[]],[0,"Default",0,1]],[[1585,175,0,1014,770,0,0,1,0.4940828382968903,0.43376624584198,0,0,[]],33,3708,[],[[1,1,2,15,0,0,0,50,0],[]],[0,"Default",0,1]],[[7500,655,0,128,128,0,0,1,0,0.5,0,0,[]],65,3710,[],[[]],[50,360,0,10,16,100,0,4E3,2E3,0,0,30,0,60,0,500,0,0,1]],[[4561.8330078125,-33.33333206176758,0,574,2594,0,0,1,0.5,0,0,0,[]],75,5194,[],[[]],[0,"Default",0,1]],
[[9999,-33,0,301,3502,0,0,1,0.5,0,0,0,[]],75,5195,[],[[]],[0,"Default",0,1]],[[6891,12,0,574,1979,0,0,1,0.5,0,0,0,[]],75,5196,[],[[]],[0,"Default",0,1]]],[]],["gui",6,0xb6744af10d12c,!0,[255,255,255],!0,0,0,1,!1,1,0,0,[[[-419,183,0,200,30,0,0,1,0,0,0,0,[]],68,3711,[[1]],[[1,0,4,1,1],[]],["\u041d\u0435 \u0432\u0441\u0435 \u0441\u043e\u0431\u0440\u0430\u043d\u043e",0,"12pt Arial","rgb(0,0,0)",0,0,0,0,0]],[[-419,150,0,200,30,0,0,1,0,0,0,0,[]],68,3712,[[0]],[[1,0,4,1,1],[]],["\u0412\u043d\u0438\u043c\u0430\u043d\u0438\u0435!",
0,"14pt Arial","rgb(0,0,0)",0,0,0,0,0]]],[]],["black",7,9201895901571284,!0,[0,0,0],!1,1,1,0,!1,1,0,0,[],[]]],[],[]],["10",14100,2989,!1,"eLv8-12",0xc66788a88e326,[["b4",0,7787142465242459,!0,[255,255,255],!1,0.4000000059604645,0.4000000059604645,1,!1,1,0,0,[[[0,0,0,2302,2302,0,0,1,0,0,0,0,[]],44,3621,[],[[]],[0,"Default",1,1]]],[]],["b3",1,5735287346492523,!0,[255,255,255],!0,0.699999988079071,1,1,!1,1,0,0,[[[1012,2449.611328125,0,2048,608,0,0,1,0.5,0.501006007194519,0,0,[]],43,3779,[],[[]],[0,"Default",
1,1]],[[3059,2448.611328125,0,2048,608,0,0,1,0.5,0.501006007194519,0,0,[]],43,3780,[],[[]],[0,"Default",1,1]],[[-1035,2450.611328125,0,2048,608,0,0,1,0.5,0.501006007194519,0,0,[]],43,3781,[],[[]],[0,"Default",1,1]],[[5106,2448.611328125,0,2048,608,0,0,1,0.5,0.501006007194519,0,0,[]],43,3782,[],[[]],[0,"Default",1,1]],[[7126,2448.611328125,0,2048,608,0,0,1,0.5,0.501006007194519,0,0,[]],43,3783,[],[[]],[0,"Default",1,1]],[[9170,2426.879150390625,0,2048,608,0,0,1,0.5,0.501006007194519,0,0,[]],43,3784,
[],[[]],[0,"Default",1,1]],[[11210,2426.879150390625,0,2048,608,0,0,1,0.5,0.501006007194519,0,0,[]],43,3785,[],[[]],[0,"Default",1,1]],[[13250,2426.879150390625,0,2048,608,0,0,1,0.5,0.501006007194519,0,0,[]],43,4154,[],[[]],[0,"Default",1,1]]],[]],["b2",2,4767843323195088,!0,[255,255,255],!0,0.8500000238418579,1,1,!1,1,0,0,[[[10,1307.5,0,-1295,2650,0,0,1,0.5007299184799194,0.5,0,0,[]],94,3786,[],[[]],[0,"Default",0,1]],[[4773,1408,0,997,2795,0,0,1,0.5,0.5,0,0,[]],95,3787,[],[[]],[0,"Default",0,1]],
[[499,674,0,76,134,0,0.1444065868854523,1,0.5,0.5,0,0,[]],89,3788,[],[[]],[0,"Default",0,1]],[[-574,2214,0,-76,134,0,-0.2724319100379944,1,0.5,0.5,0,0,[]],89,3789,[],[[]],[0,"Default",0,1]],[[-535,863,0,-76,134,0,-0.3750368356704712,1,0.5,0.5,0,0,[]],89,3790,[],[[]],[0,"Default",0,1]],[[4401,660,0,76,134,0,-2.98678183555603,1,0.5,0.5,0,0,[]],89,3791,[],[[]],[0,"Default",0,1]],[[4512,1748,0,76,134,0,-2.753058195114136,1,0.5,0.5,0,0,[]],89,3792,[],[[]],[0,"Default",0,1]],[[-266,2373,0,136.7089385986328,
180.1491546630859,0,0,1,0.5046728849411011,0.5035461187362671,0,0,[]],90,3793,[],[[]],[0,"Default",0,1]],[[314,2333,0,102.65283203125,135.271484375,0,2.041762590408325,1,0.5046728849411011,0.5035461187362671,0,0,[]],90,3794,[],[[]],[0,"Default",0,1]],[[4853,1939,0,107,141,0,0.420271635055542,1,0.5046728849411011,0.5035461187362671,0,0,[]],90,3795,[],[[]],[0,"Default",0,1]],[[-165,1450,0,73,94,0,0,1,0.5,0.5,0,0,[]],91,3796,[],[[]],[0,"Default",0,1]],[[30,870,0,132,180,0,-0.9435721039772034,1,0.5,0.5,
0,0,[]],91,3797,[],[[]],[0,"Default",0,1]],[[4744,675,0,132,180,0,0.3452235460281372,1,0.5,0.5,0,0,[]],91,3798,[],[[]],[0,"Default",0,1]],[[4797,1356,0,92.33092498779297,125.9058074951172,0,0.3452235460281372,1,0.5,0.5,0,0,[]],91,3799,[],[[]],[0,"Default",0,1]],[[8101,1322,0,1295,2621,0,0,1,0.5007299184799194,0.5,0,0,[]],94,3800,[],[[]],[0,"Default",0,1]],[[8478,554,0,76,134,0,0,1,0.5,0.5,0,0,[]],89,3801,[],[[]],[0,"Default",0,1]],[[7498,2411,0,-76,134,0,-0.2724319100379944,1,0.5,0.5,0,0,[]],89,3802,
[],[[]],[0,"Default",0,1]],[[7556,863,0,-76,134,0,-0.3750368356704712,1,0.5,0.5,0,0,[]],89,3803,[],[[]],[0,"Default",0,1]],[[8288,1370,0,136.7089385986328,180.1491546630859,0,0,1,0.5046728849411011,0.5035461187362671,0,0,[]],90,3804,[],[[]],[0,"Default",0,1]],[[8510,2466,0,146.2562561035156,192.7302093505859,0,-0.9633231163024902,1,0.5046728849411011,0.5035461187362671,0,0,[]],90,3805,[],[[]],[0,"Default",0,1]],[[8169,1318,0,73,94,0,0,1,0.5,0.5,0,0,[]],91,3806,[],[[]],[0,"Default",0,1]],[[8298,1542,
0,132,180,0,-0.9435721039772034,1,0.5,0.5,0,0,[]],91,3807,[],[[]],[0,"Default",0,1]]],[]],["b1",3,5596825357030871,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[9982.6533203125,1285.616455078125,0,2882.6064453125,2650.766845703125,0,0,1,0.5005753636360168,0.5,0,0,[]],80,3997,[],[[]],[0,"Default",0,1]],[[5082.7021484375,1310.7099609375,0,1819.649536132813,2656.269775390625,0,0,1,0.5012722611427307,0.5,0,0,[]],92,3823,[],[[]],[0,"Default",0,1]],[[380,2811,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,
3825,[],[[1],[]],[0,"Default",0,1]],[[1380,2811,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,3826,[],[[1],[]],[0,"Default",0,1]],[[2375,2811,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,3827,[],[[1],[]],[0,"Default",0,1]],[[3357,2811,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,3828,[],[[1],[]],[0,"Default",0,1]],[[4339,2811,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,3829,[],[[1],[]],[0,"Default",0,1]],[[5212,2811,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,3830,[],
[[1],[]],[0,"Default",0,1]],[[147,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3831,[],[[]],[0,"Default",1,1]],[[267,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3832,[],[[]],[0,"Default",1,1]],[[384,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3833,[],[[]],[0,"Default",1,1]],[[502,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3834,[],[[]],[0,"Default",1,1]],[[614,2645,0,222,132,0,0,1,0.5315315127372742,
0.2651515007019043,0,0,[]],23,3835,[],[[]],[0,"Default",1,1]],[[726,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3836,[],[[]],[0,"Default",1,1]],[[843,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3837,[],[[]],[0,"Default",1,1]],[[963,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3838,[],[[]],[0,"Default",1,1]],[[1081,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3839,[],[[]],[0,"Default",1,1]],[[1200,
2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3840,[],[[]],[0,"Default",1,1]],[[1320,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3841,[],[[]],[0,"Default",1,1]],[[1439,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3842,[],[[]],[0,"Default",1,1]],[[1559,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3843,[],[[]],[0,"Default",1,1]],[[1678,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],
23,3844,[],[[]],[0,"Default",1,1]],[[1799,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3845,[],[[]],[0,"Default",1,1]],[[1918,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3846,[],[[]],[0,"Default",1,1]],[[2037,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3847,[],[[]],[0,"Default",1,1]],[[2158,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3848,[],[[]],[0,"Default",1,1]],[[2279,2645,0,222,132,0,0,1,0.5315315127372742,
0.2651515007019043,0,0,[]],23,3849,[],[[]],[0,"Default",1,1]],[[2399,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3850,[],[[]],[0,"Default",1,1]],[[2518,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3851,[],[[]],[0,"Default",1,1]],[[2640,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3852,[],[[]],[0,"Default",1,1]],[[2762,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3853,[],[[]],[0,"Default",1,1]],[[2884,
2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3854,[],[[]],[0,"Default",1,1]],[[3006,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3855,[],[[]],[0,"Default",1,1]],[[3125,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3856,[],[[]],[0,"Default",1,1]],[[3246,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3857,[],[[]],[0,"Default",1,1]],[[3366,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],
23,3858,[],[[]],[0,"Default",1,1]],[[3487,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3859,[],[[]],[0,"Default",1,1]],[[3603,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3860,[],[[]],[0,"Default",1,1]],[[3721,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3861,[],[[]],[0,"Default",1,1]],[[3843,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3862,[],[[]],[0,"Default",1,1]],[[3964,2645,0,222,132,0,0,1,0.5315315127372742,
0.2651515007019043,0,0,[]],23,3863,[],[[]],[0,"Default",1,1]],[[4085,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3864,[],[[]],[0,"Default",1,1]],[[4204,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3865,[],[[]],[0,"Default",1,1]],[[4322,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3866,[],[[]],[0,"Default",1,1]],[[4444,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3867,[],[[]],[0,"Default",1,1]],[[4566,
2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3868,[],[[]],[0,"Default",1,1]],[[4685,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3869,[],[[]],[0,"Default",1,1]],[[4806,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3870,[],[[]],[0,"Default",1,1]],[[4923,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3871,[],[[]],[0,"Default",1,1]],[[5039,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],
23,3872,[],[[]],[0,"Default",1,1]],[[5162,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3873,[],[[]],[0,"Default",1,1]],[[5282,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3874,[],[[]],[0,"Default",1,1]],[[5402,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3875,[],[[]],[0,"Default",1,1]],[[2262,2861,0,97.38150787353516,71.16340637207031,0,0,1,0.5,0.5025380849838257,0,0,[]],35,3885,[],[[]],[0,"Default",0,1]],[[3271,2495,0,319,
194,0,1.134464025497437,1,0.5015674233436584,0.5,0,0,[]],81,3890,[],[[]],[0,"Default",0,1]],[[5771,2539,0,264,180,0,0.1556447446346283,1,0.5,0.5,0,0,[]],82,3891,[],[[]],[0,"Default",0,1]],[[2981,2542,0,459,203,0,-0.2307646572589874,1,0.501089334487915,0.5024630427360535,0,0,[]],84,3892,[],[[]],[0,"Default",0,1]],[[4945,2536,0,335,201,0,0,1,0.5014925599098206,0.5024875402450562,0,0,[]],85,3893,[],[[]],[0,"Default",0,1]],[[7821.27978515625,2555.458740234375,0,257,146,0,0.1058126538991928,1,0.5019454956054688,
0.5,0,0,[]],86,3894,[],[[]],[0,"Default",0,1]],[[3602,2556,0,464,129,0,0,1,0.5,0.5038759708404541,0,0,[]],88,3896,[],[[]],[0,"Default",0,1]],[[6047,2811,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,3898,[],[[1],[]],[0,"Default",0,1]],[[7029,2811,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,3899,[],[[1],[]],[0,"Default",0,1]],[[7902,2811,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,3900,[],[[1],[]],[0,"Default",0,1]],[[5574,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,
0,0,[]],23,3901,[],[[]],[0,"Default",1,1]],[[5696,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3902,[],[[]],[0,"Default",1,1]],[[5815,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3903,[],[[]],[0,"Default",1,1]],[[5936,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3904,[],[[]],[0,"Default",1,1]],[[6056,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3905,[],[[]],[0,"Default",1,1]],[[6177,2645,0,222,132,
0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3906,[],[[]],[0,"Default",1,1]],[[6293,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3907,[],[[]],[0,"Default",1,1]],[[6411,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3908,[],[[]],[0,"Default",1,1]],[[6533,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3909,[],[[]],[0,"Default",1,1]],[[6654,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3910,[],[[]],
[0,"Default",1,1]],[[6775,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3911,[],[[]],[0,"Default",1,1]],[[6894,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3912,[],[[]],[0,"Default",1,1]],[[7012,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3913,[],[[]],[0,"Default",1,1]],[[7134,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3914,[],[[]],[0,"Default",1,1]],[[7256,2645,0,222,132,0,0,1,0.5315315127372742,
0.2651515007019043,0,0,[]],23,3915,[],[[]],[0,"Default",1,1]],[[7375,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3916,[],[[]],[0,"Default",1,1]],[[7496,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3917,[],[[]],[0,"Default",1,1]],[[7613,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3918,[],[[]],[0,"Default",1,1]],[[7729,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3919,[],[[]],[0,"Default",1,1]],[[7852,
2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3920,[],[[]],[0,"Default",1,1]],[[7972,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3921,[],[[]],[0,"Default",1,1]],[[8092,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3922,[],[[]],[0,"Default",1,1]],[[1564,2979,0,767,551,0,0.1922221779823303,1,0.5006518959999084,0.5009074211120605,0,0,[]],79,3923,[],[[]],[0,"Default",0,1]],[[8881,2807,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,
[]],22,3924,[],[[1],[]],[0,"Default",0,1]],[[8242,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3954,[],[[]],[0,"Default",1,1]],[[8362,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3955,[],[[]],[0,"Default",1,1]],[[8502,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3956,[],[[]],[0,"Default",1,1]],[[8632,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3957,[],[[]],[0,"Default",1,1]],[[9840,2811,0,1023,356,
0,0,1,0.5004887580871582,0.5,0,0,[]],22,3960,[],[[1],[]],[0,"Default",0,1]],[[10840,2811,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,3961,[],[[1],[]],[0,"Default",0,1]],[[11835,2811,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,3962,[],[[1],[]],[0,"Default",0,1]],[[12817,2811,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,3963,[],[[1],[]],[0,"Default",0,1]],[[8757,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3964,[],[[]],[0,"Default",1,1]],[[8877,2645,0,222,
132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3965,[],[[]],[0,"Default",1,1]],[[8994,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3966,[],[[]],[0,"Default",1,1]],[[9112,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3967,[],[[]],[0,"Default",1,1]],[[9224,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3968,[],[[]],[0,"Default",1,1]],[[9336,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3969,[],
[[]],[0,"Default",1,1]],[[9453,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3970,[],[[]],[0,"Default",1,1]],[[9573,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3971,[],[[]],[0,"Default",1,1]],[[9691,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3972,[],[[]],[0,"Default",1,1]],[[9810,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3973,[],[[]],[0,"Default",1,1]],[[9930,2645,0,222,132,0,0,1,0.5315315127372742,
0.2651515007019043,0,0,[]],23,3974,[],[[]],[0,"Default",1,1]],[[10049,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3975,[],[[]],[0,"Default",1,1]],[[10169,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3976,[],[[]],[0,"Default",1,1]],[[10288,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3977,[],[[]],[0,"Default",1,1]],[[10409,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3978,[],[[]],[0,"Default",1,1]],
[[10528,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3979,[],[[]],[0,"Default",1,1]],[[10647,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3980,[],[[]],[0,"Default",1,1]],[[10768,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3981,[],[[]],[0,"Default",1,1]],[[10889,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3982,[],[[]],[0,"Default",1,1]],[[11009,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,
0,0,[]],23,3983,[],[[]],[0,"Default",1,1]],[[11128,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3984,[],[[]],[0,"Default",1,1]],[[11250,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3985,[],[[]],[0,"Default",1,1]],[[11372,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3986,[],[[]],[0,"Default",1,1]],[[11494,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3987,[],[[]],[0,"Default",1,1]],[[11616,2645,0,222,
132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3988,[],[[]],[0,"Default",1,1]],[[11735,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3989,[],[[]],[0,"Default",1,1]],[[11856,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3990,[],[[]],[0,"Default",1,1]],[[11976,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3991,[],[[]],[0,"Default",1,1]],[[2306,2559,0,464,-129,0,-0.1745329201221466,1,0.5,0.5038759708404541,0,0,[]],88,
4009,[],[[]],[0,"Default",0,1]],[[10765,2554,0,464,129,0,0,1,0.5,0.5038759708404541,0,0,[]],88,4010,[],[[]],[0,"Default",0,1]],[[101,2556,0,83,141,0,0,1,0.5012722611427307,0.5,0,0,[]],92,4021,[],[[]],[0,"Default",0,1]],[[118,2574,0,-83,106,0,0,1,0.5012722611427307,0.5,0,0,[]],92,4022,[],[[]],[0,"Default",0,1]],[[172,2558,0,83,137,0,0,1,0.5012722611427307,0.5,0,0,[]],92,4023,[],[[]],[0,"Default",0,1]],[[211,2563,0,-125,128,0,0,1,0.5012722611427307,0.5,0,0,[]],92,4024,[],[[]],[0,"Default",0,1]],[[292,
2574,0,-83,106,0,0,1,0.5012722611427307,0.5,0,0,[]],92,4025,[],[[]],[0,"Default",0,1]],[[381,2522,0,143.1272888183594,208.9329071044922,0,0,1,0.5012722611427307,0.5,0,0,[]],92,4026,[],[[]],[0,"Default",0,1]],[[2266,2521,0,91.97818756103516,61.31893157958984,0,-0.2899357080459595,1,0.2504779994487763,0.6710526347160339,0,0,[]],76,4027,[],[[]],[0,"Default",0,1]],[[5382,2580,0,103.7496948242188,99.31594848632812,0,0,1,0.504273533821106,0.5,0,0,[]],77,4029,[],[[]],[0,"Default",0,1]],[[5284,2574,0,117,
112,0,0,1,0.504273533821106,0.5,0,0,[]],77,4030,[],[[]],[0,"Default",0,1]],[[9701,2879,0,240.818359375,232.1791381835938,0,-1.683364152908325,1,0.5022421479225159,0.5023255944252014,0,0,[]],34,4048,[],[[]],[0,"Default",0,1]],[[13697,2811,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,3808,[],[[1],[]],[0,"Default",0,1]],[[12138,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3809,[],[[]],[0,"Default",1,1]],[[12257,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,
0,0,[]],23,3810,[],[[]],[0,"Default",1,1]],[[12378,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3811,[],[[]],[0,"Default",1,1]],[[12499,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3824,[],[[]],[0,"Default",1,1]],[[12619,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3876,[],[[]],[0,"Default",1,1]],[[12738,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3877,[],[[]],[0,"Default",1,1]],[[12860,2645,0,222,
132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3878,[],[[]],[0,"Default",1,1]],[[12982,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3879,[],[[]],[0,"Default",1,1]],[[13104,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3880,[],[[]],[0,"Default",1,1]],[[13226,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3881,[],[[]],[0,"Default",1,1]],[[13345,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3882,
[],[[]],[0,"Default",1,1]],[[13466,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3883,[],[[]],[0,"Default",1,1]],[[13586,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3884,[],[[]],[0,"Default",1,1]],[[13708,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3944,[],[[]],[0,"Default",1,1]],[[13827,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3945,[],[[]],[0,"Default",1,1]],[[13948,2645,0,222,132,0,0,1,0.5315315127372742,
0.2651515007019043,0,0,[]],23,3946,[],[[]],[0,"Default",1,1]],[[14069,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3947,[],[[]],[0,"Default",1,1]],[[14189,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3948,[],[[]],[0,"Default",1,1]],[[10810,2498,0,-220,201,0,2.022475004196167,1,0.5,0.5024875402450562,0,0,[]],87,3895,[],[[]],[0,"Default",0,1]],[[8128,2965,0,767,551,0,-0.6443647742271423,1,0.5006518959999084,0.5009074211120605,0,0,[]],79,3994,[],[[]],
[0,"Default",0,1]],[[5934.3662109375,2833.032470703125,0,277.8482971191406,263.1543884277344,0,1.276554703712463,1,0.5,0.5025380849838257,0,0,[]],35,3995,[],[[]],[0,"Default",0,1]],[[13458,2826,0,457,305,0,0,1,0.5010941028594971,0.5016393661499023,0,0,[]],54,3996,[],[[]],[0,"Default",0,1]],[[3567.44873046875,977.546142578125,0,171.7062683105469,349.0029907226563,0,0,1,0.5023255944252014,0.5011441707611084,0,0,[]],93,4185,[],[[]],[0,"Default",0,1]],[[3505,1021,0,172,275,0,0,1,0.5023255944252014,0.5011441707611084,
0,0,[]],93,4186,[],[[]],[0,"Default",0,1]],[[4292,1034,0,143.8294372558594,229.9598693847656,0,0,1,0.5023255944252014,0.5011441707611084,0,0,[]],93,4187,[],[[]],[0,"Default",0,1]],[[8721,611,0,171.7062683105469,349.0029907226563,0,0,1,0.5023255944252014,0.5011441707611084,0,0,[]],93,4188,[],[[]],[0,"Default",0,1]],[[13424,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3777,[],[[]],[0,"Default",1,1]],[[13545,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],
23,3778,[],[[]],[0,"Default",1,1]],[[8765,2571,0,250,160,0,0,1,0.5492125749588013,0.6478873491287231,0,0,[]],70,4288,[[3]],[[]],[0,"Default",0,1]],[[8518,2571,0,250,160,0,0,1,0.5492125749588013,0.6478873491287231,0,0,[]],70,4289,[[3]],[[]],[0,"Default",0,1]],[[9265,2571,0,250,160,0,0,1,0.5492125749588013,0.6478873491287231,0,0,[]],70,4290,[[3]],[[]],[0,"Default",0,1]],[[9018,2571,0,250,160,0,0,1,0.5492125749588013,0.6478873491287231,0,0,[]],70,4291,[[3]],[[]],[0,"Default",0,1]],[[9765,2571,0,250,
160,0,0,1,0.5492125749588013,0.6478873491287231,0,0,[]],70,4292,[[3]],[[]],[0,"Default",0,1]],[[9518,2571,0,250,160,0,0,1,0.5492125749588013,0.6478873491287231,0,0,[]],70,4293,[[3]],[[]],[0,"Default",0,1]],[[10018,2571,0,250,160,0,0,1,0.5492125749588013,0.6478873491287231,0,0,[]],70,4295,[[3]],[[]],[0,"Default",0,1]],[[8358,579,0,1097,369,0,1.570796370506287,1,0.5004887580871582,0.5,0,0,[]],26,3549,[],[[1],[]],[0,"Default",0,1]],[[8344,1012,0,489.1394958496094,374.00732421875,0,1.570796370506287,
1,0.7122207880020142,0.4608695507049561,0,0,[]],122,3550,[],[[]],[0,"Default",0,1]],[[8323,171,0,437.5028991699219,360.2898559570313,0,1.570796370506287,1,0.3641703426837921,0.5009041428565979,0,0,[]],123,3551,[],[[]],[0,"Default",0,1]],[[8248,555,0,217.8126220703125,210.3196716308594,0,1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,3552,[],[[]],[0,"Default",0,1]],[[8470,614,0,232,221,0,-1.570796489715576,1,0.5,0.5015479922294617,0,0,[]],124,3553,[],[[]],[0,"Default",0,1]],[[8378,154,0,489.1394958496094,
374.00732421875,0,-1.570796489715576,1,0.7122207880020142,0.4608695507049561,0,0,[]],122,3564,[],[[]],[0,"Default",0,1]],[[8399,995,0,437.5028991699219,360.2898559570313,0,-1.570796489715576,1,0.3641703426837921,0.5009041428565979,0,0,[]],123,3565,[],[[]],[0,"Default",0,1]],[[9128,957,0,1097.312866210938,331.6706848144531,0,0,1,0.5004887580871582,0.5,0,0,[]],26,3566,[],[[1],[]],[0,"Default",0,1]],[[9561,952,0,489.1394958496094,374.00732421875,0,0,1,0.7122207880020142,0.4608695507049561,0,0,[]],122,
3567,[],[[]],[0,"Default",0,1]],[[8720,973,0,437.5028991699219,360.2898559570313,0,0,1,0.3641703426837921,0.5009041428565979,0,0,[]],123,3568,[],[[]],[0,"Default",0,1]],[[9104,1048,0,217.8126220703125,210.3196716308594,0,0,1,0.5,0.5015479922294617,0,0,[]],124,3569,[],[[]],[0,"Default",0,1]],[[8634,790,0,239.0612945556641,142.1445770263672,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3570,[],[[]],[0,"Default",1,1]],[[8772,790,0,239.0612945556641,142.1445770263672,0,0,1,0.5315315127372742,
0.2651515007019043,0,0,[]],23,3571,[],[[]],[0,"Default",1,1]],[[8876,790,0,239.0612945556641,142.1445770263672,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3572,[],[[]],[0,"Default",1,1]],[[9013,790,0,239.0612945556641,142.1445770263672,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3573,[],[[]],[0,"Default",1,1]],[[9151,790,0,239.0612945556641,142.1445770263672,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3574,[],[[]],[0,"Default",1,1]],[[9254,790,0,239.0612945556641,
142.1445770263672,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3575,[],[[]],[0,"Default",1,1]],[[9391,790,0,239.0612945556641,142.1445770263672,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3576,[],[[]],[0,"Default",1,1]],[[9529,790,0,239.0612945556641,142.1445770263672,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3577,[],[[]],[0,"Default",1,1]],[[9633,790,0,239.0612945556641,142.1445770263672,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,3578,[],[[]],[0,"Default",
1,1]],[[3934,575,0,1097,369,0,1.570796370506287,1,0.5004887580871582,0.5,0,0,[]],26,3579,[],[[1],[]],[0,"Default",0,1]],[[3920.000244140625,1034.218872070313,0,525.9522705078125,374.00732421875,0,1.570796370506287,1,0.7122207880020142,0.4608695507049561,0,0,[]],122,3580,[],[[]],[0,"Default",0,1]],[[3899,167,0,437.5028991699219,360.2898559570313,0,1.570796370506287,1,0.3641703426837921,0.5009041428565979,0,0,[]],123,3581,[],[[]],[0,"Default",0,1]],[[3824,551,0,217.8126220703125,210.3196716308594,0,
1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,3582,[],[[]],[0,"Default",0,1]],[[4046,610,0,232,221,0,-1.570796489715576,1,0.5,0.5015479922294617,0,0,[]],124,3925,[],[[]],[0,"Default",0,1]],[[3954,150,0,489.1394958496094,374.00732421875,0,-1.570796489715576,1,0.7122207880020142,0.4608695507049561,0,0,[]],122,3926,[],[[]],[0,"Default",0,1]],[[3975,1001.343078613281,0,453.7698669433594,360.2898559570313,0,-1.570796489715576,1,0.3641703426837921,0.5009041428565979,0,0,[]],123,3927,[],[[]],[0,
"Default",0,1]],[[3541,1334,0,1023,324,0,0,1,0.5004887580871582,0.5,0,0,[]],26,3928,[],[[1],[]],[0,"Default",0,1]],[[4425,1334,0,1023,324,0,0,1,0.5004887580871582,0.5,0,0,[]],27,3929,[],[[1],[]],[0,"Default",0,1]],[[4824,1336,0,454.2306518554688,347.3151550292969,0,0,1,0.7122207880020142,0.4608695507049561,0,0,[]],122,3930,[],[[]],[0,"Default",0,1]],[[3163,1356,0,406.2792358398438,334.5766906738281,0,0,1,0.3641703426837921,0.5009041428565979,0,0,[]],123,3931,[],[[]],[0,"Default",0,1]],[[4228,1414,
0,232,221,0,0,1,0.5,0.5015479922294617,0,0,[]],124,3932,[],[[]],[0,"Default",0,1]],[[3997,1414,0,232,221,0,0,1,0.5,0.5015479922294617,0,0,[]],124,3933,[],[[]],[0,"Default",0,1]],[[3767,1414,0,232,221,0,0,1,0.5,0.5015479922294617,0,0,[]],124,3934,[],[[]],[0,"Default",0,1]],[[3536,1414,0,232,221,0,0,1,0.5,0.5015479922294617,0,0,[]],124,4112,[],[[]],[0,"Default",0,1]],[[4423,1414,0,162.1070556640625,221,0,0,1,0.5,0.5015479922294617,0,0,[]],124,4113,[],[[]],[0,"Default",0,1]],[[3067,1172,0,222,132,0,
0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4114,[],[[]],[0,"Default",1,1]],[[3183,1172,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4115,[],[[]],[0,"Default",1,1]],[[3297,1173,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4116,[],[[]],[0,"Default",1,1]],[[3415,1172,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4117,[],[[]],[0,"Default",1,1]],[[3535,1173,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4118,[],[[]],
[0,"Default",1,1]],[[3656,1172,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4119,[],[[]],[0,"Default",1,1]],[[3776,1172,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4120,[],[[]],[0,"Default",1,1]],[[3897,1172,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4121,[],[[]],[0,"Default",1,1]],[[4007,1172,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4122,[],[[]],[0,"Default",1,1]],[[4116,1170,0,222,132,0,0,1,0.5315315127372742,
0.2651515007019043,0,0,[]],23,4123,[],[[]],[0,"Default",1,1]],[[4226,1170,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4124,[],[[]],[0,"Default",1,1]],[[4336,1170,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4125,[],[[]],[0,"Default",1,1]],[[4446,1170,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4126,[],[[]],[0,"Default",1,1]],[[4562,1169,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4127,[],[[]],[0,"Default",1,1]],[[4672,
1169,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4128,[],[[]],[0,"Default",1,1]],[[4790,1169,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4129,[],[[]],[0,"Default",1,1]],[[4900,1169,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4130,[],[[]],[0,"Default",1,1]],[[1839,2055,0,1097,369,0,1.570796370506287,1,0.5004887580871582,0.5,0,0,[]],26,4133,[],[[1],[]],[0,"Default",0,1]],[[1825,2488,0,489.1394958496094,374.00732421875,0,1.570796370506287,
1,0.7122207880020142,0.4608695507049561,0,0,[]],122,4134,[],[[]],[0,"Default",0,1]],[[1804,1647,0,437.5028991699219,360.2898559570313,0,1.570796370506287,1,0.3641703426837921,0.5009041428565979,0,0,[]],123,4135,[],[[]],[0,"Default",0,1]],[[1729,2031,0,217.8126220703125,210.3196716308594,0,1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,4136,[],[[]],[0,"Default",0,1]],[[1951,2090,0,232,221,0,-1.570796489715576,1,0.5,0.5015479922294617,0,0,[]],124,4137,[],[[]],[0,"Default",0,1]],[[1859,1630,
0,489.1394958496094,374.00732421875,0,-1.570796489715576,1,0.7122207880020142,0.4608695507049561,0,0,[]],122,4138,[],[[]],[0,"Default",0,1]],[[1880,2471,0,437.5028991699219,360.2898559570313,0,-1.570796489715576,1,0.3641703426837921,0.5009041428565979,0,0,[]],123,4139,[],[[]],[0,"Default",0,1]],[[1828,1488,0,222,-132,0,3.141592741012573,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4110,[],[[]],[0,"Default",1,1]],[[1710,1488,0,222,-132,0,3.141592741012573,1,0.5315315127372742,0.2651515007019043,
0,0,[]],23,4111,[],[[]],[0,"Default",1,1]],[[1971,1488,0,222,-132,0,3.141592741012573,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4140,[],[[]],[0,"Default",1,1]],[[5,2655,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,2379,[],[[]],[0,"Default",1,1]]],[]],["main",4,5597062448096052,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[-183,1930,0,103,190,0,0,1,0.5,0.5,0,0,[]],41,4049,[[0]],[[330,1500,3E3,950,1500,1E3,0,1]],[1,"Default",0,1]],[[831,495,0,111,108,0,0,1,0.5045045018196106,0.2777777910232544,
0,0,[]],40,4051,[[0],[0],[0]],[[],[1,400,0,0],[]],[0,"berry",0,1]],[[849,2476,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,4070,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[1735,1014,0,208,103,0,0,1,0.4903846085071564,0.5048543810844421,0,0,[]],29,4078,[],[[1],[]],[0,"Default",1,1]],[[8968,598,0,94,113,0,0,1,0.5106382966041565,0.3097345232963562,0,0,[]],46,4087,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[1860,1014,0,208,103,0,0,1,0.4903846085071564,0.5048543810844421,
0,0,[]],29,4131,[],[[1],[]],[0,"Default",1,1]],[[2006,1014,0,208,103,0,0,1,0.4903846085071564,0.5048543810844421,0,0,[]],29,4132,[],[[1],[]],[0,"Default",1,1]],[[2210,1014,0,201,100,0,0,1,0.5024875402450562,0.5,0,0,[]],31,4084,[],[[1],[]],[0,"Default",1,1]],[[586,1014,0,208,103,0,0,1,0.4903846085071564,0.5048543810844421,0,0,[]],29,4181,[],[[1],[]],[0,"Default",1,1]],[[711,1014,0,208,103,0,0,1,0.4903846085071564,0.5048543810844421,0,0,[]],29,4182,[],[[1],[]],[0,"Default",1,1]],[[857,1014,0,208,103,
0,0,1,0.4903846085071564,0.5048543810844421,0,0,[]],29,4183,[],[[1],[]],[0,"Default",1,1]],[[1061,1014,0,201,100,0,0,1,0.5024875402450562,0.5,0,0,[]],31,4184,[],[[1],[]],[0,"Default",1,1]],[[1844,1332,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,4189,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[1370,2074,0,220,130,0,0,1,0.5,0.5,0,0,[]],32,4190,[],[[1,1,1,20,10,2,0,500,0],[1]],[0,"Default",1,1]],[[2009,757,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,
4191,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[2206,860,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,4192,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[1800,860,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,4193,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[828,764,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,4194,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[1025,867,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,
0,0,[]],28,4195,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[619,867,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,4196,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[536,2162,0,208,103,0,0,1,0.4903846085071564,0.5048543810844421,0,0,[]],29,4197,[],[[1],[]],[0,"Default",1,1]],[[661,2162,0,208,103,0,0,1,0.4903846085071564,0.5048543810844421,0,0,[]],29,4198,[],[[1],[]],[0,"Default",1,1]],[[807,2162,0,208,103,0,0,1,0.4903846085071564,0.5048543810844421,0,0,[]],29,4199,
[],[[1],[]],[0,"Default",1,1]],[[1011,2162,0,201,100,0,0,1,0.5024875402450562,0.5,0,0,[]],31,4200,[],[[1],[]],[0,"Default",1,1]],[[776,1945,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,4201,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[973,2018,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,4202,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[567,2018,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,4203,[[0],[0],[0]],[[],[1,400,0,0]],
[0,"Default",0,1]],[[2113,2111,0,208,103,0,0,1,0.4903846085071564,0.5048543810844421,0,0,[]],29,4204,[],[[1],[]],[0,"Default",1,1]],[[2238,2111,0,208,103,0,0,1,0.4903846085071564,0.5048543810844421,0,0,[]],29,4205,[],[[1],[]],[0,"Default",1,1]],[[2384,2111,0,208,103,0,0,1,0.4903846085071564,0.5048543810844421,0,0,[]],29,4206,[],[[1],[]],[0,"Default",1,1]],[[2588,2111,0,201,100,0,0,1,0.5024875402450562,0.5,0,0,[]],31,4207,[],[[1],[]],[0,"Default",1,1]],[[2370,1872,0,119,117,0,0,1,0.5042017102241516,
0.3247863352298737,0,0,[]],28,4208,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[2567,1975,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,4209,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[2161,1975,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,4210,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[7298,1037,0,208,103,0,0,1,0.4903846085071564,0.5048543810844421,0,0,[]],29,4211,[],[[1],[]],[0,"Default",1,1]],[[7423,1037,0,208,103,0,0,1,0.4903846085071564,
0.5048543810844421,0,0,[]],29,4212,[],[[1],[]],[0,"Default",1,1]],[[7569,1037,0,208,103,0,0,1,0.4903846085071564,0.5048543810844421,0,0,[]],29,4213,[],[[1],[]],[0,"Default",1,1]],[[7773,1037,0,201,100,0,0,1,0.5024875402450562,0.5,0,0,[]],31,4214,[],[[1],[]],[0,"Default",1,1]],[[7544,766,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,4215,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[7741,869,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,4216,[[0],[0],[0]],
[[],[1,400,0,0]],[0,"Default",0,1]],[[7335,869,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,4217,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[5873,1022,0,208,103,0,0,1,0.4903846085071564,0.5048543810844421,0,0,[]],29,4218,[],[[1],[]],[0,"Default",1,1]],[[5998,1022,0,208,103,0,0,1,0.4903846085071564,0.5048543810844421,0,0,[]],29,4219,[],[[1],[]],[0,"Default",1,1]],[[6144,1022,0,208,103,0,0,1,0.4903846085071564,0.5048543810844421,0,0,[]],29,4220,[],[[1],[]],[0,"Default",1,
1]],[[6348,1022,0,201,100,0,0,1,0.5024875402450562,0.5,0,0,[]],31,4221,[],[[1],[]],[0,"Default",1,1]],[[6119,770,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,4222,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[6316,873,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,4223,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[5910,873,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,4224,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[6601,
1962,0,208,103,0,0,1,0.4903846085071564,0.5048543810844421,0,0,[]],29,4225,[],[[1],[]],[0,"Default",1,1]],[[6726,1962,0,208,103,0,0,1,0.4903846085071564,0.5048543810844421,0,0,[]],29,4226,[],[[1],[]],[0,"Default",1,1]],[[6872,1962,0,208,103,0,0,1,0.4903846085071564,0.5048543810844421,0,0,[]],29,4227,[],[[1],[]],[0,"Default",1,1]],[[7076,1962,0,201,100,0,0,1,0.5024875402450562,0.5,0,0,[]],31,4228,[],[[1],[]],[0,"Default",1,1]],[[6833,1737,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],
28,4229,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[7030,1840,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,4230,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[6624,1840,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,4231,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[13059,2143,0,208,103,0,0,1,0.4903846085071564,0.5048543810844421,0,0,[]],29,4232,[],[[1],[]],[0,"Default",1,1]],[[13184,2143,0,208,103,0,0,1,0.4903846085071564,0.5048543810844421,
0,0,[]],29,4233,[],[[1],[]],[0,"Default",1,1]],[[13330,2143,0,208,103,0,0,1,0.4903846085071564,0.5048543810844421,0,0,[]],29,4234,[],[[1],[]],[0,"Default",1,1]],[[13534,2143,0,201,100,0,0,1,0.5024875402450562,0.5,0,0,[]],31,4235,[],[[1],[]],[0,"Default",1,1]],[[13285,1885,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,4236,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[13482,1988,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,4237,[[0],[0],[0]],[[],[1,400,
0,0]],[0,"Default",0,1]],[[13076,1988,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,4238,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[11460,2128,0,208,103,0,0,1,0.4903846085071564,0.5048543810844421,0,0,[]],29,4239,[],[[1],[]],[0,"Default",1,1]],[[11585,2128,0,208,103,0,0,1,0.4903846085071564,0.5048543810844421,0,0,[]],29,4240,[],[[1],[]],[0,"Default",1,1]],[[11731,2128,0,208,103,0,0,1,0.4903846085071564,0.5048543810844421,0,0,[]],29,4241,[],[[1],[]],[0,"Default",1,1]],[[11935,
2128,0,201,100,0,0,1,0.5024875402450562,0.5,0,0,[]],31,4242,[],[[1],[]],[0,"Default",1,1]],[[11692,1870,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,4243,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[11889,1973,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,4244,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[11483,1973,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,4245,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[12233,954,
0,208,103,0,0,1,0.4903846085071564,0.5048543810844421,0,0,[]],29,4246,[],[[1],[]],[0,"Default",1,1]],[[12358,954,0,208,103,0,0,1,0.4903846085071564,0.5048543810844421,0,0,[]],29,4247,[],[[1],[]],[0,"Default",1,1]],[[12504,954,0,208,103,0,0,1,0.4903846085071564,0.5048543810844421,0,0,[]],29,4248,[],[[1],[]],[0,"Default",1,1]],[[12708,954,0,201,100,0,0,1,0.5024875402450562,0.5,0,0,[]],31,4249,[],[[1],[]],[0,"Default",1,1]],[[12459,676,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,
4250,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[12663,786,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,4251,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[12257,786,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,4252,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[11247,734,0,208,103,0,0,1,0.4903846085071564,0.5048543810844421,0,0,[]],29,4253,[],[[1],[]],[0,"Default",1,1]],[[11372,734,0,208,103,0,0,1,0.4903846085071564,0.5048543810844421,0,0,
[]],29,4254,[],[[1],[]],[0,"Default",1,1]],[[11518,734,0,208,103,0,0,1,0.4903846085071564,0.5048543810844421,0,0,[]],29,4255,[],[[1],[]],[0,"Default",1,1]],[[11722,734,0,201,100,0,0,1,0.5024875402450562,0.5,0,0,[]],31,4256,[],[[1],[]],[0,"Default",1,1]],[[11486,463,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,4257,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[11683,566,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,4258,[[0],[0],[0]],[[],[1,400,0,0]],[0,
"Default",0,1]],[[11277,566,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,4259,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[2681,1498,0,220,130,0,0,1,0.5,0.5,0,0,[]],32,4260,[],[[1,1,1,20,10,2,0,500,0],[1]],[0,"Default",1,1]],[[1378,505,0,220,130,0,0,1,0.5,0.5,0,0,[]],32,4261,[],[[1,0,1,20,10,2,0,500,0],[1]],[0,"Default",1,1]],[[2002,539,0,111,108,0,0,1,0.5045045018196106,0.2777777910232544,0,0,[]],40,4262,[[0],[0],[0]],[[],[1,400,0,0],[]],[0,"berry",0,1]],[[2403,2404,0,
111,108,0,0,1,0.5045045018196106,0.2777777910232544,0,0,[]],40,4263,[[0],[0],[0]],[[],[1,400,0,0],[]],[0,"berry",0,1]],[[4503,942,0,111,108,0,0,1,0.5045045018196106,0.2777777910232544,0,0,[]],40,4264,[[0],[0],[0]],[[],[1,400,0,0],[]],[0,"berry",0,1]],[[6838,2472,0,111,108,0,0,1,0.5045045018196106,0.2777777910232544,0,0,[]],40,4265,[[0],[0],[0]],[[],[1,400,0,0],[]],[0,"berry",0,1]],[[6805,655,0,111,108,0,0,1,0.5045045018196106,0.2777777910232544,0,0,[]],40,4266,[[0],[0],[0]],[[],[1,400,0,0],[]],[0,
"berry",0,1]],[[9286,590,0,111,108,0,0,1,0.5045045018196106,0.2777777910232544,0,0,[]],40,4267,[[0],[0],[0]],[[],[1,400,0,0],[]],[0,"berry",0,1]],[[13456,2481,0,111,108,0,0,1,0.5045045018196106,0.2777777910232544,0,0,[]],40,4268,[[0],[0],[0]],[[],[1,400,0,0],[]],[0,"berry",0,1]],[[5280,1061,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,4269,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[5280,1334,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,4270,[[0],[0],
[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[5280,1622,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,4271,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[5280,1895,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,4272,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[5280,2213,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,4273,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[2916,2097,0,220,130,0,0,1,0.5,0.5,0,0,[]],32,4274,[],[[1,1,1,20,
10,2,0,500,0],[1]],[0,"Default",1,1]],[[6267,1976,0,220,130,0,0,1,0.5,0.5,0,0,[]],32,4275,[],[[1,1,1,20,10,2,0,500,0],[1]],[0,"Default",1,1]],[[7374,1976,0,220,130,0,0,1,0.5,0.5,0,0,[]],32,4276,[],[[1,1,1,20,10,2,0,500,0],[1]],[0,"Default",1,1]],[[7055,1286,0,220,130,0,0,1,0.5,0.5,0,0,[]],32,4277,[],[[1,1,1,20,0,2,0,500,0],[1]],[0,"Default",1,1]],[[6539,1286,0,220,130,0,0,1,0.5,0.5,0,0,[]],32,4278,[],[[1,1,1,20,0,2,0,500,0],[1]],[0,"Default",1,1]],[[6789,862,0,220,130,0,0,1,0.5,0.5,0,0,[]],32,4279,
[],[[1,1,1,20,10,2,0,500,0],[1]],[0,"Default",1,1]],[[10435,521,0,220,130,0,0,1,0.5,0.5,0,0,[]],32,4280,[],[[1,0,1,20,10,2,0,500,0],[1]],[0,"Default",1,1]],[[10943,968,0,220,130,0,0,1,0.5,0.5,0,0,[]],32,4281,[],[[1,0,1,20,10,2,0,500,0],[1]],[0,"Default",1,1]],[[10003,1188,0,220,130,0,0,1,0.5,0.5,0,0,[]],32,4282,[],[[1,0,1,20,10,2,0,500,0],[1]],[0,"Default",1,1]],[[12929,1453,0,220,130,0,0,1,0.5,0.5,0,0,[]],32,4283,[],[[1,1,1,20,10,2,0,500,0],[1]],[0,"Default",1,1]],[[11966,1468,0,220,130,0,0,1,0.5,
0.5,0,0,[]],32,4284,[],[[1,1,1,20,10,2,0,500,0],[1]],[0,"Default",1,1]],[[8563,2333,0,220,130,0,0,1,0.5,0.5,0,0,[]],32,4285,[],[[1,0,1,20,10,2,0,500,0],[1]],[0,"Default",1,1]],[[9897,2333,0,220,130,0,0,1,0.5,0.5,0,0,[]],32,4286,[],[[1,0,1,20,10,2,0,500,0],[1]],[0,"Default",1,1]],[[9101,1844,0,220,130,0,0,1,0.5,0.5,0,0,[]],32,4287,[],[[1,0,1,20,0,2,0,1E3,0],[1]],[0,"Default",1,1]],[[9222,1844,0,220,130,0,0,1,0.5,0.5,0,0,[]],32,4294,[],[[1,0,1,20,0,2,0,1E3,0],[1]],[0,"Default",1,1]],[[9328,1844,0,220,
130,0,0,1,0.5,0.5,0,0,[]],32,4296,[],[[1,0,1,20,0,2,0,1E3,0],[1]],[0,"Default",1,1]],[[9434,1844,0,220,130,0,0,1,0.5,0.5,0,0,[]],32,4297,[],[[1,0,1,20,0,2,0,1E3,0],[1]],[0,"Default",1,1]],[[7817,2242,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,4303,[[9],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[8014,2345,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,4304,[[9],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[7608,2345,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,
0,0,[]],28,4305,[[9],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[10627,2322,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,4306,[[9],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[10824,2425,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,4307,[[9],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[10418,2425,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,4308,[[9],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]]],[]],["general",5,0xf6a7c59c10edc,!0,
[255,255,255],!0,1,1,1,!1,1,0,0,[[[396,2376,0,142.8915710449219,142.8915710449219,0,0,1,0.5,0.5,0,0,[]],72,4144,[[0],[0]],[[]],[1,"Default",0,1]],[[-190,1332,0,153,198,0,0,1,0.5018315315246582,0.5,0,0,[]],42,4145,[[0],[0],[0],[0],[0],[0],[0],[3],[0]],[[],[]],[0,"Default",0,1]],[[4949,1,0,3883.591796875,2424.517578125,0,0,0.449999988079071,0.5,0,0,0,[]],75,4148,[],[[]],[0,"Default",0,1]],[[3989,-669,0,3883.591796875,2424.517578125,0,0,0.4000000059604645,0.5,0,0,0,[]],75,3889,[],[[]],[0,"Default",0,
1]],[[10159,1,0,3883.591796875,2424.517578125,0,0,0.449999988079071,0.5,0,0,0,[]],75,3993,[],[[]],[0,"Default",0,1]],[[8909,-79,0,3883.591796875,2424.517578125,0,0,0.4000000059604645,0.5,0,0,0,[]],75,3998,[],[[]],[0,"Default",0,1]],[[5138,742,0,1014,770,0,0,1,0.4940828382968903,0.43376624584198,0,0,[]],33,4298,[],[[1,1,2,15,0,0,0,50,0],[]],[0,"Default",0,1]],[[9818,702,0,1014,770,0,0,1,0.4940828382968903,0.43376624584198,0,0,[]],33,4299,[],[[1,1,2,15,0,0,0,50,0],[]],[0,"Default",0,1]],[[6665,1444,
0,128,128,0,0,1,0,0.5,0,0,[]],65,4300,[],[[]],[50,360,0,10,16,100,0,4E3,2E3,0,0,30,0,60,0,500,0,0,1]],[[2535,874,0,128,128,0,0,1,0,0.5,0,0,[]],65,4301,[],[[]],[50,360,0,10,16,100,0,4E3,2E3,0,0,30,0,60,0,500,0,0,1]],[[11685,1004,0,128,128,0,0,1,0,0.5,0,0,[]],65,4302,[],[[]],[50,360,0,10,16,100,0,4E3,2E3,0,0,30,0,60,0,500,0,0,1]],[[13828,2530,0,287,258,0,0,1,0.6059225797653198,0.875,0,0,[]],50,4141,[[1]],[[]],[0,"Default",1,1]],[[1242,-13,0,574,2594,0,0,1,0.5,0,0,0,[]],75,5197,[],[[]],[0,"Default",
0,1]],[[3049,-13,0,301,3502,0,0,1,0.5,0,0,0,[]],75,5198,[],[[]],[0,"Default",0,1]],[[2801,-18,0,574,1979,0,0,1,0.5,0,0,0,[]],75,5199,[],[[]],[0,"Default",0,1]]],[]],["gui",6,4865466380931211,!0,[255,255,255],!0,0,0,1,!1,1,0,0,[[[-462,-130,0,200,30,0,0,1,0,0,0,0,[]],68,4152,[[1]],[[1,0,4,1,1],[]],["\u041d\u0435 \u0432\u0441\u0435 \u0441\u043e\u0431\u0440\u0430\u043d\u043e",0,"12pt Arial","rgb(0,0,0)",0,0,0,0,0]]],[]],["black",7,9750457388619376,!0,[0,0,0],!1,1,1,0,!1,1,0,0,[],[]]],[],[]],["11",15500,
2989,!1,"eLv8-12",4511071848292433,[["b4",0,0x4bfdc1dd4a03b,!0,[255,255,255],!1,0.4000000059604645,0.4000000059604645,1,!1,1,0,0,[[[0,0,0,2302,2302,0,0,1,0,0,0,0,[]],44,4309,[],[[]],[0,"Default",1,1]]],[]],["b3",1,0x7eb4bc800efe6,!0,[255,255,255],!0,0.699999988079071,1,1,!1,1,0,0,[[[4296,1122,0,823.150390625,2307.628173828125,0,0,1,0.5,0.5,0,0,[]],95,4859,[],[[]],[0,"Default",0,1]],[[12806.75,1111.00830078125,0,-1108.2275390625,2242.9833984375,0,0,1,0.5007299184799194,0.5,0,0,[]],94,4851,[],[[]],
[0,"Default",0,1]],[[10026.0751953125,1143,0,823,2325,0,0,1,0.5,0.5,0,0,[]],95,4845,[],[[]],[0,"Default",0,1]],[[9718.94140625,534.11669921875,0,62.74767684936523,110.6340560913086,0,-2.98678183555603,1,0.5,0.5,0,0,[]],89,4846,[],[[]],[0,"Default",0,1]],[[9810.5869140625,1432.399169921875,0,62.74767303466797,110.6340560913086,0,-2.753058195114136,1,0.5,0.5,0,0,[]],89,4847,[],[[]],[0,"Default",0,1]],[[10079.7412109375,1043.52880859375,0,88.34211730957031,116.413444519043,0,0.4202716052532196,1,0.5046728849411011,
0.5035461187362671,0,0,[]],90,4848,[],[[]],[0,"Default",0,1]],[[10002.1318359375,546.5010986328125,0,108.982795715332,148.6129150390625,0,0.3452235758304596,1,0.5,0.5,0,0,[]],91,4849,[],[[]],[0,"Default",0,1]],[[10045.890625,1108.753295898438,0,76.23092651367188,103.9512710571289,0,0.3452235758304596,1,0.5,0.5,0,0,[]],91,4850,[],[[]],[0,"Default",0,1]],[[1012,2449.611328125,0,2048,608,0,0,1,0.5,0.501006007194519,0,0,[]],43,4312,[],[[]],[0,"Default",1,1]],[[3059,2448.611328125,0,2048,608,0,0,1,0.5,
0.501006007194519,0,0,[]],43,4313,[],[[]],[0,"Default",1,1]],[[-1035,2450.611328125,0,2048,608,0,0,1,0.5,0.501006007194519,0,0,[]],43,4314,[],[[]],[0,"Default",1,1]],[[5106,2448.611328125,0,2048,608,0,0,1,0.5,0.501006007194519,0,0,[]],43,4315,[],[[]],[0,"Default",1,1]],[[7126,2448.611328125,0,2048,608,0,0,1,0.5,0.501006007194519,0,0,[]],43,4316,[],[[]],[0,"Default",1,1]],[[9170,2426.879150390625,0,2048,608,0,0,1,0.5,0.501006007194519,0,0,[]],43,4317,[],[[]],[0,"Default",1,1]],[[11210,2426.879150390625,
0,2048,608,0,0,1,0.5,0.501006007194519,0,0,[]],43,4318,[],[[]],[0,"Default",1,1]],[[13258,2426.879150390625,0,2052,608,0,0,1,0.5,0.501006007194519,0,0,[]],43,4319,[],[[]],[0,"Default",1,1]],[[15300,2426.879150390625,0,2048,608,0,0,1,0.5,0.501006007194519,0,0,[]],43,4310,[],[[]],[0,"Default",1,1]],[[13225.2236328125,556.4668579101562,0,65.03883361816406,114.673713684082,0,0.1444065421819687,1,0.5,0.5,0,0,[]],89,4852,[],[[]],[0,"Default",0,1]],[[12306.9775390625,1874.358520507813,0,-65.03883361816406,
114.6737060546875,0,-0.2724318206310272,1,0.5,0.5,0,0,[]],89,4853,[],[[]],[0,"Default",0,1]],[[12357.46875,849.997314453125,0,-65.03883361816406,114.6737060546875,0,-0.1648183017969132,1,0.5,0.5,0,0,[]],89,4854,[],[[]],[0,"Default",0,1]],[[12570.556640625,2010.426635742188,0,116.9919738769531,154.1669464111328,0,0,1,0.5046728849411011,0.5035461187362671,0,0,[]],90,4855,[],[[]],[0,"Default",0,1]],[[13066.9052734375,1976.195678710938,0,87.84761810302734,115.761833190918,0,2.041762828826904,1,0.5046728849411011,
0.5035461187362671,0,0,[]],90,4856,[],[[]],[0,"Default",0,1]],[[12656.9892578125,1220.54736328125,0,62.47151565551758,80.4427490234375,0,0,1,0.5,0.5,0,0,[]],91,4857,[],[[]],[0,"Default",0,1]],[[12823.865234375,724.198486328125,0,112.9621658325195,154.0393371582031,0,-0.9435719847679138,1,0.5,0.5,0,0,[]],91,4858,[],[[]],[0,"Default",0,1]],[[3989,504,0,62.74767684936523,110.6340560913086,0,-2.98678183555603,1,0.5,0.5,0,0,[]],89,4860,[],[[]],[0,"Default",0,1]],[[4081,1402,0,62.74767303466797,110.6340560913086,
0,-2.753058195114136,1,0.5,0.5,0,0,[]],89,4861,[],[[]],[0,"Default",0,1]],[[4350,1014,0,88.34211730957031,116.413444519043,0,0.4202716052532196,1,0.5046728849411011,0.5035461187362671,0,0,[]],90,4862,[],[[]],[0,"Default",0,1]],[[4272,517,0,108.982795715332,148.6129150390625,0,0.3452235758304596,1,0.5,0.5,0,0,[]],91,4863,[],[[]],[0,"Default",0,1]],[[4316,1079,0,76.23092651367188,103.9512710571289,0,0.3452235758304596,1,0.5,0.5,0,0,[]],91,4864,[],[[]],[0,"Default",0,1]]],[]],["b2",2,4739891154780527,
!0,[255,255,255],!0,0.8500000238418579,1,1,!1,1,0,0,[[[2840,1306,0,-1295,2633,0,0,1,0.5007299184799194,0.5,0,0,[]],94,4320,[],[[]],[0,"Default",0,1]],[[4773,1389.5,0,997,2832,0,0,1,0.5,0.5,0,0,[]],95,4321,[],[[]],[0,"Default",0,1]],[[3329,664,0,76,134,0,0.1444065868854523,1,0.5,0.5,0,0,[]],89,4322,[],[[]],[0,"Default",0,1]],[[2256,2204,0,-76,134,0,-0.2724319100379944,1,0.5,0.5,0,0,[]],89,4323,[],[[]],[0,"Default",0,1]],[[2315,1007,0,-76,134,0,-0.1648183465003967,1,0.5,0.5,0,0,[]],89,4324,[],[[]],
[0,"Default",0,1]],[[4401,660,0,76,134,0,-2.98678183555603,1,0.5,0.5,0,0,[]],89,4325,[],[[]],[0,"Default",0,1]],[[4512,1748,0,76,134,0,-2.753058195114136,1,0.5,0.5,0,0,[]],89,4326,[],[[]],[0,"Default",0,1]],[[2564,2363,0,136.7089385986328,180.1491546630859,0,0,1,0.5046728849411011,0.5035461187362671,0,0,[]],90,4327,[],[[]],[0,"Default",0,1]],[[3144,2323,0,102.65283203125,135.271484375,0,2.041762590408325,1,0.5046728849411011,0.5035461187362671,0,0,[]],90,4328,[],[[]],[0,"Default",0,1]],[[4838,1277,
0,107,141,0,0.420271635055542,1,0.5046728849411011,0.5035461187362671,0,0,[]],90,4329,[],[[]],[0,"Default",0,1]],[[2665,1440,0,73,94,0,0,1,0.5,0.5,0,0,[]],91,4330,[],[[]],[0,"Default",0,1]],[[2860,860,0,132,180,0,-0.9435721039772034,1,0.5,0.5,0,0,[]],91,4331,[],[[]],[0,"Default",0,1]],[[4744,675,0,132,180,0,0.3452235460281372,1,0.5,0.5,0,0,[]],91,4332,[],[[]],[0,"Default",0,1]],[[4797,1356,0,92.33092498779297,125.9058074951172,0,0.3452235460281372,1,0.5,0.5,0,0,[]],91,4333,[],[[]],[0,"Default",0,
1]],[[8101,1307,0,1295,2651,0,0,1,0.5007299184799194,0.5,0,0,[]],94,4334,[],[[]],[0,"Default",0,1]],[[8478,554,0,76,134,0,0,1,0.5,0.5,0,0,[]],89,4335,[],[[]],[0,"Default",0,1]],[[7498,2411,0,-76,134,0,-0.2724319100379944,1,0.5,0.5,0,0,[]],89,4336,[],[[]],[0,"Default",0,1]],[[7556,863,0,-76,134,0,-0.3750368356704712,1,0.5,0.5,0,0,[]],89,4337,[],[[]],[0,"Default",0,1]],[[8288,1370,0,136.7089385986328,180.1491546630859,0,0,1,0.5046728849411011,0.5035461187362671,0,0,[]],90,4338,[],[[]],[0,"Default",
0,1]],[[8510,2466,0,146.2562561035156,192.7302093505859,0,-0.9633231163024902,1,0.5046728849411011,0.5035461187362671,0,0,[]],90,4339,[],[[]],[0,"Default",0,1]],[[8169,1318,0,73,94,0,0,1,0.5,0.5,0,0,[]],91,4340,[],[[]],[0,"Default",0,1]],[[8298,1542,0,132,180,0,-0.9435721039772034,1,0.5,0.5,0,0,[]],91,4341,[],[[]],[0,"Default",0,1]],[[7183,1393,0,997,2825,0,0,1,0.5,0.5,0,0,[]],95,4311,[],[[]],[0,"Default",0,1]],[[6811,660,0,76,134,0,-2.98678183555603,1,0.5,0.5,0,0,[]],89,4840,[],[[]],[0,"Default",
0,1]],[[6922,1748,0,76,134,0,-2.753058195114136,1,0.5,0.5,0,0,[]],89,4841,[],[[]],[0,"Default",0,1]],[[7248,1277,0,107,141,0,0.420271635055542,1,0.5046728849411011,0.5035461187362671,0,0,[]],90,4842,[],[[]],[0,"Default",0,1]],[[7154,675,0,132,180,0,0.3452235460281372,1,0.5,0.5,0,0,[]],91,4843,[],[[]],[0,"Default",0,1]],[[7207,1356,0,92.33092498779297,125.9058074951172,0,0.3452235460281372,1,0.5,0.5,0,0,[]],91,4844,[],[[]],[0,"Default",0,1]]],[]],["b1",3,956971936989163,!0,[255,255,255],!0,1,1,1,!1,
1,0,0,[[[10435,2072,0,1097,369,0,1.570796370506287,1,0.5004887580871582,0.5,0,0,[]],26,4361,[],[[1],[]],[0,"Default",0,1]],[[10421,2505,0,489.1394958496094,374.00732421875,0,1.570796370506287,1,0.7122207880020142,0.4608695507049561,0,0,[]],122,4362,[],[[]],[0,"Default",0,1]],[[10400,1670.0556640625,0,427.9787292480469,360.2898559570313,0,1.570796370506287,1,0.3641703426837921,0.5009041428565979,0,0,[]],123,4363,[],[[]],[0,"Default",0,1]],[[10325,2048,0,217.8126220703125,210.3196716308594,0,1.570796370506287,
1,0.5,0.5015479922294617,0,0,[]],124,4364,[],[[]],[0,"Default",0,1]],[[10547,2107,0,232,221,0,-1.570796489715576,1,0.5,0.5015479922294617,0,0,[]],124,4365,[],[[]],[0,"Default",0,1]],[[10455,1650.3916015625,0,484.3774108886719,374.00732421875,0,-1.570796489715576,1,0.7122207880020142,0.4608695507049561,0,0,[]],122,4366,[],[[]],[0,"Default",0,1]],[[10476,2488,0,437.5028991699219,360.2898559570313,0,-1.570796489715576,1,0.3641703426837921,0.5009041428565979,0,0,[]],123,4367,[],[[]],[0,"Default",0,1]],
[[10438.27734375,1544.6875,0,222,-132,0,3.141592741012573,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4368,[],[[]],[0,"Default",1,1]],[[10298.603515625,1538.867919921875,0,222,-132,0,3.141592741012573,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4369,[],[[]],[0,"Default",1,1]],[[10580.2412109375,1544.684204101563,0,222,-132,0,3.141592741012573,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4370,[],[[]],[0,"Default",1,1]],[[5025.52978515625,1730,0,1084,340,0,0,1,0.5004887580871582,
0.5,0,0,[]],26,4674,[],[[1],[]],[0,"Default",0,1]],[[4492,1837,0,232,221,0,0,1,0.5,0.5015479922294617,0,0,[]],124,4161,[],[[]],[0,"Default",0,1]],[[6047,1730,0,1023,340,0,0,1,0.5004887580871582,0.5,0,0,[]],22,4675,[],[[1],[]],[0,"Default",0,1]],[[4317,2090.48095703125,0,1062,340,0,-1.570796370506287,1,0.5004887580871582,0.5,0,0,[]],26,4695,[],[[1],[]],[0,"Default",0,1]],[[4284,2517.159423828125,0,469.1692504882813,374.00732421875,0,1.570796370506287,1,0.7122207880020142,0.4608695507049561,0,0,[]],
122,4004,[],[[]],[0,"Default",0,1]],[[4263,1710.4951171875,0,419.6408386230469,360.2898559570313,0,1.570796370506287,1,0.3641703426837921,0.5009041428565979,0,0,[]],123,4005,[],[[]],[0,"Default",0,1]],[[4188,2078.8173828125,0,208.919921875,210.3196716308594,0,1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,4006,[],[[]],[0,"Default",0,1]],[[4410,2135.40869140625,0,222.528076171875,221,0,-1.570796489715576,1,0.5,0.5015479922294617,0,0,[]],124,4007,[],[[]],[0,"Default",0,1]],[[4339,2500.853515625,
0,419.6408386230469,360.2898559570313,0,-1.570796489715576,1,0.3641703426837921,0.5009041428565979,0,0,[]],123,4011,[],[[]],[0,"Default",0,1]],[[9582.001953125,2515.337646484375,0,172,206,0,0,1,0.5023255944252014,0.5011441707611084,0,0,[]],93,4895,[],[[]],[0,"Default",0,1]],[[9505,2482,0,172,275,0,0,1,0.5023255944252014,0.5011441707611084,0,0,[]],93,4896,[],[[]],[0,"Default",0,1]],[[9758,2494,0,122.1015930175781,248.1785888671875,0,0,1,0.5023255944252014,0.5011441707611084,0,0,[]],93,4897,[],[[]],
[0,"Default",0,1]],[[9681,2532,0,122.3953323364258,174.1755981445313,0,0,1,0.5023255944252014,0.5011441707611084,0,0,[]],93,4898,[],[[]],[0,"Default",0,1]],[[9902,2479,0,136.8003845214844,278.0547485351563,0,0,1,0.5023255944252014,0.5011441707611084,0,0,[]],93,4899,[],[[]],[0,"Default",0,1]],[[9825,2517,0,137.0941162109375,204.0517578125,0,0,1,0.5023255944252014,0.5011441707611084,0,0,[]],93,4900,[],[[]],[0,"Default",0,1]],[[8095,2524,0,97.59325408935547,201.8074493408203,0,0,1,0.5023255944252014,
0.5011441707611084,0,0,[]],93,4901,[],[[]],[0,"Default",0,1]],[[8013,2574,0,87.48944854736328,103.2273559570313,0,0,1,0.5023255944252014,0.5011441707611084,0,0,[]],93,4902,[],[[]],[0,"Default",0,1]],[[8264,2481,0,136.6614379882813,282.5942993164063,0,0,1,0.5023255944252014,0.5011441707611084,0,0,[]],93,4903,[],[[]],[0,"Default",0,1]],[[8177,2525,0,136.9902038574219,198.3290863037109,0,0,1,0.5023255944252014,0.5011441707611084,0,0,[]],93,4904,[],[[]],[0,"Default",0,1]],[[8426,2464,0,153.1129760742188,
316.6134948730469,0,0,1,0.5023255944252014,0.5011441707611084,0,0,[]],93,4905,[],[[]],[0,"Default",0,1]],[[8340,2508,0,153.4417266845703,232.3482666015625,0,0,1,0.5023255944252014,0.5011441707611084,0,0,[]],93,4906,[],[[]],[0,"Default",0,1]],[[8597,2445,0,171.7062683105469,349.0029907226563,0,0,1,0.5023255944252014,0.5011441707611084,0,0,[]],93,4693,[],[[]],[0,"Default",0,1]],[[8520,2483,0,172,275,0,0,1,0.5023255944252014,0.5011441707611084,0,0,[]],93,4694,[],[[]],[0,"Default",0,1]],[[8772.0810546875,
2495.296630859375,0,122.1015930175781,248.1785888671875,0,0,1,0.5023255944252014,0.5011441707611084,0,0,[]],93,4528,[],[[]],[0,"Default",0,1]],[[8695.0810546875,2533.296630859375,0,122.3953323364258,174.1755981445313,0,0,1,0.5023255944252014,0.5011441707611084,0,0,[]],93,4886,[],[[]],[0,"Default",0,1]],[[8916.46484375,2480.392822265625,0,136.8003845214844,278.0547485351563,0,0,1,0.5023255944252014,0.5011441707611084,0,0,[]],93,4887,[],[[]],[0,"Default",0,1]],[[8839.46484375,2518.392822265625,0,137.0941162109375,
204.0517578125,0,0,1,0.5023255944252014,0.5011441707611084,0,0,[]],93,4888,[],[[]],[0,"Default",0,1]],[[9096.6875,2518.13232421875,0,97.59325408935547,201.8074493408203,0,0,1,0.5023255944252014,0.5011441707611084,0,0,[]],93,4889,[],[[]],[0,"Default",0,1]],[[9014.46484375,2568.392822265625,0,87.48944854736328,103.2273559570313,0,0,1,0.5023255944252014,0.5011441707611084,0,0,[]],93,4890,[],[[]],[0,"Default",0,1]],[[9265.173828125,2475.55419921875,0,136.6614379882813,282.5942993164063,0,0,1,0.5023255944252014,
0.5011441707611084,0,0,[]],93,4891,[],[[]],[0,"Default",0,1]],[[9178.9912109375,2518.82373046875,0,136.9902038574219,198.3290863037109,0,0,1,0.5023255944252014,0.5011441707611084,0,0,[]],93,4892,[],[[]],[0,"Default",0,1]],[[9427.4619140625,2522.134765625,0,153,189,0,0,1,0.5023255944252014,0.5011441707611084,0,0,[]],93,4893,[],[[]],[0,"Default",0,1]],[[9341.2822265625,2501.74365234375,0,153.4417266845703,232.3482666015625,0,0,1,0.5023255944252014,0.5011441707611084,0,0,[]],93,4894,[],[[]],[0,"Default",
0,1]],[[11346,2422,0,431.8849487304688,397.1497192382813,0,0,1,0.5005753636360168,0.5,0,0,[]],80,4342,[],[[]],[0,"Default",0,1]],[[11489,2523,0,-209.0449981689453,192.2317352294922,0,0,1,0.5005753636360168,0.5,0,0,[]],80,4865,[],[[]],[0,"Default",0,1]],[[11398,2553,0,145.2024078369141,133.5239410400391,0,0,1,0.5005753636360168,0.5,0,0,[]],80,4870,[],[[]],[0,"Default",0,1]],[[380,2811,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,4384,[],[[1],[]],[0,"Default",0,1]],[[4,2645,0,222,132,0,0,1,0.5315315127372742,
0.2651515007019043,0,0,[]],23,2382,[],[[]],[0,"Default",1,1]],[[1380,2811,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,4385,[],[[1],[]],[0,"Default",0,1]],[[2375,2811,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,4386,[],[[1],[]],[0,"Default",0,1]],[[3357,2811,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,4387,[],[[1],[]],[0,"Default",0,1]],[[4339,2811,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,4388,[],[[1],[]],[0,"Default",0,1]],[[5212,2811,0,1023,356,0,0,1,0.5004887580871582,
0.5,0,0,[]],22,4389,[],[[1],[]],[0,"Default",0,1]],[[147,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4390,[],[[]],[0,"Default",1,1]],[[267,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4391,[],[[]],[0,"Default",1,1]],[[384,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4392,[],[[]],[0,"Default",1,1]],[[502,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4393,[],[[]],[0,"Default",1,1]],[[614,2645,0,222,132,
0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4394,[],[[]],[0,"Default",1,1]],[[726,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4395,[],[[]],[0,"Default",1,1]],[[843,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4396,[],[[]],[0,"Default",1,1]],[[963,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4397,[],[[]],[0,"Default",1,1]],[[1081,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4398,[],[[]],
[0,"Default",1,1]],[[2158,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4407,[],[[]],[0,"Default",1,1]],[[2279,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4408,[],[[]],[0,"Default",1,1]],[[2399,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4409,[],[[]],[0,"Default",1,1]],[[2518,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4410,[],[[]],[0,"Default",1,1]],[[2640,2645,0,222,132,0,0,1,0.5315315127372742,
0.2651515007019043,0,0,[]],23,4411,[],[[]],[0,"Default",1,1]],[[2762,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4412,[],[[]],[0,"Default",1,1]],[[2884,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4413,[],[[]],[0,"Default",1,1]],[[3006,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4414,[],[[]],[0,"Default",1,1]],[[3125,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4415,[],[[]],[0,"Default",1,1]],[[3246,
2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4416,[],[[]],[0,"Default",1,1]],[[3366,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4417,[],[[]],[0,"Default",1,1]],[[3487,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4418,[],[[]],[0,"Default",1,1]],[[3603,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4419,[],[[]],[0,"Default",1,1]],[[3721,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],
23,4420,[],[[]],[0,"Default",1,1]],[[3843,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4421,[],[[]],[0,"Default",1,1]],[[3964,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4422,[],[[]],[0,"Default",1,1]],[[4085,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4423,[],[[]],[0,"Default",1,1]],[[4204,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4424,[],[[]],[0,"Default",1,1]],[[4322,2645,0,222,132,0,0,1,0.5315315127372742,
0.2651515007019043,0,0,[]],23,4425,[],[[]],[0,"Default",1,1]],[[4444,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4426,[],[[]],[0,"Default",1,1]],[[4566,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4427,[],[[]],[0,"Default",1,1]],[[4685,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4428,[],[[]],[0,"Default",1,1]],[[4806,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4429,[],[[]],[0,"Default",1,1]],[[4923,
2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4430,[],[[]],[0,"Default",1,1]],[[5039,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4431,[],[[]],[0,"Default",1,1]],[[5162,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4432,[],[[]],[0,"Default",1,1]],[[5282,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4433,[],[[]],[0,"Default",1,1]],[[5402,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],
23,4434,[],[[]],[0,"Default",1,1]],[[2262,2861,0,97.38150787353516,71.16340637207031,0,0,1,0.5,0.5025380849838257,0,0,[]],35,4435,[],[[]],[0,"Default",0,1]],[[2981,2542,0,459,203,0,-0.2307646572589874,1,0.501089334487915,0.5024630427360535,0,0,[]],84,4440,[],[[]],[0,"Default",0,1]],[[4945,2536,0,335,201,0,0,1,0.5014925599098206,0.5024875402450562,0,0,[]],85,4441,[],[[]],[0,"Default",0,1]],[[11088,2557,0,257,146,0,0.1058126538991928,1,0.5019454956054688,0.5,0,0,[]],86,4442,[],[[]],[0,"Default",0,1]],
[[3602,2556,0,464,129,0,0,1,0.5,0.5038759708404541,0,0,[]],88,4443,[],[[]],[0,"Default",0,1]],[[1971,800,0,171.7062683105469,349.0029907226563,0,0,1,0.5023255944252014,0.5011441707611084,0,0,[]],93,4444,[],[[]],[0,"Default",0,1]],[[6047,2811,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,4445,[],[[1],[]],[0,"Default",0,1]],[[7029,2811,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,4446,[],[[1],[]],[0,"Default",0,1]],[[7902,2811,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,4447,[],[[1],
[]],[0,"Default",0,1]],[[5574,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4448,[],[[]],[0,"Default",1,1]],[[5696,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4449,[],[[]],[0,"Default",1,1]],[[5815,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4450,[],[[]],[0,"Default",1,1]],[[5936,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4451,[],[[]],[0,"Default",1,1]],[[6056,2645,0,222,132,0,0,1,0.5315315127372742,
0.2651515007019043,0,0,[]],23,4452,[],[[]],[0,"Default",1,1]],[[6177,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4453,[],[[]],[0,"Default",1,1]],[[6293,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4454,[],[[]],[0,"Default",1,1]],[[6411,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4455,[],[[]],[0,"Default",1,1]],[[6533,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4456,[],[[]],[0,"Default",1,1]],[[6654,
2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4457,[],[[]],[0,"Default",1,1]],[[6775,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4458,[],[[]],[0,"Default",1,1]],[[6894,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4459,[],[[]],[0,"Default",1,1]],[[7012,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4460,[],[[]],[0,"Default",1,1]],[[7134,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],
23,4461,[],[[]],[0,"Default",1,1]],[[7256,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4462,[],[[]],[0,"Default",1,1]],[[7375,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4463,[],[[]],[0,"Default",1,1]],[[7496,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4464,[],[[]],[0,"Default",1,1]],[[7613,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4465,[],[[]],[0,"Default",1,1]],[[7729,2645,0,222,132,0,0,1,0.5315315127372742,
0.2651515007019043,0,0,[]],23,4466,[],[[]],[0,"Default",1,1]],[[7852,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4467,[],[[]],[0,"Default",1,1]],[[7972,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4468,[],[[]],[0,"Default",1,1]],[[8092,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4469,[],[[]],[0,"Default",1,1]],[[3367,2992,0,-895.22998046875,643.118408203125,0,0.02994299307465553,1,0.5006518959999084,0.5009074211120605,0,
0,[]],79,4470,[],[[]],[0,"Default",0,1]],[[8881,2810,0,1023,362,0,0,1,0.5004887580871582,0.5,0,0,[]],22,4471,[],[[1],[]],[0,"Default",0,1]],[[8242,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4481,[],[[]],[0,"Default",1,1]],[[8362,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4482,[],[[]],[0,"Default",1,1]],[[8502,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4483,[],[[]],[0,"Default",1,1]],[[8632,2645,0,222,132,0,0,1,0.5315315127372742,
0.2651515007019043,0,0,[]],23,4484,[],[[]],[0,"Default",1,1]],[[9840,2811,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,4485,[],[[1],[]],[0,"Default",0,1]],[[10840,2811,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,4486,[],[[1],[]],[0,"Default",0,1]],[[11835,2811,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,4487,[],[[1],[]],[0,"Default",0,1]],[[12817,2811,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,4488,[],[[1],[]],[0,"Default",0,1]],[[8757,2645,0,222,132,0,0,1,0.5315315127372742,
0.2651515007019043,0,0,[]],23,4489,[],[[]],[0,"Default",1,1]],[[8877,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4490,[],[[]],[0,"Default",1,1]],[[8994,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4491,[],[[]],[0,"Default",1,1]],[[9112,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4492,[],[[]],[0,"Default",1,1]],[[9224,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4493,[],[[]],[0,"Default",1,1]],[[9336,
2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4494,[],[[]],[0,"Default",1,1]],[[9453,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4495,[],[[]],[0,"Default",1,1]],[[9573,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4496,[],[[]],[0,"Default",1,1]],[[9691,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4497,[],[[]],[0,"Default",1,1]],[[9810,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],
23,4498,[],[[]],[0,"Default",1,1]],[[9930,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4499,[],[[]],[0,"Default",1,1]],[[10049,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4500,[],[[]],[0,"Default",1,1]],[[10169,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4501,[],[[]],[0,"Default",1,1]],[[10288,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4502,[],[[]],[0,"Default",1,1]],[[10409,2645,0,222,132,0,0,
1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4503,[],[[]],[0,"Default",1,1]],[[10528,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4504,[],[[]],[0,"Default",1,1]],[[10647,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4505,[],[[]],[0,"Default",1,1]],[[10768,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4506,[],[[]],[0,"Default",1,1]],[[10889,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4507,[],[[]],
[0,"Default",1,1]],[[11009,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4508,[],[[]],[0,"Default",1,1]],[[11128,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4509,[],[[]],[0,"Default",1,1]],[[11250,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4510,[],[[]],[0,"Default",1,1]],[[11372,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4511,[],[[]],[0,"Default",1,1]],[[11494,2645,0,222,132,0,0,1,0.5315315127372742,
0.2651515007019043,0,0,[]],23,4512,[],[[]],[0,"Default",1,1]],[[11616,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4513,[],[[]],[0,"Default",1,1]],[[11735,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4514,[],[[]],[0,"Default",1,1]],[[11856,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4515,[],[[]],[0,"Default",1,1]],[[11976,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4516,[],[[]],[0,"Default",1,1]],
[[2306,2559,0,464,-129,0,-0.1745329201221466,1,0.5,0.5038759708404541,0,0,[]],88,4517,[],[[]],[0,"Default",0,1]],[[10905,2554,0,464,129,0,0,1,0.5,0.5038759708404541,0,0,[]],88,4518,[],[[]],[0,"Default",0,1]],[[2266,2521,0,91.97818756103516,61.31893157958984,0,-0.2899357080459595,1,0.2504779994487763,0.6710526347160339,0,0,[]],76,4525,[],[[]],[0,"Default",0,1]],[[818,855,0,172,275,0,0,1,0.5023255944252014,0.5011441707611084,0,0,[]],93,4526,[],[[]],[0,"Default",0,1]],[[5729,2577,0,103.7496948242188,
99.31594848632812,0,0,1,0.504273533821106,0.5,0,0,[]],77,4527,[],[[]],[0,"Default",0,1]],[[9701,2879,0,240.818359375,232.1791381835938,0,-1.683364152908325,1,0.5022421479225159,0.5023255944252014,0,0,[]],34,4545,[],[[]],[0,"Default",0,1]],[[13697,2811,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,4546,[],[[1],[]],[0,"Default",0,1]],[[12138,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4547,[],[[]],[0,"Default",1,1]],[[12257,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,
0,0,[]],23,4548,[],[[]],[0,"Default",1,1]],[[12378,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4549,[],[[]],[0,"Default",1,1]],[[12499,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4550,[],[[]],[0,"Default",1,1]],[[12619,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4551,[],[[]],[0,"Default",1,1]],[[12738,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4552,[],[[]],[0,"Default",1,1]],[[12860,2645,0,222,
132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4553,[],[[]],[0,"Default",1,1]],[[12982,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4554,[],[[]],[0,"Default",1,1]],[[13104,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4555,[],[[]],[0,"Default",1,1]],[[13226,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4556,[],[[]],[0,"Default",1,1]],[[13345,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4557,
[],[[]],[0,"Default",1,1]],[[13466,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4558,[],[[]],[0,"Default",1,1]],[[13586,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4559,[],[[]],[0,"Default",1,1]],[[13708,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4560,[],[[]],[0,"Default",1,1]],[[13827,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4561,[],[[]],[0,"Default",1,1]],[[13948,2645,0,222,132,0,0,1,0.5315315127372742,
0.2651515007019043,0,0,[]],23,4562,[],[[]],[0,"Default",1,1]],[[14069,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4563,[],[[]],[0,"Default",1,1]],[[11254,2254,0,-220,201,0,-0.3127337694168091,1,0.5,0.5024875402450562,0,0,[]],87,4573,[],[[]],[0,"Default",0,1]],[[4824,2950,0,494.4093017578125,355.1753845214844,0,-0.08075869083404541,1,0.5006518959999084,0.5009074211120605,0,0,[]],79,4574,[],[[]],[0,"Default",0,1]],[[5934.3662109375,2833.032470703125,0,277.8482971191406,263.1543884277344,
0,1.276554703712463,1,0.5,0.5025380849838257,0,0,[]],35,4575,[],[[]],[0,"Default",0,1]],[[14677,2811,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,4866,[],[[1],[]],[0,"Default",0,1]],[[14189,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4564,[],[[]],[0,"Default",1,1]],[[14308,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4565,[],[[]],[0,"Default",1,1]],[[14430,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4566,[],[[]],[0,
"Default",1,1]],[[14552,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4567,[],[[]],[0,"Default",1,1]],[[15677,2811,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,4867,[],[[1],[]],[0,"Default",0,1]],[[14674,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4568,[],[[]],[0,"Default",1,1]],[[14796,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4569,[],[[]],[0,"Default",1,1]],[[14915,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,
0,0,[]],23,4570,[],[[]],[0,"Default",1,1]],[[15036,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4571,[],[[]],[0,"Default",1,1]],[[15156,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4572,[],[[]],[0,"Default",1,1]],[[15286,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4868,[],[[]],[0,"Default",1,1]],[[15406,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4869,[],[[]],[0,"Default",1,1]],[[6257.00244140625,
2533.57275390625,0,110.0678024291992,160.6736755371094,0,0,1,0.5012722611427307,0.5,0,0,[]],92,4383,[],[[]],[0,"Default",0,1]],[[6312.43408203125,2562.90966796875,0,83,106,0,0,1,0.5012722611427307,0.5,0,0,[]],92,4519,[],[[]],[0,"Default",0,1]],[[6352.00244140625,2531.57275390625,0,83,166,0,0,1,0.5012722611427307,0.5,0,0,[]],92,4520,[],[[]],[0,"Default",0,1]],[[6399.00244140625,2561.57275390625,0,-83,106,0,0,1,0.5012722611427307,0.5,0,0,[]],92,4521,[],[[]],[0,"Default",0,1]],[[6453.00244140625,2547.07275390625,
0,83,137,0,0,1,0.5012722611427307,0.5,0,0,[]],92,4522,[],[[]],[0,"Default",0,1]],[[6491.94873046875,2550.57275390625,0,-125,128,0,0,1,0.5012722611427307,0.5,0,0,[]],92,4523,[],[[]],[0,"Default",0,1]],[[6573.00244140625,2565.57275390625,0,-83,106,0,0,1,0.5012722611427307,0.5,0,0,[]],92,4524,[],[[]],[0,"Default",0,1]],[[6639.0947265625,2550.630615234375,0,96.28771209716797,140.5579071044922,0,0,1,0.5012722611427307,0.5,0,0,[]],92,4697,[],[[]],[0,"Default",0,1]],[[6720.001953125,2512.90966796875,0,110,
210,0,0,1,0.5012722611427307,0.5,0,0,[]],92,4698,[],[[]],[0,"Default",0,1]],[[6776.00244140625,2566.57275390625,0,83,106,0,0,1,0.5012722611427307,0.5,0,0,[]],92,4699,[],[[]],[0,"Default",0,1]],[[6815.00244140625,2548.07275390625,0,83,141,0,0,1,0.5012722611427307,0.5,0,0,[]],92,4700,[],[[]],[0,"Default",0,1]],[[6862.00244140625,2565.57275390625,0,-83,106,0,0,1,0.5012722611427307,0.5,0,0,[]],92,4701,[],[[]],[0,"Default",0,1]],[[6916.00244140625,2550.57275390625,0,83,137,0,0,1,0.5012722611427307,0.5,
0,0,[]],92,4702,[],[[]],[0,"Default",0,1]],[[7036.00244140625,2569.57275390625,0,-83,106,0,0,1,0.5012722611427307,0.5,0,0,[]],92,4871,[],[[]],[0,"Default",0,1]],[[7125.48193359375,2520.38525390625,0,143.1272888183594,208.9329071044922,0,0,1,0.5012722611427307,0.5,0,0,[]],92,4872,[],[[]],[0,"Default",0,1]],[[7196.00244140625,2566.57275390625,0,83,106,0,0,1,0.5012722611427307,0.5,0,0,[]],92,4873,[],[[]],[0,"Default",0,1]],[[7235.00244140625,2548.07275390625,0,83,141,0,0,1,0.5012722611427307,0.5,0,0,
[]],92,4874,[],[[]],[0,"Default",0,1]],[[7282.00244140625,2565.57275390625,0,-83,106,0,0,1,0.5012722611427307,0.5,0,0,[]],92,4875,[],[[]],[0,"Default",0,1]],[[7336.00244140625,2550.57275390625,0,83,137,0,0,1,0.5012722611427307,0.5,0,0,[]],92,4876,[],[[]],[0,"Default",0,1]],[[7375.00244140625,2554.57275390625,0,-125,128,0,0,1,0.5012722611427307,0.5,0,0,[]],92,4877,[],[[]],[0,"Default",0,1]],[[7456.00244140625,2569.57275390625,0,-83,106,0,0,1,0.5012722611427307,0.5,0,0,[]],92,4878,[],[[]],[0,"Default",
0,1]],[[5816.00244140625,2550.57275390625,0,83,137,0,0,1,0.5012722611427307,0.5,0,0,[]],92,4879,[],[[]],[0,"Default",0,1]],[[5855.00244140625,2554.57275390625,0,-125,128,0,0,1,0.5012722611427307,0.5,0,0,[]],92,4880,[],[[]],[0,"Default",0,1]],[[5936.00244140625,2569.57275390625,0,-83,106,0,0,1,0.5012722611427307,0.5,0,0,[]],92,4881,[],[[]],[0,"Default",0,1]],[[6025.48193359375,2520.38525390625,0,143.1272888183594,208.9329071044922,0,0,1,0.5012722611427307,0.5,0,0,[]],92,4882,[],[[]],[0,"Default",0,
1]],[[6096.00244140625,2566.57275390625,0,83,106,0,0,1,0.5012722611427307,0.5,0,0,[]],92,4883,[],[[]],[0,"Default",0,1]],[[6135.00244140625,2548.07275390625,0,83,141,0,0,1,0.5012722611427307,0.5,0,0,[]],92,4884,[],[[]],[0,"Default",0,1]],[[6182.00244140625,2565.57275390625,0,-83,106,0,0,1,0.5012722611427307,0.5,0,0,[]],92,4885,[],[[]],[0,"Default",0,1]],[[6973,2516,0,264,180,0,-3.042089462280273,1,0.5,0.5,0,0,[]],82,4439,[],[[]],[0,"Default",0,1]],[[6955.00244140625,2554.57275390625,0,-125,128,0,
0,1,0.5012722611427307,0.5,0,0,[]],92,4703,[],[[]],[0,"Default",0,1]],[[10070,2527,0,319,194,0,-0.01434406731277704,1,0.5015674233436584,0.5,0,0,[]],81,4438,[],[[]],[0,"Default",0,1]],[[12136,2582,0,250,160,0,0,1,0.5492125749588013,0.6478873491287231,0,0,[]],70,4958,[[3]],[[]],[0,"Default",0,1]],[[11889,2582,0,250,160,0,0,1,0.5492125749588013,0.6478873491287231,0,0,[]],70,4959,[[3]],[[]],[0,"Default",0,1]],[[12639,2588,0,250,160,0,0,1,0.5492125749588013,0.6478873491287231,0,0,[]],70,4960,[[3]],[[]],
[0,"Default",0,1]],[[12392,2588,0,250,160,0,0,1,0.5492125749588013,0.6478873491287231,0,0,[]],70,4961,[[3]],[[]],[0,"Default",0,1]],[[13139,2588,0,250,160,0,0,1,0.5492125749588013,0.6478873491287231,0,0,[]],70,4962,[[3]],[[]],[0,"Default",0,1]],[[12892,2588,0,250,160,0,0,1,0.5492125749588013,0.6478873491287231,0,0,[]],70,4963,[[3]],[[]],[0,"Default",0,1]],[[13639,2588,0,250,160,0,0,1,0.5492125749588013,0.6478873491287231,0,0,[]],70,4964,[[3]],[[]],[0,"Default",0,1]],[[13392,2588,0,250,160,0,0,1,0.5492125749588013,
0.6478873491287231,0,0,[]],70,4965,[[3]],[[]],[0,"Default",0,1]],[[14139,2588,0,250,160,0,0,1,0.5492125749588013,0.6478873491287231,0,0,[]],70,4966,[[3]],[[]],[0,"Default",0,1]],[[13892,2588,0,250,160,0,0,1,0.5492125749588013,0.6478873491287231,0,0,[]],70,4967,[[3]],[[]],[0,"Default",0,1]],[[15538,2836,0,457,305,0,0,1,0.5010941028594971,0.5016393661499023,0,0,[]],54,4576,[],[[]],[0,"Default",0,1]],[[4603,1579,0,284.0855102539063,168.9157562255859,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],
23,4052,[],[[]],[0,"Default",1,1]],[[4757,1581,0,284.0855102539063,168.9157562255859,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4053,[],[[]],[0,"Default",1,1]],[[4911,1579,0,284.0855102539063,168.9157562255859,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4054,[],[[]],[0,"Default",1,1]],[[5065,1579,0,284.0855102539063,168.9157562255859,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4055,[],[[]],[0,"Default",1,1]],[[5220,1579,0,284.0855102539063,168.9157562255859,0,0,1,
0.5315315127372742,0.2651515007019043,0,0,[]],23,4056,[],[[]],[0,"Default",1,1]],[[5361,1579,0,284.0855102539063,168.9157562255859,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4057,[],[[]],[0,"Default",1,1]],[[5500,1577,0,284.0855102539063,168.9157562255859,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4108,[],[[]],[0,"Default",1,1]],[[5641,1577,0,284.0855102539063,168.9157562255859,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4109,[],[[]],[0,"Default",1,1]],[[5782,1577,
0,284.0855102539063,168.9157562255859,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4142,[],[[]],[0,"Default",1,1]],[[6471,1759,0,454.2306518554688,347.3151550292969,0,0,1,0.7122207880020142,0.4608695507049561,0,0,[]],122,4151,[],[[]],[0,"Default",0,1]],[[5875,1837,0,232,221,0,0,1,0.5,0.5015479922294617,0,0,[]],124,4153,[],[[]],[0,"Default",0,1]],[[5644,1837,0,232,221,0,0,1,0.5,0.5015479922294617,0,0,[]],124,4155,[],[[]],[0,"Default",0,1]],[[5414,1837,0,232,221,0,0,1,0.5,0.5015479922294617,
0,0,[]],124,4156,[],[[]],[0,"Default",0,1]],[[5183,1837,0,232,221,0,0,1,0.5,0.5015479922294617,0,0,[]],124,4157,[],[[]],[0,"Default",0,1]],[[6070,1837,0,162.1070556640625,221,0,0,1,0.5,0.5015479922294617,0,0,[]],124,4158,[],[[]],[0,"Default",0,1]],[[5922,1577,0,284.0855102539063,168.9157562255859,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4143,[],[[]],[0,"Default",1,1]],[[6071,1576,0,284.0855102539063,168.9157562255859,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4146,[],[[]],
[0,"Default",1,1]],[[6212,1576,0,284.0855102539063,168.9157562255859,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4147,[],[[]],[0,"Default",1,1]],[[6363,1576,0,284.0855102539063,168.9157562255859,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4149,[],[[]],[0,"Default",1,1]],[[6503,1576,0,284.0855102539063,168.9157562255859,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4150,[],[[]],[0,"Default",1,1]],[[5414,1837,0,232,221,0,0,1,0.5,0.5015479922294617,0,0,[]],124,4159,[],
[[]],[0,"Default",0,1]],[[4953,1837,0,232,221,0,0,1,0.5,0.5015479922294617,0,0,[]],124,4160,[],[[]],[0,"Default",0,1]],[[4723,1837,0,232,221,0,0,1,0.5,0.5015479922294617,0,0,[]],124,4162,[],[[]],[0,"Default",0,1]],[[4318,1694.189208984375,0,469.1692504882813,374.00732421875,0,-1.570796489715576,1,0.7122207880020142,0.4608695507049561,0,0,[]],122,4008,[],[[]],[0,"Default",0,1]],[[4158,1579,0,284.0855102539063,168.9157562255859,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4003,[],[[]],[0,
"Default",1,1]],[[4306,1579,0,284.0855102539063,168.9157562255859,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4047,[],[[]],[0,"Default",1,1]],[[4452,1581,0,284.0855102539063,168.9157562255859,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4050,[],[[]],[0,"Default",1,1]],[[1805,2091,0,1097,369,0,1.570796370506287,1,0.5004887580871582,0.5,0,0,[]],26,4172,[],[[1],[]],[0,"Default",0,1]],[[1791,2524,0,489.1394958496094,374.00732421875,0,1.570796370506287,1,0.7122207880020142,0.4608695507049561,
0,0,[]],122,4173,[],[[]],[0,"Default",0,1]],[[1770.000244140625,1692.857177734375,0,422,360,0,1.570796370506287,1,0.3641703426837921,0.5009041428565979,0,0,[]],123,4174,[],[[]],[0,"Default",0,1]],[[1695,2067,0,217.8126220703125,210.3196716308594,0,1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,4175,[],[[]],[0,"Default",0,1]],[[1917,2126,0,232,221,0,-1.570796489715576,1,0.5,0.5015479922294617,0,0,[]],124,4176,[],[[]],[0,"Default",0,1]],[[1825.00048828125,1683.192626953125,0,465,374,0,-1.570796489715576,
1,0.7122207880020142,0.4608695507049561,0,0,[]],122,4177,[],[[]],[0,"Default",0,1]],[[1846,2507,0,437.5028991699219,360.2898559570313,0,-1.570796489715576,1,0.3641703426837921,0.5009041428565979,0,0,[]],123,4178,[],[[]],[0,"Default",0,1]],[[1713,1562,0,244,-132,0,3.141592741012573,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4180,[],[[]],[0,"Default",1,1]],[[1907.8017578125,1562,0,260,-132,0,3.141592741012573,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4353,[],[[]],[0,"Default",1,1]],
[[1200,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4399,[],[[]],[0,"Default",1,1]],[[1320,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4400,[],[[]],[0,"Default",1,1]],[[1439,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4401,[],[[]],[0,"Default",1,1]],[[1559,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4402,[],[[]],[0,"Default",1,1]],[[1678,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,
0,0,[]],23,4403,[],[[]],[0,"Default",1,1]],[[1799,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4404,[],[[]],[0,"Default",1,1]],[[1918,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4405,[],[[]],[0,"Default",1,1]],[[2037,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4406,[],[[]],[0,"Default",1,1]],[[8408,530.139404296875,0,1010.930603027344,369,0,1.570796370506287,1,0.5004887580871582,0.5,0,0,[]],26,4354,[],[[1],[]],[0,"Default",
0,1]],[[8394,929.1666870117188,0,450.7621459960938,374.00732421875,0,1.570796370506287,1,0.7122207880020142,0.4608695507049561,0,0,[]],122,4355,[],[[]],[0,"Default",0,1]],[[8373.0009765625,135.188232421875,0,433,360,0,1.570796370506287,1,0.3641703426837921,0.5009041428565979,0,0,[]],123,4356,[],[[]],[0,"Default",0,1]],[[8298,508.0223999023438,0,200.7232818603516,210.3196716308594,0,1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,4357,[],[[]],[0,"Default",0,1]],[[8520,562.393310546875,0,213.7975311279297,
221,0,-1.570796489715576,1,0.5,0.5015479922294617,0,0,[]],124,4358,[],[[]],[0,"Default",0,1]],[[8428,109.1140441894531,0,492,374,0,-1.570796489715576,1,0.7122207880020142,0.4608695507049561,0,0,[]],122,4359,[],[[]],[0,"Default",0,1]],[[8449,913.50048828125,0,403.1769104003906,360.2898559570313,0,-1.570796489715576,1,0.3641703426837921,0.5009041428565979,0,0,[]],123,4360,[],[[]],[0,"Default",0,1]],[[12596,525,0,1097,369,0,1.570796370506287,1,0.5004887580871582,0.5,0,0,[]],26,4343,[],[[1],[]],[0,"Default",
0,1]],[[12582,958,0,489.1394958496094,374.00732421875,0,1.570796370506287,1,0.7122207880020142,0.4608695507049561,0,0,[]],122,4344,[],[[]],[0,"Default",0,1]],[[12561,117,0,437.5028991699219,360.2898559570313,0,1.570796370506287,1,0.3641703426837921,0.5009041428565979,0,0,[]],123,4345,[],[[]],[0,"Default",0,1]],[[12486,501,0,217.8126220703125,210.3196716308594,0,1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,4346,[],[[]],[0,"Default",0,1]],[[12708,560,0,232,221,0,-1.570796489715576,1,0.5,0.5015479922294617,
0,0,[]],124,4347,[],[[]],[0,"Default",0,1]],[[12616,100,0,489.1394958496094,374.00732421875,0,-1.570796489715576,1,0.7122207880020142,0.4608695507049561,0,0,[]],122,4348,[],[[]],[0,"Default",0,1]],[[12637,941,0,437.5028991699219,360.2898559570313,0,-1.570796489715576,1,0.3641703426837921,0.5009041428565979,0,0,[]],123,4349,[],[[]],[0,"Default",0,1]],[[15570,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,2383,[],[[]],[0,"Default",1,1]]],[]],["main",4,4987251690367322,!0,[255,
255,255],!0,1,1,1,!1,1,0,0,[[[-183,1930,0,103,190,0,0,1,0.5,0.5,0,0,[]],41,4704,[[0]],[[330,1500,3E3,950,1500,1E3,0,1]],[1,"Default",0,1]],[[838,578,0,111,108,0,0,1,0.5045045018196106,0.2777777910232544,0,0,[]],40,4705,[[0],[0],[0]],[[],[1,400,0,0],[]],[0,"berry",0,1]],[[849,2476,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,4706,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[1735,1014,0,208,103,0,0,1,0.4903846085071564,0.5048543810844421,0,0,[]],29,4707,[],[[1],[]],[0,"Default",
1,1]],[[4713,2447,0,94,113,0,0,1,0.5106382966041565,0.3097345232963562,0,0,[]],46,4709,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[1860,1014,0,208,103,0,0,1,0.4903846085071564,0.5048543810844421,0,0,[]],29,4710,[],[[1],[]],[0,"Default",1,1]],[[2006,1014,0,208,103,0,0,1,0.4903846085071564,0.5048543810844421,0,0,[]],29,4711,[],[[1],[]],[0,"Default",1,1]],[[2210,1014,0,201,100,0,0,1,0.5024875402450562,0.5,0,0,[]],31,4712,[],[[1],[]],[0,"Default",1,1]],[[586,1014,0,208,103,0,0,1,0.4903846085071564,
0.5048543810844421,0,0,[]],29,4713,[],[[1],[]],[0,"Default",1,1]],[[711,1014,0,208,103,0,0,1,0.4903846085071564,0.5048543810844421,0,0,[]],29,4714,[],[[1],[]],[0,"Default",1,1]],[[857,1014,0,208,103,0,0,1,0.4903846085071564,0.5048543810844421,0,0,[]],29,4715,[],[[1],[]],[0,"Default",1,1]],[[1061,1014,0,201,100,0,0,1,0.5024875402450562,0.5,0,0,[]],31,4716,[],[[1],[]],[0,"Default",1,1]],[[1793,1346,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,4717,[[0],[0],[0]],[[],[1,400,0,0]],
[0,"Default",0,1]],[[1370,2026,0,220,130,0,0,1,0.5,0.5,0,0,[]],32,4718,[],[[1,1,1,20,10,2,0,400,0],[1]],[0,"Default",1,1]],[[1973,769,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,4719,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[2170,872,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,4720,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[1764,872,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,4721,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",
0,1]],[[832,776,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,4722,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[1029,879,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,4723,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[623,879,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,4724,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[5873,1022,0,208,103,0,0,1,0.4903846085071564,0.5048543810844421,0,0,[]],29,4746,[],[[1],[]],[0,"Default",
1,1]],[[5998,1022,0,208,103,0,0,1,0.4903846085071564,0.5048543810844421,0,0,[]],29,4747,[],[[1],[]],[0,"Default",1,1]],[[6201,1022,0,201,100,0,0,1,0.5024875402450562,0.5,0,0,[]],31,4749,[],[[1],[]],[0,"Default",1,1]],[[6048,765,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,4750,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[6245,868,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,4751,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[5839,868,0,119,117,0,
0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,4752,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[13059,2143,0,208,103,0,0,1,0.4903846085071564,0.5048543810844421,0,0,[]],29,4760,[],[[1],[]],[0,"Default",1,1]],[[13184,2143,0,208,103,0,0,1,0.4903846085071564,0.5048543810844421,0,0,[]],29,4761,[],[[1],[]],[0,"Default",1,1]],[[13330,2143,0,208,103,0,0,1,0.4903846085071564,0.5048543810844421,0,0,[]],29,4762,[],[[1],[]],[0,"Default",1,1]],[[13534,2143,0,201,100,0,0,1,0.5024875402450562,0.5,
0,0,[]],31,4763,[],[[1],[]],[0,"Default",1,1]],[[13291,1898,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,4764,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[13488,2001,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,4765,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[13082,2001,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,4766,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[11460,2128,0,208,103,0,0,1,0.4903846085071564,0.5048543810844421,
0,0,[]],29,4767,[],[[1],[]],[0,"Default",1,1]],[[11585,2128,0,208,103,0,0,1,0.4903846085071564,0.5048543810844421,0,0,[]],29,4768,[],[[1],[]],[0,"Default",1,1]],[[11731,2128,0,208,103,0,0,1,0.4903846085071564,0.5048543810844421,0,0,[]],29,4769,[],[[1],[]],[0,"Default",1,1]],[[11935,2128,0,201,100,0,0,1,0.5024875402450562,0.5,0,0,[]],31,4770,[],[[1],[]],[0,"Default",1,1]],[[11722,1889,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,4771,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",
0,1]],[[11919,1992,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,4772,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[11513,1992,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,4773,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[11247,734,0,208,103,0,0,1,0.4903846085071564,0.5048543810844421,0,0,[]],29,4781,[],[[1],[]],[0,"Default",1,1]],[[11372,734,0,208,103,0,0,1,0.4903846085071564,0.5048543810844421,0,0,[]],29,4782,[],[[1],[]],[0,"Default",1,1]],[[11518,
734,0,208,103,0,0,1,0.4903846085071564,0.5048543810844421,0,0,[]],29,4783,[],[[1],[]],[0,"Default",1,1]],[[11722,734,0,201,100,0,0,1,0.5024875402450562,0.5,0,0,[]],31,4784,[],[[1],[]],[0,"Default",1,1]],[[11485,483,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,4785,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[11682,586,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,4786,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[11276,586,0,119,117,0,0,1,0.5042017102241516,
0.3247863352298737,0,0,[]],28,4787,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[2681,1498,0,220,130,0,0,1,0.5,0.5,0,0,[]],32,4788,[],[[1,1,1,20,10,2,0,300,0],[1]],[0,"Default",1,1]],[[1971,531,0,111,108,0,0,1,0.5045045018196106,0.2777777910232544,0,0,[]],40,4790,[[0],[0],[0]],[[],[1,400,0,0],[]],[0,"berry",0,1]],[[2964,2374,0,111,108,0,0,1,0.5045045018196106,0.2777777910232544,0,0,[]],40,4791,[[0],[0],[0]],[[],[1,400,0,0],[]],[0,"berry",0,1]],[[4613,1406,0,111,108,0,0,1,0.5045045018196106,
0.2777777910232544,0,0,[]],40,4792,[[0],[0],[0]],[[],[1,400,0,0],[]],[0,"berry",0,1]],[[6101,1374,0,111,108,0,0,1,0.5045045018196106,0.2777777910232544,0,0,[]],40,4793,[[0],[0],[0]],[[],[1,400,0,0],[]],[0,"berry",0,1]],[[6798,530,0,111,108,0,0,1,0.5045045018196106,0.2777777910232544,0,0,[]],40,4794,[[0],[0],[0]],[[],[1,400,0,0],[]],[0,"berry",0,1]],[[9283,1675,0,111,108,0,0,1,0.5045045018196106,0.2777777910232544,0,0,[]],40,4795,[[0],[0],[0]],[[],[1,400,0,0],[]],[0,"berry",0,1]],[[12498,1718,0,111,
108,0,0,1,0.5045045018196106,0.2777777910232544,0,0,[]],40,4796,[[0],[0],[0]],[[],[1,400,0,0],[]],[0,"berry",0,1]],[[7055,1286,0,220,130,0,0,1,0.5,0.5,0,0,[]],32,4805,[],[[1,1,1,20,0,2,0,500,0],[1]],[0,"Default",1,1]],[[6518,1065,0,220,130,0,0,1,0.5,0.5,0,0,[]],32,4806,[],[[1,1,1,20,0,2,0,300,0],[1]],[0,"Default",1,1]],[[6820,858,0,220,130,0,0,1,0.5,0.5,0,0,[]],32,4807,[],[[1,1,1,20,10,2,0,0,0],[1]],[0,"Default",1,1]],[[10450,619,0,220,130,0,0,1,0.5,0.5,0,0,[]],32,4808,[],[[1,0,1,20,10,2,0,0,0],[1]],
[0,"Default",1,1]],[[11043,1063,0,220,130,0,0,1,0.5,0.5,0,0,[]],32,4809,[],[[1,0,1,10,10,2,0,300,0],[1]],[0,"Default",1,1]],[[10297,1083,0,220,130,0,0,1,0.5,0.5,0,0,[]],32,4810,[],[[1,0,1,20,10,2,0,100,0],[1]],[0,"Default",1,1]],[[12929,1453,0,220,130,0,0,1,0.5,0.5,0,0,[]],32,4811,[],[[1,1,1,20,10,2,0,500,0],[1]],[0,"Default",1,1]],[[11966,1468,0,220,130,0,0,1,0.5,0.5,0,0,[]],32,4812,[],[[1,1,1,20,10,2,0,500,0],[1]],[0,"Default",1,1]],[[9014,1877,0,220,130,0,0,1,0.5,0.5,0,0,[]],32,4817,[],[[1,0,1,
20,0,2,0,750,0],[1]],[0,"Default",1,1]],[[7811,2385,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,4819,[[9],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[8008,2488,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,4820,[[9],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[7602,2488,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,4821,[[9],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[10444,1341,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,
0,0,[]],28,4823,[[9],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[3400,2193,0,220,130,0,0,1,0.5,0.5,0,0,[]],32,4634,[],[[1,1,1,20,10,2,0,300,0],[1]],[0,"Default",1,1]],[[3021,1758,0,220,130,0,0,1,0.5,0.5,0,0,[]],32,4635,[],[[1,1,1,20,10,2,0,300,0],[1]],[0,"Default",1,1]],[[571,2081,0,208,103,0,0,1,0.4903846085071564,0.5048543810844421,0,0,[]],29,4729,[],[[1],[]],[0,"Default",1,1]],[[696,2081,0,208,103,0,0,1,0.4903846085071564,0.5048543810844421,0,0,[]],29,4730,[],[[1],[]],[0,"Default",1,1]],[[899,
2081,0,201,100,0,0,1,0.5024875402450562,0.5,0,0,[]],31,4731,[],[[1],[]],[0,"Default",1,1]],[[734,1830,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,4732,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[931,1933,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,4733,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[525,1933,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,4734,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[2321,2111,0,208,
103,0,0,1,0.4903846085071564,0.5048543810844421,0,0,[]],29,4735,[],[[1],[]],[0,"Default",1,1]],[[2446,2111,0,208,103,0,0,1,0.4903846085071564,0.5048543810844421,0,0,[]],29,4736,[],[[1],[]],[0,"Default",1,1]],[[2649,2111,0,201,100,0,0,1,0.5024875402450562,0.5,0,0,[]],31,4737,[],[[1],[]],[0,"Default",1,1]],[[2478,1843,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,4738,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[2675,1946,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,
0,0,[]],28,4739,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[2269,1946,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,4740,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[7661,1893,0,208,103,0,0,1,0.4903846085071564,0.5048543810844421,0,0,[]],29,4741,[],[[1],[]],[0,"Default",1,1]],[[7786,1893,0,208,103,0,0,1,0.4903846085071564,0.5048543810844421,0,0,[]],29,4742,[],[[1],[]],[0,"Default",1,1]],[[7989,1893,0,201,100,0,0,1,0.5024875402450562,0.5,0,0,[]],31,4743,[],[[1],[]],
[0,"Default",1,1]],[[7824,1642,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,4744,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[8021,1745,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,4745,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[7615,1745,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,4748,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[4777,1037,0,208,103,0,0,1,0.4903846085071564,0.5048543810844421,0,0,[]],29,4753,[],[[1],
[]],[0,"Default",1,1]],[[4902,1037,0,208,103,0,0,1,0.4903846085071564,0.5048543810844421,0,0,[]],29,4754,[],[[1],[]],[0,"Default",1,1]],[[5105,1037,0,201,100,0,0,1,0.5024875402450562,0.5,0,0,[]],31,4755,[],[[1],[]],[0,"Default",1,1]],[[4952,780,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,4756,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[5149,883,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,4757,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[4743,
883,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,4758,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[3636,1052,0,208,103,0,0,1,0.4903846085071564,0.5048543810844421,0,0,[]],29,4759,[],[[1],[]],[0,"Default",1,1]],[[3761,1052,0,208,103,0,0,1,0.4903846085071564,0.5048543810844421,0,0,[]],29,4774,[],[[1],[]],[0,"Default",1,1]],[[3964,1052,0,201,100,0,0,1,0.5024875402450562,0.5,0,0,[]],31,4775,[],[[1],[]],[0,"Default",1,1]],[[3817,807,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,
0,0,[]],28,4776,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[4014,910,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,4777,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[3608,910,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,4778,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[4222,586,0,208,103,0,0,1,0.4903846085071564,0.5048543810844421,0,0,[]],29,4779,[],[[1],[]],[0,"Default",1,1]],[[4347,586,0,208,103,0,0,1,0.4903846085071564,0.5048543810844421,
0,0,[]],29,4780,[],[[1],[]],[0,"Default",1,1]],[[4550,586,0,201,100,0,0,1,0.5024875402450562,0.5,0,0,[]],31,4797,[],[[1],[]],[0,"Default",1,1]],[[4379,329,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,4798,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[4576,432,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,4799,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[4170,432,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,4800,[[0],[0],[0]],
[[],[1,400,0,0]],[0,"Default",0,1]],[[5348,616,0,208,103,0,0,1,0.4903846085071564,0.5048543810844421,0,0,[]],29,4801,[],[[1],[]],[0,"Default",1,1]],[[5473,616,0,208,103,0,0,1,0.4903846085071564,0.5048543810844421,0,0,[]],29,4802,[],[[1],[]],[0,"Default",1,1]],[[5676,616,0,201,100,0,0,1,0.5024875402450562,0.5,0,0,[]],31,4803,[],[[1],[]],[0,"Default",1,1]],[[5511,365,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,4804,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[5708,468,0,
119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,4813,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[5302,468,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,4814,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[1378,1310,0,220,130,0,0,1,0.5,0.5,0,0,[]],32,4937,[],[[1,0,1,20,10,2,0,0,0],[1]],[0,"Default",1,1]],[[4375,1346,0,220,130,0,0,1,0.5,0.5,0,0,[]],32,4938,[],[[1,0,1,20,10,2,0,500,0],[1]],[0,"Default",1,1]],[[5531,1323,0,220,130,0,0,1,0.5,0.5,0,0,[]],32,
4939,[],[[1,0,1,20,10,2,0,500,0],[1]],[0,"Default",1,1]],[[2910,1045,0,220,130,0,0,1,0.5,0.5,0,0,[]],32,4941,[],[[1,0,1,20,10,2,0,0,0],[1]],[0,"Default",1,1]],[[6749,1921,0,220,130,0,0,1,0.5,0.5,0,0,[]],32,4943,[],[[1,0,1,20,10,2,0,0,0],[1]],[0,"Default",1,1]],[[7348,2105,0,220,130,0,0,1,0.5,0.5,0,0,[]],32,4944,[],[[1,1,1,20,0,2,0,350,0],[1]],[0,"Default",1,1]],[[9834,2150,0,220,130,0,0,1,0.5,0.5,0,0,[]],32,4945,[],[[1,1,1,20,0,2,0,400,0],[1]],[0,"Default",1,1]],[[4724,2210,0,111,108,0,0,1,0.5045045018196106,
0.2777777910232544,0,0,[]],40,4946,[[0],[0],[0]],[[],[1,400,0,0],[]],[0,"berry",0,1]],[[9826,1343,0,220,130,0,0,1,0.5,0.5,0,0,[]],32,4947,[],[[1,1,1,20,0,2,0,300,0],[1]],[0,"Default",1,1]],[[10910,2029,0,220,130,0,0,1,0.5,0.5,0,0,[]],32,4948,[],[[1,1,1,20,0,2,0,200,0],[1]],[0,"Default",1,1]],[[12477,1895,0,220,130,0,0,1,0.5,0.5,0,0,[]],32,4949,[],[[1,1,1,20,0,2,0,500,0],[1]],[0,"Default",1,1]],[[14009,1890,0,220,130,0,0,1,0.5,0.5,0,0,[]],32,4950,[],[[1,1,1,20,0,2,0,500,0],[1]],[0,"Default",1,1]],
[[13458,1120,0,208,103,0,0,1,0.4903846085071564,0.5048543810844421,0,0,[]],29,4833,[],[[1],[]],[0,"Default",1,1]],[[13583,1120,0,208,103,0,0,1,0.4903846085071564,0.5048543810844421,0,0,[]],29,4951,[],[[1],[]],[0,"Default",1,1]],[[13786,1120,0,201,100,0,0,1,0.5024875402450562,0.5,0,0,[]],31,4952,[],[[1],[]],[0,"Default",1,1]],[[13621,881,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,4953,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[13818,984,0,119,117,0,0,1,0.5042017102241516,
0.3247863352298737,0,0,[]],28,4954,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[13412,984,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,4955,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[14547,1128,0,208,103,0,0,1,0.4903846085071564,0.5048543810844421,0,0,[]],29,4956,[],[[1],[]],[0,"Default",1,1]],[[14672,1128,0,208,103,0,0,1,0.4903846085071564,0.5048543810844421,0,0,[]],29,4957,[],[[1],[]],[0,"Default",1,1]],[[14875,1128,0,201,100,0,0,1,0.5024875402450562,0.5,0,0,
[]],31,4968,[],[[1],[]],[0,"Default",1,1]],[[14704,877,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,4969,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[14901,980,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,4970,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[14495,980,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,4971,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[14124,646,0,94,113,0,0,1,0.5106382966041565,0.3097345232963562,
0,0,[]],46,4972,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]]],[]],["general",5,288485339577605,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[15168,2519,0,287,258,0,0,1,0.6059225797653198,0.875,0,0,[]],50,4825,[[1]],[[]],[0,"Default",1,1]],[[7755,2074,0,128,128,0,0,1,0,0.5,0,0,[]],65,4826,[],[[]],[50,360,0,10,16,100,0,4E3,2E3,0,0,30,0,60,0,500,0,0,1]],[[-190,1332,0,153,198,0,0,1,0.5018315315246582,0.5,0,0,[]],42,4829,[[0],[0],[0],[0],[0],[0],[0],[3],[0]],[[],[]],[0,"Default",0,1]],[[4949,1,0,3883.591796875,
2424.517578125,0,0,0.449999988079071,0.5,0,0,0,[]],75,4830,[],[[]],[0,"Default",0,1]],[[8499,-19,0,3884,3035,0,0,0.4000000059604645,0.5,0,0,0,[]],75,4831,[],[[]],[0,"Default",0,1]],[[10159,-159,0,3883.591796875,2424.517578125,0,0,0.449999988079071,0.5,0,0,0,[]],75,4832,[],[[]],[0,"Default",0,1]],[[6498,2212,0,1014,770,0,0,1,0.4940828382968903,0.43376624584198,0,0,[]],33,4834,[],[[1,1,2,15,0,0,0,50,0],[]],[0,"Default",0,1]],[[11168,2202,0,1014,770,0,0,1,0.4940828382968903,0.43376624584198,0,0,[]],
33,4835,[],[[1,1,2,15,0,0,0,50,0],[]],[0,"Default",0,1]],[[6665,1444,0,128,128,0,0,1,0,0.5,0,0,[]],65,4836,[],[[]],[50,360,0,10,16,100,0,4E3,2E3,0,0,30,0,60,0,500,0,0,1]],[[2535,874,0,128,128,0,0,1,0,0.5,0,0,[]],65,4837,[],[[]],[50,360,0,10,16,100,0,4E3,2E3,0,0,30,0,60,0,500,0,0,1]],[[11685,1004,0,128,128,0,0,1,0,0.5,0,0,[]],65,4838,[],[[]],[50,360,0,10,16,100,0,4E3,2E3,0,0,30,0,60,0,500,0,0,1]],[[2449,-19,0,3883.591796875,2424.517578125,0,0,0.449999988079071,0.5,0,0,0,[]],75,3812,[],[[]],[0,"Default",
0,1]],[[14599,2469,0,142.8915710449219,142.8915710449219,0,0,1,0.5,0.5,0,0,[]],72,4828,[[0],[0]],[[]],[1,"Default",0,1]],[[14149,-19,0,3883.591796875,2424.517578125,0,0,0.449999988079071,0.5,0,0,0,[]],75,3813,[],[[]],[0,"Default",0,1]],[[6802,7,0,574,2594,0,0,1,0.5,0,0,0,[]],75,5200,[],[[]],[0,"Default",0,1]],[[11429,7,0,301,3502,0,0,1,0.5,0,0,0,[]],75,5201,[],[[]],[0,"Default",0,1]],[[11181,2,0,574,1979,0,0,1,0.5,0,0,0,[]],75,5291,[],[[]],[0,"Default",0,1]]],[]],["gui",6,5194789357906988,!0,[255,
255,255],!0,0,0,1,!1,1,0,0,[[[-462,-130,0,200,30,0,0,1,0,0,0,0,[]],68,4839,[[1]],[[1,0,4,1,1],[]],["\u041d\u0435 \u0432\u0441\u0435 \u0441\u043e\u0431\u0440\u0430\u043d\u043e",0,"12pt Arial","rgb(0,0,0)",0,0,0,0,0]]],[]],["black",7,6763938858320968,!0,[0,0,0],!1,1,1,0,!1,1,0,0,[],[]]],[],[]],["12",16500,2989,!1,"eLv8-12",678138155626451,[["b4",0,989522771081633,!0,[255,255,255],!1,0.4000000059604645,0.4000000059604645,1,!1,1,0,0,[[[0,0,0,2302,2302,0,0,1,0,0,0,0,[]],44,3814,[],[[]],[0,"Default",1,
1]]],[]],["b3",1,5009582844988752,!0,[255,255,255],!0,0.699999988079071,1,1,!1,1,0,0,[[[2206,1122,0,823.150390625,2307.628173828125,0,0,1,0.5,0.5,0,0,[]],95,3815,[],[[]],[0,"Default",0,1]],[[13777,1145.00830078125,0,-1108,2353,0,0,1,0.5007299184799194,0.5,0,0,[]],94,3816,[],[[]],[0,"Default",0,1]],[[7936,1152,0,823.150390625,2307.628173828125,0,0,1,0.5,0.5,0,0,[]],95,3817,[],[[]],[0,"Default",0,1]],[[7629,534,0,62.74767684936523,110.6340560913086,0,-2.98678183555603,1,0.5,0.5,0,0,[]],89,3818,[],[[]],
[0,"Default",0,1]],[[7721,1432,0,62.74767303466797,110.6340560913086,0,-2.753058195114136,1,0.5,0.5,0,0,[]],89,3819,[],[[]],[0,"Default",0,1]],[[7990,1044,0,88.34211730957031,116.413444519043,0,0.4202716052532196,1,0.5046728849411011,0.5035461187362671,0,0,[]],90,3820,[],[[]],[0,"Default",0,1]],[[7912,547,0,108.982795715332,148.6129150390625,0,0.3452235758304596,1,0.5,0.5,0,0,[]],91,3821,[],[[]],[0,"Default",0,1]],[[7956,1109,0,76.23092651367188,103.9512710571289,0,0.3452235758304596,1,0.5,0.5,0,
0,[]],91,3822,[],[[]],[0,"Default",0,1]],[[1012,2449.611328125,0,2048,608,0,0,1,0.5,0.501006007194519,0,0,[]],43,3887,[],[[]],[0,"Default",1,1]],[[3059,2448.611328125,0,2048,608,0,0,1,0.5,0.501006007194519,0,0,[]],43,3888,[],[[]],[0,"Default",1,1]],[[-1035,2450.611328125,0,2048,608,0,0,1,0.5,0.501006007194519,0,0,[]],43,3897,[],[[]],[0,"Default",1,1]],[[5106,2448.611328125,0,2048,608,0,0,1,0.5,0.501006007194519,0,0,[]],43,3935,[],[[]],[0,"Default",1,1]],[[7126,2448.611328125,0,2048,608,0,0,1,0.5,
0.501006007194519,0,0,[]],43,3936,[],[[]],[0,"Default",1,1]],[[9170,2426.879150390625,0,2048,608,0,0,1,0.5,0.501006007194519,0,0,[]],43,3937,[],[[]],[0,"Default",1,1]],[[11210,2426.879150390625,0,2048,608,0,0,1,0.5,0.501006007194519,0,0,[]],43,3938,[],[[]],[0,"Default",1,1]],[[13254,2426.879150390625,0,2048,608,0,0,1,0.5,0.501006007194519,0,0,[]],43,3939,[],[[]],[0,"Default",1,1]],[[15429.5,2426.87890625,0,2307,608,0,0,1,0.5,0.501006007194519,0,0,[]],43,3940,[],[[]],[0,"Default",1,1]],[[14195,566,
0,65.03883361816406,114.673713684082,0,0.1444065421819687,1,0.5,0.5,0,0,[]],89,3941,[],[[]],[0,"Default",0,1]],[[13277,1884,0,-65.03883361816406,114.6737060546875,0,-0.2724318206310272,1,0.5,0.5,0,0,[]],89,3942,[],[[]],[0,"Default",0,1]],[[13327,860,0,-65.03883361816406,114.6737060546875,0,-0.1648183017969132,1,0.5,0.5,0,0,[]],89,3943,[],[[]],[0,"Default",0,1]],[[13541,2020,0,116.9919738769531,154.1669464111328,0,0,1,0.5046728849411011,0.5035461187362671,0,0,[]],90,4E3,[],[[]],[0,"Default",0,1]],
[[14037,1986,0,87.84761810302734,115.761833190918,0,2.041762828826904,1,0.5046728849411011,0.5035461187362671,0,0,[]],90,4012,[],[[]],[0,"Default",0,1]],[[13627,1231,0,62.47151565551758,80.4427490234375,0,0,1,0.5,0.5,0,0,[]],91,4013,[],[[]],[0,"Default",0,1]],[[13794,734,0,112.9621658325195,154.0393371582031,0,-0.9435719847679138,1,0.5,0.5,0,0,[]],91,4014,[],[[]],[0,"Default",0,1]],[[1899,504,0,62.74767684936523,110.6340560913086,0,-2.98678183555603,1,0.5,0.5,0,0,[]],89,4015,[],[[]],[0,"Default",
0,1]],[[1991,1402,0,62.74767303466797,110.6340560913086,0,-2.753058195114136,1,0.5,0.5,0,0,[]],89,4016,[],[[]],[0,"Default",0,1]],[[2260,1014,0,88.34211730957031,116.413444519043,0,0.4202716052532196,1,0.5046728849411011,0.5035461187362671,0,0,[]],90,4017,[],[[]],[0,"Default",0,1]],[[2182,517,0,108.982795715332,148.6129150390625,0,0.3452235758304596,1,0.5,0.5,0,0,[]],91,4018,[],[[]],[0,"Default",0,1]],[[2226,1079,0,76.23092651367188,103.9512710571289,0,0.3452235758304596,1,0.5,0.5,0,0,[]],91,4019,
[],[[]],[0,"Default",0,1]]],[]],["b2",2,7037567822632311,!0,[255,255,255],!0,0.8500000238418579,1,1,!1,1,0,0,[[[1599,1312,0,-1295,2621,0,0,1,0.5007299184799194,0.5,0,0,[]],94,4020,[],[[]],[0,"Default",0,1]],[[5201,1387,0,-997,2807,0,0,1,0.5,0.5,0,0,[]],95,4028,[],[[]],[0,"Default",0,1]],[[2088,664,0,76,134,0,0.1444065868854523,1,0.5,0.5,0,0,[]],89,4031,[],[[]],[0,"Default",0,1]],[[1015,2204,0,-76,134,0,-0.2724319100379944,1,0.5,0.5,0,0,[]],89,4032,[],[[]],[0,"Default",0,1]],[[1074,1007,0,-76,134,
0,-0.1648183465003967,1,0.5,0.5,0,0,[]],89,4033,[],[[]],[0,"Default",0,1]],[[4829,645,0,76,134,0,-2.98678183555603,1,0.5,0.5,0,0,[]],89,4034,[],[[]],[0,"Default",0,1]],[[4875,2100,0,76,134,0,-2.753058195114136,1,0.5,0.5,0,0,[]],89,4035,[],[[]],[0,"Default",0,1]],[[1323,2363,0,136.7089385986328,180.1491546630859,0,0,1,0.5046728849411011,0.5035461187362671,0,0,[]],90,4036,[],[[]],[0,"Default",0,1]],[[1903,2323,0,102.65283203125,135.271484375,0,2.041762590408325,1,0.5046728849411011,0.5035461187362671,
0,0,[]],90,4037,[],[[]],[0,"Default",0,1]],[[5455,2667,0,107,141,0,0.420271635055542,1,0.5046728849411011,0.5035461187362671,0,0,[]],90,4038,[],[[]],[0,"Default",0,1]],[[1424,1440,0,73,94,0,0,1,0.5,0.5,0,0,[]],91,4039,[],[[]],[0,"Default",0,1]],[[1619,860,0,132,180,0,-0.9435721039772034,1,0.5,0.5,0,0,[]],91,4040,[],[[]],[0,"Default",0,1]],[[5172,660,0,132,180,0,0.3452235460281372,1,0.5,0.5,0,0,[]],91,4041,[],[[]],[0,"Default",0,1]],[[5225,1341,0,92.33092498779297,125.9058074951172,0,0.3452235460281372,
1,0.5,0.5,0,0,[]],91,4042,[],[[]],[0,"Default",0,1]],[[10461,1307,0,1295,2651,0,0,1,0.5007299184799194,0.5,0,0,[]],94,4043,[],[[]],[0,"Default",0,1]],[[10838,554,0,76,134,0,0,1,0.5,0.5,0,0,[]],89,4044,[],[[]],[0,"Default",0,1]],[[9858,2411,0,-76,134,0,-0.2724319100379944,1,0.5,0.5,0,0,[]],89,4045,[],[[]],[0,"Default",0,1]],[[9916,863,0,-76,134,0,-0.3750368356704712,1,0.5,0.5,0,0,[]],89,4046,[],[[]],[0,"Default",0,1]],[[10648,1370,0,136.7089385986328,180.1491546630859,0,0,1,0.5046728849411011,0.5035461187362671,
0,0,[]],90,4058,[],[[]],[0,"Default",0,1]],[[10529,1318,0,73,94,0,0,1,0.5,0.5,0,0,[]],91,4060,[],[[]],[0,"Default",0,1]],[[10658,1542,0,132,180,0,-0.9435721039772034,1,0.5,0.5,0,0,[]],91,4061,[],[[]],[0,"Default",0,1]],[[6462,1392,0,997,2827,0,0,1,0.5,0.5,0,0,[]],95,4062,[],[[]],[0,"Default",0,1]],[[6090,660,0,76,134,0,-2.98678183555603,1,0.5,0.5,0,0,[]],89,4063,[],[[]],[0,"Default",0,1]],[[6518,1868,0,208.3340301513672,284.0918579101563,0,0.3452235460281372,1,0.5,0.5,0,0,[]],91,4066,[],[[]],[0,"Default",
0,1]],[[6667,692,0,92.33092498779297,125.9058074951172,0,0.3452235460281372,1,0.5,0.5,0,0,[]],91,4067,[],[[]],[0,"Default",0,1]]],[]],["b1",3,0x67a32dce75e0d,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[2226.13330078125,1722.592163085938,0,1062.32275390625,333.2008666992188,0,0,1,0.5004887580871582,0.5,0,0,[]],26,4580,[],[[1],[]],[0,"Default",0,1]],[[3227.3447265625,1722.592163085938,0,1002.542663574219,333.2008666992188,0,0,1,0.5004887580871582,0.5,0,0,[]],22,4609,[],[[1],[]],[0,"Default",0,1]],[[2183.7861328125,
1574.37646484375,0,278.404541015625,165.5378723144531,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4616,[],[[]],[0,"Default",1,1]],[[2336.03466796875,1577.4013671875,0,278.404541015625,165.5378723144531,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4617,[],[[]],[0,"Default",1,1]],[[2486.266845703125,1574.37646484375,0,278.404541015625,165.5378723144531,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4618,[],[[]],[0,"Default",1,1]],[[2637.50732421875,1574.37646484375,0,278.404541015625,
165.5378723144531,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4619,[],[[]],[0,"Default",1,1]],[[2788.74755859375,1574.37646484375,0,278.404541015625,165.5378723144531,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4620,[],[[]],[0,"Default",1,1]],[[2926.88037109375,1574.37646484375,0,278.404541015625,165.5378723144531,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4621,[],[[]],[0,"Default",1,1]],[[3062.996826171875,1573.368286132813,0,278.404541015625,165.5378723144531,0,
0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4622,[],[[]],[0,"Default",1,1]],[[3204.154541015625,1827.4521484375,0,227.3606109619141,216.5805511474609,0,0,1,0.5,0.5015479922294617,0,0,[]],124,4626,[],[[]],[0,"Default",0,1]],[[2978.30224609375,1827.4521484375,0,227.3606109619141,216.5805511474609,0,0,1,0.5,0.5015479922294617,0,0,[]],124,4627,[],[[]],[0,"Default",0,1]],[[2753.4580078125,1827.4521484375,0,227.3606109619141,216.5805511474609,0,0,1,0.5,0.5015479922294617,0,0,[]],124,4628,[],[[]],
[0,"Default",0,1]],[[2978.30224609375,1827.4521484375,0,227.3606109619141,216.5805511474609,0,0,1,0.5,0.5015479922294617,0,0,[]],124,4633,[],[[]],[0,"Default",0,1]],[[2527.60595703125,1827.4521484375,0,227.3606109619141,216.5805511474609,0,0,1,0.5,0.5015479922294617,0,0,[]],124,4636,[],[[]],[0,"Default",0,1]],[[2237.22412109375,1827.4521484375,0,359.8988037109375,216.5805511474609,0,0,1,0.5,0.5015479922294617,0,0,[]],124,4637,[],[[]],[0,"Default",0,1]],[[4179.15087890625,1733.68310546875,0,1084.58984375,
343.5065002441406,0,0,1,0.5004887580871582,0.5,0,0,[]],27,4643,[],[[1],[]],[0,"Default",0,1]],[[5196.49462890625,1727.633422851563,0,1084.58984375,343.5065002441406,0,0,1,0.5004887580871582,0.5,0,0,[]],27,4644,[],[[1],[]],[0,"Default",0,1]],[[5992.01904296875,1742.757568359375,0,481.5776672363281,368.2254028320313,0,0,1,0.7122207880020142,0.4608695507049561,0,0,[]],122,4647,[],[[]],[0,"Default",0,1]],[[5359.833984375,1825.435546875,0,245.9676055908203,234.3053588867188,0,0,1,0.5,0.5015479922294617,
0,0,[]],124,4648,[],[[]],[0,"Default",0,1]],[[5115.8330078125,1825.435546875,0,245.9676055908203,234.3053588867188,0,0,1,0.5,0.5015479922294617,0,0,[]],124,4649,[],[[]],[0,"Default",0,1]],[[4872.84033203125,1825.435546875,0,245.9676055908203,234.3053588867188,0,0,1,0.5,0.5015479922294617,0,0,[]],124,4650,[],[[]],[0,"Default",0,1]],[[4626.822265625,1825.435546875,0,245.9676055908203,234.3053588867188,0,0,1,0.5,0.5015479922294617,0,0,[]],124,4651,[],[[]],[0,"Default",0,1]],[[5567.53759765625,1825.435546875,
0,171.8667297363281,234.3053588867188,0,0,1,0.5,0.5015479922294617,0,0,[]],124,4652,[],[[]],[0,"Default",0,1]],[[4880.90625,1568.326904296875,0,235.3655395507813,139.9470977783203,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4659,[],[[]],[0,"Default",1,1]],[[5008.95703125,1568.326904296875,0,235.3655395507813,139.9470977783203,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4660,[],[[]],[0,"Default",1,1]],[[5126.923828125,1568.326904296875,0,235.3655395507813,139.9470977783203,0,
0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4661,[],[[]],[0,"Default",1,1]],[[5241.86669921875,1566.310424804688,0,235.3655395507813,139.9470977783203,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4662,[],[[]],[0,"Default",1,1]],[[5358.826171875,1566.310424804688,0,235.3655395507813,139.9470977783203,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4663,[],[[]],[0,"Default",1,1]],[[5474.77734375,1566.310424804688,0,235.3655395507813,139.9470977783203,0,0,1,0.5315315127372742,
0.2651515007019043,0,0,[]],23,4664,[],[[]],[0,"Default",1,1]],[[5592.74462890625,1566.310424804688,0,235.3655395507813,139.9470977783203,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4665,[],[[]],[0,"Default",1,1]],[[5937.572265625,2075.486328125,0,1040.7626953125,333.200927734375,0,-1.570796370506287,1,0.5004887580871582,0.5,0,0,[]],26,4610,[],[[1],[]],[0,"Default",0,1]],[[5905.30810546875,2493.918212890625,0,459.7870483398438,366.5281372070313,0,1.570796370506287,1,0.7122207880020142,0.4608695507049561,
0,0,[]],122,4611,[],[[]],[0,"Default",0,1]],[[5884.13427734375,1704.443237304688,0,411.2490539550781,353.0849609375,0,1.570796370506287,1,0.3641703426837921,0.5009041428565979,0,0,[]],123,4612,[],[[]],[0,"Default",0,1]],[[5810.53076171875,2064.3955078125,0,204.7420501708984,206.1138305664063,0,1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,4613,[],[[]],[0,"Default",0,1]],[[6027.30859375,2120.8583984375,0,218.0780639648438,216.5805511474609,0,-1.570796489715576,1,0.5,0.5015479922294617,0,0,
[]],124,4614,[],[[]],[0,"Default",0,1]],[[5958.74609375,2478.794189453125,0,411.2490539550781,353.0849609375,0,-1.570796489715576,1,0.3641703426837921,0.5009041428565979,0,0,[]],123,4615,[],[[]],[0,"Default",0,1]],[[5938.5810546875,1688.31103515625,0,459.7870483398438,366.5281372070313,0,-1.570796489715576,1,0.7122207880020142,0.4608695507049561,0,0,[]],122,4638,[],[[]],[0,"Default",0,1]],[[5714.7451171875,1566.310424804688,0,235.3655395507813,139.9470977783203,0,0,1,0.5315315127372742,0.2651515007019043,
0,0,[]],23,4666,[],[[]],[0,"Default",1,1]],[[5830.69580078125,1566.310424804688,0,235.3655395507813,139.9470977783203,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4667,[],[[]],[0,"Default",1,1]],[[5955.72119140625,1566.310424804688,0,235.3655395507813,139.9470977783203,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4668,[],[[]],[0,"Default",1,1]],[[6073.68896484375,1566.310424804688,0,235.3655395507813,139.9470977783203,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4669,
[],[[]],[0,"Default",1,1]],[[1794.593994140625,1764.939453125,0,414.398681640625,340.7950744628906,0,0,1,0.3641703426837921,0.5009041428565979,0,0,[]],123,4672,[],[[]],[0,"Default",0,1]],[[1748.213623046875,1574.37646484375,0,278.404541015625,165.5378723144531,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4639,[],[[]],[0,"Default",1,1]],[[1893.404418945313,1574.37646484375,0,278.404541015625,165.5378723144531,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4640,[],[[]],[0,"Default",
1,1]],[[2036.57861328125,1577.4013671875,0,278.404541015625,165.5378723144531,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4641,[],[[]],[0,"Default",1,1]],[[3431.01513671875,1827.4521484375,0,227.3606109619141,216.5805511474609,0,0,1,0.5,0.5015479922294617,0,0,[]],124,4625,[],[[]],[0,"Default",0,1]],[[3621.578125,1827.4521484375,0,158.8653411865234,216.5805511474609,0,0,1,0.5,0.5015479922294617,0,0,[]],124,4629,[],[[]],[0,"Default",0,1]],[[3820.20703125,1825.435546875,0,245.9676055908203,
234.3053588867188,0,0,1,0.5,0.5015479922294617,0,0,[]],124,4642,[],[[]],[0,"Default",0,1]],[[4345.515625,1825.435546875,0,319.6213684082031,233.9185028076172,0,0,1,0.5,0.5015479922294617,0,0,[]],124,4670,[],[[]],[0,"Default",0,1]],[[4066.224609375,1825.435546875,0,245.9676055908203,234.3053588867188,0,0,1,0.5,0.5015479922294617,0,0,[]],124,4671,[],[[]],[0,"Default",0,1]],[[3201.1298828125,1573.368286132813,0,278.404541015625,165.5378723144531,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,
4623,[],[[]],[0,"Default",1,1]],[[3340.27099609375,1573.368286132813,0,278.404541015625,165.5378723144531,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4624,[],[[]],[0,"Default",1,1]],[[3477.3955078125,1573.368286132813,0,278.404541015625,165.5378723144531,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4630,[],[[]],[0,"Default",1,1]],[[3622.58642578125,1572.359985351563,0,278.404541015625,165.5378723144531,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4631,[],[[]],[0,"Default",
1,1]],[[3760.71923828125,1572.359985351563,0,278.404541015625,165.5378723144531,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4632,[],[[]],[0,"Default",1,1]],[[3908.934814453125,1572.359985351563,0,278.404541015625,165.5378723144531,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4645,[],[[]],[0,"Default",1,1]],[[4046.0595703125,1572.359985351563,0,278.404541015625,165.5378723144531,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4646,[],[[]],[0,"Default",1,1]],[[4128.7373046875,
1568.326904296875,0,235.3655395507813,139.9470977783203,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4653,[],[[]],[0,"Default",1,1]],[[4252.7548828125,1568.326904296875,0,235.3655395507813,139.9470977783203,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4654,[],[[]],[0,"Default",1,1]],[[4372.73828125,1569.335205078125,0,235.3655395507813,139.9470977783203,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4655,[],[[]],[0,"Default",1,1]],[[4497.763671875,1568.326904296875,0,235.3655395507813,
139.9470977783203,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4656,[],[[]],[0,"Default",1,1]],[[4625.814453125,1569.335205078125,0,235.3655395507813,139.9470977783203,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4657,[],[[]],[0,"Default",1,1]],[[4753.8642578125,1568.326904296875,0,235.3655395507813,139.9470977783203,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4658,[],[[]],[0,"Default",1,1]],[[5227,2577,0,110.3796615600586,105.6625823974609,0,0,1,0.504273533821106,0.5,
0,0,[]],77,4608,[],[[]],[0,"Default",0,1]],[[10891,2424,0,431.8849487304688,397.1497192382813,0,0,1,0.5005753636360168,0.5,0,0,[]],80,4096,[],[[]],[0,"Default",0,1]],[[11746,1483,0,145.2024078369141,133.5239410400391,0,0,1,0.5005753636360168,0.5,0,0,[]],80,4098,[],[[]],[0,"Default",0,1]],[[380,2811,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,4992,[],[[1],[]],[0,"Default",0,1]],[[1380,2811,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,4993,[],[[1],[]],[0,"Default",0,1]],[[2375,2811,0,1023,
356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,4994,[],[[1],[]],[0,"Default",0,1]],[[3357,2811,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,4995,[],[[1],[]],[0,"Default",0,1]],[[4339,2811,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,4996,[],[[1],[]],[0,"Default",0,1]],[[5212,2811,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,4997,[],[[1],[]],[0,"Default",0,1]],[[147,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4998,[],[[]],[0,"Default",1,1]],[[267,2645,0,222,
132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4999,[],[[]],[0,"Default",1,1]],[[384,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,5E3,[],[[]],[0,"Default",1,1]],[[502,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,5001,[],[[]],[0,"Default",1,1]],[[614,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,5002,[],[[]],[0,"Default",1,1]],[[726,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,5003,[],[[]],
[0,"Default",1,1]],[[843,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,5004,[],[[]],[0,"Default",1,1]],[[963,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,5005,[],[[]],[0,"Default",1,1]],[[1081,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,5006,[],[[]],[0,"Default",1,1]],[[1200,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,5007,[],[[]],[0,"Default",1,1]],[[1320,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,
0,0,[]],23,5008,[],[[]],[0,"Default",1,1]],[[1439,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,5009,[],[[]],[0,"Default",1,1]],[[1559,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,5010,[],[[]],[0,"Default",1,1]],[[1678,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,5011,[],[[]],[0,"Default",1,1]],[[1799,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,5012,[],[[]],[0,"Default",1,1]],[[1918,2645,0,222,132,
0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,5013,[],[[]],[0,"Default",1,1]],[[2037,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,5014,[],[[]],[0,"Default",1,1]],[[2158,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,5015,[],[[]],[0,"Default",1,1]],[[2279,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,5016,[],[[]],[0,"Default",1,1]],[[2399,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,5017,[],[[]],
[0,"Default",1,1]],[[2518,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,5018,[],[[]],[0,"Default",1,1]],[[2640,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,5019,[],[[]],[0,"Default",1,1]],[[2762,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,5020,[],[[]],[0,"Default",1,1]],[[2884,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,5021,[],[[]],[0,"Default",1,1]],[[3006,2645,0,222,132,0,0,1,0.5315315127372742,
0.2651515007019043,0,0,[]],23,5022,[],[[]],[0,"Default",1,1]],[[3125,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,5023,[],[[]],[0,"Default",1,1]],[[3246,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,5024,[],[[]],[0,"Default",1,1]],[[3366,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,5025,[],[[]],[0,"Default",1,1]],[[3487,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,5026,[],[[]],[0,"Default",1,1]],[[3603,
2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,5027,[],[[]],[0,"Default",1,1]],[[3721,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,5028,[],[[]],[0,"Default",1,1]],[[3843,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,5029,[],[[]],[0,"Default",1,1]],[[3964,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,5030,[],[[]],[0,"Default",1,1]],[[4085,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],
23,5031,[],[[]],[0,"Default",1,1]],[[4204,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,5032,[],[[]],[0,"Default",1,1]],[[4322,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,5033,[],[[]],[0,"Default",1,1]],[[4444,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,5034,[],[[]],[0,"Default",1,1]],[[4566,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,5035,[],[[]],[0,"Default",1,1]],[[4685,2645,0,222,132,0,0,1,0.5315315127372742,
0.2651515007019043,0,0,[]],23,5036,[],[[]],[0,"Default",1,1]],[[4806,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,5037,[],[[]],[0,"Default",1,1]],[[4923,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,5038,[],[[]],[0,"Default",1,1]],[[5039,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,5039,[],[[]],[0,"Default",1,1]],[[5162,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,5040,[],[[]],[0,"Default",1,1]],[[5282,
2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,5041,[],[[]],[0,"Default",1,1]],[[5402,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,5042,[],[[]],[0,"Default",1,1]],[[4661,2815,0,208,197,0,0,1,0.5,0.5025380849838257,0,0,[]],35,5043,[],[[]],[0,"Default",0,1]],[[5170,2539,0,-312,171,0,0,1,0.5,0.5029239654541016,0,0,[]],78,5045,[],[[]],[0,"Default",0,1]],[[4641,2542,0,459,203,0,-0.2307646572589874,1,0.501089334487915,0.5024630427360535,0,0,[]],84,5046,[],
[[]],[0,"Default",0,1]],[[5981,1450,0,335,201,0,0,1,0.5014925599098206,0.5024875402450562,0,0,[]],85,5047,[],[[]],[0,"Default",0,1]],[[3602,2556,0,464,129,0,0,1,0.5,0.5038759708404541,0,0,[]],88,5049,[],[[]],[0,"Default",0,1]],[[6047,2811,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,5051,[],[[1],[]],[0,"Default",0,1]],[[7029,2811,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,5052,[],[[1],[]],[0,"Default",0,1]],[[7902,2811,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,5053,[],[[1],
[]],[0,"Default",0,1]],[[5574,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,5054,[],[[]],[0,"Default",1,1]],[[5696,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,5055,[],[[]],[0,"Default",1,1]],[[5815,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,5056,[],[[]],[0,"Default",1,1]],[[5936,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,5057,[],[[]],[0,"Default",1,1]],[[6056,2645,0,222,132,0,0,1,0.5315315127372742,
0.2651515007019043,0,0,[]],23,5058,[],[[]],[0,"Default",1,1]],[[6177,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,5059,[],[[]],[0,"Default",1,1]],[[6293,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,5060,[],[[]],[0,"Default",1,1]],[[6411,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,5061,[],[[]],[0,"Default",1,1]],[[6533,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,5062,[],[[]],[0,"Default",1,1]],[[6654,
2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,5063,[],[[]],[0,"Default",1,1]],[[6775,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,5064,[],[[]],[0,"Default",1,1]],[[6894,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,5065,[],[[]],[0,"Default",1,1]],[[7012,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,5066,[],[[]],[0,"Default",1,1]],[[7134,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],
23,5067,[],[[]],[0,"Default",1,1]],[[7256,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,5068,[],[[]],[0,"Default",1,1]],[[7375,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,5069,[],[[]],[0,"Default",1,1]],[[7496,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,5070,[],[[]],[0,"Default",1,1]],[[7613,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,5071,[],[[]],[0,"Default",1,1]],[[7729,2645,0,222,132,0,0,1,0.5315315127372742,
0.2651515007019043,0,0,[]],23,5072,[],[[]],[0,"Default",1,1]],[[7852,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,5073,[],[[]],[0,"Default",1,1]],[[7972,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,5074,[],[[]],[0,"Default",1,1]],[[8092,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,5075,[],[[]],[0,"Default",1,1]],[[8881,2807,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,5077,[],[[1],[]],[0,"Default",0,1]],[[8242,2645,0,
222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,5087,[],[[]],[0,"Default",1,1]],[[8362,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,5088,[],[[]],[0,"Default",1,1]],[[8502,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,5089,[],[[]],[0,"Default",1,1]],[[8632,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,5090,[],[[]],[0,"Default",1,1]],[[9840,2811,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,5091,[],[[1],[]],
[0,"Default",0,1]],[[10840,2811,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,5092,[],[[1],[]],[0,"Default",0,1]],[[11835,2811,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,5093,[],[[1],[]],[0,"Default",0,1]],[[12817,2811,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,5094,[],[[1],[]],[0,"Default",0,1]],[[8757,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,5095,[],[[]],[0,"Default",1,1]],[[8877,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],
23,5096,[],[[]],[0,"Default",1,1]],[[8994,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,5097,[],[[]],[0,"Default",1,1]],[[9112,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,5098,[],[[]],[0,"Default",1,1]],[[9224,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,5099,[],[[]],[0,"Default",1,1]],[[9336,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,5100,[],[[]],[0,"Default",1,1]],[[9453,2645,0,222,132,0,0,1,0.5315315127372742,
0.2651515007019043,0,0,[]],23,5101,[],[[]],[0,"Default",1,1]],[[9573,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,5102,[],[[]],[0,"Default",1,1]],[[9691,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,5103,[],[[]],[0,"Default",1,1]],[[9810,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,5104,[],[[]],[0,"Default",1,1]],[[9930,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,5105,[],[[]],[0,"Default",1,1]],[[10049,
2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,5106,[],[[]],[0,"Default",1,1]],[[10169,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,5107,[],[[]],[0,"Default",1,1]],[[10288,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,5108,[],[[]],[0,"Default",1,1]],[[10409,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,5109,[],[[]],[0,"Default",1,1]],[[10528,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,
0,[]],23,5110,[],[[]],[0,"Default",1,1]],[[10647,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,5111,[],[[]],[0,"Default",1,1]],[[10768,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,5112,[],[[]],[0,"Default",1,1]],[[10889,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,5113,[],[[]],[0,"Default",1,1]],[[11009,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,5114,[],[[]],[0,"Default",1,1]],[[11128,2645,0,222,132,
0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,5115,[],[[]],[0,"Default",1,1]],[[11250,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,5116,[],[[]],[0,"Default",1,1]],[[11372,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,5117,[],[[]],[0,"Default",1,1]],[[11494,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,5118,[],[[]],[0,"Default",1,1]],[[11616,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,5119,[],
[[]],[0,"Default",1,1]],[[11735,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,5120,[],[[]],[0,"Default",1,1]],[[11856,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,5121,[],[[]],[0,"Default",1,1]],[[11976,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,5122,[],[[]],[0,"Default",1,1]],[[2306,2559,0,464,-129,0,-0.1745329201221466,1,0.5,0.5038759708404541,0,0,[]],88,5123,[],[[]],[0,"Default",0,1]],[[5651,2579,0,-249,166,0,-0.3490658402442932,
1,0.2504779994487763,0.6710526347160339,0,0,[]],76,5125,[],[[]],[0,"Default",0,1]],[[6576,2572,0,250,160,0,0,1,0.5492125749588013,0.6478873491287231,0,0,[]],70,5128,[[3]],[[]],[0,"Default",0,1]],[[6329,2572,0,250,160,0,0,1,0.5492125749588013,0.6478873491287231,0,0,[]],70,5129,[[3]],[[]],[0,"Default",0,1]],[[7076,2572,0,250,160,0,0,1,0.5492125749588013,0.6478873491287231,0,0,[]],70,5130,[[3]],[[]],[0,"Default",0,1]],[[6829,2572,0,250,160,0,0,1,0.5492125749588013,0.6478873491287231,0,0,[]],70,5131,
[[3]],[[]],[0,"Default",0,1]],[[7576,2572,0,250,160,0,0,1,0.5492125749588013,0.6478873491287231,0,0,[]],70,5132,[[3]],[[]],[0,"Default",0,1]],[[7329,2572,0,250,160,0,0,1,0.5492125749588013,0.6478873491287231,0,0,[]],70,5133,[[3]],[[]],[0,"Default",0,1]],[[8076,2572,0,250,160,0,0,1,0.5492125749588013,0.6478873491287231,0,0,[]],70,5134,[[3]],[[]],[0,"Default",0,1]],[[7829,2572,0,250,160,0,0,1,0.5492125749588013,0.6478873491287231,0,0,[]],70,5135,[[3]],[[]],[0,"Default",0,1]],[[8579,2578,0,250,160,0,
0,1,0.5492125749588013,0.6478873491287231,0,0,[]],70,5136,[[3]],[[]],[0,"Default",0,1]],[[8332,2578,0,250,160,0,0,1,0.5492125749588013,0.6478873491287231,0,0,[]],70,5137,[[3]],[[]],[0,"Default",0,1]],[[9079,2578,0,250,160,0,0,1,0.5492125749588013,0.6478873491287231,0,0,[]],70,5138,[[3]],[[]],[0,"Default",0,1]],[[8832,2578,0,250,160,0,0,1,0.5492125749588013,0.6478873491287231,0,0,[]],70,5139,[[3]],[[]],[0,"Default",0,1]],[[9579,2578,0,250,160,0,0,1,0.5492125749588013,0.6478873491287231,0,0,[]],70,
5140,[[3]],[[]],[0,"Default",0,1]],[[9332,2578,0,250,160,0,0,1,0.5492125749588013,0.6478873491287231,0,0,[]],70,5141,[[3]],[[]],[0,"Default",0,1]],[[10079,2578,0,250,160,0,0,1,0.5492125749588013,0.6478873491287231,0,0,[]],70,5142,[[3]],[[]],[0,"Default",0,1]],[[9832,2578,0,250,160,0,0,1,0.5492125749588013,0.6478873491287231,0,0,[]],70,5143,[[3]],[[]],[0,"Default",0,1]],[[10382,2840,0,114.9704055786133,110.8459091186523,0,-1.683364152908325,1,0.5022421479225159,0.5023255944252014,0,0,[]],34,5144,[],
[[]],[0,"Default",0,1]],[[13697,2811,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,5145,[],[[1],[]],[0,"Default",0,1]],[[12138,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,5146,[],[[]],[0,"Default",1,1]],[[12257,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,5147,[],[[]],[0,"Default",1,1]],[[12378,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,5148,[],[[]],[0,"Default",1,1]],[[12499,2645,0,222,132,0,0,1,0.5315315127372742,
0.2651515007019043,0,0,[]],23,5149,[],[[]],[0,"Default",1,1]],[[12619,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,5150,[],[[]],[0,"Default",1,1]],[[12738,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,5151,[],[[]],[0,"Default",1,1]],[[12860,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,5152,[],[[]],[0,"Default",1,1]],[[12982,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,5153,[],[[]],[0,"Default",1,1]],
[[13104,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,5154,[],[[]],[0,"Default",1,1]],[[13226,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,5155,[],[[]],[0,"Default",1,1]],[[13345,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,5156,[],[[]],[0,"Default",1,1]],[[13466,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,5157,[],[[]],[0,"Default",1,1]],[[13586,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,
0,0,[]],23,5158,[],[[]],[0,"Default",1,1]],[[13708,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,5159,[],[[]],[0,"Default",1,1]],[[13827,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,5160,[],[[]],[0,"Default",1,1]],[[13948,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,5161,[],[[]],[0,"Default",1,1]],[[14069,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,5162,[],[[]],[0,"Default",1,1]],[[12834,2544,0,-220,
201,0,0.1745329201221466,1,0.5,0.5024875402450562,0,0,[]],87,5163,[],[[]],[0,"Default",0,1]],[[7325,2880,0,277.8482971191406,263.1543884277344,0,1.276554703712463,1,0.5,0.5025380849838257,0,0,[]],35,5165,[],[[]],[0,"Default",0,1]],[[14677,2811,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,5263,[],[[1],[]],[0,"Default",0,1]],[[14189,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,5264,[],[[]],[0,"Default",1,1]],[[14308,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,
0,0,[]],23,5265,[],[[]],[0,"Default",1,1]],[[14430,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,5266,[],[[]],[0,"Default",1,1]],[[14552,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,5267,[],[[]],[0,"Default",1,1]],[[15677,2811,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,5268,[],[[1],[]],[0,"Default",0,1]],[[14674,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,5269,[],[[]],[0,"Default",1,1]],[[14796,2645,0,222,132,0,0,1,
0.5315315127372742,0.2651515007019043,0,0,[]],23,5270,[],[[]],[0,"Default",1,1]],[[14915,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,5271,[],[[]],[0,"Default",1,1]],[[15036,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,5272,[],[[]],[0,"Default",1,1]],[[15156,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,5273,[],[[]],[0,"Default",1,1]],[[15286,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,5274,[],[[]],
[0,"Default",1,1]],[[15406,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,5275,[],[[]],[0,"Default",1,1]],[[10709,1468,0,319,194,0,-0.01434406731277704,1,0.5015674233436584,0.5,0,0,[]],81,5306,[],[[]],[0,"Default",0,1]],[[7698,2859,0,457,305,0,0,1,0.5010941028594971,0.5016393661499023,0,0,[]],54,5359,[],[[]],[0,"Default",0,1]],[[5540,2438,0,94,113,0,0,1,0.5106382966041565,0.3097345232963562,0,0,[]],46,5381,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[16647,2811,0,1023,
356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,4064,[],[[1],[]],[0,"Default",0,1]],[[15535,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4065,[],[[]],[0,"Default",1,1]],[[15656,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4068,[],[[]],[0,"Default",1,1]],[[15776,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4069,[],[[]],[0,"Default",1,1]],[[15906,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4071,[],[[]],
[0,"Default",1,1]],[[16026,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4072,[],[[]],[0,"Default",1,1]],[[16156,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4073,[],[[]],[0,"Default",1,1]],[[16276,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4074,[],[[]],[0,"Default",1,1]],[[5263,2560,0,270.7092590332031,148.3695068359375,0,0,1,0.5,0.5029239654541016,0,0,[]],78,5289,[],[[]],[0,"Default",0,1]],[[5363,2564,0,110.3796615600586,
105.6625823974609,0,0,1,0.504273533821106,0.5,0,0,[]],77,5290,[],[[]],[0,"Default",0,1]],[[5196,1078,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,4104,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[5393,1181,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,4105,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[4987,1181,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,4106,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[4124,999,0,119,
117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,4107,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[4321,1102,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,4822,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[3915,1102,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,4824,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[2936,1097,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,4973,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",
0,1]],[[3164,1144,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,4974,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[2746,1192,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,4975,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[3575,1212,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,4976,[[9],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[3772,1315,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,4977,[[0],[0],[0]],[[],
[1,400,0,0]],[0,"Default",0,1]],[[3366,1315,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,4978,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[4664,1220,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,4979,[[9],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[4861,1323,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,4980,[[9],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[4455,1323,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],
28,4982,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[2394,1259,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,4986,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[2596,1390,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,4987,[[9],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[2213,1413,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,4988,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[2013,1258,0,119,117,0,0,1,0.5042017102241516,
0.3247863352298737,0,0,[]],28,4989,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[5191,1498,0,250,160,0,0,1,0.5492125749588013,0.6478873491287231,0,0,[]],70,4990,[[3]],[[]],[0,"Default",0,1]],[[4086,1498,0,250,160,0,0,1,0.5492125749588013,0.6478873491287231,0,0,[]],70,4991,[[3]],[[]],[0,"Default",0,1]],[[2962,1498,0,250,160,0,0,1,0.5492125749588013,0.6478873491287231,0,0,[]],70,5044,[[3]],[[]],[0,"Default",0,1]],[[125,2159,0,94,113,0,0,1,0.5106382966041565,0.3097345232963562,0,0,[]],46,5080,
[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[15421,491,0,94,113,0,0,1,0.5106382966041565,0.3097345232963562,0,0,[]],46,5188,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[3734,1295,0,128,128,0,0,1,0,0.5,0,0,[]],65,5189,[],[[]],[50,360,0,10,16,100,0,4E3,2E3,0,0,30,0,60,0,500,0,0,1]],[[15345,1475,0,128,128,0,0,1,0,0.5,0,0,[]],65,5190,[],[[]],[50,360,0,10,16,100,0,4E3,2E3,0,0,30,0,60,0,500,0,0,1]],[[11167,1733,0,1053.610107421875,330.4680786132813,0,0,1,0.5004887580871582,0.5,0,0,[]],26,
4075,[],[[1],[]],[0,"Default",0,1]],[[10648,1837,0,225.4959106445313,214.8042449951172,0,0,1,0.5,0.5015479922294617,0,0,[]],124,4076,[],[[]],[0,"Default",0,1]],[[12160,1733,0,994.3203125,330.4680786132813,0,0,1,0.5004887580871582,0.5,0,0,[]],22,4077,[],[[1],[]],[0,"Default",0,1]],[[10478,2083.375,0,1032.226806640625,330.4681701660156,0,-1.570796370506287,1,0.5004887580871582,0.5,0,0,[]],26,4079,[],[[1],[]],[0,"Default",0,1]],[[10446,2498,0,456.0160522460938,363.5220642089844,0,1.570796370506287,1,
0.7122207880020142,0.4608695507049561,0,0,[]],122,4080,[],[[]],[0,"Default",0,1]],[[10425,1715,0,407.8761596679688,350.1891479492188,0,1.570796370506287,1,0.3641703426837921,0.5009041428565979,0,0,[]],123,4081,[],[[]],[0,"Default",0,1]],[[10352,2072,0,203.0628356933594,204.4233856201172,0,1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,4082,[],[[]],[0,"Default",0,1]],[[10567,2128,0,216.2894744873047,214.8042755126953,0,-1.570796489715576,1,0.5,0.5015479922294617,0,0,[]],124,4083,[],[[]],[0,
"Default",0,1]],[[10499,2483,0,407.8761596679688,350.1891479492188,0,-1.570796489715576,1,0.3641703426837921,0.5009041428565979,0,0,[]],123,4085,[],[[]],[0,"Default",0,1]],[[10755,1586,0,276.1212158203125,164.1801910400391,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4086,[],[[]],[0,"Default",1,1]],[[10906,1589,0,276.1212158203125,164.1801910400391,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4088,[],[[]],[0,"Default",1,1]],[[11055,1586,0,276.1212158203125,164.1801910400391,0,
0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4089,[],[[]],[0,"Default",1,1]],[[11205,1586,0,276.1212158203125,164.1801910400391,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4090,[],[[]],[0,"Default",1,1]],[[11355,1586,0,276.1212158203125,164.1801910400391,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4091,[],[[]],[0,"Default",1,1]],[[11492,1586,0,276.1212158203125,164.1801910400391,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4092,[],[[]],[0,"Default",1,1]],[[11627,
1585,0,276.1212158203125,164.1801910400391,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4093,[],[[]],[0,"Default",1,1]],[[11764,1585,0,276.1212158203125,164.1801910400391,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4094,[],[[]],[0,"Default",1,1]],[[11902,1585,0,276.1212158203125,164.1801910400391,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4095,[],[[]],[0,"Default",1,1]],[[11992,1837,0,225.4959106445313,214.8042449951172,0,0,1,0.5,0.5015479922294617,0,0,[]],124,4531,
[],[[]],[0,"Default",0,1]],[[11767,1837,0,225.4959106445313,214.8042449951172,0,0,1,0.5,0.5015479922294617,0,0,[]],124,4532,[],[[]],[0,"Default",0,1]],[[11543,1837,0,225.4959106445313,214.8042449951172,0,0,1,0.5,0.5015479922294617,0,0,[]],124,4533,[],[[]],[0,"Default",0,1]],[[11320,1837,0,225.4959106445313,214.8042449951172,0,0,1,0.5,0.5015479922294617,0,0,[]],124,4534,[],[[]],[0,"Default",0,1]],[[12181,1837,0,157.5624084472656,214.8042449951172,0,0,1,0.5,0.5015479922294617,0,0,[]],124,4535,[],[[]],
[0,"Default",0,1]],[[12038,1585,0,276.1212158203125,164.1801910400391,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4536,[],[[]],[0,"Default",1,1]],[[12182,1584,0,276.1212158203125,164.1801910400391,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4537,[],[[]],[0,"Default",1,1]],[[12319,1584,0,276.1212158203125,164.1801910400391,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4538,[],[[]],[0,"Default",1,1]],[[11543,1837,0,225.4959106445313,214.8042449951172,0,0,1,0.5,0.5015479922294617,
0,0,[]],124,4541,[],[[]],[0,"Default",0,1]],[[11096,1837,0,225.4959106445313,214.8042449951172,0,0,1,0.5,0.5015479922294617,0,0,[]],124,4542,[],[[]],[0,"Default",0,1]],[[10873,1837,0,225.4959106445313,214.8042449951172,0,0,1,0.5,0.5015479922294617,0,0,[]],124,4543,[],[[]],[0,"Default",0,1]],[[10479,1699,0,456.0160522460938,363.5220642089844,0,-1.570796489715576,1,0.7122207880020142,0.4608695507049561,0,0,[]],122,4544,[],[[]],[0,"Default",0,1]],[[10323,1586,0,276.1212158203125,164.1801910400391,0,
0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4577,[],[[]],[0,"Default",1,1]],[[10467,1586,0,276.1212158203125,164.1801910400391,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4578,[],[[]],[0,"Default",1,1]],[[10609,1589,0,276.1212158203125,164.1801910400391,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4579,[],[[]],[0,"Default",1,1]],[[12378,1835,0,243.9503021240234,232.3836822509766,0,0,1,0.5,0.5015479922294617,0,0,[]],124,4607,[],[[]],[0,"Default",0,1]],[[13104,1744,0,1075.694580078125,
340.689208984375,0,0,1,0.5004887580871582,0.5,0,0,[]],27,4530,[],[[1],[]],[0,"Default",0,1]],[[14113,1738.110595703125,0,1075.694580078125,340.689208984375,0,0,1,0.5004887580871582,0.5,0,0,[]],27,4581,[],[[1],[]],[0,"Default",0,1]],[[13439,1453,0,-209.0449981689453,192.2317352294922,0,0,1,0.5005753636360168,0.5,0,0,[]],80,4097,[],[[]],[0,"Default",0,1]],[[14212,1490,0,257,146,0,0.1058126538991928,1,0.5019454956054688,0.5,0,0,[]],86,5048,[],[[]],[0,"Default",0,1]],[[12731,1494,0,464,129,0,0,1,0.5,
0.5038759708404541,0,0,[]],88,5124,[],[[]],[0,"Default",0,1]],[[12466,1584,0,276.1212158203125,164.1801910400391,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4539,[],[[]],[0,"Default",1,1]],[[12602,1584,0,276.1212158203125,164.1801910400391,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4540,[],[[]],[0,"Default",1,1]],[[14532,1753,0,477.6280212402344,365.2053527832031,0,0,1,0.7122207880020142,0.4608695507049561,0,0,[]],122,4582,[],[[]],[0,"Default",0,1]],[[13905,1835,0,243.9503021240234,
232.3836822509766,0,0,1,0.5,0.5015479922294617,0,0,[]],124,4584,[],[[]],[0,"Default",0,1]],[[13663,1835,0,243.9503021240234,232.3836822509766,0,0,1,0.5,0.5015479922294617,0,0,[]],124,4585,[],[[]],[0,"Default",0,1]],[[13422,1835,0,243.9503021240234,232.3836822509766,0,0,1,0.5,0.5015479922294617,0,0,[]],124,4586,[],[[]],[0,"Default",0,1]],[[13178,1835,0,243.9503021240234,232.3836822509766,0,0,1,0.5,0.5015479922294617,0,0,[]],124,4587,[],[[]],[0,"Default",0,1]],[[14111,1835,0,170.4571685791016,232.3836822509766,
0,0,1,0.5,0.5015479922294617,0,0,[]],124,4588,[],[[]],[0,"Default",0,1]],[[12684,1580,0,233.4351959228516,138.7993011474609,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4589,[],[[]],[0,"Default",1,1]],[[12807,1580,0,233.4351959228516,138.7993011474609,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4590,[],[[]],[0,"Default",1,1]],[[12926,1581,0,233.4351959228516,138.7993011474609,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4591,[],[[]],[0,"Default",1,1]],[[13050,1580,0,
233.4351959228516,138.7993011474609,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4592,[],[[]],[0,"Default",1,1]],[[13177,1581,0,233.4351959228516,138.7993011474609,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4593,[],[[]],[0,"Default",1,1]],[[13304,1580,0,233.4351959228516,138.7993011474609,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4594,[],[[]],[0,"Default",1,1]],[[13430,1580,0,233.4351959228516,138.7993011474609,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],
23,4595,[],[[]],[0,"Default",1,1]],[[13557,1580,0,233.4351959228516,138.7993011474609,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4596,[],[[]],[0,"Default",1,1]],[[13674,1580,0,233.4351959228516,138.7993011474609,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4597,[],[[]],[0,"Default",1,1]],[[13788,1578,0,233.4351959228516,138.7993011474609,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4598,[],[[]],[0,"Default",1,1]],[[13904,1578,0,233.4351959228516,138.7993011474609,0,
0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4599,[],[[]],[0,"Default",1,1]],[[14019,1578,0,233.4351959228516,138.7993011474609,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4600,[],[[]],[0,"Default",1,1]],[[14136,1578,0,233.4351959228516,138.7993011474609,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4601,[],[[]],[0,"Default",1,1]],[[14257,1578,0,233.4351959228516,138.7993011474609,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4602,[],[[]],[0,"Default",1,1]],[[14372,
1578,0,233.4351959228516,138.7993011474609,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4603,[],[[]],[0,"Default",1,1]],[[14496,1578,0,233.4351959228516,138.7993011474609,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4604,[],[[]],[0,"Default",1,1]],[[14613,1578,0,233.4351959228516,138.7993011474609,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,4605,[],[[]],[0,"Default",1,1]],[[12899.5234375,1834.99951171875,0,317,232,0,0,1,0.5,0.5015479922294617,0,0,[]],124,4583,[],[[]],
[0,"Default",0,1]],[[12622,1835,0,243.9503021240234,232.3836822509766,0,0,1,0.5,0.5015479922294617,0,0,[]],124,4606,[],[[]],[0,"Default",0,1]],[[-6,2647,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,2380,[],[[]],[0,"Default",1,1]],[[16446,2645,0,222,132,0,0,1,0.5315315127372742,0.2651515007019043,0,0,[]],23,2381,[],[[]],[0,"Default",1,1]]],[]],["main",4,6844534363625674,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[-183,1930,0,103,190,0,0,1,0.5,0.5,0,0,[]],41,5382,[[0]],[[330,1500,3E3,
950,1500,1E3,0,1]],[1,"Default",0,1]],[[338,960,0,111,108,0,0,1,0.5045045018196106,0.2777777910232544,0,0,[]],40,5383,[[0],[0],[0]],[[],[1,400,0,0],[]],[0,"berry",0,1]],[[5693,1347,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,5384,[[9],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[1142,1582,0,208,103,0,0,1,0.4903846085071564,0.5048543810844421,0,0,[]],29,5388,[],[[1],[]],[0,"Default",1,1]],[[1319,1582,0,208,103,0,0,1,0.4903846085071564,0.5048543810844421,0,0,[]],29,5389,[],[[1],
[]],[0,"Default",1,1]],[[1523,1582,0,201,100,0,0,1,0.5024875402450562,0.5,0,0,[]],31,5390,[],[[1],[]],[0,"Default",1,1]],[[108,1567,0,208,103,0,0,1,0.4903846085071564,0.5048543810844421,0,0,[]],29,5391,[],[[1],[]],[0,"Default",1,1]],[[233,1567,0,208,103,0,0,1,0.4903846085071564,0.5048543810844421,0,0,[]],29,5392,[],[[1],[]],[0,"Default",1,1]],[[379,1567,0,208,103,0,0,1,0.4903846085071564,0.5048543810844421,0,0,[]],29,5393,[],[[1],[]],[0,"Default",1,1]],[[583,1567,0,201,100,0,0,1,0.5024875402450562,
0.5,0,0,[]],31,5394,[],[[1],[]],[0,"Default",1,1]],[[1339,1346,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,5397,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[1494,1457,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,5398,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[1140,1450,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,5399,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[344,1314,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,
0,0,[]],28,5400,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[541,1417,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,5401,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[135,1417,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,5402,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[9083,2072,0,208,103,0,0,1,0.4903846085071564,0.5048543810844421,0,0,[]],29,5403,[],[[1],[]],[0,"Default",1,1]],[[9208,2072,0,208,103,0,0,1,0.4903846085071564,0.5048543810844421,
0,0,[]],29,5404,[],[[1],[]],[0,"Default",1,1]],[[9411,2072,0,201,100,0,0,1,0.5024875402450562,0.5,0,0,[]],31,5405,[],[[1],[]],[0,"Default",1,1]],[[9252,1840,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,5406,[[9],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[9449,1943,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,5407,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[9043,1943,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,5408,[[0],[0],[0]],
[[],[1,400,0,0]],[0,"Default",0,1]],[[13289,2293,0,208,103,0,0,1,0.4903846085071564,0.5048543810844421,0,0,[]],29,5409,[],[[1],[]],[0,"Default",1,1]],[[13414,2293,0,208,103,0,0,1,0.4903846085071564,0.5048543810844421,0,0,[]],29,5410,[],[[1],[]],[0,"Default",1,1]],[[13560,2293,0,208,103,0,0,1,0.4903846085071564,0.5048543810844421,0,0,[]],29,5411,[],[[1],[]],[0,"Default",1,1]],[[13764,2293,0,201,100,0,0,1,0.5024875402450562,0.5,0,0,[]],31,5412,[],[[1],[]],[0,"Default",1,1]],[[11690,2278,0,208,103,0,
0,1,0.4903846085071564,0.5048543810844421,0,0,[]],29,5416,[],[[1],[]],[0,"Default",1,1]],[[11815,2278,0,208,103,0,0,1,0.4903846085071564,0.5048543810844421,0,0,[]],29,5417,[],[[1],[]],[0,"Default",1,1]],[[11961,2278,0,208,103,0,0,1,0.4903846085071564,0.5048543810844421,0,0,[]],29,5418,[],[[1],[]],[0,"Default",1,1]],[[12165,2278,0,201,100,0,0,1,0.5024875402450562,0.5,0,0,[]],31,5419,[],[[1],[]],[0,"Default",1,1]],[[1456,2183,0,220,130,0,0,1,0.5,0.5,0,0,[]],32,5431,[],[[1,1,1,20,10,2,0,300,0],[1]],
[0,"Default",1,1]],[[1783,1418,0,111,108,0,0,1,0.5045045018196106,0.2777777910232544,0,0,[]],40,5432,[[0],[0],[0]],[[],[1,400,0,0],[]],[0,"berry",0,1]],[[8128,1316,0,111,108,0,0,1,0.5045045018196106,0.2777777910232544,0,0,[]],40,5434,[[0],[0],[0]],[[],[1,400,0,0],[]],[0,"berry",0,1]],[[5973,1327,0,111,108,0,0,1,0.5045045018196106,0.2777777910232544,0,0,[]],40,5435,[[0],[0],[0]],[[],[1,400,0,0],[]],[0,"berry",0,1]],[[11939,2109,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,5454,
[[9],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[2803,2426,0,208,103,0,0,1,0.4903846085071564,0.5048543810844421,0,0,[]],29,5463,[],[[1],[]],[0,"Default",1,1]],[[2928,2426,0,208,103,0,0,1,0.4903846085071564,0.5048543810844421,0,0,[]],29,5464,[],[[1],[]],[0,"Default",1,1]],[[3131,2426,0,201,100,0,0,1,0.5024875402450562,0.5,0,0,[]],31,5465,[],[[1],[]],[0,"Default",1,1]],[[2960,2170,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,5466,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,
1]],[[3157,2273,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,5467,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[2751,2273,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,5468,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[7987,2087,0,208,103,0,0,1,0.4903846085071564,0.5048543810844421,0,0,[]],29,5475,[],[[1],[]],[0,"Default",1,1]],[[8112,2087,0,208,103,0,0,1,0.4903846085071564,0.5048543810844421,0,0,[]],29,5476,[],[[1],[]],[0,"Default",1,1]],[[8315,
2087,0,201,100,0,0,1,0.5024875402450562,0.5,0,0,[]],31,5477,[],[[1],[]],[0,"Default",1,1]],[[8156,1847,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,5478,[[9],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[8353,1950,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,5479,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[7947,1950,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,5480,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[6846,2102,0,
208,103,0,0,1,0.4903846085071564,0.5048543810844421,0,0,[]],29,5481,[],[[1],[]],[0,"Default",1,1]],[[6971,2102,0,208,103,0,0,1,0.4903846085071564,0.5048543810844421,0,0,[]],29,5482,[],[[1],[]],[0,"Default",1,1]],[[7174,2102,0,201,100,0,0,1,0.5024875402450562,0.5,0,0,[]],31,5483,[],[[1],[]],[0,"Default",1,1]],[[7023,1838,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,5484,[[9],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[7220,1941,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,
0,0,[]],28,5485,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[6814,1941,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,5486,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[7432,1636,0,208,103,0,0,1,0.4903846085071564,0.5048543810844421,0,0,[]],29,5487,[],[[1],[]],[0,"Default",1,1]],[[7557,1636,0,208,103,0,0,1,0.4903846085071564,0.5048543810844421,0,0,[]],29,5488,[],[[1],[]],[0,"Default",1,1]],[[7760,1636,0,201,100,0,0,1,0.5024875402450562,0.5,0,0,[]],31,5489,[],[[1],[]],
[0,"Default",1,1]],[[7593,1380,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,5490,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[7790,1483,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,5491,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[7384,1483,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,5492,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[8558,1666,0,208,103,0,0,1,0.4903846085071564,0.5048543810844421,0,0,[]],29,5493,[],[[1],
[]],[0,"Default",1,1]],[[8683,1666,0,208,103,0,0,1,0.4903846085071564,0.5048543810844421,0,0,[]],29,5494,[],[[1],[]],[0,"Default",1,1]],[[8886,1666,0,201,100,0,0,1,0.5024875402450562,0.5,0,0,[]],31,5495,[],[[1],[]],[0,"Default",1,1]],[[8723,1418,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,5496,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[8920,1521,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,5497,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[8514,
1521,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,5498,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[4974,2462,0,111,108,0,0,1,0.5045045018196106,0.2777777910232544,0,0,[]],40,5508,[[0],[0],[0]],[[],[1,400,0,0],[]],[0,"berry",0,1]],[[7438,2300,0,208,103,0,0,1,0.4903846085071564,0.5048543810844421,0,0,[]],29,5513,[],[[1],[]],[0,"Default",1,1]],[[7563,2300,0,208,103,0,0,1,0.4903846085071564,0.5048543810844421,0,0,[]],29,5514,[],[[1],[]],[0,"Default",1,1]],[[7766,2300,0,201,
100,0,0,1,0.5024875402450562,0.5,0,0,[]],31,5515,[],[[1],[]],[0,"Default",1,1]],[[7607,2036,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,5516,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[7804,2139,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,5517,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[7398,2139,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,5518,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[8527,2308,0,208,103,0,0,
1,0.4903846085071564,0.5048543810844421,0,0,[]],29,5519,[],[[1],[]],[0,"Default",1,1]],[[8652,2308,0,208,103,0,0,1,0.4903846085071564,0.5048543810844421,0,0,[]],29,5520,[],[[1],[]],[0,"Default",1,1]],[[8855,2308,0,201,100,0,0,1,0.5024875402450562,0.5,0,0,[]],31,5521,[],[[1],[]],[0,"Default",1,1]],[[8688,2068,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,5522,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[8885,2171,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],
28,5523,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[8479,2171,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,5524,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[12180,2115,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,4099,[[9],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[11700,2108,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,4100,[[9],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[13529,2128,0,119,117,0,0,1,0.5042017102241516,
0.3247863352298737,0,0,[]],28,4101,[[9],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[13762,2134,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,4102,[[9],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[13290,2143,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,4103,[[9],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[6445,1803,0,220,130,0,0,1,0.5,0.5,0,0,[]],32,4983,[],[[1,1,1,20,10,2,0,500,0],[1]],[0,"Default",1,1]],[[9867,1828,0,220,130,0,0,1,0.5,0.5,0,0,[]],32,
4984,[],[[1,1,1,20,10,2,0,500,0],[1]],[0,"Default",1,1]],[[14873,2045,0,220,130,0,0,1,0.5,0.5,0,0,[]],32,4985,[],[[1,1,1,20,10,2,0,400,0],[1]],[0,"Default",1,1]],[[750,2128,0,220,130,0,0,1,0.5,0.5,0,0,[]],32,5079,[],[[1,1,1,20,10,2,0,300,0],[1]],[0,"Default",1,1]],[[12733,1219,0,208,103,0,0,1,0.4903846085071564,0.5048543810844421,0,0,[]],29,5082,[],[[1],[]],[0,"Default",1,1]],[[12858,1219,0,208,103,0,0,1,0.4903846085071564,0.5048543810844421,0,0,[]],29,5083,[],[[1],[]],[0,"Default",1,1]],[[13004,
1219,0,208,103,0,0,1,0.4903846085071564,0.5048543810844421,0,0,[]],29,5084,[],[[1],[]],[0,"Default",1,1]],[[13208,1219,0,201,100,0,0,1,0.5024875402450562,0.5,0,0,[]],31,5085,[],[[1],[]],[0,"Default",1,1]],[[11584,1219,0,208,103,0,0,1,0.4903846085071564,0.5048543810844421,0,0,[]],29,5086,[],[[1],[]],[0,"Default",1,1]],[[11709,1219,0,208,103,0,0,1,0.4903846085071564,0.5048543810844421,0,0,[]],29,5166,[],[[1],[]],[0,"Default",1,1]],[[11855,1219,0,208,103,0,0,1,0.4903846085071564,0.5048543810844421,0,
0,[]],29,5167,[],[[1],[]],[0,"Default",1,1]],[[12059,1219,0,201,100,0,0,1,0.5024875402450562,0.5,0,0,[]],31,5168,[],[[1],[]],[0,"Default",1,1]],[[12983,967,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,5169,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[13180,1070,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,5170,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[12774,1070,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,5171,[[0],[0],
[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[11828,974,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,5172,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[12025,1077,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,5173,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[11619,1077,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,5174,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[12368,671,0,111,108,0,0,1,0.5045045018196106,0.2777777910232544,
0,0,[]],40,5175,[[0],[0],[0]],[[],[1,400,0,0],[]],[0,"berry",0,1]],[[14735,1213,0,208,103,0,0,1,0.4903846085071564,0.5048543810844421,0,0,[]],29,5081,[],[[1],[]],[0,"Default",1,1]],[[14860,1213,0,208,103,0,0,1,0.4903846085071564,0.5048543810844421,0,0,[]],29,5176,[],[[1],[]],[0,"Default",1,1]],[[15063,1213,0,201,100,0,0,1,0.5024875402450562,0.5,0,0,[]],31,5177,[],[[1],[]],[0,"Default",1,1]],[[14900,953,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,5178,[[0],[0],[0]],[[],[1,400,
0,0]],[0,"Default",0,1]],[[15097,1056,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,5179,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[14691,1056,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,5180,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[15861,1243,0,208,103,0,0,1,0.4903846085071564,0.5048543810844421,0,0,[]],29,5181,[],[[1],[]],[0,"Default",1,1]],[[15986,1243,0,208,103,0,0,1,0.4903846085071564,0.5048543810844421,0,0,[]],29,5182,[],[[1],[]],[0,
"Default",1,1]],[[16189,1243,0,201,100,0,0,1,0.5024875402450562,0.5,0,0,[]],31,5183,[],[[1],[]],[0,"Default",1,1]],[[16038,987,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,5184,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[16235,1090,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,5185,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[15829,1090,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,5186,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",
0,1]]],[]],["general",5,0x8ecd286784fe3,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[8085,1914,0,128,128,0,0,1,0,0.5,0,0,[]],65,5526,[],[[]],[50,360,0,10,16,100,0,4E3,2E3,0,0,30,0,60,0,500,0,0,1]],[[11632,2618,0,1014,770,0,0,1,0.4940828382968903,0.43376624584198,0,0,[]],33,5527,[],[[1,1,2,15,0,0,0,50,0],[]],[0,"Default",0,1]],[[-190,1332,0,153,198,0,0,1,0.5018315315246582,0.5,0,0,[]],42,5529,[[0],[0],[0],[0],[0],[0],[0],[3],[0]],[[],[]],[0,"Default",0,1]],[[3503,-23,0,7194,2425,0,0,0.449999988079071,0.5,
0,0,0,[]],75,5530,[],[[]],[0,"Default",0,1]],[[8179,1,0,3884,2675,0,0,0.699999988079071,0.5,0,0,0,[]],75,5531,[],[[]],[0,"Default",0,1]],[[6498,2212,0,1014,770,0,0,1,0.4940828382968903,0.43376624584198,0,0,[]],33,5533,[],[[1,1,2,15,0,0,0,50,0],[]],[0,"Default",0,1]],[[11108,2071,0,1014,770,0,0,1,0.4940828382968903,0.43376624584198,0,0,[]],33,5534,[],[[1,1,2,15,0,0,0,50,0],[]],[0,"Default",0,1]],[[11685,1004,0,128,128,0,0,1,0,0.5,0,0,[]],65,5537,[],[[]],[50,360,0,10,16,100,0,4E3,2E3,0,0,30,0,60,0,
500,0,0,1]],[[12091,-62,0,3883.591796875,2424.517578125,0,0,0.449999988079071,0.5,0,0,0,[]],75,5539,[],[[]],[0,"Default",0,1]],[[11022,2514,0,-287,258,0,0,1,0.6059225797653198,0.875,0,0,[]],50,5525,[[1]],[[]],[0,"Default",1,1]],[[5782,-3,0,574,2594,0,0,1,0.5,0,0,0,[]],75,5292,[],[[]],[0,"Default",0,1]],[[7589,-3,0,301,3502,0,0,1,0.5,0,0,0,[]],75,5293,[],[[]],[0,"Default",0,1]],[[7341,-8,0,574,1979,0,0,1,0.5,0,0,0,[]],75,5294,[],[[]],[0,"Default",0,1]],[[299,2537,0,142.8915710449219,142.8915710449219,
0,0,1,0.5,0.5,0,0,[]],72,5528,[[0],[0]],[[]],[1,"Default",0,1]]],[]],["gui",6,6314238274179247,!0,[255,255,255],!0,0,0,1,!1,1,0,0,[[[-462,-130,0,200,30,0,0,1,0,0,0,0,[]],68,5540,[[1]],[[1,0,4,1,1],[]],["\u041d\u0435 \u0432\u0441\u0435 \u0441\u043e\u0431\u0440\u0430\u043d\u043e",0,"12pt Arial","rgb(0,0,0)",0,0,0,0,0]]],[]],["black",7,0xf6a392d4dcc0f,!0,[0,0,0],!1,1,1,0,!1,1,0,0,[],[]]],[],[]],["13",8780,2989,!1,"e13",8533121587118084,[["b4",0,8297214636089756,!0,[172,175,179],!1,0.4000000059604645,
0.4000000059604645,1,!1,1,0,0,[[[0,0,0,2302,2302,0,0,1,-0.01297405175864697,9.746589930728078E-4,0,0,[]],44,5295,[],[[]],[0,"Default",2,1]]],[]],["b3",1,5622999387880687,!0,[255,255,255],!0,0.699999988079071,1,1,!1,1,0,0,[[[1022,2449.611328125,0,2048,456.3058471679688,0,0,1,0.5,0.5013405084609985,0,0,[]],43,5296,[],[[]],[0,"Default",2,1]],[[3059,2448.611328125,0,2048,456.3058471679688,0,0,1,0.5,0.5013405084609985,0,0,[]],43,5297,[],[[]],[0,"Default",2,1]],[[-1015,2450.611328125,0,2048,456.3058471679688,
0,0,1,0.5,0.5013405084609985,0,0,[]],43,5298,[],[[]],[0,"Default",2,1]],[[5096,2448.611328125,0,2048,456.3058471679688,0,0,1,0.5,0.5013405084609985,0,0,[]],43,5299,[],[[]],[0,"Default",2,1]],[[7126,2448.611328125,0,2048,456.3058471679688,0,0,1,0.5,0.5013405084609985,0,0,[]],43,5300,[],[[]],[0,"Default",2,1]],[[9170,2446.879150390625,0,2048,456.3058471679688,0,0,1,0.5,0.5013405084609985,0,0,[]],43,5301,[],[[]],[0,"Default",2,1]],[[826,2297,0,268,234,0,0,1,0.503731369972229,0.504273533821106,0,0,[]],
109,5449,[],[[]],[0,"Default",0,1]],[[2307,2191,0,132.6340637207031,115.8073501586914,0,0,1,0.503731369972229,0.504273533821106,0,0,[]],109,5553,[],[[]],[0,"Default",0,1]],[[4504,2129,0,627.4525756835938,547.7210693359375,0,0,1,0.5027624368667603,0.5,0,0,[]],110,5559,[],[[]],[0,"Default",0,1]]],[]],["b2",2,0xa567d6847453d,!0,[255,255,255],!0,0.8500000238418579,1,1,!1,1,0,0,[[[5438,942,0,2011,568,0,0,1,1,1,0,0,[]],112,5338,[],[[]],[0,"Default",0,1]],[[3239,1433,0,1248,446,0,0,1,1,1,0,0,[]],112,5438,
[],[[]],[0,"Default",1,1]],[[7879,1709,0,902,237,0,0,1,1,1,0,0,[]],112,5439,[],[[]],[0,"Default",2,1]],[[7862,933,0,618,488,0,0,1,1,1,0,0,[]],112,5440,[],[[]],[0,"Default",3,1]],[[6470,1492,0,719,519,0,0,1,1,1,0,0,[]],112,5442,[],[[]],[0,"Default",4,1]],[[4855,1309,0,902,237,0,0,1,1,1,0,0,[]],112,5549,[],[[]],[0,"Default",2,1]],[[2431,601,0,902,237,0,0,1,1,1,0,0,[]],112,5550,[],[[]],[0,"Default",2,1]],[[1498,1367,0,2011,568,0,0,1,1,1,0,0,[]],112,5551,[],[[]],[0,"Default",0,1]]],[]],["b1",3,5715412628405983,
!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[1940,2516,0,982,213,0,0,1,0.5,0.4882629215717316,0,0,[]],111,5552,[],[[]],[0,"Default",0,1]],[[6563,2442,0,-269.3980102539063,378.7187194824219,0,0,1,0.5,0.4982817769050598,0,0,[]],100,5548,[],[[]],[0,"Default",0,1]],[[6731,2281,0,-392,694,0,0,1,0.5025510191917419,0.4942363202571869,0,0,[]],101,5547,[],[[]],[0,"Default",0,1]],[[5116,2459,0,742.9669799804688,398.7256469726563,0,0,1,0.5,0.4937888085842133,0,0,[]],103,5544,[],[[]],[0,"Default",0,1]],[[5702,2525,
0,424.8236694335938,227.9887084960938,0,0,1,0.5,0.4937888085842133,0,0,[]],103,5545,[],[[]],[0,"Default",0,1]],[[2968,2176,0,315,198,0,0,1,0.5047619342803955,0.5,0,0,[]],102,5538,[],[[]],[0,"Default",0,1]],[[3226,2189,0,315,154,0,0,1,0.5047619342803955,0.5,0,0,[]],102,5541,[],[[]],[0,"Default",0,1]],[[3279,2461,0,1023,340,0,0,1,0.5004887580871582,0.5,0,0,[]],26,5339,[],[[1],[]],[0,"Default",0,1]],[[380,2811,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,5340,[],[[1],[]],[0,"Default",0,1]],[[1380,
2811,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,5341,[],[[1],[]],[0,"Default",0,1]],[[2375,2811,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,5342,[],[[1],[]],[0,"Default",0,1]],[[3357,2811,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,5343,[],[[1],[]],[0,"Default",0,1]],[[4339,2811,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,5344,[],[[1],[]],[0,"Default",0,1]],[[5212,2811,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,5345,[],[[1],[]],[0,"Default",0,1]],[[217,2645,0,
141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5346,[],[[]],[0,"Default",2,1]],[[337,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5347,[],[[]],[0,"Default",2,1]],[[454,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5348,[],[[]],[0,"Default",2,1]],[[572,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5349,[],[[]],[0,"Default",2,1]],[[684,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5350,[],[[]],
[0,"Default",2,1]],[[796,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5351,[],[[]],[0,"Default",2,1]],[[913,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5352,[],[[]],[0,"Default",2,1]],[[1033,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5353,[],[[]],[0,"Default",2,1]],[[1151,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5354,[],[[]],[0,"Default",2,1]],[[1270,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,
0,0,[]],23,5355,[],[[]],[0,"Default",2,1]],[[1390,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5356,[],[[]],[0,"Default",2,1]],[[1509,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5357,[],[[]],[0,"Default",2,1]],[[1629,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5358,[],[[]],[0,"Default",2,1]],[[1748,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5360,[],[[]],[0,"Default",2,1]],[[1869,2645,0,141,87,0,0,1,
0.5035461187362671,0.5057471394538879,0,0,[]],23,5361,[],[[]],[0,"Default",2,1]],[[1988,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5362,[],[[]],[0,"Default",2,1]],[[2107,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5363,[],[[]],[0,"Default",2,1]],[[2228,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5364,[],[[]],[0,"Default",2,1]],[[2349,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5365,[],[[]],[0,"Default",
2,1]],[[2469,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5366,[],[[]],[0,"Default",2,1]],[[2588,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5367,[],[[]],[0,"Default",2,1]],[[2954,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5370,[],[[]],[0,"Default",2,1]],[[3076,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5371,[],[[]],[0,"Default",2,1]],[[3195,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,
0,0,[]],23,5372,[],[[]],[0,"Default",2,1]],[[3316,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5373,[],[[]],[0,"Default",2,1]],[[3436,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5374,[],[[]],[0,"Default",2,1]],[[3557,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5375,[],[[]],[0,"Default",2,1]],[[3913,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5378,[],[[]],[0,"Default",2,1]],[[4034,2645,0,141,87,0,0,1,
0.5035461187362671,0.5057471394538879,0,0,[]],23,5379,[],[[]],[0,"Default",2,1]],[[4155,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5380,[],[[]],[0,"Default",2,1]],[[4274,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5386,[],[[]],[0,"Default",2,1]],[[4392,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5387,[],[[]],[0,"Default",2,1]],[[4514,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5395,[],[[]],[0,"Default",
2,1]],[[4636,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5396,[],[[]],[0,"Default",2,1]],[[4755,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5413,[],[[]],[0,"Default",2,1]],[[4876,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5414,[],[[]],[0,"Default",2,1]],[[4993,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5415,[],[[]],[0,"Default",2,1]],[[5109,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,
0,0,[]],23,5420,[],[[]],[0,"Default",2,1]],[[5232,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5421,[],[[]],[0,"Default",2,1]],[[5352,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5422,[],[[]],[0,"Default",2,1]],[[5472,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5423,[],[[]],[0,"Default",2,1]],[[2926,2301,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5425,[],[[]],[0,"Default",2,1]],[[3044,2301,0,141,87,0,0,1,
0.5035461187362671,0.5057471394538879,0,0,[]],23,5426,[],[[]],[0,"Default",2,1]],[[3162,2301,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5427,[],[[]],[0,"Default",2,1]],[[3277,2301,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5428,[],[[]],[0,"Default",2,1]],[[3388,2301,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5429,[],[[]],[0,"Default",2,1]],[[3507,2301,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5430,[],[[]],[0,"Default",
2,1]],[[3624,2301,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5433,[],[[]],[0,"Default",2,1]],[[3818,2859,0,208,197,0,0,1,0.5,0.5025380849838257,0,0,[]],35,5437,[],[[]],[0,"Default",0,1]],[[6047,2811,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,5453,[],[[1],[]],[0,"Default",0,1]],[[7029,2811,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,5455,[],[[1],[]],[0,"Default",0,1]],[[7902,2811,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,5456,[],[[1],[]],[0,"Default",0,
1]],[[5574,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5457,[],[[]],[0,"Default",2,1]],[[5696,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5458,[],[[]],[0,"Default",2,1]],[[5815,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5459,[],[[]],[0,"Default",2,1]],[[5936,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5460,[],[[]],[0,"Default",2,1]],[[6335,2461,0,-515,322,0,0,1,0.5,0.4937888085842133,0,0,[]],103,5546,
[],[[]],[0,"Default",0,1]],[[6056,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5461,[],[[]],[0,"Default",2,1]],[[6177,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5462,[],[[]],[0,"Default",2,1]],[[6293,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5469,[],[[]],[0,"Default",2,1]],[[6411,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5470,[],[[]],[0,"Default",2,1]],[[6533,2645,0,141,87,0,0,1,0.5035461187362671,
0.5057471394538879,0,0,[]],23,5471,[],[[]],[0,"Default",2,1]],[[6654,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5472,[],[[]],[0,"Default",2,1]],[[6775,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5473,[],[[]],[0,"Default",2,1]],[[6894,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5474,[],[[]],[0,"Default",2,1]],[[7012,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5499,[],[[]],[0,"Default",2,1]],[[7134,
2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5500,[],[[]],[0,"Default",2,1]],[[7256,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5501,[],[[]],[0,"Default",2,1]],[[7375,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5503,[],[[]],[0,"Default",2,1]],[[7496,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5504,[],[[]],[0,"Default",2,1]],[[7613,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,
5505,[],[[]],[0,"Default",2,1]],[[7729,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5506,[],[[]],[0,"Default",2,1]],[[7852,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5507,[],[[]],[0,"Default",2,1]],[[7972,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5509,[],[[]],[0,"Default",2,1]],[[8092,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5510,[],[[]],[0,"Default",2,1]],[[8881,2807,0,1023,356,0,0,1,0.5004887580871582,
0.5,0,0,[]],22,5512,[],[[1],[]],[0,"Default",0,1]],[[3268,2493,0,376.7289733886719,251.4274291992188,0,0,1,0.5010941028594971,0.5016393661499023,0,0,[]],54,5535,[],[[]],[0,"Default",0,1]],[[2418,2941,0,208,197,0,0,1,0.5,0.5025380849838257,0,0,[]],35,5441,[],[[]],[0,"Default",0,1]],[[1209,2805,0,208,197,0,0,1,0.5,0.5025380849838257,0,0,[]],35,5450,[],[[]],[0,"Default",0,1]],[[4867,2858,0,223,215,0,0,1,0.5022421479225159,0.5023255944252014,0,0,[]],34,5451,[],[[]],[0,"Default",0,1]],[[3076,2794,0,223,
215,0,0,1,0.5022421479225159,0.5023255944252014,0,0,[]],34,5452,[],[[]],[0,"Default",0,1]],[[1722,2903,0,223,215,0,0,1,0.5022421479225159,0.5023255944252014,0,0,[]],34,5532,[],[[]],[0,"Default",0,1]],[[3665.2666015625,2197,0,266,154,0,0,1,0.5047619342803955,0.5,0,0,[]],102,5542,[],[[]],[0,"Default",0,1]],[[920,1082,0,137,118,0,0,1,0.5036496520042419,0.5,0,0,[]],116,5448,[],[[]],[0,"Default",0,1]],[[4266,2530,0,315,198,0,0,1,0.5047619342803955,0.5,0,0,[]],102,5543,[],[[]],[0,"Default",0,1]],[[8211,
2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5595,[],[[]],[0,"Default",2,1]],[[8331,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5596,[],[[]],[0,"Default",2,1]],[[8452,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5597,[],[[]],[0,"Default",2,1]],[[8572,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5598,[],[[]],[0,"Default",2,1]],[[2840,2575,0,-190.6354064941406,181.5966491699219,0,1.570796370506287,1,0.5,
0.5015479922294617,0,0,[]],124,4673,[],[[]],[0,"Default",0,1]],[[2840,2385,0,-190.6354064941406,181.5966491699219,0,1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,4676,[],[[]],[0,"Default",0,1]],[[3712,2381,0,-190.6354064941406,181.5966491699219,0,-1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,4677,[],[[]],[0,"Default",0,1]],[[3712,2571,0,-190.6354064941406,181.5966491699219,0,-1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,4678,[],[[]],[0,"Default",0,1]],[[2832,2645,0,141,
87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5369,[],[[]],[0,"Default",2,1]],[[3791,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5377,[],[[]],[0,"Default",2,1]],[[2812,2301,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5424,[],[[]],[0,"Default",2,1]],[[3742,2301,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5436,[],[[]],[0,"Default",2,1]],[[2710,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5368,[],[[]],
[0,"Default",2,1]],[[3673,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5376,[],[[]],[0,"Default",2,1]],[[8688,2644,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,2387,[],[[]],[0,"Default",2,1]],[[8802,2646,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,2492,[],[[]],[0,"Default",2,1]],[[96,2650,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,2499,[],[[]],[0,"Default",2,1]],[[-31,2653,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,
0,0,[]],23,2500,[],[[]],[0,"Default",2,1]]],[]],["main",4,8645647877713534,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[-272,1682,0,103,190,0,0,1,0.5,0.5,0,0,[]],41,5536,[[0]],[[330,1500,3E3,950,1500,1E3,0,1]],[1,"Default",0,1]],[[3123,1215,0,164,80,0,0,1,0.5,0.5,0,0,[]],29,5574,[],[[1],[]],[0,"Default",2,1]],[[3290,1233,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,5302,[],[[1],[]],[0,"Default",1,1]],[[3442,1214,0,127,69,0,0,1,0.5039370059967041,0.5072463750839233,0,0,[]],31,5580,[],
[[1],[]],[0,"Default",2,1]],[[3289,1703,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],32,5588,[],[[1,1,1,20,10,2,0,350,0],[1]],[0,"Default",2,1]],[[2270,1330,0,164,80,0,0,1,0.5,0.5,0,0,[]],29,5560,[],[[1],[]],[0,"Default",2,1]],[[2437,1348,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,5561,[],[[1],[]],[0,"Default",1,1]],[[2589,1329,0,127,69,0,0,1,0.5039370059967041,0.5072463750839233,0,0,[]],31,5563,[],[[1],[]],[0,"Default",2,1]],[[1638,1200,0,164,80,0,0,1,0.5,0.5,
0,0,[]],29,5565,[],[[1],[]],[0,"Default",2,1]],[[1805,1218,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,5567,[],[[1],[]],[0,"Default",1,1]],[[1957,1199,0,127,69,0,0,1,0.5039370059967041,0.5072463750839233,0,0,[]],31,5568,[],[[1],[]],[0,"Default",2,1]],[[647,1157,0,164,80,0,0,1,0.5,0.5,0,0,[]],29,5569,[],[[1],[]],[0,"Default",2,1]],[[814,1175,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,5570,[],[[1],[]],[0,"Default",1,1]],[[966,1156,0,127,69,0,0,1,0.5039370059967041,
0.5072463750839233,0,0,[]],31,5571,[],[[1],[]],[0,"Default",2,1]],[[4231,1513,0,164,80,0,0,1,0.5,0.5,0,0,[]],29,5572,[],[[1],[]],[0,"Default",2,1]],[[4398,1531,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,5573,[],[[1],[]],[0,"Default",1,1]],[[4550,1512,0,127,69,0,0,1,0.5039370059967041,0.5072463750839233,0,0,[]],31,5575,[],[[1],[]],[0,"Default",2,1]],[[4845,1892,0,164,80,0,0,1,0.5,0.5,0,0,[]],29,5576,[],[[1],[]],[0,"Default",2,1]],[[5012,1910,0,185,103,0,0,1,0.5027027130126953,
0.5048543810844421,0,0,[]],30,5577,[],[[1],[]],[0,"Default",1,1]],[[5164,1891,0,127,69,0,0,1,0.5039370059967041,0.5072463750839233,0,0,[]],31,5578,[],[[1],[]],[0,"Default",2,1]],[[4225,2213,0,164,80,0,0,1,0.5,0.5,0,0,[]],29,5579,[],[[1],[]],[0,"Default",2,1]],[[4392,2231,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,5581,[],[[1],[]],[0,"Default",1,1]],[[4544,2212,0,127,69,0,0,1,0.5039370059967041,0.5072463750839233,0,0,[]],31,5582,[],[[1],[]],[0,"Default",2,1]],[[5649,2047,0,164,
80,0,0,1,0.5,0.5,0,0,[]],29,5583,[],[[1],[]],[0,"Default",2,1]],[[5816,2065,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,5584,[],[[1],[]],[0,"Default",1,1]],[[5968,2046,0,127,69,0,0,1,0.5039370059967041,0.5072463750839233,0,0,[]],31,5585,[],[[1],[]],[0,"Default",2,1]],[[6177,1685,0,164,80,0,0,1,0.5,0.5,0,0,[]],29,5586,[],[[1],[]],[0,"Default",2,1]],[[6344,1703,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,5587,[],[[1],[]],[0,"Default",1,1]],[[6496,1684,0,127,
69,0,0,1,0.5039370059967041,0.5072463750839233,0,0,[]],31,5589,[],[[1],[]],[0,"Default",2,1]],[[5299,1432,0,164,80,0,0,1,0.5,0.5,0,0,[]],29,5599,[],[[1],[]],[0,"Default",2,1]],[[5466,1450,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,5600,[],[[1],[]],[0,"Default",1,1]],[[5618,1431,0,127,69,0,0,1,0.5039370059967041,0.5072463750839233,0,0,[]],31,5601,[],[[1],[]],[0,"Default",2,1]],[[6212,1139,0,164,80,0,0,1,0.5,0.5,0,0,[]],29,5602,[],[[1],[]],[0,"Default",2,1]],[[6379,1157,0,185,
103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,5607,[],[[1],[]],[0,"Default",1,1]],[[6531,1138,0,127,69,0,0,1,0.5039370059967041,0.5072463750839233,0,0,[]],31,5608,[],[[1],[]],[0,"Default",2,1]],[[5494,766,0,164,80,0,0,1,0.5,0.5,0,0,[]],29,5609,[],[[1],[]],[0,"Default",2,1]],[[5661,784,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,5610,[],[[1],[]],[0,"Default",1,1]],[[5813,765,0,127,69,0,0,1,0.5039370059967041,0.5072463750839233,0,0,[]],31,5611,[],[[1],[]],[0,"Default",
2,1]],[[7200,2267,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],32,5612,[],[[1,1,1,20,10,2,0,100,0],[1]],[0,"Default",2,1]],[[7668,1746,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],32,5613,[],[[0,1,1,20,10,2,0,0,0],[1]],[0,"Default",2,1]],[[8013,1251,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],32,5614,[],[[1,1,1,20,10,2,0,0,0],[1]],[0,"Default",2,1]],[[725,2466,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,5564,[[0],[0],[0]],[[],
[1,400,0,0]],[0,"Default",0,1]],[[1E3,2466,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,5592,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[1276,2466,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,5631,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[1551,2466,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,5635,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[2861,1464,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],
28,5636,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[3197,1437,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,5817,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[3487,1417,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,5830,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[3768,1369,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,5831,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[1897,2183,0,119,117,0,0,1,0.5042017102241516,
0.3247863352298737,0,0,[]],28,5832,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[2108,2006,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,5833,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[2319,1829,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,5834,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[2530,1652,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,5835,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[2102,790,0,119,117,
0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,5836,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[2318,1139,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,5837,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[2469,1135,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,5838,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[2606,1147,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,5839,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,
1]],[[3121,1056,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,5840,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[3275,1052,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,5841,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[3464,1049,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,5842,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[4236,1349,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,5843,[[0],[0],[0]],[[],[1,
400,0,0]],[0,"Default",0,1]],[[5363,1854,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,5844,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[5638,1854,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,5845,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[5914,1854,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,5846,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[6189,1854,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,
5847,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[5309,1304,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,5848,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[5478,1195,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,5849,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[5616,1301,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,5850,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[5867,1277,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,
0,0,[]],28,5851,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[5633,467,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,5852,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[5494,582,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,5853,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[5770,582,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,5854,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[6230,986,0,119,117,0,0,1,0.5042017102241516,
0.3247863352298737,0,0,[]],28,5855,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[7464.11279296875,1836.309814453125,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,5856,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[7621.8466796875,1611.04296875,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,5857,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[7780.1533203125,1384.95703125,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,5858,[[0],
[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[7958,1085,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,5859,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[3282,1877,0,94,118,0,0,1,0.5,0.3305084705352783,0,0,[]],40,5562,[[0],[0],[0]],[[],[1,400,0,0],[]],[0,"carrot",0,1]],[[1789,1036,0,94,118,0,0,1,0.5,0.3305084705352783,0,0,[]],40,5554,[[0],[0],[0]],[[],[1,400,0,0],[]],[0,"carrot",0,1]],[[4390,1287,0,94,118,0,0,1,0.5,0.3305084705352783,0,0,[]],40,5555,[[0],[0],[0]],[[],[1,400,
0,0],[]],[0,"carrot",0,1]],[[3990,2411,0,94,118,0,0,1,0.5,0.3305084705352783,0,0,[]],40,5556,[[0],[0],[0]],[[],[1,400,0,0],[]],[0,"carrot",0,1]],[[5656,162,0,94,118,0,0,1,0.5,0.3305084705352783,0,0,[]],40,5557,[[0],[0],[0]],[[],[1,400,0,0],[]],[0,"carrot",0,1]],[[8198,990,0,94,118,0,0,1,0.5,0.3305084705352783,0,0,[]],40,5558,[[0],[0],[0]],[[],[1,400,0,0],[]],[0,"carrot",0,1]],[[812,888,0,94,113,0,0,1,0.5106382966041565,0.3097345232963562,0,0,[]],46,5566,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",
0,1]],[[7623,2008,0,127,69,0,0,1,0.5039370059967041,0.5072463750839233,0,0,[]],31,8768,[],[[1],[]],[0,"Default",2,1]],[[7483,2008,0,164,80,0,0,1,0.5,0.5,0,0,[]],29,8771,[],[[1],[]],[0,"Default",2,1]],[[7990,1546,0,127,69,0,0,1,0.5039370059967041,0.5072463750839233,0,0,[]],31,8772,[],[[1],[]],[0,"Default",2,1]],[[7850,1546,0,164,80,0,0,1,0.5,0.5,0,0,[]],29,8773,[],[[1],[]],[0,"Default",2,1]],[[6896,2003,0,127,69,0,0,1,0.5039370059967041,0.5072463750839233,0,0,[]],31,8774,[],[[1],[]],[0,"Default",2,
1]],[[6756,2003,0,164,80,0,0,1,0.5,0.5,0,0,[]],29,8775,[],[[1],[]],[0,"Default",2,1]],[[5672,1727,0,127,69,0,0,1,0.5039370059967041,0.5072463750839233,0,0,[]],31,8776,[],[[1],[]],[0,"Default",2,1]],[[5532,1727,0,164,80,0,0,1,0.5,0.5,0,0,[]],29,8777,[],[[1],[]],[0,"Default",2,1]],[[6061,1439,0,127,69,0,0,1,0.5039370059967041,0.5072463750839233,0,0,[]],31,8778,[],[[1],[]],[0,"Default",2,1]],[[5921,1439,0,164,80,0,0,1,0.5,0.5,0,0,[]],29,8779,[],[[1],[]],[0,"Default",2,1]],[[5790,1118,0,127,69,0,0,1,
0.5039370059967041,0.5072463750839233,0,0,[]],31,8780,[],[[1],[]],[0,"Default",2,1]],[[5650,1118,0,164,80,0,0,1,0.5,0.5,0,0,[]],29,8781,[],[[1],[]],[0,"Default",2,1]],[[4809,1242,0,127,69,0,0,1,0.5039370059967041,0.5072463750839233,0,0,[]],31,8782,[],[[1],[]],[0,"Default",2,1]],[[4669,1242,0,164,80,0,0,1,0.5,0.5,0,0,[]],29,8783,[],[[1],[]],[0,"Default",2,1]],[[3952,1490,0,127,69,0,0,1,0.5039370059967041,0.5072463750839233,0,0,[]],31,8784,[],[[1],[]],[0,"Default",2,1]],[[3812,1490,0,164,80,0,0,1,0.5,
0.5,0,0,[]],29,8785,[],[[1],[]],[0,"Default",2,1]],[[4521,1363,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2384,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[6513,976,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2385,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[6412,664,0,94,118,0,0,1,0.5,0.3305084705352783,0,0,[]],40,2386,[[0],[0],[0]],[[],[1,400,0,0],[]],[0,"carrot",0,1]],[[6056,1283,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,
[]],28,2501,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[6380,883,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2502,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]]],[]],["general",5,5358475116306058,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[8292,2464,0,202.0203399658203,370.8516235351563,0,0,1,0.5076452493667603,0.49740931391716,0,0,[]],50,5590,[[2]],[[]],[0,"Default",2,1]],[[191,2432,0,142.8915710449219,142.8915710449219,0,0,1,0.5,0.5,0,0,[]],72,5593,[[0],[0]],[[]],[1,"Default",
0,1]],[[1530,1962,0,154.129150390625,171.9771423339844,0,0,1,0.5018315315246582,0.5,0,0,[]],42,5594,[[0],[0],[0],[0],[0],[0],[0],[3],[0]],[[],[]],[0,"Default",0,1]],[[4215,1245,0,128,128,0,0,1,0,0.5,0,0,[]],118,5591,[],[[]],[50,360,0,10,16,100,0,5E3,1400,0,0,30,0,60,0,500,0,0,4]],[[2663,83,0,197,216,0,0,1,0.4974619150161743,0.5138888955116272,0,0,[]],113,5444,[],[[1,0,0,4,0,0,0,50,0],[],[]],[0,"Default",0,1]]],[]],["gui",6,0x5e5b12da2f3dd,!0,[255,255,255],!0,0,0,1,!1,1,0,0,[[[-419,183,0,200,30,0,
0,1,0,0,0,0,[]],68,5603,[[1]],[[1,0,4,1,1],[]],["\u041d\u0435 \u0432\u0441\u0435 \u0441\u043e\u0431\u0440\u0430\u043d\u043e",0,"12pt Arial","rgb(0,0,0)",0,0,0,0,0]],[[-419,150,0,200,30,0,0,1,0,0,0,0,[]],68,5604,[[0]],[[1,0,4,1,1],[]],["\u0412\u043d\u0438\u043c\u0430\u043d\u0438\u0435!",0,"14pt Arial","rgb(0,0,0)",0,0,0,0,0]]],[]],["guiTop",7,0xbd6c0673725a0,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[0,0,0,2345,1016,0,0,1,0,0,0,0,[]],74,9554,[],[[]],[0,"Default",0,1]],[[660,0,0,1024,768,0,0,1,0,0,0,0,[]],
117,5829,[],[[]],[0,"Default",0,1]],[[1576,668,0,162,173,0,0,1,0.5,0.5028901696205139,0,0,[]],16,5606,[[5]],[[""],[]],[0,"Default",0,1]]],[]],["black",8,7504724669544917,!0,[0,0,0],!1,1,1,0,!1,1,0,0,[],[]]],[],[]],["14",1E4,2989,!1,"e14-17",0xdc3f69cc3004,[["b4",0,0x81d1eb19fc381,!0,[172,175,179],!1,0.4000000059604645,0.4000000059604645,1,!1,1,0,0,[[[0,0,0,2302,2302,0,0,1,-0.01297405175864697,9.746589930728078E-4,0,0,[]],44,5615,[],[[]],[0,"Default",2,1]]],[]],["b3",1,8844507833409969,!0,[255,255,
255],!0,0.699999988079071,1,1,!1,1,0,0,[[[1022,2449.611328125,0,2048,456.3058471679688,0,0,1,0.5,0.5013405084609985,0,0,[]],43,5616,[],[[]],[0,"Default",2,1]],[[3059,2448.611328125,0,2048,456.3058471679688,0,0,1,0.5,0.5013405084609985,0,0,[]],43,5617,[],[[]],[0,"Default",2,1]],[[-1015,2450.611328125,0,2048,456.3058471679688,0,0,1,0.5,0.5013405084609985,0,0,[]],43,5618,[],[[]],[0,"Default",2,1]],[[5096,2448.611328125,0,2048,456.3058471679688,0,0,1,0.5,0.5013405084609985,0,0,[]],43,5619,[],[[]],[0,
"Default",2,1]],[[7126,2448.611328125,0,2048,456.3058471679688,0,0,1,0.5,0.5013405084609985,0,0,[]],43,5620,[],[[]],[0,"Default",2,1]],[[9170,2446.879150390625,0,2048,456.3058471679688,0,0,1,0.5,0.5013405084609985,0,0,[]],43,5621,[],[[]],[0,"Default",2,1]],[[3433,2193,0,268,234,0,0,1,0.503731369972229,0.504273533821106,0,0,[]],109,5622,[],[[]],[0,"Default",0,1]],[[2347.979248046875,2216.773193359375,0,227.8818817138672,198.9714965820313,0,0,1,0.503731369972229,0.504273533821106,0,0,[]],109,5623,[],
[[]],[0,"Default",0,1]],[[4136,2299,0,227.8818817138672,198.9714965820313,0,0,1,0.503731369972229,0.504273533821106,0,0,[]],109,5860,[],[[]],[0,"Default",0,1]],[[6766,2195,0,227.8818817138672,198.9714965820313,0,0,1,0.503731369972229,0.504273533821106,0,0,[]],109,5861,[],[[]],[0,"Default",0,1]],[[5932,2225,0,227.8818817138672,198.9714965820313,0,0,1,0.503731369972229,0.504273533821106,0,0,[]],109,5862,[],[[]],[0,"Default",0,1]],[[4936,2099,0,627.4525756835938,547.7210693359375,0,0,1,0.5027624368667603,
0.5,0,0,[]],110,5649,[],[[]],[0,"Default",0,1]],[[881,2187,0,362,316,0,0,1,0.5027624368667603,0.5,0,0,[]],110,5863,[],[[]],[0,"Default",0,1]],[[8313,2115,0,362,316,0,0,1,0.5027624368667603,0.5,0,0,[]],110,5628,[],[[]],[0,"Default",0,1]]],[]],["b2",2,6054998176410941,!0,[255,255,255],!0,0.8500000238418579,1,1,!1,1,0,0,[[[6956,1414,0,2011,568,0,0,1,1,1,0,0,[]],112,5629,[],[[]],[0,"Default",0,1]],[[3807,1182,0,1248,446,0,0,1,1,1,0,0,[]],112,5637,[],[[]],[0,"Default",1,1]],[[6248,1469,0,902,237,0,0,1,
1,1,0,0,[]],112,5638,[],[[]],[0,"Default",2,1]],[[7760,1068,0,618,488,0,0,1,1,1,0,0,[]],112,5639,[],[[]],[0,"Default",3,1]],[[9700,781,0,719,519,0,0,1,1,1,0,0,[]],112,5640,[],[[]],[0,"Default",4,1]],[[1382,1309,0,902,237,0,0,1,1,1,0,0,[]],112,5641,[],[[]],[0,"Default",2,1]],[[2363,1839,0,-902,237,0,0,1,1,1,0,0,[]],112,5642,[],[[]],[0,"Default",2,1]],[[9526,1828,0,2011,568,0,0,1,1,1,0,0,[]],112,5643,[],[[]],[0,"Default",0,1]],[[3589,1156,0,-902,237,0,0,1,1,1,0,0,[]],112,5446,[],[[]],[0,"Default",2,
1]],[[3393,1945,0,902,237,0,0,1,1,1,0,0,[]],112,5447,[],[[]],[0,"Default",2,1]],[[2912,1843,0,902,237,0,0,1,1,1,0,0,[]],112,5511,[],[[]],[0,"Default",2,1]],[[6940,1038,0,902,237,0,0,1,1,1,0,0,[]],112,5632,[],[[]],[0,"Default",2,1]],[[6459,936,0,902,237,0,0,1,1,1,0,0,[]],112,5644,[],[[]],[0,"Default",2,1]],[[7349.95703125,1308.59765625,0,526.130126953125,2678.804931640625,0,0,1,0.501694917678833,0.5,0,0,[]],107,5625,[],[[]],[0,"Default",0,1]]],[]],["b1",3,0x87df0e2486cb1,!0,[255,255,255],!0,1,1,1,
!1,1,0,0,[[[4805,1727,0,1023,340,0,0,1,0.5004887580871582,0.5,0,0,[]],26,5799,[],[[1],[]],[0,"Default",0,1]],[[2616,2522,0,982,213,0,0,1,0.5,0.4882629215717316,0,0,[]],111,5650,[],[[]],[0,"Default",0,1]],[[3279,2461,0,1023,340,0,0,1,0.5004887580871582,0.5,0,0,[]],26,5657,[],[[1],[]],[0,"Default",0,1]],[[4268,2461,0,1023,340,0,0,1,0.5004887580871582,0.5,0,0,[]],22,5336,[],[[1],[]],[0,"Default",0,1]],[[4267,2094,0,1023,340,0,0,1,0.5004887580871582,0.5,0,0,[]],26,5304,[],[[1],[]],[0,"Default",0,1]],
[[8840,2286,0,-392,694,0,0,1,0.5025510191917419,0.4942363202571869,0,0,[]],101,5652,[],[[]],[0,"Default",0,1]],[[380,2811,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,5658,[],[[1],[]],[0,"Default",0,1]],[[1380,2811,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,5659,[],[[1],[]],[0,"Default",0,1]],[[2375,2811,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,5660,[],[[1],[]],[0,"Default",0,1]],[[3357,2811,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,5661,[],[[1],[]],[0,"Default",0,
1]],[[4339,2811,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,5662,[],[[1],[]],[0,"Default",0,1]],[[5212,2811,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,5663,[],[[1],[]],[0,"Default",0,1]],[[4068,2959,0,208,197,0,0,1,0.5,0.5025380849838257,0,0,[]],35,5718,[],[[]],[0,"Default",0,1]],[[6047,2811,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,5719,[],[[1],[]],[0,"Default",0,1]],[[7029,2811,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,5720,[],[[1],[]],[0,"Default",0,1]],[[7902,
2811,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,5721,[],[[1],[]],[0,"Default",0,1]],[[8881,2807,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,5745,[],[[1],[]],[0,"Default",0,1]],[[7888,2873,0,376.7289733886719,251.4274291992188,0,0,1,0.5010941028594971,0.5016393661499023,0,0,[]],54,5746,[],[[]],[0,"Default",0,1]],[[2308,2751,0,208,197,0,0,1,0.5,0.5025380849838257,0,0,[]],35,5747,[],[[]],[0,"Default",0,1]],[[1329,2825,0,208,197,0,0,1,0.5,0.5025380849838257,0,0,[]],35,5748,[],[[]],[0,"Default",
0,1]],[[5327,2868,0,223,215,0,0,1,0.5022421479225159,0.5023255944252014,0,0,[]],34,5749,[],[[]],[0,"Default",0,1]],[[7696,2964,0,223,215,0,0,1,0.5022421479225159,0.5023255944252014,0,0,[]],34,5750,[],[[]],[0,"Default",0,1]],[[332,2913,0,223,215,0,0,1,0.5022421479225159,0.5023255944252014,0,0,[]],34,5751,[],[[]],[0,"Default",0,1]],[[7061,2502,0,600,322,0,0,1,0.5,0.4937888085842133,0,0,[]],103,5757,[],[[]],[0,"Default",0,1]],[[6559,2150,0,457,247,0,0,1,0.4945295453071594,0.4939271211624146,0,0,[]],
105,5759,[],[[]],[0,"Default",0,1]],[[6659,2510,0,982,213,0,0,1,0.5,0.4882629215717316,0,0,[]],111,5760,[],[[]],[0,"Default",0,1]],[[9821,2807,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,5816,[],[[1],[]],[0,"Default",0,1]],[[3567,1885,0,563.09228515625,791.5930786132812,0,0,1,0.5,0.4982817769050598,0,0,[]],100,5303,[],[[]],[0,"Default",0,1]],[[5266,2455,0,1023,340,0,0,1,0.5004887580871582,0.5,0,0,[]],22,5645,[],[[1],[]],[0,"Default",0,1]],[[6266,2455,0,1023,340,0,0,1,0.5004887580871582,0.5,
0,0,[]],22,5646,[],[[1],[]],[0,"Default",0,1]],[[5267,2095,0,1023,340,0,0,1,0.5004887580871582,0.5,0,0,[]],22,5335,[],[[1],[]],[0,"Default",0,1]],[[6641,2502,0,600,322,0,0,1,0.5,0.4937888085842133,0,0,[]],103,5865,[],[[]],[0,"Default",0,1]],[[6199,2502,0,457,247,0,0,1,0.4945295453071594,0.4939271211624146,0,0,[]],105,5866,[],[[]],[0,"Default",0,1]],[[6211,2163,0,379,202,0,0,1,0.5013192892074585,0.4950495064258575,0,0,[]],104,5867,[],[[]],[0,"Default",0,1]],[[5801,2503,0,600,322,0,0,1,0.5,0.4937888085842133,
0,0,[]],103,5868,[],[[]],[0,"Default",0,1]],[[5715,2191,0,-190.6354064941406,181.5966491699219,0,-1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,4682,[],[[]],[0,"Default",0,1]],[[5713,2010,0,-190.6354064941406,181.5966491699219,0,-1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,4681,[],[[]],[0,"Default",0,1]],[[5829,2163,0,457,247,0,0,1,0.4945295453071594,0.4939271211624146,0,0,[]],105,5869,[],[[]],[0,"Default",0,1]],[[5395,2116,0,600,322,0,0,1,0.5,0.4937888085842133,0,0,[]],103,5870,
[],[[]],[0,"Default",0,1]],[[5471,1781,0,600,322,0,0,1,0.5,0.4937888085842133,0,0,[]],103,5871,[],[[]],[0,"Default",0,1]],[[4947,1448,0,315,198,0,0,1,0.5047619342803955,0.5,0,0,[]],102,5872,[],[[]],[0,"Default",0,1]],[[4651,2471,0,600,322,0,0,1,0.5,0.4937888085842133,0,0,[]],103,5875,[],[[]],[0,"Default",0,1]],[[4761,2144,0,457,247,0,0,1,0.4945295453071594,0.4939271211624146,0,0,[]],105,5876,[],[[]],[0,"Default",0,1]],[[4993,2526,0,457,247,0,0,1,0.4945295453071594,0.4939271211624146,0,0,[]],105,5877,
[],[[]],[0,"Default",0,1]],[[5051,2161,0,600,322,0,0,1,0.5,0.4937888085842133,0,0,[]],103,5878,[],[[]],[0,"Default",0,1]],[[4921,1741,0,600,322,0,0,1,0.5,0.4937888085842133,0,0,[]],103,5879,[],[[]],[0,"Default",0,1]],[[3791,2481,0,600,322,0,0,1,0.5,0.4937888085842133,0,0,[]],103,5880,[],[[]],[0,"Default",0,1]],[[4224,2120,0,600,322,0,0,1,0.5,0.4937888085842133,0,0,[]],103,5881,[],[[]],[0,"Default",0,1]],[[4591,1761,0,600,322,0,0,1,0.5,0.4937888085842133,0,0,[]],103,5882,[],[[]],[0,"Default",0,1]],
[[3205,2455,0,600,322,0,0,1,0.5,0.4937888085842133,0,0,[]],103,5883,[],[[]],[0,"Default",0,1]],[[5142,1452,0,315,198,0,0,1,0.5047619342803955,0.5,0,0,[]],102,5884,[],[[]],[0,"Default",0,1]],[[5192.544921875,2543.588134765625,0,367.1061096191406,198.4140167236328,0,0,1,0.4945295453071594,0.4939271211624146,0,0,[]],105,5885,[],[[]],[0,"Default",0,1]],[[4197,2496,0,457,247,0,0,1,0.4945295453071594,0.4939271211624146,0,0,[]],105,5886,[],[[]],[0,"Default",0,1]],[[4570,1567,0,141,87,0,0,1,0.5035461187362671,
0.5057471394538879,0,0,[]],23,5805,[],[[]],[0,"Default",2,1]],[[4688,1567,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5806,[],[[]],[0,"Default",2,1]],[[4803,1567,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5807,[],[[]],[0,"Default",2,1]],[[4772,1482,0,132,134,0,0,1,0.5,0.4925373196601868,0,0,[]],114,5873,[],[[]],[0,"Default",0,1]],[[4914,1567,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5808,[],[[]],[0,"Default",2,1]],[[5033,1567,0,141,87,
0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5809,[],[[]],[0,"Default",2,1]],[[4032,1934,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5656,[],[[]],[0,"Default",2,1]],[[4150,1934,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5752,[],[[]],[0,"Default",2,1]],[[4495,1929,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5771,[],[[]],[0,"Default",2,1]],[[4612,1932,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5772,[],[[]],[0,
"Default",2,1]],[[4718,1933,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5773,[],[[]],[0,"Default",2,1]],[[4073,2294,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5329,[],[[]],[0,"Default",2,1]],[[4191,2294,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5330,[],[[]],[0,"Default",2,1]],[[4306,2293,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5331,[],[[]],[0,"Default",2,1]],[[4417,2293,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,
0,0,[]],23,5332,[],[[]],[0,"Default",2,1]],[[4536,2291,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5333,[],[[]],[0,"Default",2,1]],[[217,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5664,[],[[]],[0,"Default",2,1]],[[337,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5665,[],[[]],[0,"Default",2,1]],[[454,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5666,[],[[]],[0,"Default",2,1]],[[572,2645,0,141,87,0,0,1,0.5035461187362671,
0.5057471394538879,0,0,[]],23,5667,[],[[]],[0,"Default",2,1]],[[684,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5668,[],[[]],[0,"Default",2,1]],[[796,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5669,[],[[]],[0,"Default",2,1]],[[913,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5670,[],[[]],[0,"Default",2,1]],[[1033,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5671,[],[[]],[0,"Default",2,1]],[[1151,2645,
0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5672,[],[[]],[0,"Default",2,1]],[[1270,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5673,[],[[]],[0,"Default",2,1]],[[1390,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5674,[],[[]],[0,"Default",2,1]],[[1509,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5675,[],[[]],[0,"Default",2,1]],[[1629,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5676,
[],[[]],[0,"Default",2,1]],[[1748,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5677,[],[[]],[0,"Default",2,1]],[[1869,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5678,[],[[]],[0,"Default",2,1]],[[1988,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5679,[],[[]],[0,"Default",2,1]],[[2107,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5680,[],[[]],[0,"Default",2,1]],[[2228,2645,0,141,87,0,0,1,0.5035461187362671,
0.5057471394538879,0,0,[]],23,5681,[],[[]],[0,"Default",2,1]],[[2349,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5682,[],[[]],[0,"Default",2,1]],[[2469,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5683,[],[[]],[0,"Default",2,1]],[[2588,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5684,[],[[]],[0,"Default",2,1]],[[2954,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5687,[],[[]],[0,"Default",2,1]],[[3076,
2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5688,[],[[]],[0,"Default",2,1]],[[3195,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5689,[],[[]],[0,"Default",2,1]],[[3316,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5690,[],[[]],[0,"Default",2,1]],[[3436,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5691,[],[[]],[0,"Default",2,1]],[[3557,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,
5692,[],[[]],[0,"Default",2,1]],[[3673,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5693,[],[[]],[0,"Default",2,1]],[[3791,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5694,[],[[]],[0,"Default",2,1]],[[3913,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5695,[],[[]],[0,"Default",2,1]],[[4034,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5696,[],[[]],[0,"Default",2,1]],[[4155,2645,0,141,87,0,0,1,0.5035461187362671,
0.5057471394538879,0,0,[]],23,5697,[],[[]],[0,"Default",2,1]],[[4274,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5698,[],[[]],[0,"Default",2,1]],[[4392,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5699,[],[[]],[0,"Default",2,1]],[[4514,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5700,[],[[]],[0,"Default",2,1]],[[4636,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5701,[],[[]],[0,"Default",2,1]],[[3044,
2301,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5711,[],[[]],[0,"Default",2,1]],[[3162,2301,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5712,[],[[]],[0,"Default",2,1]],[[3277,2301,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5713,[],[[]],[0,"Default",2,1]],[[3388,2301,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5714,[],[[]],[0,"Default",2,1]],[[3507,2301,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,
5715,[],[[]],[0,"Default",2,1]],[[3624,2301,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5716,[],[[]],[0,"Default",2,1]],[[6894,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5733,[],[[]],[0,"Default",2,1]],[[7012,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5734,[],[[]],[0,"Default",2,1]],[[7134,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5735,[],[[]],[0,"Default",2,1]],[[7256,2645,0,141,87,0,0,1,0.5035461187362671,
0.5057471394538879,0,0,[]],23,5736,[],[[]],[0,"Default",2,1]],[[7375,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5737,[],[[]],[0,"Default",2,1]],[[7496,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5738,[],[[]],[0,"Default",2,1]],[[7613,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5739,[],[[]],[0,"Default",2,1]],[[7729,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5740,[],[[]],[0,"Default",2,1]],[[7852,
2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5741,[],[[]],[0,"Default",2,1]],[[7972,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5742,[],[[]],[0,"Default",2,1]],[[8092,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5743,[],[[]],[0,"Default",2,1]],[[8211,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5766,[],[[]],[0,"Default",2,1]],[[8331,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,
5767,[],[[]],[0,"Default",2,1]],[[8452,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5768,[],[[]],[0,"Default",2,1]],[[8572,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5769,[],[[]],[0,"Default",2,1]],[[8695,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5818,[],[[]],[0,"Default",2,1]],[[8816,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5819,[],[[]],[0,"Default",2,1]],[[8933,2645,0,141,87,0,0,1,0.5035461187362671,
0.5057471394538879,0,0,[]],23,5820,[],[[]],[0,"Default",2,1]],[[9049,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5821,[],[[]],[0,"Default",2,1]],[[9172,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5822,[],[[]],[0,"Default",2,1]],[[9292,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5823,[],[[]],[0,"Default",2,1]],[[9412,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5824,[],[[]],[0,"Default",2,1]],[[9531,
2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5825,[],[[]],[0,"Default",2,1]],[[9651,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5826,[],[[]],[0,"Default",2,1]],[[9772,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5827,[],[[]],[0,"Default",2,1]],[[9892,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5828,[],[[]],[0,"Default",2,1]],[[5923,2294,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,
5653,[],[[]],[0,"Default",2,1]],[[6041,2294,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5774,[],[[]],[0,"Default",2,1]],[[6159,2294,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5775,[],[[]],[0,"Default",2,1]],[[6274,2294,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5776,[],[[]],[0,"Default",2,1]],[[6385,2294,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5777,[],[[]],[0,"Default",2,1]],[[6504,2294,0,141,87,0,0,1,0.5035461187362671,
0.5057471394538879,0,0,[]],23,5778,[],[[]],[0,"Default",2,1]],[[4653,2294,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5334,[],[[]],[0,"Default",2,1]],[[4755,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5702,[],[[]],[0,"Default",2,1]],[[4876,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5703,[],[[]],[0,"Default",2,1]],[[4993,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5704,[],[[]],[0,"Default",2,1]],[[5109,
2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5705,[],[[]],[0,"Default",2,1]],[[5232,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5706,[],[[]],[0,"Default",2,1]],[[5352,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5707,[],[[]],[0,"Default",2,1]],[[5472,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5708,[],[[]],[0,"Default",2,1]],[[5574,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,
5722,[],[[]],[0,"Default",2,1]],[[5696,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5723,[],[[]],[0,"Default",2,1]],[[6163,2251,0,563.09228515625,791.5930786132812,0,0,1,0.5,0.4982817769050598,0,0,[]],100,5651,[],[[]],[0,"Default",0,1]],[[5815,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5724,[],[[]],[0,"Default",2,1]],[[5936,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5725,[],[[]],[0,"Default",2,1]],[[6056,2645,0,141,87,0,0,
1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5726,[],[[]],[0,"Default",2,1]],[[6177,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5727,[],[[]],[0,"Default",2,1]],[[6293,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5728,[],[[]],[0,"Default",2,1]],[[6411,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5729,[],[[]],[0,"Default",2,1]],[[6533,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5730,[],[[]],[0,"Default",
2,1]],[[4810,1926,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5790,[],[[]],[0,"Default",2,1]],[[4924,1927,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5791,[],[[]],[0,"Default",2,1]],[[5042,1927,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5792,[],[[]],[0,"Default",2,1]],[[5505,1934,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5796,[],[[]],[0,"Default",2,1]],[[4773,2293,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,
0,0,[]],23,5781,[],[[]],[0,"Default",2,1]],[[4894,2295,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5782,[],[[]],[0,"Default",2,1]],[[5012,2295,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5783,[],[[]],[0,"Default",2,1]],[[5130,2295,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5784,[],[[]],[0,"Default",2,1]],[[5245,2295,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5785,[],[[]],[0,"Default",2,1]],[[5356,2295,0,141,87,0,0,1,
0.5035461187362671,0.5057471394538879,0,0,[]],23,5786,[],[[]],[0,"Default",2,1]],[[5475,2295,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5787,[],[[]],[0,"Default",2,1]],[[5092,1708,0,166,217,0,0,1,0.5,0.4884792566299439,0,0,[]],99,5753,[],[[]],[0,"Default",0,1]],[[9863,2838,0,495.4190063476563,355.9007568359375,0,0,1,0.5006518959999084,0.5009074211120605,0,0,[]],79,5744,[],[[]],[0,"Default",0,1]],[[5239,1640,0,-190.6354064941406,181.5966491699219,0,-1.570796370506287,1,0.5,0.5015479922294617,
0,0,[]],124,4679,[],[[]],[0,"Default",0,1]],[[5239,1830,0,-190.6354064941406,181.5966491699219,0,-1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,4680,[],[[]],[0,"Default",0,1]],[[6720,2367,0,-190.6354064941406,181.5966491699219,0,-1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,4683,[],[[]],[0,"Default",0,1]],[[6720,2557,0,-190.6354064941406,181.5966491699219,0,-1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,4684,[],[[]],[0,"Default",0,1]],[[4368,1828,0,-190.6354064941406,181.5966491699219,
0,1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,4685,[],[[]],[0,"Default",0,1]],[[4368,1638,0,-190.6354064941406,181.5966491699219,0,1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,4686,[],[[]],[0,"Default",0,1]],[[3827,2195,0,-190.6354064941406,181.5966491699219,0,1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,4687,[],[[]],[0,"Default",0,1]],[[3827,2005,0,-190.6354064941406,181.5966491699219,0,1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,4688,[],[[]],[0,"Default",
0,1]],[[2840,2558,0,-190.6354064941406,181.5966491699219,0,1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,4689,[],[[]],[0,"Default",0,1]],[[2840,2368,0,-190.6354064941406,181.5966491699219,0,1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,4690,[],[[]],[0,"Default",0,1]],[[4338,1567,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5800,[],[[]],[0,"Default",2,1]],[[4452,1567,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5801,[],[[]],[0,"Default",2,1]],
[[4531,1489,0,137,118,0,0,1,0.5036496520042419,0.5,0,0,[]],116,5874,[],[[]],[0,"Default",0,1]],[[5150,1567,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5810,[],[[]],[0,"Default",2,1]],[[5268,1567,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5864,[],[[]],[0,"Default",2,1]],[[3800,1934,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5654,[],[[]],[0,"Default",2,1]],[[3914,1934,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5655,[],
[[]],[0,"Default",2,1]],[[4265,1934,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5764,[],[[]],[0,"Default",2,1]],[[4376,1929,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5765,[],[[]],[0,"Default",2,1]],[[3841,2294,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5305,[],[[]],[0,"Default",2,1]],[[3955,2293,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5328,[],[[]],[0,"Default",2,1]],[[3742,2301,0,141,87,0,0,1,0.5035461187362671,
0.5057471394538879,0,0,[]],23,5717,[],[[]],[0,"Default",2,1]],[[5809,2294,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5648,[],[[]],[0,"Default",2,1]],[[6621,2294,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5779,[],[[]],[0,"Default",2,1]],[[6739,2294,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5780,[],[[]],[0,"Default",2,1]],[[6654,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5731,[],[[]],[0,"Default",2,1]],[[6775,
2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5732,[],[[]],[0,"Default",2,1]],[[5160,1927,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5793,[],[[]],[0,"Default",2,1]],[[5275,1934,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5794,[],[[]],[0,"Default",2,1]],[[5386,1934,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5795,[],[[]],[0,"Default",2,1]],[[5622,1934,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,
5797,[],[[]],[0,"Default",2,1]],[[5740,1934,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5798,[],[[]],[0,"Default",2,1]],[[5592,2295,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5788,[],[[]],[0,"Default",2,1]],[[5710,2295,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5789,[],[[]],[0,"Default",2,1]],[[2710,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5685,[],[[]],[0,"Default",2,1]],[[2832,2645,0,141,87,0,0,1,0.5035461187362671,
0.5057471394538879,0,0,[]],23,5686,[],[[]],[0,"Default",2,1]],[[2812,2301,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5709,[],[[]],[0,"Default",2,1]],[[2926,2301,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5710,[],[[]],[0,"Default",2,1]],[[2813,2565,0,148,126,0,-0.2617993950843811,1,0.5,0.4920634925365448,0,0,[]],115,5762,[],[[]],[0,"Default",0,1]],[[10007,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,2701,[],[[]],[0,"Default",2,1]],[[99,
2647,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,2702,[],[[]],[0,"Default",2,1]],[[-23,2652,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,2744,[],[[]],[0,"Default",2,1]]],[]],["main",4,0xfc5b79196186e,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[-272,1682,0,103,190,0,0,1,0.5,0.5,0,0,[]],41,5770,[[0]],[[330,1500,3E3,950,1500,1E3,0,1]],[1,"Default",0,1]],[[2795,1548,0,164,80,0,0,1,0.5,0.5,0,0,[]],29,5802,[],[[1],[]],[0,"Default",2,1]],[[2962,1566,0,185,103,0,0,1,0.5027027130126953,
0.5048543810844421,0,0,[]],30,5803,[],[[1],[]],[0,"Default",1,1]],[[3114,1547,0,127,69,0,0,1,0.5039370059967041,0.5072463750839233,0,0,[]],31,5804,[],[[1],[]],[0,"Default",2,1]],[[1873,1987,0,164,80,0,0,1,0.5,0.5,0,0,[]],29,5887,[],[[1],[]],[0,"Default",2,1]],[[2040,2005,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,5888,[],[[1],[]],[0,"Default",1,1]],[[2192,1986,0,127,69,0,0,1,0.5039370059967041,0.5072463750839233,0,0,[]],31,5889,[],[[1],[]],[0,"Default",2,1]],[[1506,671,0,164,
80,0,0,1,0.5,0.5,0,0,[]],29,5890,[],[[1],[]],[0,"Default",2,1]],[[1673,689,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,5891,[],[[1],[]],[0,"Default",1,1]],[[1825,670,0,127,69,0,0,1,0.5039370059967041,0.5072463750839233,0,0,[]],31,5892,[],[[1],[]],[0,"Default",2,1]],[[504,662,0,164,80,0,0,1,0.5,0.5,0,0,[]],29,5893,[],[[1],[]],[0,"Default",2,1]],[[671,680,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,5894,[],[[1],[]],[0,"Default",1,1]],[[823,661,0,127,69,0,0,
1,0.5039370059967041,0.5072463750839233,0,0,[]],31,5895,[],[[1],[]],[0,"Default",2,1]],[[7811,962,0,164,80,0,0,1,0.5,0.5,0,0,[]],29,5896,[],[[1],[]],[0,"Default",2,1]],[[7977,974,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,5897,[],[[1],[]],[0,"Default",1,1]],[[8852,957,0,127,69,0,0,1,0.5039370059967041,0.5072463750839233,0,0,[]],31,5898,[],[[1],[]],[0,"Default",2,1]],[[8158,974,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,5899,[],[[1],[]],[0,"Default",1,1]],
[[8338,974,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,5900,[],[[1],[]],[0,"Default",1,1]],[[8519,974,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,5901,[],[[1],[]],[0,"Default",1,1]],[[8699,974,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,5902,[],[[1],[]],[0,"Default",1,1]],[[8812,1769,0,164,80,0,0,1,0.5,0.5,0,0,[]],29,5903,[],[[1],[]],[0,"Default",2,1]],[[8978,1781,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,5904,[],
[[1],[]],[0,"Default",1,1]],[[9853,1764,0,127,69,0,0,1,0.5039370059967041,0.5072463750839233,0,0,[]],31,5905,[],[[1],[]],[0,"Default",2,1]],[[9159,1781,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,5906,[],[[1],[]],[0,"Default",1,1]],[[9339,1781,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,5907,[],[[1],[]],[0,"Default",1,1]],[[9520,1781,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,5908,[],[[1],[]],[0,"Default",1,1]],[[9700,1781,0,185,103,
0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,5909,[],[[1],[]],[0,"Default",1,1]],[[4718,1065,0,94,113,0,0,1,0.5106382966041565,0.3097345232963562,0,0,[]],46,5634,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[9269,1035,0,94,113,0,0,1,0.5106382966041565,0.3097345232963562,0,0,[]],46,5937,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[9654,1632,0,94,118,0,0,1,0.5,0.3305084705352783,0,0,[]],40,5647,[[0],[0],[0]],[[],[1,400,0,0],[]],[0,"carrot",0,1]],[[9280,1612,0,94,118,0,0,1,0.5,
0.3305084705352783,0,0,[]],40,5911,[[0],[0],[0]],[[],[1,400,0,0],[]],[0,"carrot",0,1]],[[8916,1612,0,94,118,0,0,1,0.5,0.3305084705352783,0,0,[]],40,5912,[[0],[0],[0]],[[],[1,400,0,0],[]],[0,"carrot",0,1]],[[674,437,0,94,118,0,0,1,0.5,0.3305084705352783,0,0,[]],40,6288,[[0],[0],[0]],[[],[1,400,0,0],[]],[0,"carrot",0,1]],[[1693,379,0,94,118,0,0,1,0.5,0.3305084705352783,0,0,[]],40,6289,[[0],[0],[0]],[[],[1,400,0,0],[]],[0,"carrot",0,1]],[[5558,1620,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,
0,0,[]],28,5633,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[5740,1779,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,5913,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[6934,2296,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,5914,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[7084,2464,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,5915,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[3275,2101,0,119,117,0,0,1,0.5042017102241516,
0.3247863352298737,0,0,[]],28,5916,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[3567,1868,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,5917,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[3839,1640,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,5918,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[4141,1387,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,5919,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[1821,513,0,119,117,
0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,5920,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[1513,524,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,5921,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[819,538,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,5922,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[502,537,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,5923,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],
[[832,2475,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,5924,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[1196,2465,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,5925,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[1610,2465,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,5926,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[2024,2465,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,5927,[[0],[0],[0]],[[],[1,400,
0,0]],[0,"Default",0,1]],[[1880,1828,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,5928,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[2188,1818,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,5929,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[2792,1401,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,5930,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[3107,1401,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,5931,
[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[8828,797,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,5932,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[8620,638,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,5933,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[8029,674,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,5934,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[7811,804,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,
0,0,[]],28,5935,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[8344,461,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,5936,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[3345,1205,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,5944,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[3786,1012,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,5945,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[4372,1183,0,119,117,0,0,1,0.5042017102241516,
0.3247863352298737,0,0,[]],28,5946,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[4557,1007,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,5947,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[5113,1020,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,5948,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[5408,1030,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,5949,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[6531,1200,0,119,117,
0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,5950,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[6703,1190,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,5951,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[6178,1195,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,5952,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[6360,1195,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,5953,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,
1]],[[7421,910,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,5954,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[6989,1050,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,5955,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[1173,979,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],32,5938,[],[[1,1,1,20,10,2,0,0,0],[1]],[0,"Default",2,1]],[[1892,1029,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],32,5959,[],[[1,0,1,20,10,2,0,
0,0],[1]],[0,"Default",2,1]],[[2039,1712,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2503,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[2961,1281,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2504,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[2194,1355,0,164,80,0,0,1,0.5,0.5,0,0,[]],29,2505,[],[[1],[]],[0,"Default",2,1]],[[2361,1373,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,2506,[],[[1],[]],[0,"Default",1,1]],[[2513,1354,0,
127,69,0,0,1,0.5039370059967041,0.5072463750839233,0,0,[]],31,2507,[],[[1],[]],[0,"Default",2,1]],[[1231,1660,0,164,80,0,0,1,0.5,0.5,0,0,[]],29,2508,[],[[1],[]],[0,"Default",2,1]],[[1398,1678,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,2516,[],[[1],[]],[0,"Default",1,1]],[[1550,1659,0,127,69,0,0,1,0.5039370059967041,0.5072463750839233,0,0,[]],31,2519,[],[[1],[]],[0,"Default",2,1]],[[1391,1283,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,2531,[],[[1],[]],[0,
"Default",1,1]],[[1417,1106,0,94,118,0,0,1,0.5,0.3305084705352783,0,0,[]],40,2532,[[0],[0],[0]],[[],[1,400,0,0],[]],[0,"carrot",0,1]],[[1233,1506,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2533,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[1541,1496,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2535,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[1392,1390,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2551,[[0],[0],[0]],[[],[1,
400,0,0]],[0,"Default",0,1]],[[1174,799,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2566,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[2204,1198,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2568,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[2519,1198,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2570,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[2373,1078,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,
2590,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[3370,1367,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,2591,[],[[1],[]],[0,"Default",1,1]],[[3778,1208,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,2593,[],[[1],[]],[0,"Default",1,1]],[[5667,1370,0,164,80,0,0,1,0.5,0.5,0,0,[]],29,2616,[],[[1],[]],[0,"Default",2,1]],[[5833,1382,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,2621,[],[[1],[]],[0,"Default",1,1]],[[6708,1365,0,127,69,0,0,
1,0.5039370059967041,0.5072463750839233,0,0,[]],31,2622,[],[[1],[]],[0,"Default",2,1]],[[6014,1382,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,2623,[],[[1],[]],[0,"Default",1,1]],[[6194,1382,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,2652,[],[[1],[]],[0,"Default",1,1]],[[6375,1382,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,2655,[],[[1],[]],[0,"Default",1,1]],[[6555,1382,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,
2662,[],[[1],[]],[0,"Default",1,1]],[[6980,1226,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,2663,[],[[1],[]],[0,"Default",1,1]],[[7422,1073,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,2664,[],[[1],[]],[0,"Default",1,1]],[[6012,1215,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2665,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[5839,1215,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2681,[[0],[0],[0]],[[],[1,400,
0,0]],[0,"Default",0,1]],[[6512,1944,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2698,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[6662,2112,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2699,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[6339,2133,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2700,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]]],[]],["general",5,0x5b558532ff87,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[330,2463,
0,142.8915710449219,142.8915710449219,0,0,1,0.5,0.5,0,0,[]],72,5812,[[0],[0]],[[]],[1,"Default",0,1]],[[1530,1962,0,154.129150390625,171.9771423339844,0,0,1,0.5018315315246582,0.5,0,0,[]],42,5813,[[0],[0],[0],[0],[0],[0],[0],[3],[0]],[[],[]],[0,"Default",0,1]],[[4760,1251.5,0,128,131,0,0,1,0,0.5,0,0,[]],118,5605,[],[[]],[50,360,0,10,16,100,0,5E3,1400,0,0,30,0,60,0,500,0,0,4]],[[2247,326,0,197,216,0,0,1,0.4974619150161743,0.5138888955116272,0,0,[]],113,5630,[],[[1,0,0,10,0,0,0,240,0],[],[]],[0,"Default",
0,1]],[[3290,35,0,197,216,0,0,1,0.4974619150161743,0.5138888955116272,0,0,[]],113,5445,[],[[1,0,0,10,0,0,0,240,0],[],[]],[0,"Default",0,1]],[[8343.3359375,777.8077392578125,0,202.0203399658203,370.8516235351563,0,0,1,0.5076452493667603,0.49740931391716,0,0,[]],50,4059,[[2]],[[]],[0,"Default",2,1]]],[]],["gui",6,0xc675847b219a6,!0,[255,255,255],!0,0,0,1,!1,1,0,0,[[[-419,183,0,200,30,0,0,1,0,0,0,0,[]],68,5814,[[1]],[[1,0,4,1,1],[]],["\u041d\u0435 \u0432\u0441\u0435 \u0441\u043e\u0431\u0440\u0430\u043d\u043e",
0,"12pt Arial","rgb(0,0,0)",0,0,0,0,0]],[[-419,150,0,200,30,0,0,1,0,0,0,0,[]],68,5815,[[0]],[[1,0,4,1,1],[]],["\u0412\u043d\u0438\u043c\u0430\u043d\u0438\u0435!",0,"14pt Arial","rgb(0,0,0)",0,0,0,0,0]]],[]],["black",7,5687118504375393,!0,[0,0,0],!1,1,1,0,!1,1,0,0,[],[]]],[],[]],["15",14E3,2989,!1,"e14-17",0x4d862fb532101,[["b4",0,0x99cdf60a28ad7,!0,[172,175,179],!1,0.4000000059604645,0.4000000059604645,1,!1,1,0,0,[[[0,0,0,2302,2302,0,0,1,-0.01297405175864697,9.746589930728078E-4,0,0,[]],44,5960,[],
[[]],[0,"Default",2,1]]],[]],["b3",1,9162435024372020,!0,[255,255,255],!0,0.699999988079071,1,1,!1,1,0,0,[[[9170,2446.879150390625,0,2048,456.3058471679688,0,0,1,0.5,0.5013405084609985,0,0,[]],43,5966,[],[[]],[0,"Default",2,1]],[[1022,2449.611328125,0,2048,456.3058471679688,0,0,1,0.5,0.5013405084609985,0,0,[]],43,5961,[],[[]],[0,"Default",2,1]],[[3059,2448.611328125,0,2048,456.3058471679688,0,0,1,0.5,0.5013405084609985,0,0,[]],43,5962,[],[[]],[0,"Default",2,1]],[[-1015,2450.611328125,0,2048,456.3058471679688,
0,0,1,0.5,0.5013405084609985,0,0,[]],43,5963,[],[[]],[0,"Default",2,1]],[[5096,2448.611328125,0,2048,456.3058471679688,0,0,1,0.5,0.5013405084609985,0,0,[]],43,5964,[],[[]],[0,"Default",2,1]],[[7126,2448.611328125,0,2048,456.3058471679688,0,0,1,0.5,0.5013405084609985,0,0,[]],43,5965,[],[[]],[0,"Default",2,1]],[[3623,2303,0,268,234,0,0,1,0.503731369972229,0.504273533821106,0,0,[]],109,5967,[],[[]],[0,"Default",0,1]],[[2378,2287,0,227.8818817138672,198.9714965820313,0,0,1,0.503731369972229,0.504273533821106,
0,0,[]],109,5968,[],[[]],[0,"Default",0,1]],[[4906,2199,0,227.8818817138672,198.9714965820313,0,0,1,0.503731369972229,0.504273533821106,0,0,[]],109,5969,[],[[]],[0,"Default",0,1]],[[7816,2165,0,227.8818817138672,198.9714965820313,0,0,1,0.503731369972229,0.504273533821106,0,0,[]],109,5970,[],[[]],[0,"Default",0,1]],[[6752,2215,0,227.8818817138672,198.9714965820313,0,0,1,0.503731369972229,0.504273533821106,0,0,[]],109,5971,[],[[]],[0,"Default",0,1]],[[9866,2079,0,627.4525756835938,547.7210693359375,
0,0,1,0.5027624368667603,0.5,0,0,[]],110,5972,[],[[]],[0,"Default",0,1]],[[291,2147,0,362,316,0,0,1,0.5027624368667603,0.5,0,0,[]],110,5973,[],[[]],[0,"Default",0,1]],[[8563,2175,0,362,316,0,0,1,0.5027624368667603,0.5,0,0,[]],110,5974,[],[[]],[0,"Default",0,1]],[[11206,2448.611328125,0,2048,456.3058471679688,0,0,1,0.5,0.5013405084609985,0,0,[]],43,5624,[],[[]],[0,"Default",2,1]],[[13250,2446.879150390625,0,2048,456.3058471679688,0,0,1,0.5,0.5013405084609985,0,0,[]],43,5626,[],[[]],[0,"Default",2,
1]],[[13576,2119,0,627.4525756835938,547.7210693359375,0,0,1,0.5027624368667603,0.5,0,0,[]],110,7917,[],[[]],[0,"Default",0,1]]],[]],["b2",2,536865576709028,!0,[255,255,255],!0,0.8500000238418579,1,1,!1,1,0,0,[[[10866,1264,0,2011,568,0,0,1,1,1,0,0,[]],112,5979,[],[[]],[0,"Default",0,1]],[[5437,862,0,1248,446,0,0,1,1,1,0,0,[]],112,5982,[],[[]],[0,"Default",1,1]],[[6248,1469,0,902,237,0,0,1,1,1,0,0,[]],112,5983,[],[[]],[0,"Default",2,1]],[[8190,1598,0,618,488,0,0,1,1,1,0,0,[]],112,5984,[],[[]],[0,"Default",
3,1]],[[1940,921,0,719,519,0,0,1,1,1,0,0,[]],112,5985,[],[[]],[0,"Default",4,1]],[[9422,1209,0,902,237,0,0,1,1,1,0,0,[]],112,5986,[],[[]],[0,"Default",2,1]],[[2433,669,0,-902,237,0,0,1,1,1,0,0,[]],112,5987,[],[[]],[0,"Default",2,1]],[[12406,1578,0,2011,568,0,0,1,1,1,0,0,[]],112,5988,[],[[]],[0,"Default",0,1]],[[3589,1156,0,-902,237,0,0,1,1,1,0,0,[]],112,5990,[],[[]],[0,"Default",2,1]],[[4083,1595,0,902,237,0,0,1,1,1,0,0,[]],112,5991,[],[[]],[0,"Default",2,1]],[[1972,1333,0,902,237,0,0,1,1,1,0,0,[]],
112,5992,[],[[]],[0,"Default",2,1]],[[8350,1118,0,902,237,0,0,1,1,1,0,0,[]],112,5993,[],[[]],[0,"Default",2,1]],[[10359,1516,0,902,237,0,0,1,1,1,0,0,[]],112,5994,[],[[]],[0,"Default",2,1]],[[4605.0478515625,1341.3779296875,0,790.0963134765625,2669.244384765625,0,0,1,0.5,0.5,0,0,[]],108,5978,[],[[]],[0,"Default",0,1]],[[11402,1254,0,401.6080932617188,2717.186279296875,0,0,1,0.4909909963607788,0.5,0,0,[]],106,7918,[],[[]],[0,"Default",0,1]]],[]],["b1",3,0x4d7c48cabda59,!0,[255,255,255],!0,1,1,1,!1,
1,0,0,[[[12641,592,0,600,322,0,0,1,0.5,0.4937888085842133,0,0,[]],103,7519,[],[[]],[0,"Default",0,1]],[[7282,1677,0,414,582,0,0,1,0.5,0.4982817769050598,0,0,[]],100,7517,[],[[]],[0,"Default",0,1]],[[7451,1772,0,600,322,0,0,1,0.5,0.4937888085842133,0,0,[]],103,7521,[],[[]],[0,"Default",0,1]],[[4521,672,0,600,322,0,0,1,0.5,0.4937888085842133,0,0,[]],103,7522,[],[[]],[0,"Default",0,1]],[[7202,719,0,379,202,0,0,1,0.5013192892074585,0.4950495064258575,0,0,[]],104,6061,[],[[]],[0,"Default",0,1]],[[4962,
719,0,379,202,0,0,1,0.5013192892074585,0.4950495064258575,0,0,[]],104,7929,[],[[]],[0,"Default",0,1]],[[3492,1629,0,379,202,0,0,1,0.5013192892074585,0.4950495064258575,0,0,[]],104,7930,[],[[]],[0,"Default",0,1]],[[5462,2519,0,379,202,0,0,1,0.5013192892074585,0.4950495064258575,0,0,[]],104,7931,[],[[]],[0,"Default",0,1]],[[7952,2529,0,379,202,0,0,1,0.5013192892074585,0.4950495064258575,0,0,[]],104,7932,[],[[]],[0,"Default",0,1]],[[11494,990,0,379,202,0,0,1,0.5013192892074585,0.4950495064258575,0,0,
[]],104,7933,[],[[]],[0,"Default",0,1]],[[13882,2519,0,379,202,0,0,1,0.5013192892074585,0.4950495064258575,0,0,[]],104,7934,[],[[]],[0,"Default",0,1]],[[5209,692,0,457,247,0,0,1,0.4945295453071594,0.4939271211624146,0,0,[]],105,6062,[],[[]],[0,"Default",0,1]],[[3789,1602,0,457,247,0,0,1,0.4945295453071594,0.4939271211624146,0,0,[]],105,7921,[],[[]],[0,"Default",0,1]],[[2369,2492,0,457,247,0,0,1,0.4945295453071594,0.4939271211624146,0,0,[]],105,7922,[],[[]],[0,"Default",0,1]],[[1419,1602,0,457,247,
0,0,1,0.4945295453071594,0.4939271211624146,0,0,[]],105,7923,[],[[]],[0,"Default",0,1]],[[7231,1785,0,457,247,0,0,1,0.4945295453071594,0.4939271211624146,0,0,[]],105,7924,[],[[]],[0,"Default",0,1]],[[7513,699,0,457,247,0,0,1,0.4945295453071594,0.4939271211624146,0,0,[]],105,7925,[],[[]],[0,"Default",0,1]],[[10839,962,0,457,247,0,0,1,0.4945295453071594,0.4939271211624146,0,0,[]],105,7926,[],[[]],[0,"Default",0,1]],[[12129,962,0,457,247,0,0,1,0.4945295453071594,0.4939271211624146,0,0,[]],105,7927,[],
[[]],[0,"Default",0,1]],[[11989,2512,0,457,247,0,0,1,0.4945295453071594,0.4939271211624146,0,0,[]],105,7928,[],[[]],[0,"Default",0,1]],[[10085,917,0,1023,340,0,0,1,0.5004887580871582,0.5,0,0,[]],26,6034,[],[[1],[]],[0,"Default",0,1]],[[489,1905,0,1023,340,0,0,1,0.5004887580871582,0.5,0,0,[]],26,6036,[],[[1],[]],[0,"Default",0,1]],[[1478,1905,0,1023,340,0,0,1,0.5004887580871582,0.5,0,0,[]],22,6037,[],[[1],[]],[0,"Default",0,1]],[[6237,2454,0,1023,340,0,0,1,0.5004887580871582,0.5,0,0,[]],26,6038,[],
[[1],[]],[0,"Default",0,1]],[[380,2811,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,6040,[],[[1],[]],[0,"Default",0,1]],[[1380,2811,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,6041,[],[[1],[]],[0,"Default",0,1]],[[2375,2811,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,6042,[],[[1],[]],[0,"Default",0,1]],[[3357,2811,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,6043,[],[[1],[]],[0,"Default",0,1]],[[4339,2811,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,6044,[],[[1],[]],
[0,"Default",0,1]],[[5212,2811,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,6045,[],[[1],[]],[0,"Default",0,1]],[[6047,2811,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,6047,[],[[1],[]],[0,"Default",0,1]],[[7029,2811,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,6048,[],[[1],[]],[0,"Default",0,1]],[[7902,2811,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,6049,[],[[1],[]],[0,"Default",0,1]],[[8881,2807,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,6050,[],[[1],[]],[0,"Default",
0,1]],[[10028,963,0,376.7289733886719,251.4274291992188,0,0,1,0.5010941028594971,0.5016393661499023,0,0,[]],54,6051,[],[[]],[0,"Default",0,1]],[[5168,2781,0,208,197,0,0,1,0.5,0.5025380849838257,0,0,[]],35,6052,[],[[]],[0,"Default",0,1]],[[1692,2803,0,223,215,0,0,1,0.5022421479225159,0.5023255944252014,0,0,[]],34,6056,[],[[]],[0,"Default",0,1]],[[9332,2387,0,-414,582,0,0,1,0.5,0.4982817769050598,0,0,[]],100,6057,[],[[]],[0,"Default",0,1]],[[4773,2312,0,392,694,0,0,1,0.5025510191917419,0.4942363202571869,
0,0,[]],101,6058,[],[[]],[0,"Default",0,1]],[[8981,952,0,600,322,0,0,1,0.5,0.4937888085842133,0,0,[]],103,6060,[],[[]],[0,"Default",0,1]],[[6359,721,0,982,213,0,0,1,0.5,0.4882629215717316,0,0,[]],111,6063,[],[[]],[0,"Default",0,1]],[[2476,1905,0,1023,340,0,0,1,0.5004887580871582,0.5,0,0,[]],22,6070,[],[[1],[]],[0,"Default",0,1]],[[3476,1905,0,1023,340,0,0,1,0.5004887580871582,0.5,0,0,[]],22,6071,[],[[1],[]],[0,"Default",0,1]],[[7237,2455,0,1023,340,0,0,1,0.5004887580871582,0.5,0,0,[]],22,6072,[],
[[1],[]],[0,"Default",0,1]],[[6442,638,0,166,217,0,0,1,0.5,0.4884792566299439,0,0,[]],99,6240,[],[[]],[0,"Default",0,1]],[[9863,2838,0,495.4190063476563,355.9007568359375,0,0,1,0.5006518959999084,0.5009074211120605,0,0,[]],79,6241,[],[[]],[0,"Default",0,1]],[[10789,2811,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,5627,[],[[1],[]],[0,"Default",0,1]],[[11662,2811,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,5754,[],[[1],[]],[0,"Default",0,1]],[[12641,2808.5,0,1023,359,0,0,1,0.5004887580871582,
0.5,0,0,[]],22,5755,[],[[1],[]],[0,"Default",0,1]],[[13581,2812,0,1023,366,0,0,1,0.5004887580871582,0.5,0,0,[]],22,5756,[],[[1],[]],[0,"Default",0,1]],[[9821,2807,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,6067,[],[[1],[]],[0,"Default",0,1]],[[6289.458984375,2098.5,0,938,369,0,0,1,0.5004887580871582,0.5,0,0,[]],26,5977,[],[[1],[]],[0,"Default",0,1]],[[7247.00048828125,2099.5,0,1023,369,0,0,1,0.5004887580871582,0.5,0,0,[]],22,5980,[],[[1],[]],[0,"Default",0,1]],[[6357.39990234375,1727,0,818,
340,0,0,1,0.5004887580871582,0.5,0,0,[]],26,6012,[],[[1],[]],[0,"Default",0,1]],[[3269,1007,0,1023,340,0,0,1,0.5004887580871582,0.5,0,0,[]],26,6023,[],[[1],[]],[0,"Default",0,1]],[[4258,1007,0,1023,340,0,0,1,0.5004887580871582,0.5,0,0,[]],22,6024,[],[[1],[]],[0,"Default",0,1]],[[5256,1007,0,1023,340,0,0,1,0.5004887580871582,0.5,0,0,[]],22,6025,[],[[1],[]],[0,"Default",0,1]],[[6256,1007,0,1023,340,0,0,1,0.5004887580871582,0.5,0,0,[]],22,6026,[],[[1],[]],[0,"Default",0,1]],[[6360.896484375,1367,0,811,
340,0,0,1,0.5004887580871582,0.5,0,0,[]],26,6093,[],[[1],[]],[0,"Default",0,1]],[[7269.9951171875,1004.5,0,1013,335,0,0,1,0.5004887580871582,0.5,0,0,[]],26,6253,[],[[1],[]],[0,"Default",0,1]],[[8879,1281,0,1023,340,0,0,1,0.5004887580871582,0.5,0,0,[]],26,6325,[],[[1],[]],[0,"Default",0,1]],[[9868,1281,0,1023,340,0,0,1,0.5004887580871582,0.5,0,0,[]],22,6326,[],[[1],[]],[0,"Default",0,1]],[[10866,1281,0,1023,340,0,0,1,0.5004887580871582,0.5,0,0,[]],22,6327,[],[[1],[]],[0,"Default",0,1]],[[11866,1281,
0,1023,340,0,0,1,0.5004887580871582,0.5,0,0,[]],22,6328,[],[[1],[]],[0,"Default",0,1]],[[12873.48828125,1281,0,1E3,340,0,0,1,0.5004887580871582,0.5,0,0,[]],26,6364,[],[[1],[]],[0,"Default",0,1]],[[10084,557,0,1023,340,0,0,1,0.5004887580871582,0.5,0,0,[]],26,6374,[],[[1],[]],[0,"Default",0,1]],[[10084,197,0,1023,340,0,0,1,0.5004887580871582,0.5,0,0,[]],26,6384,[],[[1],[]],[0,"Default",0,1]],[[12875,917,0,1023,340,0,0,1,0.5004887580871582,0.5,0,0,[]],26,6394,[],[[1],[]],[0,"Default",0,1]],[[9732,757,
0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6096,[],[[]],[0,"Default",2,1]],[[9850,757,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6097,[],[[]],[0,"Default",2,1]],[[9968,757,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6098,[],[[]],[0,"Default",2,1]],[[10083,757,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6099,[],[[]],[0,"Default",2,1]],[[10194,757,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6100,[],
[[]],[0,"Default",2,1]],[[10313,757,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6101,[],[[]],[0,"Default",2,1]],[[10430,757,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6102,[],[[]],[0,"Default",2,1]],[[6002,2294,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6106,[],[[]],[0,"Default",2,1]],[[6120,2294,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6107,[],[[]],[0,"Default",2,1]],[[6235,2294,0,141,87,0,0,1,0.5035461187362671,
0.5057471394538879,0,0,[]],23,6108,[],[[]],[0,"Default",2,1]],[[6346,2294,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6109,[],[[]],[0,"Default",2,1]],[[6465,2294,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6110,[],[[]],[0,"Default",2,1]],[[6582,2294,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6111,[],[[]],[0,"Default",2,1]],[[6700,2294,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6112,[],[[]],[0,"Default",2,1]],[[1051,
1750,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6113,[],[[]],[0,"Default",2,1]],[[1165,1750,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6114,[],[[]],[0,"Default",2,1]],[[1283,1750,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6115,[],[[]],[0,"Default",2,1]],[[1401,1750,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6116,[],[[]],[0,"Default",2,1]],[[1516,1750,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,
6117,[],[[]],[0,"Default",2,1]],[[1627,1750,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6118,[],[[]],[0,"Default",2,1]],[[1746,1750,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6119,[],[[]],[0,"Default",2,1]],[[217,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6120,[],[[]],[0,"Default",2,1]],[[337,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6121,[],[[]],[0,"Default",2,1]],[[454,2645,0,141,87,0,0,1,0.5035461187362671,
0.5057471394538879,0,0,[]],23,6122,[],[[]],[0,"Default",2,1]],[[572,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6123,[],[[]],[0,"Default",2,1]],[[684,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6124,[],[[]],[0,"Default",2,1]],[[796,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6125,[],[[]],[0,"Default",2,1]],[[913,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6126,[],[[]],[0,"Default",2,1]],[[1033,2645,
0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6127,[],[[]],[0,"Default",2,1]],[[1151,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6128,[],[[]],[0,"Default",2,1]],[[1270,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6129,[],[[]],[0,"Default",2,1]],[[1390,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6130,[],[[]],[0,"Default",2,1]],[[1509,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6131,
[],[[]],[0,"Default",2,1]],[[1529,2E3,0,158.8653411865234,216.5805511474609,0,0,1,0.5,0.5015479922294617,0,0,[]],124,4932,[],[[]],[0,"Default",0,1]],[[1729.48388671875,1995.339111328125,0,247,229,0,0,1,0.5,0.5015479922294617,0,0,[]],124,4933,[],[[]],[0,"Default",0,1]],[[1974,1998,0,245.9676055908203,234.3053588867188,0,0,1,0.5,0.5015479922294617,0,0,[]],124,4935,[],[[]],[0,"Default",0,1]],[[1783,2282,0,392,694,0,0,1,0.5025510191917419,0.4942363202571869,0,0,[]],101,5975,[],[[]],[0,"Default",0,1]],
[[1629,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6132,[],[[]],[0,"Default",2,1]],[[1748,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6133,[],[[]],[0,"Default",2,1]],[[1869,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6134,[],[[]],[0,"Default",2,1]],[[1988,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6135,[],[[]],[0,"Default",2,1]],[[2107,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,
[]],23,6136,[],[[]],[0,"Default",2,1]],[[2228,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6137,[],[[]],[0,"Default",2,1]],[[2349,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6138,[],[[]],[0,"Default",2,1]],[[2469,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6139,[],[[]],[0,"Default",2,1]],[[2588,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6140,[],[[]],[0,"Default",2,1]],[[2710,2645,0,141,87,0,0,1,0.5035461187362671,
0.5057471394538879,0,0,[]],23,6141,[],[[]],[0,"Default",2,1]],[[2832,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6142,[],[[]],[0,"Default",2,1]],[[2954,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6143,[],[[]],[0,"Default",2,1]],[[3076,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6144,[],[[]],[0,"Default",2,1]],[[3195,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6145,[],[[]],[0,"Default",2,1]],[[3316,
2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6146,[],[[]],[0,"Default",2,1]],[[3436,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6147,[],[[]],[0,"Default",2,1]],[[3557,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6148,[],[[]],[0,"Default",2,1]],[[3673,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6149,[],[[]],[0,"Default",2,1]],[[3791,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,
6150,[],[[]],[0,"Default",2,1]],[[3913,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6151,[],[[]],[0,"Default",2,1]],[[4034,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6152,[],[[]],[0,"Default",2,1]],[[4155,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6153,[],[[]],[0,"Default",2,1]],[[4274,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6154,[],[[]],[0,"Default",2,1]],[[4392,2645,0,141,87,0,0,1,0.5035461187362671,
0.5057471394538879,0,0,[]],23,6155,[],[[]],[0,"Default",2,1]],[[4514,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6156,[],[[]],[0,"Default",2,1]],[[4636,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6157,[],[[]],[0,"Default",2,1]],[[136,1751,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6159,[],[[]],[0,"Default",2,1]],[[254,1751,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6160,[],[[]],[0,"Default",2,1]],[[372,1751,
0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6161,[],[[]],[0,"Default",2,1]],[[487,1751,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6162,[],[[]],[0,"Default",2,1]],[[598,1751,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6163,[],[[]],[0,"Default",2,1]],[[717,1751,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6164,[],[[]],[0,"Default",2,1]],[[834,1751,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6165,[],[[]],
[0,"Default",2,1]],[[952,1751,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6166,[],[[]],[0,"Default",2,1]],[[6894,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6167,[],[[]],[0,"Default",2,1]],[[7012,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6168,[],[[]],[0,"Default",2,1]],[[7134,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6169,[],[[]],[0,"Default",2,1]],[[7256,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,
0,0,[]],23,6170,[],[[]],[0,"Default",2,1]],[[7375,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6171,[],[[]],[0,"Default",2,1]],[[7496,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6172,[],[[]],[0,"Default",2,1]],[[7852,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6175,[],[[]],[0,"Default",2,1]],[[7972,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6176,[],[[]],[0,"Default",2,1]],[[8092,2645,0,141,87,0,0,1,
0.5035461187362671,0.5057471394538879,0,0,[]],23,6177,[],[[]],[0,"Default",2,1]],[[8211,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6178,[],[[]],[0,"Default",2,1]],[[8331,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6179,[],[[]],[0,"Default",2,1]],[[8452,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6180,[],[[]],[0,"Default",2,1]],[[8572,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6181,[],[[]],[0,"Default",
2,1]],[[8695,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6182,[],[[]],[0,"Default",2,1]],[[8816,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6183,[],[[]],[0,"Default",2,1]],[[8933,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6184,[],[[]],[0,"Default",2,1]],[[9049,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6185,[],[[]],[0,"Default",2,1]],[[9172,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,
0,0,[]],23,6186,[],[[]],[0,"Default",2,1]],[[3019,1744,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6193,[],[[]],[0,"Default",2,1]],[[3133,1744,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6194,[],[[]],[0,"Default",2,1]],[[3251,1744,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6195,[],[[]],[0,"Default",2,1]],[[3369,1744,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6196,[],[[]],[0,"Default",2,1]],[[3484,1744,0,141,87,0,0,1,
0.5035461187362671,0.5057471394538879,0,0,[]],23,6197,[],[[]],[0,"Default",2,1]],[[3595,1744,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6198,[],[[]],[0,"Default",2,1]],[[3714,1744,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6199,[],[[]],[0,"Default",2,1]],[[3831,1744,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6200,[],[[]],[0,"Default",2,1]],[[1863,1750,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6202,[],[[]],[0,"Default",
2,1]],[[4755,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6203,[],[[]],[0,"Default",2,1]],[[4876,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6204,[],[[]],[0,"Default",2,1]],[[4993,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6205,[],[[]],[0,"Default",2,1]],[[5109,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6206,[],[[]],[0,"Default",2,1]],[[5232,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,
0,0,[]],23,6207,[],[[]],[0,"Default",2,1]],[[5352,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6208,[],[[]],[0,"Default",2,1]],[[5472,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6209,[],[[]],[0,"Default",2,1]],[[5574,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6210,[],[[]],[0,"Default",2,1]],[[5936,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6213,[],[[]],[0,"Default",2,1]],[[6056,2645,0,141,87,0,0,1,
0.5035461187362671,0.5057471394538879,0,0,[]],23,6214,[],[[]],[0,"Default",2,1]],[[6177,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6215,[],[[]],[0,"Default",2,1]],[[6293,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6216,[],[[]],[0,"Default",2,1]],[[6411,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6217,[],[[]],[0,"Default",2,1]],[[6533,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6218,[],[[]],[0,"Default",
2,1]],[[6654,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6219,[],[[]],[0,"Default",2,1]],[[6775,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6220,[],[[]],[0,"Default",2,1]],[[6780,2294,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6221,[],[[]],[0,"Default",2,1]],[[6894,2294,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6222,[],[[]],[0,"Default",2,1]],[[7012,2294,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,
0,0,[]],23,6223,[],[[]],[0,"Default",2,1]],[[7130,2294,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6224,[],[[]],[0,"Default",2,1]],[[7245,2294,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6225,[],[[]],[0,"Default",2,1]],[[7356,2294,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6226,[],[[]],[0,"Default",2,1]],[[7475,2294,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6227,[],[[]],[0,"Default",2,1]],[[1990,1745,0,141,87,0,0,1,
0.5035461187362671,0.5057471394538879,0,0,[]],23,6230,[],[[]],[0,"Default",2,1]],[[2104,1745,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6231,[],[[]],[0,"Default",2,1]],[[2222,1745,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6232,[],[[]],[0,"Default",2,1]],[[2340,1745,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6233,[],[[]],[0,"Default",2,1]],[[2455,1745,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6234,[],[[]],[0,"Default",
2,1]],[[2566,1745,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6235,[],[[]],[0,"Default",2,1]],[[2685,1745,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6236,[],[[]],[0,"Default",2,1]],[[2802,1745,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6237,[],[[]],[0,"Default",2,1]],[[2920,1745,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6238,[],[[]],[0,"Default",2,1]],[[9292,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,
0,0,[]],23,6187,[],[[]],[0,"Default",2,1]],[[9412,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6188,[],[[]],[0,"Default",2,1]],[[9531,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6189,[],[[]],[0,"Default",2,1]],[[9651,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6190,[],[[]],[0,"Default",2,1]],[[9772,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6191,[],[[]],[0,"Default",2,1]],[[9892,2645,0,141,87,0,0,1,
0.5035461187362671,0.5057471394538879,0,0,[]],23,6192,[],[[]],[0,"Default",2,1]],[[10004,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6313,[],[[]],[0,"Default",2,1]],[[10126,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6314,[],[[]],[0,"Default",2,1]],[[11498,2292,0,392,694,0,0,1,0.5025510191917419,0.4942363202571869,0,0,[]],101,7516,[],[[]],[0,"Default",0,1]],[[11324,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5758,[],[[]],[0,
"Default",2,1]],[[11442,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5761,[],[[]],[0,"Default",2,1]],[[11564,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5763,[],[[]],[0,"Default",2,1]],[[11686,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6290,[],[[]],[0,"Default",2,1]],[[11805,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6291,[],[[]],[0,"Default",2,1]],[[11926,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,
0,0,[]],23,6292,[],[[]],[0,"Default",2,1]],[[12043,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6293,[],[[]],[0,"Default",2,1]],[[12159,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6294,[],[[]],[0,"Default",2,1]],[[12282,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6295,[],[[]],[0,"Default",2,1]],[[12402,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6296,[],[[]],[0,"Default",2,1]],[[12522,2645,0,141,87,
0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6297,[],[[]],[0,"Default",2,1]],[[12641,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6298,[],[[]],[0,"Default",2,1]],[[12761,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6299,[],[[]],[0,"Default",2,1]],[[12882,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6300,[],[[]],[0,"Default",2,1]],[[13002,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6301,[],[[]],
[0,"Default",2,1]],[[13125,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6302,[],[[]],[0,"Default",2,1]],[[13246,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6303,[],[[]],[0,"Default",2,1]],[[13363,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6304,[],[[]],[0,"Default",2,1]],[[13479,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6305,[],[[]],[0,"Default",2,1]],[[13602,2645,0,141,87,0,0,1,0.5035461187362671,
0.5057471394538879,0,0,[]],23,6306,[],[[]],[0,"Default",2,1]],[[13722,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6307,[],[[]],[0,"Default",2,1]],[[13842,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6308,[],[[]],[0,"Default",2,1]],[[13961,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6309,[],[[]],[0,"Default",2,1]],[[14081,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6310,[],[[]],[0,"Default",2,1]],[[10245,
2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6315,[],[[]],[0,"Default",2,1]],[[10366,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6316,[],[[]],[0,"Default",2,1]],[[10486,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6317,[],[[]],[0,"Default",2,1]],[[10607,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6318,[],[[]],[0,"Default",2,1]],[[10723,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],
23,6319,[],[[]],[0,"Default",2,1]],[[10841,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6320,[],[[]],[0,"Default",2,1]],[[10963,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6321,[],[[]],[0,"Default",2,1]],[[11084,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6322,[],[[]],[0,"Default",2,1]],[[11205,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6323,[],[[]],[0,"Default",2,1]],[[6130,1924,0,141,87,0,0,1,0.5035461187362671,
0.5057471394538879,0,0,[]],23,5997,[],[[]],[0,"Default",2,1]],[[6245,1924,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5998,[],[[]],[0,"Default",2,1]],[[6356,1924,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5999,[],[[]],[0,"Default",2,1]],[[6475,1924,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6E3,[],[[]],[0,"Default",2,1]],[[6904,1924,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6004,[],[[]],[0,"Default",2,1]],[[7022,1924,
0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6005,[],[[]],[0,"Default",2,1]],[[7140,1924,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6006,[],[[]],[0,"Default",2,1]],[[7255,1924,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6007,[],[[]],[0,"Default",2,1]],[[7366,1924,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6008,[],[[]],[0,"Default",2,1]],[[7485,1924,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6009,
[],[[]],[0,"Default",2,1]],[[6253,1567,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6017,[],[[]],[0,"Default",2,1]],[[6364,1567,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6018,[],[[]],[0,"Default",2,1]],[[6483,1567,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6019,[],[[]],[0,"Default",2,1]],[[3831,850,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6027,[],[[]],[0,"Default",2,1]],[[3945,850,0,141,87,0,0,1,0.5035461187362671,
0.5057471394538879,0,0,[]],23,6028,[],[[]],[0,"Default",2,1]],[[4063,850,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6029,[],[[]],[0,"Default",2,1]],[[4181,850,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6030,[],[[]],[0,"Default",2,1]],[[4296,850,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6031,[],[[]],[0,"Default",2,1]],[[4407,850,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6032,[],[[]],[0,"Default",2,1]],[[4526,850,
0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6033,[],[[]],[0,"Default",2,1]],[[3034,851,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6046,[],[[]],[0,"Default",2,1]],[[3152,851,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6053,[],[[]],[0,"Default",2,1]],[[3462,587,0,414,582,0,0,1,0.5,0.4982817769050598,0,0,[]],100,7518,[],[[]],[0,"Default",0,1]],[[3267,851,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6054,[],[[]],[0,"Default",
2,1]],[[3378,851,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6055,[],[[]],[0,"Default",2,1]],[[3497,851,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6065,[],[[]],[0,"Default",2,1]],[[3614,851,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6068,[],[[]],[0,"Default",2,1]],[[3732,851,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6073,[],[[]],[0,"Default",2,1]],[[5799,844,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,
[]],23,6074,[],[[]],[0,"Default",2,1]],[[5913,844,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6075,[],[[]],[0,"Default",2,1]],[[6031,844,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6076,[],[[]],[0,"Default",2,1]],[[6149,844,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6077,[],[[]],[0,"Default",2,1]],[[6264,844,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6078,[],[[]],[0,"Default",2,1]],[[6375,844,0,141,87,0,0,1,0.5035461187362671,
0.5057471394538879,0,0,[]],23,6079,[],[[]],[0,"Default",2,1]],[[6494,844,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6080,[],[[]],[0,"Default",2,1]],[[6611,844,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6081,[],[[]],[0,"Default",2,1]],[[6729,844,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6082,[],[[]],[0,"Default",2,1]],[[4643,850,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6083,[],[[]],[0,"Default",2,1]],[[4763,846,
0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6084,[],[[]],[0,"Default",2,1]],[[4884,845,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6085,[],[[]],[0,"Default",2,1]],[[5002,845,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6086,[],[[]],[0,"Default",2,1]],[[5120,845,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6087,[],[[]],[0,"Default",2,1]],[[5235,845,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6088,[],[[]],
[0,"Default",2,1]],[[5346,845,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6089,[],[[]],[0,"Default",2,1]],[[5465,845,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6090,[],[[]],[0,"Default",2,1]],[[5582,845,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6091,[],[[]],[0,"Default",2,1]],[[5700,845,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6092,[],[[]],[0,"Default",2,1]],[[6808,847,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,
0,0,[]],23,6254,[],[[]],[0,"Default",2,1]],[[6922,847,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6262,[],[[]],[0,"Default",2,1]],[[7040,847,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6263,[],[[]],[0,"Default",2,1]],[[7158,847,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6264,[],[[]],[0,"Default",2,1]],[[7273,847,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6265,[],[[]],[0,"Default",2,1]],[[7384,847,0,141,87,0,0,1,0.5035461187362671,
0.5057471394538879,0,0,[]],23,6266,[],[[]],[0,"Default",2,1]],[[7503,847,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6267,[],[[]],[0,"Default",2,1]],[[9441,1120,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6329,[],[[]],[0,"Default",2,1]],[[9791,1120,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6332,[],[[]],[0,"Default",2,1]],[[9906,1120,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6333,[],[[]],[0,"Default",2,1]],[[10017,
1120,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6334,[],[[]],[0,"Default",2,1]],[[10136,1120,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6335,[],[[]],[0,"Default",2,1]],[[8644,1121,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6338,[],[[]],[0,"Default",2,1]],[[8762,1121,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6339,[],[[]],[0,"Default",2,1]],[[8877,1121,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,
6340,[],[[]],[0,"Default",2,1]],[[8988,1121,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6341,[],[[]],[0,"Default",2,1]],[[9107,1121,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6342,[],[[]],[0,"Default",2,1]],[[9224,1121,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6343,[],[[]],[0,"Default",2,1]],[[9342,1121,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6344,[],[[]],[0,"Default",2,1]],[[11409,1114,0,141,87,0,0,1,0.5035461187362671,
0.5057471394538879,0,0,[]],23,6345,[],[[]],[0,"Default",2,1]],[[11523,1114,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6346,[],[[]],[0,"Default",2,1]],[[11641,1114,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6347,[],[[]],[0,"Default",2,1]],[[11759,1114,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6348,[],[[]],[0,"Default",2,1]],[[11874,1114,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6349,[],[[]],[0,"Default",2,1]],[[11985,
1114,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6350,[],[[]],[0,"Default",2,1]],[[12104,1114,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6351,[],[[]],[0,"Default",2,1]],[[12221,1114,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6352,[],[[]],[0,"Default",2,1]],[[10253,1120,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6354,[],[[]],[0,"Default",2,1]],[[10380,1115,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],
23,6355,[],[[]],[0,"Default",2,1]],[[10730,1115,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6358,[],[[]],[0,"Default",2,1]],[[10845,1115,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6359,[],[[]],[0,"Default",2,1]],[[10956,1115,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6360,[],[[]],[0,"Default",2,1]],[[11075,1115,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6361,[],[[]],[0,"Default",2,1]],[[11192,1115,0,141,87,0,0,1,0.5035461187362671,
0.5057471394538879,0,0,[]],23,6362,[],[[]],[0,"Default",2,1]],[[11310,1115,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6363,[],[[]],[0,"Default",2,1]],[[12650,1117,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6367,[],[[]],[0,"Default",2,1]],[[12768,1117,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6368,[],[[]],[0,"Default",2,1]],[[12883,1117,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6369,[],[[]],[0,"Default",2,1]],[[12994,
1117,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6370,[],[[]],[0,"Default",2,1]],[[13113,1117,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6371,[],[[]],[0,"Default",2,1]],[[9732,397,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6376,[],[[]],[0,"Default",2,1]],[[9850,397,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6377,[],[[]],[0,"Default",2,1]],[[9968,397,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6378,
[],[[]],[0,"Default",2,1]],[[10083,397,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6379,[],[[]],[0,"Default",2,1]],[[10194,397,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6380,[],[[]],[0,"Default",2,1]],[[10313,397,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6381,[],[[]],[0,"Default",2,1]],[[10430,397,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6382,[],[[]],[0,"Default",2,1]],[[9850,37,0,141,87,0,0,1,0.5035461187362671,
0.5057471394538879,0,0,[]],23,6387,[],[[]],[0,"Default",2,1]],[[9968,37,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6388,[],[[]],[0,"Default",2,1]],[[10083,37,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6389,[],[[]],[0,"Default",2,1]],[[10194,37,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6390,[],[[]],[0,"Default",2,1]],[[10313,37,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6391,[],[[]],[0,"Default",2,1]],[[12522,757,
0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6396,[],[[]],[0,"Default",2,1]],[[12640,757,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6397,[],[[]],[0,"Default",2,1]],[[12758,757,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6398,[],[[]],[0,"Default",2,1]],[[12873,757,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6399,[],[[]],[0,"Default",2,1]],[[12984,757,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6400,
[],[[]],[0,"Default",2,1]],[[13103,757,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6401,[],[[]],[0,"Default",2,1]],[[12511,2462,0,600,322,0,0,1,0.5,0.4937888085842133,0,0,[]],103,7520,[],[[]],[0,"Default",0,1]],[[1811,1572,0,600,322,0,0,1,0.5,0.4937888085842133,0,0,[]],103,7523,[],[[]],[0,"Default",0,1]],[[3851,2482,0,600,322,0,0,1,0.5,0.4937888085842133,0,0,[]],103,7526,[],[[]],[0,"Default",0,1]],[[1112,2E3,0,227.3606109619141,216.5805511474609,0,0,1,0.5,0.5015479922294617,0,
0,[]],124,4920,[],[[]],[0,"Default",0,1]],[[886,2E3,0,227.3606109619141,216.5805511474609,0,0,1,0.5,0.5015479922294617,0,0,[]],124,4921,[],[[]],[0,"Default",0,1]],[[661,2E3,0,227.3606109619141,216.5805511474609,0,0,1,0.5,0.5015479922294617,0,0,[]],124,4922,[],[[]],[0,"Default",0,1]],[[886,2E3,0,227.3606109619141,216.5805511474609,0,0,1,0.5,0.5015479922294617,0,0,[]],124,4923,[],[[]],[0,"Default",0,1]],[[435,2E3,0,227.3606109619141,216.5805511474609,0,0,1,0.5,0.5015479922294617,0,0,[]],124,4924,[],
[[]],[0,"Default",0,1]],[[145,2E3,0,359.8988037109375,216.5805511474609,0,0,1,0.5,0.5015479922294617,0,0,[]],124,4925,[],[[]],[0,"Default",0,1]],[[3268,1998,0,245.9676055908203,234.3053588867188,0,0,1,0.5,0.5015479922294617,0,0,[]],124,4926,[],[[]],[0,"Default",0,1]],[[3024,1998,0,245.9676055908203,234.3053588867188,0,0,1,0.5,0.5015479922294617,0,0,[]],124,4927,[],[[]],[0,"Default",0,1]],[[2781,1998,0,245.9676055908203,234.3053588867188,0,0,1,0.5,0.5015479922294617,0,0,[]],124,4928,[],[[]],[0,"Default",
0,1]],[[2535,1998,0,245.9676055908203,234.3053588867188,0,0,1,0.5,0.5015479922294617,0,0,[]],124,4929,[],[[]],[0,"Default",0,1]],[[3475,1998,0,171.8667297363281,234.3053588867188,0,0,1,0.5,0.5015479922294617,0,0,[]],124,4930,[],[[]],[0,"Default",0,1]],[[1339,2E3,0,227.3606109619141,216.5805511474609,0,0,1,0.5,0.5015479922294617,0,0,[]],124,4931,[],[[]],[0,"Default",0,1]],[[2253,1998,0,319.6213684082031,233.9185028076172,0,0,1,0.5,0.5015479922294617,0,0,[]],124,4934,[],[[]],[0,"Default",0,1]],[[3886.88623046875,
1923.998291015625,0,462,353,0,0,1,0.7122207880020142,0.4608695507049561,0,0,[]],122,4936,[],[[]],[0,"Default",0,1]],[[3949,1744,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6201,[],[[]],[0,"Default",2,1]],[[2904,1022,0,431.03271484375,354.9614868164063,0,0,1,0.3641703426837921,0.5009041428565979,0,0,[]],123,4981,[],[[]],[0,"Default",0,1]],[[2802,851,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6035,[],[[]],[0,"Default",2,1]],[[2916,851,0,141,87,0,0,1,0.5035461187362671,
0.5057471394538879,0,0,[]],23,6039,[],[[]],[0,"Default",2,1]],[[5700,772,0,148,126,0,0,1,0.5,0.4920634925365448,0,0,[]],115,6069,[],[[]],[0,"Default",0,1]],[[4325,1090,0,227.3606109619141,216.5805511474609,0,0,1,0.5,0.5015479922294617,0,0,[]],124,5126,[],[[]],[0,"Default",0,1]],[[4099,1090,0,227.3606109619141,216.5805511474609,0,0,1,0.5,0.5015479922294617,0,0,[]],124,5127,[],[[]],[0,"Default",0,1]],[[3874,1090,0,227.3606109619141,216.5805511474609,0,0,1,0.5,0.5015479922294617,0,0,[]],124,5164,[],
[[]],[0,"Default",0,1]],[[4099,1090,0,227.3606109619141,216.5805511474609,0,0,1,0.5,0.5015479922294617,0,0,[]],124,5202,[],[[]],[0,"Default",0,1]],[[3648,1090,0,227.3606109619141,216.5805511474609,0,0,1,0.5,0.5015479922294617,0,0,[]],124,5203,[],[[]],[0,"Default",0,1]],[[3356.94921875,1090.00048828125,0,362,217,0,0,1,0.5,0.5015479922294617,0,0,[]],124,5204,[],[[]],[0,"Default",0,1]],[[6481,1088,0,245.9676055908203,234.3053588867188,0,0,1,0.5,0.5015479922294617,0,0,[]],124,5205,[],[[]],[0,"Default",
0,1]],[[6237,1088,0,245.9676055908203,234.3053588867188,0,0,1,0.5,0.5015479922294617,0,0,[]],124,5206,[],[[]],[0,"Default",0,1]],[[5994,1088,0,245.9676055908203,234.3053588867188,0,0,1,0.5,0.5015479922294617,0,0,[]],124,5207,[],[[]],[0,"Default",0,1]],[[5748,1088,0,245.9676055908203,234.3053588867188,0,0,1,0.5,0.5015479922294617,0,0,[]],124,5208,[],[[]],[0,"Default",0,1]],[[6688,1088,0,171.8667297363281,234.3053588867188,0,0,1,0.5,0.5015479922294617,0,0,[]],124,5209,[],[[]],[0,"Default",0,1]],[[4552,
1090,0,227.3606109619141,216.5805511474609,0,0,1,0.5,0.5015479922294617,0,0,[]],124,5210,[],[[]],[0,"Default",0,1]],[[4742,1090,0,158.8653411865234,216.5805511474609,0,0,1,0.5,0.5015479922294617,0,0,[]],124,5211,[],[[]],[0,"Default",0,1]],[[4941,1088,0,245.9676055908203,234.3053588867188,0,0,1,0.5,0.5015479922294617,0,0,[]],124,5212,[],[[]],[0,"Default",0,1]],[[5466,1088,0,319.6213684082031,233.9185028076172,0,0,1,0.5,0.5015479922294617,0,0,[]],124,5213,[],[[]],[0,"Default",0,1]],[[5187,1088,0,245.9676055908203,
234.3053588867188,0,0,1,0.5,0.5015479922294617,0,0,[]],124,5214,[],[[]],[0,"Default",0,1]],[[6253,1207,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6245,[],[[]],[0,"Default",2,1]],[[6364,1207,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6246,[],[[]],[0,"Default",2,1]],[[6483,1207,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6247,[],[[]],[0,"Default",2,1]],[[6030,1467,0,191,182,0,1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,5215,[],
[[]],[0,"Default",0,1]],[[6030,1277,0,191,182,0,1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,5216,[],[[]],[0,"Default",0,1]],[[6030,1840,0,191,182,0,1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,5217,[],[[]],[0,"Default",0,1]],[[6030,1650,0,191,182,0,1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,5218,[],[[]],[0,"Default",0,1]],[[5892,2190,0,191,182,0,1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,5219,[],[[]],[0,"Default",0,1]],[[5892,2E3,0,191,182,0,1.570796370506287,
1,0.5,0.5015479922294617,0,0,[]],124,5220,[],[[]],[0,"Default",0,1]],[[5796,2558,0,191,182,0,1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,5221,[],[[]],[0,"Default",0,1]],[[5796,2368,0,191,182,0,1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,5222,[],[[]],[0,"Default",0,1]],[[5696,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6211,[],[[]],[0,"Default",2,1]],[[5815,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6212,[],[[]],[0,"Default",
2,1]],[[5770,2294,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6104,[],[[]],[0,"Default",2,1]],[[5884,2294,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6105,[],[[]],[0,"Default",2,1]],[[5775,2218,0,137,118,0,0,1,0.5036496520042419,0.5,0,0,[]],116,6066,[],[[]],[0,"Default",0,1]],[[5880.595703125,1924,0,168,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5995,[],[[]],[0,"Default",2,1]],[[6012,1924,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,
0,[]],23,5996,[],[[]],[0,"Default",2,1]],[[6010.5673828125,1567,0,160,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6015,[],[[]],[0,"Default",2,1]],[[6138,1567,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6016,[],[[]],[0,"Default",2,1]],[[6014.04248046875,1207,0,153,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6243,[],[[]],[0,"Default",2,1]],[[6138,1207,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6244,[],[[]],[0,"Default",2,1]],[[6687,
1289,0,190.6354064941406,181.5966491699219,0,-1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,5223,[],[[]],[0,"Default",0,1]],[[6687,1479,0,190.6354064941406,181.5966491699219,0,-1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,5224,[],[[]],[0,"Default",0,1]],[[6692,1649,0,190.6354064941406,181.5966491699219,0,-1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,5225,[],[[]],[0,"Default",0,1]],[[6692,1839,0,190.6354064941406,181.5966491699219,0,-1.570796370506287,1,0.5,0.5015479922294617,
0,0,[]],124,5226,[],[[]],[0,"Default",0,1]],[[7678,2014,0,190.6354064941406,181.5966491699219,0,-1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,5227,[],[[]],[0,"Default",0,1]],[[7678,2204,0,190.6354064941406,181.5966491699219,0,-1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,5228,[],[[]],[0,"Default",0,1]],[[7678,2374,0,190.6354064941406,181.5966491699219,0,-1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,5229,[],[[]],[0,"Default",0,1]],[[7678,2564,0,190.6354064941406,181.5966491699219,
0,-1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,5230,[],[[]],[0,"Default",0,1]],[[6600,1207,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6248,[],[[]],[0,"Default",2,1]],[[6718,1207,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6252,[],[[]],[0,"Default",2,1]],[[6600,1567,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6020,[],[[]],[0,"Default",2,1]],[[6718,1567,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6022,[],[[]],
[0,"Default",2,1]],[[6592,1924,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6001,[],[[]],[0,"Default",2,1]],[[6710,1924,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6002,[],[[]],[0,"Default",2,1]],[[6790,1924,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6003,[],[[]],[0,"Default",2,1]],[[7646.919921875,1002.41796875,0,542,362,0,0,1,0.7122207880020142,0.4608695507049561,0,0,[]],122,5231,[],[[]],[0,"Default",0,1]],[[7140,1081,0,245.9676055908203,
234.3053588867188,0,0,1,0.5,0.5015479922294617,0,0,[]],124,5232,[],[[]],[0,"Default",0,1]],[[6896,1081,0,245.9676055908203,234.3053588867188,0,0,1,0.5,0.5015479922294617,0,0,[]],124,5233,[],[[]],[0,"Default",0,1]],[[7620,847,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6268,[],[[]],[0,"Default",2,1]],[[7738,847,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6324,[],[[]],[0,"Default",2,1]],[[9915,1390,0,227.3606109619141,216.5805511474609,0,0,1,0.5,0.5015479922294617,
0,0,[]],124,5234,[],[[]],[0,"Default",0,1]],[[9689,1390,0,227.3606109619141,216.5805511474609,0,0,1,0.5,0.5015479922294617,0,0,[]],124,5235,[],[[]],[0,"Default",0,1]],[[9464,1390,0,227.3606109619141,216.5805511474609,0,0,1,0.5,0.5015479922294617,0,0,[]],124,5236,[],[[]],[0,"Default",0,1]],[[9689,1390,0,227.3606109619141,216.5805511474609,0,0,1,0.5,0.5015479922294617,0,0,[]],124,5237,[],[[]],[0,"Default",0,1]],[[9238,1390,0,227.3606109619141,216.5805511474609,0,0,1,0.5,0.5015479922294617,0,0,[]],124,
5238,[],[[]],[0,"Default",0,1]],[[8973.94921875,1390.000732421875,0,308,217,0,0,1,0.5,0.5015479922294617,0,0,[]],124,5239,[],[[]],[0,"Default",0,1]],[[12071,1388,0,245.9676055908203,234.3053588867188,0,0,1,0.5,0.5015479922294617,0,0,[]],124,5240,[],[[]],[0,"Default",0,1]],[[11827,1388,0,245.9676055908203,234.3053588867188,0,0,1,0.5,0.5015479922294617,0,0,[]],124,5241,[],[[]],[0,"Default",0,1]],[[11584,1388,0,245.9676055908203,234.3053588867188,0,0,1,0.5,0.5015479922294617,0,0,[]],124,5242,[],[[]],
[0,"Default",0,1]],[[11338,1388,0,245.9676055908203,234.3053588867188,0,0,1,0.5,0.5015479922294617,0,0,[]],124,5243,[],[[]],[0,"Default",0,1]],[[12278,1388,0,171.8667297363281,234.3053588867188,0,0,1,0.5,0.5015479922294617,0,0,[]],124,5244,[],[[]],[0,"Default",0,1]],[[10142,1390,0,227.3606109619141,216.5805511474609,0,0,1,0.5,0.5015479922294617,0,0,[]],124,5245,[],[[]],[0,"Default",0,1]],[[10332,1390,0,158.8653411865234,216.5805511474609,0,0,1,0.5,0.5015479922294617,0,0,[]],124,5246,[],[[]],[0,"Default",
0,1]],[[10531,1388,0,245.9676055908203,234.3053588867188,0,0,1,0.5,0.5015479922294617,0,0,[]],124,5247,[],[[]],[0,"Default",0,1]],[[11056,1388,0,319.6213684082031,233.9185028076172,0,0,1,0.5,0.5015479922294617,0,0,[]],124,5248,[],[[]],[0,"Default",0,1]],[[10777,1388,0,245.9676055908203,234.3053588867188,0,0,1,0.5,0.5015479922294617,0,0,[]],124,5249,[],[[]],[0,"Default",0,1]],[[8521.9404296875,1301.25439453125,0,471,398,0,0,1,0.3641703426837921,0.5009041428565979,0,0,[]],123,5250,[],[[]],[0,"Default",
0,1]],[[8412,1121,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6336,[],[[]],[0,"Default",2,1]],[[8526,1121,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6337,[],[[]],[0,"Default",2,1]],[[9647,305,0,191,182,0,1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,5251,[],[[]],[0,"Default",0,1]],[[9647,115,0,191,182,0,1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,5252,[],[[]],[0,"Default",0,1]],[[9647,680,0,191,182,0,1.570796370506287,1,0.5,0.5015479922294617,
0,0,[]],124,5253,[],[[]],[0,"Default",0,1]],[[9647,490,0,191,182,0,1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,5254,[],[[]],[0,"Default",0,1]],[[9627,1025,0,191,182,0,1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,5255,[],[[]],[0,"Default",0,1]],[[9627,835,0,191,182,0,1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,5256,[],[[]],[0,"Default",0,1]],[[10528,119,0,190.6354064941406,181.5966491699219,0,-1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,5257,[],[[]],[0,"Default",
0,1]],[[10528,309,0,190.6354064941406,181.5966491699219,0,-1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,5258,[],[[]],[0,"Default",0,1]],[[10528,484,0,190.6354064941406,181.5966491699219,0,-1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,5259,[],[[]],[0,"Default",0,1]],[[10528,674,0,190.6354064941406,181.5966491699219,0,-1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,5260,[],[[]],[0,"Default",0,1]],[[10523,824,0,190.6354064941406,181.5966491699219,0,-1.570796370506287,1,0.5,
0.5015479922294617,0,0,[]],124,5261,[],[[]],[0,"Default",0,1]],[[10523,1014,0,190.6354064941406,181.5966491699219,0,-1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,5262,[],[[]],[0,"Default",0,1]],[[13323,829,0,190.6354064941406,181.5966491699219,0,-1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,5276,[],[[]],[0,"Default",0,1]],[[13323,1019,0,190.6354064941406,181.5966491699219,0,-1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,5277,[],[[]],[0,"Default",0,1]],[[13250.611328125,
1290.929931640625,0,527.4420166015625,404.2814331054688,0,0,1,0.7122207880020142,0.4608695507049561,0,0,[]],122,5278,[],[[]],[0,"Default",0,1]],[[7458,1834,0,132,134,0,0,1,0.5,0.4925373196601868,0,0,[]],114,6064,[],[[]],[0,"Default",0,1]],[[7602,1924,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6010,[],[[]],[0,"Default",2,1]],[[7720,1924,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6011,[],[[]],[0,"Default",2,1]],[[7592,2294,0,141,87,0,0,1,0.5035461187362671,
0.5057471394538879,0,0,[]],23,6228,[],[[]],[0,"Default",2,1]],[[7710,2294,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6229,[],[[]],[0,"Default",2,1]],[[7613,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6173,[],[[]],[0,"Default",2,1]],[[7729,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6174,[],[[]],[0,"Default",2,1]],[[9618,37,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6385,[],[[]],[0,"Default",2,1]],[[9732,37,
0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6386,[],[[]],[0,"Default",2,1]],[[10430,37,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6392,[],[[]],[0,"Default",2,1]],[[10548,37,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6393,[],[[]],[0,"Default",2,1]],[[9618,397,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6375,[],[[]],[0,"Default",2,1]],[[10548,397,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6383,[],
[[]],[0,"Default",2,1]],[[10548,757,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6103,[],[[]],[0,"Default",2,1]],[[9618,757,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6095,[],[[]],[0,"Default",2,1]],[[10494,1115,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6356,[],[[]],[0,"Default",2,1]],[[10612,1115,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6357,[],[[]],[0,"Default",2,1]],[[9555,1120,0,141,87,0,0,1,0.5035461187362671,
0.5057471394538879,0,0,[]],23,6330,[],[[]],[0,"Default",2,1]],[[9673,1120,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6331,[],[[]],[0,"Default",2,1]],[[12434,1027,0,191,182,0,1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,5279,[],[[]],[0,"Default",0,1]],[[12434,837,0,191,182,0,1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,5280,[],[[]],[0,"Default",0,1]],[[13230,1117,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6372,[],[[]],[0,"Default",2,1]],
[[13220,757,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6402,[],[[]],[0,"Default",2,1]],[[13342,757,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6403,[],[[]],[0,"Default",2,1]],[[12339,1114,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6353,[],[[]],[0,"Default",2,1]],[[12418,1117,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6365,[],[[]],[0,"Default",2,1]],[[12532,1117,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,
0,[]],23,6366,[],[[]],[0,"Default",2,1]],[[12408,757,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6395,[],[[]],[0,"Default",2,1]],[[13348,1117,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6373,[],[[]],[0,"Default",2,1]],[[12487,1391,0,245.9676055908203,234.3053588867188,0,0,1,0.5,0.5015479922294617,0,0,[]],124,5281,[],[[]],[0,"Default",0,1]],[[12742.56640625,1390.999389648438,0,269,234,0,0,1,0.5,0.5015479922294617,0,0,[]],124,5282,[],[[]],[0,"Default",0,1]],[[15,
1755,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,2745,[],[[]],[0,"Default",2,1]],[[100,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,2746,[],[[]],[0,"Default",2,1]],[[-21,2647,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,2757,[],[[]],[0,"Default",2,1]]],[]],["main",4,0x938d4f974a8eb,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[-272,1682,0,103,190,0,0,1,0.5,0.5,0,0,[]],41,6242,[[0]],[[330,1500,3E3,950,1500,1E3,0,1]],[1,"Default",0,1]],[[11846,
541,0,164,80,0,0,1,0.5,0.5,0,0,[]],29,6249,[],[[1],[]],[0,"Default",2,1]],[[12013,559,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,6250,[],[[1],[]],[0,"Default",1,1]],[[12165,540,0,127,69,0,0,1,0.5039370059967041,0.5072463750839233,0,0,[]],31,6251,[],[[1],[]],[0,"Default",2,1]],[[4231,1762,0,164,80,0,0,1,0.5,0.5,0,0,[]],29,6255,[],[[1],[]],[0,"Default",2,1]],[[4397,1774,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,6256,[],[[1],[]],[0,"Default",1,1]],[[5272,
1757,0,127,69,0,0,1,0.5039370059967041,0.5072463750839233,0,0,[]],31,6257,[],[[1],[]],[0,"Default",2,1]],[[4578,1774,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,6258,[],[[1],[]],[0,"Default",1,1]],[[4758,1774,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,6259,[],[[1],[]],[0,"Default",1,1]],[[4939,1774,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,6260,[],[[1],[]],[0,"Default",1,1]],[[5119,1774,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,
0,0,[]],30,6261,[],[[1],[]],[0,"Default",1,1]],[[381,792,0,164,80,0,0,1,0.5,0.5,0,0,[]],29,6059,[],[[1],[]],[0,"Default",2,1]],[[547,804,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,7935,[],[[1],[]],[0,"Default",1,1]],[[1422,787,0,127,69,0,0,1,0.5039370059967041,0.5072463750839233,0,0,[]],31,7936,[],[[1],[]],[0,"Default",2,1]],[[728,804,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,7937,[],[[1],[]],[0,"Default",1,1]],[[908,804,0,185,103,0,0,1,0.5027027130126953,
0.5048543810844421,0,0,[]],30,7938,[],[[1],[]],[0,"Default",1,1]],[[1089,804,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,7939,[],[[1],[]],[0,"Default",1,1]],[[1269,804,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,7940,[],[[1],[]],[0,"Default",1,1]],[[1121,1192,0,164,80,0,0,1,0.5,0.5,0,0,[]],29,7941,[],[[1],[]],[0,"Default",2,1]],[[1287,1204,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,7942,[],[[1],[]],[0,"Default",1,1]],[[2162,1187,0,127,
69,0,0,1,0.5039370059967041,0.5072463750839233,0,0,[]],31,7943,[],[[1],[]],[0,"Default",2,1]],[[1468,1204,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,7944,[],[[1],[]],[0,"Default",1,1]],[[1648,1204,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,7945,[],[[1],[]],[0,"Default",1,1]],[[1829,1204,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,7946,[],[[1],[]],[0,"Default",1,1]],[[2009,1204,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,
0,[]],30,7947,[],[[1],[]],[0,"Default",1,1]],[[8411,1982,0,164,80,0,0,1,0.5,0.5,0,0,[]],29,7948,[],[[1],[]],[0,"Default",2,1]],[[8577,1994,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,7949,[],[[1],[]],[0,"Default",1,1]],[[9452,1977,0,127,69,0,0,1,0.5039370059967041,0.5072463750839233,0,0,[]],31,7950,[],[[1],[]],[0,"Default",2,1]],[[8758,1994,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,7964,[],[[1],[]],[0,"Default",1,1]],[[8938,1994,0,185,103,0,0,1,0.5027027130126953,
0.5048543810844421,0,0,[]],30,7965,[],[[1],[]],[0,"Default",1,1]],[[9119,1994,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,7966,[],[[1],[]],[0,"Default",1,1]],[[9299,1994,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,7967,[],[[1],[]],[0,"Default",1,1]],[[10231,1972,0,164,80,0,0,1,0.5,0.5,0,0,[]],29,7968,[],[[1],[]],[0,"Default",2,1]],[[10397,1984,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,7969,[],[[1],[]],[0,"Default",1,1]],[[11272,1967,
0,127,69,0,0,1,0.5039370059967041,0.5072463750839233,0,0,[]],31,7970,[],[[1],[]],[0,"Default",2,1]],[[10578,1984,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,7971,[],[[1],[]],[0,"Default",1,1]],[[10758,1984,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,7972,[],[[1],[]],[0,"Default",1,1]],[[10939,1984,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,7973,[],[[1],[]],[0,"Default",1,1]],[[11119,1984,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,
0,0,[]],30,7974,[],[[1],[]],[0,"Default",1,1]],[[11841,1942,0,164,80,0,0,1,0.5,0.5,0,0,[]],29,7975,[],[[1],[]],[0,"Default",2,1]],[[12007,1954,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,7976,[],[[1],[]],[0,"Default",1,1]],[[12882,1937,0,127,69,0,0,1,0.5039370059967041,0.5072463750839233,0,0,[]],31,7977,[],[[1],[]],[0,"Default",2,1]],[[12188,1954,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,8041,[],[[1],[]],[0,"Default",1,1]],[[12368,1954,0,185,103,0,0,1,0.5027027130126953,
0.5048543810844421,0,0,[]],30,8042,[],[[1],[]],[0,"Default",1,1]],[[12549,1954,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,8044,[],[[1],[]],[0,"Default",1,1]],[[12729,1954,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,8045,[],[[1],[]],[0,"Default",1,1]],[[5284,2132,0,94,118,0,0,1,0.5,0.3305084705352783,0,0,[]],40,5989,[[0],[0],[0]],[[],[1,400,0,0],[]],[0,"carrot",0,1]],[[920,2468,0,94,118,0,0,1,0.5,0.3305084705352783,0,0,[]],40,8046,[[0],[0],[0]],[[],[1,400,
0,0],[]],[0,"carrot",0,1]],[[3039,485,0,94,118,0,0,1,0.5,0.3305084705352783,0,0,[]],40,8047,[[0],[0],[0]],[[],[1,400,0,0],[]],[0,"carrot",0,1]],[[6918,1738,0,94,118,0,0,1,0.5,0.3305084705352783,0,0,[]],40,8048,[[0],[0],[0]],[[],[1,400,0,0],[]],[0,"carrot",0,1]],[[8013,2265,0,94,118,0,0,1,0.5,0.3305084705352783,0,0,[]],40,8049,[[0],[0],[0]],[[],[1,400,0,0],[]],[0,"carrot",0,1]],[[13694,1242,0,94,118,0,0,1,0.5,0.3305084705352783,0,0,[]],40,8050,[[0],[0],[0]],[[],[1,400,0,0],[]],[0,"carrot",0,1]],[[666,
1567,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8455,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[1012,1567,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8456,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[1358,1567,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8457,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[1704,1567,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8458,[[0],[0],[0]],[[],[1,400,0,0]],
[0,"Default",0,1]],[[2050,1567,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8459,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[2396,1567,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8460,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[2115,2483,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8461,[[9],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[2461,2483,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8462,[[0],
[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[2807,2483,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8463,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[3153,2483,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8464,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[3499,2483,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8465,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[3845,2483,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,
0,0,[]],28,8466,[[9],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[3434,1425,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8467,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[3780,1425,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8468,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[4126,1425,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8469,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[4472,1425,0,119,117,0,0,1,0.5042017102241516,
0.3247863352298737,0,0,[]],28,8470,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[4818,1425,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8471,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[5164,1425,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8472,[[9],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[4226,503,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8473,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[1121,1017,0,119,117,
0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8474,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[1476,1002,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8475,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[1843,1026,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8476,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[2162,1023,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8477,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,
1]],[[2664,1577,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8478,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[698,614,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8479,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[1044,614,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8480,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[1412,611,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8481,[[0],[0],[0]],[[],[1,400,
0,0]],[0,"Default",0,1]],[[2862,678,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8482,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[3429,513,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8483,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[3196,685,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8484,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[3642,688,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8485,[[0],
[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[3847,507,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8486,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[4025,681,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8487,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[4408,666,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8488,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[5224,681,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,
0,0,[]],28,8489,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[5570,681,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8490,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[5950,681,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8491,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[6296,681,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8492,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[6642,681,0,119,117,0,0,1,0.5042017102241516,
0.3247863352298737,0,0,[]],28,8493,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[6988,681,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8494,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[7334,681,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8495,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[7680,681,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8496,[[9],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[8772,1830,0,119,117,0,
0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8497,[[9],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[9115,1824,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8498,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[9446,1665,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8499,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[9792,1665,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8500,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],
[[10138,1665,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8501,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[10404,1815,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8502,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[10779,1824,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8503,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[11125,1824,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8504,[[0],[0],[0]],[[],[1,
400,0,0]],[0,"Default",0,1]],[[11636,1665,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8505,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[12016,1781,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8506,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[12383,1775,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8507,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[12735,1757,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],
28,8508,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[11850,409,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8509,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[12155,397,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8510,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[12461,581,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8511,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[12753,578,0,119,117,0,0,1,0.5042017102241516,
0.3247863352298737,0,0,[]],28,8512,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[13005,581,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8513,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[13284,578,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8514,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[9939,2488,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8515,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[10285,2488,0,119,117,
0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8516,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[10631,2488,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8517,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[10977,2488,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8518,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[11323,2488,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8519,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",
0,1]],[[11669,2488,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8520,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[9458,508,0,94,113,0,0,1,0.5106382966041565,0.3097345232963562,0,0,[]],46,6021,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[407,607,0,94,113,0,0,1,0.5106382966041565,0.3097345232963562,0,0,[]],46,5337,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[12394,2189,0,94,113,0,0,1,0.5106382966041565,0.3097345232963562,0,0,[]],46,5976,[[0],[0],[0]],[[],[1,
400,0,0]],[0,"Default",0,1]],[[12386,2355,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,2758,[],[[1],[]],[0,"Default",1,1]],[[8408,1845,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2759,[[9],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[7993,2132,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,2762,[],[[1],[]],[0,"Default",1,1]],[[8271,2334,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,2763,[],[[1],[]],[0,"Default",1,1]],
[[12005,277,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2764,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[12884,413,0,94,118,0,0,1,0.5,0.3305084705352783,0,0,[]],40,2768,[[0],[0],[0]],[[],[1,400,0,0],[]],[0,"carrot",0,1]]],[]],["general",5,8362432374808301,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[417,2465,0,142.8915710449219,142.8915710449219,0,0,1,0.5,0.5,0,0,[]],72,6270,[[0],[0]],[[]],[1,"Default",0,1]],[[6906,1403,0,128,128,0,0,1,0,0.5,0,0,[]],118,6272,[],[[]],[50,360,
0,10,16,100,0,5E3,1400,0,0,30,0,60,0,500,0,0,4]],[[3483,45,0,197,216,0,0,1,0.4974619150161743,0.5138888955116272,0,0,[]],113,6274,[],[[1,0,0,10,0,0,0,240,0],[],[]],[0,"Default",0,1]],[[4351,2206,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],32,6281,[],[[1,1,1,20,10,2,0,490,0],[1]],[0,"Default",2,1]],[[8163,115,0,197,216,0,0,1,0.4974619150161743,0.5138888955116272,0,0,[]],113,7920,[],[[1,0,0,10,0,0,0,240,0],[],[]],[0,"Default",0,1]],[[2581,1186,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,
0,0,[]],32,8057,[],[[1,1,1,20,10,2,0,490,0],[1]],[0,"Default",2,1]],[[421,1286,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],32,8058,[],[[1,1,1,20,10,2,0,490,0],[1]],[0,"Default",2,1]],[[8181,1476,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],32,8059,[],[[1,1,1,20,10,2,0,490,0],[1]],[0,"Default",2,1]],[[13687,1476,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],32,8137,[],[[1,1,1,20,10,2,0,1E3,0],[1]],[0,"Default",2,1]],[[11171.001953125,925.424560546875,
0,-202.0199890136719,370.8516235351563,0,0,1,0.5076452493667603,0.49740931391716,0,0,[]],50,5811,[[2]],[[]],[0,"Default",2,1]],[[631,2273,0,154.129150390625,171.9771423339844,0,0,1,0.5018315315246582,0.5,0,0,[]],42,6271,[[0],[0],[0],[0],[0],[0],[0],[3],[0]],[[],[]],[0,"Default",0,1]]],[]],["gui",6,9735916381144312,!0,[255,255,255],!0,0,0,1,!1,1,0,0,[[[-419,183,0,200,30,0,0,1,0,0,0,0,[]],68,6286,[[1]],[[1,0,4,1,1],[]],["\u041d\u0435 \u0432\u0441\u0435 \u0441\u043e\u0431\u0440\u0430\u043d\u043e",0,
"12pt Arial","rgb(0,0,0)",0,0,0,0,0]],[[-419,150,0,200,30,0,0,1,0,0,0,0,[]],68,6287,[[0]],[[1,0,4,1,1],[]],["\u0412\u043d\u0438\u043c\u0430\u043d\u0438\u0435!",0,"14pt Arial","rgb(0,0,0)",0,0,0,0,0]]],[]],["black",7,0xcb87ab9e9e90f,!0,[0,0,0],!1,1,1,0,!1,1,0,0,[],[]]],[],[]],["16",15500,2989,!1,"e14-17",7946986176935422,[["b4",0,0xae58f630367d9,!0,[172,175,179],!1,0.4000000059604645,0.4000000059604645,1,!1,1,0,0,[[[0,0,0,2302,2302,0,0,1,-0.01297405175864697,9.746589930728078E-4,0,0,[]],44,5981,[],
[[]],[0,"Default",2,1]]],[]],["b3",1,7622476803850747,!0,[255,255,255],!0,0.699999988079071,1,1,!1,1,0,0,[[[9170,2446.879150390625,0,2048,456.3058471679688,0,0,1,0.5,0.5013405084609985,0,0,[]],43,6013,[],[[]],[0,"Default",2,1]],[[1022,2449.611328125,0,2048,456.3058471679688,0,0,1,0.5,0.5013405084609985,0,0,[]],43,6014,[],[[]],[0,"Default",2,1]],[[3059,2448.611328125,0,2048,456.3058471679688,0,0,1,0.5,0.5013405084609985,0,0,[]],43,6094,[],[[]],[0,"Default",2,1]],[[-1015,2450.611328125,0,2048,456.3058471679688,
0,0,1,0.5,0.5013405084609985,0,0,[]],43,6158,[],[[]],[0,"Default",2,1]],[[5096,2448.611328125,0,2048,456.3058471679688,0,0,1,0.5,0.5013405084609985,0,0,[]],43,6239,[],[[]],[0,"Default",2,1]],[[7126,2448.611328125,0,2048,456.3058471679688,0,0,1,0.5,0.5013405084609985,0,0,[]],43,6273,[],[[]],[0,"Default",2,1]],[[1083,2213,0,268,234,0,0,1,0.503731369972229,0.504273533821106,0,0,[]],109,6275,[],[[]],[0,"Default",0,1]],[[10722,2205,0,227.8818817138672,198.9714965820313,0,0,1,0.503731369972229,0.504273533821106,
0,0,[]],109,6279,[],[[]],[0,"Default",0,1]],[[5646,2069,0,627.4525756835938,547.7210693359375,0,0,1,0.5027624368667603,0.5,0,0,[]],110,6280,[],[[]],[0,"Default",0,1]],[[291,2147,0,362,316,0,0,1,0.5027624368667603,0.5,0,0,[]],110,6282,[],[[]],[0,"Default",0,1]],[[10013,2255,0,362,316,0,0,1,0.5027624368667603,0.5,0,0,[]],110,6283,[],[[]],[0,"Default",0,1]],[[-17,2157,0,268,234,0,0,1,0.503731369972229,0.504273533821106,0,0,[]],109,6284,[],[[]],[0,"Default",0,1]],[[11206,2448.611328125,0,2048,456.3058471679688,
0,0,1,0.5,0.5013405084609985,0,0,[]],43,6285,[],[[]],[0,"Default",2,1]],[[13250,2446.879150390625,0,2048,456.3058471679688,0,0,1,0.5,0.5013405084609985,0,0,[]],43,6404,[],[[]],[0,"Default",2,1]],[[14900,2446.879150390625,0,2048,456.3058471679688,0,0,1,0.5,0.5013405084609985,0,0,[]],43,6899,[],[[]],[0,"Default",2,1]]],[]],["b2",2,0x6ad8ffce13aab,!0,[255,255,255],!0,0.8500000238418579,1,1,!1,1,0,0,[[[10866,1264,0,2011,568,0,0,1,1,1,0,0,[]],112,6407,[],[[]],[0,"Default",0,1]],[[5437,862,0,1248,446,0,
0,1,1,1,0,0,[]],112,6408,[],[[]],[0,"Default",1,1]],[[6248,1469,0,902,237,0,0,1,1,1,0,0,[]],112,6409,[],[[]],[0,"Default",2,1]],[[8190,1598,0,618,488,0,0,1,1,1,0,0,[]],112,6410,[],[[]],[0,"Default",3,1]],[[1940,921,0,719,519,0,0,1,1,1,0,0,[]],112,6411,[],[[]],[0,"Default",4,1]],[[9422,1209,0,902,237,0,0,1,1,1,0,0,[]],112,6412,[],[[]],[0,"Default",2,1]],[[2433,669,0,-902,237,0,0,1,1,1,0,0,[]],112,6413,[],[[]],[0,"Default",2,1]],[[12406,1578,0,2011,568,0,0,1,1,1,0,0,[]],112,6414,[],[[]],[0,"Default",
0,1]],[[3589,1156,0,-902,237,0,0,1,1,1,0,0,[]],112,6416,[],[[]],[0,"Default",2,1]],[[4083,1595,0,902,237,0,0,1,1,1,0,0,[]],112,6417,[],[[]],[0,"Default",2,1]],[[1972,1333,0,902,237,0,0,1,1,1,0,0,[]],112,6418,[],[[]],[0,"Default",2,1]],[[8350,1118,0,902,237,0,0,1,1,1,0,0,[]],112,6419,[],[[]],[0,"Default",2,1]],[[10359,1516,0,902,237,0,0,1,1,1,0,0,[]],112,6420,[],[[]],[0,"Default",2,1]],[[15263,1206,0,2011,568,0,0,1,1,1,0,0,[]],112,8767,[],[[]],[0,"Default",0,1]],[[3199.9287109375,1071.60595703125,
0,483.4320983886719,3270.788330078125,0,0,1,0.4909909963607788,0.5,0,0,[]],106,6405,[],[[]],[0,"Default",0,1]],[[7137,1351,0,790.0963134765625,2669.244384765625,0,0,1,0.5,0.5,0,0,[]],108,6277,[],[[]],[0,"Default",0,1]],[[12022,819,0,526.130126953125,2678.804931640625,0,0,1,0.501694917678833,0.5,0,0,[]],107,6278,[],[[]],[0,"Default",0,1]],[[15304,1364,0,401.6080932617188,2717.186279296875,0,0,1,0.4909909963607788,0.5,0,0,[]],106,7919,[],[[]],[0,"Default",0,1]]],[]],["b1",3,4723159794040767,!0,[255,
255,255],!0,1,1,1,!1,1,0,0,[[[6197,1267,0,818,340,0,0,1,0.5004887580871582,0.5,0,0,[]],26,6462,[],[[1],[]],[0,"Default",0,1]],[[1279,1267,0,1023,340,0,0,1,0.5004887580871582,0.5,0,0,[]],26,6463,[],[[1],[]],[0,"Default",0,1]],[[2268,1267,0,1023,340,0,0,1,0.5004887580871582,0.5,0,0,[]],22,6464,[],[[1],[]],[0,"Default",0,1]],[[3266,1267,0,1023,340,0,0,1,0.5004887580871582,0.5,0,0,[]],22,6465,[],[[1],[]],[0,"Default",0,1]],[[4266,1267,0,1023,340,0,0,1,0.5004887580871582,0.5,0,0,[]],22,6466,[],[[1],[]],
[0,"Default",0,1]],[[5285,1267,0,1023,340,0,0,1,0.5004887580871582,0.5,0,0,[]],26,6468,[],[[1],[]],[0,"Default",0,1]],[[8380,2462,0,600,322,0,0,1,0.5,0.4937888085842133,0,0,[]],103,6443,[],[[]],[0,"Default",0,1]],[[8806.91796875,2494.644775390625,0,479.8349609375,257.5114440917969,0,0,1,0.5,0.4937888085842133,0,0,[]],103,8153,[],[[]],[0,"Default",0,1]],[[8550.91796875,2510.9970703125,0,480,258,0,0,1,0.5,0.4937888085842133,0,0,[]],103,8154,[],[[]],[0,"Default",0,1]],[[9156,2454,0,600,322,0,0,1,0.5,
0.4937888085842133,0,0,[]],103,8155,[],[[]],[0,"Default",0,1]],[[9070.6806640625,2499.4267578125,0,495.3616943359375,265.8441162109375,0,0,1,0.5,0.4937888085842133,0,0,[]],103,8156,[],[[]],[0,"Default",0,1]],[[4862.060546875,892.1279296875,0,727.79931640625,387.9035949707031,0,0,1,0.5013192892074585,0.4950495064258575,0,0,[]],104,6444,[],[[]],[0,"Default",0,1]],[[6291,157,0,727.79931640625,387.9035949707031,0,0,1,0.5013192892074585,0.4950495064258575,0,0,[]],104,8149,[],[[]],[0,"Default",0,1]],[[5118,
2429,0,727.79931640625,387.9035949707031,0,0,1,0.5013192892074585,0.4950495064258575,0,0,[]],104,8150,[],[[]],[0,"Default",0,1]],[[3078,2437,0,727.79931640625,387.9035949707031,0,0,1,0.5013192892074585,0.4950495064258575,0,0,[]],104,8151,[],[[]],[0,"Default",0,1]],[[10180.4716796875,523.126220703125,0,627.0067749023438,334.1830139160156,0,0,1,0.5013192892074585,0.4950495064258575,0,0,[]],104,8152,[],[[]],[0,"Default",0,1]],[[6942.5947265625,2477.022705078125,0,1369.189331054688,296.9830322265625,
0,0,1,0.5,0.4882629215717316,0,0,[]],111,6446,[],[[]],[0,"Default",0,1]],[[9098,1320,0,315,198,0,0,1,0.5047619342803955,0.5,0,0,[]],102,6442,[],[[]],[0,"Default",0,1]],[[8886,1307,0,315,198,0,0,1,0.5047619342803955,0.5,0,0,[]],102,8142,[],[[]],[0,"Default",0,1]],[[11379.7001953125,1760.6962890625,0,427.3299865722656,268.607421875,0,0,1,0.5047619342803955,0.5,0,0,[]],102,8143,[],[[]],[0,"Default",0,1]],[[11950,1752,0,427.3299865722656,268.607421875,0,0,1,0.5047619342803955,0.5,0,0,[]],102,8144,[],
[[]],[0,"Default",0,1]],[[12245.44140625,1793.537109375,0,374.7117004394531,235.5330810546875,0,0,1,0.5047619342803955,0.5,0,0,[]],102,8145,[],[[]],[0,"Default",0,1]],[[10810,2510,0,427.3299865722656,268.607421875,0,0,1,0.5047619342803955,0.5,0,0,[]],102,8146,[],[[]],[0,"Default",0,1]],[[7148,2487,0,427.3299865722656,268.607421875,0,0,1,0.5047619342803955,0.5,0,0,[]],102,8147,[],[[]],[0,"Default",0,1]],[[6802,2499,0,382.0777587890625,240.1631622314453,0,0,1,0.5047619342803955,0.5,0,0,[]],102,8148,
[],[[]],[0,"Default",0,1]],[[2053,2281,0,392,694,0,0,1,0.5025510191917419,0.4942363202571869,0,0,[]],101,6441,[],[[]],[0,"Default",0,1]],[[7287,2285,0,392,694,0,0,1,0.5025510191917419,0.4942363202571869,0,0,[]],101,6276,[],[[]],[0,"Default",0,1]],[[10693,2281,0,392,694,0,0,1,0.5025510191917419,0.4942363202571869,0,0,[]],101,6406,[],[[]],[0,"Default",0,1]],[[12467,1562,0,392,694,0,0,1,0.5025510191917419,0.4942363202571869,0,0,[]],101,6422,[],[[]],[0,"Default",0,1]],[[8659.689453125,1163.80322265625,
0,266.0201721191406,470.9642944335938,0,0,1,0.5025510191917419,0.4942363202571869,0,0,[]],101,8138,[],[[]],[0,"Default",0,1]],[[8927,1125,0,414,582,0,0,1,0.5,0.4982817769050598,0,0,[]],100,6440,[],[[]],[0,"Default",0,1]],[[8744.8603515625,1254.815185546875,0,259.7209167480469,365.1149291992188,0,0,1,0.5,0.4982817769050598,0,0,[]],100,8139,[],[[]],[0,"Default",0,1]],[[10155,1237,0,1023,340,0,0,1,0.5004887580871582,0.5,0,0,[]],26,6423,[],[[1],[]],[0,"Default",0,1]],[[3119,535,0,1023,340,0,0,1,0.5004887580871582,
0.5,0,0,[]],26,6424,[],[[1],[]],[0,"Default",0,1]],[[4108,535,0,1023,340,0,0,1,0.5004887580871582,0.5,0,0,[]],22,6425,[],[[1],[]],[0,"Default",0,1]],[[11507,2434,0,1023,340,0,0,1,0.5004887580871582,0.5,0,0,[]],26,6426,[],[[1],[]],[0,"Default",0,1]],[[380,2811,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,6427,[],[[1],[]],[0,"Default",0,1]],[[1380,2811,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,6428,[],[[1],[]],[0,"Default",0,1]],[[2375,2811,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,
[]],22,6429,[],[[1],[]],[0,"Default",0,1]],[[3357,2811,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,6430,[],[[1],[]],[0,"Default",0,1]],[[4339,2811,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,6431,[],[[1],[]],[0,"Default",0,1]],[[5212,2811,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,6432,[],[[1],[]],[0,"Default",0,1]],[[6047,2811,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,6433,[],[[1],[]],[0,"Default",0,1]],[[7029,2811,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,
6434,[],[[1],[]],[0,"Default",0,1]],[[7902,2811,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,6435,[],[[1],[]],[0,"Default",0,1]],[[8881,2807,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,6436,[],[[1],[]],[0,"Default",0,1]],[[5168,2781,0,208,197,0,0,1,0.5,0.5025380849838257,0,0,[]],35,6438,[],[[]],[0,"Default",0,1]],[[1692,2803,0,223,215,0,0,1,0.5022421479225159,0.5023255944252014,0,0,[]],34,6439,[],[[]],[0,"Default",0,1]],[[9758,560,0,457,247,0,0,1,0.4945295453071594,0.4939271211624146,
0,0,[]],105,6445,[],[[]],[0,"Default",0,1]],[[3984,296,0,137,118,0,0,1,0.5036496520042419,0.5,0,0,[]],116,6448,[],[[]],[0,"Default",0,1]],[[5106,535,0,1023,340,0,0,1,0.5004887580871582,0.5,0,0,[]],22,6450,[],[[1],[]],[0,"Default",0,1]],[[6106,535,0,1023,340,0,0,1,0.5004887580871582,0.5,0,0,[]],22,6451,[],[[1],[]],[0,"Default",0,1]],[[12507,2435,0,1023,340,0,0,1,0.5004887580871582,0.5,0,0,[]],22,6452,[],[[1],[]],[0,"Default",0,1]],[[9863,2838,0,495.4190063476563,355.9007568359375,0,0,1,0.5006518959999084,
0.5009074211120605,0,0,[]],79,6454,[],[[]],[0,"Default",0,1]],[[10789,2811,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,6455,[],[[1],[]],[0,"Default",0,1]],[[11662,2811,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,6456,[],[[1],[]],[0,"Default",0,1]],[[12641,2807,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,6457,[],[[1],[]],[0,"Default",0,1]],[[13581,2807,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,6458,[],[[1],[]],[0,"Default",0,1]],[[9821,2807,0,1023,356,0,0,1,0.5004887580871582,
0.5,0,0,[]],22,6459,[],[[1],[]],[0,"Default",0,1]],[[11564.9951171875,2074,0,926,340,0,0,1,0.5004887580871582,0.5,0,0,[]],26,6460,[],[[1],[]],[0,"Default",0,1]],[[12489.97265625,2075,0,969,340,0,0,1,0.5004887580871582,0.5,0,0,[]],22,6461,[],[[1],[]],[0,"Default",0,1]],[[6201,906.5,0,811,359,0,0,1,0.5004887580871582,0.5,0,0,[]],26,6467,[],[[1],[]],[0,"Default",0,1]],[[8179,1581,0,1023,340,0,0,1,0.5004887580871582,0.5,0,0,[]],26,6469,[],[[1],[]],[0,"Default",0,1]],[[9168,1581,0,1023,340,0,0,1,0.5004887580871582,
0.5,0,0,[]],22,6470,[],[[1],[]],[0,"Default",0,1]],[[10166,1581,0,1023,340,0,0,1,0.5004887580871582,0.5,0,0,[]],22,6471,[],[[1],[]],[0,"Default",0,1]],[[9663.4921875,886.5,0,1008,371,0,0,1,0.5004887580871582,0.5,0,0,[]],22,6472,[],[[1],[]],[0,"Default",0,1]],[[10668.494140625,886.5,0,1010,371,0,0,1,0.5004887580871582,0.5,0,0,[]],26,6473,[],[[1],[]],[0,"Default",0,1]],[[2174,535,0,1023,340,0,0,1,0.5004887580871582,0.5,0,0,[]],26,6474,[],[[1],[]],[0,"Default",0,1]],[[2174,177,0,1023,340,0,0,1,0.5004887580871582,
0.5,0,0,[]],26,6475,[],[[1],[]],[0,"Default",0,1]],[[8081,557,0,811,340,0,0,1,0.5004887580871582,0.5,0,0,[]],26,6822,[],[[1],[]],[0,"Default",0,1]],[[8081,197,0,811,340,0,0,1,0.5004887580871582,0.5,0,0,[]],26,6823,[],[[1],[]],[0,"Default",0,1]],[[8081,1227,0,811,340,0,0,1,0.5004887580871582,0.5,0,0,[]],26,6838,[],[[1],[]],[0,"Default",0,1]],[[8081,867,0,811,340,0,0,1,0.5004887580871582,0.5,0,0,[]],26,6839,[],[[1],[]],[0,"Default",0,1]],[[14563,2807,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],
22,6854,[],[[1],[]],[0,"Default",0,1]],[[15534,2802,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,6855,[],[[1],[]],[0,"Default",0,1]],[[3681,380,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6495,[],[[]],[0,"Default",2,1]],[[3795,380,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6496,[],[[]],[0,"Default",2,1]],[[3913,380,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6497,[],[[]],[0,"Default",2,1]],[[4031,380,0,141,87,0,0,1,0.5035461187362671,
0.5057471394538879,0,0,[]],23,6498,[],[[]],[0,"Default",2,1]],[[4146,380,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6499,[],[[]],[0,"Default",2,1]],[[4257,380,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6500,[],[[]],[0,"Default",2,1]],[[4376,380,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6501,[],[[]],[0,"Default",2,1]],[[4282,306,0,132,134,0,0,1,0.5,0.4925373196601868,0,0,[]],114,6447,[],[[]],[0,"Default",0,1]],[[217,2645,0,141,87,0,0,
1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6502,[],[[]],[0,"Default",2,1]],[[337,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6503,[],[[]],[0,"Default",2,1]],[[454,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6504,[],[[]],[0,"Default",2,1]],[[572,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6505,[],[[]],[0,"Default",2,1]],[[684,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6506,[],[[]],[0,"Default",
2,1]],[[796,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6507,[],[[]],[0,"Default",2,1]],[[913,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6508,[],[[]],[0,"Default",2,1]],[[1033,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6509,[],[[]],[0,"Default",2,1]],[[1151,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6510,[],[[]],[0,"Default",2,1]],[[1270,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,
0,0,[]],23,6511,[],[[]],[0,"Default",2,1]],[[1390,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6512,[],[[]],[0,"Default",2,1]],[[1509,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6513,[],[[]],[0,"Default",2,1]],[[1629,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6514,[],[[]],[0,"Default",2,1]],[[1748,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6515,[],[[]],[0,"Default",2,1]],[[1869,2645,0,141,87,0,0,1,
0.5035461187362671,0.5057471394538879,0,0,[]],23,6516,[],[[]],[0,"Default",2,1]],[[1988,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6517,[],[[]],[0,"Default",2,1]],[[2107,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6518,[],[[]],[0,"Default",2,1]],[[2228,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6519,[],[[]],[0,"Default",2,1]],[[2349,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6520,[],[[]],[0,"Default",
2,1]],[[2469,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6521,[],[[]],[0,"Default",2,1]],[[2588,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6522,[],[[]],[0,"Default",2,1]],[[2710,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6523,[],[[]],[0,"Default",2,1]],[[2832,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6524,[],[[]],[0,"Default",2,1]],[[2954,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,
0,0,[]],23,6525,[],[[]],[0,"Default",2,1]],[[3076,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6526,[],[[]],[0,"Default",2,1]],[[3195,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6527,[],[[]],[0,"Default",2,1]],[[3316,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6528,[],[[]],[0,"Default",2,1]],[[3436,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6529,[],[[]],[0,"Default",2,1]],[[3557,2645,0,141,87,0,0,1,
0.5035461187362671,0.5057471394538879,0,0,[]],23,6530,[],[[]],[0,"Default",2,1]],[[3673,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6531,[],[[]],[0,"Default",2,1]],[[3791,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6532,[],[[]],[0,"Default",2,1]],[[3913,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6533,[],[[]],[0,"Default",2,1]],[[4034,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6534,[],[[]],[0,"Default",
2,1]],[[4155,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6535,[],[[]],[0,"Default",2,1]],[[4274,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6536,[],[[]],[0,"Default",2,1]],[[4392,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6537,[],[[]],[0,"Default",2,1]],[[4514,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6538,[],[[]],[0,"Default",2,1]],[[4636,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,
0,0,[]],23,6539,[],[[]],[0,"Default",2,1]],[[2884,381,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6541,[],[[]],[0,"Default",2,1]],[[3002,381,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6542,[],[[]],[0,"Default",2,1]],[[3117,381,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6543,[],[[]],[0,"Default",2,1]],[[3228,381,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6544,[],[[]],[0,"Default",2,1]],[[3347,381,0,141,87,0,0,1,0.5035461187362671,
0.5057471394538879,0,0,[]],23,6545,[],[[]],[0,"Default",2,1]],[[3464,381,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6546,[],[[]],[0,"Default",2,1]],[[3582,381,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6547,[],[[]],[0,"Default",2,1]],[[6894,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6548,[],[[]],[0,"Default",2,1]],[[7012,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6549,[],[[]],[0,"Default",2,1]],[[7134,2645,
0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6550,[],[[]],[0,"Default",2,1]],[[7256,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6551,[],[[]],[0,"Default",2,1]],[[7375,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6552,[],[[]],[0,"Default",2,1]],[[7496,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6553,[],[[]],[0,"Default",2,1]],[[7613,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6554,
[],[[]],[0,"Default",2,1]],[[7729,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6555,[],[[]],[0,"Default",2,1]],[[7852,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6556,[],[[]],[0,"Default",2,1]],[[7972,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6557,[],[[]],[0,"Default",2,1]],[[8092,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6558,[],[[]],[0,"Default",2,1]],[[8211,2645,0,141,87,0,0,1,0.5035461187362671,
0.5057471394538879,0,0,[]],23,6559,[],[[]],[0,"Default",2,1]],[[8331,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6560,[],[[]],[0,"Default",2,1]],[[8452,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6561,[],[[]],[0,"Default",2,1]],[[8572,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6562,[],[[]],[0,"Default",2,1]],[[8695,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6563,[],[[]],[0,"Default",2,1]],[[8816,
2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6564,[],[[]],[0,"Default",2,1]],[[8933,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6565,[],[[]],[0,"Default",2,1]],[[9049,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6566,[],[[]],[0,"Default",2,1]],[[9172,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6567,[],[[]],[0,"Default",2,1]],[[5649,374,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6568,
[],[[]],[0,"Default",2,1]],[[5763,374,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6569,[],[[]],[0,"Default",2,1]],[[5881,374,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6570,[],[[]],[0,"Default",2,1]],[[5999,374,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6571,[],[[]],[0,"Default",2,1]],[[6114,374,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6572,[],[[]],[0,"Default",2,1]],[[6225,374,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,
0,0,[]],23,6573,[],[[]],[0,"Default",2,1]],[[6344,374,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6574,[],[[]],[0,"Default",2,1]],[[6461,374,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6575,[],[[]],[0,"Default",2,1]],[[4493,380,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6577,[],[[]],[0,"Default",2,1]],[[4755,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6578,[],[[]],[0,"Default",2,1]],[[4876,2645,0,141,87,0,0,1,0.5035461187362671,
0.5057471394538879,0,0,[]],23,6579,[],[[]],[0,"Default",2,1]],[[4993,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6580,[],[[]],[0,"Default",2,1]],[[5109,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6581,[],[[]],[0,"Default",2,1]],[[5232,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6582,[],[[]],[0,"Default",2,1]],[[5352,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6583,[],[[]],[0,"Default",2,1]],[[5472,
2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6584,[],[[]],[0,"Default",2,1]],[[5574,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6585,[],[[]],[0,"Default",2,1]],[[5696,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6586,[],[[]],[0,"Default",2,1]],[[5815,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6587,[],[[]],[0,"Default",2,1]],[[5936,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,
6588,[],[[]],[0,"Default",2,1]],[[6056,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6589,[],[[]],[0,"Default",2,1]],[[6177,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6590,[],[[]],[0,"Default",2,1]],[[6293,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6591,[],[[]],[0,"Default",2,1]],[[6411,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6592,[],[[]],[0,"Default",2,1]],[[6533,2645,0,141,87,0,0,1,0.5035461187362671,
0.5057471394538879,0,0,[]],23,6593,[],[[]],[0,"Default",2,1]],[[6654,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6594,[],[[]],[0,"Default",2,1]],[[6775,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6595,[],[[]],[0,"Default",2,1]],[[4620,375,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6605,[],[[]],[0,"Default",2,1]],[[4734,375,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6606,[],[[]],[0,"Default",2,1]],[[4852,375,
0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6607,[],[[]],[0,"Default",2,1]],[[4970,375,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6608,[],[[]],[0,"Default",2,1]],[[5085,375,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6609,[],[[]],[0,"Default",2,1]],[[5196,375,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6610,[],[[]],[0,"Default",2,1]],[[5315,375,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6611,[],[[]],
[0,"Default",2,1]],[[5432,375,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6612,[],[[]],[0,"Default",2,1]],[[5550,375,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6613,[],[[]],[0,"Default",2,1]],[[9292,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6614,[],[[]],[0,"Default",2,1]],[[9412,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6615,[],[[]],[0,"Default",2,1]],[[9531,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,
0,0,[]],23,6616,[],[[]],[0,"Default",2,1]],[[9651,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6617,[],[[]],[0,"Default",2,1]],[[9772,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6618,[],[[]],[0,"Default",2,1]],[[9892,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6619,[],[[]],[0,"Default",2,1]],[[10004,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6620,[],[[]],[0,"Default",2,1]],[[10126,2645,0,141,87,0,0,
1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6621,[],[[]],[0,"Default",2,1]],[[13125,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6637,[],[[]],[0,"Default",2,1]],[[13246,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6638,[],[[]],[0,"Default",2,1]],[[13363,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6639,[],[[]],[0,"Default",2,1]],[[13479,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6640,[],[[]],[0,
"Default",2,1]],[[13602,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6641,[],[[]],[0,"Default",2,1]],[[13722,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6642,[],[[]],[0,"Default",2,1]],[[13842,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6643,[],[[]],[0,"Default",2,1]],[[13961,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6644,[],[[]],[0,"Default",2,1]],[[14081,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,
0,0,[]],23,6645,[],[[]],[0,"Default",2,1]],[[14202,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6646,[],[[]],[0,"Default",2,1]],[[14322,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6647,[],[[]],[0,"Default",2,1]],[[10245,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6648,[],[[]],[0,"Default",2,1]],[[10366,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6649,[],[[]],[0,"Default",2,1]],[[10486,2645,0,141,87,
0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6650,[],[[]],[0,"Default",2,1]],[[10607,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6651,[],[[]],[0,"Default",2,1]],[[10723,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6652,[],[[]],[0,"Default",2,1]],[[10841,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6653,[],[[]],[0,"Default",2,1]],[[5978,1110,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6675,[],[[]],
[0,"Default",2,1]],[[6093,1110,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6676,[],[[]],[0,"Default",2,1]],[[6204,1110,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6677,[],[[]],[0,"Default",2,1]],[[6323,1110,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6678,[],[[]],[0,"Default",2,1]],[[1841,1110,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6681,[],[[]],[0,"Default",2,1]],[[1955,1110,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,
0,0,[]],23,6682,[],[[]],[0,"Default",2,1]],[[2073,1110,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6683,[],[[]],[0,"Default",2,1]],[[2191,1110,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6684,[],[[]],[0,"Default",2,1]],[[2306,1110,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6685,[],[[]],[0,"Default",2,1]],[[2417,1110,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6686,[],[[]],[0,"Default",2,1]],[[2536,1110,0,141,87,0,0,1,
0.5035461187362671,0.5057471394538879,0,0,[]],23,6687,[],[[]],[0,"Default",2,1]],[[1277,1110,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6692,[],[[]],[0,"Default",2,1]],[[1388,1110,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6693,[],[[]],[0,"Default",2,1]],[[1507,1110,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6694,[],[[]],[0,"Default",2,1]],[[1624,1110,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6695,[],[[]],[0,"Default",
2,1]],[[1742,1110,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6696,[],[[]],[0,"Default",2,1]],[[3809,1110,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6697,[],[[]],[0,"Default",2,1]],[[3923,1110,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6698,[],[[]],[0,"Default",2,1]],[[4041,1110,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6699,[],[[]],[0,"Default",2,1]],[[4159,1110,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,
0,0,[]],23,6700,[],[[]],[0,"Default",2,1]],[[4274,1110,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6701,[],[[]],[0,"Default",2,1]],[[4385,1110,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6702,[],[[]],[0,"Default",2,1]],[[4504,1110,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6703,[],[[]],[0,"Default",2,1]],[[4621,1110,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6704,[],[[]],[0,"Default",2,1]],[[4739,1110,0,141,87,0,0,1,
0.5035461187362671,0.5057471394538879,0,0,[]],23,6705,[],[[]],[0,"Default",2,1]],[[2653,1110,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6706,[],[[]],[0,"Default",2,1]],[[2780,1110,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6707,[],[[]],[0,"Default",2,1]],[[2894,1110,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6708,[],[[]],[0,"Default",2,1]],[[3012,1110,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6709,[],[[]],[0,"Default",
2,1]],[[3130,1110,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6710,[],[[]],[0,"Default",2,1]],[[3245,1110,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6711,[],[[]],[0,"Default",2,1]],[[3356,1110,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6712,[],[[]],[0,"Default",2,1]],[[3475,1110,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6713,[],[[]],[0,"Default",2,1]],[[3592,1110,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,
0,0,[]],23,6714,[],[[]],[0,"Default",2,1]],[[3710,1110,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6715,[],[[]],[0,"Default",2,1]],[[6093,737,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6718,[],[[]],[0,"Default",2,1]],[[6204,737,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6719,[],[[]],[0,"Default",2,1]],[[6323,737,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6720,[],[[]],[0,"Default",2,1]],[[6440,737,0,141,87,0,0,1,0.5035461187362671,
0.5057471394538879,0,0,[]],23,6721,[],[[]],[0,"Default",2,1]],[[4818,1110,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6723,[],[[]],[0,"Default",2,1]],[[4932,1110,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6724,[],[[]],[0,"Default",2,1]],[[5050,1110,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6725,[],[[]],[0,"Default",2,1]],[[5168,1110,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6726,[],[[]],[0,"Default",2,1]],[[5129,
1048,0,148,126,0,0,1,0.5,0.4920634925365448,0,0,[]],115,6449,[],[[]],[0,"Default",0,1]],[[8741,1420,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6732,[],[[]],[0,"Default",2,1]],[[8855,1420,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6733,[],[[]],[0,"Default",2,1]],[[9105,1501,0,227.3606109619141,216.5805511474609,0,3.141592741012573,1,0.5,0.5015479922294617,0,0,[]],124,2898,[],[[]],[0,"Default",0,1]],[[8973,1420,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,
0,0,[]],23,6734,[],[[]],[0,"Default",2,1]],[[9091,1420,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6735,[],[[]],[0,"Default",2,1]],[[8642,1421,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6747,[],[[]],[0,"Default",2,1]],[[2058,377,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6779,[],[[]],[0,"Default",2,1]],[[2173,377,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6780,[],[[]],[0,"Default",2,1]],[[2284,377,0,141,87,0,0,1,0.5035461187362671,
0.5057471394538879,0,0,[]],23,6781,[],[[]],[0,"Default",2,1]],[[2403,377,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6782,[],[[]],[0,"Default",2,1]],[[2058,17,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6788,[],[[]],[0,"Default",2,1]],[[2173,17,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6789,[],[[]],[0,"Default",2,1]],[[2284,17,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6790,[],[[]],[0,"Default",2,1]],[[2403,17,0,141,
87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6791,[],[[]],[0,"Default",2,1]],[[14442,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6856,[],[[]],[0,"Default",2,1]],[[14562,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6857,[],[[]],[0,"Default",2,1]],[[14685,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6858,[],[[]],[0,"Default",2,1]],[[14806,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6859,[],
[[]],[0,"Default",2,1]],[[14923,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6860,[],[[]],[0,"Default",2,1]],[[15039,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6861,[],[[]],[0,"Default",2,1]],[[15162,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6862,[],[[]],[0,"Default",2,1]],[[15282,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6863,[],[[]],[0,"Default",2,1]],[[15402,2645,0,141,87,0,0,1,0.5035461187362671,
0.5057471394538879,0,0,[]],23,6864,[],[[]],[0,"Default",2,1]],[[15521,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6865,[],[[]],[0,"Default",2,1]],[[15641,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6866,[],[[]],[0,"Default",2,1]],[[15762,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6867,[],[[]],[0,"Default",2,1]],[[15882,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6868,[],[[]],[0,"Default",2,1]],[[6248,
563,0,376.7289733886719,251.4274291992188,0,0,1,0.5010941028594971,0.5016393661499023,0,0,[]],54,6437,[],[[]],[0,"Default",0,1]],[[3805,303,0,121.7513961791992,123.5961151123047,0,0,1,0.5,0.4925373196601868,0,0,[]],114,8140,[],[[]],[0,"Default",0,1]],[[5855.705078125,302.7741088867188,0,88.76182556152344,76.45178985595703,0,0,1,0.5036496520042419,0.5,0,0,[]],116,8141,[],[[]],[0,"Default",0,1]],[[7329,2030,0,166,217,0,0,1,0.5,0.4884792566299439,0,0,[]],99,6453,[],[[]],[0,"Default",0,1]],[[1808.939697265625,
560.2472534179688,0,471,390,0,0,1,0.3641703426837921,0.5009041428565979,0,0,[]],123,5283,[],[[]],[0,"Default",0,1]],[[6457.92578125,1284.01904296875,0,575,389,0,0,1,0.7122207880020142,0.4608695507049561,0,0,[]],122,5284,[],[[]],[0,"Default",0,1]],[[7791,1617,0,470.5565490722656,387.5099182128906,0,0,1,0.3641703426837921,0.5009041428565979,0,0,[]],123,5286,[],[[]],[0,"Default",0,1]],[[10550,1586,0,526.0943603515625,402.2637329101563,0,0,1,0.7122207880020142,0.4608695507049561,0,0,[]],122,5287,[],[[]],
[0,"Default",0,1]],[[11044.4931640625,892.01025390625,0,531,402,0,0,1,0.7122207880020142,0.4608695507049561,0,0,[]],122,5288,[],[[]],[0,"Default",0,1]],[[9325.4560546875,906.00048828125,0,513,388,0,0,1,0.3641703426837921,0.5009041428565979,0,0,[]],123,5307,[],[[]],[0,"Default",0,1]],[[14019,1062,0,901.666748046875,272.5352478027344,0,0,1,0.5004887580871582,0.5,0,0,[]],26,5308,[],[[1],[]],[0,"Default",0,1]],[[14375,1057,0,401.9280395507813,307.3234252929688,0,0,1,0.7122207880020142,0.4608695507049561,
0,0,[]],122,5309,[],[[]],[0,"Default",0,1]],[[13684,1075,0,359.4980163574219,296.0517272949219,0,0,1,0.3641703426837921,0.5009041428565979,0,0,[]],123,5310,[],[[]],[0,"Default",0,1]],[[14E3,1136,0,178.9775695800781,172.8205871582031,0,0,1,0.5,0.5015479922294617,0,0,[]],124,5311,[],[[]],[0,"Default",0,1]],[[13613,924,0,124.7644805908203,76.98235321044922,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5312,[],[[]],[0,"Default",2,1]],[[13727,924,0,124.7644805908203,76.98235321044922,0,0,1,0.5035461187362671,
0.5057471394538879,0,0,[]],23,5313,[],[[]],[0,"Default",2,1]],[[13812,924,0,124.7644805908203,76.98235321044922,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5314,[],[[]],[0,"Default",2,1]],[[13925,924,0,124.7644805908203,76.98235321044922,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5315,[],[[]],[0,"Default",2,1]],[[14038,924,0,124.7644805908203,76.98235321044922,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5316,[],[[]],[0,"Default",2,1]],[[14123,924,0,124.7644805908203,
76.98235321044922,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5317,[],[[]],[0,"Default",2,1]],[[14236,924,0,124.7644805908203,76.98235321044922,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5318,[],[[]],[0,"Default",2,1]],[[14349,924,0,124.7644805908203,76.98235321044922,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5319,[],[[]],[0,"Default",2,1]],[[14434,924,0,124.7644805908203,76.98235321044922,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,5320,[],[[]],[0,"Default",
2,1]],[[1735,285,0,191,182,0,1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,5321,[],[[]],[0,"Default",0,1]],[[1735,95,0,191,182,0,1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,5322,[],[[]],[0,"Default",0,1]],[[5884,1017,0,191,182,0,1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,5323,[],[[]],[0,"Default",0,1]],[[5884,827,0,191,182,0,1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,5324,[],[[]],[0,"Default",0,1]],[[7745,332,0,191,182,0,1.570796370506287,1,0.5,0.5015479922294617,
0,0,[]],124,5325,[],[[]],[0,"Default",0,1]],[[7745,142,0,191,182,0,1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,5326,[],[[]],[0,"Default",0,1]],[[7737,670,0,191,182,0,1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,5327,[],[[]],[0,"Default",0,1]],[[7737,480,0,191,182,0,1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,6311,[],[[]],[0,"Default",0,1]],[[7745,983,0,191,182,0,1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,6312,[],[[]],[0,"Default",0,1]],[[7745,793,0,191,
182,0,1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,6476,[],[[]],[0,"Default",0,1]],[[7728,1338,0,191,182,0,1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,6794,[],[[]],[0,"Default",0,1]],[[7728,1148,0,191,182,0,1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,6795,[],[[]],[0,"Default",0,1]],[[11166,2193,0,191,182,0,1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,6796,[],[[]],[0,"Default",0,1]],[[11166,2003,0,191,182,0,1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],
124,6797,[],[[]],[0,"Default",0,1]],[[11070,2548,0,191,182,0,1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,6798,[],[[]],[0,"Default",0,1]],[[11070,2358,0,191,182,0,1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,6799,[],[[]],[0,"Default",0,1]],[[9717,1338,0,191,182,0,1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,6800,[],[[]],[0,"Default",0,1]],[[9717,1148,0,191,182,0,1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,6801,[],[[]],[0,"Default",0,1]],[[2613,92,0,-191,182,
0,-1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,6802,[],[[]],[0,"Default",0,1]],[[2613,282,0,-190.6354064941406,181.5966491699219,0,-1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,9234,[],[[]],[0,"Default",0,1]],[[6534,457,0,-191,182,0,-1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,9235,[],[[]],[0,"Default",0,1]],[[6534.00048828125,640.682373046875,0,-178,182,0,-1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,9236,[],[[]],[0,"Default",0,1]],[[6527,829,0,-191,182,
0,-1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,9237,[],[[]],[0,"Default",0,1]],[[6527,1019,0,-190.6354064941406,181.5966491699219,0,-1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,9238,[],[[]],[0,"Default",0,1]],[[8414,135,0,-191,182,0,-1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,9239,[],[[]],[0,"Default",0,1]],[[8414,325,0,-190.6354064941406,181.5966491699219,0,-1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,9240,[],[[]],[0,"Default",0,1]],[[8406,473,0,-191,
182,0,-1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,9241,[],[[]],[0,"Default",0,1]],[[8406,663,0,-190.6354064941406,181.5966491699219,0,-1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,9242,[],[[]],[0,"Default",0,1]],[[8409,820,0,-191,182,0,-1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,9243,[],[[]],[0,"Default",0,1]],[[8409,1010,0,-190.6354064941406,181.5966491699219,0,-1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,9244,[],[[]],[0,"Default",0,1]],[[8407,1150,0,
-191,182,0,-1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,9245,[],[[]],[0,"Default",0,1]],[[8407,1340,0,-190.6354064941406,181.5966491699219,0,-1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,9246,[],[[]],[0,"Default",0,1]],[[10605,1184,0,-191,182,0,-1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,9247,[],[[]],[0,"Default",0,1]],[[10605,1374,0,-190.6354064941406,181.5966491699219,0,-1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,9248,[],[[]],[0,"Default",0,1]],[[12907,
1996,0,-191,182,0,-1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,9249,[],[[]],[0,"Default",0,1]],[[12907,2186,0,-190.6354064941406,181.5966491699219,0,-1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,9250,[],[[]],[0,"Default",0,1]],[[12948,2368,0,-191,182,0,-1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,9251,[],[[]],[0,"Default",0,1]],[[12948,2558,0,-190.6354064941406,181.5966491699219,0,-1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,9252,[],[[]],[0,"Default",0,1]],
[[2329,1379,0,227.3606109619141,216.5805511474609,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9253,[],[[]],[0,"Default",0,1]],[[2103,1379,0,227.3606109619141,216.5805511474609,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9254,[],[[]],[0,"Default",0,1]],[[1878,1379,0,227.3606109619141,216.5805511474609,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9255,[],[[]],[0,"Default",0,1]],[[2103,1379,0,227.3606109619141,216.5805511474609,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9256,[],[[]],[0,"Default",0,1]],[[1652,1379,
0,227.3606109619141,216.5805511474609,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9257,[],[[]],[0,"Default",0,1]],[[1375.949462890625,1379.000732421875,0,332,217,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9258,[],[[]],[0,"Default",0,1]],[[4485,1377,0,245.9676055908203,234.3053588867188,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9259,[],[[]],[0,"Default",0,1]],[[4241,1377,0,245.9676055908203,234.3053588867188,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9260,[],[[]],[0,"Default",0,1]],[[3998,1377,0,245.9676055908203,
234.3053588867188,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9261,[],[[]],[0,"Default",0,1]],[[3752,1377,0,245.9676055908203,234.3053588867188,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9262,[],[[]],[0,"Default",0,1]],[[4692,1377,0,171.8667297363281,234.3053588867188,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9263,[],[[]],[0,"Default",0,1]],[[2556,1379,0,227.3606109619141,216.5805511474609,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9264,[],[[]],[0,"Default",0,1]],[[2746,1379,0,158.8653411865234,216.5805511474609,
0,0,1,0.5,0.5015479922294617,0,0,[]],124,9265,[],[[]],[0,"Default",0,1]],[[2945,1377,0,245.9676055908203,234.3053588867188,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9266,[],[[]],[0,"Default",0,1]],[[3470,1377,0,319.6213684082031,233.9185028076172,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9267,[],[[]],[0,"Default",0,1]],[[3191,1377,0,245.9676055908203,234.3053588867188,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9268,[],[[]],[0,"Default",0,1]],[[9132,1709,0,227.3606109619141,216.5805511474609,0,0,1,0.5,
0.5015479922294617,0,0,[]],124,9269,[],[[]],[0,"Default",0,1]],[[8906,1709,0,227.3606109619141,216.5805511474609,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9270,[],[[]],[0,"Default",0,1]],[[8681,1709,0,227.3606109619141,216.5805511474609,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9271,[],[[]],[0,"Default",0,1]],[[8906,1709,0,227.3606109619141,216.5805511474609,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9272,[],[[]],[0,"Default",0,1]],[[8455,1709,0,227.3606109619141,216.5805511474609,0,0,1,0.5,0.5015479922294617,
0,0,[]],124,9273,[],[[]],[0,"Default",0,1]],[[8165,1709,0,359.8988037109375,216.5805511474609,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9274,[],[[]],[0,"Default",0,1]],[[5634,1377,0,245.9676055908203,234.3053588867188,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9275,[],[[]],[0,"Default",0,1]],[[5390,1377,0,245.9676055908203,234.3053588867188,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9276,[],[[]],[0,"Default",0,1]],[[5147,1377,0,245.9676055908203,234.3053588867188,0,0,1,0.5,0.5015479922294617,0,0,[]],124,
9277,[],[[]],[0,"Default",0,1]],[[4900.4501953125,1376.999877929688,0,247.0681915283203,234.3053588867188,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9278,[],[[]],[0,"Default",0,1]],[[5904.06640625,1376.999389648438,0,298,234,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9279,[],[[]],[0,"Default",0,1]],[[9359,1709,0,227.3606109619141,216.5805511474609,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9280,[],[[]],[0,"Default",0,1]],[[9549,1709,0,158.8653411865234,216.5805511474609,0,0,1,0.5,0.5015479922294617,0,0,
[]],124,9281,[],[[]],[0,"Default",0,1]],[[9748,1707,0,245.9676055908203,234.3053588867188,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9282,[],[[]],[0,"Default",0,1]],[[10273,1707,0,319.6213684082031,233.9185028076172,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9283,[],[[]],[0,"Default",0,1]],[[9994,1707,0,245.9676055908203,234.3053588867188,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9284,[],[[]],[0,"Default",0,1]],[[3267,646,0,227.3606109619141,216.5805511474609,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9285,
[],[[]],[0,"Default",0,1]],[[3041,646,0,227.3606109619141,216.5805511474609,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9286,[],[[]],[0,"Default",0,1]],[[2816,646,0,227.3606109619141,216.5805511474609,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9287,[],[[]],[0,"Default",0,1]],[[3041,646,0,227.3606109619141,216.5805511474609,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9288,[],[[]],[0,"Default",0,1]],[[2590,646,0,227.3606109619141,216.5805511474609,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9289,[],[[]],[0,"Default",
0,1]],[[2293.44921875,646.000732421875,0,373,217,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9290,[],[[]],[0,"Default",0,1]],[[5423,644,0,245.9676055908203,234.3053588867188,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9291,[],[[]],[0,"Default",0,1]],[[5179,644,0,245.9676055908203,234.3053588867188,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9292,[],[[]],[0,"Default",0,1]],[[4936,644,0,245.9676055908203,234.3053588867188,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9293,[],[[]],[0,"Default",0,1]],[[4690,644,0,
245.9676055908203,234.3053588867188,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9294,[],[[]],[0,"Default",0,1]],[[5717.06640625,643.9995727539062,0,346,234,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9295,[],[[]],[0,"Default",0,1]],[[3494,646,0,227.3606109619141,216.5805511474609,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9296,[],[[]],[0,"Default",0,1]],[[3684,646,0,158.8653411865234,216.5805511474609,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9297,[],[[]],[0,"Default",0,1]],[[3883,644,0,245.9676055908203,
234.3053588867188,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9298,[],[[]],[0,"Default",0,1]],[[4408,644,0,319.6213684082031,233.9185028076172,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9299,[],[[]],[0,"Default",0,1]],[[4129,644,0,245.9676055908203,234.3053588867188,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9300,[],[[]],[0,"Default",0,1]],[[1708,17,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6785,[],[[]],[0,"Default",2,1]],[[1822,17,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,
0,0,[]],23,6786,[],[[]],[0,"Default",2,1]],[[1940,17,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6787,[],[[]],[0,"Default",2,1]],[[1708,377,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6776,[],[[]],[0,"Default",2,1]],[[1822,377,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6777,[],[[]],[0,"Default",2,1]],[[1940,377,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6778,[],[[]],[0,"Default",2,1]],[[2520,17,0,141,87,0,0,1,0.5035461187362671,
0.5057471394538879,0,0,[]],23,6792,[],[[]],[0,"Default",2,1]],[[2638,17,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6793,[],[[]],[0,"Default",2,1]],[[2766,381,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6540,[],[[]],[0,"Default",2,1]],[[2520,377,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6783,[],[[]],[0,"Default",2,1]],[[2638,377,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6784,[],[[]],[0,"Default",2,1]],[[1162,1110,
0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6691,[],[[]],[0,"Default",2,1]],[[912.939697265625,1290.751708984375,0,471,395,0,0,1,0.3641703426837921,0.5009041428565979,0,0,[]],123,5285,[],[[]],[0,"Default",0,1]],[[812,1110,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6688,[],[[]],[0,"Default",2,1]],[[926,1110,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6689,[],[[]],[0,"Default",2,1]],[[1044,1110,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,
0,0,[]],23,6690,[],[[]],[0,"Default",2,1]],[[5854,737,0,153,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6716,[],[[]],[0,"Default",2,1]],[[5978,737,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6717,[],[[]],[0,"Default",2,1]],[[6579,374,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6576,[],[[]],[0,"Default",2,1]],[[6558,737,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6722,[],[[]],[0,"Default",2,1]],[[6440,1110,0,141,87,0,0,1,0.5035461187362671,
0.5057471394538879,0,0,[]],23,6679,[],[[]],[0,"Default",2,1]],[[6558,1110,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6680,[],[[]],[0,"Default",2,1]],[[7734,37,0,153,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6831,[],[[]],[0,"Default",2,1]],[[7858,37,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6832,[],[[]],[0,"Default",2,1]],[[7973,37,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6833,[],[[]],[0,"Default",2,1]],[[8084,37,0,141,
87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6834,[],[[]],[0,"Default",2,1]],[[8203,37,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6835,[],[[]],[0,"Default",2,1]],[[8320,37,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6836,[],[[]],[0,"Default",2,1]],[[8438,37,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6837,[],[[]],[0,"Default",2,1]],[[7730,397,0,160,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6824,[],[[]],[0,"Default",
2,1]],[[7858,397,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6825,[],[[]],[0,"Default",2,1]],[[7973,397,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6826,[],[[]],[0,"Default",2,1]],[[8084,397,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6827,[],[[]],[0,"Default",2,1]],[[8203,397,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6828,[],[[]],[0,"Default",2,1]],[[8320,397,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,
[]],23,6829,[],[[]],[0,"Default",2,1]],[[8438,397,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6830,[],[[]],[0,"Default",2,1]],[[7724,707,0,153,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6847,[],[[]],[0,"Default",2,1]],[[7848,707,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6848,[],[[]],[0,"Default",2,1]],[[7963,707,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6849,[],[[]],[0,"Default",2,1]],[[8074,707,0,141,87,0,0,1,0.5035461187362671,
0.5057471394538879,0,0,[]],23,6850,[],[[]],[0,"Default",2,1]],[[8193,707,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6851,[],[[]],[0,"Default",2,1]],[[8310,707,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6852,[],[[]],[0,"Default",2,1]],[[8428,707,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6853,[],[[]],[0,"Default",2,1]],[[7720,1067,0,160,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6840,[],[[]],[0,"Default",2,1]],[[7848,1067,
0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6841,[],[[]],[0,"Default",2,1]],[[7963,1067,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6842,[],[[]],[0,"Default",2,1]],[[8074,1067,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6843,[],[[]],[0,"Default",2,1]],[[8193,1067,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6844,[],[[]],[0,"Default",2,1]],[[8310,1067,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6845,
[],[[]],[0,"Default",2,1]],[[8438,1067,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6846,[],[[]],[0,"Default",2,1]],[[7712,1421,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6739,[],[[]],[0,"Default",2,1]],[[7826,1421,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6740,[],[[]],[0,"Default",2,1]],[[7944,1421,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6741,[],[[]],[0,"Default",2,1]],[[8062,1421,0,141,87,0,0,1,0.5035461187362671,
0.5057471394538879,0,0,[]],23,6742,[],[[]],[0,"Default",2,1]],[[8177,1421,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6743,[],[[]],[0,"Default",2,1]],[[8288,1421,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6744,[],[[]],[0,"Default",2,1]],[[8407,1421,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6745,[],[[]],[0,"Default",2,1]],[[8524,1421,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6746,[],[[]],[0,"Default",2,1]],[[9199,
704,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6748,[],[[]],[0,"Default",2,1]],[[9313,704,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6749,[],[[]],[0,"Default",2,1]],[[9431,704,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6750,[],[[]],[0,"Default",2,1]],[[9549,704,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6751,[],[[]],[0,"Default",2,1]],[[9664,704,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6752,
[],[[]],[0,"Default",2,1]],[[9775,704,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6753,[],[[]],[0,"Default",2,1]],[[9894,704,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6754,[],[[]],[0,"Default",2,1]],[[10011,704,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6755,[],[[]],[0,"Default",2,1]],[[10129,704,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6756,[],[[]],[0,"Default",2,1]],[[10208,707,0,141,87,0,0,1,0.5035461187362671,
0.5057471394538879,0,0,[]],23,6767,[],[[]],[0,"Default",2,1]],[[10322,707,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6768,[],[[]],[0,"Default",2,1]],[[10440,707,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6769,[],[[]],[0,"Default",2,1]],[[10558,707,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6770,[],[[]],[0,"Default",2,1]],[[10673,707,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6771,[],[[]],[0,"Default",2,1]],[[10784,
707,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6772,[],[[]],[0,"Default",2,1]],[[10903,707,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6773,[],[[]],[0,"Default",2,1]],[[11020,707,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6774,[],[[]],[0,"Default",2,1]],[[11138,707,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6775,[],[[]],[0,"Default",2,1]],[[9688,1077,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6477,
[],[[]],[0,"Default",2,1]],[[9802,1077,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6478,[],[[]],[0,"Default",2,1]],[[9920,1077,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6479,[],[[]],[0,"Default",2,1]],[[10038,1077,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6480,[],[[]],[0,"Default",2,1]],[[10153,1077,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6481,[],[[]],[0,"Default",2,1]],[[10264,1077,0,141,87,0,0,1,0.5035461187362671,
0.5057471394538879,0,0,[]],23,6482,[],[[]],[0,"Default",2,1]],[[10383,1077,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6483,[],[[]],[0,"Default",2,1]],[[10500,1077,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6484,[],[[]],[0,"Default",2,1]],[[10618,1077,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6485,[],[[]],[0,"Default",2,1]],[[9912,1415,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6760,[],[[]],[0,"Default",2,1]],[[10030,
1415,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6761,[],[[]],[0,"Default",2,1]],[[10145,1415,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6762,[],[[]],[0,"Default",2,1]],[[10256,1415,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6763,[],[[]],[0,"Default",2,1]],[[10375,1415,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6764,[],[[]],[0,"Default",2,1]],[[10492,1415,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],
23,6765,[],[[]],[0,"Default",2,1]],[[10616.04296875,1415,0,153,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6766,[],[[]],[0,"Default",2,1]],[[11151,1914,0,168,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6657,[],[[]],[0,"Default",2,1]],[[11282,1914,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6658,[],[[]],[0,"Default",2,1]],[[11400,1914,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6659,[],[[]],[0,"Default",2,1]],[[11515,1914,0,141,87,
0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6660,[],[[]],[0,"Default",2,1]],[[11626,1914,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6661,[],[[]],[0,"Default",2,1]],[[11745,1914,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6662,[],[[]],[0,"Default",2,1]],[[11862,1914,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6663,[],[[]],[0,"Default",2,1]],[[11980,1914,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6664,[],[[]],
[0,"Default",2,1]],[[12060,1914,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6665,[],[[]],[0,"Default",2,1]],[[12174,1914,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6666,[],[[]],[0,"Default",2,1]],[[12292,1914,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6667,[],[[]],[0,"Default",2,1]],[[12410,1914,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6668,[],[[]],[0,"Default",2,1]],[[12538.091796875,1914,0,167,87,0,0,1,0.5035461187362671,
0.5057471394538879,0,0,[]],23,6669,[],[[]],[0,"Default",2,1]],[[12681.099609375,1914,0,169,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6670,[],[[]],[0,"Default",2,1]],[[12809.5458984375,1914,0,154,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6671,[],[[]],[0,"Default",2,1]],[[12937.5458984375,1910,0,154,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6672,[],[[]],[0,"Default",2,1]],[[11040,2274,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6486,
[],[[]],[0,"Default",2,1]],[[11154,2274,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6487,[],[[]],[0,"Default",2,1]],[[11272,2274,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6488,[],[[]],[0,"Default",2,1]],[[11390,2274,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6489,[],[[]],[0,"Default",2,1]],[[11505,2274,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6490,[],[[]],[0,"Default",2,1]],[[11616,2274,0,141,87,0,0,1,0.5035461187362671,
0.5057471394538879,0,0,[]],23,6491,[],[[]],[0,"Default",2,1]],[[11735,2274,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6492,[],[[]],[0,"Default",2,1]],[[11852,2274,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6493,[],[[]],[0,"Default",2,1]],[[11970,2274,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6494,[],[[]],[0,"Default",2,1]],[[12050,2274,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6596,[],[[]],[0,"Default",2,1]],[[12164,
2274,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6597,[],[[]],[0,"Default",2,1]],[[12282,2274,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6598,[],[[]],[0,"Default",2,1]],[[12400,2274,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6599,[],[[]],[0,"Default",2,1]],[[12515,2274,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6600,[],[[]],[0,"Default",2,1]],[[12626,2274,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],
23,6601,[],[[]],[0,"Default",2,1]],[[12745,2274,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6602,[],[[]],[0,"Default",2,1]],[[12862,2274,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6603,[],[[]],[0,"Default",2,1]],[[12980,2274,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6604,[],[[]],[0,"Default",2,1]],[[11324,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6622,[],[[]],[0,"Default",2,1]],[[11442,2645,0,141,87,0,0,1,0.5035461187362671,
0.5057471394538879,0,0,[]],23,6623,[],[[]],[0,"Default",2,1]],[[11564,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6624,[],[[]],[0,"Default",2,1]],[[11686,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6625,[],[[]],[0,"Default",2,1]],[[11805,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6626,[],[[]],[0,"Default",2,1]],[[11926,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6627,[],[[]],[0,"Default",2,1]],[[12043,
2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6628,[],[[]],[0,"Default",2,1]],[[12159,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6629,[],[[]],[0,"Default",2,1]],[[12282,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6630,[],[[]],[0,"Default",2,1]],[[12402,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6631,[],[[]],[0,"Default",2,1]],[[12522,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],
23,6632,[],[[]],[0,"Default",2,1]],[[12641,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6633,[],[[]],[0,"Default",2,1]],[[12761,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6634,[],[[]],[0,"Default",2,1]],[[12882,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6635,[],[[]],[0,"Default",2,1]],[[13002,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6636,[],[[]],[0,"Default",2,1]],[[10963,2645,0,141,87,0,0,1,0.5035461187362671,
0.5057471394538879,0,0,[]],23,6654,[],[[]],[0,"Default",2,1]],[[11084,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6655,[],[[]],[0,"Default",2,1]],[[11205,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6656,[],[[]],[0,"Default",2,1]],[[9543,1501,0,227.3606109619141,216.5805511474609,0,3.141592741012573,1,0.5,0.5015479922294617,0,0,[]],124,2895,[],[[]],[0,"Default",0,1]],[[9680,1415,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6758,[],
[[]],[0,"Default",2,1]],[[9794,1415,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6759,[],[[]],[0,"Default",2,1]],[[9323,1500,0,227.3606109619141,216.5805511474609,0,3.141592741012573,1,0.5,0.5015479922294617,0,0,[]],124,2897,[],[[]],[0,"Default",0,1]],[[9399.8046875,1248.2421875,0,371,394,0,0,1,0.5121951103210449,0.5234375,0,0,[]],71,7408,[[4]],[[]],[0,"Default",0,1]],[[5321,1189,0,227.3606109619141,216.5805511474609,0,3.141592741012573,1,0.5,0.5015479922294617,0,0,[]],124,2923,
[],[[]],[0,"Default",0,1]],[[5546,1194,0,227.3606109619141,216.5805511474609,0,3.141592741012573,1,0.5,0.5015479922294617,0,0,[]],124,2924,[],[[]],[0,"Default",0,1]],[[5761,1196,0,227.3606109619141,216.5805511474609,0,3.141592741012573,1,0.5,0.5015479922294617,0,0,[]],124,2925,[],[[]],[0,"Default",0,1]],[[5541.048828125,924.5546875,0,414,429,0,0,1,0.5121951103210449,0.5234375,0,0,[]],71,7405,[[4]],[[]],[0,"Default",0,1]],[[5850,1110,0,160,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,
6674,[],[[]],[0,"Default",2,1]],[[99,2643,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,2942,[],[[]],[0,"Default",2,1]],[[-27,2647,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,2943,[],[[]],[0,"Default",2,1]]],[]],["main",4,0xbec5687d81b3e,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[6721,1042,0,164,80,0,0,1,0.5,0.5,0,0,[]],29,9301,[],[[1],[]],[0,"Default",2,1]],[[6888,1060,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,9302,[],[[1],[]],[0,"Default",
1,1]],[[7040,1041,0,127,69,0,0,1,0.5039370059967041,0.5072463750839233,0,0,[]],31,9303,[],[[1],[]],[0,"Default",2,1]],[[-272,1682,0,103,190,0,0,1,0.5,0.5,0,0,[]],41,6803,[[0]],[[330,1500,3E3,950,1500,1E3,0,1]],[1,"Default",0,1]],[[1833,2134,0,164,80,0,0,1,0.5,0.5,0,0,[]],29,6804,[],[[1],[]],[0,"Default",2,1]],[[2E3,2152,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,6805,[],[[1],[]],[0,"Default",1,1]],[[2152,2133,0,127,69,0,0,1,0.5039370059967041,0.5072463750839233,0,0,[]],31,6806,
[],[[1],[]],[0,"Default",2,1]],[[12038,957,0,164,80,0,0,1,0.5,0.5,0,0,[]],29,6807,[],[[1],[]],[0,"Default",2,1]],[[12204,969,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,6808,[],[[1],[]],[0,"Default",1,1]],[[13079,952,0,127,69,0,0,1,0.5039370059967041,0.5072463750839233,0,0,[]],31,6809,[],[[1],[]],[0,"Default",2,1]],[[12385,969,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,6810,[],[[1],[]],[0,"Default",1,1]],[[12565,969,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,
0,0,[]],30,6811,[],[[1],[]],[0,"Default",1,1]],[[12746,969,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,6812,[],[[1],[]],[0,"Default",1,1]],[[12926,969,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,6813,[],[[1],[]],[0,"Default",1,1]],[[4848,2142,0,164,80,0,0,1,0.5,0.5,0,0,[]],29,8164,[],[[1],[]],[0,"Default",2,1]],[[5015,2160,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,8165,[],[[1],[]],[0,"Default",1,1]],[[5167,2141,0,127,69,0,0,1,0.5039370059967041,
0.5072463750839233,0,0,[]],31,8166,[],[[1],[]],[0,"Default",2,1]],[[7896,2125,0,164,80,0,0,1,0.5,0.5,0,0,[]],29,8167,[],[[1],[]],[0,"Default",2,1]],[[8063,2143,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,8168,[],[[1],[]],[0,"Default",1,1]],[[8215,2124,0,127,69,0,0,1,0.5039370059967041,0.5072463750839233,0,0,[]],31,8169,[],[[1],[]],[0,"Default",2,1]],[[10126,2175,0,164,80,0,0,1,0.5,0.5,0,0,[]],29,8170,[],[[1],[]],[0,"Default",2,1]],[[10293,2193,0,185,103,0,0,1,0.5027027130126953,
0.5048543810844421,0,0,[]],30,8171,[],[[1],[]],[0,"Default",1,1]],[[10445,2174,0,127,69,0,0,1,0.5039370059967041,0.5072463750839233,0,0,[]],31,8172,[],[[1],[]],[0,"Default",2,1]],[[5975,2279,0,164,80,0,0,1,0.5,0.5,0,0,[]],29,8173,[],[[1],[]],[0,"Default",2,1]],[[6141,2291,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,8174,[],[[1],[]],[0,"Default",1,1]],[[7016,2274,0,127,69,0,0,1,0.5039370059967041,0.5072463750839233,0,0,[]],31,8175,[],[[1],[]],[0,"Default",2,1]],[[6322,2291,0,185,
103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,8176,[],[[1],[]],[0,"Default",1,1]],[[6502,2291,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,8177,[],[[1],[]],[0,"Default",1,1]],[[6683,2291,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,8178,[],[[1],[]],[0,"Default",1,1]],[[6863,2291,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,8179,[],[[1],[]],[0,"Default",1,1]],[[8659,2039,0,164,80,0,0,1,0.5,0.5,0,0,[]],29,8180,[],[[1],[]],[0,"Default",
2,1]],[[8825,2051,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,8181,[],[[1],[]],[0,"Default",1,1]],[[9700,2034,0,127,69,0,0,1,0.5039370059967041,0.5072463750839233,0,0,[]],31,8182,[],[[1],[]],[0,"Default",2,1]],[[9006,2051,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,8183,[],[[1],[]],[0,"Default",1,1]],[[9186,2051,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,8184,[],[[1],[]],[0,"Default",1,1]],[[9367,2051,0,185,103,0,0,1,0.5027027130126953,
0.5048543810844421,0,0,[]],30,8185,[],[[1],[]],[0,"Default",1,1]],[[9547,2051,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,8186,[],[[1],[]],[0,"Default",1,1]],[[3133,2130,0,164,80,0,0,1,0.5,0.5,0,0,[]],29,8187,[],[[1],[]],[0,"Default",2,1]],[[3299,2142,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,8188,[],[[1],[]],[0,"Default",1,1]],[[4174,2125,0,127,69,0,0,1,0.5039370059967041,0.5072463750839233,0,0,[]],31,8189,[],[[1],[]],[0,"Default",2,1]],[[3480,2142,0,185,
103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,8190,[],[[1],[]],[0,"Default",1,1]],[[3660,2142,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,8191,[],[[1],[]],[0,"Default",1,1]],[[3841,2142,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,8192,[],[[1],[]],[0,"Default",1,1]],[[4021,2142,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,8193,[],[[1],[]],[0,"Default",1,1]],[[189,464,0,164,80,0,0,1,0.5,0.5,0,0,[]],29,8194,[],[[1],[]],[0,"Default",
2,1]],[[355,476,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,8195,[],[[1],[]],[0,"Default",1,1]],[[1250,663,0,127,69,0,0,1,0.5039370059967041,0.5072463750839233,0,0,[]],31,8196,[],[[1],[]],[0,"Default",2,1]],[[536,476,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,8197,[],[[1],[]],[0,"Default",1,1]],[[716,476,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,8198,[],[[1],[]],[0,"Default",1,1]],[[917,680,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,
0,0,[]],30,8199,[],[[1],[]],[0,"Default",1,1]],[[1097,680,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,8200,[],[[1],[]],[0,"Default",1,1]],[[13913,2237,0,164,80,0,0,1,0.5,0.5,0,0,[]],29,8522,[],[[1],[]],[0,"Default",2,1]],[[14079,2249,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,8523,[],[[1],[]],[0,"Default",1,1]],[[14954,2232,0,127,69,0,0,1,0.5039370059967041,0.5072463750839233,0,0,[]],31,8524,[],[[1],[]],[0,"Default",2,1]],[[14260,2249,0,185,103,0,0,1,0.5027027130126953,
0.5048543810844421,0,0,[]],30,8525,[],[[1],[]],[0,"Default",1,1]],[[14440,2249,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,8526,[],[[1],[]],[0,"Default",1,1]],[[14621,2249,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,8527,[],[[1],[]],[0,"Default",1,1]],[[14801,2249,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,8528,[],[[1],[]],[0,"Default",1,1]],[[13905,1840,0,164,80,0,0,1,0.5,0.5,0,0,[]],29,8529,[],[[1],[]],[0,"Default",2,1]],[[14071,1852,
0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,8530,[],[[1],[]],[0,"Default",1,1]],[[14946,1835,0,127,69,0,0,1,0.5039370059967041,0.5072463750839233,0,0,[]],31,8531,[],[[1],[]],[0,"Default",2,1]],[[14252,1852,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,8532,[],[[1],[]],[0,"Default",1,1]],[[14432,1852,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,8533,[],[[1],[]],[0,"Default",1,1]],[[14613,1852,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,
0,0,[]],30,8534,[],[[1],[]],[0,"Default",1,1]],[[14793,1852,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,8535,[],[[1],[]],[0,"Default",1,1]],[[7243,727,0,164,80,0,0,1,0.5,0.5,0,0,[]],29,8536,[],[[1],[]],[0,"Default",2,1]],[[7410,745,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,8537,[],[[1],[]],[0,"Default",1,1]],[[7562,726,0,127,69,0,0,1,0.5039370059967041,0.5072463750839233,0,0,[]],31,8538,[],[[1],[]],[0,"Default",2,1]],[[6728,531,0,164,80,0,0,1,0.5,0.5,0,
0,[]],29,8539,[],[[1],[]],[0,"Default",2,1]],[[6895,549,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,8540,[],[[1],[]],[0,"Default",1,1]],[[7047,530,0,127,69,0,0,1,0.5039370059967041,0.5072463750839233,0,0,[]],31,8541,[],[[1],[]],[0,"Default",2,1]],[[5137,834,0,94,118,0,0,1,0.5,0.3305084705352783,0,0,[]],40,6415,[[0],[0],[0]],[[],[1,400,0,0],[]],[0,"carrot",0,1]],[[9007,1257,0,94,118,0,0,1,0.5,0.3305084705352783,0,0,[]],40,8157,[[0],[0],[0]],[[],[1,400,0,0],[]],[0,"carrot",0,1]],
[[7157,1245,0,94,118,0,0,1,0.5,0.3305084705352783,0,0,[]],40,8158,[[0],[0],[0]],[[],[1,400,0,0],[]],[0,"carrot",0,1]],[[13178,2461,0,94,118,0,0,1,0.5,0.3305084705352783,0,0,[]],40,8159,[[0],[0],[0]],[[],[1,400,0,0],[]],[0,"carrot",0,1]],[[13912,771,0,94,118,0,0,1,0.5,0.3305084705352783,0,0,[]],40,8160,[[0],[0],[0]],[[],[1,400,0,0],[]],[0,"carrot",0,1]],[[2960,2482,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8521,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[3269,2345,0,
119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8542,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[3667,2518,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8543,[[9],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[4048,2321,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8544,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[4420,2506,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8545,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",
0,1]],[[4038,1972,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8546,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[4869,1837,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8547,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[5023,1976,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8548,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[5146,1837,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8549,[[0],[0],[0]],[[],
[1,400,0,0]],[0,"Default",0,1]],[[5818,1942,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8550,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[746,2512,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8551,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[1087,2513,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8552,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[1401,2500,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],
28,8553,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[1848,1985,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8554,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[2166,2438,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8555,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[2423,972,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8556,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[2782,861,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,
0,0,[]],28,8557,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[3240,992,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8558,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[3693,849,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8559,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[4033,992,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8560,[[9],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[9442,536,0,119,117,0,0,1,0.5042017102241516,
0.3247863352298737,0,0,[]],28,8561,[[9],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[9637,398,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8562,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[9852,531,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8563,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[10071,386,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8564,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[10255,524,0,119,117,
0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8565,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[8130,2454,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8566,[[9],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[8527,2223,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8567,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[8923,2454,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8568,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,
1]],[[9320,2223,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8569,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[9716,2454,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8570,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[5969,2114,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8571,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[6222,1771,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8572,[[0],[0],[0]],[[],[1,
400,0,0]],[0,"Default",0,1]],[[6666,2106,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8573,[[9],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[6811,1643,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8574,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[7901,1966,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8575,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[11199,1716,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,
8576,[[9],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[11550,1321,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8577,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[12107,1757,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8578,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[12687,1744,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8579,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[12926,1740,0,119,117,0,0,1,0.5042017102241516,
0.3247863352298737,0,0,[]],28,8580,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[11289,881,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8581,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[12052,672,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8582,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[12226,808,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8583,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[12567,804,0,119,117,
0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8584,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[12921,800,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8585,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[13628,2509,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8586,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[14074,2090,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8587,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",
0,1]],[[14441,2514,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8588,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[14796,2090,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8589,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[15102,2367,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8590,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[13928,1679,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8591,[[0],[0],[0]],
[[],[1,400,0,0]],[0,"Default",0,1]],[[14085,1533,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8592,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[14433,2087,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8593,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[14762,1539,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8594,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[14943,1967,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,
0,0,[]],28,8595,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[2853,194,0,94,113,0,0,1,0.5106382966041565,0.3097345232963562,0,0,[]],46,6421,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[9034,1064,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,2899,[],[[1],[]],[0,"Default",1,1]],[[10450,382,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2900,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[10606,531,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,
0,0,[]],28,2901,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[11555,1472,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,2902,[],[[1],[]],[0,"Default",1,1]],[[11291,1059,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,2903,[],[[1],[]],[0,"Default",1,1]],[[12421,1761,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2904,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[13573,1918,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],
30,2905,[],[[1],[]],[0,"Default",1,1]],[[13453,1303,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,2906,[],[[1],[]],[0,"Default",1,1]],[[13175,2289,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,2908,[],[[1],[]],[0,"Default",1,1]],[[13077,663,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2909,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[13831,2365,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2910,[[0],[0],[0]],[[],[1,
400,0,0]],[0,"Default",0,1]],[[14016,2499,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2911,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[14240,2367,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2912,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[14660,2372,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2913,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[14892,2496,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],
28,2914,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[15275,2474,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2915,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[14618,1948,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2916,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[14272,1965,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2917,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[13933,1968,0,119,117,0,0,1,0.5042017102241516,
0.3247863352298737,0,0,[]],28,2918,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[14241,1684,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2919,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[14397,1533,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2920,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[14614,1679,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2921,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[14930,1685,0,119,
117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2922,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[7237,1441,0,164,80,0,0,1,0.5,0.5,0,0,[]],29,2926,[],[[1],[]],[0,"Default",2,1]],[[7404,1459,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,2927,[],[[1],[]],[0,"Default",1,1]],[[7556,1440,0,127,69,0,0,1,0.5039370059967041,0.5072463750839233,0,0,[]],31,2928,[],[[1],[]],[0,"Default",2,1]],[[6491,1773,0,164,80,0,0,1,0.5,0.5,0,0,[]],29,2929,[],[[1],[]],[0,"Default",2,1]],
[[6658,1791,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,2930,[],[[1],[]],[0,"Default",1,1]],[[6810,1772,0,127,69,0,0,1,0.5039370059967041,0.5072463750839233,0,0,[]],31,2931,[],[[1],[]],[0,"Default",2,1]],[[6499,1623,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2932,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[6474,2103,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2933,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[6112,1933,
0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2934,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[6862,2118,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2935,[[9],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[8049,1974,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2936,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[8213,1996,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2937,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",
0,1]],[[3672,1988,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2938,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[3290,1982,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2939,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[3482,1794,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2940,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[3872,1792,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2941,[[0],[0],[0]],[[],
[1,400,0,0]],[0,"Default",0,1]],[[936,2406,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2944,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[1245,2390,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2945,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[2016,1973,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2946,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[2178,1971,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],
28,2947,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[3536,179,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2948,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]]],[]],["general",5,0xabeae399c74b2,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[450,1614,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],32,6819,[],[[1,1,1,20,10,2,0,850,0],[1]],[0,"Default",2,1]],[[394,2413,0,142.8915710449219,142.8915710449219,0,0,1,0.5,0.5,0,0,[]],72,6815,[[0],[0]],[[]],[1,"Default",0,
1]],[[7005,1072,0,128,128,0,0,1,0,0.5,0,0,[]],118,6817,[],[[]],[50,360,0,10,16,100,0,5E3,1400,0,0,30,0,60,0,500,0,0,4]],[[3431,98,0,197,216,0,0,1,0.4974619150161743,0.5138888955116272,0,0,[]],113,6818,[],[[1,0,0,10,0,0,0,240,0],[],[]],[0,"Default",0,1]],[[679,2112,0,153,198,0,0,1,0.5018315315246582,0.5,0,0,[]],42,6816,[[0],[0],[0],[0],[0],[0],[0],[3],[0]],[[],[]],[0,"Default",0,1]],[[14186,742,0,202.0203399658203,370.8516235351563,0,0,1,0.5076452493667603,0.49740931391716,0,0,[]],50,6269,[[2]],[[]],
[0,"Default",2,1]]],[]],["gui",6,0xb166b867a8dd7,!0,[255,255,255],!0,0,0,1,!1,1,0,0,[[[-419,183,0,200,30,0,0,1,0,0,0,0,[]],68,6820,[[1]],[[1,0,4,1,1],[]],["\u041d\u0435 \u0432\u0441\u0435 \u0441\u043e\u0431\u0440\u0430\u043d\u043e",0,"12pt Arial","rgb(0,0,0)",0,0,0,0,0]],[[-419,150,0,200,30,0,0,1,0,0,0,0,[]],68,6821,[[0]],[[1,0,4,1,1],[]],["\u0412\u043d\u0438\u043c\u0430\u043d\u0438\u0435!",0,"14pt Arial","rgb(0,0,0)",0,0,0,0,0]]],[]],["black",7,9245619966379152,!0,[0,0,0],!1,1,1,0,!1,1,0,0,[],[]]],
[],[]],["17",2E4,2989,!1,"e14-17",0xc93ecfea41cb2,[["b4",0,7427315086294969,!0,[172,175,179],!1,0.4000000059604645,0.4000000059604645,1,!1,1,0,0,[[[0,0,0,2302,2302,0,0,1,-0.01297405175864697,9.746589930728078E-4,0,0,[]],44,6673,[],[[]],[0,"Default",2,1]],[[15110,2446.879150390625,0,2048,456.3058471679688,0,0,1,0.5,0.5013405084609985,0,0,[]],43,7349,[],[[]],[0,"Default",2,1]],[[19E3,2446.879150390625,0,2048,456.3058471679688,0,0,1,0.5,0.5013405084609985,0,0,[]],43,7364,[],[[]],[0,"Default",2,1]],[[17140,
2446.879150390625,0,2048,456.3058471679688,0,0,1,0.5,0.5013405084609985,0,0,[]],43,7365,[],[[]],[0,"Default",2,1]]],[]],["b3",1,9363539220649552,!0,[255,255,255],!0,0.699999988079071,1,1,!1,1,0,0,[[[9170,2446.879150390625,0,2048,456.3058471679688,0,0,1,0.5,0.5013405084609985,0,0,[]],43,6869,[],[[]],[0,"Default",2,1]],[[1022,2449.611328125,0,2048,456.3058471679688,0,0,1,0.5,0.5013405084609985,0,0,[]],43,6870,[],[[]],[0,"Default",2,1]],[[3059,2448.611328125,0,2048,456.3058471679688,0,0,1,0.5,0.5013405084609985,
0,0,[]],43,6871,[],[[]],[0,"Default",2,1]],[[-1015,2450.611328125,0,2048,456.3058471679688,0,0,1,0.5,0.5013405084609985,0,0,[]],43,6872,[],[[]],[0,"Default",2,1]],[[5096,2448.611328125,0,2048,456.3058471679688,0,0,1,0.5,0.5013405084609985,0,0,[]],43,6873,[],[[]],[0,"Default",2,1]],[[7126,2448.611328125,0,2048,456.3058471679688,0,0,1,0.5,0.5013405084609985,0,0,[]],43,6874,[],[[]],[0,"Default",2,1]],[[5776,2199,0,227.8818817138672,198.9714965820313,0,0,1,0.503731369972229,0.504273533821106,0,0,[]],
109,6877,[],[[]],[0,"Default",0,1]],[[8006,2165,0,227.8818817138672,198.9714965820313,0,0,1,0.503731369972229,0.504273533821106,0,0,[]],109,6878,[],[[]],[0,"Default",0,1]],[[6572,2295,0,227.8818817138672,198.9714965820313,0,0,1,0.503731369972229,0.504273533821106,0,0,[]],109,6879,[],[[]],[0,"Default",0,1]],[[2901,2151,0,268,234,0,0,1,0.503731369972229,0.504273533821106,0,0,[]],109,6883,[],[[]],[0,"Default",0,1]],[[11206,2448.611328125,0,2048,456.3058471679688,0,0,1,0.5,0.5013405084609985,0,0,[]],
43,6884,[],[[]],[0,"Default",2,1]],[[13250,2446.879150390625,0,2048,456.3058471679688,0,0,1,0.5,0.5013405084609985,0,0,[]],43,6885,[],[[]],[0,"Default",2,1]]],[]],["b2",2,4794942972231785,!0,[255,255,255],!0,0.8500000238418579,1,1,!1,1,0,0,[[[9166,1224,0,2011,568,0,0,1,1,1,0,0,[]],112,6888,[],[[]],[0,"Default",0,1]],[[4867,882,0,1248,446,0,0,1,1,1,0,0,[]],112,6889,[],[[]],[0,"Default",1,1]],[[8190,1598,0,618,488,0,0,1,1,1,0,0,[]],112,6891,[],[[]],[0,"Default",3,1]],[[1960,991,0,719,519,0,0,1,1,1,
0,0,[]],112,6892,[],[[]],[0,"Default",4,1]],[[2793,1449,0,-902,237,0,0,1,1,1,0,0,[]],112,6894,[],[[]],[0,"Default",2,1]],[[11486,1668,0,2011,568,0,0,1,1,1,0,0,[]],112,6895,[],[[]],[0,"Default",0,1]],[[4489,1396,0,-902,237,0,0,1,1,1,0,0,[]],112,6897,[],[[]],[0,"Default",2,1]],[[3036,1558,0,2011,568,0,0,1,1,1,0,0,[]],112,6890,[],[[]],[0,"Default",0,1]],[[13256,678,0,2011,568,0,0,1,1,1,0,0,[]],112,6893,[],[[]],[0,"Default",0,1]],[[15846,1128,0,2011,568,0,0,1,1,1,0,0,[]],112,6898,[],[[]],[0,"Default",
0,1]],[[1357.6904296875,1304.692138671875,0,435.2228393554688,2944.61572265625,0,0,1,0.4909909963607788,0.5,0,0,[]],106,6886,[],[[]],[0,"Default",0,1]],[[7882.43115234375,1322.65185546875,0,824.8619995117188,2786.696044921875,0,0,1,0.5,0.5,0,0,[]],108,6887,[],[[]],[0,"Default",0,1]],[[9999.9990234375,1318.90234375,0,526,2759,0,0,1,0.501694917678833,0.5,0,0,[]],107,6903,[],[[]],[0,"Default",0,1]],[[4770,1299,0,526,2759,0,0,1,0.501694917678833,0.5,0,0,[]],107,6875,[],[[]],[0,"Default",0,1]],[[15193,
1375,0,435.2228393554688,2944.61572265625,0,0,1,0.4909909963607788,0.5,0,0,[]],106,6876,[],[[]],[0,"Default",0,1]],[[12873,1355,0,-435.2229919433594,2944.61572265625,0,0,1,0.4909909963607788,0.5,0,0,[]],106,6880,[],[[]],[0,"Default",0,1]]],[]],["b1",3,0x41eddfc51cd86,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[17325.826171875,752.07763671875,0,669.6527099609375,359.3803100585938,0,0,1,0.5,0.4937888085842133,0,0,[]],103,6924,[],[[]],[0,"Default",0,1]],[[16902.228515625,786.6322021484375,0,542.4581909179688,
291.1192321777344,0,0,1,0.5,0.4937888085842133,0,0,[]],103,8251,[],[[]],[0,"Default",0,1]],[[16494.177734375,790.1402587890625,0,566.3547973632812,303.9437561035156,0,0,1,0.5,0.4937888085842133,0,0,[]],103,8252,[],[[]],[0,"Default",0,1]],[[16161,801,0,600,322,0,0,1,0.5,0.4937888085842133,0,0,[]],103,8253,[],[[]],[0,"Default",0,1]],[[5183,521,0,392,694,0,0,1,0.5025510191917419,0.4942363202571869,0,0,[]],101,6922,[],[[]],[0,"Default",0,1]],[[2968.39111328125,598.2978515625,0,283.3368835449219,501.6219177246094,
0,0,1,0.5025510191917419,0.4942363202571869,0,0,[]],101,8246,[],[[]],[0,"Default",0,1]],[[11152,357,0,414,582,0,0,1,0.5,0.4982817769050598,0,0,[]],100,6921,[],[[]],[0,"Default",0,1]],[[11852,2366,0,414,582,0,0,1,0.5,0.4982817769050598,0,0,[]],100,8247,[],[[]],[0,"Default",0,1]],[[17655.287109375,725.9995727539062,0,300.5759582519531,422.5487976074219,0,0,1,0.5,0.4982817769050598,0,0,[]],100,8248,[],[[]],[0,"Default",0,1]],[[18856,2457,0,300.5759582519531,422.5487976074219,0,0,1,0.5,0.4982817769050598,
0,0,[]],100,8249,[],[[]],[0,"Default",0,1]],[[3789,2492,0,457,247,0,0,1,0.4945295453071594,0.4939271211624146,0,0,[]],105,6926,[],[[]],[0,"Default",0,1]],[[1959,2494,0,457,247,0,0,1,0.4945295453071594,0.4939271211624146,0,0,[]],105,8201,[],[[]],[0,"Default",0,1]],[[5012.98681640625,2516.387939453125,0,404.3977661132813,218.5694580078125,0,0,1,0.4945295453071594,0.4939271211624146,0,0,[]],105,8202,[],[[]],[0,"Default",0,1]],[[2706.455322265625,1707.49609375,0,472.0478210449219,255.133056640625,0,0,
1,0.4945295453071594,0.4939271211624146,0,0,[]],105,8203,[],[[]],[0,"Default",0,1]],[[3637,737,0,472.0478210449219,255.133056640625,0,0,1,0.4945295453071594,0.4939271211624146,0,0,[]],105,8204,[],[[]],[0,"Default",0,1]],[[8797,1267,0,472.0478210449219,255.133056640625,0,0,1,0.4945295453071594,0.4939271211624146,0,0,[]],105,8205,[],[[]],[0,"Default",0,1]],[[6497,2497,0,472.0478210449219,255.133056640625,0,0,1,0.4945295453071594,0.4939271211624146,0,0,[]],105,8206,[],[[]],[0,"Default",0,1]],[[10677,
487,0,472.0478210449219,255.133056640625,0,0,1,0.4945295453071594,0.4939271211624146,0,0,[]],105,8207,[],[[]],[0,"Default",0,1]],[[12577,2498,0,472.0478210449219,255.133056640625,0,0,1,0.4945295453071594,0.4939271211624146,0,0,[]],105,8208,[],[[]],[0,"Default",0,1]],[[12067,1133,0,472.0478210449219,255.133056640625,0,0,1,0.4945295453071594,0.4939271211624146,0,0,[]],105,8209,[],[[]],[0,"Default",0,1]],[[17627,2498,0,472.0478210449219,255.133056640625,0,0,1,0.4945295453071594,0.4939271211624146,0,
0,[]],105,8210,[],[[]],[0,"Default",0,1]],[[18587,1142,0,472.0478210449219,255.133056640625,0,0,1,0.4945295453071594,0.4939271211624146,0,0,[]],105,8211,[],[[]],[0,"Default",0,1]],[[15177,807,0,472.0478210449219,255.133056640625,0,0,1,0.4945295453071594,0.4939271211624146,0,0,[]],105,8212,[],[[]],[0,"Default",0,1]],[[4225,736,0,315,198,0,0,1,0.5047619342803955,0.5,0,0,[]],102,6923,[],[[]],[0,"Default",0,1]],[[2455,1733,0,315,198,0,0,1,0.5047619342803955,0.5,0,0,[]],102,8213,[],[[]],[0,"Default",0,
1]],[[1775,1743,0,315,198,0,0,1,0.5047619342803955,0.5,0,0,[]],102,8214,[],[[]],[0,"Default",0,1]],[[355,1726,0,315,198,0,0,1,0.5047619342803955,0.5,0,0,[]],102,8215,[],[[]],[0,"Default",0,1]],[[1025,1736,0,315,198,0,0,1,0.5047619342803955,0.5,0,0,[]],102,8216,[],[[]],[0,"Default",0,1]],[[701,1683,0,485.0234375,304.8718872070313,0,0,1,0.5047619342803955,0.5,0,0,[]],102,8217,[],[[]],[0,"Default",0,1]],[[1935,741,0,394.5005493164063,247.9717864990234,0,0,1,0.5047619342803955,0.5,0,0,[]],102,8218,[],
[[]],[0,"Default",0,1]],[[2144.46142578125,765.98583984375,0,334,198,0,0,1,0.5047619342803955,0.5,0,0,[]],102,8219,[],[[]],[0,"Default",0,1]],[[5936,699,0,485.0234375,304.8718872070313,0,0,1,0.5047619342803955,0.5,0,0,[]],102,8220,[],[[]],[0,"Default",0,1]],[[6921,2493,0,485.0234375,304.8718872070313,0,0,1,0.5047619342803955,0.5,0,0,[]],102,8221,[],[[]],[0,"Default",0,1]],[[3678.576416015625,2546.7734375,0,282.1085205078125,177.3253631591797,0,0,1,0.5047619342803955,0.5,0,0,[]],102,8222,[],[[]],[0,
"Default",0,1]],[[2939,1747,0,282.1085205078125,177.3253631591797,0,0,1,0.5047619342803955,0.5,0,0,[]],102,8223,[],[[]],[0,"Default",0,1]],[[5679,750,0,282.1085205078125,177.3253631591797,0,0,1,0.5047619342803955,0.5,0,0,[]],102,8224,[],[[]],[0,"Default",0,1]],[[8989,1307,0,282.1085205078125,177.3253631591797,0,0,1,0.5047619342803955,0.5,0,0,[]],102,8225,[],[[]],[0,"Default",0,1]],[[10729,527,0,282.1085205078125,177.3253631591797,0,0,1,0.5047619342803955,0.5,0,0,[]],102,8226,[],[[]],[0,"Default",
0,1]],[[12259,1181,0,282.1085205078125,177.3253631591797,0,0,1,0.5047619342803955,0.5,0,0,[]],102,8227,[],[[]],[0,"Default",0,1]],[[15353.9873046875,813.16259765625,0,373,217,0,0,1,0.5047619342803955,0.5,0,0,[]],102,8228,[],[[]],[0,"Default",0,1]],[[19534,1151,0,373,217,0,0,1,0.5047619342803955,0.5,0,0,[]],102,8229,[],[[]],[0,"Default",0,1]],[[16124,1780,0,373,217,0,0,1,0.5047619342803955,0.5,0,0,[]],102,8230,[],[[]],[0,"Default",0,1]],[[15924,1767,0,373,217,0,0,1,0.5047619342803955,0.5,0,0,[]],102,
8231,[],[[]],[0,"Default",0,1]],[[15352.560546875,1773.540649414063,0,429.5837097167969,249.9186859130859,0,0,1,0.5047619342803955,0.5,0,0,[]],102,8232,[],[[]],[0,"Default",0,1]],[[15692,1753,0,429.5837097167969,249.9186859130859,0,0,1,0.5047619342803955,0.5,0,0,[]],102,8233,[],[[]],[0,"Default",0,1]],[[14172,2501,0,429.5837097167969,249.9186859130859,0,0,1,0.5047619342803955,0.5,0,0,[]],102,8234,[],[[]],[0,"Default",0,1]],[[13892,2501,0,429.5837097167969,249.9186859130859,0,0,1,0.5047619342803955,
0.5,0,0,[]],102,8235,[],[[]],[0,"Default",0,1]],[[13582,2511,0,429.5837097167969,249.9186859130859,0,0,1,0.5047619342803955,0.5,0,0,[]],102,8236,[],[[]],[0,"Default",0,1]],[[10932,2521,0,429.5837097167969,249.9186859130859,0,0,1,0.5047619342803955,0.5,0,0,[]],102,8237,[],[[]],[0,"Default",0,1]],[[10632.48828125,2553.76904296875,0,351.3069763183594,204.3796691894531,0,0,1,0.5047619342803955,0.5,0,0,[]],102,8238,[],[[]],[0,"Default",0,1]],[[10352,2531,0,429.5837097167969,249.9186859130859,0,0,1,0.5047619342803955,
0.5,0,0,[]],102,8239,[],[[]],[0,"Default",0,1]],[[9142,2491,0,429.5837097167969,249.9186859130859,0,0,1,0.5047619342803955,0.5,0,0,[]],102,8240,[],[[]],[0,"Default",0,1]],[[8735.7158203125,2547.67236328125,0,337.8889465332031,196.5734710693359,0,0,1,0.5047619342803955,0.5,0,0,[]],102,8241,[],[[]],[0,"Default",0,1]],[[7379,1300,0,982,213,0,0,1,0.5,0.4882629215717316,0,0,[]],111,6927,[],[[]],[0,"Default",0,1]],[[7350.95703125,1957,0,935,340,0,0,1,0.5004887580871582,0.5,0,0,[]],26,6904,[],[[1],[]],[0,
"Default",0,1]],[[2649,1035,0,1023,340,0,0,1,0.5004887580871582,0.5,0,0,[]],26,6905,[],[[1],[]],[0,"Default",0,1]],[[3638,1035,0,1023,340,0,0,1,0.5004887580871582,0.5,0,0,[]],22,6906,[],[[1],[]],[0,"Default",0,1]],[[15207,2444,0,1023,340,0,0,1,0.5004887580871582,0.5,0,0,[]],26,6907,[],[[1],[]],[0,"Default",0,1]],[[380,2804,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,6908,[],[[1],[]],[0,"Default",0,1]],[[1380,2804,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,6909,[],[[1],[]],[0,"Default",
0,1]],[[2375,2804,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,6910,[],[[1],[]],[0,"Default",0,1]],[[3357,2804,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,6911,[],[[1],[]],[0,"Default",0,1]],[[4339,2804,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,6912,[],[[1],[]],[0,"Default",0,1]],[[5212,2804,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,6913,[],[[1],[]],[0,"Default",0,1]],[[6047,2804,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,6914,[],[[1],[]],[0,"Default",0,1]],
[[7029,2804,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,6915,[],[[1],[]],[0,"Default",0,1]],[[7902,2804,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,6916,[],[[1],[]],[0,"Default",0,1]],[[8881,2804,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,6917,[],[[1],[]],[0,"Default",0,1]],[[2448,2873,0,376.7289733886719,251.4274291992188,0,0,1,0.5010941028594971,0.5016393661499023,0,0,[]],54,6918,[],[[]],[0,"Default",0,1]],[[7482,1299,0,379,202,0,0,1,0.5013192892074585,0.4950495064258575,0,
0,[]],104,6925,[],[[]],[0,"Default",0,1]],[[9772,1350,0,148,126,0,0,1,0.5,0.4920634925365448,0,0,[]],115,6930,[],[[]],[0,"Default",0,1]],[[4636,1035,0,1023,340,0,0,1,0.5004887580871582,0.5,0,0,[]],22,6931,[],[[1],[]],[0,"Default",0,1]],[[5622.48681640625,1035,0,996,340,0,0,1,0.5004887580871582,0.5,0,0,[]],22,6932,[],[[1],[]],[0,"Default",0,1]],[[16207,2445,0,1023,340,0,0,1,0.5004887580871582,0.5,0,0,[]],22,6933,[],[[1],[]],[0,"Default",0,1]],[[5942,528,0,166,217,0,0,1,0.5,0.4884792566299439,0,0,[]],
99,6934,[],[[]],[0,"Default",0,1]],[[10789,2804,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,6936,[],[[1],[]],[0,"Default",0,1]],[[11662,2804,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,6937,[],[[1],[]],[0,"Default",0,1]],[[12641,2804,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,6938,[],[[1],[]],[0,"Default",0,1]],[[13581,2804,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,6939,[],[[1],[]],[0,"Default",0,1]],[[9821,2804,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,6940,
[],[[1],[]],[0,"Default",0,1]],[[15259.0009765625,2087.5,0,938,367,0,0,1,0.5004887580871582,0.5,0,0,[]],26,6941,[],[[1],[]],[0,"Default",0,1]],[[16202.0009765625,2088.5,0,993,367,0,0,1,0.5004887580871582,0.5,0,0,[]],22,6942,[],[[1],[]],[0,"Default",0,1]],[[5727,1757,0,818,340,0,0,1,0.5004887580871582,0.5,0,0,[]],26,6943,[],[[1],[]],[0,"Default",0,1]],[[-1441,2017,0,1023,340,0,0,1,0.5004887580871582,0.5,0,0,[]],26,6944,[],[[1],[]],[0,"Default",0,1]],[[-452,2017,0,1023,340,0,0,1,0.5004887580871582,
0.5,0,0,[]],22,6945,[],[[1],[]],[0,"Default",0,1]],[[546,2017,0,1023,340,0,0,1,0.5004887580871582,0.5,0,0,[]],22,6946,[],[[1],[]],[0,"Default",0,1]],[[1546,2017,0,1023,340,0,0,1,0.5004887580871582,0.5,0,0,[]],22,6947,[],[[1],[]],[0,"Default",0,1]],[[5731,1409.5,0,811,365,0,0,1,0.5004887580871582,0.5,0,0,[]],26,6948,[],[[1],[]],[0,"Default",0,1]],[[2565,2017,0,1023,340,0,0,1,0.5004887580871582,0.5,0,0,[]],26,6949,[],[[1],[]],[0,"Default",0,1]],[[7396.48291015625,1600.5,0,988,359,0,0,1,0.5004887580871582,
0.5,0,0,[]],26,6950,[],[[1],[]],[0,"Default",0,1]],[[8368,1591,0,1023,340,0,0,1,0.5004887580871582,0.5,0,0,[]],22,6951,[],[[1],[]],[0,"Default",0,1]],[[9366,1591,0,1023,340,0,0,1,0.5004887580871582,0.5,0,0,[]],22,6952,[],[[1],[]],[0,"Default",0,1]],[[10236,801,0,1023,340,0,0,1,0.5004887580871582,0.5,0,0,[]],22,6953,[],[[1],[]],[0,"Default",0,1]],[[11245.490234375,801,0,1004,340,0,0,1,0.5004887580871582,0.5,0,0,[]],26,6954,[],[[1],[]],[0,"Default",0,1]],[[1715.98828125,1037,0,999,340,0,0,1,0.5004887580871582,
0.5,0,0,[]],26,6955,[],[[1],[]],[0,"Default",0,1]],[[8081,557,0,811,340,0,0,1,0.5004887580871582,0.5,0,0,[]],26,6958,[],[[1],[]],[0,"Default",0,1]],[[8081,197,0,811,340,0,0,1,0.5004887580871582,0.5,0,0,[]],26,6959,[],[[1],[]],[0,"Default",0,1]],[[8081,1227,0,811,340,0,0,1,0.5004887580871582,0.5,0,0,[]],26,6960,[],[[1],[]],[0,"Default",0,1]],[[8081,867,0,811,340,0,0,1,0.5004887580871582,0.5,0,0,[]],26,6961,[],[[1],[]],[0,"Default",0,1]],[[14563,2804,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],
22,6962,[],[[1],[]],[0,"Default",0,1]],[[15534,2804,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,6963,[],[[1],[]],[0,"Default",0,1]],[[5727,2457,0,818,340,0,0,1,0.5004887580871582,0.5,0,0,[]],26,6900,[],[[1],[]],[0,"Default",0,1]],[[5731,2109.5,0,811,365,0,0,1,0.5004887580871582,0.5,0,0,[]],26,6901,[],[[1],[]],[0,"Default",0,1]],[[16481,2804,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,7366,[],[[1],[]],[0,"Default",0,1]],[[17463,2804,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,
7367,[],[[1],[]],[0,"Default",0,1]],[[18434,2804,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,7368,[],[[1],[]],[0,"Default",0,1]],[[19419,2804,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,7393,[],[[1],[]],[0,"Default",0,1]],[[20400,2804,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,7394,[],[[1],[]],[0,"Default",0,1]],[[9453,1598,0,495.4190063476563,355.9007568359375,0,0,1,0.5006518959999084,0.5009074211120605,0,0,[]],79,6935,[],[[]],[0,"Default",0,1]],[[12899,1455,0,1023,340,0,0,
1,0.5004887580871582,0.5,0,0,[]],26,7412,[],[[1],[]],[0,"Default",0,1]],[[13849.962890625,1455,0,947,340,0,0,1,0.5004887580871582,0.5,0,0,[]],22,7413,[],[[1],[]],[0,"Default",0,1]],[[11954,1457,0,1023,340,0,0,1,0.5004887580871582,0.5,0,0,[]],26,7416,[],[[1],[]],[0,"Default",0,1]],[[18639,1445,0,1023,340,0,0,1,0.5004887580871582,0.5,0,0,[]],26,7449,[],[[1],[]],[0,"Default",0,1]],[[19590,1445,0,947,340,0,0,1,0.5004887580871582,0.5,0,0,[]],22,7450,[],[[1],[]],[0,"Default",0,1]],[[17694,1447,0,1023,340,
0,0,1,0.5004887580871582,0.5,0,0,[]],26,7460,[],[[1],[]],[0,"Default",0,1]],[[14729,1105,0,1023,340,0,0,1,0.5004887580871582,0.5,0,0,[]],26,6957,[],[[1],[]],[0,"Default",0,1]],[[15718,1105,0,1023,340,0,0,1,0.5004887580871582,0.5,0,0,[]],22,7280,[],[[1],[]],[0,"Default",0,1]],[[16716,1105,0,1023,340,0,0,1,0.5004887580871582,0.5,0,0,[]],22,7281,[],[[1],[]],[0,"Default",0,1]],[[17716,1105,0,1023,340,0,0,1,0.5004887580871582,0.5,0,0,[]],22,7282,[],[[1],[]],[0,"Default",0,1]],[[13784,1107,0,1023,340,0,
0,1,0.5004887580871582,0.5,0,0,[]],26,7283,[],[[1],[]],[0,"Default",0,1]],[[14608,2584,0,132,134,0,0,1,0.5,0.4925373196601868,0,0,[]],114,8242,[],[[]],[0,"Default",0,1]],[[13208,1224,0,132,134,0,0,1,0.5,0.4925373196601868,0,0,[]],114,8243,[],[[]],[0,"Default",0,1]],[[3754.31982421875,2455.01806640625,0,110.639778137207,144.6315155029297,0,0,1,0.5,0.4884792566299439,0,0,[]],99,8244,[],[[]],[0,"Default",0,1]],[[10756.810546875,445.9518432617188,0,94.2613754272461,123.2211990356445,0,0,1,0.5,0.4884792566299439,
0,0,[]],99,8245,[],[[]],[0,"Default",0,1]],[[1363,1065,0,470.5565490722656,387.5099182128906,0,0,1,0.3641703426837921,0.5009041428565979,0,0,[]],123,7896,[],[[]],[0,"Default",0,1]],[[7029,1984,0,470.5565490722656,387.5099182128906,0,0,1,0.3641703426837921,0.5009041428565979,0,0,[]],123,9304,[],[[]],[0,"Default",0,1]],[[9888,826,0,470.5565490722656,387.5099182128906,0,0,1,0.3641703426837921,0.5009041428565979,0,0,[]],123,9305,[],[[]],[0,"Default",0,1]],[[11598,1484,0,470.5565490722656,387.5099182128906,
0,0,1,0.3641703426837921,0.5009041428565979,0,0,[]],123,9306,[],[[]],[0,"Default",0,1]],[[17318,1484,0,470.5565490722656,387.5099182128906,0,0,1,0.3641703426837921,0.5009041428565979,0,0,[]],123,9307,[],[[]],[0,"Default",0,1]],[[2032,188,0,901.40966796875,303.2088928222656,0,0,1,0.5004887580871582,0.5,0,0,[]],26,6956,[],[[1],[]],[0,"Default",0,1]],[[2387,200,0,401.9280395507813,307.3234252929688,0,0,1,0.7122207880020142,0.4608695507049561,0,0,[]],122,7271,[],[[]],[0,"Default",0,1]],[[1696,217,0,359.4980163574219,
296.0517272949219,0,0,1,0.3641703426837921,0.5009041428565979,0,0,[]],123,7272,[],[[]],[0,"Default",0,1]],[[2012,279,0,178.9775695800781,172.8205871582031,0,0,1,0.5,0.5015479922294617,0,0,[]],124,7273,[],[[]],[0,"Default",0,1]],[[2060,96,0,190.6354064941406,181.5966491699219,0,-3.141592502593994,1,0.5,0.5015479922294617,0,0,[]],124,7274,[],[[]],[0,"Default",0,1]],[[1682,172,0,401.9280395507813,307.3234252929688,0,-3.141592502593994,1,0.7122207880020142,0.4608695507049561,0,0,[]],122,7275,[],[[]],
[0,"Default",0,1]],[[2373,155,0,359.4980163574219,296.0517272949219,0,-3.141592502593994,1,0.3641703426837921,0.5009041428565979,0,0,[]],123,7276,[],[[]],[0,"Default",0,1]],[[2943.979736328125,2035.1044921875,0,526,409,0,0,1,0.7122207880020142,0.4608695507049561,0,0,[]],122,7277,[],[[]],[0,"Default",0,1]],[[7699,1962,0,526.0943603515625,402.2637329101563,0,0,1,0.7122207880020142,0.4608695507049561,0,0,[]],122,7278,[],[[]],[0,"Default",0,1]],[[9734,1602,0,526.0943603515625,402.2637329101563,0,0,1,
0.7122207880020142,0.4608695507049561,0,0,[]],122,7279,[],[[]],[0,"Default",0,1]],[[11629.7177734375,802.01025390625,0,492,402,0,0,1,0.7122207880020142,0.4608695507049561,0,0,[]],122,7885,[],[[]],[0,"Default",0,1]],[[14224,1482,0,526.0943603515625,402.2637329101563,0,0,1,0.7122207880020142,0.4608695507049561,0,0,[]],122,9308,[],[[]],[0,"Default",0,1]],[[5407,1514,0,191,182,0,1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,9309,[],[[]],[0,"Default",0,1]],[[5407,1324,0,191,182,0,1.570796370506287,
1,0.5,0.5015479922294617,0,0,[]],124,9310,[],[[]],[0,"Default",0,1]],[[5407,1874,0,191,182,0,1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,9311,[],[[]],[0,"Default",0,1]],[[5407,1684,0,191,182,0,1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,9312,[],[[]],[0,"Default",0,1]],[[5407,2214,0,191,182,0,1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,9313,[],[[]],[0,"Default",0,1]],[[5407,2024,0,191,182,0,1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,9314,[],[[]],[0,"Default",
0,1]],[[5397,2574,0,191,182,0,1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,9315,[],[[]],[0,"Default",0,1]],[[5397,2384,0,191,182,0,1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,9316,[],[[]],[0,"Default",0,1]],[[6957,1714,0,191,182,0,1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,9317,[],[[]],[0,"Default",0,1]],[[6957,1524,0,191,182,0,1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,9318,[],[[]],[0,"Default",0,1]],[[7757,1354,0,191,182,0,1.570796370506287,1,0.5,0.5015479922294617,
0,0,[]],124,9319,[],[[]],[0,"Default",0,1]],[[7757,1164,0,191,182,0,1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,9320,[],[[]],[0,"Default",0,1]],[[7757,984,0,191,182,0,1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,9321,[],[[]],[0,"Default",0,1]],[[7757,794,0,191,182,0,1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,9322,[],[[]],[0,"Default",0,1]],[[7757,684,0,191,182,0,1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,9323,[],[[]],[0,"Default",0,1]],[[7757,494,0,191,
182,0,1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,9324,[],[[]],[0,"Default",0,1]],[[7757,324,0,191,182,0,1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,9325,[],[[]],[0,"Default",0,1]],[[7757,134,0,191,182,0,1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,9326,[],[[]],[0,"Default",0,1]],[[13347,1224,0,191,182,0,1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,9327,[],[[]],[0,"Default",0,1]],[[13347,1034,0,191,182,0,1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],
124,9328,[],[[]],[0,"Default",0,1]],[[14867,2174,0,191,182,0,1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,9329,[],[[]],[0,"Default",0,1]],[[14867,1984,0,191,182,0,1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,9330,[],[[]],[0,"Default",0,1]],[[14777,2564,0,191,182,0,1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,9331,[],[[]],[0,"Default",0,1]],[[14777,2374,0,191,182,0,1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,9332,[],[[]],[0,"Default",0,1]],[[6062,975,0,-190.6354064941406,
181.5966491699219,0,-1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,9333,[],[[]],[0,"Default",0,1]],[[6062,1165,0,-190.6354064941406,181.5966491699219,0,-1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,9334,[],[[]],[0,"Default",0,1]],[[6062,1345,0,-190.6354064941406,181.5966491699219,0,-1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,9335,[],[[]],[0,"Default",0,1]],[[6062,1535,0,-190.6354064941406,181.5966491699219,0,-1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,9336,
[],[[]],[0,"Default",0,1]],[[6082,1715,0,-190.6354064941406,181.5966491699219,0,-1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,9337,[],[[]],[0,"Default",0,1]],[[6082,1905,0,-190.6354064941406,181.5966491699219,0,-1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,9338,[],[[]],[0,"Default",0,1]],[[6082,2045,0,-190.6354064941406,181.5966491699219,0,-1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,9339,[],[[]],[0,"Default",0,1]],[[6082,2235,0,-190.6354064941406,181.5966491699219,
0,-1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,9340,[],[[]],[0,"Default",0,1]],[[6072,2385,0,-190.6354064941406,181.5966491699219,0,-1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,9341,[],[[]],[0,"Default",0,1]],[[6072,2575,0,-190.6354064941406,181.5966491699219,0,-1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,9342,[],[[]],[0,"Default",0,1]],[[8412,125,0,-190.6354064941406,181.5966491699219,0,-1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,9343,[],[[]],[0,"Default",
0,1]],[[8412,315,0,-190.6354064941406,181.5966491699219,0,-1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,9344,[],[[]],[0,"Default",0,1]],[[8412,475,0,-190.6354064941406,181.5966491699219,0,-1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,9345,[],[[]],[0,"Default",0,1]],[[8412,665,0,-190.6354064941406,181.5966491699219,0,-1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,9346,[],[[]],[0,"Default",0,1]],[[8412,795,0,-190.6354064941406,181.5966491699219,0,-1.570796370506287,1,0.5,
0.5015479922294617,0,0,[]],124,9347,[],[[]],[0,"Default",0,1]],[[8412,985,0,-190.6354064941406,181.5966491699219,0,-1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,9348,[],[[]],[0,"Default",0,1]],[[8422,1135,0,-190.6354064941406,181.5966491699219,0,-1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,9349,[],[[]],[0,"Default",0,1]],[[8422,1325,0,-190.6354064941406,181.5966491699219,0,-1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,9350,[],[[]],[0,"Default",0,1]],[[16622,2005,0,-190.6354064941406,
181.5966491699219,0,-1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,9351,[],[[]],[0,"Default",0,1]],[[16622,2195,0,-190.6354064941406,181.5966491699219,0,-1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,9352,[],[[]],[0,"Default",0,1]],[[16652,2385,0,-190.6354064941406,181.5966491699219,0,-1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,9353,[],[[]],[0,"Default",0,1]],[[16652,2575,0,-190.6354064941406,181.5966491699219,0,-1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,
9354,[],[[]],[0,"Default",0,1]],[[18152,1025,0,-190.6354064941406,181.5966491699219,0,-1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,9355,[],[[]],[0,"Default",0,1]],[[18152,1215,0,-190.6354064941406,181.5966491699219,0,-1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,9356,[],[[]],[0,"Default",0,1]],[[2808,1150,0,227.3606109619141,216.5805511474609,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9357,[],[[]],[0,"Default",0,1]],[[2582,1150,0,227.3606109619141,216.5805511474609,0,0,1,0.5,0.5015479922294617,
0,0,[]],124,9358,[],[[]],[0,"Default",0,1]],[[2357,1150,0,227.3606109619141,216.5805511474609,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9359,[],[[]],[0,"Default",0,1]],[[2582,1150,0,227.3606109619141,216.5805511474609,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9360,[],[[]],[0,"Default",0,1]],[[2131,1150,0,227.3606109619141,216.5805511474609,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9361,[],[[]],[0,"Default",0,1]],[[1839.949462890625,1150.000732421875,0,362,217,0,0,1,0.5,0.5015479922294617,0,0,[]],124,
9362,[],[[]],[0,"Default",0,1]],[[4964,1148,0,245.9676055908203,234.3053588867188,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9363,[],[[]],[0,"Default",0,1]],[[4720,1148,0,245.9676055908203,234.3053588867188,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9364,[],[[]],[0,"Default",0,1]],[[4477,1148,0,245.9676055908203,234.3053588867188,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9365,[],[[]],[0,"Default",0,1]],[[4231,1148,0,245.9676055908203,234.3053588867188,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9366,[],[[]],
[0,"Default",0,1]],[[5214.06640625,1147.999389648438,0,258,234,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9367,[],[[]],[0,"Default",0,1]],[[3035,1150,0,227.3606109619141,216.5805511474609,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9368,[],[[]],[0,"Default",0,1]],[[3225,1150,0,158.8653411865234,216.5805511474609,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9369,[],[[]],[0,"Default",0,1]],[[3425.98388671875,1147.999389648438,0,242,234,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9370,[],[[]],[0,"Default",0,1]],
[[3949,1148,0,319.6213684082031,233.9185028076172,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9371,[],[[]],[0,"Default",0,1]],[[3670,1148,0,245.9676055908203,234.3053588867188,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9372,[],[[]],[0,"Default",0,1]],[[128,2140,0,227.3606109619141,216.5805511474609,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9373,[],[[]],[0,"Default",0,1]],[[-98,2140,0,227.3606109619141,216.5805511474609,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9374,[],[[]],[0,"Default",0,1]],[[-98,2140,
0,227.3606109619141,216.5805511474609,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9376,[],[[]],[0,"Default",0,1]],[[2284,2138,0,245.9676055908203,234.3053588867188,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9379,[],[[]],[0,"Default",0,1]],[[2040,2138,0,245.9676055908203,234.3053588867188,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9380,[],[[]],[0,"Default",0,1]],[[1797,2138,0,245.9676055908203,234.3053588867188,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9381,[],[[]],[0,"Default",0,1]],[[1551,2138,0,245.9676055908203,
234.3053588867188,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9382,[],[[]],[0,"Default",0,1]],[[2491,2138,0,171.8667297363281,234.3053588867188,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9383,[],[[]],[0,"Default",0,1]],[[355,2140,0,227.3606109619141,216.5805511474609,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9384,[],[[]],[0,"Default",0,1]],[[545,2140,0,158.8653411865234,216.5805511474609,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9385,[],[[]],[0,"Default",0,1]],[[744,2138,0,245.9676055908203,234.3053588867188,
0,0,1,0.5,0.5015479922294617,0,0,[]],124,9386,[],[[]],[0,"Default",0,1]],[[1269,2138,0,319.6213684082031,233.9185028076172,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9387,[],[[]],[0,"Default",0,1]],[[990,2138,0,245.9676055908203,234.3053588867188,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9388,[],[[]],[0,"Default",0,1]],[[15188,1240,0,227.3606109619141,216.5805511474609,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9389,[],[[]],[0,"Default",0,1]],[[14962,1240,0,227.3606109619141,216.5805511474609,0,0,1,0.5,
0.5015479922294617,0,0,[]],124,9390,[],[[]],[0,"Default",0,1]],[[14737,1240,0,227.3606109619141,216.5805511474609,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9391,[],[[]],[0,"Default",0,1]],[[14962,1240,0,227.3606109619141,216.5805511474609,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9392,[],[[]],[0,"Default",0,1]],[[14511,1240,0,227.3606109619141,216.5805511474609,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9393,[],[[]],[0,"Default",0,1]],[[14221,1240,0,359.8988037109375,216.5805511474609,0,0,1,0.5,0.5015479922294617,
0,0,[]],124,9394,[],[[]],[0,"Default",0,1]],[[17344,1238,0,245.9676055908203,234.3053588867188,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9395,[],[[]],[0,"Default",0,1]],[[17100,1238,0,245.9676055908203,234.3053588867188,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9396,[],[[]],[0,"Default",0,1]],[[16857,1238,0,245.9676055908203,234.3053588867188,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9397,[],[[]],[0,"Default",0,1]],[[16611,1238,0,245.9676055908203,234.3053588867188,0,0,1,0.5,0.5015479922294617,0,0,[]],
124,9398,[],[[]],[0,"Default",0,1]],[[17551,1238,0,171.8667297363281,234.3053588867188,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9399,[],[[]],[0,"Default",0,1]],[[15415,1240,0,227.3606109619141,216.5805511474609,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9400,[],[[]],[0,"Default",0,1]],[[15605,1240,0,158.8653411865234,216.5805511474609,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9401,[],[[]],[0,"Default",0,1]],[[15804,1238,0,245.9676055908203,234.3053588867188,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9402,
[],[[]],[0,"Default",0,1]],[[16329,1238,0,319.6213684082031,233.9185028076172,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9403,[],[[]],[0,"Default",0,1]],[[16050,1238,0,245.9676055908203,234.3053588867188,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9404,[],[[]],[0,"Default",0,1]],[[12948,1570,0,227.3606109619141,216.5805511474609,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9405,[],[[]],[0,"Default",0,1]],[[12722,1570,0,227.3606109619141,216.5805511474609,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9406,[],[[]],
[0,"Default",0,1]],[[12497,1570,0,227.3606109619141,216.5805511474609,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9407,[],[[]],[0,"Default",0,1]],[[12722,1570,0,227.3606109619141,216.5805511474609,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9408,[],[[]],[0,"Default",0,1]],[[12271,1570,0,227.3606109619141,216.5805511474609,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9409,[],[[]],[0,"Default",0,1]],[[11981,1570,0,359.8988037109375,216.5805511474609,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9410,[],[[]],[0,"Default",
0,1]],[[10988,902,0,245.9676055908203,234.3053588867188,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9411,[],[[]],[0,"Default",0,1]],[[10744,902,0,245.9676055908203,234.3053588867188,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9412,[],[[]],[0,"Default",0,1]],[[10501,902,0,245.9676055908203,234.3053588867188,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9413,[],[[]],[0,"Default",0,1]],[[10282.048828125,902,0,191.8709259033203,234.3053588867188,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9414,[],[[]],[0,"Default",
0,1]],[[11195,902,0,171.8667297363281,234.3053588867188,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9415,[],[[]],[0,"Default",0,1]],[[13175,1570,0,227.3606109619141,216.5805511474609,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9416,[],[[]],[0,"Default",0,1]],[[13365,1570,0,158.8653411865234,216.5805511474609,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9417,[],[[]],[0,"Default",0,1]],[[13564,1568,0,245.9676055908203,234.3053588867188,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9418,[],[[]],[0,"Default",0,1]],
[[13810,1568,0,245.9676055908203,234.3053588867188,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9420,[],[[]],[0,"Default",0,1]],[[18628,1560,0,227.3606109619141,216.5805511474609,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9421,[],[[]],[0,"Default",0,1]],[[18402,1560,0,227.3606109619141,216.5805511474609,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9422,[],[[]],[0,"Default",0,1]],[[18177,1560,0,227.3606109619141,216.5805511474609,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9423,[],[[]],[0,"Default",0,1]],[[18402,
1560,0,227.3606109619141,216.5805511474609,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9424,[],[[]],[0,"Default",0,1]],[[17951,1560,0,227.3606109619141,216.5805511474609,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9425,[],[[]],[0,"Default",0,1]],[[17661,1560,0,359.8988037109375,216.5805511474609,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9426,[],[[]],[0,"Default",0,1]],[[20051,1558,0,245.9676055908203,234.3053588867188,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9430,[],[[]],[0,"Default",0,1]],[[18855,1560,
0,227.3606109619141,216.5805511474609,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9432,[],[[]],[0,"Default",0,1]],[[19045,1560,0,158.8653411865234,216.5805511474609,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9433,[],[[]],[0,"Default",0,1]],[[19244,1558,0,245.9676055908203,234.3053588867188,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9434,[],[[]],[0,"Default",0,1]],[[19769,1558,0,319.6213684082031,233.9185028076172,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9435,[],[[]],[0,"Default",0,1]],[[19490,1558,0,245.9676055908203,
234.3053588867188,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9436,[],[[]],[0,"Default",0,1]],[[6921.0498046875,1797,0,155,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6964,[],[[]],[0,"Default",2,1]],[[7042,1797,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6965,[],[[]],[0,"Default",2,1]],[[7160,1797,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6966,[],[[]],[0,"Default",2,1]],[[7278,1797,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,
6967,[],[[]],[0,"Default",2,1]],[[7393,1797,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6968,[],[[]],[0,"Default",2,1]],[[7517.09228515625,1797,0,167,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6969,[],[[]],[0,"Default",2,1]],[[7656.09228515625,1797,0,167,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6970,[],[[]],[0,"Default",2,1]],[[14740,2284,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6973,[],[[]],[0,"Default",2,1]],[[14854,2284,
0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6974,[],[[]],[0,"Default",2,1]],[[14972,2284,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6975,[],[[]],[0,"Default",2,1]],[[15090,2284,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6976,[],[[]],[0,"Default",2,1]],[[15205,2284,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6977,[],[[]],[0,"Default",2,1]],[[15316,2284,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6978,
[],[[]],[0,"Default",2,1]],[[15435,2284,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6979,[],[[]],[0,"Default",2,1]],[[15552,2284,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6980,[],[[]],[0,"Default",2,1]],[[15670,2284,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6981,[],[[]],[0,"Default",2,1]],[[3211,880,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6982,[],[[]],[0,"Default",2,1]],[[3325,880,0,141,87,0,0,1,0.5035461187362671,
0.5057471394538879,0,0,[]],23,6983,[],[[]],[0,"Default",2,1]],[[3443,880,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6984,[],[[]],[0,"Default",2,1]],[[3561,880,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6985,[],[[]],[0,"Default",2,1]],[[3676,880,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6986,[],[[]],[0,"Default",2,1]],[[3787,880,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6987,[],[[]],[0,"Default",2,1]],[[3906,880,
0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6988,[],[[]],[0,"Default",2,1]],[[217,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6989,[],[[]],[0,"Default",2,1]],[[337,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6990,[],[[]],[0,"Default",2,1]],[[454,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6991,[],[[]],[0,"Default",2,1]],[[572,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6992,[],[[]],
[0,"Default",2,1]],[[684,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6993,[],[[]],[0,"Default",2,1]],[[796,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6994,[],[[]],[0,"Default",2,1]],[[913,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6995,[],[[]],[0,"Default",2,1]],[[1033,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6996,[],[[]],[0,"Default",2,1]],[[1151,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,
0,0,[]],23,6997,[],[[]],[0,"Default",2,1]],[[1270,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6998,[],[[]],[0,"Default",2,1]],[[1390,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6999,[],[[]],[0,"Default",2,1]],[[1509,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7E3,[],[[]],[0,"Default",2,1]],[[1629,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7001,[],[[]],[0,"Default",2,1]],[[1748,2645,0,141,87,0,0,1,
0.5035461187362671,0.5057471394538879,0,0,[]],23,7002,[],[[]],[0,"Default",2,1]],[[1869,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7003,[],[[]],[0,"Default",2,1]],[[1988,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7004,[],[[]],[0,"Default",2,1]],[[2107,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7005,[],[[]],[0,"Default",2,1]],[[2228,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7006,[],[[]],[0,"Default",
2,1]],[[2349,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7007,[],[[]],[0,"Default",2,1]],[[2469,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7008,[],[[]],[0,"Default",2,1]],[[2588,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7009,[],[[]],[0,"Default",2,1]],[[2710,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7010,[],[[]],[0,"Default",2,1]],[[2832,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,
0,0,[]],23,7011,[],[[]],[0,"Default",2,1]],[[2954,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7012,[],[[]],[0,"Default",2,1]],[[3076,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7013,[],[[]],[0,"Default",2,1]],[[3195,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7014,[],[[]],[0,"Default",2,1]],[[3316,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7015,[],[[]],[0,"Default",2,1]],[[3436,2645,0,141,87,0,0,1,
0.5035461187362671,0.5057471394538879,0,0,[]],23,7016,[],[[]],[0,"Default",2,1]],[[3557,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7017,[],[[]],[0,"Default",2,1]],[[3673,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7018,[],[[]],[0,"Default",2,1]],[[3791,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7019,[],[[]],[0,"Default",2,1]],[[3913,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7020,[],[[]],[0,"Default",
2,1]],[[4034,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7021,[],[[]],[0,"Default",2,1]],[[4155,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7022,[],[[]],[0,"Default",2,1]],[[4274,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7023,[],[[]],[0,"Default",2,1]],[[4392,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7024,[],[[]],[0,"Default",2,1]],[[4514,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,
0,0,[]],23,7025,[],[[]],[0,"Default",2,1]],[[4636,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7026,[],[[]],[0,"Default",2,1]],[[2296,881,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7027,[],[[]],[0,"Default",2,1]],[[2414,881,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7028,[],[[]],[0,"Default",2,1]],[[2532,881,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7029,[],[[]],[0,"Default",2,1]],[[2647,881,0,141,87,0,0,1,0.5035461187362671,
0.5057471394538879,0,0,[]],23,7030,[],[[]],[0,"Default",2,1]],[[2758,881,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7031,[],[[]],[0,"Default",2,1]],[[2877,881,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7032,[],[[]],[0,"Default",2,1]],[[2994,881,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7033,[],[[]],[0,"Default",2,1]],[[3112,881,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7034,[],[[]],[0,"Default",2,1]],[[6894,2645,
0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7035,[],[[]],[0,"Default",2,1]],[[7012,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7036,[],[[]],[0,"Default",2,1]],[[7134,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7037,[],[[]],[0,"Default",2,1]],[[7256,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7038,[],[[]],[0,"Default",2,1]],[[7375,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7039,
[],[[]],[0,"Default",2,1]],[[7496,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7040,[],[[]],[0,"Default",2,1]],[[7613,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7041,[],[[]],[0,"Default",2,1]],[[7729,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7042,[],[[]],[0,"Default",2,1]],[[7852,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7043,[],[[]],[0,"Default",2,1]],[[7972,2645,0,141,87,0,0,1,0.5035461187362671,
0.5057471394538879,0,0,[]],23,7044,[],[[]],[0,"Default",2,1]],[[8092,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7045,[],[[]],[0,"Default",2,1]],[[8211,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7046,[],[[]],[0,"Default",2,1]],[[8331,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7047,[],[[]],[0,"Default",2,1]],[[8452,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7048,[],[[]],[0,"Default",2,1]],[[8572,
2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7049,[],[[]],[0,"Default",2,1]],[[8695,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7050,[],[[]],[0,"Default",2,1]],[[8816,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7051,[],[[]],[0,"Default",2,1]],[[8933,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7052,[],[[]],[0,"Default",2,1]],[[9049,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,
7053,[],[[]],[0,"Default",2,1]],[[9172,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7054,[],[[]],[0,"Default",2,1]],[[5179,874,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7055,[],[[]],[0,"Default",2,1]],[[5293,874,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7056,[],[[]],[0,"Default",2,1]],[[5411,874,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7057,[],[[]],[0,"Default",2,1]],[[5529,874,0,141,87,0,0,1,0.5035461187362671,
0.5057471394538879,0,0,[]],23,7058,[],[[]],[0,"Default",2,1]],[[5644,874,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7059,[],[[]],[0,"Default",2,1]],[[5755,874,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7060,[],[[]],[0,"Default",2,1]],[[5874,874,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7061,[],[[]],[0,"Default",2,1]],[[5991,874,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7062,[],[[]],[0,"Default",2,1]],[[6109,874,
0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7063,[],[[]],[0,"Default",2,1]],[[4023,880,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7064,[],[[]],[0,"Default",2,1]],[[4755,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7065,[],[[]],[0,"Default",2,1]],[[4876,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7066,[],[[]],[0,"Default",2,1]],[[4993,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7067,[],
[[]],[0,"Default",2,1]],[[5109,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7068,[],[[]],[0,"Default",2,1]],[[5232,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7069,[],[[]],[0,"Default",2,1]],[[5352,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7070,[],[[]],[0,"Default",2,1]],[[5472,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7071,[],[[]],[0,"Default",2,1]],[[5574,2645,0,141,87,0,0,1,0.5035461187362671,
0.5057471394538879,0,0,[]],23,7072,[],[[]],[0,"Default",2,1]],[[5696,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7073,[],[[]],[0,"Default",2,1]],[[5815,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7074,[],[[]],[0,"Default",2,1]],[[5936,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7075,[],[[]],[0,"Default",2,1]],[[6056,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7076,[],[[]],[0,"Default",2,1]],[[6177,
2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7077,[],[[]],[0,"Default",2,1]],[[6293,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7078,[],[[]],[0,"Default",2,1]],[[6411,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7079,[],[[]],[0,"Default",2,1]],[[6533,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7080,[],[[]],[0,"Default",2,1]],[[6654,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,
7081,[],[[]],[0,"Default",2,1]],[[6775,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7082,[],[[]],[0,"Default",2,1]],[[15750,2284,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7083,[],[[]],[0,"Default",2,1]],[[15864,2284,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7084,[],[[]],[0,"Default",2,1]],[[15982,2284,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7085,[],[[]],[0,"Default",2,1]],[[16100,2284,0,141,87,0,0,1,0.5035461187362671,
0.5057471394538879,0,0,[]],23,7086,[],[[]],[0,"Default",2,1]],[[16215,2284,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7087,[],[[]],[0,"Default",2,1]],[[16326,2284,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7088,[],[[]],[0,"Default",2,1]],[[16445,2284,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7089,[],[[]],[0,"Default",2,1]],[[16562,2284,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7090,[],[[]],[0,"Default",2,1]],[[16680,
2284,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7091,[],[[]],[0,"Default",2,1]],[[4150,875,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7092,[],[[]],[0,"Default",2,1]],[[4264,875,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7093,[],[[]],[0,"Default",2,1]],[[4382,875,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7094,[],[[]],[0,"Default",2,1]],[[4500,875,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7095,
[],[[]],[0,"Default",2,1]],[[4615,875,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7096,[],[[]],[0,"Default",2,1]],[[4726,875,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7097,[],[[]],[0,"Default",2,1]],[[4845,875,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7098,[],[[]],[0,"Default",2,1]],[[4962,875,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7099,[],[[]],[0,"Default",2,1]],[[5080,875,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,
0,0,[]],23,7100,[],[[]],[0,"Default",2,1]],[[9292,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7101,[],[[]],[0,"Default",2,1]],[[9412,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7102,[],[[]],[0,"Default",2,1]],[[9531,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7103,[],[[]],[0,"Default",2,1]],[[9651,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7104,[],[[]],[0,"Default",2,1]],[[9772,2645,0,141,87,0,0,1,
0.5035461187362671,0.5057471394538879,0,0,[]],23,7105,[],[[]],[0,"Default",2,1]],[[9892,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7106,[],[[]],[0,"Default",2,1]],[[10004,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7107,[],[[]],[0,"Default",2,1]],[[10126,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7108,[],[[]],[0,"Default",2,1]],[[11324,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7109,[],[[]],[0,"Default",
2,1]],[[11442,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7110,[],[[]],[0,"Default",2,1]],[[11564,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7111,[],[[]],[0,"Default",2,1]],[[11686,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7112,[],[[]],[0,"Default",2,1]],[[11805,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7113,[],[[]],[0,"Default",2,1]],[[11926,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,
0,0,[]],23,7114,[],[[]],[0,"Default",2,1]],[[12043,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7115,[],[[]],[0,"Default",2,1]],[[12159,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7116,[],[[]],[0,"Default",2,1]],[[12282,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7117,[],[[]],[0,"Default",2,1]],[[12402,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7118,[],[[]],[0,"Default",2,1]],[[12522,2645,0,141,87,
0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7119,[],[[]],[0,"Default",2,1]],[[12641,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7120,[],[[]],[0,"Default",2,1]],[[12761,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7121,[],[[]],[0,"Default",2,1]],[[12882,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7122,[],[[]],[0,"Default",2,1]],[[13002,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7123,[],[[]],
[0,"Default",2,1]],[[13125,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7124,[],[[]],[0,"Default",2,1]],[[13246,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7125,[],[[]],[0,"Default",2,1]],[[13363,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7126,[],[[]],[0,"Default",2,1]],[[13479,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7127,[],[[]],[0,"Default",2,1]],[[13602,2645,0,141,87,0,0,1,0.5035461187362671,
0.5057471394538879,0,0,[]],23,7128,[],[[]],[0,"Default",2,1]],[[13722,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7129,[],[[]],[0,"Default",2,1]],[[13842,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7130,[],[[]],[0,"Default",2,1]],[[13961,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7131,[],[[]],[0,"Default",2,1]],[[14081,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7132,[],[[]],[0,"Default",2,1]],[[14202,
2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7133,[],[[]],[0,"Default",2,1]],[[14322,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7134,[],[[]],[0,"Default",2,1]],[[10245,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7135,[],[[]],[0,"Default",2,1]],[[10366,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7136,[],[[]],[0,"Default",2,1]],[[10486,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],
23,7137,[],[[]],[0,"Default",2,1]],[[10607,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7138,[],[[]],[0,"Default",2,1]],[[10723,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7139,[],[[]],[0,"Default",2,1]],[[10841,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7140,[],[[]],[0,"Default",2,1]],[[10963,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7141,[],[[]],[0,"Default",2,1]],[[11084,2645,0,141,87,0,0,1,0.5035461187362671,
0.5057471394538879,0,0,[]],23,7142,[],[[]],[0,"Default",2,1]],[[11205,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7143,[],[[]],[0,"Default",2,1]],[[14851,1914,0,168,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7144,[],[[]],[0,"Default",2,1]],[[14982,1914,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7145,[],[[]],[0,"Default",2,1]],[[15100,1914,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7146,[],[[]],[0,"Default",2,1]],[[15215,
1914,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7147,[],[[]],[0,"Default",2,1]],[[15326,1914,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7148,[],[[]],[0,"Default",2,1]],[[15445,1914,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7149,[],[[]],[0,"Default",2,1]],[[15562,1914,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7150,[],[[]],[0,"Default",2,1]],[[15680,1914,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],
23,7151,[],[[]],[0,"Default",2,1]],[[15760,1914,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7152,[],[[]],[0,"Default",2,1]],[[15874,1914,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7153,[],[[]],[0,"Default",2,1]],[[15992,1914,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7154,[],[[]],[0,"Default",2,1]],[[16110,1914,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7155,[],[[]],[0,"Default",2,1]],[[16238,1914,0,167,87,0,0,1,0.5035461187362671,
0.5057471394538879,0,0,[]],23,7156,[],[[]],[0,"Default",2,1]],[[16381,1914,0,169,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7157,[],[[]],[0,"Default",2,1]],[[16509,1914,0,154,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7158,[],[[]],[0,"Default",2,1]],[[16637,1910,0,154,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7159,[],[[]],[0,"Default",2,1]],[[5380,1610,0,160,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7160,[],[[]],[0,"Default",2,1]],[[5508,
1610,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7161,[],[[]],[0,"Default",2,1]],[[5623,1610,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7162,[],[[]],[0,"Default",2,1]],[[5734,1610,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7163,[],[[]],[0,"Default",2,1]],[[5853,1610,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7164,[],[[]],[0,"Default",2,1]],[[5970,1610,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,
7165,[],[[]],[0,"Default",2,1]],[[6101.595703125,1610,0,168,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7166,[],[[]],[0,"Default",2,1]],[[-879,1860,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7167,[],[[]],[0,"Default",2,1]],[[-765,1860,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7168,[],[[]],[0,"Default",2,1]],[[-647,1860,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7169,[],[[]],[0,"Default",2,1]],[[-529,1860,0,141,87,0,0,1,
0.5035461187362671,0.5057471394538879,0,0,[]],23,7170,[],[[]],[0,"Default",2,1]],[[-414,1860,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7171,[],[[]],[0,"Default",2,1]],[[-303,1860,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7172,[],[[]],[0,"Default",2,1]],[[-184,1860,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7173,[],[[]],[0,"Default",2,1]],[[-1908,1860,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7174,[],[[]],[0,"Default",
2,1]],[[-1794,1860,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7175,[],[[]],[0,"Default",2,1]],[[-1676,1860,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7176,[],[[]],[0,"Default",2,1]],[[-1558,1860,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7177,[],[[]],[0,"Default",2,1]],[[-1443,1860,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7178,[],[[]],[0,"Default",2,1]],[[-1332,1860,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,
0,0,[]],23,7179,[],[[]],[0,"Default",2,1]],[[-1213,1860,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7180,[],[[]],[0,"Default",2,1]],[[-1096,1860,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7181,[],[[]],[0,"Default",2,1]],[[-978,1860,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7182,[],[[]],[0,"Default",2,1]],[[1089,1860,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7183,[],[[]],[0,"Default",2,1]],[[1203,1860,0,141,87,0,0,
1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7184,[],[[]],[0,"Default",2,1]],[[1321,1860,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7185,[],[[]],[0,"Default",2,1]],[[1439,1860,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7186,[],[[]],[0,"Default",2,1]],[[1554,1860,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7187,[],[[]],[0,"Default",2,1]],[[1665,1860,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7188,[],[[]],[0,"Default",
2,1]],[[1784,1860,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7189,[],[[]],[0,"Default",2,1]],[[1901,1860,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7190,[],[[]],[0,"Default",2,1]],[[2019,1860,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7191,[],[[]],[0,"Default",2,1]],[[-67,1860,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7192,[],[[]],[0,"Default",2,1]],[[60,1860,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,
0,[]],23,7193,[],[[]],[0,"Default",2,1]],[[174,1860,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7194,[],[[]],[0,"Default",2,1]],[[292,1860,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7195,[],[[]],[0,"Default",2,1]],[[410,1860,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7196,[],[[]],[0,"Default",2,1]],[[525,1860,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7197,[],[[]],[0,"Default",2,1]],[[636,1860,0,141,87,0,0,1,0.5035461187362671,
0.5057471394538879,0,0,[]],23,7198,[],[[]],[0,"Default",2,1]],[[755,1860,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7199,[],[[]],[0,"Default",2,1]],[[872,1860,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7200,[],[[]],[0,"Default",2,1]],[[990,1860,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7201,[],[[]],[0,"Default",2,1]],[[5384,1237,0,153,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7202,[],[[]],[0,"Default",2,1]],[[5508,1237,
0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7203,[],[[]],[0,"Default",2,1]],[[5623,1237,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7204,[],[[]],[0,"Default",2,1]],[[5734,1237,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7205,[],[[]],[0,"Default",2,1]],[[5853,1237,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7206,[],[[]],[0,"Default",2,1]],[[5970,1237,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7207,
[],[[]],[0,"Default",2,1]],[[6088,1237,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7208,[],[[]],[0,"Default",2,1]],[[2098,1860,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7209,[],[[]],[0,"Default",2,1]],[[2212,1860,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7210,[],[[]],[0,"Default",2,1]],[[2330,1860,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7211,[],[[]],[0,"Default",2,1]],[[2448,1860,0,141,87,0,0,1,0.5035461187362671,
0.5057471394538879,0,0,[]],23,7212,[],[[]],[0,"Default",2,1]],[[2563,1860,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7213,[],[[]],[0,"Default",2,1]],[[2674,1860,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7214,[],[[]],[0,"Default",2,1]],[[2793,1860,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7215,[],[[]],[0,"Default",2,1]],[[2910,1860,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7216,[],[[]],[0,"Default",2,1]],[[3028,
1860,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7217,[],[[]],[0,"Default",2,1]],[[7941,1430,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7218,[],[[]],[0,"Default",2,1]],[[8055,1430,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7219,[],[[]],[0,"Default",2,1]],[[8173,1430,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7220,[],[[]],[0,"Default",2,1]],[[8291,1430,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,
7221,[],[[]],[0,"Default",2,1]],[[8406,1430,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7222,[],[[]],[0,"Default",2,1]],[[8517,1430,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7223,[],[[]],[0,"Default",2,1]],[[8636,1430,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7224,[],[[]],[0,"Default",2,1]],[[6912,1431,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7225,[],[[]],[0,"Default",2,1]],[[7026,1431,0,141,87,0,0,1,0.5035461187362671,
0.5057471394538879,0,0,[]],23,7226,[],[[]],[0,"Default",2,1]],[[7144,1431,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7227,[],[[]],[0,"Default",2,1]],[[7262,1431,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7228,[],[[]],[0,"Default",2,1]],[[7377,1431,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7229,[],[[]],[0,"Default",2,1]],[[7488,1431,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7230,[],[[]],[0,"Default",2,1]],[[7607,
1431,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7231,[],[[]],[0,"Default",2,1]],[[7724,1431,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7232,[],[[]],[0,"Default",2,1]],[[7842,1431,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7233,[],[[]],[0,"Default",2,1]],[[9779,634,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7234,[],[[]],[0,"Default",2,1]],[[9893,634,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7235,
[],[[]],[0,"Default",2,1]],[[10011,634,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7236,[],[[]],[0,"Default",2,1]],[[10129,634,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7237,[],[[]],[0,"Default",2,1]],[[10244,634,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7238,[],[[]],[0,"Default",2,1]],[[10355,634,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7239,[],[[]],[0,"Default",2,1]],[[10474,634,0,141,87,0,0,1,0.5035461187362671,
0.5057471394538879,0,0,[]],23,7240,[],[[]],[0,"Default",2,1]],[[10591,634,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7241,[],[[]],[0,"Default",2,1]],[[10709,634,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7242,[],[[]],[0,"Default",2,1]],[[8753,1430,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7243,[],[[]],[0,"Default",2,1]],[[8880,1425,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7244,[],[[]],[0,"Default",2,1]],[[8994,
1425,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7245,[],[[]],[0,"Default",2,1]],[[9112,1425,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7246,[],[[]],[0,"Default",2,1]],[[9230,1425,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7247,[],[[]],[0,"Default",2,1]],[[9152,1353,0,137,118,0,0,1,0.5036496520042419,0.5,0,0,[]],116,6929,[],[[]],[0,"Default",0,1]],[[9345,1425,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7248,[],[[]],
[0,"Default",2,1]],[[9456,1425,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7249,[],[[]],[0,"Default",2,1]],[[9575,1425,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7250,[],[[]],[0,"Default",2,1]],[[9446,1345,0,132,134,0,0,1,0.5,0.4925373196601868,0,0,[]],114,6928,[],[[]],[0,"Default",0,1]],[[9692,1425,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7251,[],[[]],[0,"Default",2,1]],[[9810,1425,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,
0,0,[]],23,7252,[],[[]],[0,"Default",2,1]],[[10788,637,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7253,[],[[]],[0,"Default",2,1]],[[10902,637,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7254,[],[[]],[0,"Default",2,1]],[[11020,637,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7255,[],[[]],[0,"Default",2,1]],[[11138,637,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7256,[],[[]],[0,"Default",2,1]],[[11253,637,0,141,87,0,0,1,
0.5035461187362671,0.5057471394538879,0,0,[]],23,7257,[],[[]],[0,"Default",2,1]],[[11364,637,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7258,[],[[]],[0,"Default",2,1]],[[11483,637,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7259,[],[[]],[0,"Default",2,1]],[[11600,637,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7260,[],[[]],[0,"Default",2,1]],[[11718,637,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7261,[],[[]],[0,"Default",
2,1]],[[1238,877,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7262,[],[[]],[0,"Default",2,1]],[[1352,877,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7263,[],[[]],[0,"Default",2,1]],[[1470,877,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7264,[],[[]],[0,"Default",2,1]],[[1588,877,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7265,[],[[]],[0,"Default",2,1]],[[1703,877,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,
[]],23,7266,[],[[]],[0,"Default",2,1]],[[1814,877,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7267,[],[[]],[0,"Default",2,1]],[[1933,877,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7268,[],[[]],[0,"Default",2,1]],[[2050,877,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7269,[],[[]],[0,"Default",2,1]],[[2168,877,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7270,[],[[]],[0,"Default",2,1]],[[7730,397,0,160,87,0,0,1,0.5035461187362671,
0.5057471394538879,0,0,[]],23,7289,[],[[]],[0,"Default",2,1]],[[7858,397,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7290,[],[[]],[0,"Default",2,1]],[[7973,397,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7291,[],[[]],[0,"Default",2,1]],[[8084,397,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7292,[],[[]],[0,"Default",2,1]],[[8203,397,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7293,[],[[]],[0,"Default",2,1]],[[8320,397,
0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7294,[],[[]],[0,"Default",2,1]],[[8438,397,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7295,[],[[]],[0,"Default",2,1]],[[7734,37,0,153,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7296,[],[[]],[0,"Default",2,1]],[[7858,37,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7297,[],[[]],[0,"Default",2,1]],[[7973,37,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7298,[],[[]],
[0,"Default",2,1]],[[8084,37,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7299,[],[[]],[0,"Default",2,1]],[[8203,37,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7300,[],[[]],[0,"Default",2,1]],[[8320,37,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7301,[],[[]],[0,"Default",2,1]],[[8438,37,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7302,[],[[]],[0,"Default",2,1]],[[7720,1067,0,160,87,0,0,1,0.5035461187362671,0.5057471394538879,
0,0,[]],23,7303,[],[[]],[0,"Default",2,1]],[[7848,1067,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7304,[],[[]],[0,"Default",2,1]],[[7963,1067,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7305,[],[[]],[0,"Default",2,1]],[[8074,1067,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7306,[],[[]],[0,"Default",2,1]],[[8193,1067,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7307,[],[[]],[0,"Default",2,1]],[[8310,1067,0,141,87,0,0,1,
0.5035461187362671,0.5057471394538879,0,0,[]],23,7308,[],[[]],[0,"Default",2,1]],[[8445.0498046875,1067,0,155,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7309,[],[[]],[0,"Default",2,1]],[[7724,707,0,153,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7310,[],[[]],[0,"Default",2,1]],[[7848,707,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7311,[],[[]],[0,"Default",2,1]],[[7963,707,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7312,[],[[]],
[0,"Default",2,1]],[[8074,707,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7313,[],[[]],[0,"Default",2,1]],[[8193,707,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7314,[],[[]],[0,"Default",2,1]],[[8310,707,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7315,[],[[]],[0,"Default",2,1]],[[8435.0498046875,707,0,155,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7316,[],[[]],[0,"Default",2,1]],[[14442,2645,0,141,87,0,0,1,0.5035461187362671,
0.5057471394538879,0,0,[]],23,7317,[],[[]],[0,"Default",2,1]],[[14562,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7318,[],[[]],[0,"Default",2,1]],[[14685,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7319,[],[[]],[0,"Default",2,1]],[[14806,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7320,[],[[]],[0,"Default",2,1]],[[14923,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7321,[],[[]],[0,"Default",2,1]],[[15039,
2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7322,[],[[]],[0,"Default",2,1]],[[15162,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7323,[],[[]],[0,"Default",2,1]],[[15282,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7324,[],[[]],[0,"Default",2,1]],[[15402,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7325,[],[[]],[0,"Default",2,1]],[[15521,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],
23,7326,[],[[]],[0,"Default",2,1]],[[15641,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7327,[],[[]],[0,"Default",2,1]],[[15762,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7328,[],[[]],[0,"Default",2,1]],[[15882,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7329,[],[[]],[0,"Default",2,1]],[[5380,2310,0,160,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7350,[],[[]],[0,"Default",2,1]],[[5508,2310,0,141,87,0,0,1,0.5035461187362671,
0.5057471394538879,0,0,[]],23,7351,[],[[]],[0,"Default",2,1]],[[5623,2310,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7352,[],[[]],[0,"Default",2,1]],[[5734,2310,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7353,[],[[]],[0,"Default",2,1]],[[5853,2310,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7354,[],[[]],[0,"Default",2,1]],[[5970,2310,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7355,[],[[]],[0,"Default",2,1]],[[6105.12060546875,
2310,0,175,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7356,[],[[]],[0,"Default",2,1]],[[5384,1937,0,153,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7357,[],[[]],[0,"Default",2,1]],[[5508,1937,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7358,[],[[]],[0,"Default",2,1]],[[5623,1937,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7359,[],[[]],[0,"Default",2,1]],[[5734,1937,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,
7360,[],[[]],[0,"Default",2,1]],[[5853,1937,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7361,[],[[]],[0,"Default",2,1]],[[5970,1937,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7362,[],[[]],[0,"Default",2,1]],[[6099.58154296875,1937,0,164,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7363,[],[[]],[0,"Default",2,1]],[[15995,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7369,[],[[]],[0,"Default",2,1]],[[16006,2645,0,141,87,0,
0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7370,[],[[]],[0,"Default",2,1]],[[16123,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7371,[],[[]],[0,"Default",2,1]],[[16239,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7372,[],[[]],[0,"Default",2,1]],[[16362,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7373,[],[[]],[0,"Default",2,1]],[[16482,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7374,[],[[]],
[0,"Default",2,1]],[[16602,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7375,[],[[]],[0,"Default",2,1]],[[16721,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7376,[],[[]],[0,"Default",2,1]],[[16841,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7377,[],[[]],[0,"Default",2,1]],[[16962,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7378,[],[[]],[0,"Default",2,1]],[[17082,2645,0,141,87,0,0,1,0.5035461187362671,
0.5057471394538879,0,0,[]],23,7379,[],[[]],[0,"Default",2,1]],[[17202,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7380,[],[[]],[0,"Default",2,1]],[[17322,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7381,[],[[]],[0,"Default",2,1]],[[17445,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7382,[],[[]],[0,"Default",2,1]],[[17566,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7383,[],[[]],[0,"Default",2,1]],[[17683,
2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7384,[],[[]],[0,"Default",2,1]],[[17799,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7385,[],[[]],[0,"Default",2,1]],[[17922,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7386,[],[[]],[0,"Default",2,1]],[[18042,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7387,[],[[]],[0,"Default",2,1]],[[18162,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],
23,7388,[],[[]],[0,"Default",2,1]],[[18281,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7389,[],[[]],[0,"Default",2,1]],[[18401,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7390,[],[[]],[0,"Default",2,1]],[[18522,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7391,[],[[]],[0,"Default",2,1]],[[18642,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7392,[],[[]],[0,"Default",2,1]],[[18766,2645,0,141,87,0,0,1,0.5035461187362671,
0.5057471394538879,0,0,[]],23,7395,[],[[]],[0,"Default",2,1]],[[18883,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7396,[],[[]],[0,"Default",2,1]],[[18999,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7397,[],[[]],[0,"Default",2,1]],[[19122,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7398,[],[[]],[0,"Default",2,1]],[[19242,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7399,[],[[]],[0,"Default",2,1]],[[19362,
2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7400,[],[[]],[0,"Default",2,1]],[[19481,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7401,[],[[]],[0,"Default",2,1]],[[19601,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7402,[],[[]],[0,"Default",2,1]],[[19722,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7403,[],[[]],[0,"Default",2,1]],[[19842,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],
23,7404,[],[[]],[0,"Default",2,1]],[[13461,1300,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7417,[],[[]],[0,"Default",2,1]],[[13575,1300,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7418,[],[[]],[0,"Default",2,1]],[[13693,1300,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7419,[],[[]],[0,"Default",2,1]],[[13811,1300,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7420,[],[[]],[0,"Default",2,1]],[[13926,1300,0,141,87,0,0,1,0.5035461187362671,
0.5057471394538879,0,0,[]],23,7421,[],[[]],[0,"Default",2,1]],[[14037,1300,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7422,[],[[]],[0,"Default",2,1]],[[14156,1300,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7423,[],[[]],[0,"Default",2,1]],[[12546,1301,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7424,[],[[]],[0,"Default",2,1]],[[12664,1301,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7425,[],[[]],[0,"Default",2,1]],[[12782,
1301,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7426,[],[[]],[0,"Default",2,1]],[[12897,1301,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7427,[],[[]],[0,"Default",2,1]],[[13008,1301,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7428,[],[[]],[0,"Default",2,1]],[[13127,1301,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7429,[],[[]],[0,"Default",2,1]],[[13244,1301,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],
23,7430,[],[[]],[0,"Default",2,1]],[[13362,1301,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7431,[],[[]],[0,"Default",2,1]],[[14273,1300,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7441,[],[[]],[0,"Default",2,1]],[[11488,1297,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7451,[],[[]],[0,"Default",2,1]],[[11602,1297,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7452,[],[[]],[0,"Default",2,1]],[[11720,1297,0,141,87,0,0,1,0.5035461187362671,
0.5057471394538879,0,0,[]],23,7453,[],[[]],[0,"Default",2,1]],[[11838,1297,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7454,[],[[]],[0,"Default",2,1]],[[11953,1297,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7455,[],[[]],[0,"Default",2,1]],[[12064,1297,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7456,[],[[]],[0,"Default",2,1]],[[12183,1297,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7457,[],[[]],[0,"Default",2,1]],[[12300,
1297,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7458,[],[[]],[0,"Default",2,1]],[[12418,1297,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7459,[],[[]],[0,"Default",2,1]],[[19201,1290,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7461,[],[[]],[0,"Default",2,1]],[[19315,1290,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7462,[],[[]],[0,"Default",2,1]],[[19433,1290,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],
23,7463,[],[[]],[0,"Default",2,1]],[[19551,1290,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7464,[],[[]],[0,"Default",2,1]],[[19666,1290,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7465,[],[[]],[0,"Default",2,1]],[[19777,1290,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7466,[],[[]],[0,"Default",2,1]],[[19896,1290,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7467,[],[[]],[0,"Default",2,1]],[[18286,1291,0,141,87,0,0,1,0.5035461187362671,
0.5057471394538879,0,0,[]],23,7468,[],[[]],[0,"Default",2,1]],[[18404,1291,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7469,[],[[]],[0,"Default",2,1]],[[18522,1291,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7470,[],[[]],[0,"Default",2,1]],[[18637,1291,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7471,[],[[]],[0,"Default",2,1]],[[18748,1291,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7472,[],[[]],[0,"Default",2,1]],[[18867,
1291,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7473,[],[[]],[0,"Default",2,1]],[[18984,1291,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7474,[],[[]],[0,"Default",2,1]],[[19102,1291,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7475,[],[[]],[0,"Default",2,1]],[[20013,1290,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7476,[],[[]],[0,"Default",2,1]],[[17228,1287,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],
23,7477,[],[[]],[0,"Default",2,1]],[[17342,1287,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7478,[],[[]],[0,"Default",2,1]],[[17460,1287,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7479,[],[[]],[0,"Default",2,1]],[[17578,1287,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7480,[],[[]],[0,"Default",2,1]],[[17693,1287,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7481,[],[[]],[0,"Default",2,1]],[[17804,1287,0,141,87,0,0,1,0.5035461187362671,
0.5057471394538879,0,0,[]],23,7482,[],[[]],[0,"Default",2,1]],[[17923,1287,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7483,[],[[]],[0,"Default",2,1]],[[18040,1287,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7484,[],[[]],[0,"Default",2,1]],[[18158,1287,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7485,[],[[]],[0,"Default",2,1]],[[15291,950,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7284,[],[[]],[0,"Default",2,1]],[[15405,
950,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7285,[],[[]],[0,"Default",2,1]],[[15523,950,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7286,[],[[]],[0,"Default",2,1]],[[15641,950,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7287,[],[[]],[0,"Default",2,1]],[[15756,950,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7288,[],[[]],[0,"Default",2,1]],[[15867,950,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7414,
[],[[]],[0,"Default",2,1]],[[15986,950,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7415,[],[[]],[0,"Default",2,1]],[[14376,951,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7432,[],[[]],[0,"Default",2,1]],[[14494,951,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7433,[],[[]],[0,"Default",2,1]],[[14612,951,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7434,[],[[]],[0,"Default",2,1]],[[14727,951,0,141,87,0,0,1,0.5035461187362671,
0.5057471394538879,0,0,[]],23,7435,[],[[]],[0,"Default",2,1]],[[14838,951,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7436,[],[[]],[0,"Default",2,1]],[[14957,951,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7437,[],[[]],[0,"Default",2,1]],[[15074,951,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7438,[],[[]],[0,"Default",2,1]],[[15192,951,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7439,[],[[]],[0,"Default",2,1]],[[17259,
944,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7440,[],[[]],[0,"Default",2,1]],[[17373,944,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7442,[],[[]],[0,"Default",2,1]],[[17491,944,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7443,[],[[]],[0,"Default",2,1]],[[17609,944,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7444,[],[[]],[0,"Default",2,1]],[[17724,944,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7445,
[],[[]],[0,"Default",2,1]],[[17835,944,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7446,[],[[]],[0,"Default",2,1]],[[17954,944,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7447,[],[[]],[0,"Default",2,1]],[[18071,944,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7448,[],[[]],[0,"Default",2,1]],[[18189,944,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7486,[],[[]],[0,"Default",2,1]],[[16103,950,0,141,87,0,0,1,0.5035461187362671,
0.5057471394538879,0,0,[]],23,7487,[],[[]],[0,"Default",2,1]],[[16230,945,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7488,[],[[]],[0,"Default",2,1]],[[16344,945,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7489,[],[[]],[0,"Default",2,1]],[[16462,945,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7490,[],[[]],[0,"Default",2,1]],[[16580,945,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7491,[],[[]],[0,"Default",2,1]],[[16695,
945,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7492,[],[[]],[0,"Default",2,1]],[[16806,945,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7493,[],[[]],[0,"Default",2,1]],[[16925,945,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7494,[],[[]],[0,"Default",2,1]],[[17042,945,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7495,[],[[]],[0,"Default",2,1]],[[17160,945,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7496,
[],[[]],[0,"Default",2,1]],[[13318,947,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7497,[],[[]],[0,"Default",2,1]],[[13432,947,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7498,[],[[]],[0,"Default",2,1]],[[13550,947,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7499,[],[[]],[0,"Default",2,1]],[[13668,947,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7500,[],[[]],[0,"Default",2,1]],[[13783,947,0,141,87,0,0,1,0.5035461187362671,
0.5057471394538879,0,0,[]],23,7501,[],[[]],[0,"Default",2,1]],[[13894,947,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7502,[],[[]],[0,"Default",2,1]],[[14013,947,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7503,[],[[]],[0,"Default",2,1]],[[14130,947,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7504,[],[[]],[0,"Default",2,1]],[[14248,947,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7505,[],[[]],[0,"Default",2,1]],[[8471.3642578125,
1707,0,273.8099060058594,216.5805511474609,0,0,1,0.5,0.5015479922294617,0,0,[]],124,6972,[],[[]],[0,"Default",0,1]],[[7928.2255859375,1707,0,273.8099060058594,216.5805511474609,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9375,[],[[]],[0,"Default",0,1]],[[8199.193359375,1707,0,273.8099060058594,216.5805511474609,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9377,[],[[]],[0,"Default",0,1]],[[8744.740234375,1707,0,273.8099060058594,216.5805511474609,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9378,[],[[]],[0,"Default",
0,1]],[[8973.5556640625,1707,0,191.3212127685547,216.5805511474609,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9419,[],[[]],[0,"Default",0,1]],[[9213.2119140625,1705,0,296.21826171875,234.3053588867188,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9427,[],[[]],[0,"Default",0,1]],[[7785.03564453125,1797,0,151,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,6971,[],[[]],[0,"Default",2,1]],[[19960,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,2882,[],[[]],[0,"Default",2,1]],
[[102,2647,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,2884,[],[[]],[0,"Default",2,1]],[[-11,2645,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,2885,[],[[]],[0,"Default",2,1]]],[]],["main",4,5485675610563422,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[-272,1682,0,103,190,0,0,1,0.5,0.5,0,0,[]],41,7330,[[0]],[[330,1500,3E3,950,1500,1E3,0,1]],[1,"Default",0,1]],[[436,1371,0,164,80,0,0,1,0.5,0.5,0,0,[]],29,7331,[],[[1],[]],[0,"Default",2,1]],[[603,1389,0,185,103,0,0,1,
0.5027027130126953,0.5048543810844421,0,0,[]],30,7332,[],[[1],[]],[0,"Default",1,1]],[[755,1370,0,127,69,0,0,1,0.5039370059967041,0.5072463750839233,0,0,[]],31,7333,[],[[1],[]],[0,"Default",2,1]],[[3771,2132,0,164,80,0,0,1,0.5,0.5,0,0,[]],29,7334,[],[[1],[]],[0,"Default",2,1]],[[3937,2144,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,7335,[],[[1],[]],[0,"Default",1,1]],[[4812,2127,0,127,69,0,0,1,0.5039370059967041,0.5072463750839233,0,0,[]],31,7336,[],[[1],[]],[0,"Default",2,1]],
[[4118,2144,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,7337,[],[[1],[]],[0,"Default",1,1]],[[4298,2144,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,7338,[],[[1],[]],[0,"Default",1,1]],[[4479,2144,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,7339,[],[[1],[]],[0,"Default",1,1]],[[4659,2144,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,7340,[],[[1],[]],[0,"Default",1,1]],[[3771,1762,0,164,80,0,0,1,0.5,0.5,0,0,[]],29,8254,
[],[[1],[]],[0,"Default",2,1]],[[3937,1774,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,8255,[],[[1],[]],[0,"Default",1,1]],[[4812,1757,0,127,69,0,0,1,0.5039370059967041,0.5072463750839233,0,0,[]],31,8256,[],[[1],[]],[0,"Default",2,1]],[[4118,1774,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,8257,[],[[1],[]],[0,"Default",1,1]],[[4298,1774,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,8258,[],[[1],[]],[0,"Default",1,1]],[[4479,1774,0,185,103,
0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,8259,[],[[1],[]],[0,"Default",1,1]],[[4659,1774,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,8260,[],[[1],[]],[0,"Default",1,1]],[[10221,2132,0,164,80,0,0,1,0.5,0.5,0,0,[]],29,8261,[],[[1],[]],[0,"Default",2,1]],[[10387,2144,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,8262,[],[[1],[]],[0,"Default",1,1]],[[11262,2127,0,127,69,0,0,1,0.5039370059967041,0.5072463750839233,0,0,[]],31,8263,[],[[1],[]],[0,"Default",
2,1]],[[10568,2144,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,8264,[],[[1],[]],[0,"Default",1,1]],[[10748,2144,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,8265,[],[[1],[]],[0,"Default",1,1]],[[10929,2144,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,8266,[],[[1],[]],[0,"Default",1,1]],[[11109,2144,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,8267,[],[[1],[]],[0,"Default",1,1]],[[10221,1622,0,164,80,0,0,1,0.5,0.5,0,0,
[]],29,8268,[],[[1],[]],[0,"Default",2,1]],[[10387,1634,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,8269,[],[[1],[]],[0,"Default",1,1]],[[11262,1617,0,127,69,0,0,1,0.5039370059967041,0.5072463750839233,0,0,[]],31,8270,[],[[1],[]],[0,"Default",2,1]],[[10568,1634,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,8271,[],[[1],[]],[0,"Default",1,1]],[[10748,1634,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,8272,[],[[1],[]],[0,"Default",1,1]],[[10929,
1634,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,8273,[],[[1],[]],[0,"Default",1,1]],[[11109,1634,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,8274,[],[[1],[]],[0,"Default",1,1]],[[13111,2122,0,164,80,0,0,1,0.5,0.5,0,0,[]],29,8275,[],[[1],[]],[0,"Default",2,1]],[[13277,2134,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,8276,[],[[1],[]],[0,"Default",1,1]],[[14152,2117,0,127,69,0,0,1,0.5039370059967041,0.5072463750839233,0,0,[]],31,8277,[],
[[1],[]],[0,"Default",2,1]],[[13458,2134,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,8278,[],[[1],[]],[0,"Default",1,1]],[[13638,2134,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,8279,[],[[1],[]],[0,"Default",1,1]],[[13819,2134,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,8280,[],[[1],[]],[0,"Default",1,1]],[[13999,2134,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,8281,[],[[1],[]],[0,"Default",1,1]],[[18671,742,0,164,
80,0,0,1,0.5,0.5,0,0,[]],29,8282,[],[[1],[]],[0,"Default",2,1]],[[18837,754,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,8283,[],[[1],[]],[0,"Default",1,1]],[[19712,737,0,127,69,0,0,1,0.5039370059967041,0.5072463750839233,0,0,[]],31,8284,[],[[1],[]],[0,"Default",2,1]],[[19018,754,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,8285,[],[[1],[]],[0,"Default",1,1]],[[19198,754,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,8286,[],[[1],[]],[0,"Default",
1,1]],[[19379,754,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,8287,[],[[1],[]],[0,"Default",1,1]],[[19559,754,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,8288,[],[[1],[]],[0,"Default",1,1]],[[17391,392,0,164,80,0,0,1,0.5,0.5,0,0,[]],29,8289,[],[[1],[]],[0,"Default",2,1]],[[17557,404,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,8290,[],[[1],[]],[0,"Default",1,1]],[[18432,387,0,127,69,0,0,1,0.5039370059967041,0.5072463750839233,0,0,[]],31,
8291,[],[[1],[]],[0,"Default",2,1]],[[17738,404,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,8292,[],[[1],[]],[0,"Default",1,1]],[[17918,404,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,8293,[],[[1],[]],[0,"Default",1,1]],[[18099,404,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,8294,[],[[1],[]],[0,"Default",1,1]],[[18279,404,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,8295,[],[[1],[]],[0,"Default",1,1]],[[17681,2152,
0,164,80,0,0,1,0.5,0.5,0,0,[]],29,8296,[],[[1],[]],[0,"Default",2,1]],[[17847,2164,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,8297,[],[[1],[]],[0,"Default",1,1]],[[18722,2147,0,127,69,0,0,1,0.5039370059967041,0.5072463750839233,0,0,[]],31,8298,[],[[1],[]],[0,"Default",2,1]],[[18028,2164,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,8299,[],[[1],[]],[0,"Default",1,1]],[[18208,2164,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,8300,[],[[1],
[]],[0,"Default",1,1]],[[18389,2164,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,8301,[],[[1],[]],[0,"Default",1,1]],[[18569,2164,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,8302,[],[[1],[]],[0,"Default",1,1]],[[456,1091,0,164,80,0,0,1,0.5,0.5,0,0,[]],29,8303,[],[[1],[]],[0,"Default",2,1]],[[623,1109,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,8304,[],[[1],[]],[0,"Default",1,1]],[[775,1090,0,127,69,0,0,1,0.5039370059967041,0.5072463750839233,
0,0,[]],31,8305,[],[[1],[]],[0,"Default",2,1]],[[456,781,0,164,80,0,0,1,0.5,0.5,0,0,[]],29,8306,[],[[1],[]],[0,"Default",2,1]],[[623,799,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,8307,[],[[1],[]],[0,"Default",1,1]],[[775,780,0,127,69,0,0,1,0.5039370059967041,0.5072463750839233,0,0,[]],31,8308,[],[[1],[]],[0,"Default",2,1]],[[466,431,0,164,80,0,0,1,0.5,0.5,0,0,[]],29,8309,[],[[1],[]],[0,"Default",2,1]],[[633,449,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,
8310,[],[[1],[]],[0,"Default",1,1]],[[785,430,0,127,69,0,0,1,0.5039370059967041,0.5072463750839233,0,0,[]],31,8311,[],[[1],[]],[0,"Default",2,1]],[[7236,1116,0,94,118,0,0,1,0.5,0.3305084705352783,0,0,[]],40,6896,[[0],[0],[0]],[[],[1,400,0,0],[]],[0,"carrot",0,1]],[[6544,1892,0,94,118,0,0,1,0.5,0.3305084705352783,0,0,[]],40,8321,[[0],[0],[0]],[[],[1,400,0,0],[]],[0,"carrot",0,1]],[[3704,402,0,94,118,0,0,1,0.5,0.3305084705352783,0,0,[]],40,8322,[[0],[0],[0]],[[],[1,400,0,0],[]],[0,"carrot",0,1]],[[2164,
1522,0,94,118,0,0,1,0.5,0.3305084705352783,0,0,[]],40,8323,[[0],[0],[0]],[[],[1,400,0,0],[]],[0,"carrot",0,1]],[[634,232,0,94,118,0,0,1,0.5,0.3305084705352783,0,0,[]],40,8324,[[0],[0],[0]],[[],[1,400,0,0],[]],[0,"carrot",0,1]],[[4306,1926,0,94,118,0,0,1,0.5,0.3305084705352783,0,0,[]],40,8325,[[0],[0],[0]],[[],[1,400,0,0],[]],[0,"carrot",0,1]],[[9179,669,0,94,118,0,0,1,0.5,0.3305084705352783,0,0,[]],40,8327,[[0],[0],[0]],[[],[1,400,0,0],[]],[0,"carrot",0,1]],[[12204,1792,0,94,118,0,0,1,0.5,0.3305084705352783,
0,0,[]],40,8328,[[0],[0],[0]],[[],[1,400,0,0],[]],[0,"carrot",0,1]],[[15796,1511,0,94,118,0,0,1,0.5,0.3305084705352783,0,0,[]],40,8329,[[0],[0],[0]],[[],[1,400,0,0],[]],[0,"carrot",0,1]],[[19213,901,0,94,118,0,0,1,0.5,0.3305084705352783,0,0,[]],40,8330,[[0],[0],[0]],[[],[1,400,0,0],[]],[0,"carrot",0,1]],[[9159,835,0,94,113,0,0,1,0.5106382966041565,0.3097345232963562,0,0,[]],46,6902,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[9179,1204,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,
0,0,[]],28,8597,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[9633,491,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8599,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[9179,249,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8600,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[8726,491,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8601,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[9579,864,0,119,117,0,0,1,0.5042017102241516,
0.3247863352298737,0,0,[]],28,8596,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[8726,931,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8598,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[4285,2499,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8602,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[4803,1607,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8603,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[4317,1314,0,119,117,
0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8604,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[3779,1616,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8605,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[4810,1992,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8606,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[3775,2001,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8607,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,
1]],[[12429,1038,0,97.98542022705078,96.33860778808594,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8608,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[13186,630,0,97.98542022705078,96.33860778808594,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8609,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[13420,783,0,97.98542022705078,96.33860778808594,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8610,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[11729,490,0,97.98542022705078,
96.33860778808594,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8611,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[12846,808,0,97.98542022705078,96.33860778808594,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8612,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[12056,813,0,97.98542022705078,96.33860778808594,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8613,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[18199,2538,0,97.98542022705078,96.33860778808594,0,
0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8614,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[18572,1951,0,97.98542022705078,96.33860778808594,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8615,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[18199,1752,0,97.98542022705078,96.33860778808594,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8616,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[17826,1951,0,97.98542022705078,96.33860778808594,0,0,1,0.5042017102241516,
0.3247863352298737,0,0,[]],28,8617,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[18572,2313,0,97.98542022705078,96.33860778808594,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8618,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[17826,2313,0,97.98542022705078,96.33860778808594,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8619,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[19216,1138,0,97.98542022705078,96.33860778808594,0,0,1,0.5042017102241516,0.3247863352298737,
0,0,[]],28,8620,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[19547,604,0,97.98542022705078,96.33860778808594,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8621,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[19216,368,0,97.98542022705078,96.33860778808594,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8622,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[18843,604,0,97.98542022705078,96.33860778808594,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8623,[[0],
[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[19552,913,0,97.98542022705078,96.33860778808594,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8624,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[18806,913,0,97.98542022705078,96.33860778808594,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8625,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[13729,2488,0,97.98542022705078,96.33860778808594,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8626,[[0],[0],[0]],[[],[1,400,
0,0]],[0,"Default",0,1]],[[14102,1901,0,97.98542022705078,96.33860778808594,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8627,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[13729,1702,0,97.98542022705078,96.33860778808594,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8628,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[13356,1901,0,97.98542022705078,96.33860778808594,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8629,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",
0,1]],[[14102,2263,0,97.98542022705078,96.33860778808594,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8630,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[13356,2263,0,97.98542022705078,96.33860778808594,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8631,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[10719,2508,0,97.98542022705078,96.33860778808594,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8632,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[11106,1995,
0,97.98542022705078,96.33860778808594,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8633,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[10747,1736,0,97.98542022705078,96.33860778808594,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8634,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[10387,1995,0,97.98542022705078,96.33860778808594,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8635,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[11062,2508,0,97.98542022705078,
96.33860778808594,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8636,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[10316,2508,0,97.98542022705078,96.33860778808594,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8637,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[418,1699,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8640,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[728,1699,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8641,
[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[439,1239,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8642,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[749,1239,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8643,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[439,919,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8644,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[749,919,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,
0,0,[]],28,8645,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[439,589,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8646,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[749,589,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8647,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[1919,549,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8648,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[2229,549,0,119,117,0,0,1,0.5042017102241516,
0.3247863352298737,0,0,[]],28,8649,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[3179,539,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8650,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[3489,539,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8651,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[4609,509,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8652,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[4919,509,0,119,117,0,
0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8653,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[7089,1269,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8654,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[7374,1264,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8655,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[6281,1121,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8656,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],
[[6764,1459,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8657,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[6952,2505,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8658,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[7262,2505,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8659,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[1172,2506,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8662,[[0],[0],[0]],[[],[1,400,
0,0]],[0,"Default",0,1]],[[1434,2506,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8663,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[1388,1719,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8664,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[1698,1719,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8665,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[8463,2491,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8666,
[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[8773,2491,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8667,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[10569,1452,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8668,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[10931,1424,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8669,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[13675,760,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,
0,0,[]],28,8670,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[13985,760,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8671,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[15554,782,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8672,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[15864,782,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8673,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[16510,777,0,119,117,0,0,1,0.5042017102241516,
0.3247863352298737,0,0,[]],28,8674,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[16820,777,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8675,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[17741,250,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8676,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[18115,245,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8677,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[14958,1678,0,119,117,
0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8678,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[15268,1678,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8679,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[16291,1704,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8680,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[16601,1704,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8681,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",
0,1]],[[13845,606,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2878,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[15731,655,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2879,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[17117,772,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2880,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[17940,133,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2881,[[0],[0],[0]],[[],
[1,400,0,0]],[0,"Default",0,1]],[[1322,2386,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2886,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[2711,2515,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2887,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[2973,2515,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2888,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[2861,2395,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],
28,2889,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[7115,2385,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2893,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[8619,2371,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2894,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]]],[]],["general",5,0x78d87d29cb95a,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[318,2460,0,142.8915710449219,142.8915710449219,0,0,1,0.5,0.5,0,0,[]],72,7342,[[0],[0]],[[]],[1,"Default",0,
1]],[[1530,1962,0,153,198,0,0,1,0.5018315315246582,0.5,0,0,[]],42,7343,[[0],[0],[0],[0],[0],[0],[0],[3],[0]],[[],[]],[0,"Default",0,1]],[[6506,1473,0,128,128,0,0,1,0,0.5,0,0,[]],118,7344,[],[[]],[50,360,0,10,16,100,0,5E3,1400,0,0,30,0,60,0,500,0,0,4]],[[4113,95,0,197,216,0,0,1,0.4974619150161743,0.5138888955116272,0,0,[]],113,7345,[],[[1,0,0,10,0,0,0,240,0],[],[]],[0,"Default",0,1]],[[12201,2126,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],32,7346,[],[[1,0,1,20,10,2,0,490,0],[1]],
[0,"Default",2,1]],[[14436,1393,0,128,128,0,0,1,0,0.5,0,0,[]],118,8250,[],[[]],[50,360,0,10,16,100,0,5E3,1400,0,0,30,0,60,0,500,0,0,4]],[[9585,997,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],32,8313,[],[[0,1,1,20,10,2,0,0,0],[1]],[0,"Default",2,1]],[[6755,2151,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],32,8314,[],[[0,1,1,20,10,2,0,0,0],[1]],[0,"Default",2,1]],[[3223,2213,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],32,8318,[],[[0,1,1,20,10,2,0,
0,0],[1]],[0,"Default",2,1]],[[14481,2096,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],32,8319,[],[[1,1,1,20,10,2,0,490,0],[1]],[0,"Default",2,1]],[[17011,2096,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],32,8320,[],[[1,1,1,20,10,2,0,490,0],[1]],[0,"Default",2,1]],[[14574,755,0,202.0203399658203,370.8516235351563,0,0,1,0.5076452493667603,0.49740931391716,0,0,[]],50,6814,[[2]],[[]],[0,"Default",2,1]],[[6300,1935,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,
0,0,[]],32,2890,[],[[0,1,1,20,10,2,0,0,0],[1]],[0,"Default",2,1]],[[6761,1613,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],32,2891,[],[[0,1,1,20,10,2,0,0,0],[1]],[0,"Default",2,1]],[[6263,1296,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],32,2892,[],[[0,1,1,20,10,2,0,0,0],[1]],[0,"Default",2,1]]],[]],["gui",6,6993041943355597,!0,[255,255,255],!0,0,0,1,!1,1,0,0,[[[-419,183,0,200,30,0,0,1,0,0,0,0,[]],68,7347,[[1]],[[1,0,4,1,1],[]],["\u041d\u0435 \u0432\u0441\u0435 \u0441\u043e\u0431\u0440\u0430\u043d\u043e",
0,"12pt Arial","rgb(0,0,0)",0,0,0,0,0]],[[-419,150,0,200,30,0,0,1,0,0,0,0,[]],68,7348,[[0]],[[1,0,4,1,1],[]],["\u0412\u043d\u0438\u043c\u0430\u043d\u0438\u0435!",0,"14pt Arial","rgb(0,0,0)",0,0,0,0,0]]],[]],["black",7,9735339571738596,!0,[0,0,0],!1,1,1,0,!1,1,0,0,[],[]]],[],[]],["18",2E4,4E3,!1,"e18lv",8955003450906811,[["b4",0,0x87fde0e652313,!0,[172,175,179],!1,0.4000000059604645,0.4000000059604645,1,!1,1,0,0,[[[-231.2035217285156,0.015625,0,20073,4120,0,0,1,-0.01297405175864697,9.746589930728078E-4,
0,0,[]],44,7506,[],[[]],[0,"Default",2,1]],[[15110,3466.879150390625,0,2048,456.3058471679688,0,0,1,0.5,0.5013405084609985,0,0,[]],43,7507,[],[[]],[0,"Default",2,1]],[[19E3,3466.879150390625,0,2048,456.3058471679688,0,0,1,0.5,0.5013405084609985,0,0,[]],43,7508,[],[[]],[0,"Default",2,1]],[[17140,3466.879150390625,0,2048,456.3058471679688,0,0,1,0.5,0.5013405084609985,0,0,[]],43,7509,[],[[]],[0,"Default",2,1]]],[]],["b3",1,6844600360353368,!0,[255,255,255],!0,0.699999988079071,1,1,!1,1,0,0,[[[9170,3466.879150390625,
0,2048,456.3058471679688,0,0,1,0.5,0.5013405084609985,0,0,[]],43,7510,[],[[]],[0,"Default",2,1]],[[1022,3469.611328125,0,2048,456.3058471679688,0,0,1,0.5,0.5013405084609985,0,0,[]],43,7511,[],[[]],[0,"Default",2,1]],[[3059,3468.611328125,0,2048,456.3058471679688,0,0,1,0.5,0.5013405084609985,0,0,[]],43,7512,[],[[]],[0,"Default",2,1]],[[-1015,3470.611328125,0,2048,456.3058471679688,0,0,1,0.5,0.5013405084609985,0,0,[]],43,7513,[],[[]],[0,"Default",2,1]],[[5096,3468.611328125,0,2048,456.3058471679688,
0,0,1,0.5,0.5013405084609985,0,0,[]],43,7514,[],[[]],[0,"Default",2,1]],[[7126,3468.611328125,0,2048,456.3058471679688,0,0,1,0.5,0.5013405084609985,0,0,[]],43,7515,[],[[]],[0,"Default",2,1]],[[11206,3468.611328125,0,2048,456.3058471679688,0,0,1,0.5,0.5013405084609985,0,0,[]],43,7524,[],[[]],[0,"Default",2,1]],[[13250,3466.879150390625,0,2048,456.3058471679688,0,0,1,0.5,0.5013405084609985,0,0,[]],43,7525,[],[[]],[0,"Default",2,1]],[[15270,3466.879150390625,0,2048,456.3058471679688,0,0,1,0.5,0.5013405084609985,
0,0,[]],43,7545,[],[[]],[0,"Default",2,1]],[[17306,3468.611328125,0,2048,456.3058471679688,0,0,1,0.5,0.5013405084609985,0,0,[]],43,7571,[],[[]],[0,"Default",2,1]],[[19350,3466.879150390625,0,2048,456.3058471679688,0,0,1,0.5,0.5013405084609985,0,0,[]],43,7578,[],[[]],[0,"Default",2,1]]],[]],["b2",2,0xc7feade40d02,!0,[255,255,255],!0,0.8500000238418579,1,1,!1,1,0,0,[[[10206,2304,0,2011,568,0,0,1,1,1,0,0,[]],112,7529,[],[[]],[0,"Default",0,1]],[[4237,2402,0,1248,446,0,0,1,1,1,0,0,[]],112,7530,[],[[]],
[0,"Default",1,1]],[[8190,2618,0,618,488,0,0,1,1,1,0,0,[]],112,7531,[],[[]],[0,"Default",3,1]],[[1940,1941,0,719,519,0,0,1,1,1,0,0,[]],112,7532,[],[[]],[0,"Default",4,1]],[[2433,1689,0,-902,237,0,0,1,1,1,0,0,[]],112,7533,[],[[]],[0,"Default",2,1]],[[11326,2338,0,2011,568,0,0,1,1,1,0,0,[]],112,7534,[],[[]],[0,"Default",0,1]],[[3289,2286,0,-902,237,0,0,1,1,1,0,0,[]],112,7536,[],[[]],[0,"Default",2,1]],[[11096,2758,0,2011,568,0,0,1,1,1,0,0,[]],112,7539,[],[[]],[0,"Default",0,1]],[[13596,2578,0,2011,
568,0,0,1,1,1,0,0,[]],112,7540,[],[[]],[0,"Default",0,1]],[[16438,1569,0,2011,568,0,0,1,1,1,0,0,[]],112,7541,[],[[]],[0,"Default",0,1]],[[5486.09033203125,1847.271484375,0,915.042724609375,3759.45703125,0,0,1,0.4909909963607788,0.5,0,0,[]],106,7527,[],[[]],[0,"Default",0,1]],[[4011.44189453125,1842.18505859375,0,1817.116455078125,3747.6298828125,0,0,1,0.5,0.5,0,0,[]],108,7528,[],[[]],[0,"Default",0,1]],[[7654.9287109375,1814.4150390625,0,728.2638549804688,3707.974853515625,0,0,1,0.501694917678833,
0.5,0,0,[]],107,7538,[],[[]],[0,"Default",0,1]],[[631,1797,0,903.9386596679688,3713.8359375,0,0,1,0.4909909963607788,0.5,0,0,[]],106,6882,[],[[]],[0,"Default",0,1]],[[9541.7138671875,1843.37109375,0,1796.571411132813,3705.257568359375,0,0,1,0.5,0.5,0,0,[]],108,6919,[],[[]],[0,"Default",0,1]],[[16137.72265625,1828.67822265625,0,722.6610717773438,3679.447998046875,0,0,1,0.501694917678833,0.5,0,0,[]],107,6920,[],[[]],[0,"Default",0,1]]],[]],["b1",3,0xeed317533c614,!0,[255,255,255],!0,1,1,1,!1,1,0,0,
[[[4675,1816,0,315,198,0,0,1,0.5047619342803955,0.5,0,0,[]],102,7561,[],[[]],[0,"Default",0,1]],[[7719,1802,0,457,247,0,0,1,0.4945295453071594,0.4939271211624146,0,0,[]],105,7564,[],[[]],[0,"Default",0,1]],[[4065,1805,0,457,247,0,0,1,0.4945295453071594,0.4939271211624146,0,0,[]],105,8362,[],[[]],[0,"Default",0,1]],[[3226,1806,0,457,247,0,0,1,0.4945295453071594,0.4939271211624146,0,0,[]],105,8363,[],[[]],[0,"Default",0,1]],[[1909,1792,0,457,247,0,0,1,0.4945295453071594,0.4939271211624146,0,0,[]],105,
8364,[],[[]],[0,"Default",0,1]],[[1119,2722,0,457,247,0,0,1,0.4945295453071594,0.4939271211624146,0,0,[]],105,8365,[],[[]],[0,"Default",0,1]],[[1434.467651367188,2760.03759765625,0,427.6138916015625,231.1173553466797,0,0,1,0.4945295453071594,0.4939271211624146,0,0,[]],105,8366,[],[[]],[0,"Default",0,1]],[[2529,2760,0,982,213,0,0,1,0.5,0.4882629215717316,0,0,[]],111,8344,[],[[]],[0,"Default",0,1]],[[5949,1830,0,982,213,0,0,1,0.5,0.4882629215717316,0,0,[]],111,7565,[],[[]],[0,"Default",0,1]],[[2715,
2707,0,684.0814819335938,364.602783203125,0,0,1,0.5013192892074585,0.4950495064258575,0,0,[]],104,7563,[],[[]],[0,"Default",0,1]],[[212,2673,0,684.0814819335938,364.602783203125,0,0,1,0.5013192892074585,0.4950495064258575,0,0,[]],104,8346,[],[[]],[0,"Default",0,1]],[[-25,3477,0,684.0814819335938,364.602783203125,0,0,1,0.5013192892074585,0.4950495064258575,0,0,[]],104,8347,[],[[]],[0,"Default",0,1]],[[8665,3477,0,684.0814819335938,364.602783203125,0,0,1,0.5013192892074585,0.4950495064258575,0,0,[]],
104,8348,[],[[]],[0,"Default",0,1]],[[4655,3457,0,684.0814819335938,364.602783203125,0,0,1,0.5013192892074585,0.4950495064258575,0,0,[]],104,8349,[],[[]],[0,"Default",0,1]],[[8955,1717,0,684.0814819335938,364.602783203125,0,0,1,0.5013192892074585,0.4950495064258575,0,0,[]],104,8350,[],[[]],[0,"Default",0,1]],[[13515,3457,0,684.0814819335938,364.602783203125,0,0,1,0.5013192892074585,0.4950495064258575,0,0,[]],104,8351,[],[[]],[0,"Default",0,1]],[[12125,1727,0,684.0814819335938,364.602783203125,0,0,
1,0.5013192892074585,0.4950495064258575,0,0,[]],104,8352,[],[[]],[0,"Default",0,1]],[[17875,1737,0,684.0814819335938,364.602783203125,0,0,1,0.5013192892074585,0.4950495064258575,0,0,[]],104,8353,[],[[]],[0,"Default",0,1]],[[13311,1751,0,600,322,0,0,1,0.5,0.4937888085842133,0,0,[]],103,7562,[],[[]],[0,"Default",0,1]],[[11551,3491,0,600,322,0,0,1,0.5,0.4937888085842133,0,0,[]],103,8354,[],[[]],[0,"Default",0,1]],[[11031,1751,0,600,322,0,0,1,0.5,0.4937888085842133,0,0,[]],103,8355,[],[[]],[0,"Default",
0,1]],[[7141,1741,0,600,322,0,0,1,0.5,0.4937888085842133,0,0,[]],103,8356,[],[[]],[0,"Default",0,1]],[[6371,1751,0,600,322,0,0,1,0.5,0.4937888085842133,0,0,[]],103,8357,[],[[]],[0,"Default",0,1]],[[6734.7578125,1780.69140625,0,527.51611328125,283.100341796875,0,0,1,0.5,0.4937888085842133,0,0,[]],103,8358,[],[[]],[0,"Default",0,1]],[[6631,3491,0,600,322,0,0,1,0.5,0.4937888085842133,0,0,[]],103,8359,[],[[]],[0,"Default",0,1]],[[5861,3501,0,600,322,0,0,1,0.5,0.4937888085842133,0,0,[]],103,8360,[],[[]],
[0,"Default",0,1]],[[6225,3531,0,527.51611328125,283.100341796875,0,0,1,0.5,0.4937888085842133,0,0,[]],103,8361,[],[[]],[0,"Default",0,1]],[[1426,1584,0,392,694,0,0,1,0.5025510191917419,0.4942363202571869,0,0,[]],101,7560,[],[[]],[0,"Default",0,1]],[[7843,2621,0,392,694,0,0,1,0.5025510191917419,0.4942363202571869,0,0,[]],101,8340,[],[[]],[0,"Default",0,1]],[[10143,1601,0,392,694,0,0,1,0.5025510191917419,0.4942363202571869,0,0,[]],101,8341,[],[[]],[0,"Default",0,1]],[[10083,3321,0,392,694,0,0,1,0.5025510191917419,
0.4942363202571869,0,0,[]],101,8342,[],[[]],[0,"Default",0,1]],[[15883,3351,0,392,694,0,0,1,0.5025510191917419,0.4942363202571869,0,0,[]],101,8343,[],[[]],[0,"Default",0,1]],[[17000.041015625,2107,0,1113,340,0,0,1,0.5004887580871582,0.5,0,0,[]],26,8043,[],[[1],[]],[0,"Default",0,1]],[[17840,2107,0,1023,340,0,0,1,0.5004887580871582,0.5,0,0,[]],22,7600,[],[[1],[]],[0,"Default",0,1]],[[7385,3467,0,1023,340,0,0,1,0.5004887580871582,0.5,0,0,[]],26,7542,[],[[1],[]],[0,"Default",0,1]],[[1449,2095,0,1023,
340,0,0,1,0.5004887580871582,0.5,0,0,[]],26,7543,[],[[1],[]],[0,"Default",0,1]],[[2438,2095,0,1023,340,0,0,1,0.5004887580871582,0.5,0,0,[]],22,7544,[],[[1],[]],[0,"Default",0,1]],[[380,3824,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,7546,[],[[1],[]],[0,"Default",0,1]],[[1380,3824,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,7547,[],[[1],[]],[0,"Default",0,1]],[[2375,3824,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,7548,[],[[1],[]],[0,"Default",0,1]],[[3357,3824,0,1023,356,0,0,
1,0.5004887580871582,0.5,0,0,[]],22,7549,[],[[1],[]],[0,"Default",0,1]],[[4339,3824,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,7550,[],[[1],[]],[0,"Default",0,1]],[[5212,3824,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,7551,[],[[1],[]],[0,"Default",0,1]],[[6047,3824,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,7552,[],[[1],[]],[0,"Default",0,1]],[[7029,3824,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,7553,[],[[1],[]],[0,"Default",0,1]],[[7902,3824,0,1023,356,0,0,1,0.5004887580871582,
0.5,0,0,[]],22,7554,[],[[1],[]],[0,"Default",0,1]],[[8881,3824,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,7555,[],[[1],[]],[0,"Default",0,1]],[[4092,3903,0,223,215,0,0,1,0.5022421479225159,0.5023255944252014,0,0,[]],34,7558,[],[[]],[0,"Default",0,1]],[[3313,3370,0,414,582,0,0,1,0.5,0.4982817769050598,0,0,[]],100,7559,[],[[]],[0,"Default",0,1]],[[7238,2854,0,132,134,0,0,1,0.5,0.4925373196601868,0,0,[]],114,7566,[],[[]],[0,"Default",0,1]],[[6950,2852,0,137,118,0,0,1,0.5036496520042419,0.5,0,
0,[]],116,7567,[],[[]],[0,"Default",0,1]],[[7570,2851,0,148,126,0,0,1,0.5,0.4920634925365448,0,0,[]],115,7568,[],[[]],[0,"Default",0,1]],[[3436,2095,0,1023,340,0,0,1,0.5004887580871582,0.5,0,0,[]],22,7569,[],[[1],[]],[0,"Default",0,1]],[[4431.49560546875,2095,0,1014,340,0,0,1,0.5004887580871582,0.5,0,0,[]],22,7570,[],[[1],[]],[0,"Default",0,1]],[[7862,2458,0,166,217,0,0,1,0.5,0.4884792566299439,0,0,[]],99,7572,[],[[]],[0,"Default",0,1]],[[10789,3824,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],
22,7573,[],[[1],[]],[0,"Default",0,1]],[[11662,3824,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,7574,[],[[1],[]],[0,"Default",0,1]],[[12641,3824,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,7575,[],[[1],[]],[0,"Default",0,1]],[[13581,3824,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,7576,[],[[1],[]],[0,"Default",0,1]],[[9821,3824,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,7577,[],[[1],[]],[0,"Default",0,1]],[[4527,2817,0,818,340,0,0,1,0.5004887580871582,0.5,0,0,[]],26,7580,
[],[[1],[]],[0,"Default",0,1]],[[-1441,3037,0,1023,340,0,0,1,0.5004887580871582,0.5,0,0,[]],26,7581,[],[[1],[]],[0,"Default",0,1]],[[-452,3037,0,1023,340,0,0,1,0.5004887580871582,0.5,0,0,[]],22,7582,[],[[1],[]],[0,"Default",0,1]],[[546,3037,0,1023,340,0,0,1,0.5004887580871582,0.5,0,0,[]],22,7583,[],[[1],[]],[0,"Default",0,1]],[[1546,3037,0,1023,340,0,0,1,0.5004887580871582,0.5,0,0,[]],22,7584,[],[[1],[]],[0,"Default",0,1]],[[4531,2457,0,811,340,0,0,1,0.5004887580871582,0.5,0,0,[]],26,7585,[],[[1],
[]],[0,"Default",0,1]],[[2565,3037,0,1023,340,0,0,1,0.5004887580871582,0.5,0,0,[]],26,7586,[],[[1],[]],[0,"Default",0,1]],[[7378.990234375,3105,0,1003,348,0,0,1,0.5004887580871582,0.5,0,0,[]],26,7587,[],[[1],[]],[0,"Default",0,1]],[[8358,3105,0,1023,348,0,0,1,0.5004887580871582,0.5,0,0,[]],22,7588,[],[[1],[]],[0,"Default",0,1]],[[9356,3101,0,1023,340,0,0,1,0.5004887580871582,0.5,0,0,[]],22,7589,[],[[1],[]],[0,"Default",0,1]],[[506,2095,0,1023,340,0,0,1,0.5004887580871582,0.5,0,0,[]],26,7592,[],[[1],
[]],[0,"Default",0,1]],[[14563,3824,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,7598,[],[[1],[]],[0,"Default",0,1]],[[15534,3824,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,7599,[],[[1],[]],[0,"Default",0,1]],[[16481,3824,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,7602,[],[[1],[]],[0,"Default",0,1]],[[17463,3824,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,7603,[],[[1],[]],[0,"Default",0,1]],[[18434,3824,0,1023,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,7604,[],[[1],[]],
[0,"Default",0,1]],[[19469.048828125,3824,0,1123,356,0,0,1,0.5004887580871582,0.5,0,0,[]],22,7605,[],[[1],[]],[0,"Default",0,1]],[[12149,2095,0,1023,340,0,0,1,0.5004887580871582,0.5,0,0,[]],26,8013,[],[[1],[]],[0,"Default",0,1]],[[13100,2095,0,947,340,0,0,1,0.5004887580871582,0.5,0,0,[]],22,8014,[],[[1],[]],[0,"Default",0,1]],[[11204,2097,0,1023,340,0,0,1,0.5004887580871582,0.5,0,0,[]],26,8015,[],[[1],[]],[0,"Default",0,1]],[[14059,2465,0,1023,340,0,0,1,0.5004887580871582,0.5,0,0,[]],26,8069,[],[[1],
[]],[0,"Default",0,1]],[[15048,2465,0,1023,340,0,0,1,0.5004887580871582,0.5,0,0,[]],22,8070,[],[[1],[]],[0,"Default",0,1]],[[16046,2465,0,1023,340,0,0,1,0.5004887580871582,0.5,0,0,[]],22,8071,[],[[1],[]],[0,"Default",0,1]],[[17046,2465,0,1023,340,0,0,1,0.5004887580871582,0.5,0,0,[]],22,8072,[],[[1],[]],[0,"Default",0,1]],[[13114,2467,0,1023,340,0,0,1,0.5004887580871582,0.5,0,0,[]],26,8073,[],[[1],[]],[0,"Default",0,1]],[[6810,2095,0,1023,340,0,0,1,0.5004887580871582,0.5,0,0,[]],26,7579,[],[[1],[]],
[0,"Default",0,1]],[[7798,2095,0,1023,340,0,0,1,0.5004887580871582,0.5,0,0,[]],22,7590,[],[[1],[]],[0,"Default",0,1]],[[8796,2095,0,1023,340,0,0,1,0.5004887580871582,0.5,0,0,[]],22,7591,[],[[1],[]],[0,"Default",0,1]],[[9796,2095,0,1023,340,0,0,1,0.5004887580871582,0.5,0,0,[]],22,7593,[],[[1],[]],[0,"Default",0,1]],[[5871.68017578125,2097,0,1007.62451171875,340,0,0,1,0.5004887580871582,0.5,0,0,[]],26,7594,[],[[1],[]],[0,"Default",0,1]],[[1011,2070,0,376.7289733886719,251.4274291992188,0,0,1,0.5010941028594971,
0.5016393661499023,0,0,[]],54,7556,[],[[]],[0,"Default",0,1]],[[7238,3503,0,376.7289733886719,251.4274291992188,0,0,1,0.5010941028594971,0.5016393661499023,0,0,[]],54,6881,[],[[]],[0,"Default",0,1]],[[2578,3061,0,208,197,0,0,1,0.5,0.5025380849838257,0,0,[]],35,7557,[],[[]],[0,"Default",0,1]],[[6212,3386,0,414,582,0,0,1,0.5,0.4982817769050598,0,0,[]],100,8331,[],[[]],[0,"Default",0,1]],[[3612,1634,0,414,582,0,0,1,0.5,0.4982817769050598,0,0,[]],100,8332,[],[[]],[0,"Default",0,1]],[[7932,1646,0,414,
582,0,0,1,0.5,0.4982817769050598,0,0,[]],100,8333,[],[[]],[0,"Default",0,1]],[[8872,2616,0,414,582,0,0,1,0.5,0.4982817769050598,0,0,[]],100,8334,[],[[]],[0,"Default",0,1]],[[2392,2596,0,414,582,0,0,1,0.5,0.4982817769050598,0,0,[]],100,8335,[],[[]],[0,"Default",0,1]],[[10572,3396,0,414,582,0,0,1,0.5,0.4982817769050598,0,0,[]],100,8336,[],[[]],[0,"Default",0,1]],[[16802,1636,0,414,582,0,0,1,0.5,0.4982817769050598,0,0,[]],100,8337,[],[[]],[0,"Default",0,1]],[[18662,3376,0,414,582,0,0,1,0.5,0.4982817769050598,
0,0,[]],100,8338,[],[[]],[0,"Default",0,1]],[[1592,1368,0,166,217,0,0,1,0.5,0.4884792566299439,0,0,[]],99,8345,[],[[]],[0,"Default",0,1]],[[7155,3176,0,315,198,0,0,1,0.5047619342803955,0.5,0,0,[]],102,8367,[],[[]],[0,"Default",0,1]],[[7353.25634765625,3211.9912109375,0,232.3007507324219,146.0176239013672,0,0,1,0.5047619342803955,0.5,0,0,[]],102,8368,[],[[]],[0,"Default",0,1]],[[13463,2232,0,232.3007507324219,146.0176239013672,0,0,1,0.5047619342803955,0.5,0,0,[]],102,8369,[],[[]],[0,"Default",0,1]],
[[13243.17578125,2220.47705078125,0,268.96435546875,169.0633087158203,0,0,1,0.5047619342803955,0.5,0,0,[]],102,8370,[],[[]],[0,"Default",0,1]],[[12973.212890625,2155.48583984375,0,308.6636047363281,259.0456848144531,0,0,1,0.5047619342803955,0.5,0,0,[]],102,8371,[],[[]],[0,"Default",0,1]],[[12883,2212,0,232.3007507324219,146.0176239013672,0,0,1,0.5047619342803955,0.5,0,0,[]],102,8372,[],[[]],[0,"Default",0,1]],[[12825,1855,0,137,118,0,0,1,0.5036496520042419,0.5,0,0,[]],116,8638,[],[[]],[0,"Default",
0,1]],[[11564,1855,0,132,134,0,0,1,0.5,0.4925373196601868,0,0,[]],114,8639,[],[[]],[0,"Default",0,1]],[[4248.84765625,2830.000244140625,0,396,388,0,0,1,0.3641703426837921,0.5009041428565979,0,0,[]],123,7898,[],[[]],[0,"Default",0,1]],[[5518.67626953125,2111.15771484375,0,475.1615295410156,389.8219299316406,0,0,1,0.3641703426837921,0.5009041428565979,0,0,[]],123,9428,[],[[]],[0,"Default",0,1]],[[10838.25390625,2140.000244140625,0,474,388,0,0,1,0.3641703426837921,0.5009041428565979,0,0,[]],123,9429,
[],[[]],[0,"Default",0,1]],[[12747,2510,0,470.5565490722656,387.5099182128906,0,0,1,0.3641703426837921,0.5009041428565979,0,0,[]],123,9431,[],[[]],[0,"Default",0,1]],[[4819.27587890625,2823.130615234375,0,452,370,0,0,1,0.7122207880020142,0.4608695507049561,0,0,[]],122,9437,[],[[]],[0,"Default",0,1]],[[2953,3048,0,526.0943603515625,402.2637329101563,0,0,1,0.7122207880020142,0.4608695507049561,0,0,[]],122,9438,[],[[]],[0,"Default",0,1]],[[9743,3128,0,526.0943603515625,402.2637329101563,0,0,1,0.7122207880020142,
0.4608695507049561,0,0,[]],122,9439,[],[[]],[0,"Default",0,1]],[[17433,2478,0,526.0943603515625,402.2637329101563,0,0,1,0.7122207880020142,0.4608695507049561,0,0,[]],122,9440,[],[[]],[0,"Default",0,1]],[[18137.1484375,2113.59130859375,0,859,371,0,0,1,0.7122207880020142,0.4608695507049561,0,0,[]],122,9441,[],[[]],[0,"Default",0,1]],[[10183,2108,0,526.0943603515625,402.2637329101563,0,0,1,0.7122207880020142,0.4608695507049561,0,0,[]],122,9442,[],[[]],[0,"Default",0,1]],[[1260.578369140625,2206,0,267.517822265625,
216.5805511474609,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9443,[],[[]],[0,"Default",0,1]],[[994.66162109375,2206,0,267.517822265625,216.5805511474609,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9444,[],[[]],[0,"Default",0,1]],[[729.921142578125,2206,0,267.517822265625,216.5805511474609,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9445,[],[[]],[0,"Default",0,1]],[[994.66162109375,2206,0,267.517822265625,216.5805511474609,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9446,[],[[]],[0,"Default",0,1]],[[464.0042114257813,
2206,0,267.517822265625,216.5805511474609,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9447,[],[[]],[0,"Default",0,1]],[[122.7834625244141,2206,0,423.4653625488281,216.5805511474609,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9448,[],[[]],[0,"Default",0,1]],[[3797.378662109375,2204,0,289.4112548828125,234.3053588867188,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9449,[],[[]],[0,"Default",0,1]],[[3510.282470703125,2204,0,289.4112548828125,234.3053588867188,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9450,[],[[]],
[0,"Default",0,1]],[[3224.36279296875,2204,0,289.4112548828125,234.3053588867188,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9451,[],[[]],[0,"Default",0,1]],[[2935.788330078125,2204,0,291.1605224609375,234.3053588867188,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9452,[],[[]],[0,"Default",0,1]],[[4040.939453125,2204,0,202.2224273681641,234.3053588867188,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9453,[],[[]],[0,"Default",0,1]],[[1527.671875,2206,0,267.517822265625,216.5805511474609,0,0,1,0.5,0.5015479922294617,
0,0,[]],124,9454,[],[[]],[0,"Default",0,1]],[[1751.230346679688,2206,0,186.9246826171875,216.5805511474609,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9455,[],[[]],[0,"Default",0,1]],[[1986.249755859375,2204,0,291.1531982421875,234.3053588867188,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9456,[],[[]],[0,"Default",0,1]],[[2603.10595703125,2204,0,376.0740051269531,233.9185028076172,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9457,[],[[]],[0,"Default",0,1]],[[2274.827880859375,2204,0,289.4112548828125,234.3053588867188,
0,0,1,0.5,0.5015479922294617,0,0,[]],124,9458,[],[[]],[0,"Default",0,1]],[[757.179443359375,3139,0,169.7368774414063,216.5805511474609,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9459,[],[[]],[0,"Default",0,1]],[[588.5184936523438,3139,0,169.7368774414063,216.5805511474609,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9460,[],[[]],[0,"Default",0,1]],[[421.28076171875,3139,0,169.7368774414063,216.5805511474609,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9461,[],[[]],[0,"Default",0,1]],[[588.5184936523438,3139,
0,169.7368774414063,216.5805511474609,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9462,[],[[]],[0,"Default",0,1]],[[252.9081573486328,3139,0,169.7368774414063,216.5805511474609,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9463,[],[[]],[0,"Default",0,1]],[[36.56660461425781,3139,0,268.6837463378906,216.5805511474609,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9464,[],[[]],[0,"Default",0,1]],[[2366.931396484375,3137,0,183.6280059814453,234.3053588867188,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9465,[],[[]],[0,
"Default",0,1]],[[2184.7490234375,3137,0,183.6280059814453,234.3053588867188,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9466,[],[[]],[0,"Default",0,1]],[[2003.277954101563,3137,0,183.6280059814453,234.3053588867188,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9467,[],[[]],[0,"Default",0,1]],[[1820.384155273438,3137,0,183.6280059814453,234.3053588867188,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9468,[],[[]],[0,"Default",0,1]],[[2522.07080078125,3137,0,128.3077239990234,234.3053588867188,0,0,1,0.5,0.5015479922294617,
0,0,[]],124,9469,[],[[]],[0,"Default",0,1]],[[926.5521240234375,3139,0,169.7368774414063,216.5805511474609,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9470,[],[[]],[0,"Default",0,1]],[[1068.882080078125,3139,0,118.6014938354492,216.5805511474609,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9471,[],[[]],[0,"Default",0,1]],[[1217.616821289063,3137,0,183.6280059814453,234.3053588867188,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9472,[],[[]],[0,"Default",0,1]],[[1609.735717773438,3137,0,238.6144866943359,233.9185028076172,
0,0,1,0.5,0.5015479922294617,0,0,[]],124,9473,[],[[]],[0,"Default",0,1]],[[1401.222412109375,3137,0,183.6280059814453,234.3053588867188,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9474,[],[[]],[0,"Default",0,1]],[[7090.9326171875,2196,0,252.3777160644531,216.5805511474609,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9475,[],[[]],[0,"Default",0,1]],[[6839.650390625,2196,0,252.3777160644531,216.5805511474609,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9476,[],[[]],[0,"Default",0,1]],[[6591.341796875,2196,0,252.3777160644531,
216.5805511474609,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9477,[],[[]],[0,"Default",0,1]],[[6839.650390625,2196,0,252.3777160644531,216.5805511474609,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9478,[],[[]],[0,"Default",0,1]],[[6340.06005859375,2196,0,252.3777160644531,216.5805511474609,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9479,[],[[]],[0,"Default",0,1]],[[6017.40771484375,2196,0,399.4994506835938,216.5805511474609,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9480,[],[[]],[0,"Default",0,1]],[[9484.802734375,
2194,0,273.0321044921875,234.3053588867188,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9481,[],[[]],[0,"Default",0,1]],[[9212.705078125,2194,0,273.0321044921875,234.3053588867188,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9482,[],[[]],[0,"Default",0,1]],[[8943.580078125,2194,0,273.0321044921875,234.3053588867188,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9483,[],[[]],[0,"Default",0,1]],[[8671.4814453125,2194,0,273.0321044921875,234.3053588867188,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9484,[],[[]],[0,"Default",
0,1]],[[9715.2685546875,2194,0,190.7776947021484,234.3053588867188,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9485,[],[[]],[0,"Default",0,1]],[[7342.21435546875,2196,0,252.3777160644531,216.5805511474609,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9486,[],[[]],[0,"Default",0,1]],[[7553.3505859375,2196,0,176.3457336425781,216.5805511474609,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9487,[],[[]],[0,"Default",0,1]],[[7774.8955078125,2194,0,273.0321044921875,234.3053588867188,0,0,1,0.5,0.5015479922294617,0,
0,[]],124,9488,[],[[]],[0,"Default",0,1]],[[8357.7509765625,2194,0,354.7901916503906,233.9185028076172,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9489,[],[[]],[0,"Default",0,1]],[[8048.48046875,2194,0,273.0321044921875,234.3053588867188,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9490,[],[[]],[0,"Default",0,1]],[[14329.2880859375,2590,0,253.8229827880859,216.5805511474609,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9491,[],[[]],[0,"Default",0,1]],[[14076.8515625,2590,0,253.8229827880859,216.5805511474609,
0,0,1,0.5,0.5015479922294617,0,0,[]],124,9492,[],[[]],[0,"Default",0,1]],[[13823.3427734375,2590.0009765625,0,262,217,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9493,[],[[]],[0,"Default",0,1]],[[14076.8515625,2590,0,253.8229827880859,216.5805511474609,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9494,[],[[]],[0,"Default",0,1]],[[13573.98828125,2590,0,253.8229827880859,216.5805511474609,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9495,[],[[]],[0,"Default",0,1]],[[13246.0361328125,2590.0009765625,0,410,217,
0,0,1,0.5,0.5015479922294617,0,0,[]],124,9496,[],[[]],[0,"Default",0,1]],[[16736.998046875,2588,0,274.5956420898438,234.3053588867188,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9497,[],[[]],[0,"Default",0,1]],[[16463.439453125,2588,0,274.5956420898438,234.3053588867188,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9498,[],[[]],[0,"Default",0,1]],[[16192.900390625,2588,0,274.5956420898438,234.3053588867188,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9499,[],[[]],[0,"Default",0,1]],[[15919.341796875,2588,0,274.5956420898438,
234.3053588867188,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9500,[],[[]],[0,"Default",0,1]],[[16968.314453125,2588,0,191.8701934814453,234.3053588867188,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9501,[],[[]],[0,"Default",0,1]],[[14581.7255859375,2590,0,253.8229827880859,216.5805511474609,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9502,[],[[]],[0,"Default",0,1]],[[15018.408203125,2587.99951171875,0,277,234,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9504,[],[[]],[0,"Default",0,1]],[[15605.1318359375,2588,
0,360,234,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9505,[],[[]],[0,"Default",0,1]],[[15292.7744140625,2588,0,274.5956420898438,234.3053588867188,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9506,[],[[]],[0,"Default",0,1]],[[6946,3210,0,191,182,0,1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,9507,[],[[]],[0,"Default",0,1]],[[6946,3020,0,191,182,0,1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,9508,[],[[]],[0,"Default",0,1]],[[6946,3570,0,191,182,0,1.570796370506287,1,0.5,0.5015479922294617,
0,0,[]],124,9509,[],[[]],[0,"Default",0,1]],[[6946,3380,0,191,182,0,1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,9510,[],[[]],[0,"Default",0,1]],[[4206,2570,0,191,182,0,1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,9511,[],[[]],[0,"Default",0,1]],[[4206,2380,0,191,182,0,1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,9512,[],[[]],[0,"Default",0,1]],[[13521,2031,0,-190.6354064941406,181.5966491699219,0,-1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,9515,[],[[]],[0,
"Default",0,1]],[[13521,2221,0,-190.6354064941406,181.5966491699219,0,-1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,9516,[],[[]],[0,"Default",0,1]],[[7841,3381,0,-190.6354064941406,181.5966491699219,0,-1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,9517,[],[[]],[0,"Default",0,1]],[[7841,3571,0,-190.6354064941406,181.5966491699219,0,-1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,9518,[],[[]],[0,"Default",0,1]],[[4861,2391,0,-190.6354064941406,181.5966491699219,0,-1.570796370506287,
1,0.5,0.5015479922294617,0,0,[]],124,9519,[],[[]],[0,"Default",0,1]],[[4861,2581,0,-190.6354064941406,181.5966491699219,0,-1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,9520,[],[[]],[0,"Default",0,1]],[[4861,2031,0,-190.6354064941406,181.5966491699219,0,-1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,9521,[],[[]],[0,"Default",0,1]],[[4861,2221,0,-190.6354064941406,181.5966491699219,0,-1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,9522,[],[[]],[0,"Default",0,1]],[[1978,1943,
0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7625,[],[[]],[0,"Default",2,1]],[[2092,1943,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7626,[],[[]],[0,"Default",2,1]],[[2210,1943,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7627,[],[[]],[0,"Default",2,1]],[[2328,1943,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7628,[],[[]],[0,"Default",2,1]],[[2443,1943,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7629,
[],[[]],[0,"Default",2,1]],[[2554,1943,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7630,[],[[]],[0,"Default",2,1]],[[2673,1943,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7631,[],[[]],[0,"Default",2,1]],[[24,3672,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,601,[],[[]],[0,"Default",2,1]],[[129,3671,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,600,[],[[]],[0,"Default",2,1]],[[228,3668,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,
0,0,[]],23,7632,[],[[]],[0,"Default",2,1]],[[337,3665,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7633,[],[[]],[0,"Default",2,1]],[[454,3665,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7634,[],[[]],[0,"Default",2,1]],[[572,3665,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7635,[],[[]],[0,"Default",2,1]],[[684,3665,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7636,[],[[]],[0,"Default",2,1]],[[796,3665,0,141,87,0,0,1,0.5035461187362671,
0.5057471394538879,0,0,[]],23,7637,[],[[]],[0,"Default",2,1]],[[913,3665,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7638,[],[[]],[0,"Default",2,1]],[[1033,3665,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7639,[],[[]],[0,"Default",2,1]],[[1151,3665,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7640,[],[[]],[0,"Default",2,1]],[[1270,3665,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7641,[],[[]],[0,"Default",2,1]],[[1390,3665,
0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7642,[],[[]],[0,"Default",2,1]],[[1509,3665,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7643,[],[[]],[0,"Default",2,1]],[[1629,3665,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7644,[],[[]],[0,"Default",2,1]],[[1748,3665,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7645,[],[[]],[0,"Default",2,1]],[[1869,3665,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7646,
[],[[]],[0,"Default",2,1]],[[1988,3665,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7647,[],[[]],[0,"Default",2,1]],[[2107,3665,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7648,[],[[]],[0,"Default",2,1]],[[2228,3665,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7649,[],[[]],[0,"Default",2,1]],[[2349,3665,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7650,[],[[]],[0,"Default",2,1]],[[2469,3665,0,141,87,0,0,1,0.5035461187362671,
0.5057471394538879,0,0,[]],23,7651,[],[[]],[0,"Default",2,1]],[[2588,3665,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7652,[],[[]],[0,"Default",2,1]],[[2710,3665,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7653,[],[[]],[0,"Default",2,1]],[[2832,3665,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7654,[],[[]],[0,"Default",2,1]],[[2954,3665,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7655,[],[[]],[0,"Default",2,1]],[[3076,
3665,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7656,[],[[]],[0,"Default",2,1]],[[3195,3665,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7657,[],[[]],[0,"Default",2,1]],[[3316,3665,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7658,[],[[]],[0,"Default",2,1]],[[3436,3665,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7659,[],[[]],[0,"Default",2,1]],[[3557,3665,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,
7660,[],[[]],[0,"Default",2,1]],[[3673,3665,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7661,[],[[]],[0,"Default",2,1]],[[3791,3665,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7662,[],[[]],[0,"Default",2,1]],[[3913,3665,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7663,[],[[]],[0,"Default",2,1]],[[4034,3665,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7664,[],[[]],[0,"Default",2,1]],[[4155,3665,0,141,87,0,0,1,0.5035461187362671,
0.5057471394538879,0,0,[]],23,7665,[],[[]],[0,"Default",2,1]],[[4274,3665,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7666,[],[[]],[0,"Default",2,1]],[[4392,3665,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7667,[],[[]],[0,"Default",2,1]],[[4514,3665,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7668,[],[[]],[0,"Default",2,1]],[[4636,3665,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7669,[],[[]],[0,"Default",2,1]],[[1058,
1942,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7670,[],[[]],[0,"Default",2,1]],[[1176,1945,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7671,[],[[]],[0,"Default",2,1]],[[1292,1945,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7672,[],[[]],[0,"Default",2,1]],[[1411,1943,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7673,[],[[]],[0,"Default",2,1]],[[1525,1943,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,
7674,[],[[]],[0,"Default",2,1]],[[1644,1943,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7675,[],[[]],[0,"Default",2,1]],[[1761,1943,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7676,[],[[]],[0,"Default",2,1]],[[1879,1943,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7677,[],[[]],[0,"Default",2,1]],[[6894,3665,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7678,[],[[]],[0,"Default",2,1]],[[7012,3665,0,141,87,0,0,1,0.5035461187362671,
0.5057471394538879,0,0,[]],23,7679,[],[[]],[0,"Default",2,1]],[[7134,3665,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7680,[],[[]],[0,"Default",2,1]],[[7256,3665,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7681,[],[[]],[0,"Default",2,1]],[[7375,3665,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7682,[],[[]],[0,"Default",2,1]],[[7496,3665,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7683,[],[[]],[0,"Default",2,1]],[[7613,
3665,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7684,[],[[]],[0,"Default",2,1]],[[7729,3665,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7685,[],[[]],[0,"Default",2,1]],[[7852,3665,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7686,[],[[]],[0,"Default",2,1]],[[8572,3665,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7692,[],[[]],[0,"Default",2,1]],[[8695,3665,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,
7693,[],[[]],[0,"Default",2,1]],[[8816,3665,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7694,[],[[]],[0,"Default",2,1]],[[8933,3665,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7695,[],[[]],[0,"Default",2,1]],[[9049,3665,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7696,[],[[]],[0,"Default",2,1]],[[9172,3665,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7697,[],[[]],[0,"Default",2,1]],[[3946,1943,0,141,87,0,0,1,0.5035461187362671,
0.5057471394538879,0,0,[]],23,7698,[],[[]],[0,"Default",2,1]],[[4060,1943,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7699,[],[[]],[0,"Default",2,1]],[[4178,1943,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7700,[],[[]],[0,"Default",2,1]],[[4296,1943,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7701,[],[[]],[0,"Default",2,1]],[[4411,1943,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7702,[],[[]],[0,"Default",2,1]],[[4522,
1943,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7703,[],[[]],[0,"Default",2,1]],[[4641,1943,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7704,[],[[]],[0,"Default",2,1]],[[4758,1943,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7705,[],[[]],[0,"Default",2,1]],[[4880.021484375,1943,0,147,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7706,[],[[]],[0,"Default",2,1]],[[2790,1943,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,
0,[]],23,7707,[],[[]],[0,"Default",2,1]],[[4755,3665,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7708,[],[[]],[0,"Default",2,1]],[[4876,3665,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7709,[],[[]],[0,"Default",2,1]],[[4993,3665,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7710,[],[[]],[0,"Default",2,1]],[[5109,3665,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7711,[],[[]],[0,"Default",2,1]],[[5232,3665,0,141,87,0,0,1,0.5035461187362671,
0.5057471394538879,0,0,[]],23,7712,[],[[]],[0,"Default",2,1]],[[5352,3665,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7713,[],[[]],[0,"Default",2,1]],[[5472,3665,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7714,[],[[]],[0,"Default",2,1]],[[5574,3665,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7715,[],[[]],[0,"Default",2,1]],[[5696,3665,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7716,[],[[]],[0,"Default",2,1]],[[5815,
3665,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7717,[],[[]],[0,"Default",2,1]],[[5936,3665,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7718,[],[[]],[0,"Default",2,1]],[[6056,3665,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7719,[],[[]],[0,"Default",2,1]],[[6177,3665,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7720,[],[[]],[0,"Default",2,1]],[[6293,3665,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,
7721,[],[[]],[0,"Default",2,1]],[[6411,3665,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7722,[],[[]],[0,"Default",2,1]],[[6533,3665,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7723,[],[[]],[0,"Default",2,1]],[[6654,3665,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7724,[],[[]],[0,"Default",2,1]],[[6775,3665,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7725,[],[[]],[0,"Default",2,1]],[[2917,1943,0,141,87,0,0,1,0.5035461187362671,
0.5057471394538879,0,0,[]],23,7735,[],[[]],[0,"Default",2,1]],[[3031,1943,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7736,[],[[]],[0,"Default",2,1]],[[3149,1943,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7737,[],[[]],[0,"Default",2,1]],[[3267,1943,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7738,[],[[]],[0,"Default",2,1]],[[3382,1943,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7739,[],[[]],[0,"Default",2,1]],[[3493,
1943,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7740,[],[[]],[0,"Default",2,1]],[[3612,1943,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7741,[],[[]],[0,"Default",2,1]],[[3729,1943,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7742,[],[[]],[0,"Default",2,1]],[[3847,1943,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7743,[],[[]],[0,"Default",2,1]],[[9292,3665,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,
7744,[],[[]],[0,"Default",2,1]],[[9412,3665,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7745,[],[[]],[0,"Default",2,1]],[[9531,3665,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7746,[],[[]],[0,"Default",2,1]],[[9651,3665,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7747,[],[[]],[0,"Default",2,1]],[[9772,3665,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7748,[],[[]],[0,"Default",2,1]],[[9892,3665,0,141,87,0,0,1,0.5035461187362671,
0.5057471394538879,0,0,[]],23,7749,[],[[]],[0,"Default",2,1]],[[10004,3665,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7750,[],[[]],[0,"Default",2,1]],[[10126,3665,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7751,[],[[]],[0,"Default",2,1]],[[11324,3665,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7752,[],[[]],[0,"Default",2,1]],[[11442,3665,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7753,[],[[]],[0,"Default",2,1]],[[11564,
3665,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7754,[],[[]],[0,"Default",2,1]],[[11686,3665,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7755,[],[[]],[0,"Default",2,1]],[[11805,3665,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7756,[],[[]],[0,"Default",2,1]],[[11926,3665,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7757,[],[[]],[0,"Default",2,1]],[[12043,3665,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],
23,7758,[],[[]],[0,"Default",2,1]],[[12159,3665,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7759,[],[[]],[0,"Default",2,1]],[[12282,3665,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7760,[],[[]],[0,"Default",2,1]],[[12402,3665,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7761,[],[[]],[0,"Default",2,1]],[[12522,3665,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7762,[],[[]],[0,"Default",2,1]],[[12641,3665,0,141,87,0,0,1,0.5035461187362671,
0.5057471394538879,0,0,[]],23,7763,[],[[]],[0,"Default",2,1]],[[12761,3665,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7764,[],[[]],[0,"Default",2,1]],[[12882,3665,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7765,[],[[]],[0,"Default",2,1]],[[13002,3665,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7766,[],[[]],[0,"Default",2,1]],[[13125,3665,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7767,[],[[]],[0,"Default",2,1]],[[13246,
3665,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7768,[],[[]],[0,"Default",2,1]],[[13363,3665,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7769,[],[[]],[0,"Default",2,1]],[[13479,3665,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7770,[],[[]],[0,"Default",2,1]],[[13602,3665,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7771,[],[[]],[0,"Default",2,1]],[[13722,3665,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],
23,7772,[],[[]],[0,"Default",2,1]],[[13842,3665,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7773,[],[[]],[0,"Default",2,1]],[[13961,3665,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7774,[],[[]],[0,"Default",2,1]],[[14081,3665,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7775,[],[[]],[0,"Default",2,1]],[[14202,3665,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7776,[],[[]],[0,"Default",2,1]],[[14322,3665,0,141,87,0,0,1,0.5035461187362671,
0.5057471394538879,0,0,[]],23,7777,[],[[]],[0,"Default",2,1]],[[10245,3665,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7778,[],[[]],[0,"Default",2,1]],[[10366,3665,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7779,[],[[]],[0,"Default",2,1]],[[10486,3665,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7780,[],[[]],[0,"Default",2,1]],[[10607,3665,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7781,[],[[]],[0,"Default",2,1]],[[10723,
3665,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7782,[],[[]],[0,"Default",2,1]],[[10841,3665,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7783,[],[[]],[0,"Default",2,1]],[[10963,3665,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7784,[],[[]],[0,"Default",2,1]],[[11084,3665,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7785,[],[[]],[0,"Default",2,1]],[[11205,3665,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],
23,7786,[],[[]],[0,"Default",2,1]],[[4180,2660,0,160,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7803,[],[[]],[0,"Default",2,1]],[[4308,2660,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7804,[],[[]],[0,"Default",2,1]],[[4423,2660,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7805,[],[[]],[0,"Default",2,1]],[[4770,2660,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7808,[],[[]],[0,"Default",2,1]],[[4888,2660,0,141,87,0,0,1,0.5035461187362671,
0.5057471394538879,0,0,[]],23,7809,[],[[]],[0,"Default",2,1]],[[-879,2880,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7810,[],[[]],[0,"Default",2,1]],[[-765,2880,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7811,[],[[]],[0,"Default",2,1]],[[-647,2880,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7812,[],[[]],[0,"Default",2,1]],[[-529,2880,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7813,[],[[]],[0,"Default",2,1]],[[-414,
2880,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7814,[],[[]],[0,"Default",2,1]],[[-303,2880,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7815,[],[[]],[0,"Default",2,1]],[[-152,2881,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7816,[],[[]],[0,"Default",2,1]],[[-1908,2880,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7817,[],[[]],[0,"Default",2,1]],[[-1794,2880,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,
7818,[],[[]],[0,"Default",2,1]],[[-1676,2880,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7819,[],[[]],[0,"Default",2,1]],[[-1558,2880,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7820,[],[[]],[0,"Default",2,1]],[[-1443,2880,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7821,[],[[]],[0,"Default",2,1]],[[-1332,2880,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7822,[],[[]],[0,"Default",2,1]],[[-1213,2880,0,141,87,0,0,1,0.5035461187362671,
0.5057471394538879,0,0,[]],23,7823,[],[[]],[0,"Default",2,1]],[[-1096,2880,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7824,[],[[]],[0,"Default",2,1]],[[-978,2880,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7825,[],[[]],[0,"Default",2,1]],[[1089,2880,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7826,[],[[]],[0,"Default",2,1]],[[1203,2880,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7827,[],[[]],[0,"Default",2,1]],[[1321,
2880,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7828,[],[[]],[0,"Default",2,1]],[[1439,2880,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7829,[],[[]],[0,"Default",2,1]],[[1554,2880,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7830,[],[[]],[0,"Default",2,1]],[[1665,2880,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7831,[],[[]],[0,"Default",2,1]],[[1784,2880,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,
7832,[],[[]],[0,"Default",2,1]],[[1901,2880,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7833,[],[[]],[0,"Default",2,1]],[[2019,2880,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7834,[],[[]],[0,"Default",2,1]],[[-51,2881,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7835,[],[[]],[0,"Default",2,1]],[[60,2880,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7836,[],[[]],[0,"Default",2,1]],[[174,2880,0,141,87,0,0,1,0.5035461187362671,
0.5057471394538879,0,0,[]],23,7837,[],[[]],[0,"Default",2,1]],[[296,2880,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7838,[],[[]],[0,"Default",2,1]],[[410,2880,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7839,[],[[]],[0,"Default",2,1]],[[525,2880,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7840,[],[[]],[0,"Default",2,1]],[[636,2880,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7841,[],[[]],[0,"Default",2,1]],[[755,2880,
0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7842,[],[[]],[0,"Default",2,1]],[[872,2880,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7843,[],[[]],[0,"Default",2,1]],[[990,2880,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7844,[],[[]],[0,"Default",2,1]],[[4184,2297,0,153,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7845,[],[[]],[0,"Default",2,1]],[[4308,2297,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7846,[],
[[]],[0,"Default",2,1]],[[4423,2297,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7847,[],[[]],[0,"Default",2,1]],[[4534,2297,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7848,[],[[]],[0,"Default",2,1]],[[4653,2297,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7849,[],[[]],[0,"Default",2,1]],[[4770,2297,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7850,[],[[]],[0,"Default",2,1]],[[4888,2297,0,141,87,0,0,1,0.5035461187362671,
0.5057471394538879,0,0,[]],23,7851,[],[[]],[0,"Default",2,1]],[[2098,2880,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7852,[],[[]],[0,"Default",2,1]],[[2212,2880,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7853,[],[[]],[0,"Default",2,1]],[[2330,2880,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7854,[],[[]],[0,"Default",2,1]],[[2448,2880,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7855,[],[[]],[0,"Default",2,1]],[[2563,
2880,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7856,[],[[]],[0,"Default",2,1]],[[2674,2880,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7857,[],[[]],[0,"Default",2,1]],[[2793,2880,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7858,[],[[]],[0,"Default",2,1]],[[2910,2880,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7859,[],[[]],[0,"Default",2,1]],[[3028,2880,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,
7860,[],[[]],[0,"Default",2,1]],[[7931,2940,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7861,[],[[]],[0,"Default",2,1]],[[8045,2940,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7862,[],[[]],[0,"Default",2,1]],[[8163,2940,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7863,[],[[]],[0,"Default",2,1]],[[8281,2940,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7864,[],[[]],[0,"Default",2,1]],[[8396,2940,0,141,87,0,0,1,0.5035461187362671,
0.5057471394538879,0,0,[]],23,7865,[],[[]],[0,"Default",2,1]],[[8507,2940,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7866,[],[[]],[0,"Default",2,1]],[[8626,2940,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7867,[],[[]],[0,"Default",2,1]],[[6902,2941,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7868,[],[[]],[0,"Default",2,1]],[[7016,2941,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7869,[],[[]],[0,"Default",2,1]],[[7134,
2941,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7870,[],[[]],[0,"Default",2,1]],[[7252,2941,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7871,[],[[]],[0,"Default",2,1]],[[7367,2941,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7872,[],[[]],[0,"Default",2,1]],[[7478,2941,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7873,[],[[]],[0,"Default",2,1]],[[7597,2941,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,
7874,[],[[]],[0,"Default",2,1]],[[7714,2941,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7875,[],[[]],[0,"Default",2,1]],[[7832,2941,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7876,[],[[]],[0,"Default",2,1]],[[8743,2940,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7886,[],[[]],[0,"Default",2,1]],[[8870,2935,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7887,[],[[]],[0,"Default",2,1]],[[8984,2935,0,141,87,0,0,1,0.5035461187362671,
0.5057471394538879,0,0,[]],23,7888,[],[[]],[0,"Default",2,1]],[[9102,2935,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7889,[],[[]],[0,"Default",2,1]],[[9220,2935,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7890,[],[[]],[0,"Default",2,1]],[[9335,2935,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7891,[],[[]],[0,"Default",2,1]],[[9446,2935,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7892,[],[[]],[0,"Default",2,1]],[[9565,
2935,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7893,[],[[]],[0,"Default",2,1]],[[9682,2935,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7894,[],[[]],[0,"Default",2,1]],[[9813.595703125,2935,0,168,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7895,[],[[]],[0,"Default",2,1]],[[5,1943,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7905,[],[[]],[0,"Default",2,1]],[[119,1943,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],
23,7906,[],[[]],[0,"Default",2,1]],[[237,1943,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7907,[],[[]],[0,"Default",2,1]],[[355,1943,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7908,[],[[]],[0,"Default",2,1]],[[470,1943,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7909,[],[[]],[0,"Default",2,1]],[[581,1943,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7910,[],[[]],[0,"Default",2,1]],[[700,1943,0,141,87,0,0,1,0.5035461187362671,
0.5057471394538879,0,0,[]],23,7911,[],[[]],[0,"Default",2,1]],[[937.0425415039062,1941,0,153,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7913,[],[[]],[0,"Default",2,1]],[[817,1943,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7912,[],[[]],[0,"Default",2,1]],[[14442,3665,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7951,[],[[]],[0,"Default",2,1]],[[14562,3665,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7952,[],[[]],[0,"Default",
2,1]],[[14685,3665,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7953,[],[[]],[0,"Default",2,1]],[[14806,3665,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7954,[],[[]],[0,"Default",2,1]],[[14923,3665,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7955,[],[[]],[0,"Default",2,1]],[[15039,3665,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7956,[],[[]],[0,"Default",2,1]],[[15162,3665,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,
0,0,[]],23,7957,[],[[]],[0,"Default",2,1]],[[15282,3665,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7958,[],[[]],[0,"Default",2,1]],[[15402,3665,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7959,[],[[]],[0,"Default",2,1]],[[15521,3665,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7960,[],[[]],[0,"Default",2,1]],[[15641,3665,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7961,[],[[]],[0,"Default",2,1]],[[15762,3665,0,141,87,
0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7962,[],[[]],[0,"Default",2,1]],[[15882,3665,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7963,[],[[]],[0,"Default",2,1]],[[15995,3665,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7978,[],[[]],[0,"Default",2,1]],[[16006,3665,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7979,[],[[]],[0,"Default",2,1]],[[16123,3665,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7980,[],[[]],
[0,"Default",2,1]],[[16239,3665,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7981,[],[[]],[0,"Default",2,1]],[[16362,3665,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7982,[],[[]],[0,"Default",2,1]],[[16482,3665,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7983,[],[[]],[0,"Default",2,1]],[[16602,3665,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7984,[],[[]],[0,"Default",2,1]],[[16721,3665,0,141,87,0,0,1,0.5035461187362671,
0.5057471394538879,0,0,[]],23,7985,[],[[]],[0,"Default",2,1]],[[16841,3665,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7986,[],[[]],[0,"Default",2,1]],[[16962,3665,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7987,[],[[]],[0,"Default",2,1]],[[17082,3665,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7988,[],[[]],[0,"Default",2,1]],[[17202,3665,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7989,[],[[]],[0,"Default",2,1]],[[17322,
3665,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7990,[],[[]],[0,"Default",2,1]],[[17445,3665,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7991,[],[[]],[0,"Default",2,1]],[[17566,3665,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7992,[],[[]],[0,"Default",2,1]],[[17683,3665,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7993,[],[[]],[0,"Default",2,1]],[[17799,3665,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],
23,7994,[],[[]],[0,"Default",2,1]],[[17922,3665,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7995,[],[[]],[0,"Default",2,1]],[[18042,3665,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7996,[],[[]],[0,"Default",2,1]],[[18162,3665,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7997,[],[[]],[0,"Default",2,1]],[[18281,3665,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7998,[],[[]],[0,"Default",2,1]],[[18401,3665,0,141,87,0,0,1,0.5035461187362671,
0.5057471394538879,0,0,[]],23,7999,[],[[]],[0,"Default",2,1]],[[18522,3665,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,8E3,[],[[]],[0,"Default",2,1]],[[18642,3665,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,8001,[],[[]],[0,"Default",2,1]],[[18766,3665,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,8002,[],[[]],[0,"Default",2,1]],[[18883,3665,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,8003,[],[[]],[0,"Default",2,1]],[[18999,
3665,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,8004,[],[[]],[0,"Default",2,1]],[[19122,3665,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,8005,[],[[]],[0,"Default",2,1]],[[19242,3665,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,8006,[],[[]],[0,"Default",2,1]],[[19362,3665,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,8007,[],[[]],[0,"Default",2,1]],[[19481,3665,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],
23,8008,[],[[]],[0,"Default",2,1]],[[19601,3665,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,8009,[],[[]],[0,"Default",2,1]],[[19722,3665,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,8010,[],[[]],[0,"Default",2,1]],[[19842,3665,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,8011,[],[[]],[0,"Default",2,1]],[[12711,1940,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,8016,[],[[]],[0,"Default",2,1]],[[12825,1940,0,141,87,0,0,1,0.5035461187362671,
0.5057471394538879,0,0,[]],23,8017,[],[[]],[0,"Default",2,1]],[[12943,1940,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,8018,[],[[]],[0,"Default",2,1]],[[13061,1940,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,8019,[],[[]],[0,"Default",2,1]],[[13176,1940,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,8020,[],[[]],[0,"Default",2,1]],[[13287,1940,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,8021,[],[[]],[0,"Default",2,1]],[[13406,
1940,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,8022,[],[[]],[0,"Default",2,1]],[[11796,1941,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,8023,[],[[]],[0,"Default",2,1]],[[11914,1941,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,8024,[],[[]],[0,"Default",2,1]],[[12032,1941,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,8025,[],[[]],[0,"Default",2,1]],[[12147,1941,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],
23,8026,[],[[]],[0,"Default",2,1]],[[12258,1941,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,8027,[],[[]],[0,"Default",2,1]],[[12377,1941,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,8028,[],[[]],[0,"Default",2,1]],[[12494,1941,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,8029,[],[[]],[0,"Default",2,1]],[[12612,1941,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,8030,[],[[]],[0,"Default",2,1]],[[13540.6240234375,1940,0,176,
87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,8031,[],[[]],[0,"Default",2,1]],[[10738,1937,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,8032,[],[[]],[0,"Default",2,1]],[[10852,1937,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,8033,[],[[]],[0,"Default",2,1]],[[10970,1937,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,8034,[],[[]],[0,"Default",2,1]],[[11088,1937,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,8035,[],
[[]],[0,"Default",2,1]],[[11203,1937,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,8036,[],[[]],[0,"Default",2,1]],[[11314,1937,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,8037,[],[[]],[0,"Default",2,1]],[[11433,1937,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,8038,[],[[]],[0,"Default",2,1]],[[11550,1937,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,8039,[],[[]],[0,"Default",2,1]],[[11668,1937,0,141,87,0,0,1,0.5035461187362671,
0.5057471394538879,0,0,[]],23,8040,[],[[]],[0,"Default",2,1]],[[17637,1950,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,8051,[],[[]],[0,"Default",2,1]],[[17755,1950,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,8052,[],[[]],[0,"Default",2,1]],[[17873,1950,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,8053,[],[[]],[0,"Default",2,1]],[[17988,1950,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,8054,[],[[]],[0,"Default",2,1]],[[18099,
1950,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,8055,[],[[]],[0,"Default",2,1]],[[18218,1950,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,8056,[],[[]],[0,"Default",2,1]],[[16579,1946,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,8060,[],[[]],[0,"Default",2,1]],[[16693,1946,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,8061,[],[[]],[0,"Default",2,1]],[[16811,1946,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],
23,8062,[],[[]],[0,"Default",2,1]],[[16929,1946,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,8063,[],[[]],[0,"Default",2,1]],[[17044,1946,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,8064,[],[[]],[0,"Default",2,1]],[[17155,1946,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,8065,[],[[]],[0,"Default",2,1]],[[17274,1946,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,8066,[],[[]],[0,"Default",2,1]],[[17391,1946,0,141,87,0,0,1,0.5035461187362671,
0.5057471394538879,0,0,[]],23,8067,[],[[]],[0,"Default",2,1]],[[17509,1946,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,8068,[],[[]],[0,"Default",2,1]],[[14621,2300,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,8074,[],[[]],[0,"Default",2,1]],[[14735,2300,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,8075,[],[[]],[0,"Default",2,1]],[[14853,2300,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,8076,[],[[]],[0,"Default",2,1]],[[14971,
2300,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,8077,[],[[]],[0,"Default",2,1]],[[15086,2300,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,8078,[],[[]],[0,"Default",2,1]],[[15197,2300,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,8079,[],[[]],[0,"Default",2,1]],[[15316,2300,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,8080,[],[[]],[0,"Default",2,1]],[[13706,2301,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],
23,8081,[],[[]],[0,"Default",2,1]],[[13824,2301,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,8082,[],[[]],[0,"Default",2,1]],[[13942,2301,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,8083,[],[[]],[0,"Default",2,1]],[[14057,2301,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,8084,[],[[]],[0,"Default",2,1]],[[14168,2301,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,8085,[],[[]],[0,"Default",2,1]],[[14287,2301,0,141,87,0,0,1,0.5035461187362671,
0.5057471394538879,0,0,[]],23,8086,[],[[]],[0,"Default",2,1]],[[14404,2301,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,8087,[],[[]],[0,"Default",2,1]],[[14522,2301,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,8088,[],[[]],[0,"Default",2,1]],[[16589,2294,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,8089,[],[[]],[0,"Default",2,1]],[[16703,2294,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,8090,[],[[]],[0,"Default",2,1]],[[16821,
2294,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,8091,[],[[]],[0,"Default",2,1]],[[16939,2294,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,8092,[],[[]],[0,"Default",2,1]],[[17054,2294,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,8093,[],[[]],[0,"Default",2,1]],[[17165,2294,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,8094,[],[[]],[0,"Default",2,1]],[[17284,2294,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],
23,8095,[],[[]],[0,"Default",2,1]],[[17401,2294,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,8096,[],[[]],[0,"Default",2,1]],[[17519,2294,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,8097,[],[[]],[0,"Default",2,1]],[[15433,2300,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,8098,[],[[]],[0,"Default",2,1]],[[15560,2295,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,8099,[],[[]],[0,"Default",2,1]],[[15674,2295,0,141,87,0,0,1,0.5035461187362671,
0.5057471394538879,0,0,[]],23,8100,[],[[]],[0,"Default",2,1]],[[15792,2295,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,8101,[],[[]],[0,"Default",2,1]],[[15910,2295,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,8102,[],[[]],[0,"Default",2,1]],[[16025,2295,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,8103,[],[[]],[0,"Default",2,1]],[[16136,2295,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,8104,[],[[]],[0,"Default",2,1]],[[16255,
2295,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,8105,[],[[]],[0,"Default",2,1]],[[16372,2295,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,8106,[],[[]],[0,"Default",2,1]],[[16490,2295,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,8107,[],[[]],[0,"Default",2,1]],[[13113,2297,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,8112,[],[[]],[0,"Default",2,1]],[[13224,2297,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],
23,8113,[],[[]],[0,"Default",2,1]],[[13343,2297,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,8114,[],[[]],[0,"Default",2,1]],[[13460,2297,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,8115,[],[[]],[0,"Default",2,1]],[[13578,2297,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,8116,[],[[]],[0,"Default",2,1]],[[7371,1935,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7595,[],[[]],[0,"Default",2,1]],[[7485,1935,0,141,87,0,0,1,0.5035461187362671,
0.5057471394538879,0,0,[]],23,7596,[],[[]],[0,"Default",2,1]],[[7603,1935,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7597,[],[[]],[0,"Default",2,1]],[[7721,1935,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7606,[],[[]],[0,"Default",2,1]],[[7836,1935,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7616,[],[[]],[0,"Default",2,1]],[[7947,1935,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7617,[],[[]],[0,"Default",2,1]],[[8066,
1935,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7618,[],[[]],[0,"Default",2,1]],[[6449,1935,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7619,[],[[]],[0,"Default",2,1]],[[6574,1935,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7620,[],[[]],[0,"Default",2,1]],[[6692,1935,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7621,[],[[]],[0,"Default",2,1]],[[6807,1935,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,
7622,[],[[]],[0,"Default",2,1]],[[6918,1935,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7623,[],[[]],[0,"Default",2,1]],[[7037,1935,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7624,[],[[]],[0,"Default",2,1]],[[7154,1935,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7726,[],[[]],[0,"Default",2,1]],[[7272,1935,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7727,[],[[]],[0,"Default",2,1]],[[9339,1935,0,141,87,0,0,1,0.5035461187362671,
0.5057471394538879,0,0,[]],23,7728,[],[[]],[0,"Default",2,1]],[[9453,1935,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7729,[],[[]],[0,"Default",2,1]],[[9571,1935,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7730,[],[[]],[0,"Default",2,1]],[[9689,1935,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7731,[],[[]],[0,"Default",2,1]],[[9804,1935,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7732,[],[[]],[0,"Default",2,1]],[[9915,
1935,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7733,[],[[]],[0,"Default",2,1]],[[10034,1935,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7734,[],[[]],[0,"Default",2,1]],[[10151,1935,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7787,[],[[]],[0,"Default",2,1]],[[10269,1935,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7788,[],[[]],[0,"Default",2,1]],[[8183,1935,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],
23,7789,[],[[]],[0,"Default",2,1]],[[8310,1935,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7790,[],[[]],[0,"Default",2,1]],[[8424,1935,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7791,[],[[]],[0,"Default",2,1]],[[8542,1935,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7792,[],[[]],[0,"Default",2,1]],[[8660,1935,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7793,[],[[]],[0,"Default",2,1]],[[8775,1935,0,141,87,0,0,1,0.5035461187362671,
0.5057471394538879,0,0,[]],23,7794,[],[[]],[0,"Default",2,1]],[[8886,1935,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7795,[],[[]],[0,"Default",2,1]],[[9005,1935,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7796,[],[[]],[0,"Default",2,1]],[[9122,1935,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7797,[],[[]],[0,"Default",2,1]],[[9240,1935,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7798,[],[[]],[0,"Default",2,1]],[[5398,
1935,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7799,[],[[]],[0,"Default",2,1]],[[5512,1935,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7800,[],[[]],[0,"Default",2,1]],[[5630,1935,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7801,[],[[]],[0,"Default",2,1]],[[5748,1935,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7802,[],[[]],[0,"Default",2,1]],[[5863,1935,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,
7877,[],[[]],[0,"Default",2,1]],[[5974,1935,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7878,[],[[]],[0,"Default",2,1]],[[6093,1935,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7879,[],[[]],[0,"Default",2,1]],[[6210,1935,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7880,[],[[]],[0,"Default",2,1]],[[6328,1935,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7881,[],[[]],[0,"Default",2,1]],[[18324.453125,1950,0,128,87,0,0,1,0.5035461187362671,
0.5057471394538879,0,0,[]],23,7601,[],[[]],[0,"Default",2,1]],[[6918,3307,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7607,[],[[]],[0,"Default",2,1]],[[7032,3307,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7608,[],[[]],[0,"Default",2,1]],[[7150,3307,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7609,[],[[]],[0,"Default",2,1]],[[7268,3307,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7610,[],[[]],[0,"Default",2,1]],[[7383,
3307,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7611,[],[[]],[0,"Default",2,1]],[[7494,3307,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7612,[],[[]],[0,"Default",2,1]],[[7613,3307,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7613,[],[[]],[0,"Default",2,1]],[[7730,3307,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7614,[],[[]],[0,"Default",2,1]],[[9230.017578125,3229,0,284.9958801269531,234.3053588867188,0,0,1,0.5,0.5015479922294617,
0,0,[]],124,7900,[],[[]],[0,"Default",0,1]],[[8949.2314453125,3229,0,284.9958801269531,234.3053588867188,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9528,[],[[]],[0,"Default",0,1]],[[8665.3125,3229,0,284.9958801269531,234.3053588867188,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9529,[],[[]],[0,"Default",0,1]],[[8339.5537109375,3229,0,370.3364868164063,233.9185028076172,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9530,[],[[]],[0,"Default",0,1]],[[8015.013671875,3229,0,284.9958801269531,234.3053588867188,0,
0,1,0.5,0.5015479922294617,0,0,[]],124,9531,[],[[]],[0,"Default",0,1]],[[7860.0849609375,3307,0,165,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7615,[],[[]],[0,"Default",2,1]],[[12018.6533203125,2224.9248046875,0,253.8229827880859,216.5805511474609,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9532,[],[[]],[0,"Default",0,1]],[[11512.6533203125,2224.9248046875,0,262,217,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9533,[],[[]],[0,"Default",0,1]],[[11765.6533203125,2224.9248046875,0,253.8229827880859,
216.5805511474609,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9534,[],[[]],[0,"Default",0,1]],[[11262.3720703125,2224.925048828125,0,254.3874359130859,216.5805511474609,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9535,[],[[]],[0,"Default",0,1]],[[12270.6533203125,2224.9248046875,0,253.8229827880859,216.5805511474609,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9536,[],[[]],[0,"Default",0,1]],[[12483.6533203125,2224.9248046875,0,177.3555908203125,216.5805511474609,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9537,
[],[[]],[0,"Default",0,1]],[[12705.6533203125,2222.9248046875,0,274.5956420898438,234.3053588867188,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9538,[],[[]],[0,"Default",0,1]],[[12648,2297,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,8108,[],[[]],[0,"Default",2,1]],[[12762,2297,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,8109,[],[[]],[0,"Default",2,1]],[[12880,2297,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,8110,[],[[]],[0,"Default",2,1]],[[12998,
2297,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,8111,[],[[]],[0,"Default",2,1]],[[14794.939453125,2590,0,177.3555908203125,216.5805511474609,0,0,1,0.5,0.5015479922294617,0,0,[]],124,9503,[],[[]],[0,"Default",0,1]],[[4633,2311,0,392,694,0,0,1,0.5025510191917419,0.4942363202571869,0,0,[]],101,8339,[],[[]],[0,"Default",0,1]],[[4534,2660,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,7806,[],[[]],[0,"Default",2,1]],[[4653,2660,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,
0,0,[]],23,7807,[],[[]],[0,"Default",2,1]],[[8014,3720,0,-190.6354064941406,181.5966491699219,0,3.139986753463745,1,0.5,0.5015479922294617,0,0,[]],124,566,[],[[]],[0,"Default",0,1]],[[8204,3720,0,-190.6354064941406,181.5966491699219,0,3.139986753463745,1,0.5,0.5015479922294617,0,0,[]],124,567,[],[[]],[0,"Default",0,1]],[[8393,3720,0,-190.6354064941406,181.5966491699219,0,3.139986753463745,1,0.5,0.5015479922294617,0,0,[]],124,568,[],[[]],[0,"Default",0,1]],[[8452,3665,0,141,87,0,0,1,0.5035461187362671,
0.5057471394538879,0,0,[]],23,7691,[],[[]],[0,"Default",2,1]],[[8402,3891,0,495.4190063476563,355.9007568359375,0,0.8286609649658203,1,0.5006518959999084,0.5009074211120605,0,0,[]],79,8012,[],[[]],[0,"Default",0,1]],[[16502,1944,0,141,87,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,573,[],[[]],[0,"Default",2,1]]],[]],["voda",4,0x65a578f8fb176,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[15291,2155,0,946.6179809570312,479.6722106933594,0,0,1,0.6384297609329224,0.5841121673583984,0,0,[]],131,574,
[],[[]],[0,"Default",0,1]],[[16112,2155,0,767.2704467773438,479.6722106933594,0,0,1,0.6384297609329224,0.5841121673583984,0,0,[]],131,575,[],[[]],[0,"Default",0,1]],[[14480,2154,0,647.6934204101562,479.6722106933594,0,0,1,0.6384297609329224,0.5841121673583984,0,0,[]],131,576,[],[[]],[0,"Default",0,1]],[[13886,2167,0,353.9912109375,438.6755065917969,0,0,1,0.481617659330368,0.5929648280143738,0,0,[]],132,614,[],[[]],[0,"Default",0,1]],[[16441,2159,0,373.6179809570313,459.6721496582031,0,0,1,0.6701754331588745,
0.5686274766921997,0,0,[]],133,615,[],[[]],[0,"Default",0,1]],[[15E3,1842,0,1960,232,0,0,1,0.5,0.5,0,0,[]],58,616,[],[[1,0,0,40,0,0,0,280,0],[]],[0,"Default",0,1]],[[13617,2304,0,2873,378,0,0,1,0,1,0,0,[]],126,619,[[0]],[],[0,6,0,0,2E3,349]],[[13822,2309,0,544.0784301757812,201.6842803955078,0,0,1,0.4173553586006165,0.3141361176967621,0,0,[]],129,620,[],[[]],[0,"Default",0,1]],[[14384,2308,0,597.1029663085938,201.6842803955078,0,0,1,0.4173553586006165,0.3141361176967621,0,0,[]],129,651,[],[[]],[0,
"Default",0,1]],[[13667,2168,0,468,540,0,-0.01137726381421089,1,0.6242299675941467,0.4703703820705414,0,0,[]],127,695,[],[[]],[0,"Default",0,1]],[[14977,2307,0,597.1029663085938,201.6842803955078,0,0,1,0.4173553586006165,0.3141361176967621,0,0,[]],129,696,[],[[]],[0,"Default",0,1]],[[15570,2306,0,597.1029663085938,201.6842803955078,0,0,1,0.4173553586006165,0.3141361176967621,0,0,[]],129,697,[],[[]],[0,"Default",0,1]],[[16164,2307,0,597.1029663085938,201.6842803955078,0,0,1,0.4173553586006165,0.3141361176967621,
0,0,[]],129,698,[],[[]],[0,"Default",0,1]],[[16388,2122,0,616,543,0,0,1,0.4340909123420715,0.4233871102333069,0,0,[]],128,699,[],[[]],[0,"Default",0,1]],[[15023,2095,0,2812,327,0,0,1,0.5,0.5,0,0,[]],52,577,[[1]],[[]],[0,"Default",0,1]]],[]],["main",5,0x57e390d33913d,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[-272,2702,0,103,190,0,0,1,0.5,0.5,0,0,[]],41,8117,[[0]],[[330,1500,3E3,950,1500,1E3,0,1]],[1,"Default",0,1]],[[3696,3381,0,164,80,0,0,1,0.5,0.5,0,0,[]],29,8118,[],[[1],[]],[0,"Default",2,1]],[[3863,
3399,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,8119,[],[[1],[]],[0,"Default",1,1]],[[4015,3380,0,127,69,0,0,1,0.5039370059967041,0.5072463750839233,0,0,[]],31,8120,[],[[1],[]],[0,"Default",2,1]],[[5491,2952,0,164,80,0,0,1,0.5,0.5,0,0,[]],29,8121,[],[[1],[]],[0,"Default",2,1]],[[5657,2964,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,8122,[],[[1],[]],[0,"Default",1,1]],[[6532,2947,0,127,69,0,0,1,0.5039370059967041,0.5072463750839233,0,0,[]],31,8123,[],[[1],
[]],[0,"Default",2,1]],[[5838,2964,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,8124,[],[[1],[]],[0,"Default",1,1]],[[6018,2964,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,8125,[],[[1],[]],[0,"Default",1,1]],[[6199,2964,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,8126,[],[[1],[]],[0,"Default",1,1]],[[6379,2964,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,8127,[],[[1],[]],[0,"Default",1,1]],[[5147.140625,2109.90234375,
0,292,501,0,-1.570796370506287,1,0.5121951103210449,0.5234375,0,0,[]],71,7899,[[4]],[[]],[0,"Default",0,1]],[[8157,3486.28125,0,370,374,0,0,1,0.5121951103210449,0.5234375,0,0,[]],71,7901,[[4]],[[]],[0,"Default",0,1]],[[10351,3072,0,164,80,0,0,1,0.5,0.5,0,0,[]],29,8374,[],[[1],[]],[0,"Default",2,1]],[[10517,3084,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,8375,[],[[1],[]],[0,"Default",1,1]],[[11392,3067,0,127,69,0,0,1,0.5039370059967041,0.5072463750839233,0,0,[]],31,8376,[],[[1],
[]],[0,"Default",2,1]],[[10698,3084,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,8377,[],[[1],[]],[0,"Default",1,1]],[[10878,3084,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,8378,[],[[1],[]],[0,"Default",1,1]],[[11059,3084,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,8379,[],[[1],[]],[0,"Default",1,1]],[[11239,3084,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,8380,[],[[1],[]],[0,"Default",1,1]],[[11901,3062,0,164,80,
0,0,1,0.5,0.5,0,0,[]],29,8381,[],[[1],[]],[0,"Default",2,1]],[[12067,3074,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,8382,[],[[1],[]],[0,"Default",1,1]],[[13121,3058,0,127,69,0,0,1,0.5039370059967041,0.5072463750839233,0,0,[]],31,8383,[],[[1],[]],[0,"Default",2,1]],[[12248,3074,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,8384,[],[[1],[]],[0,"Default",1,1]],[[12428,3074,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,8385,[],[[1],[]],[0,"Default",
1,1]],[[12609,3074,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,8386,[],[[1],[]],[0,"Default",1,1]],[[12789,3074,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,8387,[],[[1],[]],[0,"Default",1,1]],[[18661,3132,0,164,80,0,0,1,0.5,0.5,0,0,[]],29,8388,[],[[1],[]],[0,"Default",2,1]],[[18827,3144,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,8389,[],[[1],[]],[0,"Default",1,1]],[[19702,3127,0,127,69,0,0,1,0.5039370059967041,0.5072463750839233,0,0,
[]],31,8390,[],[[1],[]],[0,"Default",2,1]],[[19008,3144,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,8391,[],[[1],[]],[0,"Default",1,1]],[[19188,3144,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,8392,[],[[1],[]],[0,"Default",1,1]],[[19369,3144,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,8393,[],[[1],[]],[0,"Default",1,1]],[[19549,3144,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,8394,[],[[1],[]],[0,"Default",1,1]],[[18121,
2692,0,164,80,0,0,1,0.5,0.5,0,0,[]],29,8395,[],[[1],[]],[0,"Default",2,1]],[[18287,2704,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,8396,[],[[1],[]],[0,"Default",1,1]],[[19162,2687,0,127,69,0,0,1,0.5039370059967041,0.5072463750839233,0,0,[]],31,8397,[],[[1],[]],[0,"Default",2,1]],[[18468,2704,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,8398,[],[[1],[]],[0,"Default",1,1]],[[18648,2704,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,8399,[],
[[1],[]],[0,"Default",1,1]],[[18829,2704,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,8400,[],[[1],[]],[0,"Default",1,1]],[[19009,2704,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,8401,[],[[1],[]],[0,"Default",1,1]],[[18831,2242,0,164,80,0,0,1,0.5,0.5,0,0,[]],29,8402,[],[[1],[]],[0,"Default",2,1]],[[18997,2254,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,8403,[],[[1],[]],[0,"Default",1,1]],[[19872,2237,0,127,69,0,0,1,0.5039370059967041,0.5072463750839233,
0,0,[]],31,8404,[],[[1],[]],[0,"Default",2,1]],[[19178,2254,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,8405,[],[[1],[]],[0,"Default",1,1]],[[19358,2254,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,8406,[],[[1],[]],[0,"Default",1,1]],[[19539,2254,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,8407,[],[[1],[]],[0,"Default",1,1]],[[19719,2254,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,8408,[],[[1],[]],[0,"Default",1,1]],
[[18351,1682,0,164,80,0,0,1,0.5,0.5,0,0,[]],29,8409,[],[[1],[]],[0,"Default",2,1]],[[18517,1694,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,8410,[],[[1],[]],[0,"Default",1,1]],[[19392,1677,0,127,69,0,0,1,0.5039370059967041,0.5072463750839233,0,0,[]],31,8411,[],[[1],[]],[0,"Default",2,1]],[[18698,1694,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,8412,[],[[1],[]],[0,"Default",1,1]],[[18878,1694,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,
8413,[],[[1],[]],[0,"Default",1,1]],[[19059,1694,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,8414,[],[[1],[]],[0,"Default",1,1]],[[19239,1694,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,8415,[],[[1],[]],[0,"Default",1,1]],[[14591,1795,0,164,80,0,0,1,0.5,0.5,0,0,[]],29,8416,[],[[1],[]],[0,"Default",2,1]],[[14757,1807,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,8417,[],[[1],[]],[0,"Default",1,1]],[[15632,1790,0,127,69,0,0,1,0.5039370059967041,
0.5072463750839233,0,0,[]],31,8418,[],[[1],[]],[0,"Default",2,1]],[[14938,1807,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,8419,[],[[1],[]],[0,"Default",1,1]],[[15118,1807,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,8420,[],[[1],[]],[0,"Default",1,1]],[[15299,1807,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,8421,[],[[1],[]],[0,"Default",1,1]],[[15479,1807,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,8422,[],[[1],[]],
[0,"Default",1,1]],[[3346,3111,0,164,80,0,0,1,0.5,0.5,0,0,[]],29,8423,[],[[1],[]],[0,"Default",2,1]],[[3513,3129,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,8424,[],[[1],[]],[0,"Default",1,1]],[[3665,3110,0,127,69,0,0,1,0.5039370059967041,0.5072463750839233,0,0,[]],31,8425,[],[[1],[]],[0,"Default",2,1]],[[3576,2801,0,164,80,0,0,1,0.5,0.5,0,0,[]],29,8426,[],[[1],[]],[0,"Default",2,1]],[[3743,2819,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,8427,[],[[1],[]],
[0,"Default",1,1]],[[3895,2800,0,127,69,0,0,1,0.5039370059967041,0.5072463750839233,0,0,[]],31,8428,[],[[1],[]],[0,"Default",2,1]],[[3006,2601,0,164,80,0,0,1,0.5,0.5,0,0,[]],29,8429,[],[[1],[]],[0,"Default",2,1]],[[3173,2619,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,8430,[],[[1],[]],[0,"Default",1,1]],[[3325,2600,0,127,69,0,0,1,0.5039370059967041,0.5072463750839233,0,0,[]],31,8431,[],[[1],[]],[0,"Default",2,1]],[[5616,3331,0,164,80,0,0,1,0.5,0.5,0,0,[]],29,8432,[],[[1],[]],
[0,"Default",2,1]],[[5783,3349,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,8433,[],[[1],[]],[0,"Default",1,1]],[[5935,3330,0,127,69,0,0,1,0.5039370059967041,0.5072463750839233,0,0,[]],31,8434,[],[[1],[]],[0,"Default",2,1]],[[5006,1681,0,164,80,0,0,1,0.5,0.5,0,0,[]],29,8435,[],[[1],[]],[0,"Default",2,1]],[[5173,1699,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,8436,[],[[1],[]],[0,"Default",1,1]],[[5325,1680,0,127,69,0,0,1,0.5039370059967041,0.5072463750839233,
0,0,[]],31,8437,[],[[1],[]],[0,"Default",2,1]],[[13716,1774,0,164,80,0,0,1,0.5,0.5,0,0,[]],29,8438,[],[[1],[]],[0,"Default",2,1]],[[13883,1792,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,8439,[],[[1],[]],[0,"Default",1,1]],[[14035,1773,0,127,69,0,0,1,0.5039370059967041,0.5072463750839233,0,0,[]],31,8440,[],[[1],[]],[0,"Default",2,1]],[[16156,1794,0,164,80,0,0,1,0.5,0.5,0,0,[]],29,8441,[],[[1],[]],[0,"Default",2,1]],[[16323,1812,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,
0,0,[]],30,8442,[],[[1],[]],[0,"Default",1,1]],[[16475,1793,0,127,69,0,0,1,0.5039370059967041,0.5072463750839233,0,0,[]],31,8443,[],[[1],[]],[0,"Default",2,1]],[[17436,3361,0,164,80,0,0,1,0.5,0.5,0,0,[]],29,8444,[],[[1],[]],[0,"Default",2,1]],[[17603,3379,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,8445,[],[[1],[]],[0,"Default",1,1]],[[17755,3360,0,127,69,0,0,1,0.5039370059967041,0.5072463750839233,0,0,[]],31,8446,[],[[1],[]],[0,"Default",2,1]],[[739,2725,0,94,118,0,0,1,0.5,0.3305084705352783,
0,0,[]],40,7535,[[0],[0],[0]],[[],[1,400,0,0],[]],[0,"carrot",0,1]],[[1904,2462,0,94,118,0,0,1,0.5,0.3305084705352783,0,0,[]],40,8450,[[0],[0],[0]],[[],[1,400,0,0],[]],[0,"carrot",0,1]],[[5181,2468,0,94,118,0,0,1,0.5,0.3305084705352783,0,0,[]],40,8451,[[0],[0],[0]],[[],[1,400,0,0],[]],[0,"carrot",0,1]],[[9058,3516,0,94,118,0,0,1,0.5,0.3305084705352783,0,0,[]],40,8452,[[0],[0],[0]],[[],[1,400,0,0],[]],[0,"carrot",0,1]],[[12459,2744,0,94,118,0,0,1,0.5,0.3305084705352783,0,0,[]],40,8453,[[0],[0],[0]],
[[],[1,400,0,0],[]],[0,"carrot",0,1]],[[17262,1767,0,94,118,0,0,1,0.5,0.3305084705352783,0,0,[]],40,8454,[[0],[0],[0]],[[],[1,400,0,0],[]],[0,"carrot",0,1]],[[4049,3516,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8682,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[3178,3533,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8683,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[3855,3250,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8684,
[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[3695,3256,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8685,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[3523,2979,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8686,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[5664,2817,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8687,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[5641,3202,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,
0,0,[]],28,8688,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[5949,3190,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8689,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[5809,3205,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8690,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[5840,2811,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8691,[[9],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[2470,1605,0,119,117,0,0,1,0.5042017102241516,
0.3247863352298737,0,0,[]],28,8692,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[1644,1787,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8693,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[2338,1762,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8694,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[1784,1624,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8695,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[1914,1767,0,119,117,
0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8696,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[4291,1777,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8697,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[3540,1785,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8698,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[4103,1601,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8699,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,
1]],[[3687,1595,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8700,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[3905,1428,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8701,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[6757,1783,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8702,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[5828,1783,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8703,[[0],[0],[0]],[[],[1,
400,0,0]],[0,"Default",0,1]],[[6566,1595,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8704,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[6048,1623,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8705,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[6305,1456,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8706,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[8265,1764,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,
8707,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[7421,1791,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8708,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[8082,1619,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8709,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[7634,1624,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8710,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[7860,1468,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,
0,0,[]],28,8711,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[9711,1784,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8712,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[8793,1772,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8713,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[9540,1631,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8714,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[9045,1586,0,119,117,0,0,1,0.5042017102241516,
0.3247863352298737,0,0,[]],28,8715,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[9286,1422,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8716,[[9],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[12023,1771,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8717,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[11097,1786,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8718,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[11828,1606,0,119,
117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8719,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[11321,1596,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8720,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[11563,1440,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8721,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[13261,1762,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8722,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",
0,1]],[[12351,1762,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8723,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[13086,1605,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8724,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[12575,1615,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8725,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[12829,1463,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8726,[[9],[0],[0]],
[[],[1,400,0,0]],[0,"Default",0,1]],[[17689,1786,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8727,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[16803,1762,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8728,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[17506,1625,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8729,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[17035,1599,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,
0,0,[]],28,8730,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[17276,1507,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8731,[[9],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[19512,2095,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8732,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[18831,2115,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8733,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[19333,1923,0,119,117,0,0,1,0.5042017102241516,
0.3247863352298737,0,0,[]],28,8734,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[18997,1952,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8735,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[19165,2099,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8736,[[9],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[19167,2992,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8737,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[19004,2978,0,119,
117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8739,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[18839,2980,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8740,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[18650,2556,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8741,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[18521,3309,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8742,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",
0,1]],[[17103,3526,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8743,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[17609,3222,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8744,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[16599,3518,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8747,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[15394,3506,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8748,[[0],[0],[0]],
[[],[1,400,0,0]],[0,"Default",0,1]],[[16715,3175,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8749,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[16565,3176,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8750,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[16857,3160,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8751,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[15237,3509,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,
0,0,[]],28,8752,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[14669,2915,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8753,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[15089,3511,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8754,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[14804,3508,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8755,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[14832,2914,0,119,117,0,0,1,0.5042017102241516,
0.3247863352298737,0,0,[]],28,8756,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[12938,3503,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8757,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[12007,3514,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8758,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[12799,3350,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8759,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[12150,3375,0,119,
117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8760,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[12444,2899,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8761,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[11347,3425,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8762,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[10523,3404,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8763,[[9],[0],[0]],[[],[1,400,0,0]],[0,"Default",
0,1]],[[11194,3488,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8764,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[10680,3496,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8765,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[10872,2928,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,8766,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[2746,1531,0,164,80,0,0,1,0.5,0.5,0,0,[]],29,7341,[],[[1],[]],[0,"Default",2,1]],[[2913,1549,0,
185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,8786,[],[[1],[]],[0,"Default",1,1]],[[3065,1530,0,127,69,0,0,1,0.5039370059967041,0.5072463750839233,0,0,[]],31,8787,[],[[1],[]],[0,"Default",2,1]],[[2226,1331,0,164,80,0,0,1,0.5,0.5,0,0,[]],29,8789,[],[[1],[]],[0,"Default",2,1]],[[2393,1349,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,8790,[],[[1],[]],[0,"Default",1,1]],[[2545,1330,0,127,69,0,0,1,0.5039370059967041,0.5072463750839233,0,0,[]],31,8791,[],[[1],[]],[0,
"Default",2,1]],[[1831,1165,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,8793,[],[[1],[]],[0,"Default",1,1]],[[1983,1146,0,127,69,0,0,1,0.5039370059967041,0.5072463750839233,0,0,[]],31,8794,[],[[1],[]],[0,"Default",2,1]],[[10497.15625,2127,0,325,459,0,-1.570796370506287,1,0.5121951103210449,0.5234375,0,0,[]],71,7916,[[4]],[[]],[0,"Default",0,1]],[[16556,3301,0,164,80,0,0,1,0.5,0.5,0,0,[]],29,9539,[],[[1],[]],[0,"Default",2,1]],[[16723,3319,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,
0,0,[]],30,9540,[],[[1],[]],[0,"Default",1,1]],[[16875,3300,0,127,69,0,0,1,0.5039370059967041,0.5072463750839233,0,0,[]],31,9541,[],[[1],[]],[0,"Default",2,1]],[[18351,3442,0,164,80,0,0,1,0.5,0.5,0,0,[]],29,9542,[],[[1],[]],[0,"Default",2,1]],[[18517,3454,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,9543,[],[[1],[]],[0,"Default",1,1]],[[19392,3437,0,127,69,0,0,1,0.5039370059967041,0.5072463750839233,0,0,[]],31,9544,[],[[1],[]],[0,"Default",2,1]],[[18698,3454,0,185,103,0,0,1,0.5027027130126953,
0.5048543810844421,0,0,[]],30,9545,[],[[1],[]],[0,"Default",1,1]],[[18878,3454,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,9546,[],[[1],[]],[0,"Default",1,1]],[[19059,3454,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,9547,[],[[1],[]],[0,"Default",1,1]],[[19239,3454,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,9548,[],[[1],[]],[0,"Default",1,1]],[[9739,3532,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,569,[[9],[0],[0]],
[[],[1,400,0,0]],[0,"Default",0,1]],[[9565,3532,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,570,[[9],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[9384,3532,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,571,[[9],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[11845,3429,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,572,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[13091,3428,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,
[]],28,595,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[6011,2807,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,596,[[9],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[6189,2803,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,597,[[9],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[6360,2814,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,598,[[9],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[3356,2986,0,119,117,0,0,1,0.5042017102241516,
0.3247863352298737,0,0,[]],28,599,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[3742,2687,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,602,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[3582,2677,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,603,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[3176,2472,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,604,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[3009,2473,0,119,117,0,
0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,605,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[2579,1737,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,606,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[19667,1932,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,607,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[19038,1536,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,609,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],
[[18357,1556,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,610,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[18859,1364,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,611,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[18523,1393,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,612,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[18691,1540,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,613,[[9],[0],[0]],[[],[1,400,
0,0]],[0,"Default",0,1]],[[19193,1373,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,751,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[19379,1536,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,608,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[19853,2114,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,752,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[18824,2548,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,753,
[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[19002,2552,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,754,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[18493,2552,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,755,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[18303,2552,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,756,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[19341,2984,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,
0,0,[]],28,757,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[18680,3313,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,758,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[18859,3313,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,759,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[19026,3313,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,762,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[19216,3309,0,119,117,0,0,1,0.5042017102241516,
0.3247863352298737,0,0,[]],28,763,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[16762,3522,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,764,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[16933,3518,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,765,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[14995,2914,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,766,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[14948,3512,0,119,117,
0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,792,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[13575,2919,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,793,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[13738,2918,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,807,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[13901,2918,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,841,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,
1]],[[12601,2903,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,842,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[12764,2902,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,843,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[12927,2902,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,844,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[12969,3078,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],30,845,[],[[1],[]],[0,"Default",
1,1]],[[19509,2990,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,859,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[2389,1066,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2875,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[2257,1223,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2876,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[2498,1198,0,119,117,0,0,1,0.5042017102241516,0.3247863352298737,0,0,[]],28,2877,[[0],[0],[0]],[[],
[1,400,0,0]],[0,"Default",0,1]]],[]],["general",6,6965812290398097,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[773.1632080078125,1509.92724609375,0,931.1616821289062,936.3734130859375,0,0,1,0.5,0.5,0,0,[]],50,8128,[[3]],[[]],[0,"Default",3,1]],[[278,3480,0,142.8915710449219,142.8915710449219,0,0,1,0.5,0.5,0,0,[]],72,8129,[[0],[0]],[[]],[1,"Default",0,1]],[[1530,2982,0,154.129150390625,171.9771423339844,0,0,1,0.5018315315246582,0.5,0,0,[]],42,8130,[[0],[0],[0],[0],[0],[0],[0],[3],[0]],[[],[]],[0,"Default",
0,1]],[[5786,2623,0,128,128,0,0,1,0,0.5,0,0,[]],118,8131,[],[[]],[50,360,0,10,16,100,0,5E3,1400,0,0,30,0,60,0,500,0,0,4]],[[4593,1555,0,197,216,0,0,1,0.4974619150161743,0.5138888955116272,0,0,[]],113,8132,[],[[1,0,0,10,0,0,0,240,0],[],[]],[0,"Default",0,1]],[[13812,3076,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],32,8133,[],[[1,0,1,20,10,2,0,490,0],[1]],[0,"Default",2,1]],[[11271,2493,0,128,128,0,0,1,0,0.5,0,0,[]],118,8373,[],[[]],[50,360,0,10,16,100,0,5E3,1400,0,0,30,0,60,0,500,
0,0,4]],[[14861,3076,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],32,8447,[],[[1,0,1,20,10,2,0,490,0],[1]],[0,"Default",2,1]],[[16071,3086,0,185,103,0,0,1,0.5027027130126953,0.5048543810844421,0,0,[]],32,8448,[],[[1,0,1,20,10,2,0,490,0],[1]],[0,"Default",2,1]],[[171,2390,0,94,113,0,0,1,0.5106382966041565,0.3097345232963562,0,0,[]],46,7537,[[0],[0],[0]],[[],[1,400,0,0]],[0,"Default",0,1]],[[8436,3512,0,94,113,0,0,1,0.5106382966041565,0.3097345232963562,0,0,[]],46,8449,[[0],[0],[0]],
[[],[1,400,0,0]],[0,"Default",0,1]]],[]],["gui",7,0xe0b2dd002b051,!0,[255,255,255],!0,0,0,1,!1,1,0,0,[[[14549,-826,0,378.2516174316406,351.689453125,0,0,1,0.6384297609329224,0.5841121673583984,0,0,[]],131,459,[],[[]],[0,"Default",0,1]],[[14195,-813,0,223.5035705566406,327.038330078125,0,0,1,0.481617659330368,0.5929648280143738,0,0,[]],132,460,[],[[]],[0,"Default",0,1]],[[14840,-825,0,234.1857299804688,335.25537109375,0,0,1,0.6701754331588745,0.5686274766921997,0,0,[]],133,798,[],[[]],[0,"Default",
0,1]],[[14131,-707,0,706.6657104492188,262.9453735351563,0,0,1,0,1,0,0,[]],126,806,[[0]],[],[0,6,0,0,1E3,349]],[[14174,-809,0,400.1700134277344,443.7203369140625,0,0,1,0.6242299675941467,0.4703703820705414,0,0,[]],127,838,[],[[]],[0,"Default",0,1]],[[14794,-834,0,361.5498962402344,407.5653381347656,0,0,1,0.4340909123420715,0.4233871102333069,0,0,[]],128,839,[],[[]],[0,"Default",0,1]],[[14456,-680,0,323.7514953613281,156.9455261230469,0,0,1,0.4173553586006165,0.3141361176967621,0,0,[]],129,840,[],
[[]],[0,"Default",0,1]],[[7612.77294921875,-1134.408813476563,0,291.9775085449219,191.6662902832031,0,0,1,0.6384297609329224,0.5841121673583984,0,0,[]],131,865,[],[[]],[0,"Default",0,1]],[[7870.77294921875,-1134.408813476563,0,240.4784393310547,191.6662902832031,0,0,1,0.6384297609329224,0.5841121673583984,0,0,[]],131,866,[],[[]],[0,"Default",0,1]],[[6695.77294921875,-1162.408813476563,0,-103.8938674926758,98.96784210205078,0,-1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,867,[],[[]],[0,"Default",
0,1]],[[7354.77294921875,-1134.408813476563,0,206.1422729492188,191.6662902832031,0,0,1,0.6384297609329224,0.5841121673583984,0,0,[]],131,876,[],[[]],[0,"Default",0,1]],[[7149.77294921875,-1134.408813476563,0,206.1422729492188,191.6662902832031,0,0,1,0.6384297609329224,0.5841121673583984,0,0,[]],131,877,[],[[]],[0,"Default",0,1]],[[6944.77294921875,-1134.408813476563,0,206.1422729492188,191.6662902832031,0,0,1,0.6384297609329224,0.5841121673583984,0,0,[]],131,878,[],[[]],[0,"Default",0,1]],[[6752.77294921875,
-1126.408813476563,0,121.8065795898438,178.2317657470703,0,0,1,0.481617659330368,0.5929648280143738,0,0,[]],132,879,[],[[]],[0,"Default",0,1]],[[8040.77294921875,-1133.408813476563,0,127.6282119750977,182.7099304199219,0,0,1,0.6701754331588745,0.5686274766921997,0,0,[]],133,884,[],[[]],[0,"Default",0,1]],[[6715.77294921875,-1069.408813476563,0,1347.037353515625,143.3018798828125,0,0,1,0,1,0,0,[]],126,885,[[0]],[],[0,6,0,0,2E3,349]],[[6894.77294921875,-1054.408813476563,0,176.4403991699219,85.5333251953125,
0,0,1,0.4173553586006165,0.3141361176967621,0,0,[]],129,913,[],[[]],[0,"Default",0,1]],[[7075.77294921875,-1054.408813476563,0,191.6662292480469,85.5333251953125,0,0,1,0.4173553586006165,0.3141361176967621,0,0,[]],129,914,[],[[]],[0,"Default",0,1]],[[7281.77294921875,-1054.408813476563,0,267.3475341796875,85.5333251953125,0,0,1,0.4173553586006165,0.3141361176967621,0,0,[]],129,915,[],[[]],[0,"Default",0,1]],[[7536.77294921875,-1054.408813476563,0,267.3475341796875,85.5333251953125,0,0,1,0.4173553586006165,
0.3141361176967621,0,0,[]],129,1491,[],[[]],[0,"Default",0,1]],[[7802.77294921875,-1054.408813476563,0,268.6910095214844,85.5333251953125,0,0,1,0.4173553586006165,0.3141361176967621,0,0,[]],129,1495,[],[[]],[0,"Default",0,1]],[[8043.77294921875,-1137.408813476563,0,197.0400543212891,222.1179504394531,0,0,1,0.4340909123420715,0.4233871102333069,0,0,[]],128,1499,[],[[]],[0,"Default",0,1]],[[6738.77294921875,-1124.408813476563,0,218.0875396728516,241.8219604492188,0,-0.02621841989457607,1,0.6242299675941467,
0.4703703820705414,0,0,[]],127,1500,[],[[]],[0,"Default",0,1]],[[3432.77294921875,-992.4088134765625,0,526.0943603515625,402.2637329101563,0,0,1,0.7122207880020142,0.4608695507049561,0,0,[]],122,1509,[],[[]],[0,"Default",0,1]],[[2526.77294921875,-970.4088134765625,0,470.5565490722656,387.5099182128906,0,0,1,0.3641703426837921,0.5009041428565979,0,0,[]],123,1514,[],[[]],[0,"Default",0,1]],[[2940.77294921875,-890.4088134765625,0,234.2685089111328,226.2093658447266,0,0,1,0.5,0.5015479922294617,0,0,[]],
124,1516,[],[[]],[0,"Default",0,1]],[[7908.77294921875,-455.4088134765625,0,-190.6354064941406,181.5966491699219,0,1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,1520,[],[[]],[0,"Default",0,1]],[[7675.77294921875,-470.4088134765625,0,191,182,0,1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,1553,[],[[]],[0,"Default",0,1]],[[7908.77294921875,-645.4088134765625,0,-190.6354064941406,181.5966491699219,0,1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,1554,[],[[]],[0,"Default",0,
1]],[[8774.7734375,-655.4088134765625,0,190.6354064941406,181.5966491699219,0,0,1,0.5,0.5015479922294617,0,0,[]],124,1556,[],[[]],[0,"Default",0,1]],[[8584.7734375,-655.4088134765625,0,190.6354064941406,181.5966491699219,0,0,1,0.5,0.5015479922294617,0,0,[]],124,1557,[],[[]],[0,"Default",0,1]],[[7675.77294921875,-660.4088134765625,0,191,182,0,1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,1562,[],[[]],[0,"Default",0,1]],[[8395.7734375,-655.4088134765625,0,190.6354064941406,181.5966491699219,
0,0,1,0.5,0.5015479922294617,0,0,[]],124,1563,[],[[]],[0,"Default",0,1]],[[8206.7734375,-655.4088134765625,0,190.6354064941406,181.5966491699219,0,0,1,0.5,0.5015479922294617,0,0,[]],124,1564,[],[[]],[0,"Default",0,1]],[[9400.7734375,-649.4088134765625,0,-190.6354064941406,181.5966491699219,0,-1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,1565,[],[[]],[0,"Default",0,1]],[[9152.7734375,-646.4088134765625,0,190.6354064941406,181.5966491699219,0,-1.570796370506287,1,0.5,0.5015479922294617,0,
0,[]],124,1566,[],[[]],[0,"Default",0,1]],[[9400.7734375,-459.4088134765625,0,-190.6354064941406,181.5966491699219,0,-1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,1567,[],[[]],[0,"Default",0,1]],[[9152.7734375,-456.4088134765625,0,190.6354064941406,181.5966491699219,0,-1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,1639,[],[[]],[0,"Default",0,1]],[[10098.7734375,-557.4088134765625,0,840.603515625,266.2322082519531,0,0,1,0.5004887580871582,0.5,0,0,[]],26,1641,[],[[1],[]],[0,"Default",
0,1]],[[10824.7734375,-557.4088134765625,0,840.603515625,266.2322082519531,0,0,1,0.5004887580871582,0.5,0,0,[]],27,1643,[],[[1],[]],[0,"Default",0,1]],[[11152.7734375,-555.4088134765625,0,373.2432861328125,285.390380859375,0,0,1,0.7122207880020142,0.4608695507049561,0,0,[]],122,1645,[],[[]],[0,"Default",0,1]],[[9787.7734375,-539.4088134765625,0,333.8414001464844,274.9231262207031,0,0,1,0.3641703426837921,0.5009041428565979,0,0,[]],123,1647,[],[[]],[0,"Default",0,1]],[[10662.7734375,-491.4088134765625,
0,190.6354064941406,181.5966491699219,0,0,1,0.5,0.5015479922294617,0,0,[]],124,1648,[],[[]],[0,"Default",0,1]],[[10473.7734375,-491.4088134765625,0,190.6354064941406,181.5966491699219,0,0,1,0.5,0.5015479922294617,0,0,[]],124,1651,[],[[]],[0,"Default",0,1]],[[10284.7734375,-491.4088134765625,0,190.6354064941406,181.5966491699219,0,0,1,0.5,0.5015479922294617,0,0,[]],124,1654,[],[[]],[0,"Default",0,1]],[[10094.7734375,-491.4088134765625,0,190.6354064941406,181.5966491699219,0,0,1,0.5,0.5015479922294617,
0,0,[]],124,1655,[],[[]],[0,"Default",0,1]],[[10823.7734375,-491.4088134765625,0,133.2040710449219,181.5966491699219,0,0,1,0.5,0.5015479922294617,0,0,[]],124,1656,[],[[]],[0,"Default",0,1]],[[12722.7734375,-1042.408813476563,0,901.666748046875,272.5352478027344,0,0,1,0.5004887580871582,0.5,0,0,[]],26,1657,[],[[1],[]],[0,"Default",0,1]],[[13078.7734375,-1047.408813476563,0,401.9280395507813,307.3234252929688,0,0,1,0.7122207880020142,0.4608695507049561,0,0,[]],122,1658,[],[[]],[0,"Default",0,1]],[[12387.7734375,
-1029.408813476563,0,359.4980163574219,296.0517272949219,0,0,1,0.3641703426837921,0.5009041428565979,0,0,[]],123,1659,[],[[]],[0,"Default",0,1]],[[12703.7734375,-968.4088134765625,0,178.9775695800781,172.8205871582031,0,0,1,0.5,0.5015479922294617,0,0,[]],124,1660,[],[[]],[0,"Default",0,1]],[[7391.77294921875,-1016.408813476563,0,1306.84228515625,378.7850036621094,0,0,1,0.5,0.5,0,0,[]],52,1661,[[1]],[[]],[0,"Default",0,1]],[[14488,-768,0,674.6192626953125,378.8056945800781,0,0,1,0.5,0.5,0,0,[]],52,
1662,[[1]],[[]],[0,"Default",0,1]],[[7300.77294921875,-1576.408813476563,0,901.40966796875,303.2088928222656,0,0,1,0.5004887580871582,0.5,0,0,[]],26,1664,[],[[1],[]],[0,"Default",0,1]],[[7655.77294921875,-1564.408813476563,0,401.9280395507813,307.3234252929688,0,0,1,0.7122207880020142,0.4608695507049561,0,0,[]],122,1665,[],[[]],[0,"Default",0,1]],[[6964.77294921875,-1547.408813476563,0,359.4980163574219,296.0517272949219,0,0,1,0.3641703426837921,0.5009041428565979,0,0,[]],123,1666,[],[[]],[0,"Default",
0,1]],[[7280.77294921875,-1485.408813476563,0,178.9775695800781,172.8205871582031,0,0,1,0.5,0.5015479922294617,0,0,[]],124,1667,[],[[]],[0,"Default",0,1]],[[7328.77294921875,-1668.408813476563,0,190.6354064941406,181.5966491699219,0,-3.141592502593994,1,0.5,0.5015479922294617,0,0,[]],124,1669,[],[[]],[0,"Default",0,1]],[[6950.77294921875,-1592.408813476563,0,401.9280395507813,307.3234252929688,0,-3.141592502593994,1,0.7122207880020142,0.4608695507049561,0,0,[]],122,1670,[],[[]],[0,"Default",0,1]],
[[7641.77294921875,-1609.408813476563,0,359.4980163574219,296.0517272949219,0,-3.141592502593994,1,0.3641703426837921,0.5009041428565979,0,0,[]],123,1834,[],[[]],[0,"Default",0,1]],[[11743.7734375,-766.4088134765625,0,901.40966796875,303.2088928222656,0,1.570796370506287,1,0.5004887580871582,0.5,0,0,[]],26,1835,[],[[1],[]],[0,"Default",0,1]],[[11732.7734375,-410.4088134765625,0,401.9280395507813,307.3234252929688,0,1.570796370506287,1,0.7122207880020142,0.4608695507049561,0,0,[]],122,1836,[],[[]],
[0,"Default",0,1]],[[11715.7734375,-1101.408813476563,0,359.4980163574219,296.0517272949219,0,1.570796370506287,1,0.3641703426837921,0.5009041428565979,0,0,[]],123,2046,[],[[]],[0,"Default",0,1]],[[11653.7734375,-786.4088134765625,0,178.9775695800781,172.8205871582031,0,1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,2321,[],[[]],[0,"Default",0,1]],[[11835.7734375,-737.4088134765625,0,190.6354064941406,181.5966491699219,0,-1.570796489715576,1,0.5,0.5015479922294617,0,0,[]],124,2449,[],[[]],
[0,"Default",0,1]],[[11760.7734375,-1115.408813476563,0,401.9280395507813,307.3234252929688,0,-1.570796489715576,1,0.7122207880020142,0.4608695507049561,0,0,[]],122,2450,[],[[]],[0,"Default",0,1]],[[11777.7734375,-424.4088134765625,0,359.4980163574219,296.0517272949219,0,-1.570796489715576,1,0.3641703426837921,0.5009041428565979,0,0,[]],123,2451,[],[[]],[0,"Default",0,1]],[[12376.7734375,-456.4088134765625,0,901.666748046875,272.5352478027344,0,0,1,0.5004887580871582,0.5,0,0,[]],26,2452,[],[[1],[]],
[0,"Default",0,1]],[[12732.7734375,-460.4088134765625,0,401.9280395507813,307.3234252929688,0,0,1,0.7122207880020142,0.4608695507049561,0,0,[]],122,2453,[],[[]],[0,"Default",0,1]],[[12041.7734375,-442.4088134765625,0,359.4980163574219,296.0517272949219,0,0,1,0.3641703426837921,0.5009041428565979,0,0,[]],123,2454,[],[[]],[0,"Default",0,1]],[[12356.7734375,-381.4088134765625,0,178.9775695800781,172.8205871582031,0,0,1,0.5,0.5015479922294617,0,0,[]],124,2455,[],[[]],[0,"Default",0,1]],[[6321.77294921875,
-803.4088134765625,0,901.40966796875,303.2088928222656,0,1.570796370506287,1,0.5004887580871582,0.5,0,0,[]],26,2456,[],[[1],[]],[0,"Default",0,1]],[[6309.77294921875,-447.4088134765625,0,401.9280395507813,307.3234252929688,0,1.570796370506287,1,0.7122207880020142,0.4608695507049561,0,0,[]],122,2457,[],[[]],[0,"Default",0,1]],[[6292.77294921875,-1138.408813476563,0,359.4980163574219,296.0517272949219,0,1.570796370506287,1,0.3641703426837921,0.5009041428565979,0,0,[]],123,2458,[],[[]],[0,"Default",
0,1]],[[6230.77294921875,-822.4088134765625,0,178.9775695800781,172.8205871582031,0,1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,2459,[],[[]],[0,"Default",0,1]],[[6413.77294921875,-774.4088134765625,0,190.6354064941406,181.5966491699219,0,-1.570796489715576,1,0.5,0.5015479922294617,0,0,[]],124,2460,[],[[]],[0,"Default",0,1]],[[6337.77294921875,-1152.408813476563,0,401.9280395507813,307.3234252929688,0,-1.570796489715576,1,0.7122207880020142,0.4608695507049561,0,0,[]],122,2461,[],[[]],[0,
"Default",0,1]],[[6354.77294921875,-461.4088134765625,0,359.4980163574219,296.0517272949219,0,-1.570796489715576,1,0.3641703426837921,0.5009041428565979,0,0,[]],123,2462,[],[[]],[0,"Default",0,1]],[[4708.77294921875,-1149.408813476563,0,890.7274780273438,279.3794860839844,0,0,1,0.5004887580871582,0.5,0,0,[]],26,2463,[],[[1],[]],[0,"Default",0,1]],[[4269.77294921875,-1061.408813476563,0,190.6354064941406,181.5966491699219,0,0,1,0.5,0.5015479922294617,0,0,[]],124,2464,[],[[]],[0,"Default",0,1]],[[5547.77294921875,
-1149.408813476563,0,840.603515625,279.3794860839844,0,0,1,0.5004887580871582,0.5,0,0,[]],22,3349,[],[[1],[]],[0,"Default",0,1]],[[4125.77294921875,-852.4088134765625,0,872.6500244140625,279.3794860839844,0,-1.570796370506287,1,0.5004887580871582,0.5,0,0,[]],26,3350,[],[[1],[]],[0,"Default",0,1]],[[4098.77294921875,-502.4088134765625,0,385.5184020996094,307.3234252929688,0,1.570796370506287,1,0.7122207880020142,0.4608695507049561,0,0,[]],122,3419,[],[[]],[0,"Default",0,1]],[[4081.77294921875,-1164.408813476563,
0,344.8206787109375,296.0517272949219,0,1.570796370506287,1,0.3641703426837921,0.5009041428565979,0,0,[]],123,3420,[],[[]],[0,"Default",0,1]],[[4019.77294921875,-862.4088134765625,0,171.67041015625,172.8205871582031,0,1.570796370506287,1,0.5,0.5015479922294617,0,0,[]],124,3421,[],[[]],[0,"Default",0,1]],[[4201.77294921875,-815.4088134765625,0,182.8522796630859,181.5966491699219,0,-1.570796489715576,1,0.5,0.5015479922294617,0,0,[]],124,3422,[],[[]],[0,"Default",0,1]],[[4143.77294921875,-515.4088134765625,
0,344.8206787109375,296.0517272949219,0,-1.570796489715576,1,0.3641703426837921,0.5009041428565979,0,0,[]],123,3423,[],[[]],[0,"Default",0,1]],[[5895.77294921875,-1125.408813476563,0,373.2432861328125,285.390380859375,0,0,1,0.7122207880020142,0.4608695507049561,0,0,[]],122,3424,[],[[]],[0,"Default",0,1]],[[5405.77294921875,-1061.408813476563,0,190.6354064941406,181.5966491699219,0,0,1,0.5,0.5015479922294617,0,0,[]],124,3425,[],[[]],[0,"Default",0,1]],[[5215.77294921875,-1061.408813476563,0,190.6354064941406,
181.5966491699219,0,0,1,0.5,0.5015479922294617,0,0,[]],124,3426,[],[[]],[0,"Default",0,1]],[[5026.77294921875,-1061.408813476563,0,190.6354064941406,181.5966491699219,0,0,1,0.5,0.5015479922294617,0,0,[]],124,3427,[],[[]],[0,"Default",0,1]],[[4837.77294921875,-1061.408813476563,0,190.6354064941406,181.5966491699219,0,0,1,0.5,0.5015479922294617,0,0,[]],124,3428,[],[[]],[0,"Default",0,1]],[[5565.77294921875,-1061.408813476563,0,133.2040710449219,181.5966491699219,0,0,1,0.5,0.5015479922294617,0,0,[]],
124,3430,[],[[]],[0,"Default",0,1]],[[5026.77294921875,-1061.408813476563,0,190.6354064941406,181.5966491699219,0,0,1,0.5,0.5015479922294617,0,0,[]],124,3482,[],[[]],[0,"Default",0,1]],[[4648.77294921875,-1061.408813476563,0,190.6354064941406,181.5966491699219,0,0,1,0.5,0.5015479922294617,0,0,[]],124,3483,[],[[]],[0,"Default",0,1]],[[4459.77294921875,-1061.408813476563,0,190.6354064941406,181.5966491699219,0,0,1,0.5,0.5015479922294617,0,0,[]],124,3484,[],[[]],[0,"Default",0,1]],[[4126.77294921875,
-1178.408813476563,0,385.5184020996094,307.3234252929688,0,-1.570796489715576,1,0.7122207880020142,0.4608695507049561,0,0,[]],122,3485,[],[[]],[0,"Default",0,1]],[[2496.77294921875,-294.4088134765625,0,227.3606109619141,216.5805511474609,0,0,1,0.5,0.5015479922294617,0,0,[]],124,3486,[],[[]],[0,"Default",0,1]],[[2270.77294921875,-294.4088134765625,0,227.3606109619141,216.5805511474609,0,0,1,0.5,0.5015479922294617,0,0,[]],124,3487,[],[[]],[0,"Default",0,1]],[[2045.77294921875,-294.4088134765625,0,227.3606109619141,
216.5805511474609,0,0,1,0.5,0.5015479922294617,0,0,[]],124,3488,[],[[]],[0,"Default",0,1]],[[2270.77294921875,-294.4088134765625,0,227.3606109619141,216.5805511474609,0,0,1,0.5,0.5015479922294617,0,0,[]],124,3489,[],[[]],[0,"Default",0,1]],[[1819.77294921875,-294.4088134765625,0,227.3606109619141,216.5805511474609,0,0,1,0.5,0.5015479922294617,0,0,[]],124,3490,[],[[]],[0,"Default",0,1]],[[1529.77294921875,-294.4088134765625,0,359.8988037109375,216.5805511474609,0,0,1,0.5,0.5015479922294617,0,0,[]],
124,3544,[],[[]],[0,"Default",0,1]],[[4652.77294921875,-296.4088134765625,0,245.9676055908203,234.3053588867188,0,0,1,0.5,0.5015479922294617,0,0,[]],124,3545,[],[[]],[0,"Default",0,1]],[[4408.77294921875,-296.4088134765625,0,245.9676055908203,234.3053588867188,0,0,1,0.5,0.5015479922294617,0,0,[]],124,3546,[],[[]],[0,"Default",0,1]],[[4165.77294921875,-296.4088134765625,0,245.9676055908203,234.3053588867188,0,0,1,0.5,0.5015479922294617,0,0,[]],124,3547,[],[[]],[0,"Default",0,1]],[[3919.77294921875,
-296.4088134765625,0,245.9676055908203,234.3053588867188,0,0,1,0.5,0.5015479922294617,0,0,[]],124,3548,[],[[]],[0,"Default",0,1]],[[4859.77294921875,-296.4088134765625,0,171.8667297363281,234.3053588867188,0,0,1,0.5,0.5015479922294617,0,0,[]],124,3949,[],[[]],[0,"Default",0,1]],[[2723.77294921875,-294.4088134765625,0,227.3606109619141,216.5805511474609,0,0,1,0.5,0.5015479922294617,0,0,[]],124,3950,[],[[]],[0,"Default",0,1]],[[2913.77294921875,-294.4088134765625,0,158.8653411865234,216.5805511474609,
0,0,1,0.5,0.5015479922294617,0,0,[]],124,3951,[],[[]],[0,"Default",0,1]],[[3112.77294921875,-296.4088134765625,0,245.9676055908203,234.3053588867188,0,0,1,0.5,0.5015479922294617,0,0,[]],124,3952,[],[[]],[0,"Default",0,1]],[[3637.77294921875,-296.4088134765625,0,319.6213684082031,233.9185028076172,0,0,1,0.5,0.5015479922294617,0,0,[]],124,3953,[],[[]],[0,"Default",0,1]],[[3358.77294921875,-296.4088134765625,0,245.9676055908203,234.3053588867188,0,0,1,0.5,0.5015479922294617,0,0,[]],124,3958,[],[[]],
[0,"Default",0,1]],[[8081.77294921875,-1208.408813476563,0,48.4652214050293,29.90407752990723,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,3959,[],[[]],[0,"Default",2,1]],[[9708.7734375,-690.4088134765625,0,115.8603134155273,71.48828125,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,3992,[],[[]],[0,"Default",2,1]],[[9804.7734375,-690.4088134765625,0,115.8603134155273,71.48828125,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,4001,[],[[]],[0,"Default",2,1]],[[9897.7734375,
-689.4088134765625,0,115.8603134155273,71.48828125,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,4002,[],[[]],[0,"Default",2,1]],[[9994.7734375,-690.4088134765625,0,115.8603134155273,71.48828125,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,4163,[],[[]],[0,"Default",2,1]],[[10093.7734375,-689.4088134765625,0,115.8603134155273,71.48828125,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,4164,[],[[]],[0,"Default",2,1]],[[10192.7734375,-690.4088134765625,0,115.8603134155273,71.48828125,
0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,4165,[],[[]],[0,"Default",2,1]],[[10291.7734375,-690.4088134765625,0,115.8603134155273,71.48828125,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,4166,[],[[]],[0,"Default",2,1]],[[10390.7734375,-690.4088134765625,0,115.8603134155273,71.48828125,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,4167,[],[[]],[0,"Default",2,1]],[[10481.7734375,-690.4088134765625,0,115.8603134155273,71.48828125,0,0,1,0.5035461187362671,0.5057471394538879,
0,0,[]],23,4168,[],[[]],[0,"Default",2,1]],[[10570.7734375,-692.4088134765625,0,115.8603134155273,71.48828125,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,4169,[],[[]],[0,"Default",2,1]],[[10661.7734375,-692.4088134765625,0,115.8603134155273,71.48828125,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,4170,[],[[]],[0,"Default",2,1]],[[10751.7734375,-692.4088134765625,0,115.8603134155273,71.48828125,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,4171,[],[[]],[0,"Default",2,
1]],[[10842.7734375,-692.4088134765625,0,115.8603134155273,71.48828125,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,4350,[],[[]],[0,"Default",2,1]],[[10937.7734375,-692.4088134765625,0,115.8603134155273,71.48828125,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,4351,[],[[]],[0,"Default",2,1]],[[11027.7734375,-692.4088134765625,0,115.8603134155273,71.48828125,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,4352,[],[[]],[0,"Default",2,1]],[[11124.7734375,-692.4088134765625,
0,115.8603134155273,71.48828125,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,4371,[],[[]],[0,"Default",2,1]],[[11215.7734375,-692.4088134765625,0,115.8603134155273,71.48828125,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,4372,[],[[]],[0,"Default",2,1]],[[12316.7734375,-1180.408813476563,0,124.7644805908203,76.98235321044922,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,4373,[],[[]],[0,"Default",2,1]],[[12430.7734375,-1180.408813476563,0,124.7644805908203,76.98235321044922,
0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,4374,[],[[]],[0,"Default",2,1]],[[12515.7734375,-1180.408813476563,0,124.7644805908203,76.98235321044922,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,4375,[],[[]],[0,"Default",2,1]],[[12628.7734375,-1180.408813476563,0,124.7644805908203,76.98235321044922,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,4376,[],[[]],[0,"Default",2,1]],[[12741.7734375,-1180.408813476563,0,124.7644805908203,76.98235321044922,0,0,1,0.5035461187362671,
0.5057471394538879,0,0,[]],23,4377,[],[[]],[0,"Default",2,1]],[[12826.7734375,-1180.408813476563,0,124.7644805908203,76.98235321044922,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,4378,[],[[]],[0,"Default",2,1]],[[12939.7734375,-1180.408813476563,0,124.7644805908203,76.98235321044922,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,4379,[],[[]],[0,"Default",2,1]],[[13052.7734375,-1180.408813476563,0,124.7644805908203,76.98235321044922,0,0,1,0.5035461187362671,0.5057471394538879,0,
0,[]],23,4380,[],[[]],[0,"Default",2,1]],[[13137.7734375,-1180.408813476563,0,124.7644805908203,76.98235321044922,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,4381,[],[[]],[0,"Default",2,1]],[[11970.7734375,-593.4088134765625,0,124.7644805908203,76.98235321044922,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,4382,[],[[]],[0,"Default",2,1]],[[12084.7734375,-593.4088134765625,0,124.7644805908203,76.98235321044922,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,4436,[],[[]],
[0,"Default",2,1]],[[12169.7734375,-593.4088134765625,0,124.7644805908203,76.98235321044922,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,4437,[],[[]],[0,"Default",2,1]],[[12282.7734375,-593.4088134765625,0,124.7644805908203,76.98235321044922,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,4472,[],[[]],[0,"Default",2,1]],[[12395.7734375,-593.4088134765625,0,124.7644805908203,76.98235321044922,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,4473,[],[[]],[0,"Default",2,1]],[[12480.7734375,
-593.4088134765625,0,124.7644805908203,76.98235321044922,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,4474,[],[[]],[0,"Default",2,1]],[[12592.7734375,-593.4088134765625,0,124.7644805908203,76.98235321044922,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,4475,[],[[]],[0,"Default",2,1]],[[12706.7734375,-593.4088134765625,0,124.7644805908203,76.98235321044922,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,4476,[],[[]],[0,"Default",2,1]],[[12791.7734375,-593.4088134765625,0,
124.7644805908203,76.98235321044922,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,4477,[],[[]],[0,"Default",2,1]],[[6312.77294921875,-1269.408813476563,0,115.8603134155273,-71.48828125,0,-3.141592502593994,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,4478,[],[[]],[0,"Default",2,1]],[[6215.77294921875,-1269.408813476563,0,115.8603134155273,-71.48828125,0,-3.141592502593994,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,4479,[],[[]],[0,"Default",2,1]],[[6429.77294921875,-1269.408813476563,
0,115.8603134155273,-71.48828125,0,-3.141592502593994,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,4480,[],[[]],[0,"Default",2,1]],[[4360.77294921875,-1273.408813476563,0,148.2623291015625,91.48103332519531,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,4529,[],[[]],[0,"Default",2,1]],[[4487.77294921875,-1271.408813476563,0,148.2623291015625,91.48103332519531,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,4727,[],[[]],[0,"Default",2,1]],[[4613.77294921875,-1273.408813476563,
0,148.2623291015625,91.48103332519531,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,4728,[],[[]],[0,"Default",2,1]],[[4740.77294921875,-1273.408813476563,0,148.2623291015625,91.48103332519531,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,4827,[],[[]],[0,"Default",2,1]],[[4867.77294921875,-1273.408813476563,0,148.2623291015625,91.48103332519531,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,4907,[],[[]],[0,"Default",2,1]],[[4983.77294921875,-1273.408813476563,0,148.2623291015625,
91.48103332519531,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,4908,[],[[]],[0,"Default",2,1]],[[5097.77294921875,-1274.408813476563,0,148.2623291015625,91.48103332519531,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,4909,[],[[]],[0,"Default",2,1]],[[5213.77294921875,-1274.408813476563,0,148.2623291015625,91.48103332519531,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,4910,[],[[]],[0,"Default",2,1]],[[5329.77294921875,-1274.408813476563,0,148.2623291015625,91.48103332519531,
0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,4911,[],[[]],[0,"Default",2,1]],[[5444.77294921875,-1274.408813476563,0,148.2623291015625,91.48103332519531,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,4912,[],[[]],[0,"Default",2,1]],[[5566.77294921875,-1275.408813476563,0,148.2623291015625,91.48103332519531,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,4913,[],[[]],[0,"Default",2,1]],[[5682.77294921875,-1275.408813476563,0,148.2623291015625,91.48103332519531,0,0,1,0.5035461187362671,
0.5057471394538879,0,0,[]],23,4914,[],[[]],[0,"Default",2,1]],[[5806.77294921875,-1275.408813476563,0,148.2623291015625,91.48103332519531,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,4915,[],[[]],[0,"Default",2,1]],[[5921.77294921875,-1275.408813476563,0,148.2623291015625,91.48103332519531,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,4916,[],[[]],[0,"Default",2,1]],[[3993.77294921875,-1271.408813476563,0,126.2372055053711,77.89105224609375,0,0,1,0.5035461187362671,0.5057471394538879,
0,0,[]],23,4917,[],[[]],[0,"Default",2,1]],[[4116.77294921875,-1273.408813476563,0,148.2623291015625,91.48103332519531,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,4918,[],[[]],[0,"Default",2,1]],[[4236.77294921875,-1271.408813476563,0,148.2623291015625,91.48103332519531,0,0,1,0.5035461187362671,0.5057471394538879,0,0,[]],23,4919,[],[[]],[0,"Default",2,1]],[[15764.279296875,323.5645751953125,0,141.4932403564453,11.99775695800781,0,0,1,0.5028248429298401,0.5,0,0,[]],23,594,[],[[]],[0,"Default",
0,1]]],[]],["topGui",8,456939765642488,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[1112,-387,0,200,30,0,0,1,0.5,0.5,0,0,[]],68,8134,[[1]],[[0,0,4,1,1],[]],["\u0415\u0432\u0433\u0435\u043d\u0438\u0439 \u041d\u0438\u043a\u043e\u043b\u0435\u043d\u043a\u043e",0,"12pt Arial","rgb(204,204,0)",1,1,1,0,0]],[[1108,-423,0,225,55,0,0,1,0.5,0.5,0,0,[]],68,8135,[[0]],[[0,0,4,1,1],[]],["\u0410\u0432\u0442\u043e\u0440 \u043f\u0440\u0435\u043a\u0442\u0430:",0,"20pt Arial","rgb(0,0,204)",1,1,1,0,0]],[[1112,-307,0,200,30,
0,0,1,0.5,0.5,0,0,[]],68,9558,[[2]],[[0,0,4,1,1],[]],["\u0410\u043b\u0435\u043a\u0441\u0435\u0439 \u0421\u0438\u0434\u043e\u0440\u043e\u0432 (ab)",0,"12pt Arial","rgb(204,204,0)",1,1,1,0,0]],[[1108,-343,0,375.5995178222656,91.81321716308594,0,0,1,0.5,0.5,0,0,[]],68,9559,[[0]],[[0,0,4,1,1],[]],["\u0421\u0431\u043e\u0440\u043a\u0430, \u0440\u0430\u0431\u043e\u0442\u0430 \u0432 Construct 2:",0,"20pt Arial","rgb(0,0,204)",1,1,1,0,0]],[[1108,-229,0,200,30,0,0,1,0.5,0.5,0,0,[]],68,9560,[[3]],[[0,0,4,1,
1],[]],["\u0414\u0435\u043d\u0438\u0441 \u0410\u0440\u0435\u0441\u0442\u043e\u0432",0,"12pt Arial","rgb(204,204,0)",1,1,1,0,0]],[[1108,-263,0,225,55,0,0,1,0.5,0.5,0,0,[]],68,9561,[[0]],[[0,0,4,1,1],[]],["\u0425\u0443\u0434\u043e\u0436\u043d\u0438\u043a:",0,"20pt Arial","rgb(0,0,204)",1,1,1,0,0]],[[1108,-139,0,295,44,0,0,1,0.5,0.5,0,0,[]],68,9562,[[4]],[[0,0,4,1,1],[]],["\u041d\u0430\u0442\u0430\u043b\u044c\u044f \u0413\u0440\u0438\u0446\u0435\u043d\u043a\u043e \u0438 \u041b\u0435\u043e\u043d\u0438\u0434 \u0416\u0434\u0430\u043d\u043e\u0432",
0,"12pt Arial","rgb(204,204,0)",1,1,1,0,0]],[[1108,-173,0,225,55,0,0,1,0.5,0.5,0,0,[]],68,9563,[[0]],[[0,0,4,1,1],[]],["\u041c\u0443\u0437\u044b\u043a\u0430:",0,"20pt Arial","rgb(0,0,204)",1,1,1,0,0]],[[-26,1,0,2345,1016,0,0,1,0,0,0,0,[]],74,9555,[],[[]],[1,"Default",0,1]],[[660,-2,0,1024,768,0,0,1,0,0,0,0,[]],119,8770,[],[[]],[1,"Default",0,1]],[[1576,668,0,162,173,0,0,1,0.5,0.5028901696205139,0,0,[]],16,8769,[[5]],[[""],[]],[1,"Default",0,1]]],[]],["black",9,0xcc2408778cb6d,!0,[0,0,0],!1,1,1,0,
!1,1,0,0,[],[]]],[],[]]],[["e1",[[2,"eMus",!1],[2,"eGeneral",!1],[0,null,!1,null,7340894200571588,[[-1,cr.system_object.prototype.cnds.OnLayoutStart,null,1,!1,!1,!1,716761774089206,!1]],[[41,cr.behaviors.Platform.prototype.acts.SetEnabled,"Platform",0xef91c413dba46,!1,[[3,0]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x6819d94afcbc1,!1,[[11,"transitionTarget"],[7,[0,0]]]],[47,cr.plugins_.Sprite.prototype.acts.SetVisible,null,9487911624438024,!1,[[3,0]]],[48,cr.plugins_.Sprite.prototype.acts.SetVisible,
null,5676467891141667,!1,[[3,0]]],[120,cr.plugins_.Particles.prototype.acts.SetSpraying,null,5001791760225073,!1,[[3,0]]]]],[0,null,!1,null,763540164816237,[[62,cr.plugins_.Sprite.prototype.cnds.CompareFrame,null,0,!1,!1,!1,0x715bb0f697dc1,!1,[[8,4],[0,[0,0]]]]],[[120,cr.plugins_.Particles.prototype.acts.SetSpraying,null,9369557994875762,!1,[[3,1]]]]],[0,null,!1,null,9773752155928356,[[62,cr.plugins_.Sprite.prototype.cnds.CompareFrame,null,0,!1,!1,!1,8934957729416577,!1,[[8,5],[0,[0,2]]]]],[],[[0,
null,!1,null,4696194994944624,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,7796413619130207,!1]],[[120,cr.plugins_.Particles.prototype.acts.Destroy,null,0x865b92926c507,!1]]]]],[0,null,!1,null,0x4d8f648f1fc6e,[[62,cr.plugins_.Sprite.prototype.cnds.CompareFrame,null,0,!1,!1,!1,0xb496896452bcc,!1,[[8,4],[0,[0,2]]]],[142,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0x8b4da0058f00f,!1,[[10,0],[8,0],[7,[0,5]]]]],[],[[0,null,!1,null,6558014057410082,[[-1,cr.system_object.prototype.cnds.TriggerOnce,
null,0,!1,!1,!1,9493203355470268,!1]],[[15,cr.plugins_.Function.prototype.acts.CallFunction,null,7305464253789377,!1,[[1,[2,"komics"]],[13]]]]]]],[0,[!0,"komics"],!1,null,7175085509053482,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,7175085509053482,!1,[[1,[2,"komics"]]]]],[],[[0,null,!1,null,0x711451e2ee6bb,[[15,cr.plugins_.Function.prototype.cnds.OnFunction,null,2,!1,!1,!1,5129330097569728,!1,[[1,[2,"komics"]]]]],[[62,cr.plugins_.Sprite.prototype.acts.SetVisible,null,0xf1f88e8900e61,
!1,[[3,0]]],[41,cr.behaviors.Platform.prototype.acts.SetEnabled,"Platform",0x75f5c0d78a266,!1,[[3,1]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x4badea11a356a,!1,[[11,"transitionTarget"],[7,[0,4]]]],[47,cr.plugins_.Sprite.prototype.acts.SetVisible,null,0x4bc81db291cfa,!1,[[3,1]]],[48,cr.plugins_.Sprite.prototype.acts.SetVisible,null,0xc5e3e8c5419d6,!1,[[3,1]]],[74,cr.plugins_.Sprite.prototype.acts.SetVisible,null,6130451168492989,!1,[[3,0]]]],[[0,null,!1,null,0xe5f7217b8851f,[[142,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
null,0,!1,!1,!1,6967218895343992,!1,[[10,0],[8,0],[7,[0,5]]]]],[[142,cr.plugins_.Sprite.prototype.acts.SetVisible,null,0xcafa5edb6e024,!1,[[3,0]]]]]]]]]]],["eLv2-6",[[2,"eMus",!1],[2,"eGeneral",!1],[0,null,!1,null,0xe14335b7c25d6,[[-1,cr.system_object.prototype.cnds.OnLayoutStart,null,1,!1,!1,!1,5858433414081535,!1]],[[-1,cr.system_object.prototype.acts.SetVar,null,5296402587885488,!1,[[11,"transitionTarget"],[7,[0,4]]]]]]]],["e7",[[2,"eMus",!1],[2,"eGeneral",!1],[0,null,!1,null,0xca50bca7b4668,[[-1,
cr.system_object.prototype.cnds.OnLayoutStart,null,1,!1,!1,!1,5530143441168133,!1]],[[41,cr.behaviors.Platform.prototype.acts.SetEnabled,"Platform",8828322368869917,!1,[[3,0]]],[-1,cr.system_object.prototype.acts.SetVar,null,8765966234043889,!1,[[11,"transitionTarget"],[7,[0,0]]]],[47,cr.plugins_.Sprite.prototype.acts.SetVisible,null,8507670057778552,!1,[[3,0]]],[48,cr.plugins_.Sprite.prototype.acts.SetVisible,null,4825264606717505,!1,[[3,0]]],[61,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,
0x581c8ac17551b,!1,[[0,[0,1]]]],[44,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,0x5d3a70e21fd4c,!1,[[0,[0,1]]]]]],[0,null,!1,null,0x8b7060c147735,[[96,cr.plugins_.Sprite.prototype.cnds.CompareFrame,null,0,!1,!1,!1,9276643727404976,!1,[[8,4],[0,[0,0]]]],[142,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0x895ea476dc6bc,!1,[[10,0],[8,0],[7,[0,5]]]]],[],[[0,null,!1,null,0xb6dbf92a80452,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,6553815139495895,!1]],
[[15,cr.plugins_.Function.prototype.acts.CallFunction,null,5214581603792931,!1,[[1,[2,"komics2"]],[13]]]]]]],[0,[!0,"komics2"],!1,null,0x7f1e777d55391,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,0x7f1e777d55391,!1,[[1,[2,"komics2"]]]]],[],[[0,null,!1,null,0x711451e2ee6bb,[[15,cr.plugins_.Function.prototype.cnds.OnFunction,null,2,!1,!1,!1,5129330097569728,!1,[[1,[2,"komics2"]]]]],[[96,cr.plugins_.Sprite.prototype.acts.SetVisible,null,0xf1f88e8900e61,!1,[[3,0]]],[41,cr.behaviors.Platform.prototype.acts.SetEnabled,
"Platform",0x75f5c0d78a266,!1,[[3,1]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x4badea11a356a,!1,[[11,"transitionTarget"],[7,[0,4]]]],[47,cr.plugins_.Sprite.prototype.acts.SetVisible,null,0x4bc81db291cfa,!1,[[3,1]]],[48,cr.plugins_.Sprite.prototype.acts.SetVisible,null,0xc5e3e8c5419d6,!1,[[3,1]]],[74,cr.plugins_.Sprite.prototype.acts.SetVisible,null,0x3eef5d261659f,!1,[[3,0]]]],[[0,null,!1,null,0xe5f7217b8851f,[[142,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,6967218895343992,
!1,[[10,0],[8,0],[7,[0,5]]]]],[[142,cr.plugins_.Sprite.prototype.acts.SetVisible,null,0xcafa5edb6e024,!1,[[3,0]]]]]]]]]]],["eLv8-12",[[2,"eMus",!1],[2,"eGeneral",!1],[0,null,!1,null,8789032016991259,[[-1,cr.system_object.prototype.cnds.OnLayoutStart,null,1,!1,!1,!1,8541953572826612,!1]],[[-1,cr.system_object.prototype.acts.SetVar,null,493227448889965,!1,[[11,"transitionTarget"],[7,[0,4]]]],[44,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,8695387645022703,!1,[[0,[0,1]]]],[61,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,
null,0x883e7b309b4fb,!1,[[0,[0,1]]]]]]]],["e13",[[2,"eMus",!1],[2,"eGeneral",!1],[0,null,!1,null,0x846b3e35ac7d1,[[-1,cr.system_object.prototype.cnds.OnLayoutStart,null,1,!1,!1,!1,0x554411b22dbd7,!1]],[[41,cr.behaviors.Platform.prototype.acts.SetEnabled,"Platform",9095959789199600,!1,[[3,0]]],[-1,cr.system_object.prototype.acts.SetVar,null,8992521973161156,!1,[[11,"transitionTarget"],[7,[0,0]]]],[47,cr.plugins_.Sprite.prototype.acts.SetVisible,null,8391981377634903,!1,[[3,0]]],[48,cr.plugins_.Sprite.prototype.acts.SetVisible,
null,4975063263227629,!1,[[3,0]]],[61,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,670597246690751,!1,[[0,[0,2]]]],[44,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,0x3e84acce499a0,!1,[[0,[0,2]]]]]],[0,null,!1,null,5770731682456393,[[117,cr.plugins_.Sprite.prototype.cnds.CompareFrame,null,0,!1,!1,!1,0x90df9b6761e5f,!1,[[8,4],[0,[0,0]]]],[142,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0xe3dd60b9aa410,!1,[[10,0],[8,0],[7,[0,5]]]]],[],[[0,null,!1,null,0x7276b1358a00e,
[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,8324120993748784,!1]],[[15,cr.plugins_.Function.prototype.acts.CallFunction,null,0xdb2ff7872ab6d,!1,[[1,[2,"komics3"]],[13]]]]]]],[0,null,!1,null,9026105882847188,[[42,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,8672240710491277,!1,[[1,[2,"run"]]]]],[],[[0,null,!1,null,0xb124974224277,[[42,cr.plugins_.Sprite.prototype.cnds.CompareFrame,null,0,!1,!1,!1,0xf9f6e8a74ccaf,!1,[[8,0],[0,[0,3]]]]],[],[[0,null,!1,null,0x56faf436940b9,
[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,445376935874552,!1,[[11,"VolumeSound"],[8,0],[7,[0,0]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,4662690210448196,!1]],[[2,cr.plugins_.Audio.prototype.acts.Play,null,0xeb8ae83e8c705,!1,[[2,["steps2",!1]],[3,0],[0,[4,[23,"VolumeSound"],[23,"addVolume"]]],[1,[2,""]]]]]]]],[0,null,!1,null,0x7e42ec32b6729,[[42,cr.plugins_.Sprite.prototype.cnds.CompareFrame,null,0,!1,!1,!1,5184884468678227,!1,[[8,0],[0,[0,0]]]]],[],
[[0,null,!1,null,0xaefdde2b3e7a0,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,4675127718112845,!1,[[11,"VolumeSound"],[8,0],[7,[0,0]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,5856018825678653,!1]],[[2,cr.plugins_.Audio.prototype.acts.Play,null,5069371135910158,!1,[[2,["steps",!1]],[3,0],[0,[4,[23,"VolumeSound"],[23,"addVolume"]]],[1,[2,""]]]]]]]]]],[0,[!0,"komics3"],!1,null,5112185690249461,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,
!1,5112185690249461,!1,[[1,[2,"komics3"]]]]],[],[[0,null,!1,null,0x711451e2ee6bb,[[15,cr.plugins_.Function.prototype.cnds.OnFunction,null,2,!1,!1,!1,5129330097569728,!1,[[1,[2,"komics3"]]]]],[[117,cr.plugins_.Sprite.prototype.acts.SetVisible,null,0xf1f88e8900e61,!1,[[3,0]]],[41,cr.behaviors.Platform.prototype.acts.SetEnabled,"Platform",0x75f5c0d78a266,!1,[[3,1]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x4badea11a356a,!1,[[11,"transitionTarget"],[7,[0,4]]]],[47,cr.plugins_.Sprite.prototype.acts.SetVisible,
null,0x4bc81db291cfa,!1,[[3,1]]],[48,cr.plugins_.Sprite.prototype.acts.SetVisible,null,0xc5e3e8c5419d6,!1,[[3,1]]],[74,cr.plugins_.Sprite.prototype.acts.SetVisible,null,492652429018037,!1,[[3,0]]]],[[0,null,!1,null,0xe5f7217b8851f,[[142,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,6967218895343992,!1,[[10,0],[8,0],[7,[0,5]]]]],[[142,cr.plugins_.Sprite.prototype.acts.SetVisible,null,0xcafa5edb6e024,!1,[[3,0]]]]]]]]],[0,[!0,"oblaka"],!1,null,6026286015435925,[[-1,cr.system_object.prototype.cnds.IsGroupActive,
null,0,!1,!1,!1,6026286015435925,!1,[[1,[2,"oblaka"]]]]],[],[[0,null,!1,null,0x7c90b15ad7066,[],[[112,cr.plugins_.Sprite.prototype.acts.MoveAtAngle,null,8858321436438761,!1,[[0,[0,180]],[0,[0,1]]]]],[[0,null,!1,null,0xcbd719d58f2ef,[[112,cr.plugins_.Sprite.prototype.cnds.CompareX,null,0,!1,!1,!1,0x773118f400d58,!1,[[8,2],[0,[0,-512]]]]],[[112,cr.plugins_.Sprite.prototype.acts.SetX,null,6754541169073441,!1,[[0,[19,cr.system_object.prototype.exps.layoutwidth]]]]]]]]]]]],["e14-17",[[2,"eMus",!1],[2,
"eGeneral",!1],[0,null,!1,null,0x3b804beb35831,[[-1,cr.system_object.prototype.cnds.OnLayoutStart,null,1,!1,!1,!1,4820375354983344,!1]],[[61,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,0xb35cdcd0a745c,!1,[[0,[0,2]]]],[44,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,7394962014867889,!1,[[0,[0,2]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x4badea11a356a,!1,[[11,"transitionTarget"],[7,[0,4]]]]]],[0,[!0,"oblaka2"],!1,null,5724063454307976,[[-1,cr.system_object.prototype.cnds.IsGroupActive,
null,0,!1,!1,!1,5724063454307976,!1,[[1,[2,"oblaka2"]]]]],[],[[0,null,!1,null,0x7c90b15ad7066,[],[[112,cr.plugins_.Sprite.prototype.acts.MoveAtAngle,null,8858321436438761,!1,[[0,[0,180]],[0,[0,1]]]],[113,cr.plugins_.Sprite.prototype.acts.MoveAtAngle,null,9208190154103328,!1,[[0,[0,90]],[0,[1,0.5]]]]],[[0,null,!1,null,0xcbd719d58f2ef,[[112,cr.plugins_.Sprite.prototype.cnds.CompareX,null,0,!1,!1,!1,0x773118f400d58,!1,[[8,2],[0,[0,-512]]]]],[[112,cr.plugins_.Sprite.prototype.acts.SetX,null,6754541169073441,
!1,[[0,[19,cr.system_object.prototype.exps.layoutwidth]]]]]]]]]]]],["e18lv",[[2,"eMus",!1],[2,"eGeneral",!1],[0,null,!1,null,8781459926335681,[[-1,cr.system_object.prototype.cnds.OnLayoutStart,null,1,!1,!1,!1,5838184553469034,!1]],[[61,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,0x83be10569b281,!1,[[0,[0,3]]]],[-1,cr.system_object.prototype.acts.SetVar,null,752015181240178,!1,[[11,"transitionTarget"],[7,[0,4]]]],[44,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,0xef6fc053e1343,!1,[[0,
[0,2]]]],[44,cr.plugins_.Sprite.prototype.acts.SetHeight,null,6018802419489827,!1,[[0,[0,4E3]]]],[64,cr.plugins_.Dictionary.prototype.acts.AddKey,null,6335172045976375,!1,[[1,[2,"goLvName"]],[7,[2,""]]]]]],[0,null,!1,null,0x8feb0f4ff084,[[119,cr.plugins_.Sprite.prototype.cnds.CompareFrame,null,0,!1,!1,!1,8192017070384237,!1,[[8,4],[0,[0,1]]]],[142,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,5809218972376414,!1,[[10,0],[8,0],[7,[0,5]]]]],[],[[0,null,!1,null,8214055580377305,
[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xb2e26bdb31e1e,!1]],[[-1,cr.system_object.prototype.acts.SetLayerOpacity,null,7257363990522959,!1,[[5,[2,"black"]],[0,[0,100]]]],[64,cr.plugins_.Dictionary.prototype.acts.AddKey,null,0x856b6ce368ac5,!1,[[1,[2,"goLvName"]],[7,[2,"menu"]]]],[-1,cr.system_object.prototype.acts.SetVar,null,5338837814493637,!1,[[11,"goToBlack"],[7,[0,1]]]]]]]],[0,null,!1,null,9460092632306962,[[119,cr.plugins_.Sprite.prototype.cnds.CompareFrame,null,0,!1,
!1,!1,8507705136136441,!1,[[8,0],[0,[0,1]]]]],[],[[0,null,!1,null,6811115846535354,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,7628185024711451,!1]],[[68,cr.plugins_.Text.prototype.acts.MoveToTop,null,0x46a5ee49034ea,!1]]]]],[0,[!0,"oblaka3"],!1,null,0xb7c297d64a681,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,0xb7c297d64a681,!1,[[1,[2,"oblaka3"]]]]],[],[[0,null,!1,null,0x7c90b15ad7066,[],[[112,cr.plugins_.Sprite.prototype.acts.MoveAtAngle,null,8858321436438761,
!1,[[0,[0,180]],[0,[0,1]]]],[113,cr.plugins_.Sprite.prototype.acts.MoveAtAngle,null,9208190154103328,!1,[[0,[0,90]],[0,[1,0.5]]]]],[[0,null,!1,null,0xcbd719d58f2ef,[[112,cr.plugins_.Sprite.prototype.cnds.CompareX,null,0,!1,!1,!1,0x773118f400d58,!1,[[8,2],[0,[0,-512]]]]],[[112,cr.plugins_.Sprite.prototype.acts.SetX,null,6754541169073441,!1,[[0,[19,cr.system_object.prototype.exps.layoutwidth]]]]]]]]]],[0,null,!1,null,0x38e92a0a31038,[[15,cr.plugins_.Function.prototype.cnds.OnFunction,null,2,!1,!1,!1,
0xe2c0a747cc37d,!1,[[1,[2,"endGame"]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,4701757889252535,!1,[[11,"transitionTarget"],[7,[0,0]]]],[47,cr.plugins_.Sprite.prototype.acts.SetVisible,null,0x8ee58b107d7f7,!1,[[3,0]]],[48,cr.plugins_.Sprite.prototype.acts.SetVisible,null,0x3ee3f8d2e0ae2,!1,[[3,0]]],[119,cr.plugins_.Sprite.prototype.acts.SetVisible,null,5144607655904384,!1,[[3,1]]],[74,cr.plugins_.Sprite.prototype.acts.SetVisible,null,5578033880863357,!1,[[3,1]]]],[[0,null,!1,null,0xb0abb364bedc5,
[[142,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0xc942b450ff7e7,!1,[[10,0],[8,0],[7,[0,5]]]]],[[142,cr.plugins_.Sprite.prototype.acts.SetVisible,null,6960819101158259,!1,[[3,1]]]]]]]]],["eMenu",[[1,"setVis",0,0,!1,!1,9851101062724706,!1],[2,"eMus",!1],[2,"eCamAll",!1],[1,"menu",0,0,!1,!1,0xfc6e715e73733,!1],[0,null,!1,null,5486290709899607,[[-1,cr.system_object.prototype.cnds.OnLayoutStart,null,1,!1,!1,!1,8306271345406741,!1]],[[141,cr.plugins_.Sprite.prototype.acts.SetPosToObject,
null,5793845730414577,!1,[[4,7],[7,[0,0]]]],[141,cr.plugins_.Sprite.prototype.acts.SetVisible,null,8410918104924111,!1,[[3,0]]],[-1,cr.system_object.prototype.acts.SetVar,null,4769319486016999,!1,[[11,"transitionTarget"],[7,[0,-1]]]]],[[0,null,!1,null,0x615ec780cd5a5,[[-1,cr.system_object.prototype.cnds.For,null,0,!0,!1,!1,0xfbffc09be1835,!1,[[1,[2,"load"]],[0,[0,1]],[0,[0,21]]]]],[[66,cr.plugins_.Arr.prototype.acts.SetX,null,506474298311527,!1,[[0,[19,cr.system_object.prototype.exps.loopindex]],
[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[10,[2,"save_"],[19,cr.system_object.prototype.exps.loopindex]]]]]]]]],[0,null,!1,null,9471675199613566,[[0,cr.plugins_.WebStorage.prototype.cnds.LocalStorageExists,null,0,!1,!1,!1,0x69ce534af8eaf,!1,[[1,[2,"lv"]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,0xc40e5939720ef,!1,[[11,"lv"],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"lv"]]]]]]]]]],[0,null,!1,null,4629615751033553,[[-1,cr.system_object.prototype.cnds.Every,
null,0,!1,!1,!1,760184081593313,!1,[[0,[4,[19,cr.system_object.prototype.exps.random,[[0,3]]],[0,1]]]]]],[[135,cr.plugins_.Sprite.prototype.acts.SetAnim,null,7452280220748522,!1,[[1,[2,"bird"]],[3,1]]]]],[0,null,!1,null,4781148300642954,[[135,cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,null,1,!1,!1,!1,5459631802174969,!1,[[1,[2,"bird"]]]]],[[135,cr.plugins_.Sprite.prototype.acts.SetAnim,null,410567860041644,!1,[[1,[2,"Default"]],[3,1]]]]],[0,[!0,"glmenu"],!1,null,643723162414244,[[-1,cr.system_object.prototype.cnds.IsGroupActive,
null,0,!1,!1,!1,643723162414244,!1,[[1,[2,"glmenu"]]]]],[],[[0,null,!1,null,9142498110577776,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xe68b262bd4c9f,!1,[[11,"menu"],[8,3],[7,[0,-1]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,8662283612915825,!1,[[11,"menu"],[7,[0,2]]]]]],[0,null,!1,null,4680531507541649,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,656790797983593,!1,[[11,"menu"],[8,0],[7,[0,0]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,
0,!1,!1,!1,6654218377263423,!1]],[[15,cr.plugins_.Function.prototype.acts.CallFunction,null,0xaada918a71366,!1,[[1,[2,"invisGlMenu"]],[13]]],[14,cr.plugins_.Rex_Nickname.prototype.acts.PickAll,null,601997032657416,!1,[[1,[2,"play"]],[4,141]]],[141,cr.plugins_.Sprite.prototype.acts.SetVisible,null,6446986218473598,!1,[[3,1]]]],[[0,null,!1,null,0xb112ee58fa87b,[[146,cr.plugins_.Text.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0x3c7049b319f33,!1,[[10,0],[8,0],[7,[0,1]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,
null,0,!1,!1,!1,5918161128615811,!1]],[[146,cr.plugins_.Text.prototype.acts.SetText,null,9718307393629382,!1,[[7,[2,"\u0418\u0433\u0440\u0430\u0442\u044c"]]]]]]]],[0,null,!1,null,8206555695157404,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xefb15ed4581b4,!1,[[11,"menu"],[8,0],[7,[0,1]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xf19418f95df04,!1]],[[15,cr.plugins_.Function.prototype.acts.CallFunction,null,6931517505784802,!1,[[1,[2,"invisGlMenu"]],[13]]],
[14,cr.plugins_.Rex_Nickname.prototype.acts.PickAll,null,0x5da51f95f3b4f,!1,[[1,[2,"continue"]],[4,141]]],[141,cr.plugins_.Sprite.prototype.acts.SetVisible,null,0x56cb34ff651f0,!1,[[3,1]]]],[[0,null,!1,null,0xc3efaf760ef14,[[146,cr.plugins_.Text.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0x917fc82de5e60,!1,[[10,0],[8,0],[7,[0,1]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xdb9abf7007aeb,!1]],[[146,cr.plugins_.Text.prototype.acts.SetText,null,0xb1c4a075af295,!1,[[7,[2,
"\u041f\u0440\u043e\u0434\u043e\u043b\u0436\u0438\u0442\u044c"]]]]]]]],[0,null,!1,null,7399958828269513,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x8ad6e1199e14e,!1,[[11,"menu"],[8,0],[7,[0,2]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,7121469443337653,!1]],[[15,cr.plugins_.Function.prototype.acts.CallFunction,null,9674615522457106,!1,[[1,[2,"invisGlMenu"]],[13]]],[14,cr.plugins_.Rex_Nickname.prototype.acts.PickAll,null,0xbe211d4a46e5e,!1,[[1,[2,"option"]],
[4,141]]],[141,cr.plugins_.Sprite.prototype.acts.SetVisible,null,8880818236461063,!1,[[3,1]]]],[[0,null,!1,null,7514685615888176,[[146,cr.plugins_.Text.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,8802769704996547,!1,[[10,0],[8,0],[7,[0,1]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xa0c0a44626033,!1]],[[146,cr.plugins_.Text.prototype.acts.SetText,null,8657572602478835,!1,[[7,[2,"\u041d\u0430\u0441\u0442\u0440\u043e\u0439\u043a\u0438"]]]]]]]],[0,null,!1,null,0x3ca02784eae90,
[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6466123142554644,!1,[[11,"menu"],[8,5],[7,[0,3]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,0x391ea9709838c,!1,[[11,"menu"],[7,[0,0]]]]]]]],[0,null,!1,null,0xaf57b637ec48b,[[15,cr.plugins_.Function.prototype.cnds.OnFunction,null,2,!1,!1,!1,0xd42b3ebbada18,!1,[[1,[2,"invisGlMenu"]]]]],[[141,cr.plugins_.Sprite.prototype.acts.SetVisible,null,0x97eb7bf004658,!1,[[3,0]]]]],[0,[!0,"buttonTouch"],!1,null,0x924494596f61e,[[-1,cr.system_object.prototype.cnds.IsGroupActive,
null,0,!1,!1,!1,0x924494596f61e,!1,[[1,[2,"buttonTouch"]]]]],[],[[0,null,!1,null,0x39f4cb073d248,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,985170922275141,!1,[[4,141]]],[141,cr.plugins_.Sprite.prototype.cnds.IsVisible,null,0,!1,!1,!1,6157220208149946,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x9ccd2683b37af,!1,[[11,"setVis"],[8,3],[7,[0,1]]]]],[[141,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x8732bea554f12,!1,[[1,[2,"a"]],[3,1]]]]],[0,null,!1,
null,0x7c34eb386de6b,[[141,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,8580199770011442,!1,[[1,[2,"a"]]]]],[],[[0,null,!1,null,9708025616235548,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x885803688702d,!1]],[],[[0,null,!1,null,9716324067731584,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9907694462153884,!1,[[11,"VolumeSound"],[8,0],[7,[0,0]]]]],[[2,cr.plugins_.Audio.prototype.acts.Play,null,5509585388387724,!1,[[2,["menu select",!0]],
[3,0],[0,[23,"VolumeSound"]],[1,[2,""]]]]]]]]]],[0,null,!1,null,0xad5227fd49480,[[141,cr.plugins_.Sprite.prototype.cnds.OnAnyAnimFinished,null,1,!1,!1,!1,8209481451487915,!1]],[[141,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xa86f31de680a4,!1,[[1,[2,"Default"]],[3,1]]]]],[0,null,!1,null,285294667875743,[[9,cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,null,1,!1,!1,!1,0xb23011222b3ae,!1,[[1,[2,"a"]]]]],[[64,cr.plugins_.Dictionary.prototype.acts.AddKey,null,8519301167105502,!1,[[1,[2,"goLvName"]],
[7,[2,"location"]]]],[-1,cr.system_object.prototype.acts.SetVar,null,5396904357523813,!1,[[11,"goToBlack"],[7,[0,1]]]]]],[0,null,!1,null,0xde7c043eb2a77,[[6,cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,null,1,!1,!1,!1,6337493982286486,!1,[[1,[2,"a"]]]]],[[-1,cr.system_object.prototype.acts.LoadState,null,0xa225c80e53853,!1,[[1,[2,"mysave"]]]]]],[0,null,!1,null,8333816791738913,[[8,cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,null,1,!1,!1,!1,457506494919156,!1,[[1,[2,"a"]]]]],[[15,cr.plugins_.Function.prototype.acts.CallFunction,
null,7411926385795399,!1,[[1,[2,"setVis"]],[13]]]]]]],[0,[!0,"button2Touch"],!1,null,23438893874862,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,23438893874862,!1,[[1,[2,"button2Touch"]]]]],[],[[0,null,!1,null,7485836192695464,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,6504784159281039,!1,[[4,142]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,4890291643555544,!1,[[11,"setVis"],[8,3],[7,[0,1]]]]],[[142,cr.plugins_.Sprite.prototype.acts.SetAnim,
null,6499860081153954,!1,[[1,[2,"a"]],[3,1]]]]],[0,null,!1,null,9284452052773722,[[142,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,891005358524747,!1,[[1,[2,"a"]]]]],[],[[0,null,!1,null,6687126559477312,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,7086187259215009,!1]],[],[[0,null,!1,null,0x938ec8a023df2,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xfa43bf96765e8,!1,[[11,"VolumeSound"],[8,0],[7,[0,0]]]]],[[2,cr.plugins_.Audio.prototype.acts.Play,
null,6510985846790952,!1,[[2,["menu click 2",!0]],[3,0],[0,[23,"VolumeSound"]],[1,[2,""]]]]]]]]]],[0,null,!1,null,6604559487837765,[[142,cr.plugins_.Sprite.prototype.cnds.OnAnyAnimFinished,null,1,!1,!1,!1,5583731802001629,!1]],[[142,cr.plugins_.Sprite.prototype.acts.SetAnim,null,5528133415036951,!1,[[1,[2,"Default"]],[3,1]]]]],[0,null,!1,null,6939638068880642,[[142,cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,null,1,!1,!1,!1,0xe570908ba6ba3,!1,[[1,[2,"a"]]]]],[],[[0,null,!1,null,8672115636677526,
[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,9707835247237772,!1]],[],[[0,null,!1,null,6018498121439416,[[142,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,9219474036432588,!1,[[10,0],[8,0],[7,[0,0]]]]],[[-1,cr.system_object.prototype.acts.SubVar,null,0xfcb406244d6fc,!1,[[11,"menu"],[7,[0,1]]]]]],[0,null,!1,null,8490639699303279,[[142,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,6657616276729491,!1,[[10,0],[8,0],[7,[0,1]]]]],[[-1,
cr.system_object.prototype.acts.AddVar,null,9181916405528296,!1,[[11,"menu"],[7,[0,1]]]]]]]]]]]],[0,[!0,"button2TouchSet"],!1,null,915761267732094,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,915761267732094,!1,[[1,[2,"button2TouchSet"]]]]],[],[[0,null,!1,null,7485836192695464,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,6504784159281039,!1,[[4,142]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,4890291643555544,!1,[[11,"setVis"],[8,5],
[7,[0,99]]]]],[[142,cr.plugins_.Sprite.prototype.acts.SetAnim,null,6499860081153954,!1,[[1,[2,"a"]],[3,1]]]]],[0,null,!1,null,9284452052773722,[[142,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,891005358524747,!1,[[1,[2,"a"]]]]],[],[[0,null,!1,null,6687126559477312,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,7086187259215009,!1]],[],[[0,null,!1,null,0xe8fbf52d6dd2d,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,8707948260324816,!1,[[11,"VolumeSound"],
[8,0],[7,[0,0]]]]],[[2,cr.plugins_.Audio.prototype.acts.Play,null,6510985846790952,!1,[[2,["menu click 2",!0]],[3,0],[0,[23,"VolumeSound"]],[1,[2,""]]]]]]]]]],[0,null,!1,null,6604559487837765,[[142,cr.plugins_.Sprite.prototype.cnds.OnAnyAnimFinished,null,1,!1,!1,!1,5583731802001629,!1]],[[142,cr.plugins_.Sprite.prototype.acts.SetAnim,null,5528133415036951,!1,[[1,[2,"Default"]],[3,1]]]]],[0,null,!1,null,6939638068880642,[[142,cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,null,1,!1,!1,!1,0xe570908ba6ba3,
!1,[[1,[2,"a"]]]]],[],[[0,null,!1,null,8672115636677526,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,9707835247237772,!1]],[],[[0,null,!1,null,6379578833426245,[[142,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0x857da34cb5014,!1,[[10,0],[8,0],[7,[0,2]]]]],[[15,cr.plugins_.Function.prototype.acts.CallFunction,null,0x98ccb68fa4590,!1,[[1,[2,"setInVis"]],[13]]]]]]]]]]],[0,[!0,"set"],!1,null,7814647488082603,[[-1,cr.system_object.prototype.cnds.IsGroupActive,
null,0,!1,!1,!1,7814647488082603,!1,[[1,[2,"set"]]]]],[],[[0,null,!1,null,0xf6284cff813c8,[],[[73,cr.plugins_.Sprite.prototype.acts.SetOpacity,null,5052230274306496,!1,[[0,[23,"setVis"]]]]],[[0,null,!1,null,0xac395eef79d52,[[146,cr.plugins_.Text.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0x3edbecde45d5c,!1,[[10,0],[8,0],[7,[0,0]]]]],[[146,cr.plugins_.Text.prototype.acts.SetOpacity,null,0x7ad75adbc1300,!1,[[0,[23,"setVis"]]]]]],[0,null,!1,null,793084691541484,[[146,cr.plugins_.Text.prototype.cnds.CompareInstanceVar,
null,0,!1,!1,!1,5608406790082107,!1,[[10,0],[8,0],[7,[0,3]]]]],[[146,cr.plugins_.Text.prototype.acts.SetOpacity,null,0x6241b3a4873f1,!1,[[0,[23,"setVis"]]]]]],[0,null,!1,null,0xc7d05619529c,[[142,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,6399383816890421,!1,[[10,0],[8,0],[7,[0,2]]]]],[[142,cr.plugins_.Sprite.prototype.acts.SetOpacity,null,4867057886503306,!1,[[0,[23,"setVis"]]]]]]]],[0,[!1,"setVis"],!1,null,8776824970672673,[[-1,cr.system_object.prototype.cnds.IsGroupActive,
null,0,!1,!1,!1,8776824970672673,!1,[[1,[2,"setVis"]]]]],[],[[0,null,!1,null,7155509514982367,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,797211853860884,!1,[[11,"setVis"],[8,2],[7,[0,100]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,7014745575650844,!1,[[11,"setVis"],[7,[0,1]]]]]]]],[0,[!0,"setInVis"],!1,null,0x4767a2cb732e1,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,0x4767a2cb732e1,!1,[[1,[2,"setInVis"]]]]],[],[[0,null,!1,null,8227214686219876,
[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6818688672555348,!1,[[11,"setVis"],[8,4],[7,[0,0]]]]],[[-1,cr.system_object.prototype.acts.SubVar,null,0x744a56e9c050a,!1,[[11,"setVis"],[7,[0,1]]]]]]]],[0,null,!1,null,0x615515329b608,[[15,cr.plugins_.Function.prototype.cnds.OnFunction,null,2,!1,!1,!1,9403949558670372,!1,[[1,[2,"setVis"]]]]],[[-1,cr.system_object.prototype.acts.SetGroupActive,null,0xce0db1dbd9da1,!1,[[1,[2,"setVis"]],[3,1]]],[-1,cr.system_object.prototype.acts.SetGroupActive,
null,7703975040585735,!1,[[1,[2,"setInVis"]],[3,0]]]]],[0,null,!1,null,6118863417372767,[[15,cr.plugins_.Function.prototype.cnds.OnFunction,null,2,!1,!1,!1,0xc37b81869f431,!1,[[1,[2,"setInVis"]]]]],[[-1,cr.system_object.prototype.acts.SetGroupActive,null,7930711309731609,!1,[[1,[2,"setInVis"]],[3,1]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,8861155513350949,!1,[[1,[2,"setVis"]],[3,0]]]]],[0,null,!1,null,8581724964716372,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,
!1,!1,0xbfd72e8ef2b3,!1,[[4,146]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,323580093351507,!1,[[11,"setVis"],[8,5],[7,[0,99]]]]],[],[[0,null,!1,null,5238750231787813,[[146,cr.plugins_.Text.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0xd3f1919ffd3f,!1,[[10,0],[8,0],[7,[0,0]]]]],[[-1,cr.system_object.prototype.acts.SubVar,null,9027682276689132,!1,[[11,"VolumeMus"],[7,[0,10]]]]]],[0,null,!1,null,9384584630862412,[[146,cr.plugins_.Text.prototype.cnds.CompareInstanceVar,null,
0,!1,!1,!1,29789246459484,!1,[[10,0],[8,0],[7,[0,3]]]]],[[-1,cr.system_object.prototype.acts.SubVar,null,9321537207845168,!1,[[11,"VolumeSound"],[7,[0,60]]]]]]]],[0,null,!1,null,295491391135002,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,8214660093014097,!1,[[11,"VolumeMus"],[8,3],[7,[0,-11]]]]],[],[[0,null,!1,null,0xe170f463742b1,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,5710347530342101,!1]],[[-1,cr.system_object.prototype.acts.SetVar,null,7816937432661945,
!1,[[11,"VolumeMus"],[7,[0,0]]]]]]]],[0,null,!1,null,0xb2e973e048b63,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,683103312288932,!1,[[11,"VolumeSound"],[8,3],[7,[0,-61]]]]],[],[[0,null,!1,null,0x7d37af8e35e5c,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,6794528598755854,!1]],[[-1,cr.system_object.prototype.acts.SetVar,null,0x97641e95db525,!1,[[11,"VolumeSound"],[7,[0,0]]]]]]]],[0,null,!1,null,5312129231208882,[[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,7889990560273932,!1,[[11,"VolumeMus"],[8,0],[7,[0,0]]]]],[],[[0,null,!1,null,6685476187172285,[[146,cr.plugins_.Text.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0xf5b6099d4da57,!1,[[10,0],[8,0],[7,[0,0]]]]],[],[[0,null,!1,null,392399167209709,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,5191053935526301,!1]],[[146,cr.plugins_.Text.prototype.acts.SetText,null,0x5f8addadf62ab,!1,[[7,[2,"\u041c\u0443\u0437\u044b\u043a\u0430 \u0432\u043a\u043b\u044e\u0447\u0435\u043d\u0430"]]]],
[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,4686240491951174,!1,[[1,[2,"music"]],[7,[23,"VolumeMus"]]]]]]]]]],[0,null,!1,null,4899667176940049,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xced7574646cc4,!1,[[11,"VolumeMus"],[8,0],[7,[0,-10]]]]],[],[[0,null,!1,null,0xe8627d6dd0014,[[146,cr.plugins_.Text.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,6441409842898048,!1,[[10,0],[8,0],[7,[0,0]]]]],[],[[0,null,!1,null,0x557594944092d,[[-1,cr.system_object.prototype.cnds.TriggerOnce,
null,0,!1,!1,!1,0xefa45586b516e,!1]],[[146,cr.plugins_.Text.prototype.acts.SetText,null,8202000384971056,!1,[[7,[2,"\u041c\u0443\u0437\u044b\u043a\u0430 \u0432\u044b\u043a\u043b\u044e\u0447\u0435\u043d\u0430"]]]],[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,986412764936915,!1,[[1,[2,"music"]],[7,[23,"VolumeMus"]]]]]]]]]],[0,null,!1,null,0xec7604a69a413,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xa7e0e242ff945,!1,[[11,"VolumeSound"],[8,0],[7,[0,0]]]]],[],[[0,null,
!1,null,9296579847738068,[[146,cr.plugins_.Text.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,7191835250174392,!1,[[10,0],[8,0],[7,[0,3]]]]],[],[[0,null,!1,null,9528275869946712,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,430341361524836,!1]],[[146,cr.plugins_.Text.prototype.acts.SetText,null,0xdf95ae9727e05,!1,[[7,[2,"\u0417\u0432\u0443\u043a \u0432\u043a\u043b\u044e\u0447\u0435\u043d"]]]],[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,9009925592653948,!1,[[1,[2,
"sound"]],[7,[23,"VolumeSound"]]]]]]]]]],[0,null,!1,null,8052860355273952,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5790720704243361,!1,[[11,"VolumeSound"],[8,0],[7,[0,-60]]]]],[],[[0,null,!1,null,0x89a493138629d,[[146,cr.plugins_.Text.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,5730418820596377,!1,[[10,0],[8,0],[7,[0,3]]]]],[],[[0,null,!1,null,0x8188473237870,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x47fa48bfcb19b,!1]],[[146,cr.plugins_.Text.prototype.acts.SetText,
null,6683914414471105,!1,[[7,[2,"\u0417\u0432\u0443\u043a \u0432\u044b\u043a\u043b\u044e\u0447\u0435\u043d"]]]],[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,0x9a55619a16f02,!1,[[1,[2,"sound"]],[7,[23,"VolumeSound"]]]]]]]]]]]]]],["eLoader",[[1,"loader",0,0,!1,!1,4536270819213723,!1],[2,"eCamAll",!1],[2,"eMus",!1],[1,"transitionTarget",0,0,!1,!1,8222258946415646,!1],[0,null,!1,null,9958558042389112,[[-1,cr.system_object.prototype.cnds.OnLayoutStart,null,1,!1,!1,!1,0x84a43b244e43,!1]],[[2,
cr.plugins_.Audio.prototype.acts.Preload,null,8394765415744016,!1,[[2,["menu",!0]]]],[2,cr.plugins_.Audio.prototype.acts.Preload,null,4865916065296422,!1,[[2,["menu click 2",!0]]]],[2,cr.plugins_.Audio.prototype.acts.Preload,null,7160020265220472,!1,[[2,["menu select",!0]]]],[2,cr.plugins_.Audio.prototype.acts.Preload,null,0x81699307d027b,!1,[[2,["forest",!0]]]],[2,cr.plugins_.Audio.prototype.acts.Preload,null,576061364830037,!1,[[2,["muraveinik",!0]]]],[2,cr.plugins_.Audio.prototype.acts.Preload,
null,6331482734972838,!1,[[2,["lug",!0]]]],[2,cr.plugins_.Audio.prototype.acts.Preload,null,9855376314914592,!1,[[2,["drop bonus",!1]]]],[2,cr.plugins_.Audio.prototype.acts.Preload,null,9543069985844096,!1,[[2,["jump",!1]]]],[2,cr.plugins_.Audio.prototype.acts.Preload,null,7240523679448492,!1,[[2,["death",!1]]]],[2,cr.plugins_.Audio.prototype.acts.Preload,null,917620349396939,!1,[[2,["death2",!1]]]],[2,cr.plugins_.Audio.prototype.acts.Preload,null,0xb15f9e965845a,!1,[[2,["mushroom",!1]]]],[2,cr.plugins_.Audio.prototype.acts.Preload,
null,8452132566369493,!1,[[2,["pazl",!1]]]],[2,cr.plugins_.Audio.prototype.acts.Preload,null,9884667464364572,!1,[[2,["run",!1]]]],[2,cr.plugins_.Audio.prototype.acts.Preload,null,0xc24a37d2521d3,!1,[[2,["stars",!1]]]],[2,cr.plugins_.Audio.prototype.acts.Preload,null,0x83094424f6188,!1,[[2,["steps",!1]]]],[2,cr.plugins_.Audio.prototype.acts.Preload,null,6648205637837889,!1,[[2,["steps2",!1]]]],[-1,cr.system_object.prototype.acts.SetVar,null,8245602280205854,!1,[[11,"transitionTarget"],[7,[0,-1]]]]],
[[0,null,!1,null,900166646440444,[[-1,cr.system_object.prototype.cnds.IsMobile,null,0,!1,!1,!1,9193105896405356,!1]],[[-1,cr.system_object.prototype.acts.AddVar,null,0x8fff4e440cc38,!1,[[11,"loader"],[7,[0,1]]]]]]]],[0,null,!1,null,5007346707109771,[],[[98,cr.plugins_.TiledBg.prototype.acts.SetWidth,null,4654797206360835,!1,[[0,[4,[19,cr.system_object.prototype.exps.round,[[6,[19,cr.system_object.prototype.exps.loadingprogress],[0,724]]]],[23,"loader"]]]]]]],[0,null,!1,null,0x396a7e5e00554,[[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,9784070795552018,!1,[[11,"loader"],[8,4],[7,[0,1]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,0xeab1eb3d07a87,!1,[[11,"loader"],[7,[0,1]]]]]],[0,null,!1,null,0xa559a985ec79d,[[-1,cr.system_object.prototype.cnds.OnLoadFinished,null,1,!1,!1,!1,0xf5fcc9bfff685,!1]],[[-1,cr.system_object.prototype.acts.AddVar,null,0x994216d838ba0,!1,[[11,"loader"],[7,[0,1]]]]]],[0,null,!1,null,8848082324935367,[[2,cr.plugins_.Audio.prototype.cnds.PreloadsComplete,null,0,!1,!1,!1,6370595192142848,
!1]],[],[[0,null,!1,null,564093048255873,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,6981891314634088,!1]],[[-1,cr.system_object.prototype.acts.AddVar,null,0x3febe3919a135,!1,[[11,"loader"],[7,[0,1]]]]]]]],[0,null,!1,null,8861312263497376,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9129590403996096,!1,[[11,"loader"],[8,5],[7,[0,300]]]]],[[-1,cr.system_object.prototype.acts.GoToLayout,null,9730759374640392,!1,[[6,"menu"]]]],[[0,null,!1,null,0x7ff8a8ce369fa,
[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,9092062488261968,!1]],[[64,cr.plugins_.Dictionary.prototype.acts.AddKey,null,584270494771168,!1,[[1,[2,"goLvName"]],[7,[2,"menu"]]]],[-1,cr.system_object.prototype.acts.SetVar,null,6021450461209969,!1,[[11,"goToBlack"],[7,[0,1]]]]]]]]]],["eLocation",[[2,"eMus",!1],[1,"lv",0,1,!1,!1,0xf89eabe611f9b,!1],[2,"eCamAll",!1],[0,null,!1,null,8814508142131835,[[-1,cr.system_object.prototype.cnds.OnLayoutStart,null,1,!1,!1,!1,0x994023f6be6d5,
!1]],[[-1,cr.system_object.prototype.acts.SetVar,null,0x9ce88a5faaae5,!1,[[11,"transitionTarget"],[7,[0,1]]]],[18,cr.plugins_.Sprite.prototype.acts.AddInstanceVar,null,0xcaff826d11af1,!1,[[10,0],[7,[0,1]]]],[20,cr.plugins_.Sprite.prototype.acts.AddInstanceVar,null,7519133628546668,!1,[[10,0],[7,[0,1]]]],[19,cr.plugins_.Sprite.prototype.acts.AddInstanceVar,null,8329790546506553,!1,[[10,0],[7,[0,1]]]]],[[0,null,!1,null,7569438758967928,[[-1,cr.system_object.prototype.cnds.For,null,0,!0,!1,!1,28468722572349,
!1,[[1,[2,"s"]],[0,[0,1]],[0,[0,19]]]]],[],[[0,null,!1,null,529078334067069,[[18,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,5630088909497369,!1,[[10,0],[8,0],[7,[19,cr.system_object.prototype.exps.loopindex]]]]],[[18,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,0x8cca53595e0f4,!1,[[0,[20,66,cr.plugins_.Arr.prototype.exps.At,!1,null,[[19,cr.system_object.prototype.exps.loopindex],[0,0]]]]]]]],[0,null,!1,null,8808698804889105,[[20,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
null,0,!1,!1,!1,0x6080f3b00ae5e,!1,[[10,0],[8,0],[7,[19,cr.system_object.prototype.exps.loopindex]]]]],[[20,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,6874548049708093,!1,[[0,[20,66,cr.plugins_.Arr.prototype.exps.At,!1,null,[[19,cr.system_object.prototype.exps.loopindex],[0,0]]]]]]]]]]]],[0,[!0,"button2TouchLocation"],!1,null,6967148005443896,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,6967148005443896,!1,[[1,[2,"button2TouchLocation"]]]]],[],[[0,null,!1,null,7485836192695464,
[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,6504784159281039,!1,[[4,142]]]],[[142,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xff9bc2134e69,!1,[[1,[2,"a"]],[3,1]]]]],[0,null,!1,null,9284452052773722,[[142,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,891005358524747,!1,[[1,[2,"a"]]]]],[],[[0,null,!1,null,6687126559477312,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,7086187259215009,!1]],[[2,cr.plugins_.Audio.prototype.acts.Play,null,
0x473ebef27a3b9,!1,[[2,["menu click 2",!0]],[3,0],[0,[23,"VolumeSound"]],[1,[2,""]]]]]]]],[0,null,!1,null,6604559487837765,[[142,cr.plugins_.Sprite.prototype.cnds.OnAnyAnimFinished,null,1,!1,!1,!1,5583731802001629,!1]],[[142,cr.plugins_.Sprite.prototype.acts.SetAnim,null,5528133415036951,!1,[[1,[2,"Default"]],[3,1]]]]],[0,null,!1,null,5752314617386177,[[142,cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,null,1,!1,!1,!1,403461107475224,!1,[[1,[2,"a"]]]]],[],[[0,null,!1,null,7974251587806226,[[-1,
cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x40982270329ba,!1]],[],[[0,null,!1,null,5248726188015638,[[142,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,8338508453583308,!1,[[10,0],[8,0],[7,[0,0]]]]],[[64,cr.plugins_.Dictionary.prototype.acts.AddKey,null,0x9c7402119fcac,!1,[[1,[2,"goLvName"]],[7,[2,"menu"]]]],[-1,cr.system_object.prototype.acts.SetVar,null,985980225216624,!1,[[11,"goToBlack"],[7,[0,1]]]]]],[0,null,!1,null,4836855964680625,[[142,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
null,0,!1,!1,!1,0x5f097c59c3a52,!1,[[10,0],[8,0],[7,[0,1]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,6598236117908667,!1,[[11,"transitionTarget"],[7,[0,2]]]]]],[0,null,!1,null,0x6443377ee7846,[[142,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0xb35d9b3259c1e,!1,[[10,0],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,7517784316698201,!1,[[11,"transitionTarget"],[7,[0,1]]]]]],[0,null,!1,null,0x8efaf9794c929,[[142,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
null,0,!1,!1,!1,0x8381bf7fc864b,!1,[[10,0],[8,0],[7,[0,3]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,0xd35fa8bdf87f7,!1,[[11,"transitionTarget"],[7,[0,3]]]]]],[0,null,!1,null,7135696393480726,[[142,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0x493f2259ac98d,!1,[[10,0],[8,0],[7,[0,4]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,5326035559136875,!1,[[11,"transitionTarget"],[7,[0,2]]]]]]]]]]]],[0,[!0,"goToLv"],!1,null,4897268751512361,[[-1,cr.system_object.prototype.cnds.IsGroupActive,
null,0,!1,!1,!1,4897268751512361,!1,[[1,[2,"goToLv"]]]]],[],[[0,null,!1,null,5718003238209074,[[21,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,7186878991249972,!1,[[10,0],[8,3],[7,[23,"lv"]]]]],[[21,cr.plugins_.Sprite.prototype.acts.SetVisible,null,7746801398616748,!1,[[3,0]]]]],[0,null,!1,null,9430797284809200,[[143,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,6176188488552408,!1,[[10,0],[8,4],[7,[4,[23,"lv"],[0,1]]]]]],[[143,cr.plugins_.Sprite.prototype.acts.SetVisible,
null,9276853424593504,!1,[[3,0]]]]],[0,null,!1,null,415004198535164,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,6467741842919107,!1,[[4,21]]],[21,cr.plugins_.Sprite.prototype.cnds.IsVisible,null,0,!1,!0,!1,5409557078146469,!1]],[],[[0,null,!1,null,9766258575757056,[[21,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,6090375311524647,!1,[[10,0],[8,0],[7,[0,1]]]]],[[64,cr.plugins_.Dictionary.prototype.acts.AddKey,null,0xf991152ae779b,!1,[[1,[2,"goLvName"]],
[7,[2,"1"]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x88d14d2ee9c9e,!1,[[11,"goToBlack"],[7,[0,1]]]]]],[0,null,!1,null,9264393376444932,[[21,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,5050155780816165,!1,[[10,0],[8,0],[7,[0,2]]]]],[[64,cr.plugins_.Dictionary.prototype.acts.AddKey,null,9958807523446360,!1,[[1,[2,"goLvName"]],[7,[2,"2"]]]],[-1,cr.system_object.prototype.acts.SetVar,null,7330429311675233,!1,[[11,"goToBlack"],[7,[0,1]]]]]],[0,null,!1,null,7615870834502015,
[[21,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0x705b89d722a86,!1,[[10,0],[8,0],[7,[0,3]]]]],[[64,cr.plugins_.Dictionary.prototype.acts.AddKey,null,0xe84bde6691893,!1,[[1,[2,"goLvName"]],[7,[2,"3"]]]],[-1,cr.system_object.prototype.acts.SetVar,null,6937578401452619,!1,[[11,"goToBlack"],[7,[0,1]]]]]],[0,null,!1,null,7458560728753595,[[21,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,6406089139699608,!1,[[10,0],[8,0],[7,[0,4]]]]],[[64,cr.plugins_.Dictionary.prototype.acts.AddKey,
null,8796497992101191,!1,[[1,[2,"goLvName"]],[7,[2,"4"]]]],[-1,cr.system_object.prototype.acts.SetVar,null,6286757326028717,!1,[[11,"goToBlack"],[7,[0,1]]]]]],[0,null,!1,null,0xdcbd01be3e9c7,[[21,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0xb7128f73f55f4,!1,[[10,0],[8,0],[7,[0,5]]]]],[[64,cr.plugins_.Dictionary.prototype.acts.AddKey,null,7711366173437275,!1,[[1,[2,"goLvName"]],[7,[2,"5"]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x8c5a76812e7a4,!1,[[11,"goToBlack"],
[7,[0,1]]]]]],[0,null,!1,null,0x785580bc9c46b,[[21,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0xebff28989ab01,!1,[[10,0],[8,0],[7,[0,6]]]]],[[64,cr.plugins_.Dictionary.prototype.acts.AddKey,null,9770682675588048,!1,[[1,[2,"goLvName"]],[7,[2,"6"]]]],[-1,cr.system_object.prototype.acts.SetVar,null,6924535440974097,!1,[[11,"goToBlack"],[7,[0,1]]]]]],[0,null,!1,null,6526545915572415,[[21,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,301319948134395,!1,
[[10,0],[8,0],[7,[0,7]]]]],[[64,cr.plugins_.Dictionary.prototype.acts.AddKey,null,6554307639289973,!1,[[1,[2,"goLvName"]],[7,[2,"7"]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x44488a3a7ee0d,!1,[[11,"goToBlack"],[7,[0,1]]]]]],[0,null,!1,null,0x539b02e745f61,[[21,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0x78a6e1fec9d97,!1,[[10,0],[8,0],[7,[0,8]]]]],[[64,cr.plugins_.Dictionary.prototype.acts.AddKey,null,6650408794795348,!1,[[1,[2,"goLvName"]],[7,[2,"8"]]]],[-1,cr.system_object.prototype.acts.SetVar,
null,0x8f5b0a5ed9be7,!1,[[11,"goToBlack"],[7,[0,1]]]]]],[0,null,!1,null,0xffecc71c1942b,[[21,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,7360424742928142,!1,[[10,0],[8,0],[7,[0,9]]]]],[[64,cr.plugins_.Dictionary.prototype.acts.AddKey,null,6299775281700921,!1,[[1,[2,"goLvName"]],[7,[2,"9"]]]],[-1,cr.system_object.prototype.acts.SetVar,null,9459550035938822,!1,[[11,"goToBlack"],[7,[0,1]]]]]],[0,null,!1,null,8138213267259102,[[21,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
null,0,!1,!1,!1,423740414876711,!1,[[10,0],[8,0],[7,[0,10]]]]],[[64,cr.plugins_.Dictionary.prototype.acts.AddKey,null,762847545956897,!1,[[1,[2,"goLvName"]],[7,[2,"10"]]]],[-1,cr.system_object.prototype.acts.SetVar,null,8361071417909387,!1,[[11,"goToBlack"],[7,[0,1]]]]]],[0,null,!1,null,6825502298794858,[[21,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0x6ec871101d853,!1,[[10,0],[8,0],[7,[0,11]]]]],[[64,cr.plugins_.Dictionary.prototype.acts.AddKey,null,6985500641607622,!1,
[[1,[2,"goLvName"]],[7,[2,"11"]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x82baf92b698b,!1,[[11,"goToBlack"],[7,[0,1]]]]]],[0,null,!1,null,0x62a6a2f46f45f,[[21,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0xb16c2187fa9ab,!1,[[10,0],[8,0],[7,[0,12]]]]],[[64,cr.plugins_.Dictionary.prototype.acts.AddKey,null,0x7f5196fe67a5e,!1,[[1,[2,"goLvName"]],[7,[2,"12"]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x3b0efb1283489,!1,[[11,"goToBlack"],[7,[0,1]]]]]],[0,null,
!1,null,0xfcfd39800eecd,[[21,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,9369618928560976,!1,[[10,0],[8,0],[7,[0,13]]]]],[[64,cr.plugins_.Dictionary.prototype.acts.AddKey,null,7093573589906119,!1,[[1,[2,"goLvName"]],[7,[2,"13"]]]],[-1,cr.system_object.prototype.acts.SetVar,null,8695925465160813,!1,[[11,"goToBlack"],[7,[0,1]]]]]],[0,null,!1,null,5674186264963733,[[21,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,4611461114527173,!1,[[10,0],[8,0],[7,[0,
14]]]]],[[64,cr.plugins_.Dictionary.prototype.acts.AddKey,null,6930681286002723,!1,[[1,[2,"goLvName"]],[7,[2,"14"]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x8558bce09c22a,!1,[[11,"goToBlack"],[7,[0,1]]]]]],[0,null,!1,null,0x5b6557e4e4023,[[21,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0xfb710f0e413cb,!1,[[10,0],[8,0],[7,[0,15]]]]],[[64,cr.plugins_.Dictionary.prototype.acts.AddKey,null,6634998803366849,!1,[[1,[2,"goLvName"]],[7,[2,"15"]]]],[-1,cr.system_object.prototype.acts.SetVar,
null,8476044082964267,!1,[[11,"goToBlack"],[7,[0,1]]]]]],[0,null,!1,null,4745891777955523,[[21,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,5389043653017948,!1,[[10,0],[8,0],[7,[0,16]]]]],[[64,cr.plugins_.Dictionary.prototype.acts.AddKey,null,4768632232772484,!1,[[1,[2,"goLvName"]],[7,[2,"16"]]]],[-1,cr.system_object.prototype.acts.SetVar,null,9219971921405936,!1,[[11,"goToBlack"],[7,[0,1]]]]]],[0,null,!1,null,7368926547431176,[[21,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
null,0,!1,!1,!1,5510436880893707,!1,[[10,0],[8,0],[7,[0,17]]]]],[[64,cr.plugins_.Dictionary.prototype.acts.AddKey,null,0xe259403a53d56,!1,[[1,[2,"goLvName"]],[7,[2,"17"]]]],[-1,cr.system_object.prototype.acts.SetVar,null,6686786859490559,!1,[[11,"goToBlack"],[7,[0,1]]]]]],[0,null,!1,null,9763776107031572,[[21,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,4982034394783302,!1,[[10,0],[8,0],[7,[0,18]]]]],[[64,cr.plugins_.Dictionary.prototype.acts.AddKey,null,6650906741913366,!1,
[[1,[2,"goLvName"]],[7,[2,"18"]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0xc6b57d1b27f27,!1,[[11,"goToBlack"],[7,[0,1]]]]]]]]]]]],["eCamAll",[[1,"speedCam",0,3E-4,!1,!1,4978952058428781,!1],[0,null,!1,null,7117646878049659,[[-1,cr.system_object.prototype.cnds.OnLayoutStart,null,1,!1,!1,!1,0x5f46f91d66b3c,!1]],[[17,cr.plugins_.MagiCam.prototype.acts.CreateGlobalCamera,null,7307020459581605,!1,[[1,[2,"cam"]],[0,[0,0]],[0,[0,0]],[0,[0,1]],[3,1]]]],[[0,[!0,"hud"],!1,null,0x7f97a44429a52,[[-1,
cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,0x7f97a44429a52,!1,[[1,[2,"hud"]]]]],[],[[0,null,!1,null,0x81b8cfc14dadd,[[-1,cr.system_object.prototype.cnds.Compare,null,0,!1,!1,!1,0x5bfb05f3a19bf,!1,[[7,[19,cr.system_object.prototype.exps.layoutname]],[8,1],[7,[2,"1"]]]],[-1,cr.system_object.prototype.cnds.Compare,null,0,!1,!1,!1,8250389839066054,!1,[[7,[19,cr.system_object.prototype.exps.layoutname]],[8,1],[7,[2,"menu"]]]],[-1,cr.system_object.prototype.cnds.Compare,null,0,!1,!1,
!1,368961715154389,!1,[[7,[19,cr.system_object.prototype.exps.layoutname]],[8,1],[7,[2,"location"]]]]],[[-1,cr.system_object.prototype.acts.CreateObject,null,0x824fb93b5fe2f,!1,[[4,48],[5,[2,"gui"]],[0,[0,913]],[0,[0,622]]]],[48,cr.plugins_.Sprite.prototype.acts.SetSize,null,5298912615148244,!1,[[0,[0,207]],[0,[0,208]]]],[48,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0x74b2de49fbcac,!1,[[10,0],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,7435474894994495,!1,[[4,48],
[5,[2,"gui"]],[0,[0,739]],[0,[0,663]]]],[48,cr.plugins_.Sprite.prototype.acts.SetSize,null,91102406397052,!1,[[0,[0,125]],[0,[0,-125]]]],[48,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0x40bd17b8608d0,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,9992723484967052,!1,[[4,47],[5,[2,"gui"]],[0,[0,302]],[0,[0,636]]]],[47,cr.plugins_.Sprite.prototype.acts.SetSize,null,5164494254103134,!1,[[0,[0,-149]],[0,[0,-166]]]],[47,cr.plugins_.Sprite.prototype.acts.SetAngle,
null,0x7b8a85e925d9d,!1,[[0,[0,270]]]],[47,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,709530491379854,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0x64e9e1bb22062,!1,[[4,47],[5,[2,"gui"]],[0,[0,127]],[0,[0,635]]]],[47,cr.plugins_.Sprite.prototype.acts.SetSize,null,8400253365509569,!1,[[0,[0,-149]],[0,[0,166]]]],[47,cr.plugins_.Sprite.prototype.acts.SetAngle,null,543953857070049,!1,[[0,[0,270]]]],[47,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,6953298702422388,
!1,[[10,0],[7,[0,3]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0x7655a7cfb4b4f,!1,[[4,61],[5,[2,"gui"]],[0,[0,79]],[0,[0,112]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0xd6350f3aa9fca,!1,[[4,60],[5,[2,"gui"]],[0,[0,932]],[0,[0,57]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,7654038364281849,!1,[[4,63],[5,[2,"gui"]],[0,[0,128]],[0,[0,22]]]],[63,cr.plugins_.Text.prototype.acts.SetInstanceVar,null,8254512298822413,!1,[[10,0],[7,[0,1]]]],[63,cr.plugins_.Text.prototype.acts.SetEffect,
null,80095686529034,!1,[[3,0]]],[-1,cr.system_object.prototype.acts.CreateObject,null,919954517827516,!1,[[4,63],[5,[2,"gui"]],[0,[0,128]],[0,[0,83]]]],[63,cr.plugins_.Text.prototype.acts.SetInstanceVar,null,8391481992641937,!1,[[10,0],[7,[0,2]]]],[63,cr.plugins_.Text.prototype.acts.SetEffect,null,5030734587923607,!1,[[3,0]]],[-1,cr.system_object.prototype.acts.CreateObject,null,7339770310703316,!1,[[4,63],[5,[2,"gui"]],[0,[0,128]],[0,[0,144]]]],[63,cr.plugins_.Text.prototype.acts.SetInstanceVar,
null,0xcde5083c6a586,!1,[[10,0],[7,[0,3]]]],[63,cr.plugins_.Text.prototype.acts.SetEffect,null,9867540166020594,!1,[[3,0]]],[-1,cr.system_object.prototype.acts.CreateObject,null,796801238763148,!1,[[4,121],[5,[2,"gui"]],[0,[0,512]],[0,[0,110]]]],[121,cr.plugins_.Sprite.prototype.acts.SetSize,null,4863472101769257,!1,[[0,[0,128]],[0,[0,128]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0x8bd86daff26de,!1,[[4,67],[5,[2,"gui"]],[0,[0,512]],[0,[0,110]]]],[67,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,
null,5941301398560352,!1,[[10,0],[7,[0,0]]]],[67,cr.plugins_.Sprite.prototype.acts.SetSize,null,7217270522911975,!1,[[0,[0,173]],[0,[0,90]]]],[67,cr.plugins_.Sprite.prototype.acts.SetVisible,null,0xc841422125966,!1,[[3,1]]],[-1,cr.system_object.prototype.acts.CreateObject,null,4666267428758046,!1,[[4,67],[5,[2,"gui"]],[0,[0,-160]],[0,[0,-500]]]],[67,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0xe910637a175fa,!1,[[10,0],[7,[0,1]]]],[67,cr.plugins_.Sprite.prototype.acts.SetVisible,null,6664949355282546,
!1,[[3,0]]]]]]]]],[0,null,!1,null,8962866695744696,[],[[42,cr.plugins_.Sprite.prototype.acts.SetPosToObject,null,0xbedfade6393c1,!1,[[4,41],[7,[0,0]]]]]],[0,[!0,"cam"],!1,null,0xa549ac255cc07,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,0xa549ac255cc07,!1,[[1,[2,"cam"]]]]],[],[[0,null,!1,null,0xb5191644621fc,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9519779241931242,!1,[[11,"transitionTarget"],[8,0],[7,[0,-1]]]]],[[17,cr.plugins_.MagiCam.prototype.acts.SetPosition,
null,0x3cc81330e73d8,!1,[[1,[2,"cam"]],[0,[0,1512]],[0,[0,883]]]]]],[0,null,!1,null,0xbc913ab1caf83,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x761c65a9793a9,!1,[[11,"transitionTarget"],[8,0],[7,[0,0]]]]],[[17,cr.plugins_.MagiCam.prototype.acts.SetPosition,null,673444144089611,!1,[[1,[2,"cam"]],[0,[0,1172]],[0,[0,384]]]]]],[0,null,!1,null,9838808284938416,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,8724490047403038,!1,[[11,"transitionTarget"],[8,0],[7,[0,
1]]]]],[[17,cr.plugins_.MagiCam.prototype.acts.SetPosition,null,7897744315522681,!1,[[1,[2,"cam"]],[0,[19,cr.system_object.prototype.exps.lerp,[[19,cr.system_object.prototype.exps.scrollx],[0,812],[5,[0,1],[9,[23,"speedCam"],[19,cr.system_object.prototype.exps.dt]]]]]],[0,[19,cr.system_object.prototype.exps.lerp,[[19,cr.system_object.prototype.exps.scrolly],[0,384],[5,[0,1],[9,[23,"speedCam"],[19,cr.system_object.prototype.exps.dt]]]]]]]]]],[0,null,!1,null,6407634869105371,[[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,4995401285586497,!1,[[11,"transitionTarget"],[8,0],[7,[0,2]]]]],[[17,cr.plugins_.MagiCam.prototype.acts.SetPosition,null,7329324047281775,!1,[[1,[2,"cam"]],[0,[19,cr.system_object.prototype.exps.lerp,[[19,cr.system_object.prototype.exps.scrollx],[0,2436],[5,[0,1],[9,[23,"speedCam"],[19,cr.system_object.prototype.exps.dt]]]]]],[0,[19,cr.system_object.prototype.exps.lerp,[[19,cr.system_object.prototype.exps.scrolly],[0,384],[5,[0,1],[9,[23,"speedCam"],[19,cr.system_object.prototype.exps.dt]]]]]]]]]],
[0,null,!1,null,8589518525033094,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xa40ae19fc4da5,!1,[[11,"transitionTarget"],[8,0],[7,[0,3]]]]],[[17,cr.plugins_.MagiCam.prototype.acts.SetPosition,null,5344083867802348,!1,[[1,[2,"cam"]],[0,[19,cr.system_object.prototype.exps.lerp,[[19,cr.system_object.prototype.exps.scrollx],[0,4060],[5,[0,1],[9,[23,"speedCam"],[19,cr.system_object.prototype.exps.dt]]]]]],[0,[19,cr.system_object.prototype.exps.lerp,[[19,cr.system_object.prototype.exps.scrolly],
[0,384],[5,[0,1],[9,[23,"speedCam"],[19,cr.system_object.prototype.exps.dt]]]]]]]]]],[0,null,!1,null,9313812712187024,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,8550144909242902,!1,[[11,"transitionTarget"],[8,0],[7,[0,4]]]]],[[17,cr.plugins_.MagiCam.prototype.acts.SetPosition,null,9882152354298712,!1,[[1,[2,"cam"]],[0,[19,cr.system_object.prototype.exps.lerp,[[19,cr.system_object.prototype.exps.scrollx],[20,41,cr.plugins_.Sprite.prototype.exps.X,!1,null],[5,[0,1],[9,[23,"speedCam"],
[19,cr.system_object.prototype.exps.dt]]]]]],[0,[19,cr.system_object.prototype.exps.lerp,[[19,cr.system_object.prototype.exps.scrolly],[20,41,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[5,[0,1],[9,[23,"speedCam"],[19,cr.system_object.prototype.exps.dt]]]]]]]]]]]],[1,"goToBlack",0,0,!1,!1,4966594344042691,!1],[0,[!0,"BlackVis"],!1,null,5169367246976942,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,5169367246976942,!1,[[1,[2,"BlackVis"]]]]],[],[[0,null,!1,null,7227141289724017,
[[-1,cr.system_object.prototype.cnds.OnLayoutStart,null,1,!1,!1,!1,5664979843262004,!1]],[[-1,cr.system_object.prototype.acts.SetLayerOpacity,null,6832166314066333,!1,[[5,[2,"black"]],[0,[0,100]]]]]],[0,null,!1,null,0xc8c0799b2ca81,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x3cda8e80bc3fd,!1,[[11,"goToBlack"],[8,0],[7,[0,0]]]],[-1,cr.system_object.prototype.cnds.LayerCmpOpacity,null,0,!1,!1,!1,4885669742752245,!1,[[5,[2,"black"]],[8,4],[0,[0,0]]]]],[[-1,cr.system_object.prototype.acts.SetLayerOpacity,
null,584700621379203,!1,[[5,[2,"black"]],[0,[19,cr.system_object.prototype.exps.lerp,[[19,cr.system_object.prototype.exps.layeropacity,[[2,"black"]]],[0,0],[5,[0,1],[9,[1,0.03],[19,cr.system_object.prototype.exps.dt]]]]]]]]]],[0,null,!1,null,0xf532330b1dd2f,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x918be3b9611fb,!1,[[11,"goToBlack"],[8,0],[7,[0,1]]]],[-1,cr.system_object.prototype.cnds.LayerCmpOpacity,null,0,!1,!1,!1,8553067421519865,!1,[[5,[2,"black"]],[8,2],[0,[0,100]]]]],
[[-1,cr.system_object.prototype.acts.SetLayerOpacity,null,4775971291420185,!1,[[5,[2,"black"]],[0,[19,cr.system_object.prototype.exps.lerp,[[19,cr.system_object.prototype.exps.layeropacity,[[2,"black"]]],[0,102],[5,[0,1],[9,[1,0.003],[19,cr.system_object.prototype.exps.dt]]]]]]]]]],[0,null,!1,null,735414697858623,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xdf174548dd5e6,!1,[[11,"goToBlack"],[8,0],[7,[0,1]]]],[-1,cr.system_object.prototype.cnds.LayerCmpOpacity,null,0,!1,!1,!1,
4616705777113088,!1,[[5,[2,"black"]],[8,5],[0,[0,100]]]]],[],[[0,null,!1,null,6923808602722448,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,8706925139061609,!1]],[[-1,cr.system_object.prototype.acts.GoToLayoutByName,null,0x47138c52fe69d,!1,[[1,[20,64,cr.plugins_.Dictionary.prototype.exps.Get,!1,null,[[2,"goLvName"]]]]]],[-1,cr.system_object.prototype.acts.SetVar,null,9003091626246671,!1,[[11,"goToBlack"],[7,[0,0]]]]]]]]]],[0,[!0,"cheat"],!1,null,4605627490129572,[[-1,cr.system_object.prototype.cnds.IsGroupActive,
null,0,!1,!1,!1,4605627490129572,!1,[[1,[2,"cheat"]]]]],[],[[0,null,!1,null,0xce8fb8b4e702d,[[1,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,0xf17b9668851cf,!1,[[4,135]]]],[],[[0,null,!1,null,6768595699608415,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,7237494705380902,!1,[[0,[1,1]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,44277669180632,!1,[[11,"lv"],[7,[0,1]]]]]]]],[0,null,!1,null,0x3cbd593975cfe,[[-1,cr.system_object.prototype.cnds.CompareVar,null,
0,!1,!1,!1,0x8f6fa95762432,!1,[[11,"lv"],[8,5],[7,[0,18]]]]],[],[[0,null,!1,null,0x7f122180c1d9d,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,9852215155614740,!1]],[[64,cr.plugins_.Dictionary.prototype.acts.AddKey,null,0x45169a86e9552,!1,[[1,[2,"goLvName"]],[7,[2,"location"]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0xe7553434733f1,!1,[[11,"goToBlack"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,0xc4dd7d9be2043,!1,[[1,[2,"cheat"]],[3,0]]]]]]],[0,
null,!1,null,5309273517355051,[[49,cr.plugins_.Keyboard.prototype.cnds.IsKeyDown,null,0,!1,!1,!1,4708660366045877,!1,[[9,65]]]],[],[[0,null,!1,null,9031100492137648,[[49,cr.plugins_.Keyboard.prototype.cnds.IsKeyDown,null,0,!1,!1,!1,8483004354801033,!1,[[9,66]]]],[],[[0,null,!1,null,0x40ba7b02a13a4,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x4a7c3c4a6249e,!1]],[[-1,cr.system_object.prototype.acts.SetGroupActive,null,8713681476240498,!1,[[1,[2,"cheatAct"]],[3,1]]]]]]]]],[0,[!1,
"cheatAct"],!1,null,6177120792698037,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,6177120792698037,!1,[[1,[2,"cheatAct"]]]]],[],[[0,null,!1,null,6009701493466787,[[49,cr.plugins_.Keyboard.prototype.cnds.OnKey,null,1,!1,!1,!1,9457562204222824,!1,[[9,48]]]],[[40,cr.plugins_.Sprite.prototype.acts.Destroy,null,4683358816745245,!1],[-1,cr.system_object.prototype.acts.AddVar,null,9122389931446116,!1,[[11,"grib"],[7,[0,1]]]]]],[0,null,!1,null,9880395099895848,[[49,cr.plugins_.Keyboard.prototype.cnds.OnKey,
null,1,!1,!1,!1,9096366964025488,!1,[[9,49]]]],[[-1,cr.system_object.prototype.acts.GoToLayout,null,0x6f3439aa85a3f,!1,[[6,"1"]]]]],[0,null,!1,null,0x3bbdd2a66005e,[[49,cr.plugins_.Keyboard.prototype.cnds.OnKey,null,1,!1,!1,!1,0x9c50a4b56a7d9,!1,[[9,50]]]],[[-1,cr.system_object.prototype.acts.GoToLayout,null,5033437544778106,!1,[[6,"2"]]]]],[0,null,!1,null,0xd28e493c27e9d,[[49,cr.plugins_.Keyboard.prototype.cnds.OnKey,null,1,!1,!1,!1,0xe9ed5e85d863a,!1,[[9,51]]]],[[-1,cr.system_object.prototype.acts.GoToLayout,
null,6629059804520901,!1,[[6,"3"]]]]],[0,null,!1,null,6139634801896168,[[49,cr.plugins_.Keyboard.prototype.cnds.OnKey,null,1,!1,!1,!1,7947315870048891,!1,[[9,52]]]],[[-1,cr.system_object.prototype.acts.GoToLayout,null,7852145650074936,!1,[[6,"4"]]]]],[0,null,!1,null,9227859023359994,[[49,cr.plugins_.Keyboard.prototype.cnds.OnKey,null,1,!1,!1,!1,0xd8e1044cf9023,!1,[[9,53]]]],[[-1,cr.system_object.prototype.acts.GoToLayout,null,6705486598729585,!1,[[6,"5"]]]]],[0,null,!1,null,0xf2b7974c38830,[[49,cr.plugins_.Keyboard.prototype.cnds.OnKey,
null,1,!1,!1,!1,0xa4b235a3f3396,!1,[[9,54]]]],[[-1,cr.system_object.prototype.acts.GoToLayout,null,8517693852375987,!1,[[6,"6"]]]]],[0,null,!1,null,0x94958a5e3881b,[[49,cr.plugins_.Keyboard.prototype.cnds.OnKey,null,1,!1,!1,!1,5973969739560198,!1,[[9,55]]]],[[-1,cr.system_object.prototype.acts.GoToLayout,null,416896318241944,!1,[[6,"7"]]]]],[0,null,!1,null,0xf4ca338229ff0,[[49,cr.plugins_.Keyboard.prototype.cnds.OnKey,null,1,!1,!1,!1,7531397964773656,!1,[[9,56]]]],[[-1,cr.system_object.prototype.acts.GoToLayout,
null,957712931384872,!1,[[6,"8"]]]]],[0,null,!1,null,5550855204650103,[[49,cr.plugins_.Keyboard.prototype.cnds.OnKey,null,1,!1,!1,!1,9357626708799378,!1,[[9,57]]]],[[-1,cr.system_object.prototype.acts.GoToLayout,null,0x89a71f43c6f1d,!1,[[6,"9"]]]]],[0,null,!1,null,7480388436611547,[[49,cr.plugins_.Keyboard.prototype.cnds.OnKey,null,1,!1,!1,!1,0x657230bdda1c7,!1,[[9,82]]]],[[-1,cr.system_object.prototype.acts.GoToLayout,null,0xb457ff5a0f384,!1,[[6,"10"]]]]],[0,null,!1,null,0xa98bae52ab9e6,[[49,cr.plugins_.Keyboard.prototype.cnds.OnKey,
null,1,!1,!1,!1,7555066417320788,!1,[[9,84]]]],[[-1,cr.system_object.prototype.acts.GoToLayout,null,8297518143414439,!1,[[6,"11"]]]]],[0,null,!1,null,894293850364456,[[49,cr.plugins_.Keyboard.prototype.cnds.OnKey,null,1,!1,!1,!1,0xb24eefac2bddf,!1,[[9,89]]]],[[-1,cr.system_object.prototype.acts.GoToLayout,null,4523065970624349,!1,[[6,"12"]]]]],[0,null,!1,null,7675033110702886,[[49,cr.plugins_.Keyboard.prototype.cnds.OnKey,null,1,!1,!1,!1,8364957407105074,!1,[[9,85]]]],[[-1,cr.system_object.prototype.acts.GoToLayout,
null,0xfc8258a6ed01f,!1,[[6,"13"]]]]],[0,null,!1,null,9589047002149384,[[49,cr.plugins_.Keyboard.prototype.cnds.OnKey,null,1,!1,!1,!1,0xedc7c24b8e215,!1,[[9,73]]]],[[-1,cr.system_object.prototype.acts.GoToLayout,null,0xb2fabe7c305a5,!1,[[6,"14"]]]]],[0,null,!1,null,8570849623861934,[[49,cr.plugins_.Keyboard.prototype.cnds.OnKey,null,1,!1,!1,!1,5899671706707688,!1,[[9,79]]]],[[-1,cr.system_object.prototype.acts.GoToLayout,null,0x51b15b9377ca4,!1,[[6,"15"]]]]],[0,null,!1,null,438520622678709,[[49,cr.plugins_.Keyboard.prototype.cnds.OnKey,
null,1,!1,!1,!1,7731992474201856,!1,[[9,80]]]],[[-1,cr.system_object.prototype.acts.GoToLayout,null,5250778513428319,!1,[[6,"16"]]]]],[0,null,!1,null,5144021298127124,[[49,cr.plugins_.Keyboard.prototype.cnds.OnKey,null,1,!1,!1,!1,7815846664520418,!1,[[9,219]]]],[[-1,cr.system_object.prototype.acts.GoToLayout,null,4521199437142108,!1,[[6,"17"]]]]],[0,null,!1,null,6939248358317227,[[49,cr.plugins_.Keyboard.prototype.cnds.OnKey,null,1,!1,!1,!1,4560607961018823,!1,[[9,221]]]],[[-1,cr.system_object.prototype.acts.GoToLayout,
null,0x3bc729dd33499,!1,[[6,"18"]]]]],[0,null,!1,null,0x7c7ddf938c46a,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchStart,null,1,!1,!1,!1,7039058482733817,!1]],[[41,cr.plugins_.Sprite.prototype.acts.SetPos,null,5022865192522927,!1,[[0,[20,1,cr.plugins_.Touch.prototype.exps.X,!1,null]],[0,[20,1,cr.plugins_.Touch.prototype.exps.Y,!1,null]]]]]]]]]]]],["eGeneral",[[1,"saveInMenu",0,0,!1,!1,8094743826805658,!1],[1,"standAllTimer",0,0,!1,!1,457733509935344,!1],[1,"standTime",0,0,!1,!1,0xbd8d100f18dd7,!1],
[1,"standTime2",0,50,!1,!1,9886295479357816,!1],[1,"addVolume",0,10,!1,!1,5866234004484046,!1],[1,"health",0,3,!1,!1,0x704349dfc9279,!1],[1,"Y_",0,0,!1,!1,4931296361419472,!1],[1,"x_",0,0,!1,!1,0x3fef84ecca429,!1],[1,"stars",0,0,!1,!1,0xe510acd46e7f8,!1],[1,"stars2",0,0,!1,!1,7334566766954503,!1],[1,"grib",0,0,!1,!1,0xc56ddfbdbce4c,!1],[1,"grib2",0,0,!1,!1,8156808669071835,!1],[2,"eMenuAllLv",!1],[2,"eCamAll",!1],[0,null,!1,null,0xc99693b39319d,[[-1,cr.system_object.prototype.cnds.OnLayoutStart,null,
1,!1,!1,!1,0xd8ea89361237e,!1]],[[136,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x8d608bf117a13,!1],[144,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,9428852875981008,!1,[[0,[19,cr.system_object.prototype.exps["int"],[[19,cr.system_object.prototype.exps.random,[[0,9]]]]]]]],[44,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x816e83a9da4c6,!1,[[0,[3,[20,44,cr.plugins_.Sprite.prototype.exps.ImageWidth,!1,null]]],[0,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x96433df04cb33,
!1,[[11,"stars2"],[7,[20,28,cr.plugins_.Sprite.prototype.exps.Count,!1,null]]]],[-1,cr.system_object.prototype.acts.SetVar,null,90956667259736,!1,[[11,"grib2"],[7,[20,40,cr.plugins_.Sprite.prototype.exps.Count,!1,null]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0xb26d6f4867127,!1,[[11,"stars"],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,5473304692971727,!1,[[11,"grib"],[7,[0,0]]]],[41,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x47bb48ecbd221,!1],[72,cr.plugins_.Sprite.prototype.acts.Spawn,
null,9858600368618868,!1,[[4,41],[5,[2,"general"]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,0xf5f65dfa73583,!1,[[1,[2,"move"]],[3,1]]],[144,cr.plugins_.Sprite.prototype.acts.MoveToLayer,null,0x42adcb89288cf,!1,[[5,[2,"main"]]]],[145,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,9699062811045066,!1,[[10,7],[7,[23,"health"]]]],[-1,cr.system_object.prototype.acts.SetVar,null,6313514679091573,!1,[[11,"x_"],[7,[20,72,cr.plugins_.Sprite.prototype.exps.X,!1,null]]]],[-1,
cr.system_object.prototype.acts.SetVar,null,0xd50ee72fe916c,!1,[[11,"Y_"],[7,[20,72,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[-1,cr.system_object.prototype.acts.SetObjectTimescale,null,9309981710971204,!1,[[4,125],[0,[1,7]]]],[76,cr.plugins_.Sprite.prototype.acts.Spawn,null,4760083418674609,!1,[[4,134],[5,[20,76,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[134,cr.plugins_.Sprite.prototype.acts.SetAngle,null,622150835890966,!1,[[0,[20,76,cr.plugins_.Sprite.prototype.exps.Angle,
!1,null]]]],[134,cr.plugins_.Sprite.prototype.acts.SetSize,null,29184046389973,!1,[[0,[20,76,cr.plugins_.Sprite.prototype.exps.Width,!1,null]],[0,[20,76,cr.plugins_.Sprite.prototype.exps.Height,!1,null]]]],[134,cr.plugins_.Sprite.prototype.acts.MoveToTop,null,0x74a5de662070d,!1]],[[0,null,!1,null,296295342346185,[[-1,cr.system_object.prototype.cnds.Compare,null,0,!1,!1,!1,0x6ea2f380fd8a,!1,[[7,[19,cr.system_object.prototype.exps["int"],[[19,cr.system_object.prototype.exps.layoutname]]]],[8,0],[7,
[0,3]]]]],[[41,cr.plugins_.Sprite.prototype.acts.SetSize,null,0xe21326843116c,!1,[[0,[0,185]],[0,[0,245]]]]]],[0,null,!1,null,9119560967365118,[[-1,cr.system_object.prototype.cnds.For,null,0,!0,!1,!1,0x441c204ee10c3,!1,[[1,[2,"i"]],[0,[0,1]],[0,[19,cr.system_object.prototype.exps["int"],[[7,[19,cr.system_object.prototype.exps.layoutwidth],[20,44,cr.plugins_.Sprite.prototype.exps.ImageWidth,!1,null]]]]]]]],[[-1,cr.system_object.prototype.acts.CreateObject,null,5544976706586326,!1,[[4,44],[5,[0,0]],
[0,[4,[0,0],[6,[20,44,cr.plugins_.Sprite.prototype.exps.ImageWidth,!1,null],[19,cr.system_object.prototype.exps.loopindex]]]],[0,[0,0]]]]]],[0,null,!1,null,0x562631eb234c7,[[-1,cr.system_object.prototype.cnds.Compare,null,0,!1,!1,!1,6000354167891718,!1,[[7,[20,65,cr.plugins_.Particles.prototype.exps.Count,!1,null]],[8,4],[7,[0,0]]]]],[[65,cr.plugins_.Particles.prototype.acts.Destroy,null,9029403437096586,!1],[-1,cr.system_object.prototype.acts.CreateObject,null,828393535348104,!1,[[4,65],[5,[2,"general"]],
[0,[0,0]],[0,[0,0]]]],[65,cr.plugins_.Particles.prototype.acts.SetRate,null,9880373827046954,!1,[[0,[0,10]]]],[65,cr.plugins_.Particles.prototype.acts.SetXRandomiser,null,7973517012059034,!1,[[0,[0,2E3]]]],[65,cr.plugins_.Particles.prototype.acts.SetYRandomiser,null,0x411706c780818,!1,[[0,[0,1E3]]]]]],[0,null,!1,null,7397716404995201,[[-1,cr.system_object.prototype.cnds.Compare,null,0,!1,!1,!1,4960709148464939,!1,[[7,[20,118,cr.plugins_.Particles.prototype.exps.Count,!1,null]],[8,4],[7,[0,0]]]]],
[[118,cr.plugins_.Particles.prototype.acts.Destroy,null,6044183802711068,!1],[-1,cr.system_object.prototype.acts.CreateObject,null,9054269047644824,!1,[[4,118],[5,[2,"general"]],[0,[0,0]],[0,[0,0]]]],[118,cr.plugins_.Particles.prototype.acts.SetRate,null,5164010948654963,!1,[[0,[0,10]]]],[118,cr.plugins_.Particles.prototype.acts.SetXRandomiser,null,4949516517624512,!1,[[0,[0,2E3]]]],[118,cr.plugins_.Particles.prototype.acts.SetYRandomiser,null,7862103918776552,!1,[[0,[0,1E3]]]]]]]],[0,null,!1,null,
4863399223059044,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,8988500755862598,!1,[[0,[1,0.1]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,0x60ea858eae2c1,!1,[[11,"standTime"],[7,[0,1]]]]],[[0,null,!1,null,7153866436393301,[[146,cr.plugins_.Text.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,4699939160940231,!1,[[10,0],[8,0],[7,[0,1]]]]],[[146,cr.plugins_.Text.prototype.acts.SetText,null,9788432866330298,!1,[[7,[19,cr.system_object.prototype.exps.round,[[21,145,!1,null,7]]]]]]]],
[0,null,!1,null,5733008876744668,[[146,cr.plugins_.Text.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,8075003889428303,!1,[[10,0],[8,0],[7,[0,2]]]]],[[146,cr.plugins_.Text.prototype.acts.SetText,null,648232600821662,!1,[[7,[10,[10,[23,"stars"],[2,"  /  "]],[23,"stars2"]]]]]]],[0,null,!1,null,8896520212692246,[[146,cr.plugins_.Text.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0x91e1f3d5ebf5b,!1,[[10,0],[8,0],[7,[0,3]]]]],[[146,cr.plugins_.Text.prototype.acts.SetText,null,0xbddaf87acde9d,!1,
[[7,[10,[10,[23,"grib"],[2,"  /  "]],[23,"grib2"]]]]]]],[0,null,!1,null,7003870527204029,[[42,cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,null,1,!1,!1,!1,8098419445856185,!1,[[1,[2,"stand"]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,5832157790789082,!1,[[11,"standTime"],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0xc1adf95f197d8,!1,[[11,"standTime2"],[7,[4,[0,40],[19,cr.system_object.prototype.exps["int"],[[19,cr.system_object.prototype.exps.random,[[0,20]]]]]]]]]]]]],
[0,null,!1,null,0xe3bf976ee256f,[[42,cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,null,1,!1,!1,!1,0x521f78fa0b068,!1,[[1,[2,"stand"]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,9371530898279612,!1,[[11,"standTime"],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,764770524500231,!1,[[11,"standTime2"],[7,[4,[0,40],[19,cr.system_object.prototype.exps["int"],[[19,cr.system_object.prototype.exps.random,[[0,20]]]]]]]]]]],[0,null,!1,null,0xf7f8b199da663,[[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,746528536060036,!1,[[11,"standTime"],[8,4],[7,[23,"standTime2"]]]]],[],[[0,null,!1,null,9381586745058696,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x735f25369aa73,!1]],[[-1,cr.system_object.prototype.acts.SetGroupActive,null,0xe4809354bd27c,!1,[[1,[2,"anim"]],[3,0]]],[42,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xc24809a7e8321,!1,[[1,[2,"stand"]],[3,1]]]]]]],[0,null,!1,null,0x86ff096ed68df,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,
0xad085b1b3f5cb,!1,[[11,"standTime"],[8,3],[7,[23,"standTime2"]]]]],[[-1,cr.system_object.prototype.acts.SetGroupActive,null,6710572020966355,!1,[[1,[2,"anim"]],[3,1]]]]],[0,null,!1,null,8949289921237656,[],[[126,cr.plugins_.rojo_spritesheet.prototype.acts.SetSubImage,null,6479242385589599,!1,[[0,[5,[20,126,cr.plugins_.rojo_spritesheet.prototype.exps.offsetX,!1,null],[19,cr.system_object.prototype.exps.random,[[0,1]]]]],[0,[0,0]],[0,[0,812]],[0,[0,319]]]]]],[0,null,!1,null,5556828638754793,[[50,cr.plugins_.Sprite.prototype.cnds.CompareFrame,
null,0,!1,!1,!1,8718716444855482,!1,[[8,0],[0,[0,0]]]],[50,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,955738422877298,!1,[[10,0],[8,0],[7,[0,0]]]]],[],[[0,null,!1,null,7847042972246019,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,0x936609ff1603e,!1,[[0,[4,[19,cr.system_object.prototype.exps.random,[[0,3]]],[0,1]]]]]],[[50,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xf7697981a9565,!1,[[1,[2,"hedgehog"]],[3,1]]]]]]],[0,null,!1,null,9454873581055362,[[50,cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,
null,1,!1,!1,!1,6223862430564438,!1,[[1,[2,"hedgehog"]]]],[50,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,5303967077560943,!1,[[10,0],[8,0],[7,[0,0]]]]],[[50,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,5404744213607422,!1,[[0,[0,0]]]]]],[0,null,!1,null,0x7e7e2d4694bf,[[50,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,5506861761038315,!1,[[10,0],[8,0],[7,[0,1]]]]],[],[[0,null,!1,null,6419025848193663,[[-1,cr.system_object.prototype.cnds.Every,
null,0,!1,!1,!1,0xefad4aee8685,!1,[[0,[4,[19,cr.system_object.prototype.exps.random,[[0,3]]],[0,1]]]]]],[[50,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x647b4355b076e,!1,[[1,[2,"ant"]],[3,1]]]]]]],[0,null,!1,null,8995777467397582,[[50,cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,null,1,!1,!1,!1,0xafd825035ccec,!1,[[1,[2,"ant"]]]],[50,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,5808407044778782,!1,[[10,0],[8,0],[7,[0,1]]]]],[[50,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,
null,530804193699488,!1,[[0,[0,1]]]]]],[0,null,!1,null,9036572953981186,[[50,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,5812120181110684,!1,[[10,0],[8,0],[7,[0,2]]]]],[],[[0,null,!1,null,5780070957826985,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,6779966016985069,!1,[[0,[4,[19,cr.system_object.prototype.exps.random,[[0,3]]],[0,1]]]]]],[[50,cr.plugins_.Sprite.prototype.acts.SetAnim,null,9470505996104088,!1,[[1,[2,"banny"]],[3,1]]]]]]],[0,null,!1,null,6809637358820458,
[[50,cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,null,1,!1,!1,!1,6694320230628821,!1,[[1,[2,"banny"]]]],[50,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0xd57de4c8da88c,!1,[[10,0],[8,0],[7,[0,2]]]]],[[50,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,9190939714635204,!1,[[0,[0,2]]]]]],[0,[!0,"save"],!1,null,754312094575694,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,754312094575694,!1,[[1,[2,"save"]]]]],[],[[0,null,!1,null,9346495481351556,
[[15,cr.plugins_.Function.prototype.cnds.OnFunction,null,2,!1,!1,!1,838413902418664,!1,[[1,[2,"menuSave"]]]]],[],[[0,null,!1,null,6850049743690771,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,8085464532436247,!1]],[[-1,cr.system_object.prototype.acts.SaveState,null,0x86bb7a9485605,!1,[[1,[2,"mysave"]]]],[72,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,7884463958072985,!1,[[10,0],[7,[0,1]]]],[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,7039955982884141,!1,[[1,
[2,"lv"]],[7,[23,"lv"]]]]],[[0,null,!1,null,4829485325517851,[[-1,cr.system_object.prototype.cnds.For,null,0,!0,!1,!1,0xe3c516b830772,!1,[[1,[2,"save"]],[0,[0,1]],[0,[0,21]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,0xd28d5c6f87b12,!1,[[1,[10,[2,"save_"],[19,cr.system_object.prototype.exps.loopindex]]],[7,[20,66,cr.plugins_.Arr.prototype.exps.At,!1,null,[[19,cr.system_object.prototype.exps.loopindex]]]]]]]]]]]],[0,null,!1,null,6681266974228491,[[-1,cr.system_object.prototype.cnds.OnSaveComplete,
null,1,!1,!1,!1,8960857708563955,!1],[72,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,6448091499450243,!1,[[10,0],[8,0],[7,[0,1]]]]],[],[[0,null,!1,null,5661276474031896,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,7526862903772463,!1]],[[64,cr.plugins_.Dictionary.prototype.acts.AddKey,null,0xec626b35ff825,!1,[[1,[2,"goLvName"]],[7,[2,"menu"]]]],[-1,cr.system_object.prototype.acts.SetVar,null,439722789883015,!1,[[11,"goToBlack"],[7,[0,1]]]],[72,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,
null,4573309142731336,!1,[[10,0],[7,[0,0]]]]]]]],[0,null,!1,null,0x45dfea165f61e,[[15,cr.plugins_.Function.prototype.cnds.OnFunction,null,2,!1,!1,!1,9488536484857704,!1,[[1,[2,"lvOkSave"]]]]],[],[[0,null,!1,null,5461012054914241,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,7130073361043396,!1]],[[-1,cr.system_object.prototype.acts.SaveState,null,6991661142828676,!1,[[1,[2,"mysave"]]]],[72,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,5645100213060533,!1,[[10,1],[7,[0,1]]]]]]]],
[0,null,!1,null,0x45b1ebd62bd11,[[-1,cr.system_object.prototype.cnds.OnSaveComplete,null,1,!1,!1,!1,0xfcb12898df030,!1],[72,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,4799360413008725,!1,[[10,1],[8,0],[7,[0,1]]]]],[],[[0,null,!1,null,9592861078974024,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,870081578798398,!1]],[],[[0,null,!1,null,4961961776175642,[[-1,cr.system_object.prototype.cnds.Compare,null,0,!1,!1,!1,7492244346266972,!1,[[7,[19,cr.system_object.prototype.exps["int"],
[[19,cr.system_object.prototype.exps.layoutname]]]],[8,1],[7,[0,18]]]]],[[66,cr.plugins_.Arr.prototype.acts.SetXY,null,0xc28a658446137,!1,[[0,[23,"lv"]],[0,[0,0]],[7,[19,cr.system_object.prototype.exps["int"],[[7,[23,"stars"],[19,cr.system_object.prototype.exps["int"],[[7,[23,"stars2"],[0,4]]]]]]]]]],[64,cr.plugins_.Dictionary.prototype.acts.AddKey,null,0x5df1fe16cb2b1,!1,[[1,[2,"goLvName"]],[7,[19,cr.system_object.prototype.exps.str,[[4,[19,cr.system_object.prototype.exps["int"],[[19,cr.system_object.prototype.exps.layoutname]]],
[0,1]]]]]]],[-1,cr.system_object.prototype.acts.SetVar,null,9392793018920218,!1,[[11,"goToBlack"],[7,[0,1]]]],[72,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0x8514863048240,!1,[[10,1],[7,[0,0]]]]]],[0,null,!1,null,5124249240691675,[[-1,cr.system_object.prototype.cnds.Compare,null,0,!1,!1,!1,0xed39c197065a0,!1,[[7,[19,cr.system_object.prototype.exps["int"],[[19,cr.system_object.prototype.exps.layoutname]]]],[8,0],[7,[0,18]]]]],[[66,cr.plugins_.Arr.prototype.acts.SetXY,null,0x6e5756c26684f,
!1,[[0,[23,"lv"]],[0,[0,0]],[7,[19,cr.system_object.prototype.exps["int"],[[7,[23,"stars"],[19,cr.system_object.prototype.exps["int"],[[7,[23,"stars2"],[0,4]]]]]]]]]],[72,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,9546006334965796,!1,[[10,1],[7,[0,0]]]]]]]]]]]],[0,[!0,"gg"],!1,null,6943295357371577,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,6943295357371577,!1,[[1,[2,"gg"]]]]],[],[[0,[!0,"dead"],!1,null,9487069199780364,[[-1,cr.system_object.prototype.cnds.IsGroupActive,
null,0,!1,!1,!1,9487069199780364,!1,[[1,[2,"dead"]]]]],[],[[0,null,!1,null,0xc11b3090d0f18,[[145,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,8044955927021916,!1,[[10,7],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,6057566797756075,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x4269a057d6bf5,!1]],[[41,cr.plugins_.Sprite.prototype.acts.SetCollisions,null,0x7f3e028d8b528,!1,[[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,8675809486282317,!1,[[1,
[2,"move"]],[3,0]]]],[[0,null,!1,null,0xb37b99ebc44f6,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xab892086f250c,!1,[[11,"VolumeSound"],[8,0],[7,[0,0]]]]],[[2,cr.plugins_.Audio.prototype.acts.Play,null,9511759847116496,!1,[[2,["death2",!1]],[3,0],[0,[23,"VolumeSound"]],[1,[2,""]]]]]]]]]],[0,null,!1,null,5259762993362039,[[41,cr.plugins_.Sprite.prototype.cnds.CompareY,null,0,!1,!1,!1,0x6fbe1a97807c9,!1,[[8,4],[0,[19,cr.system_object.prototype.exps.layoutheight]]]]],[],[[0,null,
!1,null,0xa1c3315a5e13e,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,9042804910464262,!1]],[[-1,cr.system_object.prototype.acts.SetVar,null,7562892814100773,!1,[[11,"goToBlack"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.Wait,null,7418456587167334,!1,[[0,[1,0.5]]]],[41,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xada60a2d0d483,!1,[[0,[20,72,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,72,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[145,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,
null,0x8e1217cbe9f2c,!1,[[10,7],[7,[0,3]]]],[41,cr.plugins_.Sprite.prototype.acts.SetCollisions,null,7857597054628895,!1,[[3,1]]],[41,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0xcf16bee1d12d8,!1,[[10,0],[7,[0,0]]]],[41,cr.behaviors.Platform.prototype.acts.SetEnabled,"Platform",5618924993261131,!1,[[3,1]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,0xa4dead81289b3,!1,[[1,[2,"move"]],[3,1]]],[-1,cr.system_object.prototype.acts.SetVar,null,6365542330704273,!1,[[11,"transitionTarget"],
[7,[0,-1]]]],[-1,cr.system_object.prototype.acts.ScrollToObject,null,0x415775fe4104b,!1,[[4,41]]],[-1,cr.system_object.prototype.acts.SetVar,null,0xcd2a8692e30f,!1,[[11,"transitionTarget"],[7,[0,4]]]],[-1,cr.system_object.prototype.acts.RestartLayout,null,8116441853417484,!1]]]]],[0,null,!1,null,6070892223981346,[[145,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,6189135410627578,!1,[[4,147]]],[145,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0xbd2a0f46abcf,
!1,[[10,7],[8,4],[7,[0,0]]]],[147,cr.plugins_.Sprite.prototype.cnds.IsOnScreen,null,0,!1,!1,!1,6592569898695617,!1]],[[145,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0xae4823df72790,!1,[[10,7],[7,[0,1]]]],[42,cr.behaviors.Flash.prototype.acts.Flash,"Flash",4546723287261073,!1,[[0,[1,0.1]],[0,[1,0.1]],[0,[1,1]]]]],[[0,null,!1,null,0xcff4d7d284e8d,[[145,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,942540942419976,!1,[[10,7],[8,1],[7,[0,0]]]]],[[41,cr.plugins_.Sprite.prototype.acts.SetPos,
null,7188699733759833,!1,[[0,[23,"x_"]],[0,[23,"Y_"]]]]],[[0,null,!1,null,0x4a3546274710b,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x655f09cf5599b,!1,[[11,"VolumeSound"],[8,0],[7,[0,0]]]]],[[2,cr.plugins_.Audio.prototype.acts.Play,null,0xc57ab229584c9,!1,[[2,["death",!1]],[3,0],[0,[23,"VolumeSound"]],[1,[2,""]]]]]]]],[0,null,!1,null,452136388184161,[[147,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0xf1c16550cb774,!1,[[10,0],[8,0],[7,[0,2]]]],[145,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
null,0,!1,!1,!1,0xd08d435908971,!1,[[10,7],[8,1],[7,[0,0]]]]],[[41,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x7569dc04d92d1,!1,[[0,[23,"x_"]],[0,[23,"Y_"]]]]],[[0,null,!1,null,889971825092447,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9123670741828152,!1,[[11,"VolumeSound"],[8,0],[7,[0,0]]]]],[[2,cr.plugins_.Audio.prototype.acts.Play,null,0x7959788f62102,!1,[[2,["death",!1]],[3,0],[0,[23,"VolumeSound"]],[1,[2,""]]]]]]]],[0,null,!1,null,9864833566830842,[[147,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
null,0,!1,!1,!1,6844687889249345,!1,[[10,0],[8,0],[7,[0,3]]]],[145,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,826035538005687,!1,[[10,7],[8,1],[7,[0,0]]]]],[[41,cr.plugins_.Sprite.prototype.acts.SetPos,null,8873869881821506,!1,[[0,[23,"x_"]],[0,[23,"Y_"]]]]],[[0,null,!1,null,7705107007309617,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,8390623234051741,!1,[[11,"VolumeSound"],[8,0],[7,[0,0]]]]],[[2,cr.plugins_.Audio.prototype.acts.Play,null,0xb1b43d1365f38,
!1,[[2,["death",!1]],[3,0],[0,[23,"VolumeSound"]],[1,[2,""]]]]]]]],[0,null,!1,null,8739657773885005,[[147,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0x54855189801a5,!1,[[10,0],[8,0],[7,[0,4]]]],[145,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0x4e02b3d07054e,!1,[[10,7],[8,1],[7,[0,0]]]]],[[41,cr.plugins_.Sprite.prototype.acts.SetPos,null,9861644759583568,!1,[[0,[23,"x_"]],[0,[23,"Y_"]]]]],[[0,null,!1,null,570878597374233,[[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,8660348926692098,!1,[[11,"VolumeSound"],[8,0],[7,[0,0]]]]],[[2,cr.plugins_.Audio.prototype.acts.Play,null,6006379407017611,!1,[[2,["death",!1]],[3,0],[0,[23,"VolumeSound"]],[1,[2,""]]]]]]]]]],[0,null,!1,null,6323187501712144,[[145,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,820638749776301,!1,[[4,147]]],[145,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,5573751859433218,!1,[[10,7],[8,0],[7,[0,0]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,
null,0,!1,!1,!1,6398845532926314,!1]],[[41,cr.behaviors.Platform.prototype.acts.SetVectorY,"Platform",0xa2dabcbfe547a,!1,[[0,[0,-450]]]],[145,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,570241148687644,!1,[[10,7],[7,[1,0.01]]]],[-1,cr.system_object.prototype.acts.Wait,null,0x993463e723cba,!1,[[0,[1,0.3]]]],[41,cr.behaviors.Platform.prototype.acts.SetEnabled,"Platform",5085263051286948,!1,[[3,0]]],[41,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,6435206937242867,!1,[[10,0],[7,[0,
1]]]]]],[0,null,!1,null,926744954139806,[[41,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,8094517898913261,!1,[[10,0],[8,0],[7,[0,1]]]]],[[41,cr.plugins_.Sprite.prototype.acts.MoveAtAngle,null,7672470240856116,!1,[[0,[0,90]],[0,[0,8]]]]]]]],[0,[!0,"move"],!1,null,413226697389813,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,413226697389813,!1,[[1,[2,"move"]]]]],[],[[0,[!0,"twoJump"],!1,null,385307322728815,[[-1,cr.system_object.prototype.cnds.IsGroupActive,
null,0,!1,!1,!1,385307322728815,!1,[[1,[2,"twoJump"]]]]],[],[[0,null,!1,null,142,[[145,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,8520663635738845,!1,[[10,0],[8,0],[7,[0,1]]]],[145,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,6162607700139919,!1,[[10,6],[8,3],[7,[0,1]]]],[145,cr.plugins_.Sprite.prototype.cnds.IsVisible,null,0,!1,!1,!1,7922280840005432,!1]],[[-1,cr.system_object.prototype.acts.SetVar,null,7920876769672066,!1,[[11,"standTime"],[7,[0,
0]]]]],[[0,null,!1,null,149,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,150,!1]],[[41,cr.behaviors.Platform.prototype.acts.SetVectorY,"Platform",0x595f79d1a008f,!1,[[0,[4,[0,-950],[6,[21,145,!1,null,6],[0,100]]]]]],[145,cr.plugins_.Sprite.prototype.acts.AddInstanceVar,null,9993946560465512,!1,[[10,6],[7,[0,1]]]]],[[0,null,!1,null,6508092845857416,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xcc94f2a67a55c,!1,[[11,"VolumeSound"],[8,0],[7,[0,0]]]]],[[2,cr.plugins_.Audio.prototype.acts.Play,
null,0xced1d3a87b697,!1,[[2,["jump",!1]],[3,0],[0,[23,"VolumeSound"]],[1,[2,""]]]]]]]]]]]],[0,null,!1,null,153,[[145,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,5189706493063998,!1,[[10,1],[8,0],[7,[0,1]]]],[145,cr.plugins_.Sprite.prototype.cnds.IsVisible,null,0,!1,!1,!1,8994492488715337,!1]],[[-1,cr.system_object.prototype.acts.SetVar,null,9294212824283204,!1,[[11,"standTime"],[7,[0,0]]]]],[[0,null,!1,null,149,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,
!1,150,!1]],[[41,cr.behaviors.Platform.prototype.acts.FallThrough,"Platform",8596277248945424,!1]]]]],[0,null,!1,null,164,[[145,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,8825784789512631,!1,[[10,2],[8,0],[7,[0,1]]]],[145,cr.plugins_.Sprite.prototype.cnds.IsVisible,null,0,!1,!1,!1,0x9960be060d4c8,!1]],[[41,cr.behaviors.Platform.prototype.acts.SimulateControl,"Platform",0xde26735b2b67,!1,[[3,0]]],[-1,cr.system_object.prototype.acts.SetVar,null,4599686616041091,!1,[[11,"standTime"],
[7,[0,0]]]]],[[0,null,!1,null,149,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,4777920401371526,!1,[[0,[1,0.1]]]]],[[42,cr.plugins_.Sprite.prototype.acts.SetMirrored,null,0x8abc0e75a1140,!1,[[3,0]]]]]]],[0,null,!1,null,175,[[145,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,7028179809987672,!1,[[10,3],[8,0],[7,[0,1]]]],[145,cr.plugins_.Sprite.prototype.cnds.IsVisible,null,0,!1,!1,!1,0x39188b819ffab,!1]],[[41,cr.behaviors.Platform.prototype.acts.SimulateControl,
"Platform",0x738fc4977d757,!1,[[3,1]]],[-1,cr.system_object.prototype.acts.SetVar,null,7092748687310637,!1,[[11,"standTime"],[7,[0,0]]]]],[[0,null,!1,null,149,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,9520281521229996,!1,[[0,[1,0.1]]]]],[[42,cr.plugins_.Sprite.prototype.acts.SetMirrored,null,7626988304448065,!1,[[3,1]]]]]]]]],[0,[!0,"anim"],!1,null,0xa63534abdc0c3,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,0xa63534abdc0c3,!1,[[1,[2,"anim"]]]]],[],[[0,null,
!1,null,7468782187015226,[[42,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,0xa0f919218008a,!1,[[1,[2,"run"]]]]],[],[[0,null,!1,null,0x4f2cc701afce4,[[42,cr.plugins_.Sprite.prototype.cnds.CompareFrame,null,0,!1,!1,!1,4907886973349773,!1,[[8,0],[0,[0,2]]]]],[],[[0,null,!1,null,0xc4112d0cf5923,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,7140903809922035,!1,[[11,"VolumeSound"],[8,0],[7,[0,0]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,769406796259674,
!1]],[[2,cr.plugins_.Audio.prototype.acts.Play,null,0xf8d6ec80405d0,!1,[[2,["steps2",!1]],[3,0],[0,[4,[23,"VolumeSound"],[23,"addVolume"]]],[1,[2,""]]]]]]]],[0,null,!1,null,0xdecfd97116ecb,[[42,cr.plugins_.Sprite.prototype.cnds.CompareFrame,null,0,!1,!1,!1,7612007633868659,!1,[[8,0],[0,[0,0]]]]],[],[[0,null,!1,null,728110624294858,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,8393115029802859,!1,[[11,"VolumeSound"],[8,0],[7,[0,0]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,
null,0,!1,!1,!1,4686893036013505,!1]],[[2,cr.plugins_.Audio.prototype.acts.Play,null,7740387068364895,!1,[[2,["steps",!1]],[3,0],[0,[4,[23,"VolumeSound"],[23,"addVolume"]]],[1,[2,""]]]]]]]]]],[0,null,!1,null,622978910981903,[[41,cr.behaviors.Platform.prototype.cnds.IsOnFloor,"Platform",0,!1,!1,!1,5614031572598659,!1]],[[145,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0x87c59b2e70d9f,!1,[[10,6],[7,[0,0]]]]],[[0,null,!1,null,821147365751449,[[-1,cr.system_object.prototype.cnds.TriggerOnce,
null,0,!1,!1,!1,0x6e28ee36911a8,!1]],[]]]],[0,null,!1,null,8216887133086409,[[41,cr.behaviors.Platform.prototype.cnds.IsJumping,"Platform",0,!1,!1,!1,363343999660793,!1]],[[42,cr.plugins_.Sprite.prototype.acts.SetAnim,null,6592977890911411,!1,[[1,[2,"jump"]],[3,1]]]]],[0,null,!1,null,6756093111276461,[[41,cr.behaviors.Platform.prototype.cnds.OnFall,"Platform",1,!1,!1,!1,9135523406744528,!1]],[[42,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xfd69b435b6705,!1,[[1,[2,"fall"]],[3,1]]]]],[0,null,!1,
null,9875558548394412,[[41,cr.behaviors.Platform.prototype.cnds.IsMoving,"Platform",0,!1,!0,!1,0xaf7421844d830,!1],[41,cr.behaviors.Platform.prototype.cnds.IsOnFloor,"Platform",0,!1,!1,!1,0x7c5f476357c35,!1]],[[42,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xf0aadea984c9,!1,[[1,[2,"Default"]],[3,1]]],[42,cr.plugins_.Sprite.prototype.acts.AddInstanceVar,null,26165785465189,!1,[[10,8],[7,[0,1]]]]]],[0,null,!1,null,5902641658607978,[[42,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,
!1,!1,!1,0x7398e531b095,!1,[[10,8],[8,0],[7,[0,1]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xd2f5a5758b7a1,!1]],[[42,cr.plugins_.Sprite.prototype.acts.SetAnim,null,7357105072716899,!1,[[1,[2,"stand"]],[3,1]]]]],[0,null,!1,null,8270682449401502,[[42,cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,null,1,!1,!1,!1,9581012792760800,!1,[[1,[2,"stand"]]]]],[[42,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,8141263650901302,!1,[[10,8],[7,[0,0]]]]]],[0,null,!1,null,8703798800513025,
[[41,cr.behaviors.Platform.prototype.cnds.IsMoving,"Platform",0,!1,!1,!1,0xa1d7d109e2873,!1],[41,cr.behaviors.Platform.prototype.cnds.IsOnFloor,"Platform",0,!1,!1,!1,8977314228228758,!1]],[[42,cr.plugins_.Sprite.prototype.acts.SetAnim,null,5511129022699287,!1,[[1,[2,"run"]],[3,1]]],[42,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,5875547865702077,!1,[[10,8],[7,[0,0]]]]]]]],[0,null,!1,null,6085710289381505,[[41,cr.plugins_.Sprite.prototype.cnds.CompareX,null,0,!1,!1,!1,6232072456244213,!1,
[[8,3],[0,[7,[20,41,cr.plugins_.Sprite.prototype.exps.Width,!1,null],[0,2]]]]]],[[41,cr.plugins_.Sprite.prototype.acts.SetX,null,4796099253202448,!1,[[0,[7,[20,41,cr.plugins_.Sprite.prototype.exps.Width,!1,null],[0,2]]]]]]],[0,null,!1,null,0x94cfd3c673502,[[41,cr.plugins_.Sprite.prototype.cnds.CompareX,null,0,!1,!1,!1,558510215782504,!1,[[8,5],[0,[5,[19,cr.system_object.prototype.exps.layoutwidth],[7,[20,41,cr.plugins_.Sprite.prototype.exps.Width,!1,null],[0,2]]]]]]],[[41,cr.plugins_.Sprite.prototype.acts.SetX,
null,5241965606630283,!1,[[0,[5,[19,cr.system_object.prototype.exps.layoutwidth],[7,[20,41,cr.plugins_.Sprite.prototype.exps.Width,!1,null],[0,2]]]]]]]]]],[0,[!0,"key"],!1,null,7853584472510365,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,7853584472510365,!1,[[1,[2,"key"]]]]],[],[[0,null,!0,null,58,[[49,cr.plugins_.Keyboard.prototype.cnds.IsKeyDown,null,0,!1,!1,!1,177,!1,[[9,38]]],[49,cr.plugins_.Keyboard.prototype.cnds.IsKeyDown,null,0,!1,!1,!1,177,!1,[[9,87]]]],[[145,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,
null,386,!1,[[10,0],[7,[0,1]]]]],[[0,null,!1,null,346,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,347,!1]],[]]]],[0,null,!1,null,384,[[-1,cr.system_object.prototype.cnds.Else,null,0,!1,!1,!1,385,!1]],[],[[0,null,!1,null,346,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,347,!1]],[[145,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,4591264215734767,!1,[[10,0],[7,[0,0]]]]]]]],[0,null,!0,null,58,[[49,cr.plugins_.Keyboard.prototype.cnds.IsKeyDown,null,0,!1,
!1,!1,178,!1,[[9,40]]],[49,cr.plugins_.Keyboard.prototype.cnds.IsKeyDown,null,0,!1,!1,!1,178,!1,[[9,83]]]],[[145,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,386,!1,[[10,1],[7,[0,1]]]]],[[0,null,!1,null,346,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,347,!1]],[]]]],[0,null,!1,null,382,[[-1,cr.system_object.prototype.cnds.Else,null,0,!1,!1,!1,383,!1]],[],[[0,null,!1,null,346,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,347,!1]],[[145,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,
null,7473531463960698,!1,[[10,1],[7,[0,0]]]]]]]],[0,null,!0,null,58,[[49,cr.plugins_.Keyboard.prototype.cnds.IsKeyDown,null,0,!1,!1,!1,179,!1,[[9,37]]],[49,cr.plugins_.Keyboard.prototype.cnds.IsKeyDown,null,0,!1,!1,!1,179,!1,[[9,65]]]],[[145,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,386,!1,[[10,2],[7,[0,1]]]]],[[0,null,!1,null,346,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,347,!1]],[]]]],[0,null,!1,null,380,[[-1,cr.system_object.prototype.cnds.Else,null,0,!1,!1,!1,
381,!1]],[],[[0,null,!1,null,346,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,347,!1]],[[145,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,4951798854425695,!1,[[10,2],[7,[0,0]]]]]]]],[0,null,!0,null,58,[[49,cr.plugins_.Keyboard.prototype.cnds.IsKeyDown,null,0,!1,!1,!1,176,!1,[[9,39]]],[49,cr.plugins_.Keyboard.prototype.cnds.IsKeyDown,null,0,!1,!1,!1,176,!1,[[9,68]]]],[[145,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,386,!1,[[10,3],[7,[0,1]]]]],[[0,null,!1,null,
346,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,347,!1]],[]]]],[0,null,!1,null,378,[[-1,cr.system_object.prototype.cnds.Else,null,0,!1,!1,!1,379,!1]],[],[[0,null,!1,null,346,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,347,!1]],[[145,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,9987006977926848,!1,[[10,3],[7,[0,0]]]]]]]]]],[0,[!0,"touchG"],!1,null,0xdf8a3530faebc,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,0xdf8a3530faebc,!1,
[[1,[2,"touchG"]]]]],[],[[0,null,!1,null,384,[[1,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,59,!1,[[4,47]]],[47,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,1071,!1,[[10,0],[8,0],[7,[0,3]]]],[47,cr.plugins_.Sprite.prototype.cnds.IsVisible,null,0,!1,!1,!1,7843630076491139,!1]],[[145,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,9513715030390484,!1,[[10,2],[7,[0,1]]]]],[[0,null,!1,null,346,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,
!1,!1,!1,347,!1]],[[47,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,614,!1,[[0,[0,1]]]],[-1,cr.system_object.prototype.acts.SetVar,null,9342562187629220,!1,[[11,"standTime"],[7,[0,0]]]]]]]],[0,null,!1,null,384,[[-1,cr.system_object.prototype.cnds.Else,null,0,!1,!1,!1,385,!1]],[],[[0,null,!1,null,346,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,347,!1]],[[145,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,7100873512666022,!1,[[10,2],[7,[0,0]]]],[47,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,
null,614,!1,[[0,[0,0]]]]]]]],[0,null,!1,null,384,[[1,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,59,!1,[[4,47]]],[47,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,1072,!1,[[10,0],[8,0],[7,[0,1]]]],[47,cr.plugins_.Sprite.prototype.cnds.IsVisible,null,0,!1,!1,!1,6973038409489434,!1]],[[145,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0x73458b3a70351,!1,[[10,3],[7,[0,1]]]]],[[0,null,!1,null,346,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,
0,!1,!1,!1,347,!1]],[[47,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,614,!1,[[0,[0,1]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x75f37a415a2bc,!1,[[11,"standTime"],[7,[0,0]]]]]]]],[0,null,!1,null,384,[[-1,cr.system_object.prototype.cnds.Else,null,0,!1,!1,!1,385,!1]],[],[[0,null,!1,null,346,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,347,!1]],[[145,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,8181564128861993,!1,[[10,3],[7,[0,0]]]],[47,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,
null,614,!1,[[0,[0,0]]]]]]]],[0,null,!1,null,384,[[1,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,59,!1,[[4,48]]],[48,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,987,!1,[[10,0],[8,0],[7,[0,0]]]],[48,cr.plugins_.Sprite.prototype.cnds.IsVisible,null,0,!1,!1,!1,0xa4cc6c1127e1,!1]],[[145,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,4854991189549094,!1,[[10,0],[7,[0,1]]]]],[[0,null,!1,null,346,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,
0,!1,!1,!1,347,!1]],[[48,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,613,!1,[[0,[0,1]]]],[-1,cr.system_object.prototype.acts.SetVar,null,5777552334419241,!1,[[11,"standTime"],[7,[0,0]]]]]]]],[0,null,!1,null,384,[[-1,cr.system_object.prototype.cnds.Else,null,0,!1,!1,!1,385,!1],[48,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,991,!1,[[10,0],[8,0],[7,[0,0]]]],[48,cr.plugins_.Sprite.prototype.cnds.IsVisible,null,0,!1,!1,!1,4944006839410441,!1]],[],[[0,null,!1,null,346,
[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,347,!1]],[[145,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,5355666058842483,!1,[[10,0],[7,[0,0]]]],[48,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,613,!1,[[0,[0,0]]]]]]]],[0,null,!1,null,733430635526289,[[1,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,8274091741055973,!1,[[4,48]]],[48,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,5595190519543559,!1,[[10,0],[8,0],[7,[0,1]]]],
[48,cr.plugins_.Sprite.prototype.cnds.IsVisible,null,0,!1,!1,!1,7490900280247454,!1]],[[145,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0xb7914d24d0a75,!1,[[10,1],[7,[0,1]]]]],[[0,null,!1,null,0x4832602ee9217,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,7324489377041205,!1]],[[48,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,5284247377373984,!1,[[0,[0,1]]]],[-1,cr.system_object.prototype.acts.SetVar,null,7082576772222436,!1,[[11,"standTime"],[7,[0,0]]]]]]]],[0,
null,!1,null,0x5b3ef59277eb9,[[-1,cr.system_object.prototype.cnds.Else,null,0,!1,!1,!1,4560377644342025,!1],[48,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,866262221317444,!1,[[10,0],[8,0],[7,[0,1]]]],[48,cr.plugins_.Sprite.prototype.cnds.IsVisible,null,0,!1,!1,!1,8039396964649253,!1]],[],[[0,null,!1,null,6486602187863634,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,8892994297689263,!1]],[[145,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,857213573122379,
!1,[[10,1],[7,[0,0]]]],[48,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,5749964347258589,!1,[[0,[0,0]]]]]]]]]],[0,[!0,"lut"],!1,null,0x99d93a3f31ffe,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,0x99d93a3f31ffe,!1,[[1,[2,"lut"]]]]],[],[[0,[!0,"gr"],!1,null,9752926214794936,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,9752926214794936,!1,[[1,[2,"gr"]]]]],[],[[0,null,!1,null,6463508239733175,[[40,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,
0,!1,!1,!1,6477571934300721,!1,[[4,42]]],[40,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,0x3e83e46b7c21f,!1,[[5,[2,"main"]]]]],[],[[0,null,!1,null,0xfc00d06945033,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x91fc13b65fbb8,!1]],[[40,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0x3b2c0d414d2ad,!1,[[10,1],[7,[0,1]]]]],[[0,null,!1,null,0x78e618b288135,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xe4d16901fc19d,!1,[[11,"VolumeSound"],[8,
0],[7,[0,0]]]]],[[2,cr.plugins_.Audio.prototype.acts.Play,null,0xb26e6fe373094,!1,[[2,["pazl",!1]],[3,0],[0,[23,"VolumeSound"]],[1,[2,""]]]]]]]]]]]],[0,[!0,"st"],!1,null,0xa2986b1e34b30,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,0xa2986b1e34b30,!1,[[1,[2,"st"]]]]],[],[[0,null,!1,null,0x826c9cbcf59b2,[[28,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,0x3f60691d824ad,!1,[[4,42]]],[28,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,4623782304139956,
!1,[[5,[2,"main"]]]]],[],[[0,null,!1,null,4772189992689862,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,8875706664301375,!1]],[[28,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0x431597b593181,!1,[[10,1],[7,[0,1]]]]],[[0,null,!1,null,7885757435934089,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x411195e2af797,!1,[[11,"VolumeSound"],[8,0],[7,[0,0]]]]],[[2,cr.plugins_.Audio.prototype.acts.Play,null,0xe1b1286c940d6,!1,[[2,["stars",!1]],[3,0],[0,[23,"VolumeSound"]],
[1,[2,""]]]]]]]],[0,null,!1,null,9115373318014592,[[28,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,6664169150107524,!1,[[10,0],[8,0],[7,[0,9]]]]],[],[[0,null,!1,null,493910441072841,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xd3592db157ba9,!1]],[[-1,cr.system_object.prototype.acts.SetVar,null,6914380650714629,!1,[[11,"x_"],[7,[20,28,cr.plugins_.Sprite.prototype.exps.X,!1,null]]]],[-1,cr.system_object.prototype.acts.SetVar,null,8697266138763925,!1,[[11,
"Y_"],[7,[20,28,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]]]]]]]]],[0,[!0,"dr"],!1,null,0xf4d5317f4069,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,0xf4d5317f4069,!1,[[1,[2,"dr"]]]]],[],[[0,null,!1,null,8336610057127884,[[46,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,4984871103503624,!1,[[4,42]]],[46,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,0x93e72b400976d,!1,[[5,[2,"main"]]]]],[],[[0,null,!1,null,8793364281940398,[[-1,cr.system_object.prototype.cnds.TriggerOnce,
null,0,!1,!1,!1,6725883825171335,!1]],[[46,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,6896760021292162,!1,[[10,1],[7,[0,1]]]]],[[0,null,!1,null,6159828303780933,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xda4deba2bf483,!1,[[11,"VolumeSound"],[8,0],[7,[0,0]]]]],[[2,cr.plugins_.Audio.prototype.acts.Play,null,0x5fc0cb7b21f47,!1,[[2,["drop bonus",!1]],[3,0],[0,[23,"VolumeSound"]],[1,[2,""]]]]]]]]]]]],[0,null,!1,null,0xd8574af78fc08,[[40,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
null,0,!1,!1,!1,0x951ac0bf224ac,!1,[[10,1],[8,0],[7,[0,1]]]]],[],[[0,null,!1,null,0xaf0fa366713e8,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xcb40455793378,!1]],[[40,cr.plugins_.Sprite.prototype.acts.MoveToLayer,null,0x9c2be1a32c0dc,!1,[[5,[2,"gui"]]]],[40,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x3bed0206c3140,!1,[[0,[5,[20,40,cr.plugins_.Sprite.prototype.exps.X,!1,null],[19,cr.system_object.prototype.exps.viewportleft,[[2,"main"]]]]],[0,[5,[20,40,cr.plugins_.Sprite.prototype.exps.Y,
!1,null],[19,cr.system_object.prototype.exps.viewporttop,[[2,"main"]]]]]]],[40,cr.behaviors.Rex_MoveTo.prototype.acts.SetTargetPos,"MoveTo",0xb4afc0a86e8b5,!1,[[0,[20,61,cr.plugins_.Sprite.prototype.exps.ImagePointX,!1,null,[[0,1]]]],[0,[20,61,cr.plugins_.Sprite.prototype.exps.ImagePointY,!1,null,[[0,1]]]]]],[40,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,8555865837970235,!1,[[10,1],[7,[0,0]]]]]]]],[0,null,!1,null,0x69ec171a47819,[[28,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
null,0,!1,!1,!1,0x5f7f7c13c8aa2,!1,[[10,1],[8,0],[7,[0,1]]]]],[],[[0,null,!1,null,0x3dd69326e9b58,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,4676544260189412,!1]],[[28,cr.plugins_.Sprite.prototype.acts.MoveToLayer,null,0x828965878c68a,!1,[[5,[2,"gui"]]]],[28,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xdbe3e83f258b2,!1,[[0,[5,[20,28,cr.plugins_.Sprite.prototype.exps.X,!1,null],[19,cr.system_object.prototype.exps.viewportleft,[[2,"main"]]]]],[0,[5,[20,28,cr.plugins_.Sprite.prototype.exps.Y,
!1,null],[19,cr.system_object.prototype.exps.viewporttop,[[2,"main"]]]]]]],[28,cr.behaviors.Rex_MoveTo.prototype.acts.SetTargetPos,"MoveTo",5283229102258759,!1,[[0,[20,61,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,61,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[28,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,5157622072259828,!1,[[10,1],[7,[0,0]]]]]]]],[0,null,!1,null,5343024781553661,[[46,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0xa8ff4b7df4a00,!1,
[[10,1],[8,0],[7,[0,1]]]]],[],[[0,null,!1,null,0x705eecda87944,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,5750732872398877,!1]],[[46,cr.plugins_.Sprite.prototype.acts.MoveToLayer,null,0x6ecd17227fef6,!1,[[5,[2,"gui"]]]],[46,cr.plugins_.Sprite.prototype.acts.SetPos,null,5585164237624474,!1,[[0,[5,[20,46,cr.plugins_.Sprite.prototype.exps.X,!1,null],[19,cr.system_object.prototype.exps.viewportleft,[[2,"main"]]]]],[0,[5,[20,46,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[19,cr.system_object.prototype.exps.viewporttop,
[[2,"main"]]]]]]],[46,cr.behaviors.Rex_MoveTo.prototype.acts.SetTargetPos,"MoveTo",5084188529452149,!1,[[0,[20,61,cr.plugins_.Sprite.prototype.exps.ImagePointX,!1,null,[[0,2]]]],[0,[20,61,cr.plugins_.Sprite.prototype.exps.ImagePointY,!1,null,[[0,2]]]]]],[46,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,8524605219058884,!1,[[10,1],[7,[0,0]]]]]]]],[0,null,!1,null,0x8f83f0815f92b,[[46,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,0xa2d0b9124d1b1,!1,[[5,[2,"gui"]]]],[46,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
null,0,!1,!1,!1,9207119904058664,!1,[[10,2],[8,2],[7,[20,46,cr.plugins_.Sprite.prototype.exps.Width,!1,null]]]]],[[46,cr.plugins_.Sprite.prototype.acts.SetSize,null,0xe072a716820dd,!1,[[0,[21,46,!1,null,2]],[0,[21,46,!1,null,2]]]]]],[0,null,!1,null,8454101959724534,[[40,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,5945733421859741,!1,[[5,[2,"gui"]]]],[40,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,8510404571208804,!1,[[10,2],[8,2],[7,[20,40,cr.plugins_.Sprite.prototype.exps.Width,
!1,null]]]]],[[40,cr.plugins_.Sprite.prototype.acts.SetSize,null,0x90635cb868979,!1,[[0,[21,40,!1,null,2]],[0,[21,40,!1,null,2]]]]]],[0,null,!1,null,8448217812919264,[[28,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,9599100108113152,!1,[[5,[2,"gui"]]]],[28,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0xd8ac63516d520,!1,[[10,2],[8,2],[7,[20,28,cr.plugins_.Sprite.prototype.exps.Width,!1,null]]]]],[[28,cr.plugins_.Sprite.prototype.acts.SetSize,null,7097995781700267,
!1,[[0,[21,28,!1,null,2]],[0,[21,28,!1,null,2]]]]]],[0,null,!1,null,6942784128200868,[],[[46,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0xd4e0787729c7c,!1,[[10,2],[7,[19,cr.system_object.prototype.exps.distance,[[20,61,cr.plugins_.Sprite.prototype.exps.ImagePointX,!1,null,[[0,2]]],[20,61,cr.plugins_.Sprite.prototype.exps.ImagePointY,!1,null,[[0,2]]],[20,46,cr.plugins_.Sprite.prototype.exps.X,!1,null],[20,46,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]]],[40,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,
null,0xbb0237f235bd5,!1,[[10,2],[7,[19,cr.system_object.prototype.exps.distance,[[20,61,cr.plugins_.Sprite.prototype.exps.ImagePointX,!1,null,[[0,1]]],[20,61,cr.plugins_.Sprite.prototype.exps.ImagePointY,!1,null,[[0,1]]],[20,40,cr.plugins_.Sprite.prototype.exps.X,!1,null],[20,40,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]]],[28,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,71597710295385,!1,[[10,2],[7,[19,cr.system_object.prototype.exps.distance,[[20,61,cr.plugins_.Sprite.prototype.exps.X,
!1,null],[20,61,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[20,28,cr.plugins_.Sprite.prototype.exps.X,!1,null],[20,28,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]]]]],[0,null,!1,null,6255113225089199,[[28,cr.behaviors.Rex_MoveTo.prototype.cnds.OnHitTarget,"MoveTo",1,!1,!1,!1,6875070442194031,!1]],[[-1,cr.system_object.prototype.acts.AddVar,null,0x977f4c8efd81e,!1,[[11,"stars"],[7,[0,1]]]],[28,cr.plugins_.Sprite.prototype.acts.Destroy,null,8432843281006646,!1]]],[0,null,!1,null,0xe64ab4c1db54b,
[[40,cr.behaviors.Rex_MoveTo.prototype.cnds.OnHitTarget,"MoveTo",1,!1,!1,!1,0x5916c7639360c,!1]],[[-1,cr.system_object.prototype.acts.AddVar,null,4909812794475661,!1,[[11,"grib"],[7,[0,1]]]],[40,cr.plugins_.Sprite.prototype.acts.Destroy,null,5519533857074714,!1]]],[0,null,!1,null,9692684764585392,[[46,cr.behaviors.Rex_MoveTo.prototype.cnds.OnHitTarget,"MoveTo",1,!1,!1,!1,8522214643943845,!1]],[[145,cr.plugins_.Sprite.prototype.acts.AddInstanceVar,null,9464526976362392,!1,[[10,7],[7,[0,1]]]],[46,cr.plugins_.Sprite.prototype.acts.Destroy,
null,6433120681383088,!1]]]]],[0,[!0,"lv"],!1,null,0xefadc31664896,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,0xefadc31664896,!1,[[1,[2,"lv"]]]]],[],[[0,null,!1,null,0x9b3657df9db93,[[42,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,8567188590912531,!1,[[4,50]]],[-1,cr.system_object.prototype.cnds.Compare,null,0,!1,!1,!1,6230051346865339,!1,[[7,[20,40,cr.plugins_.Sprite.prototype.exps.Count,!1,null]],[8,0],[7,[0,0]]]]],[[15,cr.plugins_.Function.prototype.acts.CallFunction,
null,6109685704495413,!1,[[1,[2,"lvOkSave"]],[13]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x4ad976225b259,!1,[[11,"health"],[7,[21,145,!1,null,7]]]]],[[0,null,!1,null,0x8078e1fffd289,[[-1,cr.system_object.prototype.cnds.Compare,null,0,!1,!1,!1,0x8312f6c268be1,!1,[[7,[19,cr.system_object.prototype.exps["int"],[[19,cr.system_object.prototype.exps.layoutname]]]],[8,0],[7,[23,"lv"]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,5321912125608008,!1,[[11,"lv"],[7,[0,1]]]]]],[0,null,!1,null,
5562377978550652,[[-1,cr.system_object.prototype.cnds.Compare,null,0,!1,!1,!1,465846725664803,!1,[[7,[19,cr.system_object.prototype.exps["int"],[[19,cr.system_object.prototype.exps.layoutname]]]],[8,0],[7,[0,18]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,9970264645190444,!1,[[11,"goToBlack"],[7,[0,1]]]],[41,cr.plugins_.Sprite.prototype.acts.Destroy,null,9427971889089746,!1],[-1,cr.system_object.prototype.acts.Wait,null,5935140290257768,!1,[[0,[1,0.7]]]],[15,cr.plugins_.Function.prototype.acts.CallFunction,
null,8364867254648145,!1,[[1,[2,"endGame"]],[13]]],[15,cr.plugins_.Function.prototype.acts.CallFunction,null,0xd6b80402111bf,!1,[[1,[2,"lvOkSave"]],[13]]]]]]],[0,null,!1,null,5770123227564552,[[42,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,91302293579956,!1,[[4,50]]],[-1,cr.system_object.prototype.cnds.Compare,null,0,!1,!1,!1,8684634920702189,!1,[[7,[20,40,cr.plugins_.Sprite.prototype.exps.Count,!1,null]],[8,4],[7,[0,0]]]]],[],[[0,null,!1,null,7755003926638015,[[-1,cr.system_object.prototype.cnds.Every,
null,0,!1,!1,!1,9743790874961314,!1,[[0,[0,5]]]]],[[15,cr.plugins_.Function.prototype.acts.CallFunction,null,7310505179435493,!1,[[1,[2,"alert"]],[13]]]]]]]]],[1,"direction",0,0,!1,!1,0x7afb6545d455f,!1],[0,[!0,"direction"],!1,null,9257465742171680,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,9257465742171680,!1,[[1,[2,"direction"]]]]],[],[[0,null,!1,null,6247478924684139,[[-1,cr.system_object.prototype.cnds.EveryTick,null,0,!1,!1,!1,8411212930700873,!1],[67,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
null,0,!1,!1,!1,9552242709619916,!1,[[10,0],[8,0],[7,[0,0]]]]],[[67,cr.plugins_.Sprite.prototype.acts.SetAngle,null,0xc2a0fa607fb9,!1,[[0,[23,"direction"]]]]]],[0,null,!1,null,5422684292556639,[[67,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0x92f9206b9b930,!1,[[10,0],[8,0],[7,[0,1]]]]],[],[[0,null,!1,null,7341950325249235,[[40,cr.plugins_.Sprite.prototype.cnds.PickDistance,null,0,!1,!1,!0,8047505457933955,!1,[[3,0],[0,[20,42,cr.plugins_.Sprite.prototype.exps.X,!1,null]],
[0,[20,42,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[-1,cr.system_object.prototype.cnds.Compare,null,0,!1,!1,!1,6488761129707622,!1,[[7,[20,40,cr.plugins_.Sprite.prototype.exps.Count,!1,null]],[8,4],[7,[0,0]]]]],[[67,cr.plugins_.Sprite.prototype.acts.SetPosToObject,null,781150110553739,!1,[[4,42],[7,[0,0]]]],[67,cr.plugins_.Sprite.prototype.acts.SetTowardPosition,null,8226810669161548,!1,[[0,[20,40,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,40,cr.plugins_.Sprite.prototype.exps.Y,!1,
null]]]],[-1,cr.system_object.prototype.acts.SetVar,null,4633918995699518,!1,[[11,"direction"],[7,[20,67,cr.plugins_.Sprite.prototype.exps.Angle,!1,null]]]]]],[0,null,!1,null,0x5e12414dec623,[[50,cr.plugins_.Sprite.prototype.cnds.PickDistance,null,0,!1,!1,!0,0x5b2ca56fb4e91,!1,[[3,0],[0,[20,42,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,42,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[-1,cr.system_object.prototype.cnds.Compare,null,0,!1,!1,!1,6778111750008511,!1,[[7,[20,40,cr.plugins_.Sprite.prototype.exps.Count,
!1,null]],[8,0],[7,[0,0]]]]],[[67,cr.plugins_.Sprite.prototype.acts.SetPosToObject,null,0xddd310d5483c,!1,[[4,42],[7,[0,0]]]],[67,cr.plugins_.Sprite.prototype.acts.SetTowardPosition,null,4733861286788629,!1,[[0,[20,50,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,50,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[-1,cr.system_object.prototype.acts.SetVar,null,9216132941953622,!1,[[11,"direction"],[7,[20,67,cr.plugins_.Sprite.prototype.exps.Angle,!1,null]]]]]]]],[0,null,!1,null,8526282390452187,
[[67,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,8145121512883328,!1,[[10,0],[8,0],[7,[0,0]]]],[-1,cr.system_object.prototype.cnds.Compare,null,0,!1,!1,!1,9351448877943568,!1,[[7,[20,40,cr.plugins_.Sprite.prototype.exps.Count,!1,null]],[8,0],[7,[0,0]]]]],[[67,cr.plugins_.Sprite.prototype.acts.SetAngle,null,5815581865854084,!1,[[0,[23,"direction"]]]]]]]],[0,[!0,"notification"],!1,null,8815804758324837,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,8815804758324837,
!1,[[1,[2,"notification"]]]]],[],[[0,null,!1,null,9118967416349732,[[15,cr.plugins_.Function.prototype.cnds.OnFunction,null,2,!1,!1,!1,0xe2be4dee4abb1,!1,[[1,[2,"alert"]]]]],[[-1,cr.system_object.prototype.acts.CreateObject,null,6680798138123204,!1,[[4,136],[5,[2,"gui"]],[0,[0,512]],[0,[0,354]]]]]]]],[0,[!0,"animDekor"],!1,null,5119746894463981,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,5119746894463981,!1,[[1,[2,"animDekor"]]]]],[],[[0,null,!1,null,0x64716d5b065a,[[39,cr.behaviors.Rex_Zigzag.prototype.cnds.IsCmd,
"Zigzag",0,!1,!1,!1,9434725939746268,!1,[[3,0]]]],[[39,cr.plugins_.Sprite.prototype.acts.SetMirrored,null,9886879721408496,!1,[[3,0]]]]],[0,null,!1,null,0xa2d9d3f852338,[[39,cr.behaviors.Rex_Zigzag.prototype.cnds.IsCmd,"Zigzag",0,!1,!1,!1,765945690324787,!1,[[3,1]]]],[[39,cr.plugins_.Sprite.prototype.acts.SetMirrored,null,403774844641821,!1,[[3,1]]]]]]],[0,[!0,"opty"],!1,null,0xda39f04bbd4f5,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,0xda39f04bbd4f5,!1,[[1,[2,"opty"]]]]],[],
[[0,null,!1,null,6021990199049161,[[50,cr.plugins_.Sprite.prototype.cnds.IsOnScreen,null,0,!1,!1,!1,7299783658153514,!1]],[[-1,cr.system_object.prototype.acts.SetGroupActive,null,0x525f700db93b0,!1,[[1,[2,"lv"]],[3,1]]]]],[0,null,!1,null,0xa8574937d4934,[[-1,cr.system_object.prototype.cnds.Else,null,0,!1,!1,!1,29592797230805,!1]],[],[[0,null,!1,null,0xc68bd0b3e0e22,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,5374748049821288,!1]],[[-1,cr.system_object.prototype.acts.SetGroupActive,
null,9797648123918280,!1,[[1,[2,"lv"]],[3,0]]]]]]],[0,null,!1,null,0x58169ed70465d,[[46,cr.plugins_.Sprite.prototype.cnds.IsOnScreen,null,0,!1,!1,!1,9295299657058672,!1]],[[-1,cr.system_object.prototype.acts.SetGroupActive,null,0x44a8685c45848,!1,[[1,[2,"dr"]],[3,1]]]]],[0,null,!1,null,0x7303f13bca249,[[-1,cr.system_object.prototype.cnds.Else,null,0,!1,!1,!1,0x728316a096dd3,!1]],[],[[0,null,!1,null,0xec183fa8f99ac,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xdb08c0fc4ecb,!1]],
[[-1,cr.system_object.prototype.acts.SetGroupActive,null,0xb6b7dd72a293e,!1,[[1,[2,"dr"]],[3,0]]]]]]],[0,null,!1,null,0xc49ca19a7456f,[[40,cr.plugins_.Sprite.prototype.cnds.IsOnScreen,null,0,!1,!1,!1,0x9fd49ac66fa64,!1]],[[-1,cr.system_object.prototype.acts.SetGroupActive,null,0xac92bbb1fe4f3,!1,[[1,[2,"gr"]],[3,1]]]]],[0,null,!1,null,0x54f93a759128e,[[-1,cr.system_object.prototype.cnds.Else,null,0,!1,!1,!1,0xad1ae35c926bb,!1]],[],[[0,null,!1,null,0x80bc577a293f7,[[-1,cr.system_object.prototype.cnds.TriggerOnce,
null,0,!1,!1,!1,0xe9981447aa2a,!1]],[[-1,cr.system_object.prototype.acts.SetGroupActive,null,7841669106601627,!1,[[1,[2,"gr"]],[3,0]]]]]]],[0,null,!1,null,0xe0eecf163774,[[28,cr.plugins_.Sprite.prototype.cnds.IsOnScreen,null,0,!1,!1,!1,6428553861895583,!1]],[[-1,cr.system_object.prototype.acts.SetGroupActive,null,5446750515557596,!1,[[1,[2,"st"]],[3,1]]]]],[0,null,!1,null,0x4659308ed50cd,[[-1,cr.system_object.prototype.cnds.Else,null,0,!1,!1,!1,0x9b72f6c917208,!1]],[],[[0,null,!1,null,0xdcd6ea94072a6,
[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,7207091145276907,!1]],[[-1,cr.system_object.prototype.acts.SetGroupActive,null,6979938640410485,!1,[[1,[2,"st"]],[3,0]]]]]]],[0,null,!1,null,9555995906944408,[],[[65,cr.plugins_.Particles.prototype.acts.SetPosToObject,null,397553900411914,!1,[[4,41],[7,[0,0]]]],[118,cr.plugins_.Particles.prototype.acts.SetPosToObject,null,729535388038735,!1,[[4,41],[7,[0,0]]]]]]]]]],["eMenuAllLv",[[0,null,!1,null,7776304969203389,[[-1,cr.system_object.prototype.cnds.OnLayoutStart,
null,1,!1,!1,!1,0x4311878796bc0,!1]],[]],[0,[!0,"HudButtonMenuAllLv"],!1,null,0xe80447a2aaf67,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,0xe80447a2aaf67,!1,[[1,[2,"HudButtonMenuAllLv"]]]]],[],[[0,null,!1,null,8849228579240238,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,0xaa3b779d226a1,!1,[[4,142]]],[142,cr.plugins_.Sprite.prototype.cnds.IsVisible,null,0,!1,!1,!1,6192300774190529,!1]],[[142,cr.plugins_.Sprite.prototype.acts.SetAnim,null,5114887574066995,
!1,[[1,[2,"a"]],[3,1]]]]],[0,null,!1,null,0x5d680fd81b24c,[[142,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,8531084044684022,!1,[[1,[2,"a"]]]]],[],[[0,null,!1,null,8290109173034786,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xb8ecab8821e31,!1]],[],[[0,null,!1,null,341245152353205,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x6d13f1191b467,!1,[[11,"VolumeSound"],[8,0],[7,[0,0]]]]],[[2,cr.plugins_.Audio.prototype.acts.Play,null,0x66a4e2fd82038,
!1,[[2,["menu click 2",!0]],[3,0],[0,[23,"VolumeSound"]],[1,[2,""]]]]]]]]]],[0,null,!1,null,4808413136576266,[[142,cr.plugins_.Sprite.prototype.cnds.OnAnyAnimFinished,null,1,!1,!1,!1,6264206211861897,!1]],[[142,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xaf0432b6f60dd,!1,[[1,[2,"Default"]],[3,1]]]]],[0,null,!1,null,7997274795036256,[[142,cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,null,1,!1,!1,!1,0xf0a056e687bb4,!1,[[1,[2,"a"]]]]],[],[[0,null,!1,null,0xb48cfd6909003,[[-1,cr.system_object.prototype.cnds.TriggerOnce,
null,0,!1,!1,!1,5016869479739546,!1]],[],[[0,null,!1,null,0xec4721f9ee67e,[[142,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0x9662c4c8394f8,!1,[[10,0],[8,0],[7,[0,0]]]]],[[15,cr.plugins_.Function.prototype.acts.CallFunction,null,0xd4f57599d7f46,!1,[[1,[2,"menuSave"]],[13]]]]],[0,null,!1,null,5610756057864456,[[142,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,8969958757228516,!1,[[10,0],[8,0],[7,[0,5]]]]],[[62,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,
null,0xc91b5aeac265c,!1,[[0,[4,[20,62,cr.plugins_.Sprite.prototype.exps.AnimationFrame,!1,null],[0,1]]]]],[96,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,0xb30f60382964f,!1,[[0,[4,[20,96,cr.plugins_.Sprite.prototype.exps.AnimationFrame,!1,null],[0,1]]]]],[117,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,628671036813102,!1,[[0,[4,[20,117,cr.plugins_.Sprite.prototype.exps.AnimationFrame,!1,null],[0,1]]]]],[119,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,944157689620351,!1,[[0,
[4,[20,119,cr.plugins_.Sprite.prototype.exps.AnimationFrame,!1,null],[0,1]]]]]]]]]]],[0,null,!1,null,9263721178632736,[[-1,cr.system_object.prototype.cnds.OnLoadComplete,null,1,!1,!1,!1,6638054825701437,!1]],[[-1,cr.system_object.prototype.acts.SetVar,null,9120896127045160,!1,[[11,"VolumeMus"],[7,[19,cr.system_object.prototype.exps["int"],[[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"music"]]]]]]]],[-1,cr.system_object.prototype.acts.SetVar,null,5454553658791932,!1,[[11,"VolumeSound"],
[7,[19,cr.system_object.prototype.exps["int"],[[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"sound"]]]]]]]]]]]]]],["eMus",[[1,"VolumeMus",0,0,!1,!1,9425546808379336,!1],[1,"VolumeSound",0,0,!1,!1,0x8fd0211ce991e,!1],[0,null,!1,null,6442799037753051,[[-1,cr.system_object.prototype.cnds.OnLayoutStart,null,1,!1,!1,!1,0x94b1cea271114,!1]],[],[[0,null,!0,null,7527371854624144,[[-1,cr.system_object.prototype.cnds.Compare,null,0,!1,!1,!1,5349657471337904,!1,[[7,[19,cr.system_object.prototype.exps.layoutname]],
[8,0],[7,[2,"menu"]]]],[-1,cr.system_object.prototype.cnds.Compare,null,0,!1,!1,!1,0x4b7e033b04e76,!1,[[7,[19,cr.system_object.prototype.exps.layoutname]],[8,0],[7,[2,"location"]]]]],[],[[0,null,!1,null,0x4fe77f7ed04e4,[[-1,cr.system_object.prototype.cnds.Compare,null,0,!1,!1,!1,0x66818763a6188,!1,[[7,[20,64,cr.plugins_.Dictionary.prototype.exps.Get,!1,null,[[2,"tag"]]]],[8,1],[7,[2,"menu"]]]]],[[2,cr.plugins_.Audio.prototype.acts.SetPaused,null,6204697053412365,!1,[[1,[20,64,cr.plugins_.Dictionary.prototype.exps.Get,
!1,null,[[2,"tag"]]]],[3,0]]],[2,cr.plugins_.Audio.prototype.acts.StopAll,null,5147170739197886,!1]],[[0,null,!1,null,7332097899809313,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6195796970961462,!1,[[11,"VolumeMus"],[8,0],[7,[0,0]]]]],[[-1,cr.system_object.prototype.acts.Wait,null,7420134722450431,!1,[[0,[1,0.3]]]],[64,cr.plugins_.Dictionary.prototype.acts.AddKey,null,4735640933113923,!1,[[1,[2,"tag"]],[7,[2,"menu"]]]],[2,cr.plugins_.Audio.prototype.acts.Play,null,8229359355411679,
!1,[[2,["menu",!0]],[3,1],[0,[23,"VolumeMus"]],[1,[2,"menu"]]]]]]]]]],[0,null,!0,null,629607207406281,[[-1,cr.system_object.prototype.cnds.Compare,null,0,!1,!1,!1,0x5c0c6496b371b,!1,[[7,[19,cr.system_object.prototype.exps.layoutname]],[8,0],[7,[2,"1"]]]],[-1,cr.system_object.prototype.cnds.Compare,null,0,!1,!1,!1,5637749687931347,!1,[[7,[19,cr.system_object.prototype.exps.layoutname]],[8,0],[7,[2,"2"]]]],[-1,cr.system_object.prototype.cnds.Compare,null,0,!1,!1,!1,8842686803431091,!1,[[7,[19,cr.system_object.prototype.exps.layoutname]],
[8,0],[7,[2,"3"]]]],[-1,cr.system_object.prototype.cnds.Compare,null,0,!1,!1,!1,5907939886493413,!1,[[7,[19,cr.system_object.prototype.exps.layoutname]],[8,0],[7,[2,"4"]]]],[-1,cr.system_object.prototype.cnds.Compare,null,0,!1,!1,!1,6201984801458733,!1,[[7,[19,cr.system_object.prototype.exps.layoutname]],[8,0],[7,[2,"5"]]]],[-1,cr.system_object.prototype.cnds.Compare,null,0,!1,!1,!1,5291050605210788,!1,[[7,[19,cr.system_object.prototype.exps.layoutname]],[8,0],[7,[2,"6"]]]]],[],[[0,null,!1,null,0x6bf2b487b594f,
[[-1,cr.system_object.prototype.cnds.Compare,null,0,!1,!1,!1,0xe91fefdb0e826,!1,[[7,[20,64,cr.plugins_.Dictionary.prototype.exps.Get,!1,null,[[2,"tag"]]]],[8,1],[7,[2,"forest"]]]]],[[2,cr.plugins_.Audio.prototype.acts.SetPaused,null,952265618949877,!1,[[1,[20,64,cr.plugins_.Dictionary.prototype.exps.Get,!1,null,[[2,"tag"]]]],[3,0]]],[2,cr.plugins_.Audio.prototype.acts.StopAll,null,6919770884478366,!1]],[[0,null,!1,null,0xc7f75d60b772c,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,
0x568349bda76b8,!1,[[11,"VolumeMus"],[8,0],[7,[0,0]]]]],[[-1,cr.system_object.prototype.acts.Wait,null,0x8838f92c0f58e,!1,[[0,[1,0.3]]]],[64,cr.plugins_.Dictionary.prototype.acts.AddKey,null,0xdda095a21fda6,!1,[[1,[2,"tag"]],[7,[2,"forest"]]]],[2,cr.plugins_.Audio.prototype.acts.Play,null,7863309391486989,!1,[[2,["forest",!0]],[3,1],[0,[23,"VolumeMus"]],[1,[2,"forest"]]]]]]]]]],[0,null,!0,null,847656611655338,[[-1,cr.system_object.prototype.cnds.Compare,null,0,!1,!1,!1,0xb30721ad34c85,!1,[[7,[19,
cr.system_object.prototype.exps.layoutname]],[8,0],[7,[2,"7"]]]],[-1,cr.system_object.prototype.cnds.Compare,null,0,!1,!1,!1,4763813143396615,!1,[[7,[19,cr.system_object.prototype.exps.layoutname]],[8,0],[7,[2,"8"]]]],[-1,cr.system_object.prototype.cnds.Compare,null,0,!1,!1,!1,0x4d3bf1d718a0a,!1,[[7,[19,cr.system_object.prototype.exps.layoutname]],[8,0],[7,[2,"9"]]]],[-1,cr.system_object.prototype.cnds.Compare,null,0,!1,!1,!1,899280204653953,!1,[[7,[19,cr.system_object.prototype.exps.layoutname]],
[8,0],[7,[2,"10"]]]],[-1,cr.system_object.prototype.cnds.Compare,null,0,!1,!1,!1,5140590910822313,!1,[[7,[19,cr.system_object.prototype.exps.layoutname]],[8,0],[7,[2,"11"]]]],[-1,cr.system_object.prototype.cnds.Compare,null,0,!1,!1,!1,8995333812315506,!1,[[7,[19,cr.system_object.prototype.exps.layoutname]],[8,0],[7,[2,"12"]]]]],[],[[0,null,!1,null,8195760461201586,[[-1,cr.system_object.prototype.cnds.Compare,null,0,!1,!1,!1,0x8e9592032e059,!1,[[7,[20,64,cr.plugins_.Dictionary.prototype.exps.Get,!1,
null,[[2,"tag"]]]],[8,1],[7,[2,"muraveinik"]]]]],[[2,cr.plugins_.Audio.prototype.acts.SetPaused,null,6945336066468705,!1,[[1,[20,64,cr.plugins_.Dictionary.prototype.exps.Get,!1,null,[[2,"tag"]]]],[3,0]]],[2,cr.plugins_.Audio.prototype.acts.StopAll,null,4769845254843374,!1]],[[0,null,!1,null,6543717819873617,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5073379091046997,!1,[[11,"VolumeMus"],[8,0],[7,[0,0]]]]],[[-1,cr.system_object.prototype.acts.Wait,null,0xc191bbcab38f1,!1,[[0,[1,
0.3]]]],[64,cr.plugins_.Dictionary.prototype.acts.AddKey,null,0x9d0b60961a51a,!1,[[1,[2,"tag"]],[7,[2,"muraveinik"]]]],[2,cr.plugins_.Audio.prototype.acts.Play,null,0x9eafe040b1ca3,!1,[[2,["muraveinik",!0]],[3,1],[0,[23,"VolumeMus"]],[1,[2,"muraveinik"]]]]]]]]]],[0,null,!0,null,7646565618251023,[[-1,cr.system_object.prototype.cnds.Compare,null,0,!1,!1,!1,0x701f07df4ffd5,!1,[[7,[19,cr.system_object.prototype.exps.layoutname]],[8,0],[7,[2,"13"]]]],[-1,cr.system_object.prototype.cnds.Compare,null,0,
!1,!1,!1,7782406508505637,!1,[[7,[19,cr.system_object.prototype.exps.layoutname]],[8,0],[7,[2,"14"]]]],[-1,cr.system_object.prototype.cnds.Compare,null,0,!1,!1,!1,0xe2c261dd618a4,!1,[[7,[19,cr.system_object.prototype.exps.layoutname]],[8,0],[7,[2,"15"]]]],[-1,cr.system_object.prototype.cnds.Compare,null,0,!1,!1,!1,0xaf0e3eec20f8a,!1,[[7,[19,cr.system_object.prototype.exps.layoutname]],[8,0],[7,[2,"16"]]]],[-1,cr.system_object.prototype.cnds.Compare,null,0,!1,!1,!1,0x80a76fd81dfec,!1,[[7,[19,cr.system_object.prototype.exps.layoutname]],
[8,0],[7,[2,"17"]]]],[-1,cr.system_object.prototype.cnds.Compare,null,0,!1,!1,!1,0x89911a61a62aa,!1,[[7,[19,cr.system_object.prototype.exps.layoutname]],[8,0],[7,[2,"18"]]]]],[],[[0,null,!1,null,4986922162627387,[[-1,cr.system_object.prototype.cnds.Compare,null,0,!1,!1,!1,0x6dad2cf984522,!1,[[7,[20,64,cr.plugins_.Dictionary.prototype.exps.Get,!1,null,[[2,"tag"]]]],[8,1],[7,[2,"lug"]]]]],[[2,cr.plugins_.Audio.prototype.acts.SetPaused,null,0xadb8c98d9a7a8,!1,[[1,[20,64,cr.plugins_.Dictionary.prototype.exps.Get,
!1,null,[[2,"tag"]]]],[3,0]]],[2,cr.plugins_.Audio.prototype.acts.StopAll,null,0x6cc59a3e61699,!1]],[[0,null,!1,null,0xcf0e2d355cdb7,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5319510875231314,!1,[[11,"VolumeMus"],[8,0],[7,[0,0]]]]],[[-1,cr.system_object.prototype.acts.Wait,null,5515720370697656,!1,[[0,[1,0.3]]]],[64,cr.plugins_.Dictionary.prototype.acts.AddKey,null,0x67bc43d6f653a,!1,[[1,[2,"tag"]],[7,[2,"lug"]]]],[2,cr.plugins_.Audio.prototype.acts.Play,null,8455617719129873,
!1,[[2,["lug",!0]],[3,1],[0,[23,"VolumeMus"]],[1,[2,"lug"]]]]]]]]]]]],[0,null,!1,null,0xe5ce6a63612dc,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,4703662697095176,!1,[[11,"VolumeMus"],[8,0],[7,[0,0]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xc5ceae1f71fee,!1,[[11,"setVis"],[8,5],[7,[0,99]]]],[2,cr.plugins_.Audio.prototype.cnds.IsTagPlaying,null,0,!1,!0,!1,0xd20a064b7e212,!1,[[1,[2,"menu"]]]]],[],[[0,null,!1,null,9041148190568364,[[-1,cr.system_object.prototype.cnds.TriggerOnce,
null,0,!1,!1,!1,9939036421424140,!1]],[[2,cr.plugins_.Audio.prototype.acts.PlayByName,null,0x7676b23263dcf,!1,[[3,1],[1,[20,64,cr.plugins_.Dictionary.prototype.exps.Get,!1,null,[[2,"tag"]]]],[3,1],[0,[23,"VolumeMus"]],[1,[20,64,cr.plugins_.Dictionary.prototype.exps.Get,!1,null,[[2,"tag"]]]]]]]]]],[0,null,!1,null,6915366912549398,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5264392630827021,!1,[[11,"VolumeMus"],[8,3],[7,[0,-10]]]]],[],[[0,null,!1,null,6987056608197694,[[-1,cr.system_object.prototype.cnds.TriggerOnce,
null,0,!1,!1,!1,7964506503639786,!1]],[[2,cr.plugins_.Audio.prototype.acts.Stop,null,6760162480060404,!1,[[1,[20,64,cr.plugins_.Dictionary.prototype.exps.Get,!1,null,[[2,"tag"]]]]]]]]]]]]],"",!0,1024,768,4,!0,!0,!0,"1.05",!0,!0,3,2,9591,!0,!0,[]]};

createCocoonJSRuntime();

})();
